// python wrapper for vtkChartRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkChartRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkChartRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkChartRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChartRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChartRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVDataRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVDataRepresentationNew
#endif

static const char **PyvtkChartRepresentation_Doc();


static PyObject *
PyvtkChartRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkChartRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkChartRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  vtkChartRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkChartRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkChartRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkChartRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_SetOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  vtkContextNamedOptions *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkContextNamedOptions"))
    {
    if (ap.IsBound())
      {
      op->SetOptions(temp0);
      }
    else
      {
      op->vtkChartRepresentation::SetOptions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkChartRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_GetNumberOfSeries(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfSeries");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfSeries();
      }
    else
      {
      tempr = op->vtkChartRepresentation::GetNumberOfSeries();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_GetSeriesName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSeriesName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSeriesName(temp0);
      }
    else
      {
      tempr = op->vtkChartRepresentation::GetSeriesName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_RescaleChart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RescaleChart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RescaleChart();
      }
    else
      {
      op->vtkChartRepresentation::RescaleChart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_MarkModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MarkModified();
      }
    else
      {
      op->vtkChartRepresentation::MarkModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_SetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldAssociation(temp0);
      }
    else
      {
      op->vtkChartRepresentation::SetFieldAssociation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkChartRepresentation_SetCompositeDataSetIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCompositeDataSetIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkChartRepresentation *op = static_cast<vtkChartRepresentation *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCompositeDataSetIndex(temp0);
      }
    else
      {
      op->vtkChartRepresentation::SetCompositeDataSetIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkChartRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkChartRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkChartRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkChartRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChartRepresentation\nC++: vtkChartRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkChartRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChartRepresentation\nC++: vtkChartRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOptions", PyvtkChartRepresentation_SetOptions, 1,
   (char*)"V.SetOptions(vtkContextNamedOptions)\nC++: void SetOptions(vtkContextNamedOptions *)\n\nSet the options object. This must be done before any other state\nis updated.\n"},
  {(char*)"SetVisibility", PyvtkChartRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool visible)\n\nSet visibility of the representation.\n"},
  {(char*)"GetNumberOfSeries", PyvtkChartRepresentation_GetNumberOfSeries, 1,
   (char*)"V.GetNumberOfSeries() -> int\nC++: virtual int GetNumberOfSeries()\n\nGet the number of series in this representation\n"},
  {(char*)"GetSeriesName", PyvtkChartRepresentation_GetSeriesName, 1,
   (char*)"V.GetSeriesName(int) -> string\nC++: virtual const char *GetSeriesName(int series)\n\nGet the name of the series with the given index.  Returns 0 if\nthe index is out of range.  The returned pointer is only valid\nuntil the next call to GetSeriesName.\n"},
  {(char*)"RescaleChart", PyvtkChartRepresentation_RescaleChart, 1,
   (char*)"V.RescaleChart()\nC++: virtual void RescaleChart()\n\nForce the chaty to rescale its axes.\n"},
  {(char*)"MarkModified", PyvtkChartRepresentation_MarkModified, 1,
   (char*)"V.MarkModified()\nC++: virtual void MarkModified()\n\nThis needs to be called on all instances of\nvtkGeometryRepresentation when the input is modified. This is\nessential since the geometry filter does not have any real-input\non the client side which messes with the Update requests.\n"},
  {(char*)"SetFieldAssociation", PyvtkChartRepresentation_SetFieldAssociation, 1,
   (char*)"V.SetFieldAssociation(int)\nC++: void SetFieldAssociation(int)\n\n"},
  {(char*)"SetCompositeDataSetIndex", PyvtkChartRepresentation_SetCompositeDataSetIndex, 1,
   (char*)"V.SetCompositeDataSetIndex(int)\nC++: void SetCompositeDataSetIndex(unsigned int)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkChartRepresentation_StaticNew()
{
  return vtkChartRepresentation::New();
}

PyObject *PyVTKClass_vtkChartRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkChartRepresentation_StaticNew,
    PyvtkChartRepresentation_Methods,
    "vtkChartRepresentation", modulename,
    NULL, NULL,
    PyvtkChartRepresentation_Doc(),
    PyVTKClass_vtkPVDataRepresentationNew(modulename));
  return cls;
}

const char **PyvtkChartRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkChartRepresentation\n\n",
    "Superclass: vtkPVDataRepresentation\n\n",
    "vtkChartRepresentation is the base representation for charting\nrepresentations. Currently, ParaView's charting views are client-side\nonly views that render only on the client side. That being the case,\nwhen running in client-server mode or in parallel, the data-delivery\nmode is fixed. Hence, unlike representations for 3D views, this\nrepresentation delivers the data in RequestData() itself. This ma",
    "kes\nit possible for client code to call UpdatePipeline() on the\nrepresentation proxy and then access the delivered vtkTable on the\nclient.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkChartRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkChartRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkChartRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

