// python wrapper for vtkCompleteArrays
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCompleteArrays.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCompleteArrays(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCompleteArrays(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompleteArraysNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompleteArraysNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
#endif

static const char **PyvtkCompleteArrays_Doc();


static PyObject *
PyvtkCompleteArrays_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompleteArrays *op = static_cast<vtkCompleteArrays *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCompleteArrays::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompleteArrays_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompleteArrays *op = static_cast<vtkCompleteArrays *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCompleteArrays::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompleteArrays_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompleteArrays *op = static_cast<vtkCompleteArrays *>(vp);

  vtkCompleteArrays *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCompleteArrays::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCompleteArrays_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCompleteArrays *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCompleteArrays::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompleteArrays_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompleteArrays *op = static_cast<vtkCompleteArrays *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkCompleteArrays::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompleteArrays_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompleteArrays *op = static_cast<vtkCompleteArrays *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkCompleteArrays::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkCompleteArrays_Methods[] = {
  {(char*)"GetClassName", PyvtkCompleteArrays_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCompleteArrays_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCompleteArrays_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompleteArrays\nC++: vtkCompleteArrays *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCompleteArrays_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompleteArrays\nC++: vtkCompleteArrays *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetController", PyvtkCompleteArrays_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *controller)\n\nThe user can set the controller used for inter-process\ncommunication.\n"},
  {(char*)"GetController", PyvtkCompleteArrays_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nThe user can set the controller used for inter-process\ncommunication.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCompleteArrays_StaticNew()
{
  return vtkCompleteArrays::New();
}

PyObject *PyVTKClass_vtkCompleteArraysNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCompleteArrays_StaticNew,
    PyvtkCompleteArrays_Methods,
    "vtkCompleteArrays", modulename,
    NULL, NULL,
    PyvtkCompleteArrays_Doc(),
    PyVTKClass_vtkDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkCompleteArrays_Doc()
{
  static const char *docstring[] = {
    "vtkCompleteArrays - Filter adds arrays to empty partitions.\n\n",
    "Superclass: vtkDataSetAlgorithm\n\n",
    "This is a temporary solution for fixing a writer bug.  When partition\n0 has no cells or points, it does not have arrays either.  The\nwriters get confused.  This filter creates empty arrays on node zero\nif there are no cells or points in that partition.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCompleteArrays(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCompleteArraysNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCompleteArrays", o) != 0)
    {
    Py_DECREF(o);
    }

}

