// python wrapper for vtkCubeAxesRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCubeAxesRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCubeAxesRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCubeAxesRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCubeAxesRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCubeAxesRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVDataRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVDataRepresentationNew
#endif

static const char **PyvtkCubeAxesRepresentation_Doc();


static PyObject *
PyvtkCubeAxesRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  vtkCubeAxesRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCubeAxesRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCubeAxesRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetPosition_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetPosition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetPosition_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetPosition(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkCubeAxesRepresentation_SetPosition_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetPosition_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetPosition");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_GetPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPosition();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetPosition();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetOrientation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetOrientation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetOrientation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetOrientation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetOrientation(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkCubeAxesRepresentation_SetOrientation_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetOrientation_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetOrientation");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_GetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOrientation();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetOrientation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetScale_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetScale(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetScale_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetScale(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkCubeAxesRepresentation_SetScale_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetScale_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetScale");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_GetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScale();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetScale();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_GetDataBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double *tempr;
  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataBounds();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetDataBounds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBounds_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCustomBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  double temp3;
  double temp4;
  double temp5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->SetCustomBounds(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetCustomBounds(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBounds_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCustomBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetCustomBounds(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetCustomBounds(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBounds(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 6:
      return PyvtkCubeAxesRepresentation_SetCustomBounds_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetCustomBounds_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetCustomBounds");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_GetCustomBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCustomBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double *tempr;
  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCustomBounds();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetCustomBounds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBoundsActive_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCustomBoundsActive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetCustomBoundsActive(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetCustomBoundsActive(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBoundsActive_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCustomBoundsActive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetCustomBoundsActive(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetCustomBoundsActive(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetCustomBoundsActive(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkCubeAxesRepresentation_SetCustomBoundsActive_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetCustomBoundsActive_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetCustomBoundsActive");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_GetCustomBoundsActive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCustomBoundsActive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCustomBoundsActive();
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::GetCustomBoundsActive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetColor_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetColor_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0[3];
  double save0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetColor(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetColor(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkCubeAxesRepresentation_SetColor(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkCubeAxesRepresentation_SetColor_s1(self, args);
    case 1:
      return PyvtkCubeAxesRepresentation_SetColor_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetColor");
  return NULL;
}



static PyObject *
PyvtkCubeAxesRepresentation_MarkModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MarkModified();
      }
    else
      {
      op->vtkCubeAxesRepresentation::MarkModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  vtkInformationRequestKey *temp0 = NULL;
  vtkInformation *temp1 = NULL;
  vtkInformation *temp2 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkInformationRequestKey") &&
      ap.GetVTKObject(temp1, "vtkInformation") &&
      ap.GetVTKObject(temp2, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->ProcessViewRequest(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkCubeAxesRepresentation::ProcessViewRequest(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetFlyMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFlyMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFlyMode(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetFlyMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetInertia(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInertia");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInertia(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetInertia(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetCornerOffset(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCornerOffset");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCornerOffset(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetCornerOffset(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetTickLocation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTickLocation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTickLocation(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetTickLocation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetXTitle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXTitle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXTitle(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetXTitle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetXAxisVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXAxisVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXAxisVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetXAxisVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetXAxisTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXAxisTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXAxisTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetXAxisTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetXAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXAxisMinorTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetXAxisMinorTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetDrawXGridlines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDrawXGridlines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDrawXGridlines(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetDrawXGridlines(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetYAxisVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYAxisVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYAxisVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetYAxisVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetYTitle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYTitle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYTitle(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetYTitle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetYAxisTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYAxisTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYAxisTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetYAxisTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetYAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYAxisMinorTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetYAxisMinorTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetDrawYGridlines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDrawYGridlines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDrawYGridlines(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetDrawYGridlines(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetZAxisVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetZAxisVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetZAxisVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetZAxisVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetZTitle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetZTitle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetZTitle(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetZTitle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetZAxisTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetZAxisTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetZAxisTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetZAxisTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetZAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetZAxisMinorTickVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetZAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetZAxisMinorTickVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCubeAxesRepresentation_SetDrawZGridlines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDrawZGridlines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCubeAxesRepresentation *op = static_cast<vtkCubeAxesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDrawZGridlines(temp0);
      }
    else
      {
      op->vtkCubeAxesRepresentation::SetDrawZGridlines(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCubeAxesRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkCubeAxesRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCubeAxesRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCubeAxesRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCubeAxesRepresentation\nC++: vtkCubeAxesRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCubeAxesRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCubeAxesRepresentation\nC++: vtkCubeAxesRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPosition", PyvtkCubeAxesRepresentation_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition(double, double, double)\nV.SetPosition((float, float, float))\nC++: void SetPosition(double a[3])\n\n"},
  {(char*)"GetPosition", PyvtkCubeAxesRepresentation_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double *GetPosition()\n\n"},
  {(char*)"SetOrientation", PyvtkCubeAxesRepresentation_SetOrientation, 1,
   (char*)"V.SetOrientation(float, float, float)\nC++: void SetOrientation(double, double, double)\nV.SetOrientation((float, float, float))\nC++: void SetOrientation(double a[3])\n\n"},
  {(char*)"GetOrientation", PyvtkCubeAxesRepresentation_GetOrientation, 1,
   (char*)"V.GetOrientation() -> (float, float, float)\nC++: double *GetOrientation()\n\n"},
  {(char*)"SetScale", PyvtkCubeAxesRepresentation_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale(double, double, double)\nV.SetScale((float, float, float))\nC++: void SetScale(double a[3])\n\n"},
  {(char*)"GetScale", PyvtkCubeAxesRepresentation_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double *GetScale()\n\n"},
  {(char*)"GetDataBounds", PyvtkCubeAxesRepresentation_GetDataBounds, 1,
   (char*)"V.GetDataBounds() -> (float, float, float, float, float, float)\nC++: double *GetDataBounds()\n\n"},
  {(char*)"SetCustomBounds", PyvtkCubeAxesRepresentation_SetCustomBounds, 1,
   (char*)"V.SetCustomBounds(float, float, float, float, float, float)\nC++: void SetCustomBounds(double, double, double, double, double,\n    double)\nV.SetCustomBounds((float, float, float, float, float, float))\nC++: void SetCustomBounds(double a[6])\n\n"},
  {(char*)"GetCustomBounds", PyvtkCubeAxesRepresentation_GetCustomBounds, 1,
   (char*)"V.GetCustomBounds() -> (float, float, float, float, float, float)\nC++: double *GetCustomBounds()\n\n"},
  {(char*)"SetCustomBoundsActive", PyvtkCubeAxesRepresentation_SetCustomBoundsActive, 1,
   (char*)"V.SetCustomBoundsActive(int, int, int)\nC++: void SetCustomBoundsActive(int, int, int)\nV.SetCustomBoundsActive((int, int, int))\nC++: void SetCustomBoundsActive(int a[3])\n\n"},
  {(char*)"GetCustomBoundsActive", PyvtkCubeAxesRepresentation_GetCustomBoundsActive, 1,
   (char*)"V.GetCustomBoundsActive() -> (int, int, int)\nC++: int *GetCustomBoundsActive()\n\n"},
  {(char*)"SetColor", PyvtkCubeAxesRepresentation_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: virtual void SetColor(double r, double g, double b)\nV.SetColor([float, float, float])\nC++: virtual void SetColor(double rgb[3])\n\nSet the actor color.\n"},
  {(char*)"MarkModified", PyvtkCubeAxesRepresentation_MarkModified, 1,
   (char*)"V.MarkModified()\nC++: virtual void MarkModified()\n\nThis needs to be called on all instances of\nvtkCubeAxesRepresentation when the input is modified.\n"},
  {(char*)"ProcessViewRequest", PyvtkCubeAxesRepresentation_ProcessViewRequest, 1,
   (char*)"V.ProcessViewRequest(vtkInformationRequestKey, vtkInformation,\n    vtkInformation) -> int\nC++: virtual int ProcessViewRequest(\n    vtkInformationRequestKey *request_type,\n    vtkInformation *inInfo, vtkInformation *outInfo)\n\nvtkAlgorithm::ProcessRequest() equivalent for rendering passes.\nThis is typically called by the vtkView to request meta-data from\nthe representations or ask them to perform certain tasks e.g.\nPrepareForRendering.\n"},
  {(char*)"SetVisibility", PyvtkCubeAxesRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool visible)\n\nSet visibility of the representation.\n"},
  {(char*)"SetFlyMode", PyvtkCubeAxesRepresentation_SetFlyMode, 1,
   (char*)"V.SetFlyMode(int)\nC++: virtual void SetFlyMode(int val)\n\n"},
  {(char*)"SetInertia", PyvtkCubeAxesRepresentation_SetInertia, 1,
   (char*)"V.SetInertia(int)\nC++: virtual void SetInertia(int val)\n\n"},
  {(char*)"SetCornerOffset", PyvtkCubeAxesRepresentation_SetCornerOffset, 1,
   (char*)"V.SetCornerOffset(float)\nC++: virtual void SetCornerOffset(double val)\n\n"},
  {(char*)"SetTickLocation", PyvtkCubeAxesRepresentation_SetTickLocation, 1,
   (char*)"V.SetTickLocation(int)\nC++: virtual void SetTickLocation(int val)\n\n"},
  {(char*)"SetXTitle", PyvtkCubeAxesRepresentation_SetXTitle, 1,
   (char*)"V.SetXTitle(string)\nC++: virtual void SetXTitle(const char *val)\n\n"},
  {(char*)"SetXAxisVisibility", PyvtkCubeAxesRepresentation_SetXAxisVisibility, 1,
   (char*)"V.SetXAxisVisibility(int)\nC++: virtual void SetXAxisVisibility(int val)\n\n"},
  {(char*)"SetXAxisTickVisibility", PyvtkCubeAxesRepresentation_SetXAxisTickVisibility, 1,
   (char*)"V.SetXAxisTickVisibility(int)\nC++: virtual void SetXAxisTickVisibility(int val)\n\n"},
  {(char*)"SetXAxisMinorTickVisibility", PyvtkCubeAxesRepresentation_SetXAxisMinorTickVisibility, 1,
   (char*)"V.SetXAxisMinorTickVisibility(int)\nC++: virtual void SetXAxisMinorTickVisibility(int val)\n\n"},
  {(char*)"SetDrawXGridlines", PyvtkCubeAxesRepresentation_SetDrawXGridlines, 1,
   (char*)"V.SetDrawXGridlines(int)\nC++: virtual void SetDrawXGridlines(int val)\n\n"},
  {(char*)"SetYAxisVisibility", PyvtkCubeAxesRepresentation_SetYAxisVisibility, 1,
   (char*)"V.SetYAxisVisibility(int)\nC++: virtual void SetYAxisVisibility(int val)\n\n"},
  {(char*)"SetYTitle", PyvtkCubeAxesRepresentation_SetYTitle, 1,
   (char*)"V.SetYTitle(string)\nC++: virtual void SetYTitle(const char *val)\n\n"},
  {(char*)"SetYAxisTickVisibility", PyvtkCubeAxesRepresentation_SetYAxisTickVisibility, 1,
   (char*)"V.SetYAxisTickVisibility(int)\nC++: virtual void SetYAxisTickVisibility(int val)\n\n"},
  {(char*)"SetYAxisMinorTickVisibility", PyvtkCubeAxesRepresentation_SetYAxisMinorTickVisibility, 1,
   (char*)"V.SetYAxisMinorTickVisibility(int)\nC++: virtual void SetYAxisMinorTickVisibility(int val)\n\n"},
  {(char*)"SetDrawYGridlines", PyvtkCubeAxesRepresentation_SetDrawYGridlines, 1,
   (char*)"V.SetDrawYGridlines(int)\nC++: virtual void SetDrawYGridlines(int val)\n\n"},
  {(char*)"SetZAxisVisibility", PyvtkCubeAxesRepresentation_SetZAxisVisibility, 1,
   (char*)"V.SetZAxisVisibility(int)\nC++: virtual void SetZAxisVisibility(int val)\n\n"},
  {(char*)"SetZTitle", PyvtkCubeAxesRepresentation_SetZTitle, 1,
   (char*)"V.SetZTitle(string)\nC++: virtual void SetZTitle(const char *val)\n\n"},
  {(char*)"SetZAxisTickVisibility", PyvtkCubeAxesRepresentation_SetZAxisTickVisibility, 1,
   (char*)"V.SetZAxisTickVisibility(int)\nC++: virtual void SetZAxisTickVisibility(int val)\n\n"},
  {(char*)"SetZAxisMinorTickVisibility", PyvtkCubeAxesRepresentation_SetZAxisMinorTickVisibility, 1,
   (char*)"V.SetZAxisMinorTickVisibility(int)\nC++: virtual void SetZAxisMinorTickVisibility(int val)\n\n"},
  {(char*)"SetDrawZGridlines", PyvtkCubeAxesRepresentation_SetDrawZGridlines, 1,
   (char*)"V.SetDrawZGridlines(int)\nC++: virtual void SetDrawZGridlines(int val)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCubeAxesRepresentation_StaticNew()
{
  return vtkCubeAxesRepresentation::New();
}

PyObject *PyVTKClass_vtkCubeAxesRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCubeAxesRepresentation_StaticNew,
    PyvtkCubeAxesRepresentation_Methods,
    "vtkCubeAxesRepresentation", modulename,
    NULL, NULL,
    PyvtkCubeAxesRepresentation_Doc(),
    PyVTKClass_vtkPVDataRepresentationNew(modulename));
  return cls;
}

const char **PyvtkCubeAxesRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkCubeAxesRepresentation - representation for a cube-axes.\n\n",
    "Superclass: vtkPVDataRepresentation\n\n",
    "vtkCubeAxesRepresentation is a representation for the Cube-Axes that\nshows a bounding box with labels around any input dataset.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCubeAxesRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCubeAxesRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCubeAxesRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

