// python wrapper for vtkGeometryRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGeometryRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGeometryRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGeometryRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVDataRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVDataRepresentationNew
#endif

static const char **PyvtkGeometryRepresentation_Doc();


static PyObject *
PyvtkGeometryRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  vtkGeometryRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkGeometryRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkGeometryRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  vtkInformationRequestKey *temp0 = NULL;
  vtkInformation *temp1 = NULL;
  vtkInformation *temp2 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkInformationRequestKey") &&
      ap.GetVTKObject(temp1, "vtkInformation") &&
      ap.GetVTKObject(temp2, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->ProcessViewRequest(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::ProcessViewRequest(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_MarkModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MarkModified();
      }
    else
      {
      op->vtkGeometryRepresentation::MarkModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetSuppressLOD(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSuppressLOD");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSuppressLOD(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetSuppressLOD(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetColorAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorAttributeType(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetColorAttributeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetColorAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorAttributeType();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetColorAttributeType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArrayName(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetColorArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorArrayName();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetColorArrayName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetAmbient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAmbient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAmbient(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetAmbient(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetDiffuse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffuse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDiffuse(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetDiffuse(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetSpecular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSpecular(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetSpecular(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetAmbient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAmbient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAmbient();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetAmbient();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetDiffuse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffuse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDiffuse();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetDiffuse();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetSpecular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSpecular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSpecular();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetSpecular();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetRepresentation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRepresentation(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetRepresentation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGeometryRepresentation_SetRepresentation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRepresentation(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetRepresentation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGeometryRepresentation_SetRepresentation_Methods[] = {
  {NULL, PyvtkGeometryRepresentation_SetRepresentation_s1, 1,
   (char*)"@i"},
  {NULL, PyvtkGeometryRepresentation_SetRepresentation_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkGeometryRepresentation_SetRepresentation(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkGeometryRepresentation_SetRepresentation_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetRepresentation");
  return NULL;
}



static PyObject *
PyvtkGeometryRepresentation_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentationMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRepresentationMinValue();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetRepresentationMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentationMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRepresentationMaxValue();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetRepresentationMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRepresentation();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetRenderedDataObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderedDataObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  vtkDataObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderedDataObject(temp0);
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetRenderedDataObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_DoRequestGhostCells(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DoRequestGhostCells");

  vtkInformation *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkInformation"))
    {
    tempr = vtkGeometryRepresentation::DoRequestGhostCells(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetRequestGhostCellsIfNeeded(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRequestGhostCellsIfNeeded");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRequestGhostCellsIfNeeded(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetRequestGhostCellsIfNeeded(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_GetRequestGhostCellsIfNeeded(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRequestGhostCellsIfNeeded");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRequestGhostCellsIfNeeded();
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::GetRequestGhostCellsIfNeeded();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_RequestGhostCellsIfNeededOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RequestGhostCellsIfNeededOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RequestGhostCellsIfNeededOn();
      }
    else
      {
      op->vtkGeometryRepresentation::RequestGhostCellsIfNeededOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_RequestGhostCellsIfNeededOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RequestGhostCellsIfNeededOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RequestGhostCellsIfNeededOff();
      }
    else
      {
      op->vtkGeometryRepresentation::RequestGhostCellsIfNeededOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetUseOutline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOutline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseOutline(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetUseOutline(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetNonlinearSubdivisionLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonlinearSubdivisionLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonlinearSubdivisionLevel(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetNonlinearSubdivisionLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetAmbientColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAmbientColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAmbientColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetAmbientColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetDiffuseColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffuseColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetDiffuseColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetDiffuseColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetEdgeColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetEdgeColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetEdgeColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetInterpolation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInterpolation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInterpolation(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetInterpolation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLineWidth(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetLineWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOpacity(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetPointSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPointSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPointSize(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetPointSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetSpecularColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecularColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetSpecularColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetSpecularColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetSpecularPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecularPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSpecularPower(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetSpecularPower(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetOrientation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetOrigin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOrigin(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetOrigin(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetPickable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPickable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPickable(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetPickable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetPosition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentation::SetScale(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  vtkTexture *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
    {
    if (ap.IsBound())
      {
      op->SetTexture(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetTexture(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetInterpolateScalarsBeforeMapping(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInterpolateScalarsBeforeMapping");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInterpolateScalarsBeforeMapping(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetInterpolateScalarsBeforeMapping(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  vtkScalarsToColors *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkScalarsToColors"))
    {
    if (ap.IsBound())
      {
      op->SetLookupTable(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetLookupTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetMapScalars(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMapScalars");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMapScalars(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetMapScalars(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetStatic(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStatic");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStatic(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetStatic(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_ConvertSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ConvertSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  vtkView *temp0 = NULL;
  vtkSelection *temp1 = NULL;
  vtkSelection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkView") &&
      ap.GetVTKObject(temp1, "vtkSelection"))
    {
    if (ap.IsBound())
      {
      tempr = op->ConvertSelection(temp0, temp1);
      }
    else
      {
      tempr = op->vtkGeometryRepresentation::ConvertSelection(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentation_SetAllowSpecularHighlightingWithScalarColoring(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAllowSpecularHighlightingWithScalarColoring");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentation *op = static_cast<vtkGeometryRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAllowSpecularHighlightingWithScalarColoring(temp0);
      }
    else
      {
      op->vtkGeometryRepresentation::SetAllowSpecularHighlightingWithScalarColoring(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGeometryRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkGeometryRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGeometryRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGeometryRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeometryRepresentation\nC++: vtkGeometryRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGeometryRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeometryRepresentation\nC++: vtkGeometryRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ProcessViewRequest", PyvtkGeometryRepresentation_ProcessViewRequest, 1,
   (char*)"V.ProcessViewRequest(vtkInformationRequestKey, vtkInformation,\n    vtkInformation) -> int\nC++: virtual int ProcessViewRequest(\n    vtkInformationRequestKey *request_type,\n    vtkInformation *inInfo, vtkInformation *outInfo)\n\nvtkAlgorithm::ProcessRequest() equivalent for rendering passes.\nThis is typically called by the vtkView to request meta-data from\nthe representations or ask them to perform certain tasks e.g.\nPrepareForRendering.\n"},
  {(char*)"MarkModified", PyvtkGeometryRepresentation_MarkModified, 1,
   (char*)"V.MarkModified()\nC++: virtual void MarkModified()\n\nThis needs to be called on all instances of\nvtkGeometryRepresentation when the input is modified. This is\nessential since the geometry filter does not have any real-input\non the client side which messes with the Update requests.\n"},
  {(char*)"SetVisibility", PyvtkGeometryRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool val)\n\nGet/Set the visibility for this representation. When the\nvisibility of representation of false, all view passes are\nignored.\n"},
  {(char*)"SetSuppressLOD", PyvtkGeometryRepresentation_SetSuppressLOD, 1,
   (char*)"V.SetSuppressLOD(bool)\nC++: void SetSuppressLOD(bool suppress)\n\nEnable/Disable LOD;\n"},
  {(char*)"SetColorAttributeType", PyvtkGeometryRepresentation_SetColorAttributeType, 1,
   (char*)"V.SetColorAttributeType(int)\nC++: void SetColorAttributeType(int a)\n\nMethods to control scalar coloring. ColorAttributeType defines\nthe attribute type.\n"},
  {(char*)"GetColorAttributeType", PyvtkGeometryRepresentation_GetColorAttributeType, 1,
   (char*)"V.GetColorAttributeType() -> int\nC++: int GetColorAttributeType()\n\nMethods to control scalar coloring. ColorAttributeType defines\nthe attribute type.\n"},
  {(char*)"SetColorArrayName", PyvtkGeometryRepresentation_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: void SetColorArrayName(char *)\n\nPick the array to color with.\n"},
  {(char*)"GetColorArrayName", PyvtkGeometryRepresentation_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: char *GetColorArrayName()\n\nPick the array to color with.\n"},
  {(char*)"SetAmbient", PyvtkGeometryRepresentation_SetAmbient, 1,
   (char*)"V.SetAmbient(float)\nC++: void SetAmbient(double a)\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"SetDiffuse", PyvtkGeometryRepresentation_SetDiffuse, 1,
   (char*)"V.SetDiffuse(float)\nC++: void SetDiffuse(double a)\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"SetSpecular", PyvtkGeometryRepresentation_SetSpecular, 1,
   (char*)"V.SetSpecular(float)\nC++: void SetSpecular(double a)\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"GetAmbient", PyvtkGeometryRepresentation_GetAmbient, 1,
   (char*)"V.GetAmbient() -> float\nC++: double GetAmbient()\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"GetDiffuse", PyvtkGeometryRepresentation_GetDiffuse, 1,
   (char*)"V.GetDiffuse() -> float\nC++: double GetDiffuse()\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"GetSpecular", PyvtkGeometryRepresentation_GetSpecular, 1,
   (char*)"V.GetSpecular() -> float\nC++: double GetSpecular()\n\nSet the lighting properties of the object.\nvtkGeometryRepresentation overrides these based of the following\nconditions:\n\\li When Representation is wireframe or points, it disables\n    diffuse or\nspecular.\n\\li When scalar coloring is employed, it disabled specular.\n"},
  {(char*)"SetRepresentation", PyvtkGeometryRepresentation_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: void SetRepresentation(int)\nV.SetRepresentation(string)\nC++: virtual void SetRepresentation(const char *)\n\nSet the representation type. This adds VTK_SURFACE_WITH_EDGES to\nthose defined in vtkProperty.\n"},
  {(char*)"GetRepresentationMinValue", PyvtkGeometryRepresentation_GetRepresentationMinValue, 1,
   (char*)"V.GetRepresentationMinValue() -> int\nC++: int GetRepresentationMinValue()\n\nSet the representation type. This adds VTK_SURFACE_WITH_EDGES to\nthose defined in vtkProperty.\n"},
  {(char*)"GetRepresentationMaxValue", PyvtkGeometryRepresentation_GetRepresentationMaxValue, 1,
   (char*)"V.GetRepresentationMaxValue() -> int\nC++: int GetRepresentationMaxValue()\n\nSet the representation type. This adds VTK_SURFACE_WITH_EDGES to\nthose defined in vtkProperty.\n"},
  {(char*)"GetRepresentation", PyvtkGeometryRepresentation_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> int\nC++: int GetRepresentation()\n\nSet the representation type. This adds VTK_SURFACE_WITH_EDGES to\nthose defined in vtkProperty.\n"},
  {(char*)"GetRenderedDataObject", PyvtkGeometryRepresentation_GetRenderedDataObject, 1,
   (char*)"V.GetRenderedDataObject(int) -> vtkDataObject\nC++: virtual vtkDataObject *GetRenderedDataObject(int port)\n\nReturns the data object that is rendered from the given input\nport.\n"},
  {(char*)"DoRequestGhostCells", PyvtkGeometryRepresentation_DoRequestGhostCells, 1,
   (char*)"V.DoRequestGhostCells(vtkInformation) -> bool\nC++: static bool DoRequestGhostCells(vtkInformation *information)\n\nReturns true if this class would like to get ghost-cells if\navailable for the connection whose information object is passed\nas the argument.\n"},
  {(char*)"SetRequestGhostCellsIfNeeded", PyvtkGeometryRepresentation_SetRequestGhostCellsIfNeeded, 1,
   (char*)"V.SetRequestGhostCellsIfNeeded(bool)\nC++: void SetRequestGhostCellsIfNeeded(bool a)\n\nRepresentations that use geometry representation as the internal\nrepresentation should turn this flag off so that we don't end up\nrequesting ghost cells twice.\n"},
  {(char*)"GetRequestGhostCellsIfNeeded", PyvtkGeometryRepresentation_GetRequestGhostCellsIfNeeded, 1,
   (char*)"V.GetRequestGhostCellsIfNeeded() -> bool\nC++: bool GetRequestGhostCellsIfNeeded()\n\nRepresentations that use geometry representation as the internal\nrepresentation should turn this flag off so that we don't end up\nrequesting ghost cells twice.\n"},
  {(char*)"RequestGhostCellsIfNeededOn", PyvtkGeometryRepresentation_RequestGhostCellsIfNeededOn, 1,
   (char*)"V.RequestGhostCellsIfNeededOn()\nC++: void RequestGhostCellsIfNeededOn()\n\nRepresentations that use geometry representation as the internal\nrepresentation should turn this flag off so that we don't end up\nrequesting ghost cells twice.\n"},
  {(char*)"RequestGhostCellsIfNeededOff", PyvtkGeometryRepresentation_RequestGhostCellsIfNeededOff, 1,
   (char*)"V.RequestGhostCellsIfNeededOff()\nC++: void RequestGhostCellsIfNeededOff()\n\nRepresentations that use geometry representation as the internal\nrepresentation should turn this flag off so that we don't end up\nrequesting ghost cells twice.\n"},
  {(char*)"SetUseOutline", PyvtkGeometryRepresentation_SetUseOutline, 1,
   (char*)"V.SetUseOutline(int)\nC++: void SetUseOutline(int)\n\n"},
  {(char*)"SetNonlinearSubdivisionLevel", PyvtkGeometryRepresentation_SetNonlinearSubdivisionLevel, 1,
   (char*)"V.SetNonlinearSubdivisionLevel(int)\nC++: void SetNonlinearSubdivisionLevel(int)\n\n"},
  {(char*)"SetAmbientColor", PyvtkGeometryRepresentation_SetAmbientColor, 1,
   (char*)"V.SetAmbientColor(float, float, float)\nC++: virtual void SetAmbientColor(double r, double g, double b)\n\n"},
  {(char*)"SetColor", PyvtkGeometryRepresentation_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: virtual void SetColor(double r, double g, double b)\n\n"},
  {(char*)"SetDiffuseColor", PyvtkGeometryRepresentation_SetDiffuseColor, 1,
   (char*)"V.SetDiffuseColor(float, float, float)\nC++: virtual void SetDiffuseColor(double r, double g, double b)\n\n"},
  {(char*)"SetEdgeColor", PyvtkGeometryRepresentation_SetEdgeColor, 1,
   (char*)"V.SetEdgeColor(float, float, float)\nC++: virtual void SetEdgeColor(double r, double g, double b)\n\n"},
  {(char*)"SetInterpolation", PyvtkGeometryRepresentation_SetInterpolation, 1,
   (char*)"V.SetInterpolation(int)\nC++: virtual void SetInterpolation(int val)\n\n"},
  {(char*)"SetLineWidth", PyvtkGeometryRepresentation_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: virtual void SetLineWidth(double val)\n\n"},
  {(char*)"SetOpacity", PyvtkGeometryRepresentation_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: virtual void SetOpacity(double val)\n\n"},
  {(char*)"SetPointSize", PyvtkGeometryRepresentation_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: virtual void SetPointSize(double val)\n\n"},
  {(char*)"SetSpecularColor", PyvtkGeometryRepresentation_SetSpecularColor, 1,
   (char*)"V.SetSpecularColor(float, float, float)\nC++: virtual void SetSpecularColor(double r, double g, double b)\n\n"},
  {(char*)"SetSpecularPower", PyvtkGeometryRepresentation_SetSpecularPower, 1,
   (char*)"V.SetSpecularPower(float)\nC++: virtual void SetSpecularPower(double val)\n\n"},
  {(char*)"SetOrientation", PyvtkGeometryRepresentation_SetOrientation, 1,
   (char*)"V.SetOrientation(float, float, float)\nC++: virtual void SetOrientation(double, double, double)\n\n"},
  {(char*)"SetOrigin", PyvtkGeometryRepresentation_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: virtual void SetOrigin(double, double, double)\n\n"},
  {(char*)"SetPickable", PyvtkGeometryRepresentation_SetPickable, 1,
   (char*)"V.SetPickable(int)\nC++: virtual void SetPickable(int val)\n\n"},
  {(char*)"SetPosition", PyvtkGeometryRepresentation_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: virtual void SetPosition(double, double, double)\n\n"},
  {(char*)"SetScale", PyvtkGeometryRepresentation_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: virtual void SetScale(double, double, double)\n\n"},
  {(char*)"SetTexture", PyvtkGeometryRepresentation_SetTexture, 1,
   (char*)"V.SetTexture(vtkTexture)\nC++: virtual void SetTexture(vtkTexture *)\n\n"},
  {(char*)"SetInterpolateScalarsBeforeMapping", PyvtkGeometryRepresentation_SetInterpolateScalarsBeforeMapping, 1,
   (char*)"V.SetInterpolateScalarsBeforeMapping(int)\nC++: virtual void SetInterpolateScalarsBeforeMapping(int val)\n\n"},
  {(char*)"SetLookupTable", PyvtkGeometryRepresentation_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: virtual void SetLookupTable(vtkScalarsToColors *val)\n\n"},
  {(char*)"SetMapScalars", PyvtkGeometryRepresentation_SetMapScalars, 1,
   (char*)"V.SetMapScalars(int)\nC++: virtual void SetMapScalars(int val)\n\n"},
  {(char*)"SetStatic", PyvtkGeometryRepresentation_SetStatic, 1,
   (char*)"V.SetStatic(int)\nC++: virtual void SetStatic(int val)\n\n"},
  {(char*)"ConvertSelection", PyvtkGeometryRepresentation_ConvertSelection, 1,
   (char*)"V.ConvertSelection(vtkView, vtkSelection) -> vtkSelection\nC++: virtual vtkSelection *ConvertSelection(vtkView *view,\n    vtkSelection *selection)\n\nConvert the selection to a type appropriate for sharing with\nother representations through vtkAnnotationLink, possibly using\nthe view. For the superclass, we just return the same selection.\nSubclasses may do something more fancy, like convert the\nselection from a frustrum to a list of pedigree ids.  If the\nselection cannot be applied to this representation, return NULL.\n"},
  {(char*)"SetAllowSpecularHighlightingWithScalarColoring", PyvtkGeometryRepresentation_SetAllowSpecularHighlightingWithScalarColoring, 1,
   (char*)"V.SetAllowSpecularHighlightingWithScalarColoring(int)\nC++: virtual void SetAllowSpecularHighlightingWithScalarColoring(\n    int allow)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGeometryRepresentation_StaticNew()
{
  return vtkGeometryRepresentation::New();
}

PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGeometryRepresentation_StaticNew,
    PyvtkGeometryRepresentation_Methods,
    "vtkGeometryRepresentation", modulename,
    NULL, NULL,
    PyvtkGeometryRepresentation_Doc(),
    PyVTKClass_vtkPVDataRepresentationNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"POINT_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"CELL_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(VTK_POINTS);
    if (o && PyDict_SetItemString(d, (char *)"POINTS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(VTK_WIREFRAME);
    if (o && PyDict_SetItemString(d, (char *)"WIREFRAME", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(VTK_SURFACE);
    if (o && PyDict_SetItemString(d, (char *)"SURFACE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"SURFACE_WITH_EDGES", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkGeometryRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkGeometryRepresentation - representation for showing any datasets as\n\n",
    "Superclass: vtkPVDataRepresentation\n\n",
    "vtkGeometryRepresentation is a representation for showing polygon\ngeometry. It handles non-polygonal datasets by extracting external\nsurfaces. One can use this representation to show\nsurface/wireframe/points/surface-with-edges.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGeometryRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGeometryRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGeometryRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

