// python wrapper for vtkGeometryRepresentationWithFaces
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGeometryRepresentationWithFaces.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGeometryRepresentationWithFaces(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGeometryRepresentationWithFaces(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeometryRepresentationWithFacesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeometryRepresentationWithFacesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGeometryRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkGeometryRepresentationNew
#endif

static const char **PyvtkGeometryRepresentationWithFaces_Doc();


static PyObject *
PyvtkGeometryRepresentationWithFaces_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  vtkGeometryRepresentationWithFaces *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkGeometryRepresentationWithFaces *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkGeometryRepresentationWithFaces::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkGeometryRepresentationWithFaces::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SetBackfaceRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackfaceRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackfaceRepresentation(temp0);
      }
    else
      {
      op->vtkGeometryRepresentationWithFaces::SetBackfaceRepresentation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentationMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBackfaceRepresentationMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBackfaceRepresentationMinValue();
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::GetBackfaceRepresentationMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentationMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBackfaceRepresentationMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBackfaceRepresentationMaxValue();
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::GetBackfaceRepresentationMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBackfaceRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBackfaceRepresentation();
      }
    else
      {
      tempr = op->vtkGeometryRepresentationWithFaces::GetBackfaceRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SetBackfaceAmbientColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackfaceAmbientColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetBackfaceAmbientColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentationWithFaces::SetBackfaceAmbientColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SetBackfaceDiffuseColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackfaceDiffuseColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetBackfaceDiffuseColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeometryRepresentationWithFaces::SetBackfaceDiffuseColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeometryRepresentationWithFaces_SetBackfaceOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackfaceOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeometryRepresentationWithFaces *op = static_cast<vtkGeometryRepresentationWithFaces *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackfaceOpacity(temp0);
      }
    else
      {
      op->vtkGeometryRepresentationWithFaces::SetBackfaceOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGeometryRepresentationWithFaces_Methods[] = {
  {(char*)"GetClassName", PyvtkGeometryRepresentationWithFaces_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGeometryRepresentationWithFaces_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGeometryRepresentationWithFaces_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeometryRepresentationWithFaces\nC++: vtkGeometryRepresentationWithFaces *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGeometryRepresentationWithFaces_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeometryRepresentationWithFaces\nC++: vtkGeometryRepresentationWithFaces *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"SetVisibility", PyvtkGeometryRepresentationWithFaces_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool val)\n\nGet/Set the visibility for this representation. When the\nvisibility of representation of false, all view passes are\nignored.\n"},
  {(char*)"SetBackfaceRepresentation", PyvtkGeometryRepresentationWithFaces_SetBackfaceRepresentation, 1,
   (char*)"V.SetBackfaceRepresentation(int)\nC++: void SetBackfaceRepresentation(int)\n\nSet the backface representation.\n"},
  {(char*)"GetBackfaceRepresentationMinValue", PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentationMinValue, 1,
   (char*)"V.GetBackfaceRepresentationMinValue() -> int\nC++: int GetBackfaceRepresentationMinValue()\n\nSet the backface representation.\n"},
  {(char*)"GetBackfaceRepresentationMaxValue", PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentationMaxValue, 1,
   (char*)"V.GetBackfaceRepresentationMaxValue() -> int\nC++: int GetBackfaceRepresentationMaxValue()\n\nSet the backface representation.\n"},
  {(char*)"GetBackfaceRepresentation", PyvtkGeometryRepresentationWithFaces_GetBackfaceRepresentation, 1,
   (char*)"V.GetBackfaceRepresentation() -> int\nC++: int GetBackfaceRepresentation()\n\nSet the backface representation.\n"},
  {(char*)"SetBackfaceAmbientColor", PyvtkGeometryRepresentationWithFaces_SetBackfaceAmbientColor, 1,
   (char*)"V.SetBackfaceAmbientColor(float, float, float)\nC++: void SetBackfaceAmbientColor(double r, double g, double b)\n\n"},
  {(char*)"SetBackfaceDiffuseColor", PyvtkGeometryRepresentationWithFaces_SetBackfaceDiffuseColor, 1,
   (char*)"V.SetBackfaceDiffuseColor(float, float, float)\nC++: void SetBackfaceDiffuseColor(double r, double g, double b)\n\n"},
  {(char*)"SetBackfaceOpacity", PyvtkGeometryRepresentationWithFaces_SetBackfaceOpacity, 1,
   (char*)"V.SetBackfaceOpacity(float)\nC++: void SetBackfaceOpacity(double val)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGeometryRepresentationWithFaces_StaticNew()
{
  return vtkGeometryRepresentationWithFaces::New();
}

PyObject *PyVTKClass_vtkGeometryRepresentationWithFacesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGeometryRepresentationWithFaces_StaticNew,
    PyvtkGeometryRepresentationWithFaces_Methods,
    "vtkGeometryRepresentationWithFaces", modulename,
    NULL, NULL,
    PyvtkGeometryRepresentationWithFaces_Doc(),
    PyVTKClass_vtkGeometryRepresentationNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(400);
    if (o && PyDict_SetItemString(d, (char *)"FOLLOW_FRONTFACE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(401);
    if (o && PyDict_SetItemString(d, (char *)"CULL_BACKFACE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(402);
    if (o && PyDict_SetItemString(d, (char *)"CULL_FRONTFACE", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkGeometryRepresentationWithFaces_Doc()
{
  static const char *docstring[] = {
    "vtkGeometryRepresentationWithFaces\n\n",
    "Superclass: vtkGeometryRepresentation\n\n",
    "vtkGeometryRepresentationWithFaces extends vtkGeometryRepresentation\nto add support for rendering back and front faces separately (with\ndifferent visibility and properties).\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGeometryRepresentationWithFaces(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGeometryRepresentationWithFacesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGeometryRepresentationWithFaces", o) != 0)
    {
    Py_DECREF(o);
    }

}

