// python wrapper for vtkGlyph3DRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGlyph3DRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGlyph3DRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGlyph3DRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGlyph3DRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGlyph3DRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGeometryRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkGeometryRepresentationNew
#endif

static const char **PyvtkGlyph3DRepresentation_Doc();


static PyObject *
PyvtkGlyph3DRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkGlyph3DRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkGlyph3DRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  vtkGlyph3DRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkGlyph3DRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkGlyph3DRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkGlyph3DRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetMeshVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMeshVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMeshVisibility(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetMeshVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetMaskArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaskArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaskArray(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetMaskArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetScaleArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleArray(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetScaleArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetOrientationArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationArray(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetOrientationArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetScaling(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaling");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaling(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetScaling(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetScaleMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleMode(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetScaleMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetScaleFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleFactor(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetScaleFactor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetOrient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrient(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetOrient(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetOrientationMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationMode(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetOrientationMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_SetMasking(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMasking");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMasking(temp0);
      }
    else
      {
      op->vtkGlyph3DRepresentation::SetMasking(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGlyph3DRepresentation_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGlyph3DRepresentation *op = static_cast<vtkGlyph3DRepresentation *>(vp);

  double *tempr;
  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBounds();
      }
    else
      {
      tempr = op->vtkGlyph3DRepresentation::GetBounds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}

static PyMethodDef PyvtkGlyph3DRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkGlyph3DRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGlyph3DRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGlyph3DRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGlyph3DRepresentation\nC++: vtkGlyph3DRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGlyph3DRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGlyph3DRepresentation\nC++: vtkGlyph3DRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMeshVisibility", PyvtkGlyph3DRepresentation_SetMeshVisibility, 1,
   (char*)"V.SetMeshVisibility(bool)\nC++: void SetMeshVisibility(bool visible)\n\nToggle the visibility of the original mesh. If\nthis->GetVisibility() is false, then this has no effect.\n"},
  {(char*)"SetVisibility", PyvtkGlyph3DRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool)\n\nGet/Set the visibility for this representation. When the\nvisibility of representation of false, all view passes are\nignored.\n"},
  {(char*)"SetMaskArray", PyvtkGlyph3DRepresentation_SetMaskArray, 1,
   (char*)"V.SetMaskArray(string)\nC++: void SetMaskArray(const char *val)\n\n"},
  {(char*)"SetScaleArray", PyvtkGlyph3DRepresentation_SetScaleArray, 1,
   (char*)"V.SetScaleArray(string)\nC++: void SetScaleArray(const char *val)\n\n"},
  {(char*)"SetOrientationArray", PyvtkGlyph3DRepresentation_SetOrientationArray, 1,
   (char*)"V.SetOrientationArray(string)\nC++: void SetOrientationArray(const char *val)\n\n"},
  {(char*)"SetScaling", PyvtkGlyph3DRepresentation_SetScaling, 1,
   (char*)"V.SetScaling(bool)\nC++: void SetScaling(bool val)\n\n"},
  {(char*)"SetScaleMode", PyvtkGlyph3DRepresentation_SetScaleMode, 1,
   (char*)"V.SetScaleMode(int)\nC++: void SetScaleMode(int val)\n\n"},
  {(char*)"SetScaleFactor", PyvtkGlyph3DRepresentation_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor(double val)\n\n"},
  {(char*)"SetOrient", PyvtkGlyph3DRepresentation_SetOrient, 1,
   (char*)"V.SetOrient(bool)\nC++: void SetOrient(bool val)\n\n"},
  {(char*)"SetOrientationMode", PyvtkGlyph3DRepresentation_SetOrientationMode, 1,
   (char*)"V.SetOrientationMode(int)\nC++: void SetOrientationMode(int val)\n\n"},
  {(char*)"SetMasking", PyvtkGlyph3DRepresentation_SetMasking, 1,
   (char*)"V.SetMasking(bool)\nC++: void SetMasking(bool val)\n\n"},
  {(char*)"GetBounds", PyvtkGlyph3DRepresentation_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGlyph3DRepresentation_StaticNew()
{
  return vtkGlyph3DRepresentation::New();
}

PyObject *PyVTKClass_vtkGlyph3DRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGlyph3DRepresentation_StaticNew,
    PyvtkGlyph3DRepresentation_Methods,
    "vtkGlyph3DRepresentation", modulename,
    NULL, NULL,
    PyvtkGlyph3DRepresentation_Doc(),
    PyVTKClass_vtkGeometryRepresentationNew(modulename));
  return cls;
}

const char **PyvtkGlyph3DRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkGlyph3DRepresentation\n\n",
    "Superclass: vtkGeometryRepresentation\n\n",
    "vtkGlyph3DRepresentation is a representation that uses the\nvtkGlyph3DMapper for rendering glyphs.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGlyph3DRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGlyph3DRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGlyph3DRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

