// python wrapper for vtkImageSliceDataDeliveryFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageSliceDataDeliveryFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageSliceDataDeliveryFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageSliceDataDeliveryFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSliceDataDeliveryFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSliceDataDeliveryFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
#endif

static const char **PyvtkImageSliceDataDeliveryFilter_Doc();


static PyObject *
PyvtkImageSliceDataDeliveryFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageSliceDataDeliveryFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageSliceDataDeliveryFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  vtkImageSliceDataDeliveryFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageSliceDataDeliveryFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageSliceDataDeliveryFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageSliceDataDeliveryFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  vtkInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      op->ProcessViewRequest(temp0);
      }
    else
      {
      op->vtkImageSliceDataDeliveryFilter::ProcessViewRequest(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMTime();
      }
    else
      {
      tempr = op->vtkImageSliceDataDeliveryFilter::GetMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSliceDataDeliveryFilter_Modified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Modified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSliceDataDeliveryFilter *op = static_cast<vtkImageSliceDataDeliveryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Modified();
      }
    else
      {
      op->vtkImageSliceDataDeliveryFilter::Modified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageSliceDataDeliveryFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkImageSliceDataDeliveryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageSliceDataDeliveryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageSliceDataDeliveryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSliceDataDeliveryFilter\nC++: vtkImageSliceDataDeliveryFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageSliceDataDeliveryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSliceDataDeliveryFilter\nC++: vtkImageSliceDataDeliveryFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ProcessViewRequest", PyvtkImageSliceDataDeliveryFilter_ProcessViewRequest, 1,
   (char*)"V.ProcessViewRequest(vtkInformation)\nC++: void ProcessViewRequest(vtkInformation *)\n\nProcess the view request. Note that this may affect the mtime of\nthe filter.\n"},
  {(char*)"GetMTime", PyvtkImageSliceDataDeliveryFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime()\n\nReturn this object's modified time.\n"},
  {(char*)"Modified", PyvtkImageSliceDataDeliveryFilter_Modified, 1,
   (char*)"V.Modified()\nC++: virtual void Modified()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageSliceDataDeliveryFilter_StaticNew()
{
  return vtkImageSliceDataDeliveryFilter::New();
}

PyObject *PyVTKClass_vtkImageSliceDataDeliveryFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageSliceDataDeliveryFilter_StaticNew,
    PyvtkImageSliceDataDeliveryFilter_Methods,
    "vtkImageSliceDataDeliveryFilter", modulename,
    NULL, NULL,
    PyvtkImageSliceDataDeliveryFilter_Doc(),
    PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageSliceDataDeliveryFilter_Doc()
{
  static const char *docstring[] = {
    "vtkImageSliceDataDeliveryFilter\n\n",
    "Superclass: vtkPassInputTypeAlgorithm\n\n",
    "vtkImageSliceDataDeliveryFilter is a helper filter that can be used\nin representations rendering 2D image slices to deliver the data to\nthe process(es) doing the rendering. Use this filter in\nvtkView::REQUEST_PREPARE_FOR_RENDER() pass to deliver the data to the\ncorrect node for rendering. Simply put this filter in your\nrendering-pipeline (for example after the geometry filter and before\nthe mapper",
    ") and then pass the request-information object to\nProcessViewRequest() call. This filter will lookup keys in the\ninformation object and update its state as needed to ensure that the\ndata is available in the form/shape requested on the rendering nodes.\n\nSee Also:\n\nvtkUnstructuredDataDeliveryFilter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageSliceDataDeliveryFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageSliceDataDeliveryFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageSliceDataDeliveryFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

