// python wrapper for vtkMPIMToNSocketConnection
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMPIMToNSocketConnection.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMPIMToNSocketConnection(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMPIMToNSocketConnection(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMPIMToNSocketConnectionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMPIMToNSocketConnectionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkMPIMToNSocketConnection_Doc();


static PyObject *
PyvtkMPIMToNSocketConnection_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  vtkMPIMToNSocketConnection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMPIMToNSocketConnection *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMPIMToNSocketConnection::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->Initialize(temp0);
      }
    else
      {
      op->vtkMPIMToNSocketConnection::Initialize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_ConnectMtoN(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ConnectMtoN");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ConnectMtoN();
      }
    else
      {
      op->vtkMPIMToNSocketConnection::ConnectMtoN();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_SetNumberOfConnections(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfConnections");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfConnections(temp0);
      }
    else
      {
      op->vtkMPIMToNSocketConnection::SetNumberOfConnections(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_GetNumberOfConnections(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfConnections");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfConnections();
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::GetNumberOfConnections();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_SetPortInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPortInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  unsigned int temp0;
  int temp1;
  char *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetPortInformation(temp0, temp1, temp2);
      }
    else
      {
      op->vtkMPIMToNSocketConnection::SetPortInformation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_GetSocketCommunicator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSocketCommunicator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  vtkSocketCommunicator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSocketCommunicator();
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::GetSocketCommunicator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_GetPortInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPortInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  vtkMPIMToNSocketConnectionPortInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMPIMToNSocketConnectionPortInformation"))
    {
    if (ap.IsBound())
      {
      op->GetPortInformation(temp0);
      }
    else
      {
      op->vtkMPIMToNSocketConnection::GetPortInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMToNSocketConnection_GetPortNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPortNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMToNSocketConnection *op = static_cast<vtkMPIMToNSocketConnection *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPortNumber();
      }
    else
      {
      tempr = op->vtkMPIMToNSocketConnection::GetPortNumber();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMPIMToNSocketConnection_Methods[] = {
  {(char*)"GetClassName", PyvtkMPIMToNSocketConnection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMPIMToNSocketConnection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMPIMToNSocketConnection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMPIMToNSocketConnection\nC++: vtkMPIMToNSocketConnection *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMPIMToNSocketConnection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMPIMToNSocketConnection\nC++: vtkMPIMToNSocketConnection *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkMPIMToNSocketConnection_Initialize, 1,
   (char*)"V.Initialize(int)\nC++: void Initialize(int waiting_process_type)\n\n\n"},
  {(char*)"ConnectMtoN", PyvtkMPIMToNSocketConnection_ConnectMtoN, 1,
   (char*)"V.ConnectMtoN()\nC++: void ConnectMtoN()\n\nSetup  the connection.\n"},
  {(char*)"SetNumberOfConnections", PyvtkMPIMToNSocketConnection_SetNumberOfConnections, 1,
   (char*)"V.SetNumberOfConnections(int)\nC++: void SetNumberOfConnections(int)\n\nSet the number of connections to be made.\n"},
  {(char*)"GetNumberOfConnections", PyvtkMPIMToNSocketConnection_GetNumberOfConnections, 1,
   (char*)"V.GetNumberOfConnections() -> int\nC++: int GetNumberOfConnections()\n\nSet the number of connections to be made.\n"},
  {(char*)"SetPortInformation", PyvtkMPIMToNSocketConnection_SetPortInformation, 1,
   (char*)"V.SetPortInformation(int, int, string)\nC++: void SetPortInformation(unsigned int processNumber,\n    int portNumber, const char *hostName)\n\nSet up information about the remote connection.\n"},
  {(char*)"GetSocketCommunicator", PyvtkMPIMToNSocketConnection_GetSocketCommunicator, 1,
   (char*)"V.GetSocketCommunicator() -> vtkSocketCommunicator\nC++: vtkSocketCommunicator *GetSocketCommunicator()\n\nReturn the socket communicator for this process.\n"},
  {(char*)"GetPortInformation", PyvtkMPIMToNSocketConnection_GetPortInformation, 1,
   (char*)"V.GetPortInformation(vtkMPIMToNSocketConnectionPortInformation)\nC++: void GetPortInformation(\n    vtkMPIMToNSocketConnectionPortInformation *)\n\nFill the port information values into the port information\nobject.\n"},
  {(char*)"GetPortNumber", PyvtkMPIMToNSocketConnection_GetPortNumber, 1,
   (char*)"V.GetPortNumber() -> int\nC++: int GetPortNumber()\n\nSet port to use, if the value is 0, then the system will pick the\nport.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMPIMToNSocketConnection_StaticNew()
{
  return vtkMPIMToNSocketConnection::New();
}

PyObject *PyVTKClass_vtkMPIMToNSocketConnectionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMPIMToNSocketConnection_StaticNew,
    PyvtkMPIMToNSocketConnection_Methods,
    "vtkMPIMToNSocketConnection", modulename,
    NULL, NULL,
    PyvtkMPIMToNSocketConnection_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkMPIMToNSocketConnection_Doc()
{
  static const char *docstring[] = {
    "vtkMPIMToNSocketConnection - class to create socket connections\nbetween two servers \n\n",
    "Superclass: vtkObject\n\n",
    "class used to create socket connections between the render and data\nservers.  This used for example when data is on a super computer\n(SGI, IBM, etc) and Rendering on a Linux cluster with hardware\ngraphics support. This problem is known as the \"M\" to \"N\" geometry\nload redistribution problem.  It addresses the common case where\nthere is a significante mismatch in the size of large parallel\ncomputing",
    " resources and the often smaller parallel\nhardward-accelerated rendering resources. The larger number of\nprocessors on the compute servers are called M, and the smaller\nnumber of rendering processors are call N.  This class is used to\ncreate N vtkSocketCommunicator's that connect the first N of the M\nprocesses on the data server to the N processes on the render server.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMPIMToNSocketConnection(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMPIMToNSocketConnectionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMPIMToNSocketConnection", o) != 0)
    {
    Py_DECREF(o);
    }

}

