// python wrapper for vtkMPIMoveData
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMPIMoveData.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMPIMoveData(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMPIMoveData(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMPIMoveDataNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMPIMoveDataNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
#endif

static const char **PyvtkMPIMoveData_Doc();


static PyObject *
PyvtkMPIMoveData_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMPIMoveData::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  vtkMPIMoveData *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMPIMoveData::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMPIMoveData *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMPIMoveData::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_InitializeForCommunicationForParaView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializeForCommunicationForParaView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitializeForCommunicationForParaView();
      }
    else
      {
      op->vtkMPIMoveData::InitializeForCommunicationForParaView();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  vtkMPIMToNSocketConnection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMPIMToNSocketConnection"))
    {
    if (ap.IsBound())
      {
      op->SetMPIMToNSocketConnection(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetMPIMToNSocketConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetClientDataServerSocketController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetClientDataServerSocketController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetClientDataServerSocketController(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetClientDataServerSocketController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetServerToClient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServerToClient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetServerToClient();
      }
    else
      {
      op->vtkMPIMoveData::SetServerToClient();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetServerToDataServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServerToDataServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetServerToDataServer();
      }
    else
      {
      op->vtkMPIMoveData::SetServerToDataServer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetServerToRenderServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServerToRenderServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetServerToRenderServer();
      }
    else
      {
      op->vtkMPIMoveData::SetServerToRenderServer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetServer(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetServer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetServerMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerMinValue();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetServerMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetServerMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerMaxValue();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetServerMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetMoveModeToPassThrough(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMoveModeToPassThrough");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetMoveModeToPassThrough();
      }
    else
      {
      op->vtkMPIMoveData::SetMoveModeToPassThrough();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetMoveModeToCollect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMoveModeToCollect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetMoveModeToCollect();
      }
    else
      {
      op->vtkMPIMoveData::SetMoveModeToCollect();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetMoveModeToClone(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMoveModeToClone");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetMoveModeToClone();
      }
    else
      {
      op->vtkMPIMoveData::SetMoveModeToClone();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetMoveMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMoveMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMoveMode(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetMoveMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetMoveModeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMoveModeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMoveModeMinValue();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetMoveModeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetMoveModeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMoveModeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMoveModeMaxValue();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetMoveModeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetOutputDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDataType(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetOutputDataType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetOutputDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputDataType();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetOutputDataType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetDeliverOutlineToClient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDeliverOutlineToClient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDeliverOutlineToClient(temp0);
      }
    else
      {
      op->vtkMPIMoveData::SetDeliverOutlineToClient(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetDeliverOutlineToClient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDeliverOutlineToClient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPIMoveData *op = static_cast<vtkMPIMoveData *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDeliverOutlineToClient();
      }
    else
      {
      tempr = op->vtkMPIMoveData::GetDeliverOutlineToClient();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_SetUseZLibCompression(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetUseZLibCompression");

  bool temp0 = false;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkMPIMoveData::SetUseZLibCompression(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPIMoveData_GetUseZLibCompression(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetUseZLibCompression");

  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkMPIMoveData::GetUseZLibCompression();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMPIMoveData_Methods[] = {
  {(char*)"GetClassName", PyvtkMPIMoveData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMPIMoveData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMPIMoveData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMPIMoveData\nC++: vtkMPIMoveData *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMPIMoveData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMPIMoveData\nC++: vtkMPIMoveData *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"InitializeForCommunicationForParaView", PyvtkMPIMoveData_InitializeForCommunicationForParaView, 1,
   (char*)"V.InitializeForCommunicationForParaView()\nC++: virtual void InitializeForCommunicationForParaView()\n\nUse this method to initialize all communicators/sockets using\nParaView defaults.\n"},
  {(char*)"SetController", PyvtkMPIMoveData_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *controller)\n\nObjects for communication. The controller is an MPI controller\nused to communicate between processes within one server (render\nor data). The client-data server socket controller is set on the\nclient and data server and is used to communicate between the\ntwo. MPIMToNSocetConnection is set on the data server and render\nserver when we are running with a render server.  It has multiple\nsockets which are used to send data from the data server to the\nrender server. ClientDataServerController==0  => One MPI program.\nMPIMToNSocketConnection==0 => Client-DataServer.\nMPIMToNSocketConnection==1 => Client-DataServer-RenderServer.\n"},
  {(char*)"SetMPIMToNSocketConnection", PyvtkMPIMoveData_SetMPIMToNSocketConnection, 1,
   (char*)"V.SetMPIMToNSocketConnection(vtkMPIMToNSocketConnection)\nC++: void SetMPIMToNSocketConnection(\n    vtkMPIMToNSocketConnection *sc)\n\nObjects for communication. The controller is an MPI controller\nused to communicate between processes within one server (render\nor data). The client-data server socket controller is set on the\nclient and data server and is used to communicate between the\ntwo. MPIMToNSocetConnection is set on the data server and render\nserver when we are running with a render server.  It has multiple\nsockets which are used to send data from the data server to the\nrender server. ClientDataServerController==0  => One MPI program.\nMPIMToNSocketConnection==0 => Client-DataServer.\nMPIMToNSocketConnection==1 => Client-DataServer-RenderServer.\n"},
  {(char*)"SetClientDataServerSocketController", PyvtkMPIMoveData_SetClientDataServerSocketController, 1,
   (char*)"V.SetClientDataServerSocketController(vtkMultiProcessController)\nC++: void SetClientDataServerSocketController(\n    vtkMultiProcessController *)\n\nObjects for communication. The controller is an MPI controller\nused to communicate between processes within one server (render\nor data). The client-data server socket controller is set on the\nclient and data server and is used to communicate between the\ntwo. MPIMToNSocetConnection is set on the data server and render\nserver when we are running with a render server.  It has multiple\nsockets which are used to send data from the data server to the\nrender server. ClientDataServerController==0  => One MPI program.\nMPIMToNSocketConnection==0 => Client-DataServer.\nMPIMToNSocketConnection==1 => Client-DataServer-RenderServer.\n"},
  {(char*)"SetServerToClient", PyvtkMPIMoveData_SetServerToClient, 1,
   (char*)"V.SetServerToClient()\nC++: void SetServerToClient()\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"SetServerToDataServer", PyvtkMPIMoveData_SetServerToDataServer, 1,
   (char*)"V.SetServerToDataServer()\nC++: void SetServerToDataServer()\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"SetServerToRenderServer", PyvtkMPIMoveData_SetServerToRenderServer, 1,
   (char*)"V.SetServerToRenderServer()\nC++: void SetServerToRenderServer()\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"SetServer", PyvtkMPIMoveData_SetServer, 1,
   (char*)"V.SetServer(int)\nC++: void SetServer(int)\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"GetServerMinValue", PyvtkMPIMoveData_GetServerMinValue, 1,
   (char*)"V.GetServerMinValue() -> int\nC++: int GetServerMinValue()\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"GetServerMaxValue", PyvtkMPIMoveData_GetServerMaxValue, 1,
   (char*)"V.GetServerMaxValue() -> int\nC++: int GetServerMaxValue()\n\nTell the object on which client/server it resides. Whether the\nsockets are set helps determine which servers are running.\n"},
  {(char*)"SetMoveModeToPassThrough", PyvtkMPIMoveData_SetMoveModeToPassThrough, 1,
   (char*)"V.SetMoveModeToPassThrough()\nC++: void SetMoveModeToPassThrough()\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"SetMoveModeToCollect", PyvtkMPIMoveData_SetMoveModeToCollect, 1,
   (char*)"V.SetMoveModeToCollect()\nC++: void SetMoveModeToCollect()\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"SetMoveModeToClone", PyvtkMPIMoveData_SetMoveModeToClone, 1,
   (char*)"V.SetMoveModeToClone()\nC++: void SetMoveModeToClone()\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"SetMoveMode", PyvtkMPIMoveData_SetMoveMode, 1,
   (char*)"V.SetMoveMode(int)\nC++: void SetMoveMode(int)\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"GetMoveModeMinValue", PyvtkMPIMoveData_GetMoveModeMinValue, 1,
   (char*)"V.GetMoveModeMinValue() -> int\nC++: int GetMoveModeMinValue()\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"GetMoveModeMaxValue", PyvtkMPIMoveData_GetMoveModeMaxValue, 1,
   (char*)"V.GetMoveModeMaxValue() -> int\nC++: int GetMoveModeMaxValue()\n\nSpecify how the data is to be redistributed.\n"},
  {(char*)"SetOutputDataType", PyvtkMPIMoveData_SetOutputDataType, 1,
   (char*)"V.SetOutputDataType(int)\nC++: void SetOutputDataType(int a)\n\nControls the output type. This is required because processes\nreceiving data cannot know their output type in RequestDataObject\nwithout communicating with other processes. Since communicating\nwith other processes in RequestDataObject is dangerous (can cause\ndeadlock because it may happen out-of-sync), the application has\nto set the output type. The default is VTK_POLY_DATA. Currently,\nonly VTK_UNSTRUCTURED_GRID and VTK_POLY_DATA are supported. Make\nsure to call this before any pipeline updates occur.\n"},
  {(char*)"GetOutputDataType", PyvtkMPIMoveData_GetOutputDataType, 1,
   (char*)"V.GetOutputDataType() -> int\nC++: int GetOutputDataType()\n\nControls the output type. This is required because processes\nreceiving data cannot know their output type in RequestDataObject\nwithout communicating with other processes. Since communicating\nwith other processes in RequestDataObject is dangerous (can cause\ndeadlock because it may happen out-of-sync), the application has\nto set the output type. The default is VTK_POLY_DATA. Currently,\nonly VTK_UNSTRUCTURED_GRID and VTK_POLY_DATA are supported. Make\nsure to call this before any pipeline updates occur.\n"},
  {(char*)"SetDeliverOutlineToClient", PyvtkMPIMoveData_SetDeliverOutlineToClient, 1,
   (char*)"V.SetDeliverOutlineToClient(int)\nC++: void SetDeliverOutlineToClient(int a)\n\nSometimes, the data may be too huge to deliver to the client. In\nthat case, the client can request that only the outline for the\ndata may be delivered to the client. This is supported only for\nvtkPolyData. Off by default.\n"},
  {(char*)"GetDeliverOutlineToClient", PyvtkMPIMoveData_GetDeliverOutlineToClient, 1,
   (char*)"V.GetDeliverOutlineToClient() -> int\nC++: int GetDeliverOutlineToClient()\n\nSometimes, the data may be too huge to deliver to the client. In\nthat case, the client can request that only the outline for the\ndata may be delivered to the client. This is supported only for\nvtkPolyData. Off by default.\n"},
  {(char*)"SetUseZLibCompression", PyvtkMPIMoveData_SetUseZLibCompression, 1,
   (char*)"V.SetUseZLibCompression(bool)\nC++: static void SetUseZLibCompression(bool b)\n\nWhen set to true, zlib compression is used. False by default.\nThis value has any effect only on the data-sender processes. The\nreceiver always checks the received data to see if zlib\ndecompression is required.\n"},
  {(char*)"GetUseZLibCompression", PyvtkMPIMoveData_GetUseZLibCompression, 1,
   (char*)"V.GetUseZLibCompression() -> bool\nC++: static bool GetUseZLibCompression()\n\nWhen set to true, zlib compression is used. False by default.\nThis value has any effect only on the data-sender processes. The\nreceiver always checks the received data to see if zlib\ndecompression is required.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMPIMoveData_StaticNew()
{
  return vtkMPIMoveData::New();
}

PyObject *PyVTKClass_vtkMPIMoveDataNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMPIMoveData_StaticNew,
    PyvtkMPIMoveData_Methods,
    "vtkMPIMoveData", modulename,
    NULL, NULL,
    PyvtkMPIMoveData_Doc(),
    PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkMPIMoveData_Doc()
{
  static const char *docstring[] = {
    "vtkMPIMoveData - Moves/redistributes data between processes.\n\n",
    "Superclass: vtkPassInputTypeAlgorithm\n\n",
    "This class combines all the duplicate and collection requirements\ninto one filter. It can move polydata and unstructured grid between\nprocesses. It can redistributed polydata from M to N processors.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMPIMoveData(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMPIMoveDataNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMPIMoveData", o) != 0)
    {
    Py_DECREF(o);
    }

}

