// python wrapper for vtkNetworkImageSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkNetworkImageSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkNetworkImageSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkNetworkImageSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNetworkImageSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNetworkImageSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageAlgorithmNew
#endif

static const char **PyvtkNetworkImageSource_Doc();


static PyObject *
PyvtkNetworkImageSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkNetworkImageSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkNetworkImageSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  vtkNetworkImageSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkNetworkImageSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkNetworkImageSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkNetworkImageSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkNetworkImageSource::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkNetworkImageSource::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNetworkImageSource_UpdateImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNetworkImageSource *op = static_cast<vtkNetworkImageSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateImage();
      }
    else
      {
      op->vtkNetworkImageSource::UpdateImage();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkNetworkImageSource_Methods[] = {
  {(char*)"GetClassName", PyvtkNetworkImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkNetworkImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkNetworkImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNetworkImageSource\nC++: vtkNetworkImageSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkNetworkImageSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNetworkImageSource\nC++: vtkNetworkImageSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFileName", PyvtkNetworkImageSource_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(char *)\n\nGet/Set the filename.\n"},
  {(char*)"GetFileName", PyvtkNetworkImageSource_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nGet/Set the filename.\n"},
  {(char*)"UpdateImage", PyvtkNetworkImageSource_UpdateImage, 1,
   (char*)"V.UpdateImage()\nC++: void UpdateImage()\n\nNeeds to be called to perform the actual image migration.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkNetworkImageSource_StaticNew()
{
  return vtkNetworkImageSource::New();
}

PyObject *PyVTKClass_vtkNetworkImageSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkNetworkImageSource_StaticNew,
    PyvtkNetworkImageSource_Methods,
    "vtkNetworkImageSource", modulename,
    NULL, NULL,
    PyvtkNetworkImageSource_Doc(),
    PyVTKClass_vtkImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkNetworkImageSource_Doc()
{
  static const char *docstring[] = {
    "vtkNetworkImageSource - an image source that can read an image file on\n\n",
    "Superclass: vtkImageAlgorithm\n\n",
    "vtkNetworkImageSource is a vtkImageAlgorithm that can read an image\nfile on on the client process and produce the output image data on a\nclient and render-server processes.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkNetworkImageSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkNetworkImageSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkNetworkImageSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

