// python wrapper for vtkOutlineRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkOutlineRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkOutlineRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkOutlineRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutlineRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutlineRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGeometryRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkGeometryRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkGeometryRepresentationNew
#endif

static const char **PyvtkOutlineRepresentation_Doc();


static PyObject *
PyvtkOutlineRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOutlineRepresentation *op = static_cast<vtkOutlineRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkOutlineRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOutlineRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOutlineRepresentation *op = static_cast<vtkOutlineRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkOutlineRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOutlineRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOutlineRepresentation *op = static_cast<vtkOutlineRepresentation *>(vp);

  vtkOutlineRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkOutlineRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkOutlineRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkOutlineRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkOutlineRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkOutlineRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkOutlineRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkOutlineRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkOutlineRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutlineRepresentation\nC++: vtkOutlineRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkOutlineRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutlineRepresentation\nC++: vtkOutlineRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkOutlineRepresentation_StaticNew()
{
  return vtkOutlineRepresentation::New();
}

PyObject *PyVTKClass_vtkOutlineRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkOutlineRepresentation_StaticNew,
    PyvtkOutlineRepresentation_Methods,
    "vtkOutlineRepresentation", modulename,
    NULL, NULL,
    PyvtkOutlineRepresentation_Doc(),
    PyVTKClass_vtkGeometryRepresentationNew(modulename));
  return cls;
}

const char **PyvtkOutlineRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkOutlineRepresentation - representation for outline.\n\n",
    "Superclass: vtkGeometryRepresentation\n\n",
    "vtkOutlineRepresentation is merely a vtkGeometryRepresentation that\nforces the geometry filter to produce outlines. It also\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkOutlineRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkOutlineRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkOutlineRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

