// python wrapper for vtkPV2DRenderView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPV2DRenderView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPV2DRenderView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPV2DRenderView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPV2DRenderViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPV2DRenderViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVRenderViewNew
extern "C" { PyObject *PyVTKClass_vtkPVRenderViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVRenderViewNew
#endif

static const char **PyvtkPV2DRenderView_Doc();


static PyObject *
PyvtkPV2DRenderView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPV2DRenderView::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPV2DRenderView::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  vtkPV2DRenderView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPV2DRenderView::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPV2DRenderView *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPV2DRenderView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SetInteractionMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractionMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInteractionMode(temp0);
      }
    else
      {
      op->vtkPV2DRenderView::SetInteractionMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SetAxisVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAxisVisibility(temp0);
      }
    else
      {
      op->vtkPV2DRenderView::SetAxisVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SetCenterAxesVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCenterAxesVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCenterAxesVisibility(temp0);
      }
    else
      {
      op->vtkPV2DRenderView::SetCenterAxesVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SetOrientationAxesInteractivity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesInteractivity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesInteractivity(temp0);
      }
    else
      {
      op->vtkPV2DRenderView::SetOrientationAxesInteractivity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPV2DRenderView_SetOrientationAxesVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPV2DRenderView *op = static_cast<vtkPV2DRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesVisibility(temp0);
      }
    else
      {
      op->vtkPV2DRenderView::SetOrientationAxesVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPV2DRenderView_Methods[] = {
  {(char*)"GetClassName", PyvtkPV2DRenderView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPV2DRenderView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPV2DRenderView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPV2DRenderView\nC++: vtkPV2DRenderView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPV2DRenderView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPV2DRenderView\nC++: vtkPV2DRenderView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetInteractionMode", PyvtkPV2DRenderView_SetInteractionMode, 1,
   (char*)"V.SetInteractionMode(int)\nC++: virtual void SetInteractionMode(int mode)\n\nGet/Set the interaction mode. Overridden to force 2D mode when 3D\nis requested.\n"},
  {(char*)"SetAxisVisibility", PyvtkPV2DRenderView_SetAxisVisibility, 1,
   (char*)"V.SetAxisVisibility(bool)\nC++: void SetAxisVisibility(bool)\n\nSet the visibility for the overlay legend.\n"},
  {(char*)"SetCenterAxesVisibility", PyvtkPV2DRenderView_SetCenterAxesVisibility, 1,
   (char*)"V.SetCenterAxesVisibility(bool)\nC++: virtual void SetCenterAxesVisibility(bool)\n\n"},
  {(char*)"SetOrientationAxesInteractivity", PyvtkPV2DRenderView_SetOrientationAxesInteractivity, 1,
   (char*)"V.SetOrientationAxesInteractivity(bool)\nC++: virtual void SetOrientationAxesInteractivity(bool)\n\n"},
  {(char*)"SetOrientationAxesVisibility", PyvtkPV2DRenderView_SetOrientationAxesVisibility, 1,
   (char*)"V.SetOrientationAxesVisibility(bool)\nC++: virtual void SetOrientationAxesVisibility(bool)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPV2DRenderView_StaticNew()
{
  return vtkPV2DRenderView::New();
}

PyObject *PyVTKClass_vtkPV2DRenderViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPV2DRenderView_StaticNew,
    PyvtkPV2DRenderView_Methods,
    "vtkPV2DRenderView", modulename,
    NULL, NULL,
    PyvtkPV2DRenderView_Doc(),
    PyVTKClass_vtkPVRenderViewNew(modulename));
  return cls;
}

const char **PyvtkPV2DRenderView_Doc()
{
  static const char *docstring[] = {
    "vtkPV2DRenderView\n\n",
    "Superclass: vtkPVRenderView\n\n",
    "vtkPV2DRenderView is a render view specialization that enforces 2D\ninteractions. Also, it adds a legend for showing the scale in the 2D\nview.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPV2DRenderView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPV2DRenderViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPV2DRenderView", o) != 0)
    {
    Py_DECREF(o);
    }

}

