// python wrapper for vtkPVBarChartView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVBarChartView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVBarChartView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVBarChartView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVBarChartViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVBarChartViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVXYChartViewNew
extern "C" { PyObject *PyVTKClass_vtkPVXYChartViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVXYChartViewNew
#endif

static const char **PyvtkPVBarChartView_Doc();


static PyObject *
PyvtkPVBarChartView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBarChartView *op = static_cast<vtkPVBarChartView *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVBarChartView::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVBarChartView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBarChartView *op = static_cast<vtkPVBarChartView *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVBarChartView::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVBarChartView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBarChartView *op = static_cast<vtkPVBarChartView *>(vp);

  vtkPVBarChartView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVBarChartView::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVBarChartView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVBarChartView *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVBarChartView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVBarChartView_Methods[] = {
  {(char*)"GetClassName", PyvtkPVBarChartView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVBarChartView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVBarChartView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVBarChartView\nC++: vtkPVBarChartView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVBarChartView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVBarChartView\nC++: vtkPVBarChartView *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVBarChartView_StaticNew()
{
  return vtkPVBarChartView::New();
}

PyObject *PyVTKClass_vtkPVBarChartViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVBarChartView_StaticNew,
    PyvtkPVBarChartView_Methods,
    "vtkPVBarChartView", modulename,
    NULL, NULL,
    PyvtkPVBarChartView_Doc(),
    PyVTKClass_vtkPVXYChartViewNew(modulename));
  return cls;
}

const char **PyvtkPVBarChartView_Doc()
{
  static const char *docstring[] = {
    "vtkPVBarChartView\n\n",
    "Superclass: vtkPVXYChartView\n\n",
    "Subclass for vtkPVXYChartView that calls\nvtkPVXYChartView::SetChartType(\"Bar\") in the constructor.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVBarChartView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVBarChartViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVBarChartView", o) != 0)
    {
    Py_DECREF(o);
    }

}

