// python wrapper for vtkPVCacheKeeperPipeline
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCacheKeeperPipeline.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCacheKeeperPipeline(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCacheKeeperPipeline(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCacheKeeperPipelineNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCacheKeeperPipelineNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
#endif

static const char **PyvtkPVCacheKeeperPipeline_Doc();


static PyObject *
PyvtkPVCacheKeeperPipeline_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeperPipeline *op = static_cast<vtkPVCacheKeeperPipeline *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCacheKeeperPipeline::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeperPipeline_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeperPipeline *op = static_cast<vtkPVCacheKeeperPipeline *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCacheKeeperPipeline::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeperPipeline_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeperPipeline *op = static_cast<vtkPVCacheKeeperPipeline *>(vp);

  vtkPVCacheKeeperPipeline *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCacheKeeperPipeline::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeperPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCacheKeeperPipeline *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCacheKeeperPipeline::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCacheKeeperPipeline_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCacheKeeperPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCacheKeeperPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCacheKeeperPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCacheKeeperPipeline\nC++: vtkPVCacheKeeperPipeline *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCacheKeeperPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCacheKeeperPipeline\nC++: vtkPVCacheKeeperPipeline *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCacheKeeperPipeline_StaticNew()
{
  return vtkPVCacheKeeperPipeline::New();
}

PyObject *PyVTKClass_vtkPVCacheKeeperPipelineNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCacheKeeperPipeline_StaticNew,
    PyvtkPVCacheKeeperPipeline_Methods,
    "vtkPVCacheKeeperPipeline", modulename,
    NULL, NULL,
    PyvtkPVCacheKeeperPipeline_Doc(),
    PyVTKClass_vtkCompositeDataPipelineNew(modulename));
  return cls;
}

const char **PyvtkPVCacheKeeperPipeline_Doc()
{
  static const char *docstring[] = {
    "vtkPVCacheKeeperPipeline\n\n",
    "Superclass: vtkCompositeDataPipeline\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCacheKeeperPipeline(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCacheKeeperPipelineNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCacheKeeperPipeline", o) != 0)
    {
    Py_DECREF(o);
    }

}

