// python wrapper for vtkPVCacheKeeper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCacheKeeper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCacheKeeper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCacheKeeper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCacheKeeperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCacheKeeperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkPVCacheKeeper_Doc();


static PyObject *
PyvtkPVCacheKeeper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  vtkPVCacheKeeper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCacheKeeper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCacheKeeper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_RemoveAllCaches(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllCaches");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllCaches();
      }
    else
      {
      op->vtkPVCacheKeeper::RemoveAllCaches();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_SetCacheTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCacheTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCacheTime(temp0);
      }
    else
      {
      op->vtkPVCacheKeeper::SetCacheTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_GetCacheTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCacheTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCacheTime();
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::GetCacheTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_IsCached_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsCached");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  double temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsCached(temp0);
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::IsCached(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVCacheKeeper_IsCached_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsCached");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsCached();
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::IsCached();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVCacheKeeper_IsCached(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkPVCacheKeeper_IsCached_s1(self, args);
    case 0:
      return PyvtkPVCacheKeeper_IsCached_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsCached");
  return NULL;
}



static PyObject *
PyvtkPVCacheKeeper_SetCachingEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCachingEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCachingEnabled(temp0);
      }
    else
      {
      op->vtkPVCacheKeeper::SetCachingEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_GetCachingEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCachingEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCachingEnabled();
      }
    else
      {
      tempr = op->vtkPVCacheKeeper::GetCachingEnabled();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_CachingEnabledOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CachingEnabledOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CachingEnabledOn();
      }
    else
      {
      op->vtkPVCacheKeeper::CachingEnabledOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCacheKeeper_CachingEnabledOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CachingEnabledOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCacheKeeper *op = static_cast<vtkPVCacheKeeper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CachingEnabledOff();
      }
    else
      {
      op->vtkPVCacheKeeper::CachingEnabledOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCacheKeeper_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCacheKeeper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCacheKeeper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCacheKeeper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCacheKeeper\nC++: vtkPVCacheKeeper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCacheKeeper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCacheKeeper\nC++: vtkPVCacheKeeper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"RemoveAllCaches", PyvtkPVCacheKeeper_RemoveAllCaches, 1,
   (char*)"V.RemoveAllCaches()\nC++: void RemoveAllCaches()\n\nMethods for saving, clearing and updating flip books. This\nremoves all saved cache.\n"},
  {(char*)"SetCacheTime", PyvtkPVCacheKeeper_SetCacheTime, 1,
   (char*)"V.SetCacheTime(float)\nC++: void SetCacheTime(double a)\n\nSet/Get the current cache time.\n"},
  {(char*)"GetCacheTime", PyvtkPVCacheKeeper_GetCacheTime, 1,
   (char*)"V.GetCacheTime() -> float\nC++: double GetCacheTime()\n\nSet/Get the current cache time.\n"},
  {(char*)"IsCached", PyvtkPVCacheKeeper_IsCached, 1,
   (char*)"V.IsCached(float) -> bool\nC++: bool IsCached(double cacheTime)\nV.IsCached() -> bool\nC++: bool IsCached()\n\nReturns if the given cacheTime is available in the cache. Does\nnot cause any updates.\n"},
  {(char*)"SetCachingEnabled", PyvtkPVCacheKeeper_SetCachingEnabled, 1,
   (char*)"V.SetCachingEnabled(bool)\nC++: void SetCachingEnabled(bool a)\n\nGet/Set if caching is enabled. Default is true.\n"},
  {(char*)"GetCachingEnabled", PyvtkPVCacheKeeper_GetCachingEnabled, 1,
   (char*)"V.GetCachingEnabled() -> bool\nC++: bool GetCachingEnabled()\n\nGet/Set if caching is enabled. Default is true.\n"},
  {(char*)"CachingEnabledOn", PyvtkPVCacheKeeper_CachingEnabledOn, 1,
   (char*)"V.CachingEnabledOn()\nC++: void CachingEnabledOn()\n\nGet/Set if caching is enabled. Default is true.\n"},
  {(char*)"CachingEnabledOff", PyvtkPVCacheKeeper_CachingEnabledOff, 1,
   (char*)"V.CachingEnabledOff()\nC++: void CachingEnabledOff()\n\nGet/Set if caching is enabled. Default is true.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCacheKeeper_StaticNew()
{
  return vtkPVCacheKeeper::New();
}

PyObject *PyVTKClass_vtkPVCacheKeeperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCacheKeeper_StaticNew,
    PyvtkPVCacheKeeper_Methods,
    "vtkPVCacheKeeper", modulename,
    NULL, NULL,
    PyvtkPVCacheKeeper_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVCacheKeeper_Doc()
{
  static const char *docstring[] = {
    "vtkPVCacheKeeper - manages data cache for flip book animations.\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "vtkPVCacheKeeper manages data cache for flip book animations. When\ncaching is disabled, this simply acts as a pass through filter. When\ncaching is enabled, is the current time step has been previously\ncached then this filter shuts the update request, otherwise\npropagates the update and then cache the result for later use.  The\ncurrent time step is set using SetCacheTime().\n\nSee Also:\n\nvtkPVCacheKe",
    "eperPipeline\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCacheKeeper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCacheKeeperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCacheKeeper", o) != 0)
    {
    Py_DECREF(o);
    }

}

