// python wrapper for vtkPVCameraCueManipulator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCameraCueManipulator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCameraCueManipulator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCameraCueManipulator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCameraCueManipulatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCameraCueManipulatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVKeyFrameCueManipulatorNew
extern "C" { PyObject *PyVTKClass_vtkPVKeyFrameCueManipulatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVKeyFrameCueManipulatorNew
#endif

static const char **PyvtkPVCameraCueManipulator_Doc();


static PyObject *
PyvtkPVCameraCueManipulator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  vtkPVCameraCueManipulator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCameraCueManipulator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCameraCueManipulator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_SetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMode(temp0);
      }
    else
      {
      op->vtkPVCameraCueManipulator::SetMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_GetModeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModeMinValue();
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::GetModeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_GetModeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModeMaxValue();
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::GetModeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCameraCueManipulator_GetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCameraCueManipulator *op = static_cast<vtkPVCameraCueManipulator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMode();
      }
    else
      {
      tempr = op->vtkPVCameraCueManipulator::GetMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCameraCueManipulator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCameraCueManipulator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCameraCueManipulator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCameraCueManipulator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCameraCueManipulator\nC++: vtkPVCameraCueManipulator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCameraCueManipulator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCameraCueManipulator\nC++: vtkPVCameraCueManipulator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMode", PyvtkPVCameraCueManipulator_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode(int)\n\nThis manipulator has two modes:\n\\li CAMERA - the traditional mode using vtkCameraInterpolator\n    where camera\nvalues are directly interpolated.\n\\li PATH - the easy-to-use path  based interpolation where the\n    camera\nposition/camera focal point paths can be explicitly specified. We\nmay eventually deprecate CAMERA mode since it may run out of\nusability as PATH mode matures. So the code precariously meanders\nbetween the two right now, but deprecating the old should help\nclean that up.\n"},
  {(char*)"GetModeMinValue", PyvtkPVCameraCueManipulator_GetModeMinValue, 1,
   (char*)"V.GetModeMinValue() -> int\nC++: int GetModeMinValue()\n\nThis manipulator has two modes:\n\\li CAMERA - the traditional mode using vtkCameraInterpolator\n    where camera\nvalues are directly interpolated.\n\\li PATH - the easy-to-use path  based interpolation where the\n    camera\nposition/camera focal point paths can be explicitly specified. We\nmay eventually deprecate CAMERA mode since it may run out of\nusability as PATH mode matures. So the code precariously meanders\nbetween the two right now, but deprecating the old should help\nclean that up.\n"},
  {(char*)"GetModeMaxValue", PyvtkPVCameraCueManipulator_GetModeMaxValue, 1,
   (char*)"V.GetModeMaxValue() -> int\nC++: int GetModeMaxValue()\n\nThis manipulator has two modes:\n\\li CAMERA - the traditional mode using vtkCameraInterpolator\n    where camera\nvalues are directly interpolated.\n\\li PATH - the easy-to-use path  based interpolation where the\n    camera\nposition/camera focal point paths can be explicitly specified. We\nmay eventually deprecate CAMERA mode since it may run out of\nusability as PATH mode matures. So the code precariously meanders\nbetween the two right now, but deprecating the old should help\nclean that up.\n"},
  {(char*)"GetMode", PyvtkPVCameraCueManipulator_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode()\n\nThis manipulator has two modes:\n\\li CAMERA - the traditional mode using vtkCameraInterpolator\n    where camera\nvalues are directly interpolated.\n\\li PATH - the easy-to-use path  based interpolation where the\n    camera\nposition/camera focal point paths can be explicitly specified. We\nmay eventually deprecate CAMERA mode since it may run out of\nusability as PATH mode matures. So the code precariously meanders\nbetween the two right now, but deprecating the old should help\nclean that up.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCameraCueManipulator_StaticNew()
{
  return vtkPVCameraCueManipulator::New();
}

PyObject *PyVTKClass_vtkPVCameraCueManipulatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCameraCueManipulator_StaticNew,
    PyvtkPVCameraCueManipulator_Methods,
    "vtkPVCameraCueManipulator", modulename,
    NULL, NULL,
    PyvtkPVCameraCueManipulator_Doc(),
    PyVTKClass_vtkPVKeyFrameCueManipulatorNew(modulename));
  return cls;
}

const char **PyvtkPVCameraCueManipulator_Doc()
{
  static const char *docstring[] = {
    "vtkSMCameraManipulatorProxy - Manipulator for Camera animation.\n\n",
    "Superclass: vtkPVKeyFrameCueManipulator\n\n",
    "This is the manipulator for animating camera. Unlike the base class,\ninterpolation is not done by the Keyframe objects. Instead, this\nclass does the interpolation using the values in the keyframe\nobjects. All the keyframes added to a vtkSMCameraManipulatorProxy\nmust be vtkSMCameraKeyFrameProxy. Like all animation proxies, this is\na client side only proxy with no VTK objects created on the server\ns",
    "ide.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCameraCueManipulator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCameraCueManipulatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCameraCueManipulator", o) != 0)
    {
    Py_DECREF(o);
    }

}

