// python wrapper for vtkPVCompositeDataInformationIterator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCompositeDataInformationIterator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCompositeDataInformationIterator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCompositeDataInformationIterator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCompositeDataInformationIteratorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCompositeDataInformationIteratorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVCompositeDataInformationIterator_Doc();


static PyObject *
PyvtkPVCompositeDataInformationIterator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  vtkPVCompositeDataInformationIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCompositeDataInformationIterator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCompositeDataInformationIterator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_SetDataInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  vtkPVDataInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVDataInformation"))
    {
    if (ap.IsBound())
      {
      op->SetDataInformation(temp0);
      }
    else
      {
      op->vtkPVCompositeDataInformationIterator::SetDataInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_GetDataInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  vtkPVDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataInformation();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::GetDataInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_InitTraversal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitTraversal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitTraversal();
      }
    else
      {
      op->vtkPVCompositeDataInformationIterator::InitTraversal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsDoneWithTraversal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsDoneWithTraversal();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::IsDoneWithTraversal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GoToNextItem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GoToNextItem();
      }
    else
      {
      op->vtkPVCompositeDataInformationIterator::GoToNextItem();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_GetCurrentDataInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentDataInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  vtkPVDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentDataInformation();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::GetCurrentDataInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_GetCurrentName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentName();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::GetCurrentName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataInformationIterator_GetCurrentFlatIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentFlatIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataInformationIterator *op = static_cast<vtkPVCompositeDataInformationIterator *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentFlatIndex();
      }
    else
      {
      tempr = op->vtkPVCompositeDataInformationIterator::GetCurrentFlatIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCompositeDataInformationIterator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCompositeDataInformationIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCompositeDataInformationIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCompositeDataInformationIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCompositeDataInformationIterator\nC++: vtkPVCompositeDataInformationIterator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCompositeDataInformationIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCompositeDataInformationIterator\nC++: vtkPVCompositeDataInformationIterator *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"SetDataInformation", PyvtkPVCompositeDataInformationIterator_SetDataInformation, 1,
   (char*)"V.SetDataInformation(vtkPVDataInformation)\nC++: void SetDataInformation(vtkPVDataInformation *)\n\nGet/Set the vtkPVDataInformation instance to iterate over. It is\nassumed that the argument represents the data information for a\ncomposite dataset.\n"},
  {(char*)"GetDataInformation", PyvtkPVCompositeDataInformationIterator_GetDataInformation, 1,
   (char*)"V.GetDataInformation() -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetDataInformation()\n\nGet/Set the vtkPVDataInformation instance to iterate over. It is\nassumed that the argument represents the data information for a\ncomposite dataset.\n"},
  {(char*)"InitTraversal", PyvtkPVCompositeDataInformationIterator_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal()\n\nInitializes the traversal.\n"},
  {(char*)"IsDoneWithTraversal", PyvtkPVCompositeDataInformationIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> bool\nC++: bool IsDoneWithTraversal()\n\nReturns true, if the iterator is finished with the traversal.\n"},
  {(char*)"GoToNextItem", PyvtkPVCompositeDataInformationIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: void GoToNextItem()\n\nGoes to the next node.\n"},
  {(char*)"GetCurrentDataInformation", PyvtkPVCompositeDataInformationIterator_GetCurrentDataInformation, 1,
   (char*)"V.GetCurrentDataInformation() -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetCurrentDataInformation()\n\nReturns the current nodes data-information. If current node is a\npiece within a multi-piece dataset, then this will return NULL.\n"},
  {(char*)"GetCurrentName", PyvtkPVCompositeDataInformationIterator_GetCurrentName, 1,
   (char*)"V.GetCurrentName() -> string\nC++: const char *GetCurrentName()\n\nReturns the name for the current node. Name may be valid only for\na child node. The root node has no name. Returns NULL when no\nname is provided.\n"},
  {(char*)"GetCurrentFlatIndex", PyvtkPVCompositeDataInformationIterator_GetCurrentFlatIndex, 1,
   (char*)"V.GetCurrentFlatIndex() -> int\nC++: unsigned int GetCurrentFlatIndex()\n\nReturns the current flat index/composite index. This is only\nvalid is IsDoneWithTraversal() returns false.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCompositeDataInformationIterator_StaticNew()
{
  return vtkPVCompositeDataInformationIterator::New();
}

PyObject *PyVTKClass_vtkPVCompositeDataInformationIteratorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCompositeDataInformationIterator_StaticNew,
    PyvtkPVCompositeDataInformationIterator_Methods,
    "vtkPVCompositeDataInformationIterator", modulename,
    NULL, NULL,
    PyvtkPVCompositeDataInformationIterator_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVCompositeDataInformationIterator_Doc()
{
  static const char *docstring[] = {
    "vtkPVCompositeDataInformationIterator - iterator used to iterate over\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVCompositeDataInformationIterator is an iterator used to iterate\nover data information for a composite data set.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCompositeDataInformationIterator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCompositeDataInformationIteratorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCompositeDataInformationIterator", o) != 0)
    {
    Py_DECREF(o);
    }

}

