// python wrapper for vtkPVDataRepresentationPipeline
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVDataRepresentationPipeline.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVDataRepresentationPipeline(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVDataRepresentationPipeline(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVDataRepresentationPipelineNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVDataRepresentationPipelineNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
#endif

static const char **PyvtkPVDataRepresentationPipeline_Doc();


static PyObject *
PyvtkPVDataRepresentationPipeline_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentationPipeline *op = static_cast<vtkPVDataRepresentationPipeline *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVDataRepresentationPipeline::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentationPipeline_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentationPipeline *op = static_cast<vtkPVDataRepresentationPipeline *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentationPipeline::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentationPipeline_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentationPipeline *op = static_cast<vtkPVDataRepresentationPipeline *>(vp);

  vtkPVDataRepresentationPipeline *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVDataRepresentationPipeline::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentationPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVDataRepresentationPipeline *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVDataRepresentationPipeline::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVDataRepresentationPipeline_Methods[] = {
  {(char*)"GetClassName", PyvtkPVDataRepresentationPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVDataRepresentationPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVDataRepresentationPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVDataRepresentationPipeline\nC++: vtkPVDataRepresentationPipeline *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVDataRepresentationPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVDataRepresentationPipeline\nC++: vtkPVDataRepresentationPipeline *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVDataRepresentationPipeline_StaticNew()
{
  return vtkPVDataRepresentationPipeline::New();
}

PyObject *PyVTKClass_vtkPVDataRepresentationPipelineNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVDataRepresentationPipeline_StaticNew,
    PyvtkPVDataRepresentationPipeline_Methods,
    "vtkPVDataRepresentationPipeline", modulename,
    NULL, NULL,
    PyvtkPVDataRepresentationPipeline_Doc(),
    PyVTKClass_vtkCompositeDataPipelineNew(modulename));
  return cls;
}

const char **PyvtkPVDataRepresentationPipeline_Doc()
{
  static const char *docstring[] = {
    "vtkPVDataRepresentationPipeline - executive for\n\n",
    "Superclass: vtkCompositeDataPipeline\n\n",
    "vtkPVDataRepresentationPipeline is an executive for\nvtkPVDataRepresentation. In works in collaboration with the vtkPVView\nand vtkPVDataRepresentation to ensure appropriate time/piece is\nrequested from the upstream. This also helps when caching is employed\nby the view.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVDataRepresentationPipeline(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVDataRepresentationPipelineNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVDataRepresentationPipeline", o) != 0)
    {
    Py_DECREF(o);
    }

}

