// python wrapper for vtkPVDataRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVDataRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVDataRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVDataRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataRepresentationNew
#endif

static const char **PyvtkPVDataRepresentation_Doc();


static PyObject *
PyvtkPVDataRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  vtkPVDataRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  vtkInformationRequestKey *temp0 = NULL;
  vtkInformation *temp1 = NULL;
  vtkInformation *temp2 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkInformationRequestKey") &&
      ap.GetVTKObject(temp1, "vtkInformation") &&
      ap.GetVTKObject(temp2, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->ProcessViewRequest(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::ProcessViewRequest(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_MarkModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MarkModified();
      }
    else
      {
      op->vtkPVDataRepresentation::MarkModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVisibility();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetVisibility();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetRenderedDataObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderedDataObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  int temp0;
  vtkDataObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderedDataObject(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetRenderedDataObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetUpdateTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpdateTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpdateTime(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetUpdateTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetUpdateTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateTime();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetUpdateTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetUpdateTimeValid(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateTimeValid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateTimeValid();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetUpdateTimeValid();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetUseCache(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseCache");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseCache(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetUseCache(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetCacheKey(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCacheKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCacheKey(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetCacheKey(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetForcedCacheKey(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetForcedCacheKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetForcedCacheKey(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetForcedCacheKey(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_SetForceUseCache(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetForceUseCache");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetForceUseCache(temp0);
      }
    else
      {
      op->vtkPVDataRepresentation::SetForceUseCache(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetCacheKey(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCacheKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCacheKey();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetCacheKey();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetUseCache(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseCache");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseCache();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetUseCache();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetUsingCacheForUpdate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUsingCacheForUpdate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUsingCacheForUpdate();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetUsingCacheForUpdate();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetNeedUpdate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNeedUpdate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNeedUpdate();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetNeedUpdate();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_AddToView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddToView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  vtkView *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkView"))
    {
    if (ap.IsBound())
      {
      tempr = op->AddToView(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::AddToView(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_RemoveFromView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveFromView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  vtkView *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkView"))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveFromView(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::RemoveFromView(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDataRepresentation_GetInternalOutputPort_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInternalOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  vtkAlgorithmOutput *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInternalOutputPort();
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetInternalOutputPort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVDataRepresentation_GetInternalOutputPort_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInternalOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  int temp0;
  vtkAlgorithmOutput *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInternalOutputPort(temp0);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetInternalOutputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVDataRepresentation_GetInternalOutputPort_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInternalOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDataRepresentation *op = static_cast<vtkPVDataRepresentation *>(vp);

  int temp0;
  int temp1;
  vtkAlgorithmOutput *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInternalOutputPort(temp0, temp1);
      }
    else
      {
      tempr = op->vtkPVDataRepresentation::GetInternalOutputPort(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVDataRepresentation_GetInternalOutputPort(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkPVDataRepresentation_GetInternalOutputPort_s1(self, args);
    case 1:
      return PyvtkPVDataRepresentation_GetInternalOutputPort_s2(self, args);
    case 2:
      return PyvtkPVDataRepresentation_GetInternalOutputPort_s3(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetInternalOutputPort");
  return NULL;
}


static PyMethodDef PyvtkPVDataRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVDataRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVDataRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVDataRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVDataRepresentation\nC++: vtkPVDataRepresentation *NewInstance()\n\n"},
  {(char*)"ProcessViewRequest", PyvtkPVDataRepresentation_ProcessViewRequest, 1,
   (char*)"V.ProcessViewRequest(vtkInformationRequestKey, vtkInformation,\n    vtkInformation) -> int\nC++: virtual int ProcessViewRequest(\n    vtkInformationRequestKey *request_type,\n    vtkInformation *inInfo, vtkInformation *outInfo)\n\nvtkAlgorithm::ProcessRequest() equivalent for rendering passes.\nThis is typically called by the vtkView to request meta-data from\nthe representations or ask them to perform certain tasks e.g.\nPrepareForRendering. Overridden to skip processing when\nvisibility if off.\n"},
  {(char*)"MarkModified", PyvtkPVDataRepresentation_MarkModified, 1,
   (char*)"V.MarkModified()\nC++: virtual void MarkModified()\n\nThis is one of the most important functions. In VTK pipelines,\nit's very easy for the pipeline to decide when it needs to\nre-execute. vtkAlgorithm::Update() can go up the entire pipeline\nto see if any filters MTime changed (among other things) and if\nso, it can re-execute the pipeline. However in case of\nrepresentations, the real input connection may only be present on\nthe data-server nodes. In that case the\nvtkPVDataRepresentation::RequestData() will only get called on\nthe data-server nodes. That means that representations won't be\nable to any data-delivery in RequestData(). We'd need some other\nmechanisms to synchronize data-delivery among processes. To avoid\nthat conundrum, the vtkSMRepresentationProxy calls MarkModified()\non all processes whenever any filter in the pipeline is modified.\nIn this method, the vtkPVDataRepresentation subclasses should\nensure that they mark all delivery related filters dirty in their\nRequestData to ensure they execute then next time they are\nupdated. The vtkPVDataRepresentation also uses a special\nexecutive which avoids updating the representation unless\nMarkModified() was called since the last Update(), thus acting as\na update-suppressor.\n"},
  {(char*)"SetVisibility", PyvtkPVDataRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool val)\n\nGet/Set the visibility for this representation. When the\nvisibility of representation of false, all view passes are\nignored.\n"},
  {(char*)"GetVisibility", PyvtkPVDataRepresentation_GetVisibility, 1,
   (char*)"V.GetVisibility() -> bool\nC++: bool GetVisibility()\n\nGet/Set the visibility for this representation. When the\nvisibility of representation of false, all view passes are\nignored.\n"},
  {(char*)"GetRenderedDataObject", PyvtkPVDataRepresentation_GetRenderedDataObject, 1,
   (char*)"V.GetRenderedDataObject(int) -> vtkDataObject\nC++: virtual vtkDataObject *GetRenderedDataObject(int port)\n\nReturns the data object that is rendered from the given input\nport.\n"},
  {(char*)"SetUpdateTime", PyvtkPVDataRepresentation_SetUpdateTime, 1,
   (char*)"V.SetUpdateTime(float)\nC++: virtual void SetUpdateTime(double time)\n\nSet the update time.\n"},
  {(char*)"GetUpdateTime", PyvtkPVDataRepresentation_GetUpdateTime, 1,
   (char*)"V.GetUpdateTime() -> float\nC++: double GetUpdateTime()\n\nSet the update time.\n"},
  {(char*)"GetUpdateTimeValid", PyvtkPVDataRepresentation_GetUpdateTimeValid, 1,
   (char*)"V.GetUpdateTimeValid() -> bool\nC++: bool GetUpdateTimeValid()\n\nSet whether the UpdateTime is valid.\n"},
  {(char*)"SetUseCache", PyvtkPVDataRepresentation_SetUseCache, 1,
   (char*)"V.SetUseCache(bool)\nC++: virtual void SetUseCache(bool use)\n\nThis controls when to use cache and when using cache, what cached\nvalue to use for the next update. This class using a special\nexecutive so that is a data is cached, then it does not propagate\nany pipeline requests upstream. These ivars are updated by\nvtkPVView::Update() based on the corresponding variable values on\nthe vtkPVView itself.\n"},
  {(char*)"SetCacheKey", PyvtkPVDataRepresentation_SetCacheKey, 1,
   (char*)"V.SetCacheKey(float)\nC++: virtual void SetCacheKey(double val)\n\nThis controls when to use cache and when using cache, what cached\nvalue to use for the next update. This class using a special\nexecutive so that is a data is cached, then it does not propagate\nany pipeline requests upstream. These ivars are updated by\nvtkPVView::Update() based on the corresponding variable values on\nthe vtkPVView itself.\n"},
  {(char*)"SetForcedCacheKey", PyvtkPVDataRepresentation_SetForcedCacheKey, 1,
   (char*)"V.SetForcedCacheKey(float)\nC++: virtual void SetForcedCacheKey(double val)\n\nTypically UseCache and CacheKey are updated by the View and\nrepresentations cache based on what the view tells it. However in\nsome cases we may want to force a representation to cache\nirrespective of the view (e.g. comparative views). In which case\nthese ivars can up set. If ForcedCacheKey is true, it overrides\nUseCache and CacheKey. Instead, ForcedCacheKey is used.\n"},
  {(char*)"SetForceUseCache", PyvtkPVDataRepresentation_SetForceUseCache, 1,
   (char*)"V.SetForceUseCache(bool)\nC++: virtual void SetForceUseCache(bool val)\n\nTypically UseCache and CacheKey are updated by the View and\nrepresentations cache based on what the view tells it. However in\nsome cases we may want to force a representation to cache\nirrespective of the view (e.g. comparative views). In which case\nthese ivars can up set. If ForcedCacheKey is true, it overrides\nUseCache and CacheKey. Instead, ForcedCacheKey is used.\n"},
  {(char*)"GetCacheKey", PyvtkPVDataRepresentation_GetCacheKey, 1,
   (char*)"V.GetCacheKey() -> float\nC++: virtual double GetCacheKey()\n\nReturns whether caching is used and what key to use when caching\nis enabled.\n"},
  {(char*)"GetUseCache", PyvtkPVDataRepresentation_GetUseCache, 1,
   (char*)"V.GetUseCache() -> bool\nC++: virtual bool GetUseCache()\n\nReturns whether caching is used and what key to use when caching\nis enabled.\n"},
  {(char*)"GetUsingCacheForUpdate", PyvtkPVDataRepresentation_GetUsingCacheForUpdate, 1,
   (char*)"V.GetUsingCacheForUpdate() -> bool\nC++: bool GetUsingCacheForUpdate()\n\nCalled by vtkPVDataRepresentationPipeline to see if using cache\nis valid and will be used for the update. If so, it bypasses all\npipeline passes. Subclasses should override IsCached(double) to\nindicate if a particular entry is cached.\n"},
  {(char*)"GetNeedUpdate", PyvtkPVDataRepresentation_GetNeedUpdate, 1,
   (char*)"V.GetNeedUpdate() -> bool\nC++: bool GetNeedUpdate()\n\n"},
  {(char*)"AddToView", PyvtkPVDataRepresentation_AddToView, 1,
   (char*)"V.AddToView(vtkView) -> bool\nC++: virtual bool AddToView(vtkView *view)\n\nMaking these methods public. When constructing composite\nrepresentations, we need to call these methods directly on\ninternal representations.\n"},
  {(char*)"RemoveFromView", PyvtkPVDataRepresentation_RemoveFromView, 1,
   (char*)"V.RemoveFromView(vtkView) -> bool\nC++: virtual bool RemoveFromView(vtkView *view)\n\nMaking these methods public. When constructing composite\nrepresentations, we need to call these methods directly on\ninternal representations.\n"},
  {(char*)"GetInternalOutputPort", PyvtkPVDataRepresentation_GetInternalOutputPort, 1,
   (char*)"V.GetInternalOutputPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort()\nV.GetInternalOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort(int port)\nV.GetInternalOutputPort(int, int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort(int port,\n    int conn)\n\nRetrieves an output port for the input data object at the\nspecified port and connection index. This may be connected to the\nrepresentation's internal pipeline. Overridden to use\nvtkPVTrivialProducer instead of vtkTrivialProducer\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkPVDataRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkPVDataRepresentation_Methods,
    "vtkPVDataRepresentation", modulename,
    NULL, NULL,
    PyvtkPVDataRepresentation_Doc(),
    PyVTKClass_vtkDataRepresentationNew(modulename));
  return cls;
}

const char **PyvtkPVDataRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkPVDataRepresentation\n\n",
    "Superclass: vtkDataRepresentation\n\n",
    "vtkPVDataRepresentation adds some ParaView specific API to data\nrepresentations.\n\nSee Also:\n\nvtkPVDataRepresentationPipeline\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVDataRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVDataRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVDataRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

