// python wrapper for vtkPVEnvironmentInformation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVEnvironmentInformation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVEnvironmentInformation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVEnvironmentInformation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVEnvironmentInformationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVEnvironmentInformationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVInformationNew
extern "C" { PyObject *PyVTKClass_vtkPVInformationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVInformationNew
#endif

static const char **PyvtkPVEnvironmentInformation_Doc();


static PyObject *
PyvtkPVEnvironmentInformation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnvironmentInformation *op = static_cast<vtkPVEnvironmentInformation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVEnvironmentInformation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnvironmentInformation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnvironmentInformation *op = static_cast<vtkPVEnvironmentInformation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVEnvironmentInformation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnvironmentInformation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnvironmentInformation *op = static_cast<vtkPVEnvironmentInformation *>(vp);

  vtkPVEnvironmentInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVEnvironmentInformation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnvironmentInformation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVEnvironmentInformation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVEnvironmentInformation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnvironmentInformation_CopyFromObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyFromObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnvironmentInformation *op = static_cast<vtkPVEnvironmentInformation *>(vp);

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    if (ap.IsBound())
      {
      op->CopyFromObject(temp0);
      }
    else
      {
      op->vtkPVEnvironmentInformation::CopyFromObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnvironmentInformation_GetVariable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVariable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnvironmentInformation *op = static_cast<vtkPVEnvironmentInformation *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVariable();
      }
    else
      {
      tempr = op->vtkPVEnvironmentInformation::GetVariable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVEnvironmentInformation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVEnvironmentInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVEnvironmentInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVEnvironmentInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVEnvironmentInformation\nC++: vtkPVEnvironmentInformation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVEnvironmentInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVEnvironmentInformation\nC++: vtkPVEnvironmentInformation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CopyFromObject", PyvtkPVEnvironmentInformation_CopyFromObject, 1,
   (char*)"V.CopyFromObject(vtkObject)\nC++: virtual void CopyFromObject(vtkObject *object)\n\nTransfer information about a single object into this object. The\nobject must be a vtkPVEnvironmentInformationHelper.\n"},
  {(char*)"GetVariable", PyvtkPVEnvironmentInformation_GetVariable, 1,
   (char*)"V.GetVariable() -> string\nC++: char *GetVariable()\n\nGet the value of an environment variable\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVEnvironmentInformation_StaticNew()
{
  return vtkPVEnvironmentInformation::New();
}

PyObject *PyVTKClass_vtkPVEnvironmentInformationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVEnvironmentInformation_StaticNew,
    PyvtkPVEnvironmentInformation_Methods,
    "vtkPVEnvironmentInformation", modulename,
    NULL, NULL,
    PyvtkPVEnvironmentInformation_Doc(),
    PyVTKClass_vtkPVInformationNew(modulename));
  return cls;
}

const char **PyvtkPVEnvironmentInformation_Doc()
{
  static const char *docstring[] = {
    "vtkPVEnvironmentInformation - Information object that can\n\n",
    "Superclass: vtkPVInformation\n\n",
    "vtkPVEnvironmentInformation can be used to get values of environment\nvariables.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVEnvironmentInformation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVEnvironmentInformationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVEnvironmentInformation", o) != 0)
    {
    Py_DECREF(o);
    }

}

