// python wrapper for vtkPVFileInformation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVFileInformation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVFileInformation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVFileInformation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVFileInformationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVFileInformationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVInformationNew
extern "C" { PyObject *PyVTKClass_vtkPVInformationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVInformationNew
#endif

static const char **PyvtkPVFileInformation_Doc();


static PyObject *
PyvtkPVFileInformation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVFileInformation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  vtkPVFileInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVFileInformation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVFileInformation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVFileInformation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_CopyFromObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyFromObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    if (ap.IsBound())
      {
      op->CopyFromObject(temp0);
      }
    else
      {
      op->vtkPVFileInformation::CopyFromObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkPVFileInformation::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_GetName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetName();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_GetFullPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFullPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFullPath();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetFullPath();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_GetType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetType();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_GetHidden(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHidden");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHidden();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetHidden();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFileInformation_GetContents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFileInformation *op = static_cast<vtkPVFileInformation *>(vp);

  vtkCollection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetContents();
      }
    else
      {
      tempr = op->vtkPVFileInformation::GetContents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVFileInformation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVFileInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVFileInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVFileInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVFileInformation\nC++: vtkPVFileInformation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVFileInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVFileInformation\nC++: vtkPVFileInformation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CopyFromObject", PyvtkPVFileInformation_CopyFromObject, 1,
   (char*)"V.CopyFromObject(vtkObject)\nC++: virtual void CopyFromObject(vtkObject *object)\n\nTransfer information about a single object into this object. The\nobject must be a vtkPVFileInformationHelper.\n"},
  {(char*)"Initialize", PyvtkPVFileInformation_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\nInitializes the information object.\n"},
  {(char*)"GetName", PyvtkPVFileInformation_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName()\n\nGet the name of the file/directory whose information is\nrepresented by this object.\n"},
  {(char*)"GetFullPath", PyvtkPVFileInformation_GetFullPath, 1,
   (char*)"V.GetFullPath() -> string\nC++: char *GetFullPath()\n\nGet the full path of the file/directory whose information is\nrepresented by this object.\n"},
  {(char*)"GetType", PyvtkPVFileInformation_GetType, 1,
   (char*)"V.GetType() -> int\nC++: int GetType()\n\nGet the type of this file object.\n"},
  {(char*)"GetHidden", PyvtkPVFileInformation_GetHidden, 1,
   (char*)"V.GetHidden() -> bool\nC++: bool GetHidden()\n\nGet the state of the hidden flag for the file/directory.\n"},
  {(char*)"GetContents", PyvtkPVFileInformation_GetContents, 1,
   (char*)"V.GetContents() -> vtkCollection\nC++: vtkCollection *GetContents()\n\nGet the Contents for this directory. Returns a collection with\nvtkPVFileInformation objects for the contents of this directory\nif Type = DIRECTORY or the contents of this file group if Type\n==FILE_GROUP.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVFileInformation_StaticNew()
{
  return vtkPVFileInformation::New();
}

PyObject *PyVTKClass_vtkPVFileInformationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVFileInformation_StaticNew,
    PyvtkPVFileInformation_Methods,
    "vtkPVFileInformation", modulename,
    NULL, NULL,
    PyvtkPVFileInformation_Doc(),
    PyVTKClass_vtkPVInformationNew(modulename));
  return cls;
}

const char **PyvtkPVFileInformation_Doc()
{
  static const char *docstring[] = {
    "vtkPVFileInformation - Information object that can\n\n",
    "Superclass: vtkPVInformation\n\n",
    "vtkPVFileInformation can be used to collect information about file or\ndirectory. vtkPVFileInformation can collect information from a\nvtkPVFileInformationHelper object alone.\n\nSee Also:\n\nvtkPVFileInformationHelper\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVFileInformation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVFileInformationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVFileInformation", o) != 0)
    {
    Py_DECREF(o);
    }

}

