// python wrapper for vtkPVLineChartView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVLineChartView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVLineChartView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVLineChartView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVLineChartViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVLineChartViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVXYChartViewNew
extern "C" { PyObject *PyVTKClass_vtkPVXYChartViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVXYChartViewNew
#endif

static const char **PyvtkPVLineChartView_Doc();


static PyObject *
PyvtkPVLineChartView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLineChartView *op = static_cast<vtkPVLineChartView *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVLineChartView::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVLineChartView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLineChartView *op = static_cast<vtkPVLineChartView *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVLineChartView::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVLineChartView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLineChartView *op = static_cast<vtkPVLineChartView *>(vp);

  vtkPVLineChartView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVLineChartView::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVLineChartView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVLineChartView *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVLineChartView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVLineChartView_Methods[] = {
  {(char*)"GetClassName", PyvtkPVLineChartView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVLineChartView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVLineChartView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVLineChartView\nC++: vtkPVLineChartView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVLineChartView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVLineChartView\nC++: vtkPVLineChartView *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVLineChartView_StaticNew()
{
  return vtkPVLineChartView::New();
}

PyObject *PyVTKClass_vtkPVLineChartViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVLineChartView_StaticNew,
    PyvtkPVLineChartView_Methods,
    "vtkPVLineChartView", modulename,
    NULL, NULL,
    PyvtkPVLineChartView_Doc(),
    PyVTKClass_vtkPVXYChartViewNew(modulename));
  return cls;
}

const char **PyvtkPVLineChartView_Doc()
{
  static const char *docstring[] = {
    "vtkPVLineChartView\n\n",
    "Superclass: vtkPVXYChartView\n\n",
    "Subclass for vtkPVXYChartView that calls\nvtkPVXYChartView::SetChartType(\"Line\") in the constructor.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVLineChartView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVLineChartViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVLineChartView", o) != 0)
    {
    Py_DECREF(o);
    }

}

