// python wrapper for vtkPVOptions
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVOptions.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVOptions(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVOptions(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVOptionsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVOptionsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCommandOptionsNew
extern "C" { PyObject *PyVTKClass_vtkCommandOptionsNew(const char *); }
#define DECLARED_PyVTKClass_vtkCommandOptionsNew
#endif

static const char **PyvtkPVOptions_Doc();


static PyObject *
PyvtkPVOptions_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVOptions::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  vtkPVOptions *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVOptions::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVOptions *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVOptions::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetServerMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerMode();
      }
    else
      {
      tempr = op->vtkPVOptions::GetServerMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetRenderServerMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderServerMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderServerMode();
      }
    else
      {
      tempr = op->vtkPVOptions::GetRenderServerMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConnectID();
      }
    else
      {
      tempr = op->vtkPVOptions::GetConnectID();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseOffscreenRendering();
      }
    else
      {
      tempr = op->vtkPVOptions::GetUseOffscreenRendering();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseStereoRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseStereoRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseStereoRendering();
      }
    else
      {
      tempr = op->vtkPVOptions::GetUseStereoRendering();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetStereoType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStereoType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStereoType();
      }
    else
      {
      tempr = op->vtkPVOptions::GetStereoType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetClientMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientMode();
      }
    else
      {
      tempr = op->vtkPVOptions::GetClientMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerPort();
      }
    else
      {
      tempr = op->vtkPVOptions::GetServerPort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDataServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataServerPort();
      }
    else
      {
      tempr = op->vtkPVOptions::GetDataServerPort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetRenderServerPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderServerPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderServerPort();
      }
    else
      {
      tempr = op->vtkPVOptions::GetRenderServerPort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetRenderNodePort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderNodePort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderNodePort();
      }
    else
      {
      tempr = op->vtkPVOptions::GetRenderNodePort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDisableComposite(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisableComposite");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDisableComposite();
      }
    else
      {
      tempr = op->vtkPVOptions::GetDisableComposite();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseSoftwareRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseSoftwareRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseSoftwareRendering();
      }
    else
      {
      tempr = op->vtkPVOptions::GetUseSoftwareRendering();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseSatelliteSoftwareRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseSatelliteSoftwareRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseSatelliteSoftwareRendering();
      }
    else
      {
      tempr = op->vtkPVOptions::GetUseSatelliteSoftwareRendering();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetReverseConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReverseConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReverseConnection();
      }
    else
      {
      tempr = op->vtkPVOptions::GetReverseConnection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetUseRenderingGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseRenderingGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseRenderingGroup();
      }
    else
      {
      tempr = op->vtkPVOptions::GetUseRenderingGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTileDimensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTileDimensions();
      }
    else
      {
      tempr = op->vtkPVOptions::GetTileDimensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTileMullions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTileMullions();
      }
    else
      {
      tempr = op->vtkPVOptions::GetTileMullions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetRenderModuleName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderModuleName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderModuleName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetRenderModuleName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetCaveConfigurationFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCaveConfigurationFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCaveConfigurationFileName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetCaveConfigurationFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetMachinesFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMachinesFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMachinesFileName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetMachinesFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetGroupFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGroupFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGroupFileName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetGroupFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetParaViewDataName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParaViewDataName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParaViewDataName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetParaViewDataName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetStateFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStateFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStateFileName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetStateFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTimeout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeout();
      }
    else
      {
      tempr = op->vtkPVOptions::GetTimeout();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SetConnectID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConnectID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetConnectID(temp0);
      }
    else
      {
      op->vtkPVOptions::SetConnectID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetServerHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerHostName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetServerHostName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetDataServerHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataServerHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataServerHostName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetDataServerHostName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetRenderServerHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderServerHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderServerHostName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetRenderServerHostName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetClientHostName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientHostName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientHostName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetClientHostName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SetRenderModuleName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderModuleName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRenderModuleName(temp0);
      }
    else
      {
      op->vtkPVOptions::SetRenderModuleName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SetLogFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLogFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLogFileName(temp0);
      }
    else
      {
      op->vtkPVOptions::SetLogFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetLogFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLogFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLogFileName();
      }
    else
      {
      tempr = op->vtkPVOptions::GetLogFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SetTileDimensions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetTileDimensions(temp0, temp1);
      }
    else
      {
      op->vtkPVOptions::SetTileDimensions(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVOptions_SetTileDimensions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetTileDimensions(temp0);
      }
    else
      {
      op->vtkPVOptions::SetTileDimensions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVOptions_SetTileDimensions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkPVOptions_SetTileDimensions_s1(self, args);
    case 1:
      return PyvtkPVOptions_SetTileDimensions_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetTileDimensions");
  return NULL;
}



static PyObject *
PyvtkPVOptions_SetTileMullions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetTileMullions(temp0, temp1);
      }
    else
      {
      op->vtkPVOptions::SetTileMullions(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVOptions_SetTileMullions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetTileMullions(temp0);
      }
    else
      {
      op->vtkPVOptions::SetTileMullions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVOptions_SetTileMullions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkPVOptions_SetTileMullions_s1(self, args);
    case 1:
      return PyvtkPVOptions_SetTileMullions_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetTileMullions");
  return NULL;
}



static PyObject *
PyvtkPVOptions_SetUseOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseOffscreenRendering(temp0);
      }
    else
      {
      op->vtkPVOptions::SetUseOffscreenRendering(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetClientRenderServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientRenderServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientRenderServer();
      }
    else
      {
      tempr = op->vtkPVOptions::GetClientRenderServer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetSymmetricMPIMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSymmetricMPIMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSymmetricMPIMode();
      }
    else
      {
      tempr = op->vtkPVOptions::GetSymmetricMPIMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_SetSymmetricMPIMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSymmetricMPIMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSymmetricMPIMode(temp0);
      }
    else
      {
      op->vtkPVOptions::SetSymmetricMPIMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVOptions_GetTellVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTellVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVOptions *op = static_cast<vtkPVOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTellVersion();
      }
    else
      {
      tempr = op->vtkPVOptions::GetTellVersion();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVOptions_Methods[] = {
  {(char*)"GetClassName", PyvtkPVOptions_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVOptions_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVOptions_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVOptions\nC++: vtkPVOptions *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVOptions_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVOptions\nC++: vtkPVOptions *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetServerMode", PyvtkPVOptions_GetServerMode, 1,
   (char*)"V.GetServerMode() -> int\nC++: int GetServerMode()\n\n"},
  {(char*)"GetRenderServerMode", PyvtkPVOptions_GetRenderServerMode, 1,
   (char*)"V.GetRenderServerMode() -> int\nC++: int GetRenderServerMode()\n\n"},
  {(char*)"GetConnectID", PyvtkPVOptions_GetConnectID, 1,
   (char*)"V.GetConnectID() -> int\nC++: int GetConnectID()\n\n"},
  {(char*)"GetUseOffscreenRendering", PyvtkPVOptions_GetUseOffscreenRendering, 1,
   (char*)"V.GetUseOffscreenRendering() -> int\nC++: int GetUseOffscreenRendering()\n\n"},
  {(char*)"GetUseStereoRendering", PyvtkPVOptions_GetUseStereoRendering, 1,
   (char*)"V.GetUseStereoRendering() -> int\nC++: int GetUseStereoRendering()\n\n"},
  {(char*)"GetStereoType", PyvtkPVOptions_GetStereoType, 1,
   (char*)"V.GetStereoType() -> string\nC++: char *GetStereoType()\n\n"},
  {(char*)"GetClientMode", PyvtkPVOptions_GetClientMode, 1,
   (char*)"V.GetClientMode() -> int\nC++: int GetClientMode()\n\n"},
  {(char*)"GetServerPort", PyvtkPVOptions_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort()\n\nGet Various ports.\n"},
  {(char*)"GetDataServerPort", PyvtkPVOptions_GetDataServerPort, 1,
   (char*)"V.GetDataServerPort() -> int\nC++: int GetDataServerPort()\n\nGet Various ports.\n"},
  {(char*)"GetRenderServerPort", PyvtkPVOptions_GetRenderServerPort, 1,
   (char*)"V.GetRenderServerPort() -> int\nC++: int GetRenderServerPort()\n\nGet Various ports.\n"},
  {(char*)"GetRenderNodePort", PyvtkPVOptions_GetRenderNodePort, 1,
   (char*)"V.GetRenderNodePort() -> int\nC++: int GetRenderNodePort()\n\nGet Various ports.\n"},
  {(char*)"GetDisableComposite", PyvtkPVOptions_GetDisableComposite, 1,
   (char*)"V.GetDisableComposite() -> int\nC++: int GetDisableComposite()\n\n"},
  {(char*)"GetUseSoftwareRendering", PyvtkPVOptions_GetUseSoftwareRendering, 1,
   (char*)"V.GetUseSoftwareRendering() -> int\nC++: int GetUseSoftwareRendering()\n\n"},
  {(char*)"GetUseSatelliteSoftwareRendering", PyvtkPVOptions_GetUseSatelliteSoftwareRendering, 1,
   (char*)"V.GetUseSatelliteSoftwareRendering() -> int\nC++: int GetUseSatelliteSoftwareRendering()\n\n"},
  {(char*)"GetReverseConnection", PyvtkPVOptions_GetReverseConnection, 1,
   (char*)"V.GetReverseConnection() -> int\nC++: int GetReverseConnection()\n\n"},
  {(char*)"GetUseRenderingGroup", PyvtkPVOptions_GetUseRenderingGroup, 1,
   (char*)"V.GetUseRenderingGroup() -> int\nC++: int GetUseRenderingGroup()\n\n"},
  {(char*)"GetTileDimensions", PyvtkPVOptions_GetTileDimensions, 1,
   (char*)"V.GetTileDimensions() -> (int, int)\nC++: int *GetTileDimensions()\n\n"},
  {(char*)"GetTileMullions", PyvtkPVOptions_GetTileMullions, 1,
   (char*)"V.GetTileMullions() -> (int, int)\nC++: int *GetTileMullions()\n\n"},
  {(char*)"GetRenderModuleName", PyvtkPVOptions_GetRenderModuleName, 1,
   (char*)"V.GetRenderModuleName() -> string\nC++: char *GetRenderModuleName()\n\n"},
  {(char*)"GetCaveConfigurationFileName", PyvtkPVOptions_GetCaveConfigurationFileName, 1,
   (char*)"V.GetCaveConfigurationFileName() -> string\nC++: char *GetCaveConfigurationFileName()\n\n"},
  {(char*)"GetMachinesFileName", PyvtkPVOptions_GetMachinesFileName, 1,
   (char*)"V.GetMachinesFileName() -> string\nC++: char *GetMachinesFileName()\n\n"},
  {(char*)"GetGroupFileName", PyvtkPVOptions_GetGroupFileName, 1,
   (char*)"V.GetGroupFileName() -> string\nC++: char *GetGroupFileName()\n\n"},
  {(char*)"GetParaViewDataName", PyvtkPVOptions_GetParaViewDataName, 1,
   (char*)"V.GetParaViewDataName() -> string\nC++: char *GetParaViewDataName()\n\n"},
  {(char*)"GetStateFileName", PyvtkPVOptions_GetStateFileName, 1,
   (char*)"V.GetStateFileName() -> string\nC++: char *GetStateFileName()\n\nState file to load on startup.\n"},
  {(char*)"GetTimeout", PyvtkPVOptions_GetTimeout, 1,
   (char*)"V.GetTimeout() -> int\nC++: int GetTimeout()\n\nValid on PVSERVER and PVDATA_SERVER only. It denotes the time (in\nminutes) since the time that the connection was established with\nthe server that the server may timeout. timeout <= 0 means no\ntimeout.\n"},
  {(char*)"SetConnectID", PyvtkPVOptions_SetConnectID, 1,
   (char*)"V.SetConnectID(int)\nC++: void SetConnectID(int a)\n\nClients need to set the ConnectID so they can handle server\nconnections after the client has started.\n"},
  {(char*)"GetServerHostName", PyvtkPVOptions_GetServerHostName, 1,
   (char*)"V.GetServerHostName() -> string\nC++: char *GetServerHostName()\n\nGet the various types of host names.\n"},
  {(char*)"GetDataServerHostName", PyvtkPVOptions_GetDataServerHostName, 1,
   (char*)"V.GetDataServerHostName() -> string\nC++: char *GetDataServerHostName()\n\nGet the various types of host names.\n"},
  {(char*)"GetRenderServerHostName", PyvtkPVOptions_GetRenderServerHostName, 1,
   (char*)"V.GetRenderServerHostName() -> string\nC++: char *GetRenderServerHostName()\n\nGet the various types of host names.\n"},
  {(char*)"GetClientHostName", PyvtkPVOptions_GetClientHostName, 1,
   (char*)"V.GetClientHostName() -> string\nC++: char *GetClientHostName()\n\nGet the various types of host names.\n"},
  {(char*)"SetRenderModuleName", PyvtkPVOptions_SetRenderModuleName, 1,
   (char*)"V.SetRenderModuleName(string)\nC++: void SetRenderModuleName(char *)\n\nvtkProcessModule needs to set the render module name\n"},
  {(char*)"SetLogFileName", PyvtkPVOptions_SetLogFileName, 1,
   (char*)"V.SetLogFileName(string)\nC++: void SetLogFileName(char *)\n\nLog filename.\n"},
  {(char*)"GetLogFileName", PyvtkPVOptions_GetLogFileName, 1,
   (char*)"V.GetLogFileName() -> string\nC++: char *GetLogFileName()\n\nLog filename.\n"},
  {(char*)"SetTileDimensions", PyvtkPVOptions_SetTileDimensions, 1,
   (char*)"V.SetTileDimensions(int, int)\nC++: void SetTileDimensions(int, int)\nV.SetTileDimensions((int, int))\nC++: void SetTileDimensions(int a[2])\n\n"},
  {(char*)"SetTileMullions", PyvtkPVOptions_SetTileMullions, 1,
   (char*)"V.SetTileMullions(int, int)\nC++: void SetTileMullions(int, int)\nV.SetTileMullions((int, int))\nC++: void SetTileMullions(int a[2])\n\n"},
  {(char*)"SetUseOffscreenRendering", PyvtkPVOptions_SetUseOffscreenRendering, 1,
   (char*)"V.SetUseOffscreenRendering(int)\nC++: void SetUseOffscreenRendering(int a)\n\nvtkPVProcessModule needs to set this.\n"},
  {(char*)"GetClientRenderServer", PyvtkPVOptions_GetClientRenderServer, 1,
   (char*)"V.GetClientRenderServer() -> int\nC++: int GetClientRenderServer()\n\nIs this in render server mode.\n"},
  {(char*)"GetSymmetricMPIMode", PyvtkPVOptions_GetSymmetricMPIMode, 1,
   (char*)"V.GetSymmetricMPIMode() -> int\nC++: int GetSymmetricMPIMode()\n\nIndicates if the application is in symmetric mpi mode. This is\napplicable only to PVBATCH type of processes. Typically, when set\nto true, the python script is run on satellites as well,\notherwise only the root node processes the python script.\nDisabled by default.\n"},
  {(char*)"SetSymmetricMPIMode", PyvtkPVOptions_SetSymmetricMPIMode, 1,
   (char*)"V.SetSymmetricMPIMode(int)\nC++: void SetSymmetricMPIMode(int a)\n\nIndicates if the application is in symmetric mpi mode. This is\napplicable only to PVBATCH type of processes. Typically, when set\nto true, the python script is run on satellites as well,\notherwise only the root node processes the python script.\nDisabled by default.\n"},
  {(char*)"GetTellVersion", PyvtkPVOptions_GetTellVersion, 1,
   (char*)"V.GetTellVersion() -> int\nC++: int GetTellVersion()\n\nShould this run print the version numbers and exit.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVOptions_StaticNew()
{
  return vtkPVOptions::New();
}

PyObject *PyVTKClass_vtkPVOptionsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVOptions_StaticNew,
    PyvtkPVOptions_Methods,
    "vtkPVOptions", modulename,
    NULL, NULL,
    PyvtkPVOptions_Doc(),
    PyVTKClass_vtkCommandOptionsNew(modulename));
  return cls;
}

const char **PyvtkPVOptions_Doc()
{
  static const char *docstring[] = {
    "vtkPVOptions - ParaView options storage\n\n",
    "Superclass: vtkCommandOptions\n\n",
    "An object of this class represents a storage for ParaView options\n\nThese options can be retrieved during run-time, set using\nconfiguration file or using Command Line Arguments.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVOptions(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVOptionsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVOptions", o) != 0)
    {
    Py_DECREF(o);
    }

}

