// python wrapper for vtkPVParallelCoordinatesRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVParallelCoordinatesRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVParallelCoordinatesRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVParallelCoordinatesRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVParallelCoordinatesRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVParallelCoordinatesRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkChartRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkChartRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkChartRepresentationNew
#endif

static const char **PyvtkPVParallelCoordinatesRepresentation_Doc();


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVParallelCoordinatesRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVParallelCoordinatesRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  vtkPVParallelCoordinatesRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVParallelCoordinatesRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVParallelCoordinatesRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVParallelCoordinatesRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_GetChart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  vtkChartParallelCoordinates *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChart();
      }
    else
      {
      tempr = op->vtkPVParallelCoordinatesRepresentation::GetChart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetSeriesVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSeriesVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetSeriesVisibility(temp0, temp1);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetSeriesVisibility(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetLabel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLabel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetLabel(temp0, temp1);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetLabel(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetLineThickness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineThickness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLineThickness(temp0);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetLineThickness(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetLineStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLineStyle(temp0);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetLineStyle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVParallelCoordinatesRepresentation_SetOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVParallelCoordinatesRepresentation *op = static_cast<vtkPVParallelCoordinatesRepresentation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOpacity(temp0);
      }
    else
      {
      op->vtkPVParallelCoordinatesRepresentation::SetOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVParallelCoordinatesRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVParallelCoordinatesRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVParallelCoordinatesRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVParallelCoordinatesRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVParallelCoordinatesRepresentation\nC++: vtkPVParallelCoordinatesRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVParallelCoordinatesRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkPVParallelCoordinatesRepresentation\nC++: vtkPVParallelCoordinatesRepresentation *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"GetChart", PyvtkPVParallelCoordinatesRepresentation_GetChart, 1,
   (char*)"V.GetChart() -> vtkChartParallelCoordinates\nC++: vtkChartParallelCoordinates *GetChart()\n\nProvides access to the underlying VTK representation.\n"},
  {(char*)"SetVisibility", PyvtkPVParallelCoordinatesRepresentation_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility(bool visible)\n\nSet visibility of the representation.\n"},
  {(char*)"SetSeriesVisibility", PyvtkPVParallelCoordinatesRepresentation_SetSeriesVisibility, 1,
   (char*)"V.SetSeriesVisibility(string, int)\nC++: void SetSeriesVisibility(const char *name, int visible)\n\nSet series visibility for the series with the given name.\n"},
  {(char*)"SetLabel", PyvtkPVParallelCoordinatesRepresentation_SetLabel, 1,
   (char*)"V.SetLabel(string, string)\nC++: void SetLabel(const char *name, const char *label)\n\nSet series label for the series with the given name.\n"},
  {(char*)"SetLineThickness", PyvtkPVParallelCoordinatesRepresentation_SetLineThickness, 1,
   (char*)"V.SetLineThickness(int)\nC++: void SetLineThickness(int value)\n\n"},
  {(char*)"SetLineStyle", PyvtkPVParallelCoordinatesRepresentation_SetLineStyle, 1,
   (char*)"V.SetLineStyle(int)\nC++: void SetLineStyle(int value)\n\n"},
  {(char*)"SetColor", PyvtkPVParallelCoordinatesRepresentation_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor(double r, double g, double b)\n\n"},
  {(char*)"SetOpacity", PyvtkPVParallelCoordinatesRepresentation_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity(double opacity)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVParallelCoordinatesRepresentation_StaticNew()
{
  return vtkPVParallelCoordinatesRepresentation::New();
}

PyObject *PyVTKClass_vtkPVParallelCoordinatesRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVParallelCoordinatesRepresentation_StaticNew,
    PyvtkPVParallelCoordinatesRepresentation_Methods,
    "vtkPVParallelCoordinatesRepresentation", modulename,
    NULL, NULL,
    PyvtkPVParallelCoordinatesRepresentation_Doc(),
    PyVTKClass_vtkChartRepresentationNew(modulename));
  return cls;
}

const char **PyvtkPVParallelCoordinatesRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkPVParallelCoordinatesRepresentation\n\n",
    "Superclass: vtkChartRepresentation\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVParallelCoordinatesRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVParallelCoordinatesRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVParallelCoordinatesRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

