// python wrapper for vtkPVPluginLoader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVPluginLoader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVPluginLoader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVPluginLoader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVPluginLoaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVPluginLoaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVPluginLoader_Doc();


static PyObject *
PyvtkPVPluginLoader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVPluginLoader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  vtkPVPluginLoader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVPluginLoader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVPluginLoader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_LoadPlugin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPlugin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadPlugin(temp0);
      }
    else
      {
      tempr = op->vtkPVPluginLoader::LoadPlugin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_LoadPluginSilently(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginSilently");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadPluginSilently(temp0);
      }
    else
      {
      tempr = op->vtkPVPluginLoader::LoadPluginSilently(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_LoadPluginConfigurationXMLFromString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginConfigurationXMLFromString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadPluginConfigurationXMLFromString(temp0);
      }
    else
      {
      op->vtkPVPluginLoader::LoadPluginConfigurationXMLFromString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_LoadPluginsFromPluginSearchPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginsFromPluginSearchPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadPluginsFromPluginSearchPath();
      }
    else
      {
      op->vtkPVPluginLoader::LoadPluginsFromPluginSearchPath();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_LoadPluginsFromPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginsFromPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadPluginsFromPath(temp0);
      }
    else
      {
      op->vtkPVPluginLoader::LoadPluginsFromPath(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetPluginName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPluginName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPluginName();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetPluginName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetPluginVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPluginVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPluginVersion();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetPluginVersion();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetErrorString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetErrorString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetErrorString();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetErrorString();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetSearchPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSearchPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSearchPaths();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetSearchPaths();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPluginLoader_GetLoaded(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoaded");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPluginLoader *op = static_cast<vtkPVPluginLoader *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLoaded();
      }
    else
      {
      tempr = op->vtkPVPluginLoader::GetLoaded();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVPluginLoader_Methods[] = {
  {(char*)"GetClassName", PyvtkPVPluginLoader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVPluginLoader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVPluginLoader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVPluginLoader\nC++: vtkPVPluginLoader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVPluginLoader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVPluginLoader\nC++: vtkPVPluginLoader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LoadPlugin", PyvtkPVPluginLoader_LoadPlugin, 1,
   (char*)"V.LoadPlugin(string) -> bool\nC++: bool LoadPlugin(const char *filename)\n\nTries to the load the plugin given the path to the plugin file.\n"},
  {(char*)"LoadPluginSilently", PyvtkPVPluginLoader_LoadPluginSilently, 1,
   (char*)"V.LoadPluginSilently(string) -> bool\nC++: bool LoadPluginSilently(const char *filename)\n\nTries to the load the plugin given the path to the plugin file.\n"},
  {(char*)"LoadPluginConfigurationXMLFromString", PyvtkPVPluginLoader_LoadPluginConfigurationXMLFromString, 1,
   (char*)"V.LoadPluginConfigurationXMLFromString(string)\nC++: void LoadPluginConfigurationXMLFromString(\n    const char *xmlcontents)\n\nSimply forwards the call to\nvtkPVPluginLoader::LoadPluginConfigurationXMLFromString to load\nconfiguration xml.\n"},
  {(char*)"LoadPluginsFromPluginSearchPath", PyvtkPVPluginLoader_LoadPluginsFromPluginSearchPath, 1,
   (char*)"V.LoadPluginsFromPluginSearchPath()\nC++: void LoadPluginsFromPluginSearchPath()\n\nLoads all plugins under the directories mentioned in the\nSearchPaths.\n"},
  {(char*)"LoadPluginsFromPath", PyvtkPVPluginLoader_LoadPluginsFromPath, 1,
   (char*)"V.LoadPluginsFromPath(string)\nC++: void LoadPluginsFromPath(const char *path)\n\nLoads all plugin libraries at a path.\n"},
  {(char*)"GetFileName", PyvtkPVPluginLoader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nReturns the full filename for the plugin attempted to load most\nrecently using LoadPlugin().\n"},
  {(char*)"GetPluginName", PyvtkPVPluginLoader_GetPluginName, 1,
   (char*)"V.GetPluginName() -> string\nC++: char *GetPluginName()\n\nGet the plugin name. This returns a valid name only after the\nplugin has been loaded.\n"},
  {(char*)"GetPluginVersion", PyvtkPVPluginLoader_GetPluginVersion, 1,
   (char*)"V.GetPluginVersion() -> string\nC++: char *GetPluginVersion()\n\nGet the plugin version string. This returns a valid version\nstring only after the plugin has been loaded.\n"},
  {(char*)"GetErrorString", PyvtkPVPluginLoader_GetErrorString, 1,
   (char*)"V.GetErrorString() -> string\nC++: char *GetErrorString()\n\nGet the error string if the plugin failed to load. Returns NULL\nif the plugin was loaded successfully.\n"},
  {(char*)"GetSearchPaths", PyvtkPVPluginLoader_GetSearchPaths, 1,
   (char*)"V.GetSearchPaths() -> string\nC++: char *GetSearchPaths()\n\nGet a string of standard search paths (path1;path2;path3) search\npaths are based on PV_PLUGIN_PATH, plugin dir relative to\nexecutable.\n"},
  {(char*)"GetLoaded", PyvtkPVPluginLoader_GetLoaded, 1,
   (char*)"V.GetLoaded() -> bool\nC++: bool GetLoaded()\n\nReturns the status of most recent LoadPlugin call.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVPluginLoader_StaticNew()
{
  return vtkPVPluginLoader::New();
}

PyObject *PyVTKClass_vtkPVPluginLoaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVPluginLoader_StaticNew,
    PyvtkPVPluginLoader_Methods,
    "vtkPVPluginLoader", modulename,
    NULL, NULL,
    PyvtkPVPluginLoader_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVPluginLoader_Doc()
{
  static const char *docstring[] = {
    "vtkPVPluginLoader - Used to load ParaView plugins.\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVPluginLoader can be used to load plugins for ParaView.\nvtkPVPluginLoader loads the plugin on the local process. For verbose\ndetails during the process of loading the plugin, try setting the\nenvironment variable PV_PLUGIN_DEBUG. This class only needed when\nloading plugins from shared libraries dynamically. For statically\nimporting plugins, one directly uses PV_PLUGIN_IMPORT() macro defined\nin ",
    "vtkPVPlugin.h.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVPluginLoader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVPluginLoaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVPluginLoader", o) != 0)
    {
    Py_DECREF(o);
    }

}

