// python wrapper for vtkPVProgressHandler
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVProgressHandler.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVProgressHandler(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVProgressHandler(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVProgressHandlerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVProgressHandlerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVProgressHandler_Doc();


static PyObject *
PyvtkPVProgressHandler_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVProgressHandler::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  vtkPVProgressHandler *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVProgressHandler *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVProgressHandler::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_SetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  vtkPVSession *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVSession"))
    {
    if (ap.IsBound())
      {
      op->SetSession(temp0);
      }
    else
      {
      op->vtkPVProgressHandler::SetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  vtkPVSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSession();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_RegisterProgressEvent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterProgressEvent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  vtkObject *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkObject") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->RegisterProgressEvent(temp0, temp1);
      }
    else
      {
      op->vtkPVProgressHandler::RegisterProgressEvent(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_PrepareProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrepareProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PrepareProgress();
      }
    else
      {
      op->vtkPVProgressHandler::PrepareProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_CleanupPendingProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CleanupPendingProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CleanupPendingProgress();
      }
    else
      {
      op->vtkPVProgressHandler::CleanupPendingProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_SetProgressFrequency(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProgressFrequency");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProgressFrequency(temp0);
      }
    else
      {
      op->vtkPVProgressHandler::SetProgressFrequency(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetProgressFrequencyMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProgressFrequencyMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProgressFrequencyMinValue();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetProgressFrequencyMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetProgressFrequencyMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProgressFrequencyMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProgressFrequencyMaxValue();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetProgressFrequencyMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetProgressFrequency(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProgressFrequency");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProgressFrequency();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetProgressFrequency();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetLastProgressText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProgressText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProgressText();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetLastProgressText();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVProgressHandler_GetLastProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVProgressHandler *op = static_cast<vtkPVProgressHandler *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProgress();
      }
    else
      {
      tempr = op->vtkPVProgressHandler::GetLastProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVProgressHandler_Methods[] = {
  {(char*)"GetClassName", PyvtkPVProgressHandler_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVProgressHandler_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVProgressHandler_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVProgressHandler\nC++: vtkPVProgressHandler *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVProgressHandler_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVProgressHandler\nC++: vtkPVProgressHandler *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetSession", PyvtkPVProgressHandler_SetSession, 1,
   (char*)"V.SetSession(vtkPVSession)\nC++: void SetSession(vtkPVSession *conn)\n\nGet/Set the session. This is not reference-counted to avoid\ncycles.\n"},
  {(char*)"GetSession", PyvtkPVProgressHandler_GetSession, 1,
   (char*)"V.GetSession() -> vtkPVSession\nC++: vtkPVSession *GetSession()\n\nGet/Set the session. This is not reference-counted to avoid\ncycles.\n"},
  {(char*)"RegisterProgressEvent", PyvtkPVProgressHandler_RegisterProgressEvent, 1,
   (char*)"V.RegisterProgressEvent(vtkObject, int)\nC++: void RegisterProgressEvent(vtkObject *object, int id)\n\nListen to progress events from the object.\n"},
  {(char*)"PrepareProgress", PyvtkPVProgressHandler_PrepareProgress, 1,
   (char*)"V.PrepareProgress()\nC++: void PrepareProgress()\n\nThis method resets all the progress counters and prepares\nprogress reporting. All progress events before this call are\nignored.\n"},
  {(char*)"CleanupPendingProgress", PyvtkPVProgressHandler_CleanupPendingProgress, 1,
   (char*)"V.CleanupPendingProgress()\nC++: void CleanupPendingProgress()\n\nThis method collects all outstanding progress messages. All\nprogress events after this call are ignored.\n"},
  {(char*)"SetProgressFrequency", PyvtkPVProgressHandler_SetProgressFrequency, 1,
   (char*)"V.SetProgressFrequency(float)\nC++: void SetProgressFrequency(double)\n\nGet/Set the progress frequency in seconds. Default is 0.5\nseconds.\n"},
  {(char*)"GetProgressFrequencyMinValue", PyvtkPVProgressHandler_GetProgressFrequencyMinValue, 1,
   (char*)"V.GetProgressFrequencyMinValue() -> float\nC++: double GetProgressFrequencyMinValue()\n\nGet/Set the progress frequency in seconds. Default is 0.5\nseconds.\n"},
  {(char*)"GetProgressFrequencyMaxValue", PyvtkPVProgressHandler_GetProgressFrequencyMaxValue, 1,
   (char*)"V.GetProgressFrequencyMaxValue() -> float\nC++: double GetProgressFrequencyMaxValue()\n\nGet/Set the progress frequency in seconds. Default is 0.5\nseconds.\n"},
  {(char*)"GetProgressFrequency", PyvtkPVProgressHandler_GetProgressFrequency, 1,
   (char*)"V.GetProgressFrequency() -> float\nC++: double GetProgressFrequency()\n\nGet/Set the progress frequency in seconds. Default is 0.5\nseconds.\n"},
  {(char*)"GetLastProgressText", PyvtkPVProgressHandler_GetLastProgressText, 1,
   (char*)"V.GetLastProgressText() -> string\nC++: char *GetLastProgressText()\n\nThese are only valid in handler for the\nvtkCommand::ProgressEvent.\n"},
  {(char*)"GetLastProgress", PyvtkPVProgressHandler_GetLastProgress, 1,
   (char*)"V.GetLastProgress() -> int\nC++: int GetLastProgress()\n\nThese are only valid in handler for the\nvtkCommand::ProgressEvent.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVProgressHandler_StaticNew()
{
  return vtkPVProgressHandler::New();
}

PyObject *PyVTKClass_vtkPVProgressHandlerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVProgressHandler_StaticNew,
    PyvtkPVProgressHandler_Methods,
    "vtkPVProgressHandler", modulename,
    NULL, NULL,
    PyvtkPVProgressHandler_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVProgressHandler_Doc()
{
  static const char *docstring[] = {
    "vtkPVProgressHandler - progress handler.\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVProgressHandler handles the progress messages. It handles\nprogress in all configurations single process, client-server,\nmpi-batch. One progress handler is created per Session.\n\nEvents:\n\nvtkCommand::StartEvent\n\\li fired to indicate beginning of progress handling\n\\li calldata: vtkPVProgressHandler*\nvtkCommand::ProgressEvent\n\\li fired to indicate a progress event.\n\\li calldata: vtkPVProgressHand",
    "ler*\nvtkCommand::EndEvent\n\\li fired to indicate end of progress handling\n\\li calldata: vtkPVProgressHandler*\n\nSee Also:\n\nvtkPVMPICommunicator\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVProgressHandler(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVProgressHandlerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVProgressHandler", o) != 0)
    {
    Py_DECREF(o);
    }

}

