// python wrapper for vtkPVRenderView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVRenderView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVRenderView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVRenderView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVRenderViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVRenderViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVViewNew
extern "C" { PyObject *PyVTKClass_vtkPVViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVViewNew
#endif

static const char **PyvtkPVRenderView_Doc();


static PyObject *
PyvtkPVRenderView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVRenderView::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkPVRenderView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVRenderView::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVRenderView *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVRenderView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_IsRemoteRenderingAllowed(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsRemoteRenderingAllowed");

  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::IsRemoteRenderingAllowed();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_AllowRemoteRendering(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "AllowRemoteRendering");

  bool temp0 = false;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkPVRenderView::AllowRemoteRendering(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetInteractionMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractionMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInteractionMode(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetInteractionMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractionMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractionMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractionMode();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractionMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->Initialize(temp0);
      }
    else
      {
      op->vtkPVRenderView::Initialize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetNonCompositedRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonCompositedRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonCompositedRenderer();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetNonCompositedRenderer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderer();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetRenderer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetActiveCamera(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkCamera *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetActiveCamera();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetActiveCamera();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetActiveCamera(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetActiveCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkCamera *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCamera"))
    {
    if (ap.IsBound())
      {
      op->SetActiveCamera(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetActiveCamera(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderWindow();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetRenderWindow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_AddPropToRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddPropToRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkProp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkProp"))
    {
    if (ap.IsBound())
      {
      op->AddPropToRenderer(temp0);
      }
    else
      {
      op->vtkPVRenderView::AddPropToRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_RemovePropFromRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemovePropFromRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkProp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkProp"))
    {
    if (ap.IsBound())
      {
      op->RemovePropFromRenderer(temp0);
      }
    else
      {
      op->vtkPVRenderView::RemovePropFromRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_AddPropToNonCompositedRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddPropToNonCompositedRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkProp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkProp"))
    {
    if (ap.IsBound())
      {
      op->AddPropToNonCompositedRenderer(temp0);
      }
    else
      {
      op->vtkPVRenderView::AddPropToNonCompositedRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_RemovePropFromNonCompositedRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemovePropFromNonCompositedRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkProp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkProp"))
    {
    if (ap.IsBound())
      {
      op->RemovePropFromNonCompositedRenderer(temp0);
      }
    else
      {
      op->vtkPVRenderView::RemovePropFromNonCompositedRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkPVGenericRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractor();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractorStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractorStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkPVInteractorStyle *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractorStyle();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractorStyle();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_ResetCamera_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ResetCamera();
      }
    else
      {
      op->vtkPVRenderView::ResetCamera();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_ResetCamera_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->ResetCamera(temp0);
      }
    else
      {
      op->vtkPVRenderView::ResetCamera(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_ResetCamera(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkPVRenderView_ResetCamera_s1(self, args);
    case 1:
      return PyvtkPVRenderView_ResetCamera_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "ResetCamera");
  return NULL;
}



static PyObject *
PyvtkPVRenderView_StillRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StillRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StillRender();
      }
    else
      {
      op->vtkPVRenderView::StillRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_InteractiveRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveRender();
      }
    else
      {
      op->vtkPVRenderView::InteractiveRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetStillRenderImageReductionFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStillRenderImageReductionFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStillRenderImageReductionFactor(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetStillRenderImageReductionFactor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetStillRenderImageReductionFactorMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStillRenderImageReductionFactorMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStillRenderImageReductionFactorMinValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetStillRenderImageReductionFactorMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetStillRenderImageReductionFactorMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStillRenderImageReductionFactorMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStillRenderImageReductionFactorMaxValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetStillRenderImageReductionFactorMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetStillRenderImageReductionFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStillRenderImageReductionFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStillRenderImageReductionFactor();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetStillRenderImageReductionFactor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetInteractiveRenderImageReductionFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractiveRenderImageReductionFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInteractiveRenderImageReductionFactor(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetInteractiveRenderImageReductionFactor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractiveRenderImageReductionFactorMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractiveRenderImageReductionFactorMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractiveRenderImageReductionFactorMinValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractiveRenderImageReductionFactorMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractiveRenderImageReductionFactorMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractiveRenderImageReductionFactorMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractiveRenderImageReductionFactorMaxValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractiveRenderImageReductionFactorMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetInteractiveRenderImageReductionFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractiveRenderImageReductionFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractiveRenderImageReductionFactor();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetInteractiveRenderImageReductionFactor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetRemoteRenderingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRemoteRenderingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRemoteRenderingThreshold(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetRemoteRenderingThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetRemoteRenderingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRemoteRenderingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRemoteRenderingThreshold();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetRemoteRenderingThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetLODRenderingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLODRenderingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLODRenderingThreshold(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetLODRenderingThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLODRenderingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLODRenderingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLODRenderingThreshold();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLODRenderingThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetLODResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLODResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLODResolution(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetLODResolution(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLODResolutionMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLODResolutionMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLODResolutionMinValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLODResolutionMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLODResolutionMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLODResolutionMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLODResolutionMaxValue();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLODResolutionMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLODResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLODResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLODResolution();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLODResolution();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetClientOutlineThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetClientOutlineThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetClientOutlineThreshold(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetClientOutlineThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetClientOutlineThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientOutlineThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientOutlineThreshold();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetClientOutlineThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_ConfigureCompressor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ConfigureCompressor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->ConfigureCompressor(temp0);
      }
    else
      {
      op->vtkPVRenderView::ConfigureCompressor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetCameraClippingRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ResetCameraClippingRange();
      }
    else
      {
      op->vtkPVRenderView::ResetCameraClippingRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetUseLightKit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseLightKit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseLightKit(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetUseLightKit(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetUseLightKit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseLightKit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseLightKit();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetUseLightKit();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseLightKitOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseLightKitOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseLightKitOn();
      }
    else
      {
      op->vtkPVRenderView::UseLightKitOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseLightKitOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseLightKitOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseLightKitOff();
      }
    else
      {
      op->vtkPVRenderView::UseLightKitOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GEOMETRY_SIZE(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GEOMETRY_SIZE");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::GEOMETRY_SIZE();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_DATA_DISTRIBUTION_MODE(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DATA_DISTRIBUTION_MODE");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::DATA_DISTRIBUTION_MODE();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_USE_LOD(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "USE_LOD");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::USE_LOD();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_DELIVER_LOD_TO_CLIENT(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DELIVER_LOD_TO_CLIENT");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::DELIVER_LOD_TO_CLIENT();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_DELIVER_OUTLINE_TO_CLIENT(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DELIVER_OUTLINE_TO_CLIENT");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::DELIVER_OUTLINE_TO_CLIENT();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_DELIVER_OUTLINE_TO_CLIENT_FOR_LOD(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DELIVER_OUTLINE_TO_CLIENT_FOR_LOD");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::DELIVER_OUTLINE_TO_CLIENT_FOR_LOD();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_LOD_RESOLUTION(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "LOD_RESOLUTION");

  vtkInformationDoubleKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::LOD_RESOLUTION();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_REDISTRIBUTABLE_DATA_PRODUCER(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "REDISTRIBUTABLE_DATA_PRODUCER");

  vtkInformationObjectBaseKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::REDISTRIBUTABLE_DATA_PRODUCER();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_NEED_ORDERED_COMPOSITING(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "NEED_ORDERED_COMPOSITING");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::NEED_ORDERED_COMPOSITING();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_KD_TREE(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "KD_TREE");

  vtkInformationObjectBaseKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::KD_TREE();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_NEEDS_DELIVERY(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "NEEDS_DELIVERY");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVRenderView::NEEDS_DELIVERY();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SelectCells_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SelectCells(temp0);
      }
    else
      {
      op->vtkPVRenderView::SelectCells(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_SelectCells_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SelectCells(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVRenderView::SelectCells(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_SelectCells(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkPVRenderView_SelectCells_s1(self, args);
    case 4:
      return PyvtkPVRenderView_SelectCells_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SelectCells");
  return NULL;
}



static PyObject *
PyvtkPVRenderView_SelectPoints_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SelectPoints(temp0);
      }
    else
      {
      op->vtkPVRenderView::SelectPoints(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_SelectPoints_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SelectPoints(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVRenderView::SelectPoints(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVRenderView_SelectPoints(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkPVRenderView_SelectPoints_s1(self, args);
    case 4:
      return PyvtkPVRenderView_SelectPoints_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SelectPoints");
  return NULL;
}



static PyObject *
PyvtkPVRenderView_Select(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Select");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  int temp1[4];
  int save1[4];
  const int size1 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->Select(temp0, temp1);
      }
    else
      {
      op->vtkPVRenderView::Select(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLastSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkSelection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastSelection();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLastSelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetUseInteractiveRenderingForSceenshots(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseInteractiveRenderingForSceenshots");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseInteractiveRenderingForSceenshots(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetUseInteractiveRenderingForSceenshots(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseInteractiveRenderingForSceenshotsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseInteractiveRenderingForSceenshotsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseInteractiveRenderingForSceenshotsOn();
      }
    else
      {
      op->vtkPVRenderView::UseInteractiveRenderingForSceenshotsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseInteractiveRenderingForSceenshotsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseInteractiveRenderingForSceenshotsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseInteractiveRenderingForSceenshotsOff();
      }
    else
      {
      op->vtkPVRenderView::UseInteractiveRenderingForSceenshotsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetUseInteractiveRenderingForSceenshots(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseInteractiveRenderingForSceenshots");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseInteractiveRenderingForSceenshots();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetUseInteractiveRenderingForSceenshots();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetUseOffscreenRenderingForScreenshots(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOffscreenRenderingForScreenshots");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseOffscreenRenderingForScreenshots(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetUseOffscreenRenderingForScreenshots(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseOffscreenRenderingForScreenshotsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOffscreenRenderingForScreenshotsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseOffscreenRenderingForScreenshotsOn();
      }
    else
      {
      op->vtkPVRenderView::UseOffscreenRenderingForScreenshotsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseOffscreenRenderingForScreenshotsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOffscreenRenderingForScreenshotsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseOffscreenRenderingForScreenshotsOff();
      }
    else
      {
      op->vtkPVRenderView::UseOffscreenRenderingForScreenshotsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetUseOffscreenRenderingForScreenshots(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseOffscreenRenderingForScreenshots");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseOffscreenRenderingForScreenshots();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetUseOffscreenRenderingForScreenshots();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetUseOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseOffscreenRendering(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetUseOffscreenRendering(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseOffscreenRenderingOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOffscreenRenderingOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseOffscreenRenderingOn();
      }
    else
      {
      op->vtkPVRenderView::UseOffscreenRenderingOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_UseOffscreenRenderingOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseOffscreenRenderingOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseOffscreenRenderingOff();
      }
    else
      {
      op->vtkPVRenderView::UseOffscreenRenderingOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetUseOffscreenRendering(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseOffscreenRendering");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseOffscreenRendering();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetUseOffscreenRendering();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetRemoteRenderingAvailable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRemoteRenderingAvailable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRemoteRenderingAvailable();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetRemoteRenderingAvailable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetUsedLODForLastRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUsedLODForLastRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUsedLODForLastRender();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetUsedLODForLastRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_InvalidateCachedSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvalidateCachedSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvalidateCachedSelection();
      }
    else
      {
      op->vtkPVRenderView::InvalidateCachedSelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetZbufferDataAtPoint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetZbufferDataAtPoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  int temp1;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetZbufferDataAtPoint(temp0, temp1);
      }
    else
      {
      tempr = op->vtkPVRenderView::GetZbufferDataAtPoint(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetLightSwitch(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLightSwitch");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLightSwitch(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetLightSwitch(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_GetLightSwitch(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLightSwitch");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLightSwitch();
      }
    else
      {
      tempr = op->vtkPVRenderView::GetLightSwitch();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_LightSwitchOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LightSwitchOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LightSwitchOn();
      }
    else
      {
      op->vtkPVRenderView::LightSwitchOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_LightSwitchOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LightSwitchOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LightSwitchOff();
      }
    else
      {
      op->vtkPVRenderView::LightSwitchOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetOrientationAxesInteractivity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesInteractivity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesInteractivity(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetOrientationAxesInteractivity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetOrientationAxesVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesVisibility(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetOrientationAxesVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetOrientationAxesLabelColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesLabelColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesLabelColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetOrientationAxesLabelColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetOrientationAxesOutlineColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationAxesOutlineColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOrientationAxesOutlineColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetOrientationAxesOutlineColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetCenterAxesVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCenterAxesVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCenterAxesVisibility(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetCenterAxesVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetCenterOfRotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCenterOfRotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetCenterOfRotation(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetCenterOfRotation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetNonInteractiveRenderDelay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonInteractiveRenderDelay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonInteractiveRenderDelay(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetNonInteractiveRenderDelay(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyLightWarmth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyLightWarmth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyLightWarmth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyLightWarmth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyLightIntensity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyLightIntensity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyLightIntensity(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyLightIntensity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyLightElevation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyLightElevation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyLightElevation(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyLightElevation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyLightAzimuth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyLightAzimuth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyLightAzimuth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyLightAzimuth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetFillLightWarmth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFillLightWarmth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFillLightWarmth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetFillLightWarmth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyToFillRatio(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyToFillRatio");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyToFillRatio(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyToFillRatio(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetFillLightElevation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFillLightElevation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFillLightElevation(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetFillLightElevation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetFillLightAzimuth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFillLightAzimuth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFillLightAzimuth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetFillLightAzimuth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackLightWarmth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackLightWarmth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackLightWarmth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetBackLightWarmth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyToBackRatio(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyToBackRatio");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyToBackRatio(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyToBackRatio(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackLightElevation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackLightElevation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackLightElevation(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetBackLightElevation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackLightAzimuth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackLightAzimuth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackLightAzimuth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetBackLightAzimuth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetHeadLightWarmth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHeadLightWarmth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHeadLightWarmth(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetHeadLightWarmth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetKeyToHeadRatio(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyToHeadRatio");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyToHeadRatio(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetKeyToHeadRatio(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetMaintainLuminance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaintainLuminance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaintainLuminance(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetMaintainLuminance(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetUseDepthPeeling(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseDepthPeeling");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseDepthPeeling(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetUseDepthPeeling(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetMaximumNumberOfPeels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumNumberOfPeels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumNumberOfPeels(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetMaximumNumberOfPeels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetBackground(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetBackground(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackground2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackground2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetBackground2(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetBackground2(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetBackgroundTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackgroundTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkTexture *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
    {
    if (ap.IsBound())
      {
      op->SetBackgroundTexture(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetBackgroundTexture(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetGradientBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGradientBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGradientBackground(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetGradientBackground(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetTexturedBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTexturedBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTexturedBackground(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetTexturedBackground(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetAmbientColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAmbientColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAmbientColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetAmbientColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetSpecularColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSpecularColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetSpecularColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetSpecularColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetDiffuseColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffuseColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetDiffuseColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVRenderView::SetDiffuseColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetIntensity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntensity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIntensity(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetIntensity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetLightType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLightType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLightType(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetLightType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetStereoCapableWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStereoCapableWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStereoCapableWindow(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetStereoCapableWindow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetStereoRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStereoRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStereoRender(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetStereoRender(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetStereoType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStereoType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStereoType(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetStereoType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetMultiSamples(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMultiSamples");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMultiSamples(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetMultiSamples(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetAlphaBitPlanes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAlphaBitPlanes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAlphaBitPlanes(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetAlphaBitPlanes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_SetStencilCapable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStencilCapable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStencilCapable(temp0);
      }
    else
      {
      op->vtkPVRenderView::SetStencilCapable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_AddManipulator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddManipulator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  vtkCameraManipulator *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCameraManipulator"))
    {
    if (ap.IsBound())
      {
      op->AddManipulator(temp0);
      }
    else
      {
      op->vtkPVRenderView::AddManipulator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_RemoveAllManipulators(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllManipulators");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllManipulators();
      }
    else
      {
      op->vtkPVRenderView::RemoveAllManipulators();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderView *op = static_cast<vtkPVRenderView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkPVRenderView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVRenderView_Methods[] = {
  {(char*)"GetClassName", PyvtkPVRenderView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVRenderView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVRenderView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVRenderView\nC++: vtkPVRenderView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVRenderView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVRenderView\nC++: vtkPVRenderView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsRemoteRenderingAllowed", PyvtkPVRenderView_IsRemoteRenderingAllowed, 1,
   (char*)"V.IsRemoteRenderingAllowed() -> bool\nC++: static bool IsRemoteRenderingAllowed()\n\nThis allow the user to overcome the system capability and simply\nprevent remote rendering.\n"},
  {(char*)"AllowRemoteRendering", PyvtkPVRenderView_AllowRemoteRendering, 1,
   (char*)"V.AllowRemoteRendering(bool)\nC++: static void AllowRemoteRendering(bool enable)\n\nThis allow the user to overcome the system capability and simply\nprevent remote rendering.\n"},
  {(char*)"SetInteractionMode", PyvtkPVRenderView_SetInteractionMode, 1,
   (char*)"V.SetInteractionMode(int)\nC++: virtual void SetInteractionMode(int mode)\n\nGet/Set the interaction mode. Default is INTERACTION_MODE_3D. If\nINTERACTION_MODE_SELECTION is selected, then whenever the user\ndrags and creates a selection region, this class will fire a\nvtkCommand::SelectionChangedEvent event with the selection region\nas the argument.@CallOnAllProcessess - this must be called on all\nprocesses, however it will have any effect only the driver\nprocesses i.e. the process with the interactor.\n"},
  {(char*)"GetInteractionMode", PyvtkPVRenderView_GetInteractionMode, 1,
   (char*)"V.GetInteractionMode() -> int\nC++: int GetInteractionMode()\n\nGet/Set the interaction mode. Default is INTERACTION_MODE_3D. If\nINTERACTION_MODE_SELECTION is selected, then whenever the user\ndrags and creates a selection region, this class will fire a\nvtkCommand::SelectionChangedEvent event with the selection region\nas the argument.@CallOnAllProcessess - this must be called on all\nprocesses, however it will have any effect only the driver\nprocesses i.e. the process with the interactor.\n"},
  {(char*)"Initialize", PyvtkPVRenderView_Initialize, 1,
   (char*)"V.Initialize(int)\nC++: virtual void Initialize(unsigned int id)\n\nInitialize the view with an identifier. Unless noted otherwise,\nthis method must be called before calling any other methods on\nthis class.@CallOnAllProcessess\n"},
  {(char*)"GetNonCompositedRenderer", PyvtkPVRenderView_GetNonCompositedRenderer, 1,
   (char*)"V.GetNonCompositedRenderer() -> vtkRenderer\nC++: vtkRenderer *GetNonCompositedRenderer()\n\nGets the non-composited renderer for this view. This is typically\nused for labels, 2D annotations etc.@CallOnAllProcessess\n"},
  {(char*)"GetRenderer", PyvtkPVRenderView_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer()\n\nGets the non-composited renderer for this view. This is typically\nused for labels, 2D annotations etc.@CallOnAllProcessess\n"},
  {(char*)"GetActiveCamera", PyvtkPVRenderView_GetActiveCamera, 1,
   (char*)"V.GetActiveCamera() -> vtkCamera\nC++: vtkCamera *GetActiveCamera()\n\nGet/Set the active camera. The active camera is set on both the\ncomposited and non-composited renderer.\n"},
  {(char*)"SetActiveCamera", PyvtkPVRenderView_SetActiveCamera, 1,
   (char*)"V.SetActiveCamera(vtkCamera)\nC++: virtual void SetActiveCamera(vtkCamera *)\n\nGet/Set the active camera. The active camera is set on both the\ncomposited and non-composited renderer.\n"},
  {(char*)"GetRenderWindow", PyvtkPVRenderView_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow()\n\nReturns the render window.\n"},
  {(char*)"AddPropToRenderer", PyvtkPVRenderView_AddPropToRenderer, 1,
   (char*)"V.AddPropToRenderer(vtkProp)\nC++: void AddPropToRenderer(vtkProp *)\n\nIt's possible to directly add vtkProps to a view. This API\nprovides access to add props to the 3D/composited renderer. Note\nthat if you add props in this way, they will not be included in\nthe computations for geometry-size which is used to make\ndecisions whether to use LOD or remote rendering etc. Nor can\nsuch props participate in data-redistribution when volume\nrendering or translucent rendering. As a rule of thumb only add\nprops not directly connected to input data using this API such as\nscalar bars, cube axes etc.\n"},
  {(char*)"RemovePropFromRenderer", PyvtkPVRenderView_RemovePropFromRenderer, 1,
   (char*)"V.RemovePropFromRenderer(vtkProp)\nC++: void RemovePropFromRenderer(vtkProp *)\n\nIt's possible to directly add vtkProps to a view. This API\nprovides access to add props to the 3D/composited renderer. Note\nthat if you add props in this way, they will not be included in\nthe computations for geometry-size which is used to make\ndecisions whether to use LOD or remote rendering etc. Nor can\nsuch props participate in data-redistribution when volume\nrendering or translucent rendering. As a rule of thumb only add\nprops not directly connected to input data using this API such as\nscalar bars, cube axes etc.\n"},
  {(char*)"AddPropToNonCompositedRenderer", PyvtkPVRenderView_AddPropToNonCompositedRenderer, 1,
   (char*)"V.AddPropToNonCompositedRenderer(vtkProp)\nC++: void AddPropToNonCompositedRenderer(vtkProp *)\n\nIt's possible to directly add vtkProps to a view. This API\nprovides access to add props to the non-composited renderer. Note\nthat if you add props in this way, they will not be included in\nthe computations for geometry-size which is used to make\ndecisions whether to use LOD or remote rendering etc. Nor can\nsuch props participate in data-redistribution when volume\nrendering or translucent rendering. As a rule of thumb only add\nprops not directly connected to input data using this API such as\nscalar bars, cube axes etc.\n"},
  {(char*)"RemovePropFromNonCompositedRenderer", PyvtkPVRenderView_RemovePropFromNonCompositedRenderer, 1,
   (char*)"V.RemovePropFromNonCompositedRenderer(vtkProp)\nC++: void RemovePropFromNonCompositedRenderer(vtkProp *)\n\nIt's possible to directly add vtkProps to a view. This API\nprovides access to add props to the non-composited renderer. Note\nthat if you add props in this way, they will not be included in\nthe computations for geometry-size which is used to make\ndecisions whether to use LOD or remote rendering etc. Nor can\nsuch props participate in data-redistribution when volume\nrendering or translucent rendering. As a rule of thumb only add\nprops not directly connected to input data using this API such as\nscalar bars, cube axes etc.\n"},
  {(char*)"GetInteractor", PyvtkPVRenderView_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkPVGenericRenderWindowInteractor\nC++: vtkPVGenericRenderWindowInteractor *GetInteractor()\n\nReturns the interactor. .\n"},
  {(char*)"GetInteractorStyle", PyvtkPVRenderView_GetInteractorStyle, 1,
   (char*)"V.GetInteractorStyle() -> vtkPVInteractorStyle\nC++: vtkPVInteractorStyle *GetInteractorStyle()\n\nReturns the interactor style.\n"},
  {(char*)"ResetCamera", PyvtkPVRenderView_ResetCamera, 1,
   (char*)"V.ResetCamera()\nC++: void ResetCamera()\nV.ResetCamera([float, float, float, float, float, float])\nC++: void ResetCamera(double bounds[6])\n\nResets the active camera using collective\nprop-bounds.@CallOnAllProcessess\n"},
  {(char*)"StillRender", PyvtkPVRenderView_StillRender, 1,
   (char*)"V.StillRender()\nC++: virtual void StillRender()\n\nTriggers a high-resolution render.@CallOnAllProcessess\n"},
  {(char*)"InteractiveRender", PyvtkPVRenderView_InteractiveRender, 1,
   (char*)"V.InteractiveRender()\nC++: virtual void InteractiveRender()\n\nTriggers a interactive render. Based on the settings on the view,\nthis may result in a low-resolution rendering or a simplified\ngeometry rendering.@CallOnAllProcessess\n"},
  {(char*)"SetStillRenderImageReductionFactor", PyvtkPVRenderView_SetStillRenderImageReductionFactor, 1,
   (char*)"V.SetStillRenderImageReductionFactor(int)\nC++: void SetStillRenderImageReductionFactor(int)\n\nGet/Set the reduction-factor to use when for StillRender(). This\nis typically set to 1, but in some cases with terrible\nconnectivity or really large displays, one may want to use a\nsub-sampled image even for StillRender(). This is set it number\nof pixels to be sub-sampled by. Note that image reduction factors\nhave no effect when in built-in mode.@CallOnAllProcessess\n"},
  {(char*)"GetStillRenderImageReductionFactorMinValue", PyvtkPVRenderView_GetStillRenderImageReductionFactorMinValue, 1,
   (char*)"V.GetStillRenderImageReductionFactorMinValue() -> int\nC++: int GetStillRenderImageReductionFactorMinValue()\n\nGet/Set the reduction-factor to use when for StillRender(). This\nis typically set to 1, but in some cases with terrible\nconnectivity or really large displays, one may want to use a\nsub-sampled image even for StillRender(). This is set it number\nof pixels to be sub-sampled by. Note that image reduction factors\nhave no effect when in built-in mode.@CallOnAllProcessess\n"},
  {(char*)"GetStillRenderImageReductionFactorMaxValue", PyvtkPVRenderView_GetStillRenderImageReductionFactorMaxValue, 1,
   (char*)"V.GetStillRenderImageReductionFactorMaxValue() -> int\nC++: int GetStillRenderImageReductionFactorMaxValue()\n\nGet/Set the reduction-factor to use when for StillRender(). This\nis typically set to 1, but in some cases with terrible\nconnectivity or really large displays, one may want to use a\nsub-sampled image even for StillRender(). This is set it number\nof pixels to be sub-sampled by. Note that image reduction factors\nhave no effect when in built-in mode.@CallOnAllProcessess\n"},
  {(char*)"GetStillRenderImageReductionFactor", PyvtkPVRenderView_GetStillRenderImageReductionFactor, 1,
   (char*)"V.GetStillRenderImageReductionFactor() -> int\nC++: int GetStillRenderImageReductionFactor()\n\nGet/Set the reduction-factor to use when for StillRender(). This\nis typically set to 1, but in some cases with terrible\nconnectivity or really large displays, one may want to use a\nsub-sampled image even for StillRender(). This is set it number\nof pixels to be sub-sampled by. Note that image reduction factors\nhave no effect when in built-in mode.@CallOnAllProcessess\n"},
  {(char*)"SetInteractiveRenderImageReductionFactor", PyvtkPVRenderView_SetInteractiveRenderImageReductionFactor, 1,
   (char*)"V.SetInteractiveRenderImageReductionFactor(int)\nC++: void SetInteractiveRenderImageReductionFactor(int)\n\nGet/Set the reduction-factor to use when for InteractiveRender().\nThis is set it number of pixels to be sub-sampled by. Note that\nimage reduction factors have no effect when in built-in\nmode.@CallOnAllProcessess\n"},
  {(char*)"GetInteractiveRenderImageReductionFactorMinValue", PyvtkPVRenderView_GetInteractiveRenderImageReductionFactorMinValue, 1,
   (char*)"V.GetInteractiveRenderImageReductionFactorMinValue() -> int\nC++: int GetInteractiveRenderImageReductionFactorMinValue()\n\nGet/Set the reduction-factor to use when for InteractiveRender().\nThis is set it number of pixels to be sub-sampled by. Note that\nimage reduction factors have no effect when in built-in\nmode.@CallOnAllProcessess\n"},
  {(char*)"GetInteractiveRenderImageReductionFactorMaxValue", PyvtkPVRenderView_GetInteractiveRenderImageReductionFactorMaxValue, 1,
   (char*)"V.GetInteractiveRenderImageReductionFactorMaxValue() -> int\nC++: int GetInteractiveRenderImageReductionFactorMaxValue()\n\nGet/Set the reduction-factor to use when for InteractiveRender().\nThis is set it number of pixels to be sub-sampled by. Note that\nimage reduction factors have no effect when in built-in\nmode.@CallOnAllProcessess\n"},
  {(char*)"GetInteractiveRenderImageReductionFactor", PyvtkPVRenderView_GetInteractiveRenderImageReductionFactor, 1,
   (char*)"V.GetInteractiveRenderImageReductionFactor() -> int\nC++: int GetInteractiveRenderImageReductionFactor()\n\nGet/Set the reduction-factor to use when for InteractiveRender().\nThis is set it number of pixels to be sub-sampled by. Note that\nimage reduction factors have no effect when in built-in\nmode.@CallOnAllProcessess\n"},
  {(char*)"SetRemoteRenderingThreshold", PyvtkPVRenderView_SetRemoteRenderingThreshold, 1,
   (char*)"V.SetRemoteRenderingThreshold(float)\nC++: void SetRemoteRenderingThreshold(double a)\n\nGet/Set the data-size in megabytes above which remote-rendering\nshould be used, if possible.@CallOnAllProcessess\n"},
  {(char*)"GetRemoteRenderingThreshold", PyvtkPVRenderView_GetRemoteRenderingThreshold, 1,
   (char*)"V.GetRemoteRenderingThreshold() -> float\nC++: double GetRemoteRenderingThreshold()\n\nGet/Set the data-size in megabytes above which remote-rendering\nshould be used, if possible.@CallOnAllProcessess\n"},
  {(char*)"SetLODRenderingThreshold", PyvtkPVRenderView_SetLODRenderingThreshold, 1,
   (char*)"V.SetLODRenderingThreshold(float)\nC++: void SetLODRenderingThreshold(double a)\n\nGet/Set the data-size in megabytes above which LOD rendering\nshould be used, if possible.@CallOnAllProcessess\n"},
  {(char*)"GetLODRenderingThreshold", PyvtkPVRenderView_GetLODRenderingThreshold, 1,
   (char*)"V.GetLODRenderingThreshold() -> float\nC++: double GetLODRenderingThreshold()\n\nGet/Set the data-size in megabytes above which LOD rendering\nshould be used, if possible.@CallOnAllProcessess\n"},
  {(char*)"SetLODResolution", PyvtkPVRenderView_SetLODResolution, 1,
   (char*)"V.SetLODResolution(float)\nC++: void SetLODResolution(double)\n\nGet/Set the LOD resolution. This affects the size of the grid\nused for quadric clustering, for example. 1.0 implies maximum\nresolution while 0 implies minimum\nresolution.@CallOnAllProcessess\n"},
  {(char*)"GetLODResolutionMinValue", PyvtkPVRenderView_GetLODResolutionMinValue, 1,
   (char*)"V.GetLODResolutionMinValue() -> float\nC++: double GetLODResolutionMinValue()\n\nGet/Set the LOD resolution. This affects the size of the grid\nused for quadric clustering, for example. 1.0 implies maximum\nresolution while 0 implies minimum\nresolution.@CallOnAllProcessess\n"},
  {(char*)"GetLODResolutionMaxValue", PyvtkPVRenderView_GetLODResolutionMaxValue, 1,
   (char*)"V.GetLODResolutionMaxValue() -> float\nC++: double GetLODResolutionMaxValue()\n\nGet/Set the LOD resolution. This affects the size of the grid\nused for quadric clustering, for example. 1.0 implies maximum\nresolution while 0 implies minimum\nresolution.@CallOnAllProcessess\n"},
  {(char*)"GetLODResolution", PyvtkPVRenderView_GetLODResolution, 1,
   (char*)"V.GetLODResolution() -> float\nC++: double GetLODResolution()\n\nGet/Set the LOD resolution. This affects the size of the grid\nused for quadric clustering, for example. 1.0 implies maximum\nresolution while 0 implies minimum\nresolution.@CallOnAllProcessess\n"},
  {(char*)"SetClientOutlineThreshold", PyvtkPVRenderView_SetClientOutlineThreshold, 1,
   (char*)"V.SetClientOutlineThreshold(float)\nC++: void SetClientOutlineThreshold(double a)\n\nThis threshold is only applicable when in client-server mode. It\nis the size of geometry in megabytes beyond which the view should\nnot deliver geometry to the client, but only\noutlines.@CallOnAllProcessess\n"},
  {(char*)"GetClientOutlineThreshold", PyvtkPVRenderView_GetClientOutlineThreshold, 1,
   (char*)"V.GetClientOutlineThreshold() -> float\nC++: double GetClientOutlineThreshold()\n\nThis threshold is only applicable when in client-server mode. It\nis the size of geometry in megabytes beyond which the view should\nnot deliver geometry to the client, but only\noutlines.@CallOnAllProcessess\n"},
  {(char*)"ConfigureCompressor", PyvtkPVRenderView_ConfigureCompressor, 1,
   (char*)"V.ConfigureCompressor(string)\nC++: void ConfigureCompressor(const char *configuration)\n\nPasses the compressor configuration to the client-server\nsynchronizer, if any. This affects the image compression used to\nrelay images back to the client. See\nvtkPVClientServerSynchronizedRenderers::ConfigureCompressor() for\ndetails.@CallOnAllProcessess\n"},
  {(char*)"ResetCameraClippingRange", PyvtkPVRenderView_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange()\nC++: virtual void ResetCameraClippingRange()\n\nResets the clipping range. One does not need to call this\ndirectly ever. It is called periodically by the vtkRenderer to\nreset the camera range.\n"},
  {(char*)"SetUseLightKit", PyvtkPVRenderView_SetUseLightKit, 1,
   (char*)"V.SetUseLightKit(bool)\nC++: void SetUseLightKit(bool enable)\n\nEnable/Disable light kit.@CallOnAllProcessess\n"},
  {(char*)"GetUseLightKit", PyvtkPVRenderView_GetUseLightKit, 1,
   (char*)"V.GetUseLightKit() -> bool\nC++: bool GetUseLightKit()\n\nEnable/Disable light kit.@CallOnAllProcessess\n"},
  {(char*)"UseLightKitOn", PyvtkPVRenderView_UseLightKitOn, 1,
   (char*)"V.UseLightKitOn()\nC++: void UseLightKitOn()\n\nEnable/Disable light kit.@CallOnAllProcessess\n"},
  {(char*)"UseLightKitOff", PyvtkPVRenderView_UseLightKitOff, 1,
   (char*)"V.UseLightKitOff()\nC++: void UseLightKitOff()\n\nEnable/Disable light kit.@CallOnAllProcessess\n"},
  {(char*)"GEOMETRY_SIZE", PyvtkPVRenderView_GEOMETRY_SIZE, 1,
   (char*)"V.GEOMETRY_SIZE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *GEOMETRY_SIZE()\n\nvtkDataRepresentation can use this key to publish meta-data about\ngeometry size in the VIEW_REQUEST_METADATA pass. If this\nmeta-data is available, then the view can make informed decisions\nabout where to render/whether to use LOD etc.\n"},
  {(char*)"DATA_DISTRIBUTION_MODE", PyvtkPVRenderView_DATA_DISTRIBUTION_MODE, 1,
   (char*)"V.DATA_DISTRIBUTION_MODE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_DISTRIBUTION_MODE()\n\n"},
  {(char*)"USE_LOD", PyvtkPVRenderView_USE_LOD, 1,
   (char*)"V.USE_LOD() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *USE_LOD()\n\n"},
  {(char*)"DELIVER_LOD_TO_CLIENT", PyvtkPVRenderView_DELIVER_LOD_TO_CLIENT, 1,
   (char*)"V.DELIVER_LOD_TO_CLIENT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DELIVER_LOD_TO_CLIENT()\n\n"},
  {(char*)"DELIVER_OUTLINE_TO_CLIENT", PyvtkPVRenderView_DELIVER_OUTLINE_TO_CLIENT, 1,
   (char*)"V.DELIVER_OUTLINE_TO_CLIENT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DELIVER_OUTLINE_TO_CLIENT()\n\n"},
  {(char*)"DELIVER_OUTLINE_TO_CLIENT_FOR_LOD", PyvtkPVRenderView_DELIVER_OUTLINE_TO_CLIENT_FOR_LOD, 1,
   (char*)"V.DELIVER_OUTLINE_TO_CLIENT_FOR_LOD() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DELIVER_OUTLINE_TO_CLIENT_FOR_LOD(\n    )\n\n"},
  {(char*)"LOD_RESOLUTION", PyvtkPVRenderView_LOD_RESOLUTION, 1,
   (char*)"V.LOD_RESOLUTION() -> vtkInformationDoubleKey\nC++: static vtkInformationDoubleKey *LOD_RESOLUTION()\n\n"},
  {(char*)"REDISTRIBUTABLE_DATA_PRODUCER", PyvtkPVRenderView_REDISTRIBUTABLE_DATA_PRODUCER, 1,
   (char*)"V.REDISTRIBUTABLE_DATA_PRODUCER() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *REDISTRIBUTABLE_DATA_PRODUCER(\n    )\n\nThis view supports ordered compositing, if needed. When ordered\ncompositing needs to be employed, this view requires that all\nrepresentations redistribute the data using a KdTree. To tell the\nview of the vtkAlgorithm that is producing some redistributable\ndata, representation can use this key in their\nREQUEST_INFORMATION() pass to put the producer in the outInfo.\n"},
  {(char*)"NEED_ORDERED_COMPOSITING", PyvtkPVRenderView_NEED_ORDERED_COMPOSITING, 1,
   (char*)"V.NEED_ORDERED_COMPOSITING() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *NEED_ORDERED_COMPOSITING()\n\nRepresentation can publish this key in their\nREQUEST_INFORMATION() pass to indicate that the representation\nneeds ordered compositing.\n"},
  {(char*)"KD_TREE", PyvtkPVRenderView_KD_TREE, 1,
   (char*)"V.KD_TREE() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *KD_TREE()\n\nThis is used by the view in the REQUEST_RENDER() pass to tell the\nrepresentations the KdTree, if any to use for distributing the\ndata. If none is present, then representations should not\nredistribute the data.\n"},
  {(char*)"NEEDS_DELIVERY", PyvtkPVRenderView_NEEDS_DELIVERY, 1,
   (char*)"V.NEEDS_DELIVERY() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *NEEDS_DELIVERY()\n\nPlaced in REQUEST_PREPARE_FOR_RENDER() stage to indicate that the\nrepresentation needs delivery.\n"},
  {(char*)"SelectCells", PyvtkPVRenderView_SelectCells, 1,
   (char*)"V.SelectCells([int, int, int, int])\nC++: void SelectCells(int region[4])\nV.SelectCells(int, int, int, int)\nC++: void SelectCells(int region0, int region1, int region2,\n    int region3)\n\nMake a selection. This will result in setting up of\nthis->LastSelection which can be accessed using\nGetLastSelection().@CallOnAllProcessess\n"},
  {(char*)"SelectPoints", PyvtkPVRenderView_SelectPoints, 1,
   (char*)"V.SelectPoints([int, int, int, int])\nC++: void SelectPoints(int region[4])\nV.SelectPoints(int, int, int, int)\nC++: void SelectPoints(int region0, int region1, int region2,\n    int region3)\n\nMake a selection. This will result in setting up of\nthis->LastSelection which can be accessed using\nGetLastSelection().@CallOnAllProcessess\n"},
  {(char*)"Select", PyvtkPVRenderView_Select, 1,
   (char*)"V.Select(int, [int, int, int, int])\nC++: void Select(int field_association, int region[4])\n\nMake a selection. This will result in setting up of\nthis->LastSelection which can be accessed using\nGetLastSelection().@CallOnAllProcessess\n"},
  {(char*)"GetLastSelection", PyvtkPVRenderView_GetLastSelection, 1,
   (char*)"V.GetLastSelection() -> vtkSelection\nC++: vtkSelection *GetLastSelection()\n\nProvides access to the last selection.\n"},
  {(char*)"SetUseInteractiveRenderingForSceenshots", PyvtkPVRenderView_SetUseInteractiveRenderingForSceenshots, 1,
   (char*)"V.SetUseInteractiveRenderingForSceenshots(bool)\nC++: void SetUseInteractiveRenderingForSceenshots(bool a)\n\nSet or get whether capture should be done as StillRender or\nInteractiveRender when capturing screenshots.\n"},
  {(char*)"UseInteractiveRenderingForSceenshotsOn", PyvtkPVRenderView_UseInteractiveRenderingForSceenshotsOn, 1,
   (char*)"V.UseInteractiveRenderingForSceenshotsOn()\nC++: void UseInteractiveRenderingForSceenshotsOn()\n\nSet or get whether capture should be done as StillRender or\nInteractiveRender when capturing screenshots.\n"},
  {(char*)"UseInteractiveRenderingForSceenshotsOff", PyvtkPVRenderView_UseInteractiveRenderingForSceenshotsOff, 1,
   (char*)"V.UseInteractiveRenderingForSceenshotsOff()\nC++: void UseInteractiveRenderingForSceenshotsOff()\n\nSet or get whether capture should be done as StillRender or\nInteractiveRender when capturing screenshots.\n"},
  {(char*)"GetUseInteractiveRenderingForSceenshots", PyvtkPVRenderView_GetUseInteractiveRenderingForSceenshots, 1,
   (char*)"V.GetUseInteractiveRenderingForSceenshots() -> bool\nC++: bool GetUseInteractiveRenderingForSceenshots()\n\nSet or get whether capture should be done as StillRender or\nInteractiveRender when capturing screenshots.\n"},
  {(char*)"SetUseOffscreenRenderingForScreenshots", PyvtkPVRenderView_SetUseOffscreenRenderingForScreenshots, 1,
   (char*)"V.SetUseOffscreenRenderingForScreenshots(bool)\nC++: void SetUseOffscreenRenderingForScreenshots(bool a)\n\nSet or get whether offscreen rendering should be used during\nCaptureWindow calls. On Apple machines, this flag has no effect.\n"},
  {(char*)"UseOffscreenRenderingForScreenshotsOn", PyvtkPVRenderView_UseOffscreenRenderingForScreenshotsOn, 1,
   (char*)"V.UseOffscreenRenderingForScreenshotsOn()\nC++: void UseOffscreenRenderingForScreenshotsOn()\n\nSet or get whether offscreen rendering should be used during\nCaptureWindow calls. On Apple machines, this flag has no effect.\n"},
  {(char*)"UseOffscreenRenderingForScreenshotsOff", PyvtkPVRenderView_UseOffscreenRenderingForScreenshotsOff, 1,
   (char*)"V.UseOffscreenRenderingForScreenshotsOff()\nC++: void UseOffscreenRenderingForScreenshotsOff()\n\nSet or get whether offscreen rendering should be used during\nCaptureWindow calls. On Apple machines, this flag has no effect.\n"},
  {(char*)"GetUseOffscreenRenderingForScreenshots", PyvtkPVRenderView_GetUseOffscreenRenderingForScreenshots, 1,
   (char*)"V.GetUseOffscreenRenderingForScreenshots() -> bool\nC++: bool GetUseOffscreenRenderingForScreenshots()\n\nSet or get whether offscreen rendering should be used during\nCaptureWindow calls. On Apple machines, this flag has no effect.\n"},
  {(char*)"SetUseOffscreenRendering", PyvtkPVRenderView_SetUseOffscreenRendering, 1,
   (char*)"V.SetUseOffscreenRendering(bool)\nC++: virtual void SetUseOffscreenRendering(bool)\n\nGet/Set whether to use offscreen rendering for all rendering.\nThis is merely a suggestion. If --use-offscreen-rendering command\nline option is specified, then setting this flag to 0 on that\nprocess has no effect. Setting it to true, however, will ensure\nthat even is\n--use-offscreen-rendering is not specified, it will use offscreen\n    rendering.\n"},
  {(char*)"UseOffscreenRenderingOn", PyvtkPVRenderView_UseOffscreenRenderingOn, 1,
   (char*)"V.UseOffscreenRenderingOn()\nC++: void UseOffscreenRenderingOn()\n\nGet/Set whether to use offscreen rendering for all rendering.\nThis is merely a suggestion. If --use-offscreen-rendering command\nline option is specified, then setting this flag to 0 on that\nprocess has no effect. Setting it to true, however, will ensure\nthat even is\n--use-offscreen-rendering is not specified, it will use offscreen\n    rendering.\n"},
  {(char*)"UseOffscreenRenderingOff", PyvtkPVRenderView_UseOffscreenRenderingOff, 1,
   (char*)"V.UseOffscreenRenderingOff()\nC++: void UseOffscreenRenderingOff()\n\nGet/Set whether to use offscreen rendering for all rendering.\nThis is merely a suggestion. If --use-offscreen-rendering command\nline option is specified, then setting this flag to 0 on that\nprocess has no effect. Setting it to true, however, will ensure\nthat even is\n--use-offscreen-rendering is not specified, it will use offscreen\n    rendering.\n"},
  {(char*)"GetUseOffscreenRendering", PyvtkPVRenderView_GetUseOffscreenRendering, 1,
   (char*)"V.GetUseOffscreenRendering() -> bool\nC++: bool GetUseOffscreenRendering()\n\nGet/Set whether to use offscreen rendering for all rendering.\nThis is merely a suggestion. If --use-offscreen-rendering command\nline option is specified, then setting this flag to 0 on that\nprocess has no effect. Setting it to true, however, will ensure\nthat even is\n--use-offscreen-rendering is not specified, it will use offscreen\n    rendering.\n"},
  {(char*)"GetRemoteRenderingAvailable", PyvtkPVRenderView_GetRemoteRenderingAvailable, 1,
   (char*)"V.GetRemoteRenderingAvailable() -> bool\nC++: bool GetRemoteRenderingAvailable()\n\nReturns if remote-rendering is possible on the current group of\nprocesses.\n"},
  {(char*)"GetUsedLODForLastRender", PyvtkPVRenderView_GetUsedLODForLastRender, 1,
   (char*)"V.GetUsedLODForLastRender() -> bool\nC++: bool GetUsedLODForLastRender()\n\nReturns true if the most recent render used LOD.\n"},
  {(char*)"InvalidateCachedSelection", PyvtkPVRenderView_InvalidateCachedSelection, 1,
   (char*)"V.InvalidateCachedSelection()\nC++: void InvalidateCachedSelection()\n\nInvalidates cached selection. Called explicitly when view proxy\nthinks the cache may have become obsolete.@CallOnAllProcessess\n"},
  {(char*)"GetZbufferDataAtPoint", PyvtkPVRenderView_GetZbufferDataAtPoint, 1,
   (char*)"V.GetZbufferDataAtPoint(int, int) -> float\nC++: double GetZbufferDataAtPoint(int x, int y)\n\nReturns the z-buffer value at the given\nlocation.@CallOnClientOnly\n"},
  {(char*)"SetLightSwitch", PyvtkPVRenderView_SetLightSwitch, 1,
   (char*)"V.SetLightSwitch(bool)\nC++: void SetLightSwitch(bool enable)\n\nTurn on/off the default light in the 3D renderer.\n"},
  {(char*)"GetLightSwitch", PyvtkPVRenderView_GetLightSwitch, 1,
   (char*)"V.GetLightSwitch() -> bool\nC++: bool GetLightSwitch()\n\nTurn on/off the default light in the 3D renderer.\n"},
  {(char*)"LightSwitchOn", PyvtkPVRenderView_LightSwitchOn, 1,
   (char*)"V.LightSwitchOn()\nC++: void LightSwitchOn()\n\nTurn on/off the default light in the 3D renderer.\n"},
  {(char*)"LightSwitchOff", PyvtkPVRenderView_LightSwitchOff, 1,
   (char*)"V.LightSwitchOff()\nC++: void LightSwitchOff()\n\nTurn on/off the default light in the 3D renderer.\n"},
  {(char*)"SetOrientationAxesInteractivity", PyvtkPVRenderView_SetOrientationAxesInteractivity, 1,
   (char*)"V.SetOrientationAxesInteractivity(bool)\nC++: virtual void SetOrientationAxesInteractivity(bool)\n\n"},
  {(char*)"SetOrientationAxesVisibility", PyvtkPVRenderView_SetOrientationAxesVisibility, 1,
   (char*)"V.SetOrientationAxesVisibility(bool)\nC++: virtual void SetOrientationAxesVisibility(bool)\n\n"},
  {(char*)"SetOrientationAxesLabelColor", PyvtkPVRenderView_SetOrientationAxesLabelColor, 1,
   (char*)"V.SetOrientationAxesLabelColor(float, float, float)\nC++: void SetOrientationAxesLabelColor(double r, double g,\n    double b)\n\n"},
  {(char*)"SetOrientationAxesOutlineColor", PyvtkPVRenderView_SetOrientationAxesOutlineColor, 1,
   (char*)"V.SetOrientationAxesOutlineColor(float, float, float)\nC++: void SetOrientationAxesOutlineColor(double r, double g,\n    double b)\n\n"},
  {(char*)"SetCenterAxesVisibility", PyvtkPVRenderView_SetCenterAxesVisibility, 1,
   (char*)"V.SetCenterAxesVisibility(bool)\nC++: virtual void SetCenterAxesVisibility(bool)\n\n"},
  {(char*)"SetCenterOfRotation", PyvtkPVRenderView_SetCenterOfRotation, 1,
   (char*)"V.SetCenterOfRotation(float, float, float)\nC++: void SetCenterOfRotation(double x, double y, double z)\n\n"},
  {(char*)"SetNonInteractiveRenderDelay", PyvtkPVRenderView_SetNonInteractiveRenderDelay, 1,
   (char*)"V.SetNonInteractiveRenderDelay(int)\nC++: void SetNonInteractiveRenderDelay(unsigned int seconds)\n\n"},
  {(char*)"SetKeyLightWarmth", PyvtkPVRenderView_SetKeyLightWarmth, 1,
   (char*)"V.SetKeyLightWarmth(float)\nC++: void SetKeyLightWarmth(double val)\n\n"},
  {(char*)"SetKeyLightIntensity", PyvtkPVRenderView_SetKeyLightIntensity, 1,
   (char*)"V.SetKeyLightIntensity(float)\nC++: void SetKeyLightIntensity(double val)\n\n"},
  {(char*)"SetKeyLightElevation", PyvtkPVRenderView_SetKeyLightElevation, 1,
   (char*)"V.SetKeyLightElevation(float)\nC++: void SetKeyLightElevation(double val)\n\n"},
  {(char*)"SetKeyLightAzimuth", PyvtkPVRenderView_SetKeyLightAzimuth, 1,
   (char*)"V.SetKeyLightAzimuth(float)\nC++: void SetKeyLightAzimuth(double val)\n\n"},
  {(char*)"SetFillLightWarmth", PyvtkPVRenderView_SetFillLightWarmth, 1,
   (char*)"V.SetFillLightWarmth(float)\nC++: void SetFillLightWarmth(double val)\n\n"},
  {(char*)"SetKeyToFillRatio", PyvtkPVRenderView_SetKeyToFillRatio, 1,
   (char*)"V.SetKeyToFillRatio(float)\nC++: void SetKeyToFillRatio(double val)\n\n"},
  {(char*)"SetFillLightElevation", PyvtkPVRenderView_SetFillLightElevation, 1,
   (char*)"V.SetFillLightElevation(float)\nC++: void SetFillLightElevation(double val)\n\n"},
  {(char*)"SetFillLightAzimuth", PyvtkPVRenderView_SetFillLightAzimuth, 1,
   (char*)"V.SetFillLightAzimuth(float)\nC++: void SetFillLightAzimuth(double val)\n\n"},
  {(char*)"SetBackLightWarmth", PyvtkPVRenderView_SetBackLightWarmth, 1,
   (char*)"V.SetBackLightWarmth(float)\nC++: void SetBackLightWarmth(double val)\n\n"},
  {(char*)"SetKeyToBackRatio", PyvtkPVRenderView_SetKeyToBackRatio, 1,
   (char*)"V.SetKeyToBackRatio(float)\nC++: void SetKeyToBackRatio(double val)\n\n"},
  {(char*)"SetBackLightElevation", PyvtkPVRenderView_SetBackLightElevation, 1,
   (char*)"V.SetBackLightElevation(float)\nC++: void SetBackLightElevation(double val)\n\n"},
  {(char*)"SetBackLightAzimuth", PyvtkPVRenderView_SetBackLightAzimuth, 1,
   (char*)"V.SetBackLightAzimuth(float)\nC++: void SetBackLightAzimuth(double val)\n\n"},
  {(char*)"SetHeadLightWarmth", PyvtkPVRenderView_SetHeadLightWarmth, 1,
   (char*)"V.SetHeadLightWarmth(float)\nC++: void SetHeadLightWarmth(double val)\n\n"},
  {(char*)"SetKeyToHeadRatio", PyvtkPVRenderView_SetKeyToHeadRatio, 1,
   (char*)"V.SetKeyToHeadRatio(float)\nC++: void SetKeyToHeadRatio(double val)\n\n"},
  {(char*)"SetMaintainLuminance", PyvtkPVRenderView_SetMaintainLuminance, 1,
   (char*)"V.SetMaintainLuminance(int)\nC++: void SetMaintainLuminance(int val)\n\n"},
  {(char*)"SetUseDepthPeeling", PyvtkPVRenderView_SetUseDepthPeeling, 1,
   (char*)"V.SetUseDepthPeeling(int)\nC++: void SetUseDepthPeeling(int val)\n\n"},
  {(char*)"SetMaximumNumberOfPeels", PyvtkPVRenderView_SetMaximumNumberOfPeels, 1,
   (char*)"V.SetMaximumNumberOfPeels(int)\nC++: void SetMaximumNumberOfPeels(int val)\n\n"},
  {(char*)"SetBackground", PyvtkPVRenderView_SetBackground, 1,
   (char*)"V.SetBackground(float, float, float)\nC++: void SetBackground(double r, double g, double b)\n\n"},
  {(char*)"SetBackground2", PyvtkPVRenderView_SetBackground2, 1,
   (char*)"V.SetBackground2(float, float, float)\nC++: void SetBackground2(double r, double g, double b)\n\n"},
  {(char*)"SetBackgroundTexture", PyvtkPVRenderView_SetBackgroundTexture, 1,
   (char*)"V.SetBackgroundTexture(vtkTexture)\nC++: void SetBackgroundTexture(vtkTexture *val)\n\n"},
  {(char*)"SetGradientBackground", PyvtkPVRenderView_SetGradientBackground, 1,
   (char*)"V.SetGradientBackground(int)\nC++: void SetGradientBackground(int val)\n\n"},
  {(char*)"SetTexturedBackground", PyvtkPVRenderView_SetTexturedBackground, 1,
   (char*)"V.SetTexturedBackground(int)\nC++: void SetTexturedBackground(int val)\n\n"},
  {(char*)"SetAmbientColor", PyvtkPVRenderView_SetAmbientColor, 1,
   (char*)"V.SetAmbientColor(float, float, float)\nC++: void SetAmbientColor(double r, double g, double b)\n\n"},
  {(char*)"SetSpecularColor", PyvtkPVRenderView_SetSpecularColor, 1,
   (char*)"V.SetSpecularColor(float, float, float)\nC++: void SetSpecularColor(double r, double g, double b)\n\n"},
  {(char*)"SetDiffuseColor", PyvtkPVRenderView_SetDiffuseColor, 1,
   (char*)"V.SetDiffuseColor(float, float, float)\nC++: void SetDiffuseColor(double r, double g, double b)\n\n"},
  {(char*)"SetIntensity", PyvtkPVRenderView_SetIntensity, 1,
   (char*)"V.SetIntensity(float)\nC++: void SetIntensity(double val)\n\n"},
  {(char*)"SetLightType", PyvtkPVRenderView_SetLightType, 1,
   (char*)"V.SetLightType(int)\nC++: void SetLightType(int val)\n\n"},
  {(char*)"SetStereoCapableWindow", PyvtkPVRenderView_SetStereoCapableWindow, 1,
   (char*)"V.SetStereoCapableWindow(int)\nC++: void SetStereoCapableWindow(int val)\n\n"},
  {(char*)"SetStereoRender", PyvtkPVRenderView_SetStereoRender, 1,
   (char*)"V.SetStereoRender(int)\nC++: void SetStereoRender(int val)\n\n"},
  {(char*)"SetStereoType", PyvtkPVRenderView_SetStereoType, 1,
   (char*)"V.SetStereoType(int)\nC++: void SetStereoType(int val)\n\n"},
  {(char*)"SetMultiSamples", PyvtkPVRenderView_SetMultiSamples, 1,
   (char*)"V.SetMultiSamples(int)\nC++: void SetMultiSamples(int val)\n\n"},
  {(char*)"SetAlphaBitPlanes", PyvtkPVRenderView_SetAlphaBitPlanes, 1,
   (char*)"V.SetAlphaBitPlanes(int)\nC++: void SetAlphaBitPlanes(int val)\n\n"},
  {(char*)"SetStencilCapable", PyvtkPVRenderView_SetStencilCapable, 1,
   (char*)"V.SetStencilCapable(int)\nC++: void SetStencilCapable(int val)\n\n"},
  {(char*)"AddManipulator", PyvtkPVRenderView_AddManipulator, 1,
   (char*)"V.AddManipulator(vtkCameraManipulator)\nC++: void AddManipulator(vtkCameraManipulator *val)\n\n"},
  {(char*)"RemoveAllManipulators", PyvtkPVRenderView_RemoveAllManipulators, 1,
   (char*)"V.RemoveAllManipulators()\nC++: void RemoveAllManipulators()\n\n"},
  {(char*)"Update", PyvtkPVRenderView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nOverridden to synchronize information among processes whenever\ndata changes. The vtkSMViewProxy ensures that this method is\ncalled only when something has changed on the view-proxy or one\nof its representations or their inputs. Hence it's okay to do\nsome extra inter-process communication here.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVRenderView_StaticNew()
{
  return vtkPVRenderView::New();
}

PyObject *PyVTKClass_vtkPVRenderViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVRenderView_StaticNew,
    PyvtkPVRenderView_Methods,
    "vtkPVRenderView", modulename,
    NULL, NULL,
    PyvtkPVRenderView_Doc(),
    PyVTKClass_vtkPVViewNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"INTERACTION_MODE_3D", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"INTERACTION_MODE_2D", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"INTERACTION_MODE_SELECTION", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"INTERACTION_MODE_ZOOM", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkPVRenderView_Doc()
{
  static const char *docstring[] = {
    "vtkPVRenderView\n\n",
    "Superclass: vtkPVView\n\n",
    "vtkRenderViewBase equivalent that is specialized for ParaView.\nEventually vtkRenderViewBase should have a abstract base-class that\nthis will derive from instead of vtkRenderViewBase since we do not\nuse the labelling/icon stuff from vtkRenderViewBase.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVRenderView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVRenderViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVRenderView", o) != 0)
    {
    Py_DECREF(o);
    }

}

