// python wrapper for vtkPVRepresentedDataInformation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVRepresentedDataInformation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVRepresentedDataInformation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVRepresentedDataInformation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVRepresentedDataInformationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVRepresentedDataInformationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVDataInformationNew
extern "C" { PyObject *PyVTKClass_vtkPVDataInformationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVDataInformationNew
#endif

static const char **PyvtkPVRepresentedDataInformation_Doc();


static PyObject *
PyvtkPVRepresentedDataInformation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentedDataInformation *op = static_cast<vtkPVRepresentedDataInformation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVRepresentedDataInformation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentedDataInformation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentedDataInformation *op = static_cast<vtkPVRepresentedDataInformation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVRepresentedDataInformation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentedDataInformation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentedDataInformation *op = static_cast<vtkPVRepresentedDataInformation *>(vp);

  vtkPVRepresentedDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVRepresentedDataInformation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentedDataInformation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVRepresentedDataInformation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVRepresentedDataInformation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentedDataInformation_CopyFromObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyFromObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentedDataInformation *op = static_cast<vtkPVRepresentedDataInformation *>(vp);

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    if (ap.IsBound())
      {
      op->CopyFromObject(temp0);
      }
    else
      {
      op->vtkPVRepresentedDataInformation::CopyFromObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVRepresentedDataInformation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVRepresentedDataInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVRepresentedDataInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVRepresentedDataInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVRepresentedDataInformation\nC++: vtkPVRepresentedDataInformation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVRepresentedDataInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVRepresentedDataInformation\nC++: vtkPVRepresentedDataInformation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CopyFromObject", PyvtkPVRepresentedDataInformation_CopyFromObject, 1,
   (char*)"V.CopyFromObject(vtkObject)\nC++: virtual void CopyFromObject(vtkObject *)\n\nTransfer information about a single object into this object.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVRepresentedDataInformation_StaticNew()
{
  return vtkPVRepresentedDataInformation::New();
}

PyObject *PyVTKClass_vtkPVRepresentedDataInformationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVRepresentedDataInformation_StaticNew,
    PyvtkPVRepresentedDataInformation_Methods,
    "vtkPVRepresentedDataInformation", modulename,
    NULL, NULL,
    PyvtkPVRepresentedDataInformation_Doc(),
    PyVTKClass_vtkPVDataInformationNew(modulename));
  return cls;
}

const char **PyvtkPVRepresentedDataInformation_Doc()
{
  static const char *docstring[] = {
    "vtkPVRepresentedDataInformation\n\n",
    "Superclass: vtkPVDataInformation\n\n",
    "vtkPVRepresentedDataInformation is a vtkPVDataInformation subclass\nthat knows how to gather rendered data-information from a\nvtkPVDataRepresentation.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVRepresentedDataInformation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVRepresentedDataInformationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVRepresentedDataInformation", o) != 0)
    {
    Py_DECREF(o);
    }

}

