// python wrapper for vtkPVSession
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSession.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSession(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSession(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSessionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSessionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSessionNew
extern "C" { PyObject *PyVTKClass_vtkSessionNew(const char *); }
#define DECLARED_PyVTKClass_vtkSessionNew
#endif

static const char **PyvtkPVSession_Doc();


static PyObject *
PyvtkPVSession_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSession::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSession::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  vtkPVSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSession::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_GetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  vtkMPIMToNSocketConnection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMPIMToNSocketConnection();
      }
    else
      {
      tempr = op->vtkPVSession::GetMPIMToNSocketConnection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_GetServerInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  vtkPVServerInformation *tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    tempr = op->GetServerInformation();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_GetProgressHandler(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProgressHandler");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  vtkPVProgressHandler *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProgressHandler();
      }
    else
      {
      tempr = op->vtkPVSession::GetProgressHandler();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_PrepareProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrepareProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PrepareProgress();
      }
    else
      {
      op->vtkPVSession::PrepareProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_CleanupPendingProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CleanupPendingProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CleanupPendingProgress();
      }
    else
      {
      op->vtkPVSession::CleanupPendingProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSession_GetPendingProgress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPendingProgress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSession *op = static_cast<vtkPVSession *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPendingProgress();
      }
    else
      {
      tempr = op->vtkPVSession::GetPendingProgress();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSession_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSession_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSession_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSession_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSession\nC++: vtkPVSession *NewInstance()\n\n"},
  {(char*)"GetMPIMToNSocketConnection", PyvtkPVSession_GetMPIMToNSocketConnection, 1,
   (char*)"V.GetMPIMToNSocketConnection() -> vtkMPIMToNSocketConnection\nC++: virtual vtkMPIMToNSocketConnection *GetMPIMToNSocketConnection(\n    )\n\nThis is socket connection, if any to communicate between the\ndata-server and render-server nodes.\n"},
  {(char*)"GetServerInformation", PyvtkPVSession_GetServerInformation, 1,
   (char*)"V.GetServerInformation() -> vtkPVServerInformation\nC++: virtual vtkPVServerInformation *GetServerInformation()\n\nvtkPVServerInformation is an information-object that provides\ninformation about the server processes. These include server-side\ncapabilities as well as server-side command line arguments e.g.\ntile-display parameters. Use this method to obtain the\nserver-side information. NOTE: For now, we are not bothering to\nprovide separate informations from data-server and render-server\n(as was the case earlier). We can easily add API for the same if\nneeded.\n"},
  {(char*)"GetProgressHandler", PyvtkPVSession_GetProgressHandler, 1,
   (char*)"V.GetProgressHandler() -> vtkPVProgressHandler\nC++: vtkPVProgressHandler *GetProgressHandler()\n\nProvides access to the progress handler.\n"},
  {(char*)"PrepareProgress", PyvtkPVSession_PrepareProgress, 1,
   (char*)"V.PrepareProgress()\nC++: void PrepareProgress()\n\nShould be called to begin/end receiving progresses on this\nsession.\n"},
  {(char*)"CleanupPendingProgress", PyvtkPVSession_CleanupPendingProgress, 1,
   (char*)"V.CleanupPendingProgress()\nC++: void CleanupPendingProgress()\n\nShould be called to begin/end receiving progresses on this\nsession.\n"},
  {(char*)"GetPendingProgress", PyvtkPVSession_GetPendingProgress, 1,
   (char*)"V.GetPendingProgress() -> bool\nC++: bool GetPendingProgress()\n\nReturns true if the session is within a PrepareProgress() and\nCleanupPendingProgress() block.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkPVSessionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkPVSession_Methods,
    "vtkPVSession", modulename,
    NULL, NULL,
    PyvtkPVSession_Doc(),
    PyVTKClass_vtkSessionNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"NONE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x01);
    if (o && PyDict_SetItemString(d, (char *)"DATA_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x02);
    if (o && PyDict_SetItemString(d, (char *)"DATA_SERVER_ROOT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x04);
    if (o && PyDict_SetItemString(d, (char *)"RENDER_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x08);
    if (o && PyDict_SetItemString(d, (char *)"RENDER_SERVER_ROOT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkPVSession::DATA_SERVER | vtkPVSession::RENDER_SERVER);
    if (o && PyDict_SetItemString(d, (char *)"SERVERS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x10);
    if (o && PyDict_SetItemString(d, (char *)"CLIENT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkPVSession::DATA_SERVER | vtkPVSession::CLIENT | vtkPVSession::RENDER_SERVER);
    if (o && PyDict_SetItemString(d, (char *)"CLIENT_AND_SERVERS", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkPVSession_Doc()
{
  static const char *docstring[] = {
    "vtkPVSession - extends vtkSession to add API for ParaView sessions.\n\n",
    "Superclass: vtkSession\n\n",
    "vtkPVSession adds APIs to vtkSession for ParaView-specific sessions,\nnamely those that are used to communicate between\ndata-server,render-server and client. This is an abstract class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSession(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSessionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSession", o) != 0)
    {
    Py_DECREF(o);
    }

}

