// python wrapper for vtkPVSynchronizedRenderWindows
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSynchronizedRenderWindows.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSynchronizedRenderWindows(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSynchronizedRenderWindows(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSynchronizedRenderWindowsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSynchronizedRenderWindowsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVSynchronizedRenderWindows_Doc();


static PyObject *
PyvtkPVSynchronizedRenderWindows_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkPVSynchronizedRenderWindows *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVSynchronizedRenderWindows *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVSynchronizedRenderWindows::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_NewRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewRenderWindow();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::NewRenderWindow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_AddRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  vtkRenderWindow *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkRenderWindow"))
    {
    if (ap.IsBound())
      {
      op->AddRenderWindow(temp0, temp1);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::AddRenderWindow(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_RemoveRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveRenderWindow(temp0);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::RemoveRenderWindow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderWindow(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::GetRenderWindow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_AddRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  vtkRenderer *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkRenderer"))
    {
    if (ap.IsBound())
      {
      op->AddRenderer(temp0, temp1);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::AddRenderer(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_RemoveAllRenderers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllRenderers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllRenderers(temp0);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::RemoveAllRenderers(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SetWindowSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWindowSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetWindowSize(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::SetWindowSize(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SetWindowPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWindowPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetWindowPosition(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::SetWindowPosition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnabled(temp0);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::SetEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_GetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEnabled();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::GetEnabled();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_EnabledOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EnabledOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->EnabledOn();
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::EnabledOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_EnabledOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EnabledOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->EnabledOff();
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::EnabledOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SetRenderEventPropagation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderEventPropagation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRenderEventPropagation(temp0);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::SetRenderEventPropagation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_GetRenderEventPropagation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderEventPropagation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderEventPropagation();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::GetRenderEventPropagation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_RenderEventPropagationOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderEventPropagationOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RenderEventPropagationOn();
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::RenderEventPropagationOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_RenderEventPropagationOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderEventPropagationOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RenderEventPropagationOff();
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::RenderEventPropagationOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_GetLocalProcessIsDriver(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLocalProcessIsDriver");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLocalProcessIsDriver();
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::GetLocalProcessIsDriver();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SynchronizeBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SynchronizeBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->SynchronizeBounds(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::SynchronizeBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_SynchronizeSize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SynchronizeSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  double temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->SynchronizeSize(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::SynchronizeSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(0, temp0);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVSynchronizedRenderWindows_SynchronizeSize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SynchronizeSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned int temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->SynchronizeSize(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::SynchronizeSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(0, temp0);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSynchronizedRenderWindows_SynchronizeSize_Methods[] = {
  {NULL, PyvtkPVSynchronizedRenderWindows_SynchronizeSize_s1, 1,
   (char*)"@d"},
  {NULL, PyvtkPVSynchronizedRenderWindows_SynchronizeSize_s2, 1,
   (char*)"@I"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkPVSynchronizedRenderWindows_SynchronizeSize(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkPVSynchronizedRenderWindows_SynchronizeSize_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SynchronizeSize");
  return NULL;
}



static PyObject *
PyvtkPVSynchronizedRenderWindows_BroadcastToDataServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BroadcastToDataServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkSelection *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSelection"))
    {
    if (ap.IsBound())
      {
      tempr = op->BroadcastToDataServer(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::BroadcastToDataServer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_BroadcastToRenderServer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BroadcastToRenderServer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkDataObject *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      tempr = op->BroadcastToRenderServer(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::BroadcastToRenderServer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_TriggerRMI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TriggerRMI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkMultiProcessStream *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetSpecialObject(temp0, "vtkMultiProcessStream") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->TriggerRMI(*temp0, temp1);
      }
    else
      {
      op->vtkPVSynchronizedRenderWindows::TriggerRMI(*temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_AddRMICallback(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddRMICallback");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  vtkRMIFunctionType *temp0 = NULL;
  PyObject *pobj0 = NULL;
  void  *temp1 = NULL;
  int temp2;
  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkRMIFunctionType") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->AddRMICallback(*temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::AddRMICallback(*temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  Py_XDECREF(pobj0);

  return result;
}


static PyObject *
PyvtkPVSynchronizedRenderWindows_RemoveRMICallback(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveRMICallback");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSynchronizedRenderWindows *op = static_cast<vtkPVSynchronizedRenderWindows *>(vp);

  unsigned long temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveRMICallback(temp0);
      }
    else
      {
      tempr = op->vtkPVSynchronizedRenderWindows::RemoveRMICallback(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSynchronizedRenderWindows_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSynchronizedRenderWindows_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSynchronizedRenderWindows_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSynchronizedRenderWindows_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSynchronizedRenderWindows\nC++: vtkPVSynchronizedRenderWindows *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVSynchronizedRenderWindows_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVSynchronizedRenderWindows\nC++: vtkPVSynchronizedRenderWindows *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"NewRenderWindow", PyvtkPVSynchronizedRenderWindows_NewRenderWindow, 1,
   (char*)"V.NewRenderWindow() -> vtkRenderWindow\nC++: virtual vtkRenderWindow *NewRenderWindow()\n\nReturns a render window for use (possibly new).\n"},
  {(char*)"AddRenderWindow", PyvtkPVSynchronizedRenderWindows_AddRenderWindow, 1,
   (char*)"V.AddRenderWindow(int, vtkRenderWindow)\nC++: virtual void AddRenderWindow(unsigned int id,\n    vtkRenderWindow *)\n\nRegister/UnRegister a window.\n"},
  {(char*)"RemoveRenderWindow", PyvtkPVSynchronizedRenderWindows_RemoveRenderWindow, 1,
   (char*)"V.RemoveRenderWindow(int)\nC++: virtual void RemoveRenderWindow(unsigned int id)\n\nRegister/UnRegister a window.\n"},
  {(char*)"GetRenderWindow", PyvtkPVSynchronizedRenderWindows_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow(int) -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow(unsigned int id)\n\nRegister/UnRegister a window.\n"},
  {(char*)"AddRenderer", PyvtkPVSynchronizedRenderWindows_AddRenderer, 1,
   (char*)"V.AddRenderer(int, vtkRenderer)\nC++: virtual void AddRenderer(unsigned int id, vtkRenderer *)\n\nRegister/UnRegister the renderers. One can add multiple renderers\nfor the same id. The id must be same as that specified when\nadding the corresponding render window.\n"},
  {(char*)"RemoveAllRenderers", PyvtkPVSynchronizedRenderWindows_RemoveAllRenderers, 1,
   (char*)"V.RemoveAllRenderers(int)\nC++: virtual void RemoveAllRenderers(unsigned int id)\n\nRegister/UnRegister the renderers. One can add multiple renderers\nfor the same id. The id must be same as that specified when\nadding the corresponding render window.\n"},
  {(char*)"SetWindowSize", PyvtkPVSynchronizedRenderWindows_SetWindowSize, 1,
   (char*)"V.SetWindowSize(int, int, int)\nC++: virtual void SetWindowSize(unsigned int id, int width,\n    int height)\n\nThe views are not supposed to updated the render window position\nor size directly. They should always go through this API to\nupdate the window sizes and positions. This makes it possible to\nprovide a consistent API irrespective of the mode ParaView is\nrunning in. These methods only need to be called on the \"driver\"\nnode. (No harm in calling on all nodes). By driver node, we mean\nthe CLIENT in client-server mode and the root node in batch mode.\n"},
  {(char*)"SetWindowPosition", PyvtkPVSynchronizedRenderWindows_SetWindowPosition, 1,
   (char*)"V.SetWindowPosition(int, int, int)\nC++: virtual void SetWindowPosition(unsigned int id, int posx,\n    int posy)\n\nThe views are not supposed to updated the render window position\nor size directly. They should always go through this API to\nupdate the window sizes and positions. This makes it possible to\nprovide a consistent API irrespective of the mode ParaView is\nrunning in. These methods only need to be called on the \"driver\"\nnode. (No harm in calling on all nodes). By driver node, we mean\nthe CLIENT in client-server mode and the root node in batch mode.\n"},
  {(char*)"SetEnabled", PyvtkPVSynchronizedRenderWindows_SetEnabled, 1,
   (char*)"V.SetEnabled(bool)\nC++: void SetEnabled(bool a)\n\nEnable/Disable parallel rendering.\n"},
  {(char*)"GetEnabled", PyvtkPVSynchronizedRenderWindows_GetEnabled, 1,
   (char*)"V.GetEnabled() -> bool\nC++: bool GetEnabled()\n\nEnable/Disable parallel rendering.\n"},
  {(char*)"EnabledOn", PyvtkPVSynchronizedRenderWindows_EnabledOn, 1,
   (char*)"V.EnabledOn()\nC++: void EnabledOn()\n\nEnable/Disable parallel rendering.\n"},
  {(char*)"EnabledOff", PyvtkPVSynchronizedRenderWindows_EnabledOff, 1,
   (char*)"V.EnabledOff()\nC++: void EnabledOff()\n\nEnable/Disable parallel rendering.\n"},
  {(char*)"SetRenderEventPropagation", PyvtkPVSynchronizedRenderWindows_SetRenderEventPropagation, 1,
   (char*)"V.SetRenderEventPropagation(bool)\nC++: void SetRenderEventPropagation(bool a)\n\nEnable/Disable propagation of the render event. This is typically\ntrue, unless the application is managing calling Render() on all\nprocesses involved.\n"},
  {(char*)"GetRenderEventPropagation", PyvtkPVSynchronizedRenderWindows_GetRenderEventPropagation, 1,
   (char*)"V.GetRenderEventPropagation() -> bool\nC++: bool GetRenderEventPropagation()\n\nEnable/Disable propagation of the render event. This is typically\ntrue, unless the application is managing calling Render() on all\nprocesses involved.\n"},
  {(char*)"RenderEventPropagationOn", PyvtkPVSynchronizedRenderWindows_RenderEventPropagationOn, 1,
   (char*)"V.RenderEventPropagationOn()\nC++: void RenderEventPropagationOn()\n\nEnable/Disable propagation of the render event. This is typically\ntrue, unless the application is managing calling Render() on all\nprocesses involved.\n"},
  {(char*)"RenderEventPropagationOff", PyvtkPVSynchronizedRenderWindows_RenderEventPropagationOff, 1,
   (char*)"V.RenderEventPropagationOff()\nC++: void RenderEventPropagationOff()\n\nEnable/Disable propagation of the render event. This is typically\ntrue, unless the application is managing calling Render() on all\nprocesses involved.\n"},
  {(char*)"GetLocalProcessIsDriver", PyvtkPVSynchronizedRenderWindows_GetLocalProcessIsDriver, 1,
   (char*)"V.GetLocalProcessIsDriver() -> bool\nC++: bool GetLocalProcessIsDriver()\n\nThis method returns true if the local process is the 'driver'\nprocess. In client-server configurations, client is the driver.\nIn batch configurations, root-node is the driver. In built-in\nmode, this always returns true.\n"},
  {(char*)"SynchronizeBounds", PyvtkPVSynchronizedRenderWindows_SynchronizeBounds, 1,
   (char*)"V.SynchronizeBounds([float, float, float, float, float, float])\n    -> bool\nC++: bool SynchronizeBounds(double bounds[6])\n\nvtkPVSynchronizedRenderWindows encapsulates a whole lot of logic\nfor communication between processes. Given the ton of information\nthis class keeps, it can easily aid vtkViews to synchronize\ninformation such as bounds/ data-size among all processes\nefficiently. This can be achieved by using these methods. Note\nthat these methods should be called on all processes at the same\ntime otherwise we will have deadlocks. We may make this API\ngeneric in future, for now this works.\n"},
  {(char*)"SynchronizeSize", PyvtkPVSynchronizedRenderWindows_SynchronizeSize, 1,
   (char*)"V.SynchronizeSize(float) -> bool\nC++: bool SynchronizeSize(double &size)\nV.SynchronizeSize(int) -> bool\nC++: bool SynchronizeSize(unsigned int &size)\n\nvtkPVSynchronizedRenderWindows encapsulates a whole lot of logic\nfor communication between processes. Given the ton of information\nthis class keeps, it can easily aid vtkViews to synchronize\ninformation such as bounds/ data-size among all processes\nefficiently. This can be achieved by using these methods. Note\nthat these methods should be called on all processes at the same\ntime otherwise we will have deadlocks. We may make this API\ngeneric in future, for now this works.\n"},
  {(char*)"BroadcastToDataServer", PyvtkPVSynchronizedRenderWindows_BroadcastToDataServer, 1,
   (char*)"V.BroadcastToDataServer(vtkSelection) -> bool\nC++: bool BroadcastToDataServer(vtkSelection *selection)\n\nvtkPVSynchronizedRenderWindows encapsulates a whole lot of logic\nfor communication between processes. Given the ton of information\nthis class keeps, it can easily aid vtkViews to synchronize\ninformation such as bounds/ data-size among all processes\nefficiently. This can be achieved by using these methods. Note\nthat these methods should be called on all processes at the same\ntime otherwise we will have deadlocks. We may make this API\ngeneric in future, for now this works.\n"},
  {(char*)"BroadcastToRenderServer", PyvtkPVSynchronizedRenderWindows_BroadcastToRenderServer, 1,
   (char*)"V.BroadcastToRenderServer(vtkDataObject) -> bool\nC++: bool BroadcastToRenderServer(vtkDataObject *)\n\nvtkPVSynchronizedRenderWindows encapsulates a whole lot of logic\nfor communication between processes. Given the ton of information\nthis class keeps, it can easily aid vtkViews to synchronize\ninformation such as bounds/ data-size among all processes\nefficiently. This can be achieved by using these methods. Note\nthat these methods should be called on all processes at the same\ntime otherwise we will have deadlocks. We may make this API\ngeneric in future, for now this works.\n"},
  {(char*)"TriggerRMI", PyvtkPVSynchronizedRenderWindows_TriggerRMI, 1,
   (char*)"V.TriggerRMI(vtkMultiProcessStream, int)\nC++: void TriggerRMI(vtkMultiProcessStream &stream, int tag)\n\nConvenience method to trigger an RMI call from the client/root\nnode.\n"},
  {(char*)"AddRMICallback", PyvtkPVSynchronizedRenderWindows_AddRMICallback, 1,
   (char*)"V.AddRMICallback(vtkRMIFunctionType, , int) -> int\nC++: unsigned long AddRMICallback(vtkRMIFunctionType,\n    void *localArg, int tag)\n\nConvenience method to trigger an RMI call from the client/root\nnode.\n"},
  {(char*)"RemoveRMICallback", PyvtkPVSynchronizedRenderWindows_RemoveRMICallback, 1,
   (char*)"V.RemoveRMICallback(int) -> bool\nC++: bool RemoveRMICallback(unsigned long id)\n\nConvenience method to trigger an RMI call from the client/root\nnode.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVSynchronizedRenderWindows_StaticNew()
{
  return vtkPVSynchronizedRenderWindows::New();
}

PyObject *PyVTKClass_vtkPVSynchronizedRenderWindowsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVSynchronizedRenderWindows_StaticNew,
    PyvtkPVSynchronizedRenderWindows_Methods,
    "vtkPVSynchronizedRenderWindows", modulename,
    NULL, NULL,
    PyvtkPVSynchronizedRenderWindows_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVSynchronizedRenderWindows_Doc()
{
  static const char *docstring[] = {
    "vtkPVSynchronizedRenderWindows - synchronizes render-windows among\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVSynchronizedRenderWindows is the class used to synchronize\nrender windows in ParaView. This class can be instantiated on all\nprocesses in all modes, it automatically discovers the configuration\nand adapts its behavior accordingly. The role of this class is to set\nup the render windows on all processes and then synchronize renders.\nIt does not manage compositing or image delivery. All it does ",
    "is\nsynchronize render windows and their layouts among processes.\n\nIf the application is managing calling of vtkRenderWindow::Render()\non all processes, then one should disable RenderEventPropagation\nflag.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSynchronizedRenderWindows(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSynchronizedRenderWindowsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSynchronizedRenderWindows", o) != 0)
    {
    Py_DECREF(o);
    }

}

