// python wrapper for vtkPVTimerInformation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVTimerInformation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVTimerInformation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVTimerInformation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVTimerInformationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVTimerInformationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVInformationNew
extern "C" { PyObject *PyVTKClass_vtkPVInformationNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVInformationNew
#endif

static const char **PyvtkPVTimerInformation_Doc();


static PyObject *
PyvtkPVTimerInformation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVTimerInformation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVTimerInformation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkPVTimerInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVTimerInformation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVTimerInformation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVTimerInformation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_SetLogThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLogThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLogThreshold(temp0);
      }
    else
      {
      op->vtkPVTimerInformation::SetLogThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_GetLogThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLogThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLogThreshold();
      }
    else
      {
      tempr = op->vtkPVTimerInformation::GetLogThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_GetNumberOfLogs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLogs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLogs();
      }
    else
      {
      tempr = op->vtkPVTimerInformation::GetNumberOfLogs();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_GetLog(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLog");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  int temp0;
  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLog(temp0);
      }
    else
      {
      tempr = op->vtkPVTimerInformation::GetLog(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_CopyFromObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyFromObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    if (ap.IsBound())
      {
      op->CopyFromObject(temp0);
      }
    else
      {
      op->vtkPVTimerInformation::CopyFromObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_AddInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkPVInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVInformation"))
    {
    if (ap.IsBound())
      {
      op->AddInformation(temp0);
      }
    else
      {
      op->vtkPVTimerInformation::AddInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_CopyToStream(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyToStream");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkClientServerStream *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkClientServerStream"))
    {
    if (ap.IsBound())
      {
      op->CopyToStream(temp0);
      }
    else
      {
      op->vtkPVTimerInformation::CopyToStream(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_CopyFromStream(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyFromStream");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkClientServerStream *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkClientServerStream"))
    {
    if (ap.IsBound())
      {
      op->CopyFromStream(temp0);
      }
    else
      {
      op->vtkPVTimerInformation::CopyFromStream(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_CopyParametersToStream(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyParametersToStream");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkMultiProcessStream *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, "vtkMultiProcessStream"))
    {
    if (ap.IsBound())
      {
      op->CopyParametersToStream(*temp0);
      }
    else
      {
      op->vtkPVTimerInformation::CopyParametersToStream(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTimerInformation_CopyParametersFromStream(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CopyParametersFromStream");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTimerInformation *op = static_cast<vtkPVTimerInformation *>(vp);

  vtkMultiProcessStream *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, "vtkMultiProcessStream"))
    {
    if (ap.IsBound())
      {
      op->CopyParametersFromStream(*temp0);
      }
    else
      {
      op->vtkPVTimerInformation::CopyParametersFromStream(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVTimerInformation_Methods[] = {
  {(char*)"GetClassName", PyvtkPVTimerInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVTimerInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVTimerInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVTimerInformation\nC++: vtkPVTimerInformation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVTimerInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVTimerInformation\nC++: vtkPVTimerInformation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetLogThreshold", PyvtkPVTimerInformation_SetLogThreshold, 1,
   (char*)"V.SetLogThreshold(float)\nC++: void SetLogThreshold(double a)\n\nGet/Set the threshold to use to gather the timer log information.\nThis must be set before calling GatherInformation().\n"},
  {(char*)"GetLogThreshold", PyvtkPVTimerInformation_GetLogThreshold, 1,
   (char*)"V.GetLogThreshold() -> float\nC++: double GetLogThreshold()\n\nGet/Set the threshold to use to gather the timer log information.\nThis must be set before calling GatherInformation().\n"},
  {(char*)"GetNumberOfLogs", PyvtkPVTimerInformation_GetNumberOfLogs, 1,
   (char*)"V.GetNumberOfLogs() -> int\nC++: int GetNumberOfLogs()\n\nAccess to the logs.\n"},
  {(char*)"GetLog", PyvtkPVTimerInformation_GetLog, 1,
   (char*)"V.GetLog(int) -> string\nC++: char *GetLog(int proc)\n\nAccess to the logs.\n"},
  {(char*)"CopyFromObject", PyvtkPVTimerInformation_CopyFromObject, 1,
   (char*)"V.CopyFromObject(vtkObject)\nC++: virtual void CopyFromObject(vtkObject *data)\n\nTransfer information about a single object into this object.\n"},
  {(char*)"AddInformation", PyvtkPVTimerInformation_AddInformation, 1,
   (char*)"V.AddInformation(vtkPVInformation)\nC++: virtual void AddInformation(vtkPVInformation *info)\n\nMerge another information object.\n"},
  {(char*)"CopyToStream", PyvtkPVTimerInformation_CopyToStream, 1,
   (char*)"V.CopyToStream(vtkClientServerStream)\nC++: virtual void CopyToStream(vtkClientServerStream *)\n\nSerialize objects to/from a stream object.\n"},
  {(char*)"CopyFromStream", PyvtkPVTimerInformation_CopyFromStream, 1,
   (char*)"V.CopyFromStream(vtkClientServerStream)\nC++: virtual void CopyFromStream(const vtkClientServerStream *css)\n\nSerialize objects to/from a stream object.\n"},
  {(char*)"CopyParametersToStream", PyvtkPVTimerInformation_CopyParametersToStream, 1,
   (char*)"V.CopyParametersToStream(vtkMultiProcessStream)\nC++: virtual void CopyParametersToStream(vtkMultiProcessStream &)\n\nSerialize/Deserialize the parameters that control how/what\ninformation is gathered. This are different from the ivars that\nconstitute the gathered information itself.\n"},
  {(char*)"CopyParametersFromStream", PyvtkPVTimerInformation_CopyParametersFromStream, 1,
   (char*)"V.CopyParametersFromStream(vtkMultiProcessStream)\nC++: virtual void CopyParametersFromStream(\n    vtkMultiProcessStream &)\n\nSerialize/Deserialize the parameters that control how/what\ninformation is gathered. This are different from the ivars that\nconstitute the gathered information itself.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVTimerInformation_StaticNew()
{
  return vtkPVTimerInformation::New();
}

PyObject *PyVTKClass_vtkPVTimerInformationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVTimerInformation_StaticNew,
    PyvtkPVTimerInformation_Methods,
    "vtkPVTimerInformation", modulename,
    NULL, NULL,
    PyvtkPVTimerInformation_Doc(),
    PyVTKClass_vtkPVInformationNew(modulename));
  return cls;
}

const char **PyvtkPVTimerInformation_Doc()
{
  static const char *docstring[] = {
    "vtkPVTimerInformation - Holds timer log for all processes.\n\n",
    "Superclass: vtkPVInformation\n\n",
    "I am using this information object to gather timer logs from all\nprocesses.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVTimerInformation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVTimerInformationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVTimerInformation", o) != 0)
    {
    Py_DECREF(o);
    }

}

