// python wrapper for vtkPVXYChartView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVXYChartView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVXYChartView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVXYChartView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVXYChartViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVXYChartViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVContextViewNew
extern "C" { PyObject *PyVTKClass_vtkPVContextViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVContextViewNew
#endif

static const char **PyvtkPVXYChartView_Doc();


static PyObject *
PyvtkPVXYChartView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVXYChartView::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVXYChartView::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  vtkPVXYChartView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVXYChartView::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVXYChartView *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVXYChartView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetChartType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetChartType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetChartType(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetChartType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTitle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTitle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTitle(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetTitle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTitleFont(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTitleFont");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  char *temp0 = NULL;
  int temp1;
  bool temp2 = false;
  bool temp3 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetTitleFont(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVXYChartView::SetTitleFont(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTitleColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTitleColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetTitleColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVXYChartView::SetTitleColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTitleAlignment(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTitleAlignment");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTitleAlignment(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetTitleAlignment(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetLegendVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLegendVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLegendVisibility(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetLegendVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetLegendLocation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLegendLocation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLegendLocation(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetLegendLocation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisVisibility(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisVisibility(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetGridVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGridVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetGridVisibility(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetGridVisibility(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetAxisColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetGridColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGridColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetGridColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVXYChartView::SetGridColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelVisibility(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelVisibility(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelFont(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelFont");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  char *temp1 = NULL;
  int temp2;
  bool temp3 = false;
  bool temp4 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(5) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelFont(temp0, temp1, temp2, temp3, temp4);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelFont(temp0, temp1, temp2, temp3, temp4);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelNotation(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelNotation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelPrecision(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelPrecision(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisBehavior(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisBehavior");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisBehavior(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisBehavior(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAxisRange(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisRange(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLogScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLogScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLogScale(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLogScale(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisTitle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisTitle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisTitle(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisTitle(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisTitleFont(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisTitleFont");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  char *temp1 = NULL;
  int temp2;
  bool temp3 = false;
  bool temp4 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(5) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4))
    {
    if (ap.IsBound())
      {
      op->SetAxisTitleFont(temp0, temp1, temp2, temp3, temp4);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisTitleFont(temp0, temp1, temp2, temp3, temp4);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisTitleColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisTitleColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetAxisTitleColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisTitleColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsNumber(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsNumber(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  int temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabels(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabels(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsLeftNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsLeftNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsLeftNumber(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsLeftNumber(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsLeft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsLeft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsLeft(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsLeft(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsBottomNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsBottomNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsBottomNumber(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsBottomNumber(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsBottom(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsBottom");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsBottom(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsBottom(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsRightNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsRightNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsRightNumber(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsRightNumber(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsRight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsRight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsRight(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsRight(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsTopNumber(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsTopNumber");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsTopNumber(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsTopNumber(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetAxisLabelsTop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelsTop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelsTop(temp0, temp1);
      }
    else
      {
      op->vtkPVXYChartView::SetAxisLabelsTop(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTooltipNotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTooltipNotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTooltipNotation(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetTooltipNotation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_SetTooltipPrecision(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTooltipPrecision");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTooltipPrecision(temp0);
      }
    else
      {
      op->vtkPVXYChartView::SetTooltipPrecision(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVXYChartView_GetChart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVXYChartView *op = static_cast<vtkPVXYChartView *>(vp);

  vtkChart *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChart();
      }
    else
      {
      tempr = op->vtkPVXYChartView::GetChart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVXYChartView_Methods[] = {
  {(char*)"GetClassName", PyvtkPVXYChartView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVXYChartView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVXYChartView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVXYChartView\nC++: vtkPVXYChartView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVXYChartView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVXYChartView\nC++: vtkPVXYChartView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetChartType", PyvtkPVXYChartView_SetChartType, 1,
   (char*)"V.SetChartType(string)\nC++: void SetChartType(const char *type)\n\nSet the chart type, defaults to line chart\n"},
  {(char*)"SetTitle", PyvtkPVXYChartView_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle(const char *title)\n\nSet the title of the chart. These methods should not be called\ndirectly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetTitleFont", PyvtkPVXYChartView_SetTitleFont, 1,
   (char*)"V.SetTitleFont(string, int, bool, bool)\nC++: void SetTitleFont(const char *family, int pointSize,\n    bool bold, bool italic)\n\nSet the chart title's font. These methods should not be called\ndirectly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetTitleColor", PyvtkPVXYChartView_SetTitleColor, 1,
   (char*)"V.SetTitleColor(float, float, float)\nC++: void SetTitleColor(double red, double green, double blue)\n\nSet the chart title's color. These methods should not be called\ndirectly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetTitleAlignment", PyvtkPVXYChartView_SetTitleAlignment, 1,
   (char*)"V.SetTitleAlignment(int)\nC++: void SetTitleAlignment(int alignment)\n\nSet the chart title's alignment. These methods should not be\ncalled directly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetLegendVisibility", PyvtkPVXYChartView_SetLegendVisibility, 1,
   (char*)"V.SetLegendVisibility(int)\nC++: void SetLegendVisibility(int visible)\n\nSet the legend visibility. These methods should not be called\ndirectly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetLegendLocation", PyvtkPVXYChartView_SetLegendLocation, 1,
   (char*)"V.SetLegendLocation(int)\nC++: void SetLegendLocation(int location)\n\nSet the legend location. These methods should not be called\ndirectly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisVisibility", PyvtkPVXYChartView_SetAxisVisibility, 1,
   (char*)"V.SetAxisVisibility(int, bool)\nC++: void SetAxisVisibility(int index, bool visible)\n\nSets whether or not the given axis is visible. These methods\nshould not be called directly. They are made public only so that\nthe client-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetGridVisibility", PyvtkPVXYChartView_SetGridVisibility, 1,
   (char*)"V.SetGridVisibility(int, bool)\nC++: void SetGridVisibility(int index, bool visible)\n\nSets whether or not the grid for the given axis is visible. These\nmethods should not be called directly. They are made public only\nso that the client-server-stream-interpreter can invoke them. Use\nthe corresponding properties to change these values.\n"},
  {(char*)"SetAxisColor", PyvtkPVXYChartView_SetAxisColor, 1,
   (char*)"V.SetAxisColor(int, float, float, float)\nC++: void SetAxisColor(int index, double red, double green,\n    double blue)\n\nSets the color for the given axis. These methods should not be\ncalled directly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetGridColor", PyvtkPVXYChartView_SetGridColor, 1,
   (char*)"V.SetGridColor(int, float, float, float)\nC++: void SetGridColor(int index, double red, double green,\n    double blue)\n\nSets the color for the given axis. These methods should not be\ncalled directly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelVisibility", PyvtkPVXYChartView_SetAxisLabelVisibility, 1,
   (char*)"V.SetAxisLabelVisibility(int, bool)\nC++: void SetAxisLabelVisibility(int index, bool visible)\n\nSets whether or not the labels for the given axis are visible.\nThese methods should not be called directly. They are made public\nonly so that the client-server-stream-interpreter can invoke\nthem. Use the corresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelFont", PyvtkPVXYChartView_SetAxisLabelFont, 1,
   (char*)"V.SetAxisLabelFont(int, string, int, bool, bool)\nC++: void SetAxisLabelFont(int index, const char *family,\n    int pointSize, bool bold, bool italic)\n\nSet the axis label font for the given axis. These methods should\nnot be called directly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelColor", PyvtkPVXYChartView_SetAxisLabelColor, 1,
   (char*)"V.SetAxisLabelColor(int, float, float, float)\nC++: void SetAxisLabelColor(int index, double red, double green,\n    double blue)\n\nSets the axis label color for the given axis. These methods\nshould not be called directly. They are made public only so that\nthe client-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelNotation", PyvtkPVXYChartView_SetAxisLabelNotation, 1,
   (char*)"V.SetAxisLabelNotation(int, int)\nC++: void SetAxisLabelNotation(int index, int notation)\n\nSets the axis label notation for the given axis. These methods\nshould not be called directly. They are made public only so that\nthe client-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelPrecision", PyvtkPVXYChartView_SetAxisLabelPrecision, 1,
   (char*)"V.SetAxisLabelPrecision(int, int)\nC++: void SetAxisLabelPrecision(int index, int precision)\n\nSets the axis label precision for the given axis. These methods\nshould not be called directly. They are made public only so that\nthe client-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisBehavior", PyvtkPVXYChartView_SetAxisBehavior, 1,
   (char*)"V.SetAxisBehavior(int, int)\nC++: void SetAxisBehavior(int index, int behavior)\n\nSets the behavior for the given axis, 0 - best fit, 1 - fixed, 2\n- custom. These methods should not be called directly. They are\nmade public only so that the client-server-stream-interpreter can\ninvoke them. Use the corresponding properties to change these\nvalues.\n"},
  {(char*)"SetAxisRange", PyvtkPVXYChartView_SetAxisRange, 1,
   (char*)"V.SetAxisRange(int, float, float)\nC++: void SetAxisRange(int index, double minimum, double maximum)\n\nSets the range for the given axis. These methods should not be\ncalled directly. They are made public only so that the\nclient-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisLogScale", PyvtkPVXYChartView_SetAxisLogScale, 1,
   (char*)"V.SetAxisLogScale(int, bool)\nC++: void SetAxisLogScale(int index, bool logScale)\n\nSets whether or not the given axis uses a log10 scale. These\nmethods should not be called directly. They are made public only\nso that the client-server-stream-interpreter can invoke them. Use\nthe corresponding properties to change these values.\n"},
  {(char*)"SetAxisTitle", PyvtkPVXYChartView_SetAxisTitle, 1,
   (char*)"V.SetAxisTitle(int, string)\nC++: void SetAxisTitle(int index, const char *title)\n\nSet the chart axis title for the given index. These methods\nshould not be called directly. They are made public only so that\nthe client-server-stream-interpreter can invoke them. Use the\ncorresponding properties to change these values.\n"},
  {(char*)"SetAxisTitleFont", PyvtkPVXYChartView_SetAxisTitleFont, 1,
   (char*)"V.SetAxisTitleFont(int, string, int, bool, bool)\nC++: void SetAxisTitleFont(int index, const char *family,\n    int pointSize, bool bold, bool italic)\n\nSet the chart axis title's font for the given index. These\nmethods should not be called directly. They are made public only\nso that the client-server-stream-interpreter can invoke them. Use\nthe corresponding properties to change these values.\n"},
  {(char*)"SetAxisTitleColor", PyvtkPVXYChartView_SetAxisTitleColor, 1,
   (char*)"V.SetAxisTitleColor(int, float, float, float)\nC++: void SetAxisTitleColor(int index, double red, double green,\n    double blue)\n\nSet the chart axis title's color for the given index. These\nmethods should not be called directly. They are made public only\nso that the client-server-stream-interpreter can invoke them. Use\nthe corresponding properties to change these values.\n"},
  {(char*)"SetAxisLabelsNumber", PyvtkPVXYChartView_SetAxisLabelsNumber, 1,
   (char*)"V.SetAxisLabelsNumber(int, int)\nC++: void SetAxisLabelsNumber(int axis, int number)\n\nSet the number of labels for the supplied axis.\n"},
  {(char*)"SetAxisLabels", PyvtkPVXYChartView_SetAxisLabels, 1,
   (char*)"V.SetAxisLabels(int, int, float)\nC++: void SetAxisLabels(int axis, int index, double value)\n\nSet the axis label positions for the supplied axis at the given\nindex.\n"},
  {(char*)"SetAxisLabelsLeftNumber", PyvtkPVXYChartView_SetAxisLabelsLeftNumber, 1,
   (char*)"V.SetAxisLabelsLeftNumber(int)\nC++: void SetAxisLabelsLeftNumber(int number)\n\nSet the number of axis labels for the left axis.\n"},
  {(char*)"SetAxisLabelsLeft", PyvtkPVXYChartView_SetAxisLabelsLeft, 1,
   (char*)"V.SetAxisLabelsLeft(int, float)\nC++: void SetAxisLabelsLeft(int index, double value)\n\nSet the label positions for the left axis.\n"},
  {(char*)"SetAxisLabelsBottomNumber", PyvtkPVXYChartView_SetAxisLabelsBottomNumber, 1,
   (char*)"V.SetAxisLabelsBottomNumber(int)\nC++: void SetAxisLabelsBottomNumber(int number)\n\nSet the number of labels for the bottom axis.\n"},
  {(char*)"SetAxisLabelsBottom", PyvtkPVXYChartView_SetAxisLabelsBottom, 1,
   (char*)"V.SetAxisLabelsBottom(int, float)\nC++: void SetAxisLabelsBottom(int index, double value)\n\nSet the label positions for the bottom axis.\n"},
  {(char*)"SetAxisLabelsRightNumber", PyvtkPVXYChartView_SetAxisLabelsRightNumber, 1,
   (char*)"V.SetAxisLabelsRightNumber(int)\nC++: void SetAxisLabelsRightNumber(int number)\n\nSet the number of labels for the right axis.\n"},
  {(char*)"SetAxisLabelsRight", PyvtkPVXYChartView_SetAxisLabelsRight, 1,
   (char*)"V.SetAxisLabelsRight(int, float)\nC++: void SetAxisLabelsRight(int index, double value)\n\nSet the label positions for the right axis.\n"},
  {(char*)"SetAxisLabelsTopNumber", PyvtkPVXYChartView_SetAxisLabelsTopNumber, 1,
   (char*)"V.SetAxisLabelsTopNumber(int)\nC++: void SetAxisLabelsTopNumber(int number)\n\nSet the number of labels for the top axis.\n"},
  {(char*)"SetAxisLabelsTop", PyvtkPVXYChartView_SetAxisLabelsTop, 1,
   (char*)"V.SetAxisLabelsTop(int, float)\nC++: void SetAxisLabelsTop(int index, double value)\n\nSet the label positions for the top axis.\n"},
  {(char*)"SetTooltipNotation", PyvtkPVXYChartView_SetTooltipNotation, 1,
   (char*)"V.SetTooltipNotation(int)\nC++: void SetTooltipNotation(int notation)\n\n"},
  {(char*)"SetTooltipPrecision", PyvtkPVXYChartView_SetTooltipPrecision, 1,
   (char*)"V.SetTooltipPrecision(int)\nC++: void SetTooltipPrecision(int precision)\n\n"},
  {(char*)"GetChart", PyvtkPVXYChartView_GetChart, 1,
   (char*)"V.GetChart() -> vtkChart\nC++: virtual vtkChart *GetChart()\n\nProvides access to the chart view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVXYChartView_StaticNew()
{
  return vtkPVXYChartView::New();
}

PyObject *PyVTKClass_vtkPVXYChartViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVXYChartView_StaticNew,
    PyvtkPVXYChartView_Methods,
    "vtkPVXYChartView", modulename,
    NULL, NULL,
    PyvtkPVXYChartView_Doc(),
    PyVTKClass_vtkPVContextViewNew(modulename));
  return cls;
}

const char **PyvtkPVXYChartView_Doc()
{
  static const char *docstring[] = {
    "vtkPVXYChartView - view proxy for vtkQtBarChartView\n\n",
    "Superclass: vtkPVContextView\n\n",
    "vtkPVXYChartView is a concrete subclass of vtkSMChartViewProxy that\ncreates a vtkQtBarChartView as the chart view.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVXYChartView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVXYChartViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVXYChartView", o) != 0)
    {
    Py_DECREF(o);
    }

}

