// python wrapper for vtkProcessModule
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkProcessModule.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkProcessModule(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkProcessModule(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcessModuleNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcessModuleNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkProcessModule_Doc();


static PyObject *
PyvtkProcessModule_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkProcessModule::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkProcessModule *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkProcessModule::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkProcessModule *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkProcessModule::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_Finalize(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "Finalize");

  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkProcessModule::Finalize();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_RegisterSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSession *temp0 = NULL;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->RegisterSession(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::RegisterSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_UnRegisterSession_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkIdType temp0;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->UnRegisterSession(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::UnRegisterSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkProcessModule_UnRegisterSession_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSession *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->UnRegisterSession(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::UnRegisterSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkProcessModule_UnRegisterSession_Methods[] = {
  {NULL, PyvtkProcessModule_UnRegisterSession_s1, 1,
   (char*)"@i"},
  {NULL, PyvtkProcessModule_UnRegisterSession_s2, 1,
   (char*)"@O *vtkSession"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkProcessModule_UnRegisterSession(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkProcessModule_UnRegisterSession_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UnRegisterSession");
  return NULL;
}



static PyObject *
PyvtkProcessModule_GetSession_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkIdType temp0;
  vtkSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSession(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::GetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkProcessModule_GetSession_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSession();
      }
    else
      {
      tempr = op->vtkProcessModule::GetSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkProcessModule_GetSession(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkProcessModule_GetSession_s1(self, args);
    case 0:
      return PyvtkProcessModule_GetSession_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetSession");
  return NULL;
}



static PyObject *
PyvtkProcessModule_GetSessionID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSessionID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSession *temp0 = NULL;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSessionID(temp0);
      }
    else
      {
      tempr = op->vtkProcessModule::GetSessionID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_NewSessionIterator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewSessionIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSessionIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewSessionIterator();
      }
    else
      {
      tempr = op->vtkProcessModule::NewSessionIterator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetActiveSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetActiveSession();
      }
    else
      {
      tempr = op->vtkProcessModule::GetActiveSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetProcessModule(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetProcessModule");

  vtkProcessModule *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkProcessModule::GetProcessModule();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkPVOptions *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOptions();
      }
    else
      {
      tempr = op->vtkProcessModule::GetOptions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_SetOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkPVOptions *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVOptions"))
    {
    if (ap.IsBound())
      {
      op->SetOptions(temp0);
      }
    else
      {
      op->vtkProcessModule::SetOptions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetNetworkAccessManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNetworkAccessManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkNetworkAccessManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNetworkAccessManager();
      }
    else
      {
      tempr = op->vtkProcessModule::GetNetworkAccessManager();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_SetNetworkAccessManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNetworkAccessManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkNetworkAccessManager *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkNetworkAccessManager"))
    {
    if (ap.IsBound())
      {
      op->SetNetworkAccessManager(temp0);
      }
    else
      {
      op->vtkProcessModule::SetNetworkAccessManager(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetGlobalController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobalController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlobalController();
      }
    else
      {
      tempr = op->vtkProcessModule::GetGlobalController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetNumberOfLocalPartitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLocalPartitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLocalPartitions();
      }
    else
      {
      tempr = op->vtkProcessModule::GetNumberOfLocalPartitions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetPartitionId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPartitionId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPartitionId();
      }
    else
      {
      tempr = op->vtkProcessModule::GetPartitionId();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetReportInterpreterErrors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReportInterpreterErrors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReportInterpreterErrors();
      }
    else
      {
      tempr = op->vtkProcessModule::GetReportInterpreterErrors();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_SetReportInterpreterErrors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReportInterpreterErrors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetReportInterpreterErrors(temp0);
      }
    else
      {
      op->vtkProcessModule::SetReportInterpreterErrors(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_ReportInterpreterErrorsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReportInterpreterErrorsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReportInterpreterErrorsOn();
      }
    else
      {
      op->vtkProcessModule::ReportInterpreterErrorsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_ReportInterpreterErrorsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReportInterpreterErrorsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReportInterpreterErrorsOff();
      }
    else
      {
      op->vtkProcessModule::ReportInterpreterErrorsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkProcessModule_GetSymmetricMPIMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSymmetricMPIMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkProcessModule *op = static_cast<vtkProcessModule *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSymmetricMPIMode();
      }
    else
      {
      tempr = op->vtkProcessModule::GetSymmetricMPIMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkProcessModule_Methods[] = {
  {(char*)"GetClassName", PyvtkProcessModule_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkProcessModule_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkProcessModule_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcessModule\nC++: vtkProcessModule *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkProcessModule_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProcessModule\nC++: vtkProcessModule *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Finalize", PyvtkProcessModule_Finalize, 1,
   (char*)"V.Finalize() -> bool\nC++: static bool Finalize()\n\nFinalizes and cleans up the process.\n"},
  {(char*)"RegisterSession", PyvtkProcessModule_RegisterSession, 1,
   (char*)"V.RegisterSession(vtkSession) -> int\nC++: vtkIdType RegisterSession(vtkSession *)\n\nRegisters a new session. A new ID is assigned for the session and\nthat ID is returned. The ID can be used in future to access this\nsession. Fires vtkCommand::ConnectionCreatedEvent every time a\nsession is registered. The event-data for this event is a\nvtkIdType whose value is the session id.\n"},
  {(char*)"UnRegisterSession", PyvtkProcessModule_UnRegisterSession, 1,
   (char*)"V.UnRegisterSession(int) -> bool\nC++: bool UnRegisterSession(vtkIdType sessionID)\nV.UnRegisterSession(vtkSession) -> bool\nC++: bool UnRegisterSession(vtkSession *session)\n\nUnregister a session given its ID. This is the same ID that is\nreturned when the session was registered. Returns true is the\nsession was unregistered. Unregistering a session implies that\nthe ProcessModule will no longer monitor communication on the\nsockets, if any, in the session. Fires\nvtkCommand::ConnectionClosedEvent every time a session is\nunregistered. The event-data for this event is a vtkIdType whose\nvalue is the session id.\n"},
  {(char*)"GetSession", PyvtkProcessModule_GetSession, 1,
   (char*)"V.GetSession(int) -> vtkSession\nC++: vtkSession *GetSession(vtkIdType)\nV.GetSession() -> vtkSession\nC++: vtkSession *GetSession()\n\nReturns the session associated with a given ID.\n"},
  {(char*)"GetSessionID", PyvtkProcessModule_GetSessionID, 1,
   (char*)"V.GetSessionID(vtkSession) -> int\nC++: vtkIdType GetSessionID(vtkSession *)\n\nReturns the session id for the session, if any. Return 0 is the\nsession has not been registered with the process module.\n"},
  {(char*)"NewSessionIterator", PyvtkProcessModule_NewSessionIterator, 1,
   (char*)"V.NewSessionIterator() -> vtkSessionIterator\nC++: vtkSessionIterator *NewSessionIterator()\n\nReturns a new session iterator that can be used to iterate over\nthe registered sessions.\n"},
  {(char*)"GetActiveSession", PyvtkProcessModule_GetActiveSession, 1,
   (char*)"V.GetActiveSession() -> vtkSession\nC++: vtkSession *GetActiveSession()\n\nWhenever any session is processing some message, it typically\nmarks itself active with the process module. The active session\ncan be accessed using this method.\n"},
  {(char*)"GetProcessModule", PyvtkProcessModule_GetProcessModule, 1,
   (char*)"V.GetProcessModule() -> vtkProcessModule\nC++: static vtkProcessModule *GetProcessModule()\n\nProvides access to the global ProcessModule. This method can only\nbe called after Initialize().\n"},
  {(char*)"GetOptions", PyvtkProcessModule_GetOptions, 1,
   (char*)"V.GetOptions() -> vtkPVOptions\nC++: vtkPVOptions *GetOptions()\n\nSet/Get the application command line options object. Note that\nthis has to be explicitly set. vtkProcessModule::Initialize()\ndoes not initialize the vtkPVOptions.\n"},
  {(char*)"SetOptions", PyvtkProcessModule_SetOptions, 1,
   (char*)"V.SetOptions(vtkPVOptions)\nC++: void SetOptions(vtkPVOptions *op)\n\nSet/Get the application command line options object. Note that\nthis has to be explicitly set. vtkProcessModule::Initialize()\ndoes not initialize the vtkPVOptions.\n"},
  {(char*)"GetNetworkAccessManager", PyvtkProcessModule_GetNetworkAccessManager, 1,
   (char*)"V.GetNetworkAccessManager() -> vtkNetworkAccessManager\nC++: vtkNetworkAccessManager *GetNetworkAccessManager()\n\nGet/Set the network access manager. vtkNetworkAccessManager\nencapsulates the setup of interprocess communication channels. By\ndefault a vtkTCPNetworkAccessManager is setup. If you want to\nchange the network access manager, it should be done only when no\nsessions are present. Ideally, you want to do that during the\ninitialization of the process itself.\n"},
  {(char*)"SetNetworkAccessManager", PyvtkProcessModule_SetNetworkAccessManager, 1,
   (char*)"V.SetNetworkAccessManager(vtkNetworkAccessManager)\nC++: void SetNetworkAccessManager(vtkNetworkAccessManager *)\n\nGet/Set the network access manager. vtkNetworkAccessManager\nencapsulates the setup of interprocess communication channels. By\ndefault a vtkTCPNetworkAccessManager is setup. If you want to\nchange the network access manager, it should be done only when no\nsessions are present. Ideally, you want to do that during the\ninitialization of the process itself.\n"},
  {(char*)"GetGlobalController", PyvtkProcessModule_GetGlobalController, 1,
   (char*)"V.GetGlobalController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetGlobalController()\n\nProvides access to the global MPI controller, if any. Same can be\nobtained using vtkMultiProcessController::GetGlobalController();\n"},
  {(char*)"GetNumberOfLocalPartitions", PyvtkProcessModule_GetNumberOfLocalPartitions, 1,
   (char*)"V.GetNumberOfLocalPartitions() -> int\nC++: int GetNumberOfLocalPartitions()\n\nReturns the number of processes in this process group.\n"},
  {(char*)"GetPartitionId", PyvtkProcessModule_GetPartitionId, 1,
   (char*)"V.GetPartitionId() -> int\nC++: int GetPartitionId()\n\nReturns the local process id.\n"},
  {(char*)"GetReportInterpreterErrors", PyvtkProcessModule_GetReportInterpreterErrors, 1,
   (char*)"V.GetReportInterpreterErrors() -> bool\nC++: bool GetReportInterpreterErrors()\n\nSet/Get whether to report errors from the Interpreter.\n"},
  {(char*)"SetReportInterpreterErrors", PyvtkProcessModule_SetReportInterpreterErrors, 1,
   (char*)"V.SetReportInterpreterErrors(bool)\nC++: void SetReportInterpreterErrors(bool a)\n\nSet/Get whether to report errors from the Interpreter.\n"},
  {(char*)"ReportInterpreterErrorsOn", PyvtkProcessModule_ReportInterpreterErrorsOn, 1,
   (char*)"V.ReportInterpreterErrorsOn()\nC++: void ReportInterpreterErrorsOn()\n\nSet/Get whether to report errors from the Interpreter.\n"},
  {(char*)"ReportInterpreterErrorsOff", PyvtkProcessModule_ReportInterpreterErrorsOff, 1,
   (char*)"V.ReportInterpreterErrorsOff()\nC++: void ReportInterpreterErrorsOff()\n\nSet/Get whether to report errors from the Interpreter.\n"},
  {(char*)"GetSymmetricMPIMode", PyvtkProcessModule_GetSymmetricMPIMode, 1,
   (char*)"V.GetSymmetricMPIMode() -> bool\nC++: bool GetSymmetricMPIMode()\n\nReturns true if ParaView is to be run in symmetric mode.\nSymmetric mode implies that satellites process same code as the\nroot node. This is applicable only for PROCESS_BATCH.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkProcessModule_StaticNew()
{
  return vtkProcessModule::New();
}

PyObject *PyVTKClass_vtkProcessModuleNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkProcessModule_StaticNew,
    PyvtkProcessModule_Methods,
    "vtkProcessModule", modulename,
    NULL, NULL,
    PyvtkProcessModule_Doc(),
    PyVTKClass_vtkObjectNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_CLIENT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_DATA_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_RENDER_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_BATCH", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(-1);
    if (o && PyDict_SetItemString(d, (char *)"PROCESS_INVALID", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x01);
    if (o && PyDict_SetItemString(d, (char *)"DATA_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x02);
    if (o && PyDict_SetItemString(d, (char *)"DATA_SERVER_ROOT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x04);
    if (o && PyDict_SetItemString(d, (char *)"RENDER_SERVER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x08);
    if (o && PyDict_SetItemString(d, (char *)"RENDER_SERVER_ROOT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkProcessModule::DATA_SERVER | vtkProcessModule::RENDER_SERVER);
    if (o && PyDict_SetItemString(d, (char *)"SERVERS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x10);
    if (o && PyDict_SetItemString(d, (char *)"CLIENT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkProcessModule::DATA_SERVER | vtkProcessModule::CLIENT | vtkProcessModule::RENDER_SERVER);
    if (o && PyDict_SetItemString(d, (char *)"CLIENT_AND_SERVERS", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkProcessModule_Doc()
{
  static const char *docstring[] = {
    "vtkProcessModule - process initialization and management core for\n\n",
    "Superclass: vtkObject\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkProcessModule(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkProcessModuleNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkProcessModule", o) != 0)
    {
    Py_DECREF(o);
    }

}

