// python wrapper for vtkPythonProgrammableFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPythonProgrammableFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPythonProgrammableFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPythonProgrammableFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPythonProgrammableFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPythonProgrammableFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkProgrammableFilterNew
extern "C" { PyObject *PyVTKClass_vtkProgrammableFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkProgrammableFilterNew
#endif

static const char **PyvtkPythonProgrammableFilter_Doc();


static PyObject *
PyvtkPythonProgrammableFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  vtkPythonProgrammableFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPythonProgrammableFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPythonProgrammableFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScript(temp0);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetScript(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_GetScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScript();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetScript();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetInformationScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInformationScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInformationScript(temp0);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetInformationScript(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_GetInformationScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationScript();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetInformationScript();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetUpdateExtentScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpdateExtentScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpdateExtentScript(temp0);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetUpdateExtentScript(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_GetUpdateExtentScript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateExtentScript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateExtentScript();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetUpdateExtentScript();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetParameter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetParameter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetParameter(temp0, temp1);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetParameter(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_ClearParameters(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearParameters");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearParameters();
      }
    else
      {
      op->vtkPythonProgrammableFilter::ClearParameters();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_ExecuteScript(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ExecuteScript");

  void  *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkPythonProgrammableFilter::ExecuteScript(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetOutputDataSetType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDataSetType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDataSetType(temp0);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetOutputDataSetType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_GetOutputDataSetType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputDataSetType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputDataSetType();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetOutputDataSetType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_SetPythonPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPythonPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPythonPath(temp0);
      }
    else
      {
      op->vtkPythonProgrammableFilter::SetPythonPath(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPythonProgrammableFilter_GetPythonPath(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPythonPath");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPythonProgrammableFilter *op = static_cast<vtkPythonProgrammableFilter *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPythonPath();
      }
    else
      {
      tempr = op->vtkPythonProgrammableFilter::GetPythonPath();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPythonProgrammableFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPythonProgrammableFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPythonProgrammableFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPythonProgrammableFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPythonProgrammableFilter\nC++: vtkPythonProgrammableFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPythonProgrammableFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPythonProgrammableFilter\nC++: vtkPythonProgrammableFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetScript", PyvtkPythonProgrammableFilter_SetScript, 1,
   (char*)"V.SetScript(string)\nC++: void SetScript(char *)\n\nSet the text of the python script to execute.\n"},
  {(char*)"GetScript", PyvtkPythonProgrammableFilter_GetScript, 1,
   (char*)"V.GetScript() -> string\nC++: char *GetScript()\n\nSet the text of the python script to execute.\n"},
  {(char*)"SetInformationScript", PyvtkPythonProgrammableFilter_SetInformationScript, 1,
   (char*)"V.SetInformationScript(string)\nC++: void SetInformationScript(char *)\n\nSet the text of the python script to execute in\nRequestInformation().\n"},
  {(char*)"GetInformationScript", PyvtkPythonProgrammableFilter_GetInformationScript, 1,
   (char*)"V.GetInformationScript() -> string\nC++: char *GetInformationScript()\n\nSet the text of the python script to execute in\nRequestInformation().\n"},
  {(char*)"SetUpdateExtentScript", PyvtkPythonProgrammableFilter_SetUpdateExtentScript, 1,
   (char*)"V.SetUpdateExtentScript(string)\nC++: void SetUpdateExtentScript(char *)\n\nSet the text of the python script to execute in\nRequestUpdateExtent().\n"},
  {(char*)"GetUpdateExtentScript", PyvtkPythonProgrammableFilter_GetUpdateExtentScript, 1,
   (char*)"V.GetUpdateExtentScript() -> string\nC++: char *GetUpdateExtentScript()\n\nSet the text of the python script to execute in\nRequestUpdateExtent().\n"},
  {(char*)"SetParameter", PyvtkPythonProgrammableFilter_SetParameter, 1,
   (char*)"V.SetParameter(string, string)\nC++: void SetParameter(const char *name, const char *value)\n\nSet a name-value parameter that will be available to the script\nwhen it is run\n"},
  {(char*)"ClearParameters", PyvtkPythonProgrammableFilter_ClearParameters, 1,
   (char*)"V.ClearParameters()\nC++: void ClearParameters()\n\nClear all name-value parameters\n"},
  {(char*)"ExecuteScript", PyvtkPythonProgrammableFilter_ExecuteScript, 1,
   (char*)"V.ExecuteScript()\nC++: static void ExecuteScript(void *)\n\nFor internal use only.\n"},
  {(char*)"SetOutputDataSetType", PyvtkPythonProgrammableFilter_SetOutputDataSetType, 1,
   (char*)"V.SetOutputDataSetType(int)\nC++: void SetOutputDataSetType(int a)\n\nChanges the output data set type. Allowable values are defined in\nvtkType.h\n"},
  {(char*)"GetOutputDataSetType", PyvtkPythonProgrammableFilter_GetOutputDataSetType, 1,
   (char*)"V.GetOutputDataSetType() -> int\nC++: int GetOutputDataSetType()\n\nChanges the output data set type. Allowable values are defined in\nvtkType.h\n"},
  {(char*)"SetPythonPath", PyvtkPythonProgrammableFilter_SetPythonPath, 1,
   (char*)"V.SetPythonPath(string)\nC++: void SetPythonPath(char *)\n\nA semi-colon (;) separated list of directories to add to the\npython library search path.\n"},
  {(char*)"GetPythonPath", PyvtkPythonProgrammableFilter_GetPythonPath, 1,
   (char*)"V.GetPythonPath() -> string\nC++: char *GetPythonPath()\n\nA semi-colon (;) separated list of directories to add to the\npython library search path.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPythonProgrammableFilter_StaticNew()
{
  return vtkPythonProgrammableFilter::New();
}

PyObject *PyVTKClass_vtkPythonProgrammableFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPythonProgrammableFilter_StaticNew,
    PyvtkPythonProgrammableFilter_Methods,
    "vtkPythonProgrammableFilter", modulename,
    NULL, NULL,
    PyvtkPythonProgrammableFilter_Doc(),
    PyVTKClass_vtkProgrammableFilterNew(modulename));
  return cls;
}

const char **PyvtkPythonProgrammableFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPythonProgrammableFilter - Executes a user supplied python script\n\n",
    "Superclass: vtkProgrammableFilter\n\n",
    "This filter will execute a python script to produce an output\ndataset. An new interpretor is created at the beginning of\nRequestInformation(). The state of the python interpretor is\npreserved until the next execution of RequestInformation(). After the\ninterpretor is creates the vtk module is imported with \"from paraview import\nvtk\".\n\nThen the interpretor runs the InformationScript during\nRequestIn",
    "formation(). This script is run in a python function called\nRequestInformation(). An argument named self that refers to the\nprogrammable filter is passed to the function. The interpretor also\nruns the Script during RequestData(). This script is run in a python\nfunction called RequestData(). An argument named self that refers to\nthe programmable filter is passed to the function. Furthermore, a set\n",
    "of parameters passed with the SetParameter() call are defined as\nPython variables inside both scripts. This allows the developer to\nkeep the scripts the same but change their behaviour using\nparameters.\n\nCaveat:\n\nNote that this algorithm sets the output extent translator to be\nvtkOnePieceExtentTranslator. This means that all processes will ask\nfor the whole extent. This behaviour can be overridden",
    " in\nInformationScript.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPythonProgrammableFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPythonProgrammableFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPythonProgrammableFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

