// python wrapper for vtkTCPNetworkAccessManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTCPNetworkAccessManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTCPNetworkAccessManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTCPNetworkAccessManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTCPNetworkAccessManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTCPNetworkAccessManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkNetworkAccessManagerNew
extern "C" { PyObject *PyVTKClass_vtkNetworkAccessManagerNew(const char *); }
#define DECLARED_PyVTKClass_vtkNetworkAccessManagerNew
#endif

static const char **PyvtkTCPNetworkAccessManager_Doc();


static PyObject *
PyvtkTCPNetworkAccessManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  vtkTCPNetworkAccessManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTCPNetworkAccessManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTCPNetworkAccessManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_NewConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  char *temp0 = NULL;
  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewConnection(temp0);
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::NewConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_AbortPendingConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AbortPendingConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AbortPendingConnection();
      }
    else
      {
      op->vtkTCPNetworkAccessManager::AbortPendingConnection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_ProcessEvents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessEvents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  unsigned long temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->ProcessEvents(temp0);
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::ProcessEvents(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTCPNetworkAccessManager_GetPendingConnectionsPresent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPendingConnectionsPresent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTCPNetworkAccessManager *op = static_cast<vtkTCPNetworkAccessManager *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPendingConnectionsPresent();
      }
    else
      {
      tempr = op->vtkTCPNetworkAccessManager::GetPendingConnectionsPresent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTCPNetworkAccessManager_Methods[] = {
  {(char*)"GetClassName", PyvtkTCPNetworkAccessManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTCPNetworkAccessManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTCPNetworkAccessManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTCPNetworkAccessManager\nC++: vtkTCPNetworkAccessManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTCPNetworkAccessManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTCPNetworkAccessManager\nC++: vtkTCPNetworkAccessManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"NewConnection", PyvtkTCPNetworkAccessManager_NewConnection, 1,
   (char*)"V.NewConnection(string) -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *NewConnection(\n    const char *url)\n\nCreates a new connection given the url. This call may block until\nthe connection can be established. To keep user-interfaces\nresponsive, one can listen to the vtkCommand::ProgressEvent fired\nperiodically by this class while waiting.\n\nvtkNetworkAccessManager can  be waiting for atmost one connection\nat a time. Calling NewConnection() while another connection is\npending will raise an error.\n\nTo abort the connection and cancel the waiting, simply call\nAbortPendingConnection() in the vtkCommand::ProgressEvent\ncallback.\n\nReturns the new connection instance on success, otherwise NULL.\n\nURLs are of the following form: ://\n* tcp://:\n\n* tcp://localhost:\n\n?listen=true& -- listen for connection on port.\n* tcp://localhost:\n\n?listen=true&multiple=true -- listen for multiple Examples:\n* tcp://medea:12345\n* tcp://localhost:12345?listen&handshake=3.8.12 Supported\n  parameters: handshake :- specify a message that is matched with\nthe other side listen    :- open a server-socket for a client to\n  connect to multiple  :- leave server-socket open for more than\n  1 client to connect (listen must be set to true) nonblocking:-\n  When listen is true, this will result in the call returning\n  NULL if a client connection is not available immediately. It\n  leaves the server socket open for client to connect.\n"},
  {(char*)"AbortPendingConnection", PyvtkTCPNetworkAccessManager_AbortPendingConnection, 1,
   (char*)"V.AbortPendingConnection()\nC++: virtual void AbortPendingConnection()\n\nUsed to abort pending connection creation, if any. Refer to\nNewConnection() for details.\n"},
  {(char*)"ProcessEvents", PyvtkTCPNetworkAccessManager_ProcessEvents, 1,
   (char*)"V.ProcessEvents(int) -> int\nC++: virtual int ProcessEvents(unsigned long timeout_msecs)\n\nProcess any network activity.\n"},
  {(char*)"GetPendingConnectionsPresent", PyvtkTCPNetworkAccessManager_GetPendingConnectionsPresent, 1,
   (char*)"V.GetPendingConnectionsPresent() -> bool\nC++: virtual bool GetPendingConnectionsPresent()\n\nReturns true is the manager is currently waiting for any\nconnections.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTCPNetworkAccessManager_StaticNew()
{
  return vtkTCPNetworkAccessManager::New();
}

PyObject *PyVTKClass_vtkTCPNetworkAccessManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTCPNetworkAccessManager_StaticNew,
    PyvtkTCPNetworkAccessManager_Methods,
    "vtkTCPNetworkAccessManager", modulename,
    NULL, NULL,
    PyvtkTCPNetworkAccessManager_Doc(),
    PyVTKClass_vtkNetworkAccessManagerNew(modulename));
  return cls;
}

const char **PyvtkTCPNetworkAccessManager_Doc()
{
  static const char *docstring[] = {
    "vtkTCPNetworkAccessManager\n\n",
    "Superclass: vtkNetworkAccessManager\n\n",
    "vtkTCPNetworkAccessManager is a concrete implementation of\nvtkNetworkAccessManager that uses tcp/ip sockets for communication\nbetween processes. It supports urls that use \"tcp\" as their protocol\nspecifier.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTCPNetworkAccessManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTCPNetworkAccessManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTCPNetworkAccessManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

