// python wrapper for vtkUnstructuredDataDeliveryFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredDataDeliveryFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkUnstructuredDataDeliveryFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkUnstructuredDataDeliveryFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredDataDeliveryFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredDataDeliveryFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
#endif

static const char **PyvtkUnstructuredDataDeliveryFilter_Doc();


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  vtkUnstructuredDataDeliveryFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkUnstructuredDataDeliveryFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkUnstructuredDataDeliveryFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_SetLODMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLODMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLODMode(temp0);
      }
    else
      {
      op->vtkUnstructuredDataDeliveryFilter::SetLODMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_GetLODMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLODMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLODMode();
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::GetLODMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_SetOutputDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDataType(temp0);
      }
    else
      {
      op->vtkUnstructuredDataDeliveryFilter::SetOutputDataType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_GetOutputDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputDataType();
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::GetOutputDataType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_ProcessViewRequest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessViewRequest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  vtkInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      op->ProcessViewRequest(temp0);
      }
    else
      {
      op->vtkUnstructuredDataDeliveryFilter::ProcessViewRequest(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMTime();
      }
    else
      {
      tempr = op->vtkUnstructuredDataDeliveryFilter::GetMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnstructuredDataDeliveryFilter_Modified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Modified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnstructuredDataDeliveryFilter *op = static_cast<vtkUnstructuredDataDeliveryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Modified();
      }
    else
      {
      op->vtkUnstructuredDataDeliveryFilter::Modified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkUnstructuredDataDeliveryFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkUnstructuredDataDeliveryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkUnstructuredDataDeliveryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkUnstructuredDataDeliveryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredDataDeliveryFilter\nC++: vtkUnstructuredDataDeliveryFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkUnstructuredDataDeliveryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredDataDeliveryFilter\nC++: vtkUnstructuredDataDeliveryFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetLODMode", PyvtkUnstructuredDataDeliveryFilter_SetLODMode, 1,
   (char*)"V.SetLODMode(bool)\nC++: void SetLODMode(bool a)\n\nSet this to true when this filter is used in a LOD pipeline. This\nensures that the respect the delivery flags correctly in\nProcessViewRequest(). Some keys are only to be handled when the\nfilter is in a low-res pipeline. Default is false.\n"},
  {(char*)"GetLODMode", PyvtkUnstructuredDataDeliveryFilter_GetLODMode, 1,
   (char*)"V.GetLODMode() -> bool\nC++: bool GetLODMode()\n\nSet this to true when this filter is used in a LOD pipeline. This\nensures that the respect the delivery flags correctly in\nProcessViewRequest(). Some keys are only to be handled when the\nfilter is in a low-res pipeline. Default is false.\n"},
  {(char*)"SetOutputDataType", PyvtkUnstructuredDataDeliveryFilter_SetOutputDataType, 1,
   (char*)"V.SetOutputDataType(int)\nC++: void SetOutputDataType(int)\n\nSet whether the data is vtkPolyData or vtkUnstucturedGrid. Note\nonly VTK_POLY_DATA and VTK_UNSTRUCTURED_GRID are supported.\n"},
  {(char*)"GetOutputDataType", PyvtkUnstructuredDataDeliveryFilter_GetOutputDataType, 1,
   (char*)"V.GetOutputDataType() -> int\nC++: int GetOutputDataType()\n\nSet whether the data is vtkPolyData or vtkUnstucturedGrid. Note\nonly VTK_POLY_DATA and VTK_UNSTRUCTURED_GRID are supported.\n"},
  {(char*)"ProcessViewRequest", PyvtkUnstructuredDataDeliveryFilter_ProcessViewRequest, 1,
   (char*)"V.ProcessViewRequest(vtkInformation)\nC++: void ProcessViewRequest(vtkInformation *)\n\nProcess the view request. Note that this may affect the mtime of\nthe filter.\n"},
  {(char*)"GetMTime", PyvtkUnstructuredDataDeliveryFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime()\n\nReturn this object's modified time.\n"},
  {(char*)"Modified", PyvtkUnstructuredDataDeliveryFilter_Modified, 1,
   (char*)"V.Modified()\nC++: virtual void Modified()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkUnstructuredDataDeliveryFilter_StaticNew()
{
  return vtkUnstructuredDataDeliveryFilter::New();
}

PyObject *PyVTKClass_vtkUnstructuredDataDeliveryFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkUnstructuredDataDeliveryFilter_StaticNew,
    PyvtkUnstructuredDataDeliveryFilter_Methods,
    "vtkUnstructuredDataDeliveryFilter", modulename,
    NULL, NULL,
    PyvtkUnstructuredDataDeliveryFilter_Doc(),
    PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkUnstructuredDataDeliveryFilter_Doc()
{
  static const char *docstring[] = {
    "vtkUnstructuredDataDeliveryFilter\n\n",
    "Superclass: vtkPassInputTypeAlgorithm\n\n",
    "vtkUnstructuredDataDeliveryFilter is a helper filter that can be used\nin vtkPolyData or vtkUnstructuredGrid representations to deliver the\ndata to the process(es) doing the rendering. Use this filter in\nvtkView::REQUEST_PREPARE_FOR_RENDER() pass to deliver the data to the\ncorrect node for rendering. Simply put this filter in your\nrendering-pipeline (for example after the geometry filter and before",
    "\nthe mapper) and then pass the request-information object to\nProcessViewRequest() call. This filter will lookup keys in the\ninformation object and update its state as needed to ensure that the\ndata is available in the form/shape requested on the rendering nodes.\n\nSee Also:\n\nvtkImageSliceDataDeliveryFilter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkUnstructuredDataDeliveryFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkUnstructuredDataDeliveryFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkUnstructuredDataDeliveryFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

