// python wrapper for vtkXMLPVAnimationWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkXMLPVAnimationWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkXMLPVAnimationWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkXMLPVAnimationWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPVAnimationWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPVAnimationWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkXMLPVDWriterNew
extern "C" { PyObject *PyVTKClass_vtkXMLPVDWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkXMLPVDWriterNew
#endif

static const char **PyvtkXMLPVAnimationWriter_Doc();


static PyObject *
PyvtkXMLPVAnimationWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkXMLPVAnimationWriter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkXMLPVAnimationWriter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  vtkXMLPVAnimationWriter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkXMLPVAnimationWriter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkXMLPVAnimationWriter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkXMLPVAnimationWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_AddRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  vtkAlgorithm *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddRepresentation(temp0, temp1);
      }
    else
      {
      op->vtkXMLPVAnimationWriter::AddRepresentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_RemoveAllRepresentations(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllRepresentations");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllRepresentations();
      }
    else
      {
      op->vtkXMLPVAnimationWriter::RemoveAllRepresentations();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_Start(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Start");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Start();
      }
    else
      {
      op->vtkXMLPVAnimationWriter::Start();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_WriteTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "WriteTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->WriteTime(temp0);
      }
    else
      {
      op->vtkXMLPVAnimationWriter::WriteTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXMLPVAnimationWriter_Finish(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Finish");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXMLPVAnimationWriter *op = static_cast<vtkXMLPVAnimationWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Finish();
      }
    else
      {
      op->vtkXMLPVAnimationWriter::Finish();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkXMLPVAnimationWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkXMLPVAnimationWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkXMLPVAnimationWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkXMLPVAnimationWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPVAnimationWriter\nC++: vtkXMLPVAnimationWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkXMLPVAnimationWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPVAnimationWriter\nC++: vtkXMLPVAnimationWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddRepresentation", PyvtkXMLPVAnimationWriter_AddRepresentation, 1,
   (char*)"V.AddRepresentation(vtkAlgorithm, string)\nC++: void AddRepresentation(vtkAlgorithm *, const char *groupname)\n\nAdd/Remove representations.\n"},
  {(char*)"RemoveAllRepresentations", PyvtkXMLPVAnimationWriter_RemoveAllRepresentations, 1,
   (char*)"V.RemoveAllRepresentations()\nC++: void RemoveAllRepresentations()\n\nAdd/Remove representations.\n"},
  {(char*)"Start", PyvtkXMLPVAnimationWriter_Start, 1,
   (char*)"V.Start()\nC++: void Start()\n\nStart a new animation with the current set of inputs.\n"},
  {(char*)"WriteTime", PyvtkXMLPVAnimationWriter_WriteTime, 1,
   (char*)"V.WriteTime(float)\nC++: void WriteTime(double time)\n\nWrite the current time step.\n"},
  {(char*)"Finish", PyvtkXMLPVAnimationWriter_Finish, 1,
   (char*)"V.Finish()\nC++: void Finish()\n\nFinish an animation by writing the collection file.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkXMLPVAnimationWriter_StaticNew()
{
  return vtkXMLPVAnimationWriter::New();
}

PyObject *PyVTKClass_vtkXMLPVAnimationWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkXMLPVAnimationWriter_StaticNew,
    PyvtkXMLPVAnimationWriter_Methods,
    "vtkXMLPVAnimationWriter", modulename,
    NULL, NULL,
    PyvtkXMLPVAnimationWriter_Doc(),
    PyVTKClass_vtkXMLPVDWriterNew(modulename));
  return cls;
}

const char **PyvtkXMLPVAnimationWriter_Doc()
{
  static const char *docstring[] = {
    "vtkXMLPVAnimationWriter - Data writer for ParaView\n\n",
    "Superclass: vtkXMLPVDWriter\n\n",
    "vtkXMLPVAnimationWriter is used to save all parts of a current source\nto a file with pieces spread across ther server processes.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkXMLPVAnimationWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkXMLPVAnimationWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkXMLPVAnimationWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

