// python wrapper for vtkXYChartRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkXYChartRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkXYChartRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkXYChartRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXYChartRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXYChartRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkChartRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkChartRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkChartRepresentationNew
#endif

static const char **PyvtkXYChartRepresentation_Doc();


static PyObject *
PyvtkXYChartRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  vtkXYChartRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkXYChartRepresentation *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkXYChartRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_GetChart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  vtkChartXY *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChart();
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::GetChart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_SetXAxisSeriesName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXAxisSeriesName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXAxisSeriesName(temp0);
      }
    else
      {
      op->vtkXYChartRepresentation::SetXAxisSeriesName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_GetXAxisSeriesName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXAxisSeriesName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXAxisSeriesName();
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::GetXAxisSeriesName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_SetUseIndexForXAxis(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseIndexForXAxis");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseIndexForXAxis(temp0);
      }
    else
      {
      op->vtkXYChartRepresentation::SetUseIndexForXAxis(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_SetChartType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetChartType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetChartType(temp0);
      }
    else
      {
      op->vtkXYChartRepresentation::SetChartType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXYChartRepresentation_GetChartType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChartType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXYChartRepresentation *op = static_cast<vtkXYChartRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChartType();
      }
    else
      {
      tempr = op->vtkXYChartRepresentation::GetChartType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkXYChartRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkXYChartRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkXYChartRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkXYChartRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXYChartRepresentation\nC++: vtkXYChartRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkXYChartRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXYChartRepresentation\nC++: vtkXYChartRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetChart", PyvtkXYChartRepresentation_GetChart, 1,
   (char*)"V.GetChart() -> vtkChartXY\nC++: vtkChartXY *GetChart()\n\nProvides access to the underlying VTK representation.\n"},
  {(char*)"SetXAxisSeriesName", PyvtkXYChartRepresentation_SetXAxisSeriesName, 1,
   (char*)"V.SetXAxisSeriesName(string)\nC++: void SetXAxisSeriesName(const char *name)\n\nSet the series to use as the X-axis.\n"},
  {(char*)"GetXAxisSeriesName", PyvtkXYChartRepresentation_GetXAxisSeriesName, 1,
   (char*)"V.GetXAxisSeriesName() -> string\nC++: const char *GetXAxisSeriesName()\n\nSet the series to use as the X-axis.\n"},
  {(char*)"SetUseIndexForXAxis", PyvtkXYChartRepresentation_SetUseIndexForXAxis, 1,
   (char*)"V.SetUseIndexForXAxis(bool)\nC++: void SetUseIndexForXAxis(bool useIndex)\n\nSet whether the index should be used for the x axis.\n"},
  {(char*)"SetChartType", PyvtkXYChartRepresentation_SetChartType, 1,
   (char*)"V.SetChartType(string)\nC++: void SetChartType(const char *type)\n\nSet the chart type, defaults to line chart\n"},
  {(char*)"GetChartType", PyvtkXYChartRepresentation_GetChartType, 1,
   (char*)"V.GetChartType() -> int\nC++: int GetChartType()\n\nGet the chart type, defaults to line chart, the return value is\nfrom the vtkChart enum (anonymous for wrapping).\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkXYChartRepresentation_StaticNew()
{
  return vtkXYChartRepresentation::New();
}

PyObject *PyVTKClass_vtkXYChartRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkXYChartRepresentation_StaticNew,
    PyvtkXYChartRepresentation_Methods,
    "vtkXYChartRepresentation", modulename,
    NULL, NULL,
    PyvtkXYChartRepresentation_Doc(),
    PyVTKClass_vtkChartRepresentationNew(modulename));
  return cls;
}

const char **PyvtkXYChartRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkXYChartRepresentation\n\n",
    "Superclass: vtkChartRepresentation\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkXYChartRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkXYChartRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkXYChartRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

