// python wrapper for vtkCommandOptionsXMLParser
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCommandOptionsXMLParser.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCommandOptionsXMLParser(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCommandOptionsXMLParser(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCommandOptionsXMLParserNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCommandOptionsXMLParserNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkXMLParserNew
extern "C" { PyObject *PyVTKClass_vtkXMLParserNew(const char *); }
#define DECLARED_PyVTKClass_vtkXMLParserNew
#endif

static const char **PyvtkCommandOptionsXMLParser_Doc();


static PyObject *
PyvtkCommandOptionsXMLParser_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCommandOptionsXMLParser *op = static_cast<vtkCommandOptionsXMLParser *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCommandOptionsXMLParser::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCommandOptionsXMLParser_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCommandOptionsXMLParser *op = static_cast<vtkCommandOptionsXMLParser *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCommandOptionsXMLParser::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCommandOptionsXMLParser_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCommandOptionsXMLParser *op = static_cast<vtkCommandOptionsXMLParser *>(vp);

  vtkCommandOptionsXMLParser *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCommandOptionsXMLParser::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCommandOptionsXMLParser_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCommandOptionsXMLParser *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCommandOptionsXMLParser::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCommandOptionsXMLParser_SetPVOptions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPVOptions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCommandOptionsXMLParser *op = static_cast<vtkCommandOptionsXMLParser *>(vp);

  vtkCommandOptions *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCommandOptions"))
    {
    if (ap.IsBound())
      {
      op->SetPVOptions(temp0);
      }
    else
      {
      op->vtkCommandOptionsXMLParser::SetPVOptions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCommandOptionsXMLParser_Methods[] = {
  {(char*)"GetClassName", PyvtkCommandOptionsXMLParser_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCommandOptionsXMLParser_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCommandOptionsXMLParser_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCommandOptionsXMLParser\nC++: vtkCommandOptionsXMLParser *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCommandOptionsXMLParser_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCommandOptionsXMLParser\nC++: vtkCommandOptionsXMLParser *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPVOptions", PyvtkCommandOptionsXMLParser_SetPVOptions, 1,
   (char*)"V.SetPVOptions(vtkCommandOptions)\nC++: void SetPVOptions(vtkCommandOptions *o)\n\nAdd arguments to the xml parser.  These should be the long\narguments from the vtkCommandOptions class of the form\n--foo, and pass in the variable that needs to be set with the\n    value.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCommandOptionsXMLParser_StaticNew()
{
  return vtkCommandOptionsXMLParser::New();
}

PyObject *PyVTKClass_vtkCommandOptionsXMLParserNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCommandOptionsXMLParser_StaticNew,
    PyvtkCommandOptionsXMLParser_Methods,
    "vtkCommandOptionsXMLParser", modulename,
    NULL, NULL,
    PyvtkCommandOptionsXMLParser_Doc(),
    PyVTKClass_vtkXMLParserNew(modulename));
  return cls;
}

const char **PyvtkCommandOptionsXMLParser_Doc()
{
  static const char *docstring[] = {
    "vtkCommandOptionsXMLParser - ParaView options storage\n\n",
    "Superclass: vtkXMLParser\n\n",
    "An object of this class represents a storage for ParaView options\n\nThese options can be retrieved during run-time, set using\nconfiguration file or using Command Line Arguments.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCommandOptionsXMLParser(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCommandOptionsXMLParserNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCommandOptionsXMLParser", o) != 0)
    {
    Py_DECREF(o);
    }

}

