// python wrapper for vtkPVSessionBase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSessionBase.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSessionBase(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSessionBase(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSessionBaseNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSessionBaseNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVSessionNew
extern "C" { PyObject *PyVTKClass_vtkPVSessionNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVSessionNew
#endif

static const char **PyvtkPVSessionBase_Doc();


static PyObject *
PyvtkPVSessionBase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionBase::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkPVSessionBase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSessionBase::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetServerInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkPVServerInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerInformation();
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetServerInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkMPIMToNSocketConnection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMPIMToNSocketConnection();
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetMPIMToNSocketConnection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GatherInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  unsigned int temp0;
  vtkPVInformation *temp1 = NULL;
  unsigned int temp2;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPVInformation") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GatherInformation(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkPVSessionBase::GatherInformation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetSessionCore(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSessionCore");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkPVSessionCore *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSessionCore();
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetSessionCore();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetProxyDefinitionManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDefinitionManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkSIProxyDefinitionManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDefinitionManager();
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetProxyDefinitionManager();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetSIObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSIObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  unsigned int temp0;
  vtkSIObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSIObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetSIObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetRemoteObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRemoteObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  unsigned int temp0;
  vtkObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRemoteObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionBase::GetRemoteObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionBase_GetAllRemoteObjects(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllRemoteObjects");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionBase *op = static_cast<vtkPVSessionBase *>(vp);

  vtkCollection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetAllRemoteObjects(temp0);
      }
    else
      {
      op->vtkPVSessionBase::GetAllRemoteObjects(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSessionBase_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSessionBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSessionBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSessionBase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSessionBase\nC++: vtkPVSessionBase *NewInstance()\n\n"},
  {(char*)"GetServerInformation", PyvtkPVSessionBase_GetServerInformation, 1,
   (char*)"V.GetServerInformation() -> vtkPVServerInformation\nC++: virtual vtkPVServerInformation *GetServerInformation()\n\nvtkPVServerInformation is an information-object that provides\ninformation about the server processes. These include server-side\ncapabilities as well as server-side command line arguments e.g.\ntile-display parameters. Use this method to obtain the\nserver-side information. Overridden to provide support for\nnon-remote-server case. We simply read the local process\ninformation and return it.\n"},
  {(char*)"GetMPIMToNSocketConnection", PyvtkPVSessionBase_GetMPIMToNSocketConnection, 1,
   (char*)"V.GetMPIMToNSocketConnection() -> vtkMPIMToNSocketConnection\nC++: virtual vtkMPIMToNSocketConnection *GetMPIMToNSocketConnection(\n    )\n\nThis is socket connection, if any to communicate between the\ndata-server and render-server nodes. Forwarded for\nvtkPVSessionCore.\n"},
  {(char*)"GatherInformation", PyvtkPVSessionBase_GatherInformation, 1,
   (char*)"V.GatherInformation(int, vtkPVInformation, int) -> bool\nC++: virtual bool GatherInformation(vtkTypeUInt32 location,\n    vtkPVInformation *information, vtkTypeUInt32 globalid)\n\nGather information about an object referred by the\nglobalid.location identifies the processes to gather the\ninformation from.\n"},
  {(char*)"GetSessionCore", PyvtkPVSessionBase_GetSessionCore, 1,
   (char*)"V.GetSessionCore() -> vtkPVSessionCore\nC++: vtkPVSessionCore *GetSessionCore()\n\nProvides access to the session core.\n"},
  {(char*)"GetProxyDefinitionManager", PyvtkPVSessionBase_GetProxyDefinitionManager, 1,
   (char*)"V.GetProxyDefinitionManager() -> vtkSIProxyDefinitionManager\nC++: vtkSIProxyDefinitionManager *GetProxyDefinitionManager()\n\nGet the ProxyDefinitionManager.\n"},
  {(char*)"GetSIObject", PyvtkPVSessionBase_GetSIObject, 1,
   (char*)"V.GetSIObject(int) -> vtkSIObject\nC++: vtkSIObject *GetSIObject(vtkTypeUInt32 globalid)\n\nReturns a vtkSIObject or subclass given its global id, if any.\n"},
  {(char*)"GetRemoteObject", PyvtkPVSessionBase_GetRemoteObject, 1,
   (char*)"V.GetRemoteObject(int) -> vtkObject\nC++: vtkObject *GetRemoteObject(vtkTypeUInt32 globalid)\n\nReturn a vtkSMRemoteObject given its global id if any otherwise\nreturn NULL;\n"},
  {(char*)"GetAllRemoteObjects", PyvtkPVSessionBase_GetAllRemoteObjects, 1,
   (char*)"V.GetAllRemoteObjects(vtkCollection)\nC++: virtual void GetAllRemoteObjects(vtkCollection *collection)\n\nAllow the user to fill its vtkCollection with all RemoteObject\nThis could be usefull when you want to hold a reference to them\nto prevent any deletion across several method call.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkPVSessionBaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkPVSessionBase_Methods,
    "vtkPVSessionBase", modulename,
    NULL, NULL,
    PyvtkPVSessionBase_Doc(),
    PyVTKClass_vtkPVSessionNew(modulename));
  return cls;
}

const char **PyvtkPVSessionBase_Doc()
{
  static const char *docstring[] = {
    "vtkPVSessionBase\n\n",
    "Superclass: vtkPVSession\n\n",
    "Abstract class used to provide the main implementation of the\nParaView session methods for the following classes: vtkSMSession,\n                                           vtkSMSessionClient,\n                                           vtkSMSessionServer\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSessionBase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSessionBaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSessionBase", o) != 0)
    {
    Py_DECREF(o);
    }

}

