// python wrapper for vtkPVSessionCoreInterpreterHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSessionCoreInterpreterHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSessionCoreInterpreterHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSessionCoreInterpreterHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSessionCoreInterpreterHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSessionCoreInterpreterHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVSessionCoreInterpreterHelper_Doc();


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  vtkPVSessionCoreInterpreterHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVSessionCoreInterpreterHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVSessionCoreInterpreterHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_GetSIObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSIObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  unsigned int temp0;
  vtkSIObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSIObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::GetSIObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_GetVTKObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVTKObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  unsigned int temp0;
  vtkObjectBase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVTKObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::GetVTKObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_GetProcessModule(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProcessModule");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  vtkProcessModule *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProcessModule();
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::GetProcessModule();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_GetActiveProgressHandler(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveProgressHandler");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  vtkPVProgressHandler *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetActiveProgressHandler();
      }
    else
      {
      tempr = op->vtkPVSessionCoreInterpreterHelper::GetActiveProgressHandler();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_SetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  vtkMPIMToNSocketConnection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMPIMToNSocketConnection"))
    {
    if (ap.IsBound())
      {
      op->SetMPIMToNSocketConnection(temp0);
      }
    else
      {
      op->vtkPVSessionCoreInterpreterHelper::SetMPIMToNSocketConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCoreInterpreterHelper_SetCore(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCore");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCoreInterpreterHelper *op = static_cast<vtkPVSessionCoreInterpreterHelper *>(vp);

  vtkPVSessionCore *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVSessionCore"))
    {
    if (ap.IsBound())
      {
      op->SetCore(temp0);
      }
    else
      {
      op->vtkPVSessionCoreInterpreterHelper::SetCore(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSessionCoreInterpreterHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSessionCoreInterpreterHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSessionCoreInterpreterHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSessionCoreInterpreterHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSessionCoreInterpreterHelper\nC++: vtkPVSessionCoreInterpreterHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVSessionCoreInterpreterHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVSessionCoreInterpreterHelper\nC++: vtkPVSessionCoreInterpreterHelper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSIObject", PyvtkPVSessionCoreInterpreterHelper_GetSIObject, 1,
   (char*)"V.GetSIObject(int) -> vtkSIObject\nC++: vtkSIObject *GetSIObject(vtkTypeUInt32 gid)\n\n"},
  {(char*)"GetVTKObject", PyvtkPVSessionCoreInterpreterHelper_GetVTKObject, 1,
   (char*)"V.GetVTKObject(int) -> vtkObjectBase\nC++: vtkObjectBase *GetVTKObject(vtkTypeUInt32 gid)\n\n"},
  {(char*)"GetProcessModule", PyvtkPVSessionCoreInterpreterHelper_GetProcessModule, 1,
   (char*)"V.GetProcessModule() -> vtkProcessModule\nC++: vtkProcessModule *GetProcessModule()\n\n"},
  {(char*)"GetActiveProgressHandler", PyvtkPVSessionCoreInterpreterHelper_GetActiveProgressHandler, 1,
   (char*)"V.GetActiveProgressHandler() -> vtkPVProgressHandler\nC++: vtkPVProgressHandler *GetActiveProgressHandler()\n\n"},
  {(char*)"SetMPIMToNSocketConnection", PyvtkPVSessionCoreInterpreterHelper_SetMPIMToNSocketConnection, 1,
   (char*)"V.SetMPIMToNSocketConnection(vtkMPIMToNSocketConnection)\nC++: void SetMPIMToNSocketConnection(vtkMPIMToNSocketConnection *)\n\nSets and initializes the MPIMToNSocketConnection for\ncommunicating between data-server and render-server.\n"},
  {(char*)"SetCore", PyvtkPVSessionCoreInterpreterHelper_SetCore, 1,
   (char*)"V.SetCore(vtkPVSessionCore)\nC++: void SetCore(vtkPVSessionCore *)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVSessionCoreInterpreterHelper_StaticNew()
{
  return vtkPVSessionCoreInterpreterHelper::New();
}

PyObject *PyVTKClass_vtkPVSessionCoreInterpreterHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVSessionCoreInterpreterHelper_StaticNew,
    PyvtkPVSessionCoreInterpreterHelper_Methods,
    "vtkPVSessionCoreInterpreterHelper", modulename,
    NULL, NULL,
    PyvtkPVSessionCoreInterpreterHelper_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVSessionCoreInterpreterHelper_Doc()
{
  static const char *docstring[] = {
    "vtkPVSessionCoreInterpreterHelper\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVSessionCoreInterpreterHelper is used by vtkPVSessionCore to\navoid a circular reference between the vtkPVSessionCore instance and\nits Interpreter.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSessionCoreInterpreterHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSessionCoreInterpreterHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSessionCoreInterpreterHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

