// python wrapper for vtkPVSessionCore
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSessionCore.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSessionCore(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSessionCore(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSessionCoreNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSessionCoreNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVSessionCore_Doc();


static PyObject *
PyvtkPVSessionCore_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSessionCore::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCore::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  vtkPVSessionCore *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSessionCore::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVSessionCore *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVSessionCore::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_GetSIObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSIObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  unsigned int temp0;
  vtkSIObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSIObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCore::GetSIObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_GetRemoteObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRemoteObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  unsigned int temp0;
  vtkObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRemoteObject(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionCore::GetRemoteObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_RegisterRemoteObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterRemoteObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  unsigned int temp0;
  vtkObject *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkObject"))
    {
    if (ap.IsBound())
      {
      op->RegisterRemoteObject(temp0, temp1);
      }
    else
      {
      op->vtkPVSessionCore::RegisterRemoteObject(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_UnRegisterRemoteObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterRemoteObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterRemoteObject(temp0);
      }
    else
      {
      op->vtkPVSessionCore::UnRegisterRemoteObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_GatherInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  unsigned int temp0;
  vtkPVInformation *temp1 = NULL;
  unsigned int temp2;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPVInformation") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GatherInformation(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkPVSessionCore::GatherInformation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProcesses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProcesses();
      }
    else
      {
      tempr = op->vtkPVSessionCore::GetNumberOfProcesses();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_SetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  vtkMPIMToNSocketConnection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMPIMToNSocketConnection"))
    {
    if (ap.IsBound())
      {
      op->SetMPIMToNSocketConnection(temp0);
      }
    else
      {
      op->vtkPVSessionCore::SetMPIMToNSocketConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionCore_GetMPIMToNSocketConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMPIMToNSocketConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionCore *op = static_cast<vtkPVSessionCore *>(vp);

  vtkMPIMToNSocketConnection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMPIMToNSocketConnection();
      }
    else
      {
      tempr = op->vtkPVSessionCore::GetMPIMToNSocketConnection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSessionCore_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSessionCore_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSessionCore_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSessionCore_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSessionCore\nC++: vtkPVSessionCore *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVSessionCore_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVSessionCore\nC++: vtkPVSessionCore *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSIObject", PyvtkPVSessionCore_GetSIObject, 1,
   (char*)"V.GetSIObject(int) -> vtkSIObject\nC++: vtkSIObject *GetSIObject(vtkTypeUInt32 globalid)\n\nReturns a vtkSIObject or subclass given its global id, if any\notherwise return NULL;\n"},
  {(char*)"GetRemoteObject", PyvtkPVSessionCore_GetRemoteObject, 1,
   (char*)"V.GetRemoteObject(int) -> vtkObject\nC++: vtkObject *GetRemoteObject(vtkTypeUInt32 globalid)\n\nReturn a vtkObject given its global id if any otherwise return\nNULL;\n"},
  {(char*)"RegisterRemoteObject", PyvtkPVSessionCore_RegisterRemoteObject, 1,
   (char*)"V.RegisterRemoteObject(int, vtkObject)\nC++: void RegisterRemoteObject(vtkTypeUInt32 globalid,\n    vtkObject *obj)\n\nRegister a remote object\n"},
  {(char*)"UnRegisterRemoteObject", PyvtkPVSessionCore_UnRegisterRemoteObject, 1,
   (char*)"V.UnRegisterRemoteObject(int)\nC++: void UnRegisterRemoteObject(vtkTypeUInt32 globalid)\n\nUnregister a remote object\n"},
  {(char*)"GatherInformation", PyvtkPVSessionCore_GatherInformation, 1,
   (char*)"V.GatherInformation(int, vtkPVInformation, int) -> bool\nC++: virtual bool GatherInformation(vtkTypeUInt32 location,\n    vtkPVInformation *information, vtkTypeUInt32 globalid)\n\nGather information about an object referred by the\nglobalid.location identifies the processes to gather the\ninformation from.\n"},
  {(char*)"GetNumberOfProcesses", PyvtkPVSessionCore_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses()\n\nReturns the number of processes. This simply calls the\nGetNumberOfProcesses() on this->ParallelController\n"},
  {(char*)"SetMPIMToNSocketConnection", PyvtkPVSessionCore_SetMPIMToNSocketConnection, 1,
   (char*)"V.SetMPIMToNSocketConnection(vtkMPIMToNSocketConnection)\nC++: void SetMPIMToNSocketConnection(vtkMPIMToNSocketConnection *)\n\nGet/Set the socket connection used to communicate betweeen\ndata=server and render-server processes. This is valid only on\ndata-server and render-server processes.\n"},
  {(char*)"GetMPIMToNSocketConnection", PyvtkPVSessionCore_GetMPIMToNSocketConnection, 1,
   (char*)"V.GetMPIMToNSocketConnection() -> vtkMPIMToNSocketConnection\nC++: vtkMPIMToNSocketConnection *GetMPIMToNSocketConnection()\n\nGet/Set the socket connection used to communicate betweeen\ndata=server and render-server processes. This is valid only on\ndata-server and render-server processes.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVSessionCore_StaticNew()
{
  return vtkPVSessionCore::New();
}

PyObject *PyVTKClass_vtkPVSessionCoreNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVSessionCore_StaticNew,
    PyvtkPVSessionCore_Methods,
    "vtkPVSessionCore", modulename,
    NULL, NULL,
    PyvtkPVSessionCore_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVSessionCore_Doc()
{
  static const char *docstring[] = {
    "vtkPVSessionCore\n\n",
    "Superclass: vtkObject\n\n",
    "vtkPVSessionCore is used by vtkSMSession. vtkPVSessionCore handle the\ncommunication to MPI satellites and ServerImplementation code\ninstanciation and execution. On the other hand, the vtkSMSession\ndispatch the request to the right process and therefore to the right\nvtkPVSessionCore instance.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSessionCore(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSessionCoreNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSessionCore", o) != 0)
    {
    Py_DECREF(o);
    }

}

