// python wrapper for vtkPVSessionServer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVSessionServer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVSessionServer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVSessionServer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVSessionServerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVSessionServerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVSessionBaseNew
extern "C" { PyObject *PyVTKClass_vtkPVSessionBaseNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVSessionBaseNew
#endif

static const char **PyvtkPVSessionServer_Doc();


static PyObject *
PyvtkPVSessionServer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVSessionServer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionServer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionServer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionServer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  vtkPVSessionServer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVSessionServer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionServer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVSessionServer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVSessionServer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVSessionServer_Connect_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Connect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->Connect(temp0);
      }
    else
      {
      tempr = op->vtkPVSessionServer::Connect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVSessionServer_Connect_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Connect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Connect();
      }
    else
      {
      tempr = op->vtkPVSessionServer::Connect();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVSessionServer_Connect(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkPVSessionServer_Connect_s1(self, args);
    case 0:
      return PyvtkPVSessionServer_Connect_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Connect");
  return NULL;
}



static PyObject *
PyvtkPVSessionServer_GetIsAlive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsAlive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVSessionServer *op = static_cast<vtkPVSessionServer *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsAlive();
      }
    else
      {
      tempr = op->vtkPVSessionServer::GetIsAlive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVSessionServer_Methods[] = {
  {(char*)"GetClassName", PyvtkPVSessionServer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVSessionServer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVSessionServer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVSessionServer\nC++: vtkPVSessionServer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVSessionServer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVSessionServer\nC++: vtkPVSessionServer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Connect", PyvtkPVSessionServer_Connect, 1,
   (char*)"V.Connect(string) -> bool\nC++: virtual bool Connect(const char *url)\nV.Connect() -> bool\nC++: bool Connect()\n\nConnects a remote server. URL can be of the following format:\ncs://<pvserver-host>:<pvserver-port>\ncdsrs://<pvdataserver-host>:<pvdataserver-port>/<pvrenderserver-ho\nst>:<pvrenderserver-port> In both cases the port is optional.\nWhen not provided default pvserver/pvdataserver port // is 11111,\nwhile default pvrenderserver port is 22221. For reverse connect\ni.e. the client waits for the server to connect back, simply add\n\"rc\" to the protocol e.g. csrc://<pvserver-host>:<pvserver-port>\ncdsrsrc://<pvdataserver-host>:<pvdataserver-port>/<pvrenderserver-\nhost>:<pvrenderserver-port> In this case, the hostname is\nirrelevant and is ignored.\n"},
  {(char*)"GetIsAlive", PyvtkPVSessionServer_GetIsAlive, 1,
   (char*)"V.GetIsAlive() -> bool\nC++: virtual bool GetIsAlive()\n\nReturns true is this session is active/alive/valid.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVSessionServer_StaticNew()
{
  return vtkPVSessionServer::New();
}

PyObject *PyVTKClass_vtkPVSessionServerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVSessionServer_StaticNew,
    PyvtkPVSessionServer_Methods,
    "vtkPVSessionServer", modulename,
    NULL, NULL,
    PyvtkPVSessionServer_Doc(),
    PyVTKClass_vtkPVSessionBaseNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"PUSH", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"EXECUTE_STREAM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"PULL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"GATHER_INFORMATION", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"DELETE_SI", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(6);
    if (o && PyDict_SetItemString(d, (char *)"LAST_RESULT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55625);
    if (o && PyDict_SetItemString(d, (char *)"CLIENT_SERVER_MESSAGE_RMI", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55626);
    if (o && PyDict_SetItemString(d, (char *)"CLOSE_SESSION", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55627);
    if (o && PyDict_SetItemString(d, (char *)"REPLY_GATHER_INFORMATION_TAG", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55628);
    if (o && PyDict_SetItemString(d, (char *)"REPLY_PULL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55629);
    if (o && PyDict_SetItemString(d, (char *)"REPLY_LAST_RESULT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55630);
    if (o && PyDict_SetItemString(d, (char *)"EXECUTE_STREAM_TAG", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkPVSessionServer_Doc()
{
  static const char *docstring[] = {
    "vtkPVSessionServer\n\n",
    "Superclass: vtkPVSessionBase\n\n",
    "vtkSMSessionServer is a session used on data and/or render servers.\nIt's designed for a process that works with a separate client process\nthat acts as the visualization driver.\n\nSee Also:\n\nvtkSMSessionClient\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVSessionServer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVSessionServerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVSessionServer", o) != 0)
    {
    Py_DECREF(o);
    }

}

