// python wrapper for vtkSIArraySelectionProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIArraySelectionProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIArraySelectionProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIArraySelectionProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIArraySelectionPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIArraySelectionPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIPropertyNew
#endif

static const char **PyvtkSIArraySelectionProperty_Doc();


static PyObject *
PyvtkSIArraySelectionProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIArraySelectionProperty *op = static_cast<vtkSIArraySelectionProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIArraySelectionProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIArraySelectionProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIArraySelectionProperty *op = static_cast<vtkSIArraySelectionProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIArraySelectionProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIArraySelectionProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIArraySelectionProperty *op = static_cast<vtkSIArraySelectionProperty *>(vp);

  vtkSIArraySelectionProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIArraySelectionProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIArraySelectionProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIArraySelectionProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIArraySelectionProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIArraySelectionProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSIArraySelectionProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIArraySelectionProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIArraySelectionProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIArraySelectionProperty\nC++: vtkSIArraySelectionProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIArraySelectionProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIArraySelectionProperty\nC++: vtkSIArraySelectionProperty *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIArraySelectionProperty_StaticNew()
{
  return vtkSIArraySelectionProperty::New();
}

PyObject *PyVTKClass_vtkSIArraySelectionPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIArraySelectionProperty_StaticNew,
    PyvtkSIArraySelectionProperty_Methods,
    "vtkSIArraySelectionProperty", modulename,
    NULL, NULL,
    PyvtkSIArraySelectionProperty_Doc(),
    PyVTKClass_vtkSIPropertyNew(modulename));
  return cls;
}

const char **PyvtkSIArraySelectionProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSIArraySelectionProperty - InformationOnly property\n\n",
    "Superclass: vtkSIProperty\n\n",
    "SIProperty that deals with ArraySelection object\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIArraySelectionProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIArraySelectionPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIArraySelectionProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

