// python wrapper for vtkSICompoundSourceProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSICompoundSourceProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSICompoundSourceProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSICompoundSourceProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSICompoundSourceProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSICompoundSourceProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSISourceProxyNew
extern "C" { PyObject *PyVTKClass_vtkSISourceProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSISourceProxyNew
#endif

static const char **PyvtkSICompoundSourceProxy_Doc();


static PyObject *
PyvtkSICompoundSourceProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSICompoundSourceProxy *op = static_cast<vtkSICompoundSourceProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSICompoundSourceProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSICompoundSourceProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSICompoundSourceProxy *op = static_cast<vtkSICompoundSourceProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSICompoundSourceProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSICompoundSourceProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSICompoundSourceProxy *op = static_cast<vtkSICompoundSourceProxy *>(vp);

  vtkSICompoundSourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSICompoundSourceProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSICompoundSourceProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSICompoundSourceProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSICompoundSourceProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSICompoundSourceProxy_GetOutputPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSICompoundSourceProxy *op = static_cast<vtkSICompoundSourceProxy *>(vp);

  int temp0;
  vtkAlgorithmOutput *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPort(temp0);
      }
    else
      {
      tempr = op->vtkSICompoundSourceProxy::GetOutputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSICompoundSourceProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSICompoundSourceProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSICompoundSourceProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSICompoundSourceProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSICompoundSourceProxy\nC++: vtkSICompoundSourceProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSICompoundSourceProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSICompoundSourceProxy\nC++: vtkSICompoundSourceProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetOutputPort", PyvtkSICompoundSourceProxy_GetOutputPort, 1,
   (char*)"V.GetOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetOutputPort(int port)\n\nReturns the vtkAlgorithmOutput for an output port, if valid.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSICompoundSourceProxy_StaticNew()
{
  return vtkSICompoundSourceProxy::New();
}

PyObject *PyVTKClass_vtkSICompoundSourceProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSICompoundSourceProxy_StaticNew,
    PyvtkSICompoundSourceProxy_Methods,
    "vtkSICompoundSourceProxy", modulename,
    NULL, NULL,
    PyvtkSICompoundSourceProxy_Doc(),
    PyVTKClass_vtkSISourceProxyNew(modulename));
  return cls;
}

const char **PyvtkSICompoundSourceProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSICompoundSourceProxy\n\n",
    "Superclass: vtkSISourceProxy\n\n",
    "vtkSICompoundSourceProxy is the server-side helper for a\nvtkSMCompoundSourceProxy. It provides the mapping to the exposed\noutput port to the underneath internal sub-proxy.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSICompoundSourceProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSICompoundSourceProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSICompoundSourceProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

