// python wrapper for vtkSIContextArraysProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIContextArraysProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIContextArraysProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIContextArraysProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIContextArraysPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIContextArraysPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIPropertyNew
#endif

static const char **PyvtkSIContextArraysProperty_Doc();


static PyObject *
PyvtkSIContextArraysProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIContextArraysProperty *op = static_cast<vtkSIContextArraysProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIContextArraysProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIContextArraysProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIContextArraysProperty *op = static_cast<vtkSIContextArraysProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIContextArraysProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIContextArraysProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIContextArraysProperty *op = static_cast<vtkSIContextArraysProperty *>(vp);

  vtkSIContextArraysProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIContextArraysProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIContextArraysProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIContextArraysProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIContextArraysProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIContextArraysProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSIContextArraysProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIContextArraysProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIContextArraysProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIContextArraysProperty\nC++: vtkSIContextArraysProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIContextArraysProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIContextArraysProperty\nC++: vtkSIContextArraysProperty *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIContextArraysProperty_StaticNew()
{
  return vtkSIContextArraysProperty::New();
}

PyObject *PyVTKClass_vtkSIContextArraysPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIContextArraysProperty_StaticNew,
    PyvtkSIContextArraysProperty_Methods,
    "vtkSIContextArraysProperty", modulename,
    NULL, NULL,
    PyvtkSIContextArraysProperty_Doc(),
    PyVTKClass_vtkSIPropertyNew(modulename));
  return cls;
}

const char **PyvtkSIContextArraysProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSIContextArraysProperty - provides information about array for a\n\n",
    "Superclass: vtkSIProperty\n\n",
    "This class iterates through a vtkTable and fills the supplied\nproperty with column names matching their current column index.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIContextArraysProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIContextArraysPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIContextArraysProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

