// python wrapper for vtkSIFileSeriesReaderProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIFileSeriesReaderProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIFileSeriesReaderProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIFileSeriesReaderProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIFileSeriesReaderProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIFileSeriesReaderProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSISourceProxyNew
extern "C" { PyObject *PyVTKClass_vtkSISourceProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSISourceProxyNew
#endif

static const char **PyvtkSIFileSeriesReaderProxy_Doc();


static PyObject *
PyvtkSIFileSeriesReaderProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIFileSeriesReaderProxy *op = static_cast<vtkSIFileSeriesReaderProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIFileSeriesReaderProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIFileSeriesReaderProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIFileSeriesReaderProxy *op = static_cast<vtkSIFileSeriesReaderProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIFileSeriesReaderProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIFileSeriesReaderProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIFileSeriesReaderProxy *op = static_cast<vtkSIFileSeriesReaderProxy *>(vp);

  vtkSIFileSeriesReaderProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIFileSeriesReaderProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIFileSeriesReaderProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIFileSeriesReaderProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIFileSeriesReaderProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIFileSeriesReaderProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSIFileSeriesReaderProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIFileSeriesReaderProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIFileSeriesReaderProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIFileSeriesReaderProxy\nC++: vtkSIFileSeriesReaderProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIFileSeriesReaderProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIFileSeriesReaderProxy\nC++: vtkSIFileSeriesReaderProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIFileSeriesReaderProxy_StaticNew()
{
  return vtkSIFileSeriesReaderProxy::New();
}

PyObject *PyVTKClass_vtkSIFileSeriesReaderProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIFileSeriesReaderProxy_StaticNew,
    PyvtkSIFileSeriesReaderProxy_Methods,
    "vtkSIFileSeriesReaderProxy", modulename,
    NULL, NULL,
    PyvtkSIFileSeriesReaderProxy_Doc(),
    PyVTKClass_vtkSISourceProxyNew(modulename));
  return cls;
}

const char **PyvtkSIFileSeriesReaderProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSIFileSeriesReaderProxy\n\n",
    "Superclass: vtkSISourceProxy\n\n",
    "vtkSISourceProxy is the server-side helper for a vtkSMSourceProxy. It\nadds support to handle various vtkAlgorithm specific Invoke requests\ncoming from the client. vtkSISourceProxy also inserts post-processing\nfilters for each output port from the vtkAlgorithm. These\npost-processing filters deal with things like parallelizing the data\netc.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIFileSeriesReaderProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIFileSeriesReaderProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIFileSeriesReaderProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

