// python wrapper for vtkSIInputProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIInputProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIInputProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIInputProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIInputPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIInputPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIProxyPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIProxyPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIProxyPropertyNew
#endif

static const char **PyvtkSIInputProperty_Doc();


static PyObject *
PyvtkSIInputProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIInputProperty *op = static_cast<vtkSIInputProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIInputProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIInputProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIInputProperty *op = static_cast<vtkSIInputProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIInputProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIInputProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIInputProperty *op = static_cast<vtkSIInputProperty *>(vp);

  vtkSIInputProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIInputProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIInputProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIInputProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIInputProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIInputProperty_GetPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIInputProperty *op = static_cast<vtkSIInputProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPortIndex();
      }
    else
      {
      tempr = op->vtkSIInputProperty::GetPortIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIInputProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSIInputProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIInputProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIInputProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIInputProperty\nC++: vtkSIInputProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIInputProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIInputProperty\nC++: vtkSIInputProperty *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetPortIndex", PyvtkSIInputProperty_GetPortIndex, 1,
   (char*)"V.GetPortIndex() -> int\nC++: int GetPortIndex()\n\nControls which input port this property uses when making\nconnections. By default, this is 0.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIInputProperty_StaticNew()
{
  return vtkSIInputProperty::New();
}

PyObject *PyVTKClass_vtkSIInputPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIInputProperty_StaticNew,
    PyvtkSIInputProperty_Methods,
    "vtkSIInputProperty", modulename,
    NULL, NULL,
    PyvtkSIInputProperty_Doc(),
    PyVTKClass_vtkSIProxyPropertyNew(modulename));
  return cls;
}

const char **PyvtkSIInputProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSIInputProperty\n\n",
    "Superclass: vtkSIProxyProperty\n\n",
    "ServerSide Property use to set vtkOutputPort as method parameter. For\nthat we need the object on which we should get the Port and its port\nnumber.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIInputProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIInputPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIInputProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

