// python wrapper for vtkSIIntVectorProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIIntVectorProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIIntVectorProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIIntVectorProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIIntVectorPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIIntVectorPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIVectorPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIVectorPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIVectorPropertyNew
#endif

static const char **PyvtkSIIntVectorProperty_Doc();


static PyObject *
PyvtkSIIntVectorProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIIntVectorProperty *op = static_cast<vtkSIIntVectorProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIIntVectorProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIIntVectorProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIIntVectorProperty *op = static_cast<vtkSIIntVectorProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIIntVectorProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIIntVectorProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIIntVectorProperty *op = static_cast<vtkSIIntVectorProperty *>(vp);

  vtkSIIntVectorProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIIntVectorProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIIntVectorProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIIntVectorProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIIntVectorProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIIntVectorProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSIIntVectorProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIIntVectorProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIIntVectorProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIIntVectorProperty\nC++: vtkSIIntVectorProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIIntVectorProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIIntVectorProperty\nC++: vtkSIIntVectorProperty *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIIntVectorProperty_StaticNew()
{
  return vtkSIIntVectorProperty::New();
}

PyObject *PyVTKClass_vtkSIIntVectorPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIIntVectorProperty_StaticNew,
    PyvtkSIIntVectorProperty_Methods,
    "vtkSIIntVectorProperty", modulename,
    NULL, NULL,
    PyvtkSIIntVectorProperty_Doc(),
    PyVTKClass_vtkSIVectorPropertyNew(modulename));
  return cls;
}

const char **PyvtkSIIntVectorProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSIIntVectorProperty\n\n",
    "Superclass: vtkSIVectorProperty\n\n",
    "ServerSide Property use to set int array as method argument.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIIntVectorProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIIntVectorPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIIntVectorProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

