// python wrapper for vtkSIPVRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIPVRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIPVRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIPVRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIPVRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIPVRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIProxyNew
extern "C" { PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIProxyNew
#endif

static const char **PyvtkSIPVRepresentationProxy_Doc();


static PyObject *
PyvtkSIPVRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIPVRepresentationProxy *op = static_cast<vtkSIPVRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIPVRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIPVRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIPVRepresentationProxy *op = static_cast<vtkSIPVRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIPVRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIPVRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIPVRepresentationProxy *op = static_cast<vtkSIPVRepresentationProxy *>(vp);

  vtkSIPVRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIPVRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIPVRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIPVRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIPVRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIPVRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSIPVRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIPVRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIPVRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIPVRepresentationProxy\nC++: vtkSIPVRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIPVRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIPVRepresentationProxy\nC++: vtkSIPVRepresentationProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIPVRepresentationProxy_StaticNew()
{
  return vtkSIPVRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSIPVRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIPVRepresentationProxy_StaticNew,
    PyvtkSIPVRepresentationProxy_Methods,
    "vtkSIPVRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSIPVRepresentationProxy_Doc(),
    PyVTKClass_vtkSIProxyNew(modulename));
  return cls;
}

const char **PyvtkSIPVRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSIPVRepresentationProxy\n\n",
    "Superclass: vtkSIProxy\n\n",
    "vtkSIPVRepresentationProxy is the helper for\nvtkSMPVRepresentationProxy.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIPVRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIPVRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIPVRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

