// python wrapper for vtkSIProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkSIProperty_Doc();


static PyObject *
PyvtkSIProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  vtkSIProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetXMLName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLName();
      }
    else
      {
      tempr = op->vtkSIProperty::GetXMLName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetCommand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCommand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCommand();
      }
    else
      {
      tempr = op->vtkSIProperty::GetCommand();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetUpdateSelf(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateSelf");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateSelf();
      }
    else
      {
      tempr = op->vtkSIProperty::GetUpdateSelf();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetInformationOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationOnly();
      }
    else
      {
      tempr = op->vtkSIProperty::GetInformationOnly();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetRepeatable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepeatable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRepeatable();
      }
    else
      {
      tempr = op->vtkSIProperty::GetRepeatable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_SetIsInternal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIsInternal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIsInternal(temp0);
      }
    else
      {
      op->vtkSIProperty::SetIsInternal(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSIProperty_GetIsInternal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInternal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProperty *op = static_cast<vtkSIProperty *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsInternal();
      }
    else
      {
      tempr = op->vtkSIProperty::GetIsInternal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSIProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIProperty\nC++: vtkSIProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIProperty\nC++: vtkSIProperty *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetXMLName", PyvtkSIProperty_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName()\n\nThe name assigned by the xml parser. Used to get the property\nfrom a proxy.\n"},
  {(char*)"GetCommand", PyvtkSIProperty_GetCommand, 1,
   (char*)"V.GetCommand() -> string\nC++: char *GetCommand()\n\nThe command name used to set the value on the server object. For\nexample: SetThetaResolution\n"},
  {(char*)"GetUpdateSelf", PyvtkSIProperty_GetUpdateSelf, 1,
   (char*)"V.GetUpdateSelf() -> bool\nC++: bool GetUpdateSelf()\n\nAdvanced. If UpdateSelf is true, the property will be pushed by\ncalling the method (Command) on the proxy instead of the VTK\nobject. This is commonly used to implement more complicated\nfunctionality than can be obtained by calling a method on all\nserver objects.\n"},
  {(char*)"GetInformationOnly", PyvtkSIProperty_GetInformationOnly, 1,
   (char*)"V.GetInformationOnly() -> bool\nC++: bool GetInformationOnly()\n\nIs InformationOnly is set to true, this property is used to get\ninformation from server instead of setting values.\n"},
  {(char*)"GetRepeatable", PyvtkSIProperty_GetRepeatable, 1,
   (char*)"V.GetRepeatable() -> bool\nC++: bool GetRepeatable()\n\nIf repeatable, a property can have 1 or more values of the same\nkind. This ivar is configured when the xml file is read and is\nmainly useful for information (for example from python).\n"},
  {(char*)"SetIsInternal", PyvtkSIProperty_SetIsInternal, 1,
   (char*)"V.SetIsInternal(bool)\nC++: void SetIsInternal(bool a)\n\nThis ivar is configured when the xml file is read and is mainly\nuseful to trigger a method call. Internal properties are not\nsaved in state\n"},
  {(char*)"GetIsInternal", PyvtkSIProperty_GetIsInternal, 1,
   (char*)"V.GetIsInternal() -> bool\nC++: bool GetIsInternal()\n\nThis ivar is configured when the xml file is read and is mainly\nuseful to trigger a method call. Internal properties are not\nsaved in state\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIProperty_StaticNew()
{
  return vtkSIProperty::New();
}

PyObject *PyVTKClass_vtkSIPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIProperty_StaticNew,
    PyvtkSIProperty_Methods,
    "vtkSIProperty", modulename,
    NULL, NULL,
    PyvtkSIProperty_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkSIProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSIProperty\n\n",
    "Superclass: vtkObject\n\n",
    "Basic ServerImplementation property used to call a method with no\nargument on a VTK object. If overriden, we naturally allow to call a\nmethod either to set or get a set of values.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

