// python wrapper for vtkSIProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIObjectNew
extern "C" { PyObject *PyVTKClass_vtkSIObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIObjectNew
#endif

static const char **PyvtkSIProxy_Doc();


static PyObject *
PyvtkSIProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  vtkSIProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_GetVTKObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVTKObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  vtkObjectBase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVTKObject();
      }
    else
      {
      tempr = op->vtkSIProxy::GetVTKObject();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_SetVTKObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVTKObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  vtkObjectBase *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
    {
    if (ap.IsBound())
      {
      op->SetVTKObject(temp0);
      }
    else
      {
      op->vtkSIProxy::SetVTKObject(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_GetSIProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSIProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  char *temp0 = NULL;
  vtkSIProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSIProperty(temp0);
      }
    else
      {
      tempr = op->vtkSIProxy::GetSIProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_GetVTKClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVTKClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVTKClassName();
      }
    else
      {
      tempr = op->vtkSIProxy::GetVTKClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_IsNullProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsNullProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsNullProxy();
      }
    else
      {
      tempr = op->vtkSIProxy::IsNullProxy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_AddInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  int temp0;
  vtkAlgorithmOutput *temp1 = NULL;
  char *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkAlgorithmOutput") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->AddInput(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSIProxy::AddInput(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_CleanInputs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CleanInputs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->CleanInputs(temp0);
      }
    else
      {
      op->vtkSIProxy::CleanInputs(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSIProxy_UpdatePipelineInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipelineInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIProxy *op = static_cast<vtkSIProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipelineInformation();
      }
    else
      {
      op->vtkSIProxy::UpdatePipelineInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSIProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSIProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIProxy\nC++: vtkSIProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSIProxy\nC++: vtkSIProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetVTKObject", PyvtkSIProxy_GetVTKObject, 1,
   (char*)"V.GetVTKObject() -> vtkObjectBase\nC++: vtkObjectBase *GetVTKObject()\n\nReturns access to the VTKObject pointer, if any. Note this is a\nraw pointer to the local instance of the VTK object. Any changes\nyou make directly using this object pointer will not be reflected\non other processes.\n"},
  {(char*)"SetVTKObject", PyvtkSIProxy_SetVTKObject, 1,
   (char*)"V.SetVTKObject(vtkObjectBase)\nC++: void SetVTKObject(vtkObjectBase *)\n\nReturns access to the VTKObject pointer, if any. Note this is a\nraw pointer to the local instance of the VTK object. Any changes\nyou make directly using this object pointer will not be reflected\non other processes.\n"},
  {(char*)"GetSIProperty", PyvtkSIProxy_GetSIProperty, 1,
   (char*)"V.GetSIProperty(string) -> vtkSIProperty\nC++: vtkSIProperty *GetSIProperty(const char *name)\n\nProvides access to the property helper.\n"},
  {(char*)"GetVTKClassName", PyvtkSIProxy_GetVTKClassName, 1,
   (char*)"V.GetVTKClassName() -> string\nC++: char *GetVTKClassName()\n\nReturns the VTKClassName.\n"},
  {(char*)"IsNullProxy", PyvtkSIProxy_IsNullProxy, 1,
   (char*)"V.IsNullProxy() -> bool\nC++: bool IsNullProxy()\n\nReturn true if that Proxy is supposed to have NO vtk class, which\nmeans its a NullProxy.\n"},
  {(char*)"AddInput", PyvtkSIProxy_AddInput, 1,
   (char*)"V.AddInput(int, vtkAlgorithmOutput, string)\nC++: virtual void AddInput(int input_port,\n    vtkAlgorithmOutput *connection, const char *method)\n\nThese methods are called to add/remove input connections by\nvtkSIInputProperty. This indirection makes it possible for\nsubclasses to insert VTK-algorithms in the input pipeline.\n"},
  {(char*)"CleanInputs", PyvtkSIProxy_CleanInputs, 1,
   (char*)"V.CleanInputs(string)\nC++: virtual void CleanInputs(const char *method)\n\nThese methods are called to add/remove input connections by\nvtkSIInputProperty. This indirection makes it possible for\nsubclasses to insert VTK-algorithms in the input pipeline.\n"},
  {(char*)"UpdatePipelineInformation", PyvtkSIProxy_UpdatePipelineInformation, 1,
   (char*)"V.UpdatePipelineInformation()\nC++: virtual void UpdatePipelineInformation()\n\nTriggers UpdateInformation() on vtkObject if possible. Default\nimplementation does pretty much nothing.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIProxy_StaticNew()
{
  return vtkSIProxy::New();
}

PyObject *PyVTKClass_vtkSIProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIProxy_StaticNew,
    PyvtkSIProxy_Methods,
    "vtkSIProxy", modulename,
    NULL, NULL,
    PyvtkSIProxy_Doc(),
    PyVTKClass_vtkSIObjectNew(modulename));
  return cls;
}

const char **PyvtkSIProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSIProxy\n\n",
    "Superclass: vtkSIObject\n\n",
    "vtkSIProxy is the server-implementation for a vtkSMProxy that helps\nthe vtkSMProxy with managing/updating VTK objects.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

