// python wrapper for vtkSISelectionRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSISelectionRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSISelectionRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSISelectionRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSISelectionRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSISelectionRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIProxyNew
extern "C" { PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIProxyNew
#endif

static const char **PyvtkSISelectionRepresentationProxy_Doc();


static PyObject *
PyvtkSISelectionRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISelectionRepresentationProxy *op = static_cast<vtkSISelectionRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSISelectionRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISelectionRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISelectionRepresentationProxy *op = static_cast<vtkSISelectionRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSISelectionRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISelectionRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISelectionRepresentationProxy *op = static_cast<vtkSISelectionRepresentationProxy *>(vp);

  vtkSISelectionRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSISelectionRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSISelectionRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSISelectionRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSISelectionRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSISelectionRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSISelectionRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSISelectionRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSISelectionRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSISelectionRepresentationProxy\nC++: vtkSISelectionRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSISelectionRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSISelectionRepresentationProxy\nC++: vtkSISelectionRepresentationProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSISelectionRepresentationProxy_StaticNew()
{
  return vtkSISelectionRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSISelectionRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSISelectionRepresentationProxy_StaticNew,
    PyvtkSISelectionRepresentationProxy_Methods,
    "vtkSISelectionRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSISelectionRepresentationProxy_Doc(),
    PyVTKClass_vtkSIProxyNew(modulename));
  return cls;
}

const char **PyvtkSISelectionRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSISelectionRepresentationProxy\n\n",
    "Superclass: vtkSIProxy\n\n",
    "Representation use to show selection. This shows only the selection\ni.e. output of ExtractSelection filter.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSISelectionRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSISelectionRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSISelectionRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

