// python wrapper for vtkSISourceProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSISourceProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSISourceProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSISourceProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSISourceProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSISourceProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIProxyNew
extern "C" { PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIProxyNew
#endif

static const char **PyvtkSISourceProxy_Doc();


static PyObject *
PyvtkSISourceProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSISourceProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSISourceProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  vtkSISourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSISourceProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSISourceProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSISourceProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_GetOutputPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  int temp0;
  vtkAlgorithmOutput *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPort(temp0);
      }
    else
      {
      tempr = op->vtkSISourceProxy::GetOutputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_UpdatePipelineInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipelineInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipelineInformation();
      }
    else
      {
      op->vtkSISourceProxy::UpdatePipelineInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  int temp0;
  double temp1;
  bool temp2 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->UpdatePipeline(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSISourceProxy::UpdatePipeline(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_UpdateStreamingPipeline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateStreamingPipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  int temp0;
  int temp1;
  double temp2;
  int temp3;
  double temp4;
  bool temp5 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->UpdateStreamingPipeline(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkSISourceProxy::UpdateStreamingPipeline(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_SetupSelectionProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetupSelectionProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSISourceProxy *op = static_cast<vtkSISourceProxy *>(vp);

  int temp0;
  vtkSIProxy *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSIProxy"))
    {
    if (ap.IsBound())
      {
      op->SetupSelectionProxy(temp0, temp1);
      }
    else
      {
      op->vtkSISourceProxy::SetupSelectionProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSISourceProxy_SetDisableExtentsTranslator(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetDisableExtentsTranslator");

  bool temp0 = false;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkSISourceProxy::SetDisableExtentsTranslator(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSISourceProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSISourceProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSISourceProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSISourceProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSISourceProxy\nC++: vtkSISourceProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSISourceProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSISourceProxy\nC++: vtkSISourceProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetOutputPort", PyvtkSISourceProxy_GetOutputPort, 1,
   (char*)"V.GetOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetOutputPort(int port)\n\nReturns the vtkAlgorithmOutput for an output port, if valid.\n"},
  {(char*)"UpdatePipelineInformation", PyvtkSISourceProxy_UpdatePipelineInformation, 1,
   (char*)"V.UpdatePipelineInformation()\nC++: virtual void UpdatePipelineInformation()\n\nTriggers UpdateInformation() on vtkObject if possible.\n"},
  {(char*)"UpdatePipeline", PyvtkSISourceProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline(int, float, bool)\nC++: virtual void UpdatePipeline(int port, double time,\n    bool doTime)\n\nTriggers UpdatePipeline(). Called from client.\n"},
  {(char*)"UpdateStreamingPipeline", PyvtkSISourceProxy_UpdateStreamingPipeline, 1,
   (char*)"V.UpdateStreamingPipeline(int, int, float, int, float, bool)\nC++: virtual void UpdateStreamingPipeline(int pass,\n    int num_of_passes, double resolution, int port, double time,\n    bool doTime)\n\nWhen using streaming, this method is called instead on\nUpdatePipeline().\n"},
  {(char*)"SetupSelectionProxy", PyvtkSISourceProxy_SetupSelectionProxy, 1,
   (char*)"V.SetupSelectionProxy(int, vtkSIProxy)\nC++: virtual void SetupSelectionProxy(int port,\n    vtkSIProxy *extractSelection)\n\nsetups extract selection proxies.\n"},
  {(char*)"SetDisableExtentsTranslator", PyvtkSISourceProxy_SetDisableExtentsTranslator, 1,
   (char*)"V.SetDisableExtentsTranslator(bool)\nC++: static void SetDisableExtentsTranslator(bool value)\n\nDisables the creation of an extents translator.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSISourceProxy_StaticNew()
{
  return vtkSISourceProxy::New();
}

PyObject *PyVTKClass_vtkSISourceProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSISourceProxy_StaticNew,
    PyvtkSISourceProxy_Methods,
    "vtkSISourceProxy", modulename,
    NULL, NULL,
    PyvtkSISourceProxy_Doc(),
    PyVTKClass_vtkSIProxyNew(modulename));
  return cls;
}

const char **PyvtkSISourceProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSISourceProxy\n\n",
    "Superclass: vtkSIProxy\n\n",
    "vtkSISourceProxy is the server-side helper for a vtkSMSourceProxy. It\nadds support to handle various vtkAlgorithm specific Invoke requests\ncoming from the client. vtkSISourceProxy also inserts post-processing\nfilters for each output port from the vtkAlgorithm. These\npost-processing filters deal with things like parallelizing the data\netc.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSISourceProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSISourceProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSISourceProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

