// python wrapper for vtkSITimeRangeProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSITimeRangeProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSITimeRangeProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSITimeRangeProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSITimeRangePropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSITimeRangePropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIPropertyNew
#endif

static const char **PyvtkSITimeRangeProperty_Doc();


static PyObject *
PyvtkSITimeRangeProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeRangeProperty *op = static_cast<vtkSITimeRangeProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSITimeRangeProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeRangeProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeRangeProperty *op = static_cast<vtkSITimeRangeProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSITimeRangeProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeRangeProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeRangeProperty *op = static_cast<vtkSITimeRangeProperty *>(vp);

  vtkSITimeRangeProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSITimeRangeProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeRangeProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSITimeRangeProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSITimeRangeProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSITimeRangeProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSITimeRangeProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSITimeRangeProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSITimeRangeProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSITimeRangeProperty\nC++: vtkSITimeRangeProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSITimeRangeProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSITimeRangeProperty\nC++: vtkSITimeRangeProperty *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSITimeRangeProperty_StaticNew()
{
  return vtkSITimeRangeProperty::New();
}

PyObject *PyVTKClass_vtkSITimeRangePropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSITimeRangeProperty_StaticNew,
    PyvtkSITimeRangeProperty_Methods,
    "vtkSITimeRangeProperty", modulename,
    NULL, NULL,
    PyvtkSITimeRangeProperty_Doc(),
    PyVTKClass_vtkSIPropertyNew(modulename));
  return cls;
}

const char **PyvtkSITimeRangeProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSITimeRangeProperty\n\n",
    "Superclass: vtkSIProperty\n\n",
    "SIProperty that deals with TimeRange on Algorithm object type\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSITimeRangeProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSITimeRangePropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSITimeRangeProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

