// python wrapper for vtkSITimeStepsProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSITimeStepsProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSITimeStepsProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSITimeStepsProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSITimeStepsPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSITimeStepsPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSIPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIPropertyNew
#endif

static const char **PyvtkSITimeStepsProperty_Doc();


static PyObject *
PyvtkSITimeStepsProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeStepsProperty *op = static_cast<vtkSITimeStepsProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSITimeStepsProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeStepsProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeStepsProperty *op = static_cast<vtkSITimeStepsProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSITimeStepsProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeStepsProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSITimeStepsProperty *op = static_cast<vtkSITimeStepsProperty *>(vp);

  vtkSITimeStepsProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSITimeStepsProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSITimeStepsProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSITimeStepsProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSITimeStepsProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSITimeStepsProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSITimeStepsProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSITimeStepsProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSITimeStepsProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSITimeStepsProperty\nC++: vtkSITimeStepsProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSITimeStepsProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSITimeStepsProperty\nC++: vtkSITimeStepsProperty *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSITimeStepsProperty_StaticNew()
{
  return vtkSITimeStepsProperty::New();
}

PyObject *PyVTKClass_vtkSITimeStepsPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSITimeStepsProperty_StaticNew,
    PyvtkSITimeStepsProperty_Methods,
    "vtkSITimeStepsProperty", modulename,
    NULL, NULL,
    PyvtkSITimeStepsProperty_Doc(),
    PyVTKClass_vtkSIPropertyNew(modulename));
  return cls;
}

const char **PyvtkSITimeStepsProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSITimeRangeProperty\n\n",
    "Superclass: vtkSIProperty\n\n",
    "SIProperty that deals with TimeRange on Algorithm object type\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSITimeStepsProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSITimeStepsPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSITimeStepsProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

