// python wrapper for vtkSIUnstructuredGridVolumeRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSIUnstructuredGridVolumeRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSIUnstructuredGridVolumeRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSIUnstructuredGridVolumeRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSIUnstructuredGridVolumeRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSIUnstructuredGridVolumeRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSIProxyNew
extern "C" { PyObject *PyVTKClass_vtkSIProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSIProxyNew
#endif

static const char **PyvtkSIUnstructuredGridVolumeRepresentationProxy_Doc();


static PyObject *
PyvtkSIUnstructuredGridVolumeRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIUnstructuredGridVolumeRepresentationProxy *op = static_cast<vtkSIUnstructuredGridVolumeRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSIUnstructuredGridVolumeRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIUnstructuredGridVolumeRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIUnstructuredGridVolumeRepresentationProxy *op = static_cast<vtkSIUnstructuredGridVolumeRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSIUnstructuredGridVolumeRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSIUnstructuredGridVolumeRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSIUnstructuredGridVolumeRepresentationProxy *op = static_cast<vtkSIUnstructuredGridVolumeRepresentationProxy *>(vp);

  vtkSIUnstructuredGridVolumeRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSIUnstructuredGridVolumeRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSIUnstructuredGridVolumeRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSIUnstructuredGridVolumeRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSIUnstructuredGridVolumeRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSIUnstructuredGridVolumeRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSIUnstructuredGridVolumeRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSIUnstructuredGridVolumeRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSIUnstructuredGridVolumeRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSIUnstructuredGridVolumeRepresentationProxy\nC++: vtkSIUnstructuredGridVolumeRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSIUnstructuredGridVolumeRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkSIUnstructuredGridVolumeRepresentationProxy\nC++: vtkSIUnstructuredGridVolumeRepresentationProxy *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSIUnstructuredGridVolumeRepresentationProxy_StaticNew()
{
  return vtkSIUnstructuredGridVolumeRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSIUnstructuredGridVolumeRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSIUnstructuredGridVolumeRepresentationProxy_StaticNew,
    PyvtkSIUnstructuredGridVolumeRepresentationProxy_Methods,
    "vtkSIUnstructuredGridVolumeRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSIUnstructuredGridVolumeRepresentationProxy_Doc(),
    PyVTKClass_vtkSIProxyNew(modulename));
  return cls;
}

const char **PyvtkSIUnstructuredGridVolumeRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSIUnstructuredGridVolumeRepresentationProxy - representation that\ncan be used to\n\n",
    "Superclass: vtkSIProxy\n\n",
    "vtkSIUnstructuredGridVolumeRepresentationProxy is a concrete\nrepresentation that can be used to render the unstructured grid\nvolume in a vtkSIRenderViewProxy.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSIUnstructuredGridVolumeRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSIUnstructuredGridVolumeRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSIUnstructuredGridVolumeRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

