// python wrapper for vtkPVRepresentationAnimationHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVRepresentationAnimationHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVRepresentationAnimationHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVRepresentationAnimationHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVRepresentationAnimationHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVRepresentationAnimationHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkPVRepresentationAnimationHelper_Doc();


static PyObject *
PyvtkPVRepresentationAnimationHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVRepresentationAnimationHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVRepresentationAnimationHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  vtkPVRepresentationAnimationHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVRepresentationAnimationHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVRepresentationAnimationHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVRepresentationAnimationHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0);
      }
    else
      {
      op->vtkPVRepresentationAnimationHelper::SetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_SetOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOpacity(temp0);
      }
    else
      {
      op->vtkPVRepresentationAnimationHelper::SetOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRepresentationAnimationHelper_SetSourceProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSourceProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRepresentationAnimationHelper *op = static_cast<vtkPVRepresentationAnimationHelper *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->SetSourceProxy(temp0);
      }
    else
      {
      op->vtkPVRepresentationAnimationHelper::SetSourceProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVRepresentationAnimationHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkPVRepresentationAnimationHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVRepresentationAnimationHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVRepresentationAnimationHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVRepresentationAnimationHelper\nC++: vtkPVRepresentationAnimationHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVRepresentationAnimationHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVRepresentationAnimationHelper\nC++: vtkPVRepresentationAnimationHelper *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"SetVisibility", PyvtkPVRepresentationAnimationHelper_SetVisibility, 1,
   (char*)"V.SetVisibility(int)\nC++: void SetVisibility(int)\n\nDon't use directly. Use the corresponding properties intstead.\n"},
  {(char*)"SetOpacity", PyvtkPVRepresentationAnimationHelper_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity(double)\n\nDon't use directly. Use the corresponding properties intstead.\n"},
  {(char*)"SetSourceProxy", PyvtkPVRepresentationAnimationHelper_SetSourceProxy, 1,
   (char*)"V.SetSourceProxy(vtkSMProxy)\nC++: void SetSourceProxy(vtkSMProxy *proxy)\n\nDon't use directly. Use the corresponding properties intstead.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVRepresentationAnimationHelper_StaticNew()
{
  return vtkPVRepresentationAnimationHelper::New();
}

PyObject *PyVTKClass_vtkPVRepresentationAnimationHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVRepresentationAnimationHelper_StaticNew,
    PyvtkPVRepresentationAnimationHelper_Methods,
    "vtkPVRepresentationAnimationHelper", modulename,
    NULL, NULL,
    PyvtkPVRepresentationAnimationHelper_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkPVRepresentationAnimationHelper_Doc()
{
  static const char *docstring[] = {
    "vtkPVRepresentationAnimationHelper - helper proxy used to animate\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkPVRepresentationAnimationHelper is helper proxy used to animate\nproperties on the representations for any source. This makes is\npossible to set up an animation cue that will affect properties on\nall representations for a source without directly referring to the\nrepresentation proxies.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVRepresentationAnimationHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVRepresentationAnimationHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVRepresentationAnimationHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

