// python wrapper for vtkSMAnimationSceneGeometryWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMAnimationSceneGeometryWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMAnimationSceneGeometryWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMAnimationSceneGeometryWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationSceneGeometryWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneGeometryWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMAnimationSceneWriterNew
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMAnimationSceneWriterNew
#endif

static const char **PyvtkSMAnimationSceneGeometryWriter_Doc();


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneGeometryWriter *op = static_cast<vtkSMAnimationSceneGeometryWriter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneGeometryWriter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneGeometryWriter *op = static_cast<vtkSMAnimationSceneGeometryWriter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMAnimationSceneGeometryWriter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneGeometryWriter *op = static_cast<vtkSMAnimationSceneGeometryWriter *>(vp);

  vtkSMAnimationSceneGeometryWriter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneGeometryWriter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMAnimationSceneGeometryWriter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMAnimationSceneGeometryWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_GetViewModule(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetViewModule");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneGeometryWriter *op = static_cast<vtkSMAnimationSceneGeometryWriter *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetViewModule();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneGeometryWriter::GetViewModule();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneGeometryWriter_SetViewModule(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetViewModule");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneGeometryWriter *op = static_cast<vtkSMAnimationSceneGeometryWriter *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->SetViewModule(temp0);
      }
    else
      {
      op->vtkSMAnimationSceneGeometryWriter::SetViewModule(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMAnimationSceneGeometryWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkSMAnimationSceneGeometryWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMAnimationSceneGeometryWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMAnimationSceneGeometryWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationSceneGeometryWriter\nC++: vtkSMAnimationSceneGeometryWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMAnimationSceneGeometryWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMAnimationSceneGeometryWriter\nC++: vtkSMAnimationSceneGeometryWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetViewModule", PyvtkSMAnimationSceneGeometryWriter_GetViewModule, 1,
   (char*)"V.GetViewModule() -> vtkSMProxy\nC++: vtkSMProxy *GetViewModule()\n\n"},
  {(char*)"SetViewModule", PyvtkSMAnimationSceneGeometryWriter_SetViewModule, 1,
   (char*)"V.SetViewModule(vtkSMProxy)\nC++: void SetViewModule(vtkSMProxy *)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMAnimationSceneGeometryWriter_StaticNew()
{
  return vtkSMAnimationSceneGeometryWriter::New();
}

PyObject *PyVTKClass_vtkSMAnimationSceneGeometryWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMAnimationSceneGeometryWriter_StaticNew,
    PyvtkSMAnimationSceneGeometryWriter_Methods,
    "vtkSMAnimationSceneGeometryWriter", modulename,
    NULL, NULL,
    PyvtkSMAnimationSceneGeometryWriter_Doc(),
    PyVTKClass_vtkSMAnimationSceneWriterNew(modulename));
  return cls;
}

const char **PyvtkSMAnimationSceneGeometryWriter_Doc()
{
  static const char *docstring[] = {
    "vtkSMAnimationSceneGeometryWriter - helper class to write\n\n",
    "Superclass: vtkSMAnimationSceneWriter\n\n",
    "vtkSMAnimationSceneGeometryWriter is a concrete implementation of\nvtkSMAnimationSceneWriter that can write the geometry as a data file.\nThis writer can only write the visible geometry in one view.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMAnimationSceneGeometryWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMAnimationSceneGeometryWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMAnimationSceneGeometryWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

