// python wrapper for vtkSMAnimationSceneProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMAnimationSceneProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMAnimationSceneProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMAnimationSceneProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMAnimationSceneProxy_Doc();


static PyObject *
PyvtkSMAnimationSceneProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneProxy *op = static_cast<vtkSMAnimationSceneProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneProxy *op = static_cast<vtkSMAnimationSceneProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMAnimationSceneProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneProxy *op = static_cast<vtkSMAnimationSceneProxy *>(vp);

  vtkSMAnimationSceneProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMAnimationSceneProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMAnimationSceneProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMAnimationSceneProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMAnimationSceneProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMAnimationSceneProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMAnimationSceneProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationSceneProxy\nC++: vtkSMAnimationSceneProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMAnimationSceneProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMAnimationSceneProxy\nC++: vtkSMAnimationSceneProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMAnimationSceneProxy_StaticNew()
{
  return vtkSMAnimationSceneProxy::New();
}

PyObject *PyVTKClass_vtkSMAnimationSceneProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMAnimationSceneProxy_StaticNew,
    PyvtkSMAnimationSceneProxy_Methods,
    "vtkSMAnimationSceneProxy", modulename,
    NULL, NULL,
    PyvtkSMAnimationSceneProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMAnimationSceneProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMAnimationSceneProxy\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMAnimationSceneProxy observes vtkCommand::ModifiedEvent on the\nclient-side VTK-object to call UpdatePropertyInformation() every time\nthat happens.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMAnimationSceneProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMAnimationSceneProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMAnimationSceneProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

