// python wrapper for vtkSMAnimationScene
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMAnimationScene.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMAnimationScene(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMAnimationScene(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationSceneNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVAnimationSceneNew
extern "C" { PyObject *PyVTKClass_vtkPVAnimationSceneNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVAnimationSceneNew
#endif

static const char **PyvtkSMAnimationScene_Doc();


static PyObject *
PyvtkSMAnimationScene_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMAnimationScene::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  vtkSMAnimationScene *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMAnimationScene *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMAnimationScene::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_AddViewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddViewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  vtkSMViewProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMViewProxy"))
    {
    if (ap.IsBound())
      {
      op->AddViewProxy(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::AddViewProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_RemoveViewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveViewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  vtkSMViewProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMViewProxy"))
    {
    if (ap.IsBound())
      {
      op->RemoveViewProxy(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::RemoveViewProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_RemoveAllViewProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllViewProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllViewProxies();
      }
    else
      {
      op->vtkSMAnimationScene::RemoveAllViewProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetNumberOfViewProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfViewProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfViewProxies();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetNumberOfViewProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetViewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetViewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  unsigned int temp0;
  vtkSMViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetViewProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetViewProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetCaching(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCaching");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCaching(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetCaching(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetCaching(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCaching");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCaching();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetCaching();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetCacheLimit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCacheLimit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  unsigned long temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCacheLimit(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetCacheLimit(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetTimeKeeper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTimeKeeper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->SetTimeKeeper(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetTimeKeeper(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetTimeKeeper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeKeeper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeKeeper();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetTimeKeeper();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetLockStartTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLockStartTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLockStartTime(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetLockStartTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetLockStartTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLockStartTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLockStartTime();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetLockStartTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_LockStartTimeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LockStartTimeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LockStartTimeOn();
      }
    else
      {
      op->vtkSMAnimationScene::LockStartTimeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_LockStartTimeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LockStartTimeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LockStartTimeOff();
      }
    else
      {
      op->vtkSMAnimationScene::LockStartTimeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetLockEndTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLockEndTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLockEndTime(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetLockEndTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetLockEndTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLockEndTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLockEndTime();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetLockEndTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_LockEndTimeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LockEndTimeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LockEndTimeOn();
      }
    else
      {
      op->vtkSMAnimationScene::LockEndTimeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_LockEndTimeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LockEndTimeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LockEndTimeOff();
      }
    else
      {
      op->vtkSMAnimationScene::LockEndTimeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetLoop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoop(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetLoop(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GetLoop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLoop();
      }
    else
      {
      tempr = op->vtkSMAnimationScene::GetLoop();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_Play(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Play");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Play();
      }
    else
      {
      op->vtkSMAnimationScene::Play();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_Stop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Stop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Stop();
      }
    else
      {
      op->vtkSMAnimationScene::Stop();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GoToNext(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GoToNext");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GoToNext();
      }
    else
      {
      op->vtkSMAnimationScene::GoToNext();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GoToPrevious(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GoToPrevious");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GoToPrevious();
      }
    else
      {
      op->vtkSMAnimationScene::GoToPrevious();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GoToFirst(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GoToFirst");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GoToFirst();
      }
    else
      {
      op->vtkSMAnimationScene::GoToFirst();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_GoToLast(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GoToLast");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GoToLast();
      }
    else
      {
      op->vtkSMAnimationScene::GoToLast();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetPlayMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPlayMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPlayMode(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetPlayMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetNumberOfFrames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfFrames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfFrames(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetNumberOfFrames(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetDuration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDuration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDuration(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetDuration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationScene_SetFramesPerTimestep(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFramesPerTimestep");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationScene *op = static_cast<vtkSMAnimationScene *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFramesPerTimestep(temp0);
      }
    else
      {
      op->vtkSMAnimationScene::SetFramesPerTimestep(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMAnimationScene_Methods[] = {
  {(char*)"GetClassName", PyvtkSMAnimationScene_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMAnimationScene_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMAnimationScene_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationScene\nC++: vtkSMAnimationScene *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMAnimationScene_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMAnimationScene\nC++: vtkSMAnimationScene *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddViewProxy", PyvtkSMAnimationScene_AddViewProxy, 1,
   (char*)"V.AddViewProxy(vtkSMViewProxy)\nC++: void AddViewProxy(vtkSMViewProxy *proxy)\n\nAdd view proxies that are involved in the animation generated by\nthis scene. When playing the animation, the scene will call\nStillRender() on the view proxies it is aware of, also updating\nany caching parameters.\n"},
  {(char*)"RemoveViewProxy", PyvtkSMAnimationScene_RemoveViewProxy, 1,
   (char*)"V.RemoveViewProxy(vtkSMViewProxy)\nC++: void RemoveViewProxy(vtkSMViewProxy *proxy)\n\nAdd view proxies that are involved in the animation generated by\nthis scene. When playing the animation, the scene will call\nStillRender() on the view proxies it is aware of, also updating\nany caching parameters.\n"},
  {(char*)"RemoveAllViewProxies", PyvtkSMAnimationScene_RemoveAllViewProxies, 1,
   (char*)"V.RemoveAllViewProxies()\nC++: void RemoveAllViewProxies()\n\nAdd view proxies that are involved in the animation generated by\nthis scene. When playing the animation, the scene will call\nStillRender() on the view proxies it is aware of, also updating\nany caching parameters.\n"},
  {(char*)"GetNumberOfViewProxies", PyvtkSMAnimationScene_GetNumberOfViewProxies, 1,
   (char*)"V.GetNumberOfViewProxies() -> int\nC++: unsigned int GetNumberOfViewProxies()\n\n"},
  {(char*)"GetViewProxy", PyvtkSMAnimationScene_GetViewProxy, 1,
   (char*)"V.GetViewProxy(int) -> vtkSMViewProxy\nC++: vtkSMViewProxy *GetViewProxy(unsigned int cc)\n\n"},
  {(char*)"SetCaching", PyvtkSMAnimationScene_SetCaching, 1,
   (char*)"V.SetCaching(bool)\nC++: void SetCaching(bool a)\n\nSet if caching is enabled. If Caching is true, then on every\ntime-step, this will update the UseCache and CacheKey properties\non each of the views.\n"},
  {(char*)"GetCaching", PyvtkSMAnimationScene_GetCaching, 1,
   (char*)"V.GetCaching() -> bool\nC++: bool GetCaching()\n\nSet if caching is enabled. If Caching is true, then on every\ntime-step, this will update the UseCache and CacheKey properties\non each of the views.\n"},
  {(char*)"SetCacheLimit", PyvtkSMAnimationScene_SetCacheLimit, 1,
   (char*)"V.SetCacheLimit(int)\nC++: void SetCacheLimit(unsigned long kbs)\n\nSet the cache limit in KBs.\n"},
  {(char*)"SetTimeKeeper", PyvtkSMAnimationScene_SetTimeKeeper, 1,
   (char*)"V.SetTimeKeeper(vtkSMProxy)\nC++: void SetTimeKeeper(vtkSMProxy *)\n\nSet the time keeper. Time keeper is used to obtain the\ninformation about timesteps. This is required to play animation\nin \"Snap To Timesteps\" mode.\n"},
  {(char*)"GetTimeKeeper", PyvtkSMAnimationScene_GetTimeKeeper, 1,
   (char*)"V.GetTimeKeeper() -> vtkSMProxy\nC++: vtkSMProxy *GetTimeKeeper()\n\nSet the time keeper. Time keeper is used to obtain the\ninformation about timesteps. This is required to play animation\nin \"Snap To Timesteps\" mode.\n"},
  {(char*)"SetLockStartTime", PyvtkSMAnimationScene_SetLockStartTime, 1,
   (char*)"V.SetLockStartTime(bool)\nC++: void SetLockStartTime(bool a)\n\nLock the start time. When locked, the StartTime won't be\nautomatically updated when data time changes.\n"},
  {(char*)"GetLockStartTime", PyvtkSMAnimationScene_GetLockStartTime, 1,
   (char*)"V.GetLockStartTime() -> bool\nC++: bool GetLockStartTime()\n\nLock the start time. When locked, the StartTime won't be\nautomatically updated when data time changes.\n"},
  {(char*)"LockStartTimeOn", PyvtkSMAnimationScene_LockStartTimeOn, 1,
   (char*)"V.LockStartTimeOn()\nC++: void LockStartTimeOn()\n\nLock the start time. When locked, the StartTime won't be\nautomatically updated when data time changes.\n"},
  {(char*)"LockStartTimeOff", PyvtkSMAnimationScene_LockStartTimeOff, 1,
   (char*)"V.LockStartTimeOff()\nC++: void LockStartTimeOff()\n\nLock the start time. When locked, the StartTime won't be\nautomatically updated when data time changes.\n"},
  {(char*)"SetLockEndTime", PyvtkSMAnimationScene_SetLockEndTime, 1,
   (char*)"V.SetLockEndTime(bool)\nC++: void SetLockEndTime(bool a)\n\nLock the end time. When locked, the EndTime won't be\nautomatically updated when the data time changes.\n"},
  {(char*)"GetLockEndTime", PyvtkSMAnimationScene_GetLockEndTime, 1,
   (char*)"V.GetLockEndTime() -> bool\nC++: bool GetLockEndTime()\n\nLock the end time. When locked, the EndTime won't be\nautomatically updated when the data time changes.\n"},
  {(char*)"LockEndTimeOn", PyvtkSMAnimationScene_LockEndTimeOn, 1,
   (char*)"V.LockEndTimeOn()\nC++: void LockEndTimeOn()\n\nLock the end time. When locked, the EndTime won't be\nautomatically updated when the data time changes.\n"},
  {(char*)"LockEndTimeOff", PyvtkSMAnimationScene_LockEndTimeOff, 1,
   (char*)"V.LockEndTimeOff()\nC++: void LockEndTimeOff()\n\nLock the end time. When locked, the EndTime won't be\nautomatically updated when the data time changes.\n"},
  {(char*)"SetLoop", PyvtkSMAnimationScene_SetLoop, 1,
   (char*)"V.SetLoop(int)\nC++: void SetLoop(int val)\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"GetLoop", PyvtkSMAnimationScene_GetLoop, 1,
   (char*)"V.GetLoop() -> int\nC++: int GetLoop()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"Play", PyvtkSMAnimationScene_Play, 1,
   (char*)"V.Play()\nC++: void Play()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"Stop", PyvtkSMAnimationScene_Stop, 1,
   (char*)"V.Stop()\nC++: void Stop()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"GoToNext", PyvtkSMAnimationScene_GoToNext, 1,
   (char*)"V.GoToNext()\nC++: void GoToNext()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"GoToPrevious", PyvtkSMAnimationScene_GoToPrevious, 1,
   (char*)"V.GoToPrevious()\nC++: void GoToPrevious()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"GoToFirst", PyvtkSMAnimationScene_GoToFirst, 1,
   (char*)"V.GoToFirst()\nC++: void GoToFirst()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"GoToLast", PyvtkSMAnimationScene_GoToLast, 1,
   (char*)"V.GoToLast()\nC++: void GoToLast()\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"SetPlayMode", PyvtkSMAnimationScene_SetPlayMode, 1,
   (char*)"V.SetPlayMode(int)\nC++: void SetPlayMode(int val)\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"SetNumberOfFrames", PyvtkSMAnimationScene_SetNumberOfFrames, 1,
   (char*)"V.SetNumberOfFrames(int)\nC++: void SetNumberOfFrames(int val)\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"SetDuration", PyvtkSMAnimationScene_SetDuration, 1,
   (char*)"V.SetDuration(int)\nC++: void SetDuration(int val)\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {(char*)"SetFramesPerTimestep", PyvtkSMAnimationScene_SetFramesPerTimestep, 1,
   (char*)"V.SetFramesPerTimestep(int)\nC++: void SetFramesPerTimestep(int val)\n\nForwarded to vtkCompositeAnimationPlayer.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMAnimationScene_StaticNew()
{
  return vtkSMAnimationScene::New();
}

PyObject *PyVTKClass_vtkSMAnimationSceneNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMAnimationScene_StaticNew,
    PyvtkSMAnimationScene_Methods,
    "vtkSMAnimationScene", modulename,
    NULL, NULL,
    PyvtkSMAnimationScene_Doc(),
    PyVTKClass_vtkPVAnimationSceneNew(modulename));
  return cls;
}

const char **PyvtkSMAnimationScene_Doc()
{
  static const char *docstring[] = {
    "vtkSMAnimationScene - extends vtkPVAnimationScene to add awareness\n\n",
    "Superclass: vtkPVAnimationScene\n\n",
    "vtkSMAnimationScene subclasses vtkPVAnimationScene to add awareness\nabout view proxies so that the scene can update view proxies using\nproperties. vtkSMAnimationScene forwards the vtkCommand::StartEvent\nand vtkCommand::EndEvent from vtkCompositeAnimationPlayer to mark the\nstart and end of animation playback.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMAnimationScene(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMAnimationSceneNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMAnimationScene", o) != 0)
    {
    Py_DECREF(o);
    }

}

