// python wrapper for vtkSMAnimationSceneWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMAnimationSceneWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMAnimationSceneWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMAnimationSceneWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMAnimationSceneWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMAnimationSceneWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMAnimationSceneWriter_Doc();


static PyObject *
PyvtkSMAnimationSceneWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  vtkSMAnimationSceneWriter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_SetAnimationScene_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationScene");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->SetAnimationScene(temp0);
      }
    else
      {
      op->vtkSMAnimationSceneWriter::SetAnimationScene(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMAnimationSceneWriter_SetAnimationScene_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationScene");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  vtkSMAnimationScene *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMAnimationScene"))
    {
    if (ap.IsBound())
      {
      op->SetAnimationScene(temp0);
      }
    else
      {
      op->vtkSMAnimationSceneWriter::SetAnimationScene(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMAnimationSceneWriter_SetAnimationScene_Methods[] = {
  {NULL, PyvtkSMAnimationSceneWriter_SetAnimationScene_s1, 1,
   (char*)"@O *vtkSMProxy"},
  {NULL, PyvtkSMAnimationSceneWriter_SetAnimationScene_s2, 1,
   (char*)"@O *vtkSMAnimationScene"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMAnimationSceneWriter_SetAnimationScene(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMAnimationSceneWriter_SetAnimationScene_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetAnimationScene");
  return NULL;
}



static PyObject *
PyvtkSMAnimationSceneWriter_GetAnimationScene(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimationScene");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  vtkSMAnimationScene *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAnimationScene();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::GetAnimationScene();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_Save(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Save");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Save();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::Save();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkSMAnimationSceneWriter::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMAnimationSceneWriter_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMAnimationSceneWriter *op = static_cast<vtkSMAnimationSceneWriter *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkSMAnimationSceneWriter::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMAnimationSceneWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkSMAnimationSceneWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMAnimationSceneWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMAnimationSceneWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMAnimationSceneWriter\nC++: vtkSMAnimationSceneWriter *NewInstance()\n\n"},
  {(char*)"SetAnimationScene", PyvtkSMAnimationSceneWriter_SetAnimationScene, 1,
   (char*)"V.SetAnimationScene(vtkSMProxy)\nC++: virtual void SetAnimationScene(vtkSMProxy *)\nV.SetAnimationScene(vtkSMAnimationScene)\nC++: virtual void SetAnimationScene(vtkSMAnimationScene *)\n\nConvenience method to set the proxy.\n"},
  {(char*)"GetAnimationScene", PyvtkSMAnimationSceneWriter_GetAnimationScene, 1,
   (char*)"V.GetAnimationScene() -> vtkSMAnimationScene\nC++: vtkSMAnimationScene *GetAnimationScene()\n\nGet/Set the animation scene that this writer will write.\n"},
  {(char*)"Save", PyvtkSMAnimationSceneWriter_Save, 1,
   (char*)"V.Save() -> bool\nC++: bool Save()\n\nBegin the saving. This will result in playing of the animation.\nReturns the status of the save.\n"},
  {(char*)"SetFileName", PyvtkSMAnimationSceneWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(char *)\n\nGet/Set the filename.\n"},
  {(char*)"GetFileName", PyvtkSMAnimationSceneWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nGet/Set the filename.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSMAnimationSceneWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSMAnimationSceneWriter_Methods,
    "vtkSMAnimationSceneWriter", modulename,
    NULL, NULL,
    PyvtkSMAnimationSceneWriter_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMAnimationSceneWriter_Doc()
{
  static const char *docstring[] = {
    "vtkSMAnimationSceneWriter - helper class used\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMAnimationSceneWriter is an abstract superclass for writers that\ncan write animations out.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMAnimationSceneWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMAnimationSceneWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMAnimationSceneWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

