// python wrapper for vtkSMArrayListDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkSMArrayListDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMArrayListDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMArrayListDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMArrayListDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMArrayListDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMStringListDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMStringListDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMStringListDomainNew
#endif

static const char **PyvtkSMArrayListDomain_Doc();


static PyObject *
PyvtkSMArrayListDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  vtkSMArrayListDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMArrayListDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMArrayListDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMArrayListDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetDefaultElement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDefaultElement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDefaultElement();
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetDefaultElement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_IsArrayPartial(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsArrayPartial");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsArrayPartial(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::IsArrayPartial(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFieldAssociation(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetFieldAssociation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetDomainAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDomainAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDomainAssociation(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetDomainAssociation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeType();
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetAttributeType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_AddString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->AddString(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::AddString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_RemoveString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveString(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::RemoveString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_RemoveAllStrings(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllStrings");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllStrings();
      }
    else
      {
      op->vtkSMArrayListDomain::RemoveAllStrings();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_AddInformationKey_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInformationKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->AddInformationKey(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::AddInformationKey(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMArrayListDomain_AddInformationKey_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInformationKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->AddInformationKey(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::AddInformationKey(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMArrayListDomain_AddInformationKey(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMArrayListDomain_AddInformationKey_s1(self, args);
    case 2:
      return PyvtkSMArrayListDomain_AddInformationKey_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "AddInformationKey");
  return NULL;
}



static PyObject *
PyvtkSMArrayListDomain_RemoveInformationKey(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveInformationKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveInformationKey(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::RemoveInformationKey(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetNumberOfInformationKeys(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfInformationKeys");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfInformationKeys();
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetNumberOfInformationKeys();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_RemoveAllInformationKeys(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllInformationKeys");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllInformationKeys();
      }
    else
      {
      op->vtkSMArrayListDomain::RemoveAllInformationKeys();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetInformationKeyLocation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationKeyLocation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationKeyLocation(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetInformationKeyLocation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetInformationKeyName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationKeyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationKeyName(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetInformationKeyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_GetInformationKeyStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationKeyStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationKeyStrategy(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::GetInformationKeyStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_CheckInformationKeys(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CheckInformationKeys");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayListDomain *op = static_cast<vtkSMArrayListDomain *>(vp);

  vtkPVArrayInformation *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVArrayInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->CheckInformationKeys(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayListDomain::CheckInformationKeys(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_CreateMangledName(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CreateMangledName");

  vtkPVArrayInformation *temp0 = NULL;
  int temp1;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVArrayInformation") &&
      ap.GetValue(temp1))
    {
    tempr = vtkSMArrayListDomain::CreateMangledName(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_ArrayNameFromMangledName(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ArrayNameFromMangledName");

  char *temp0 = NULL;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkSMArrayListDomain::ArrayNameFromMangledName(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayListDomain_ComponentIndexFromMangledName(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ComponentIndexFromMangledName");

  vtkPVArrayInformation *temp0 = NULL;
  char *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVArrayInformation") &&
      ap.GetValue(temp1))
    {
    tempr = vtkSMArrayListDomain::ComponentIndexFromMangledName(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMArrayListDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMArrayListDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMArrayListDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMArrayListDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMArrayListDomain\nC++: vtkSMArrayListDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMArrayListDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMArrayListDomain\nC++: vtkSMArrayListDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMArrayListDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *prop)\n\nUpdates the string list based on the available arrays. Requires a\nproperty of class vtkSMProxyProperty which points to a\nvtkSMSourceProxy and contains a vtkSMInputArrayDomain. Only the\nfirst proxy and domain are used.\n"},
  {(char*)"GetDefaultElement", PyvtkSMArrayListDomain_GetDefaultElement, 1,
   (char*)"V.GetDefaultElement() -> int\nC++: unsigned int GetDefaultElement()\n\nThe DefaultElement is set during Update() using the \"active\nattribute\" of the assigned AttributeType. For example, if the\nAttributeType is set to SCALARS, DefaultElement is set to the\nindex of the array that is the active scalars in the dataset.\n"},
  {(char*)"IsArrayPartial", PyvtkSMArrayListDomain_IsArrayPartial, 1,
   (char*)"V.IsArrayPartial(int) -> int\nC++: int IsArrayPartial(unsigned int idx)\n\nReturns true if the array with the given idx is partial false\notherwise. See vtkPVArrayInformation for more information.\n"},
  {(char*)"GetFieldAssociation", PyvtkSMArrayListDomain_GetFieldAssociation, 1,
   (char*)"V.GetFieldAssociation(int) -> int\nC++: int GetFieldAssociation(unsigned int idx)\n\nGet field association for the array.\n"},
  {(char*)"GetDomainAssociation", PyvtkSMArrayListDomain_GetDomainAssociation, 1,
   (char*)"V.GetDomainAssociation(int) -> int\nC++: int GetDomainAssociation(unsigned int idx)\n\nGet desired association of the current domain\n"},
  {(char*)"GetAttributeType", PyvtkSMArrayListDomain_GetAttributeType, 1,
   (char*)"V.GetAttributeType() -> int\nC++: int GetAttributeType()\n\nReturn the attribute type. The values are listed in\nvtkDataSetAttributes.h.\n"},
  {(char*)"SetDefaultValues", PyvtkSMArrayListDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property. Returns 1\nif the domain updated the property.\n"},
  {(char*)"AddString", PyvtkSMArrayListDomain_AddString, 1,
   (char*)"V.AddString(string) -> int\nC++: unsigned int AddString(const char *string)\n\nAdds a new string to the domain.\n"},
  {(char*)"RemoveString", PyvtkSMArrayListDomain_RemoveString, 1,
   (char*)"V.RemoveString(string) -> int\nC++: virtual int RemoveString(const char *string)\n\nRemoves a string from the domain.\n"},
  {(char*)"RemoveAllStrings", PyvtkSMArrayListDomain_RemoveAllStrings, 1,
   (char*)"V.RemoveAllStrings()\nC++: virtual void RemoveAllStrings()\n\nRemoves all strings from the domain.\n"},
  {(char*)"AddInformationKey", PyvtkSMArrayListDomain_AddInformationKey, 1,
   (char*)"V.AddInformationKey(string, string, int) -> int\nC++: virtual unsigned int AddInformationKey(const char *location,\n    const char *name, int strategy)\nV.AddInformationKey(string, string) -> int\nC++: virtual unsigned int AddInformationKey(const char *location,\n    const char *name)\n\nAdds a new InformationKey to the domain. The default strategy is\nNEED_KEY if none is specified. If no InformationKey is specified\nin the xml, the default behavior is to create a rejected key\nvtkAbstractArray::GUI_HIDE\n"},
  {(char*)"RemoveInformationKey", PyvtkSMArrayListDomain_RemoveInformationKey, 1,
   (char*)"V.RemoveInformationKey(string, string) -> int\nC++: unsigned int RemoveInformationKey(const char *location,\n    const char *name)\n\nRemoves an InformationKey from this domain.\n"},
  {(char*)"GetNumberOfInformationKeys", PyvtkSMArrayListDomain_GetNumberOfInformationKeys, 1,
   (char*)"V.GetNumberOfInformationKeys() -> int\nC++: unsigned int GetNumberOfInformationKeys()\n\nReturns the number of InformationKeys in this domain.\n"},
  {(char*)"RemoveAllInformationKeys", PyvtkSMArrayListDomain_RemoveAllInformationKeys, 1,
   (char*)"V.RemoveAllInformationKeys()\nC++: void RemoveAllInformationKeys()\n\n"},
  {(char*)"GetInformationKeyLocation", PyvtkSMArrayListDomain_GetInformationKeyLocation, 1,
   (char*)"V.GetInformationKeyLocation(int) -> string\nC++: const char *GetInformationKeyLocation(unsigned int)\n\nReturns the location/name/strategy of a given InformationKey\n"},
  {(char*)"GetInformationKeyName", PyvtkSMArrayListDomain_GetInformationKeyName, 1,
   (char*)"V.GetInformationKeyName(int) -> string\nC++: const char *GetInformationKeyName(unsigned int)\n\nReturns the location/name/strategy of a given InformationKey\n"},
  {(char*)"GetInformationKeyStrategy", PyvtkSMArrayListDomain_GetInformationKeyStrategy, 1,
   (char*)"V.GetInformationKeyStrategy(int) -> int\nC++: int GetInformationKeyStrategy(unsigned int)\n\nReturns the location/name/strategy of a given InformationKey\n"},
  {(char*)"CheckInformationKeys", PyvtkSMArrayListDomain_CheckInformationKeys, 1,
   (char*)"V.CheckInformationKeys(vtkPVArrayInformation) -> int\nC++: int CheckInformationKeys(vtkPVArrayInformation *arrayInfo)\n\nreturn 1 if the InformationKeys of this vtkPVArrayInformation\nfullfill the requirements of the InformationKey in this Domain.\nreturns 0 on failure.\n"},
  {(char*)"CreateMangledName", PyvtkSMArrayListDomain_CreateMangledName, 1,
   (char*)"V.CreateMangledName(vtkPVArrayInformation, int) -> string\nC++: static vtkStdString CreateMangledName(\n    vtkPVArrayInformation *arrayInfo, int component)\n\nreturns the mangled name for the component index that is passed\nin.\n"},
  {(char*)"ArrayNameFromMangledName", PyvtkSMArrayListDomain_ArrayNameFromMangledName, 1,
   (char*)"V.ArrayNameFromMangledName(string) -> string\nC++: static vtkStdString ArrayNameFromMangledName(\n    const char *name)\n\nreturns the mangled name for the component index that is passed\nin.\n"},
  {(char*)"ComponentIndexFromMangledName", PyvtkSMArrayListDomain_ComponentIndexFromMangledName, 1,
   (char*)"V.ComponentIndexFromMangledName(vtkPVArrayInformation, string)\n    -> int\nC++: static int ComponentIndexFromMangledName(\n    vtkPVArrayInformation *info, const char *name)\n\nreturns the mangled name for the component index that is passed\nin.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMArrayListDomain_StaticNew()
{
  return vtkSMArrayListDomain::New();
}

PyObject *PyVTKClass_vtkSMArrayListDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMArrayListDomain_StaticNew,
    PyvtkSMArrayListDomain_Methods,
    "vtkSMArrayListDomain", modulename,
    NULL, NULL,
    PyvtkSMArrayListDomain_Doc(),
    PyVTKClass_vtkSMStringListDomainNew(modulename));
  return cls;
}

const char **PyvtkSMArrayListDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMArrayListDomain - list of arrays obtained from input\n\n",
    "Superclass: vtkSMStringListDomain\n\n",
    "vtkSMArrayListDomain represents a domain consisting of array names\nobtained from an input. vtkSMArrayListDomain requires a property of\nclass vtkSMProxyProperty which points to a vtkSMSourceProxy and\ncontains a vtkSMInputArrayDomain. Only the first proxy and domain are\nused. Valid XML attributes are:\n * attribute_type - one of:\n    - scalars\n    - vectors\n    - normals\n    - tcoords\n    - tensors\n ",
    "* data_type - one or more of:\n    - VTK_BIT, VTK_CHAR, VTK_INT, VTK_FLOAT, VTK_DOUBLE,... etc etc or the equivalent integers\n      from vtkType.h\n    - VTK_VOID, and 0 are equivalent to not specifying, meaning any data type\n      is allowed\n * none_string - when specified, this string appears as the first entry in\n      the list and can be used to show \"None\", or \"Not available\" etc.\n * key_locati",
    "on / key_name / key_strategy:\n      those tree attributes are related to InformationKey of the array.\n      key_location/key_name are the location and name of the given InformationKey\n      key_strategy specifies if this specific key is needed to be in the domain\n      or if this key is rejected. One of need_key or reject_key.\n      if nothing is specified, the default is to add a vtkAbstractArray",
    "::GUI_HIDE\n      key, with the reject_key strategy, so that arrays that have this InformationKey\n      are not visible in the user interface.\n  Additionally, vtkSMArrayListDomain support 'default_values'\nattribute which specifies a string (only 1 string value is\nsupported). When SetDefaultValues() is called, if the array name\nspecified as 'default_values' is present in the domain, then that\nwill b",
    "e used, otherwise, it simply uses the first available array\n(which is default).\n\nAdditionally, vtkSMArrayListDomain takes an  option required property\nwith function \"FieldDataSelection\" which can be a\nvtkSMIntVectorProperty with a single value. If preset, this\nproperty's value is used to determine what type of field-data i.e.\npoint-data, cell-data etc. is currently available.\n\nSee Also:\n\nvtkSMDoma",
    "in vtkSMProxyProperty vtkSMInputArrayDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMArrayListDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMArrayListDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMArrayListDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

