// python wrapper for vtkSMArrayRangeDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMArrayRangeDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMArrayRangeDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMArrayRangeDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMArrayRangeDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMArrayRangeDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDoubleRangeDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDoubleRangeDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDoubleRangeDomainNew
#endif

static const char **PyvtkSMArrayRangeDomain_Doc();


static PyObject *
PyvtkSMArrayRangeDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayRangeDomain *op = static_cast<vtkSMArrayRangeDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMArrayRangeDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayRangeDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayRangeDomain *op = static_cast<vtkSMArrayRangeDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayRangeDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayRangeDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayRangeDomain *op = static_cast<vtkSMArrayRangeDomain *>(vp);

  vtkSMArrayRangeDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMArrayRangeDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayRangeDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMArrayRangeDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMArrayRangeDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayRangeDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayRangeDomain *op = static_cast<vtkSMArrayRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMArrayRangeDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMArrayRangeDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArrayRangeDomain *op = static_cast<vtkSMArrayRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMArrayRangeDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMArrayRangeDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMArrayRangeDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMArrayRangeDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMArrayRangeDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMArrayRangeDomain\nC++: vtkSMArrayRangeDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMArrayRangeDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMArrayRangeDomain\nC++: vtkSMArrayRangeDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMArrayRangeDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *prop)\n\nUpdates the range based on the scalar range of the currently\nselected array. This requires Input (vtkSMProxyProperty) and\nArraySelection (vtkSMStringVectorProperty) properties. Currently,\nthis uses only the first component of the array.\n"},
  {(char*)"SetDefaultValues", PyvtkSMArrayRangeDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMArrayRangeDomain_StaticNew()
{
  return vtkSMArrayRangeDomain::New();
}

PyObject *PyVTKClass_vtkSMArrayRangeDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMArrayRangeDomain_StaticNew,
    PyvtkSMArrayRangeDomain_Methods,
    "vtkSMArrayRangeDomain", modulename,
    NULL, NULL,
    PyvtkSMArrayRangeDomain_Doc(),
    PyVTKClass_vtkSMDoubleRangeDomainNew(modulename));
  return cls;
}

const char **PyvtkSMArrayRangeDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMArrayRangeDomain - double range domain based on array range\n\n",
    "Superclass: vtkSMDoubleRangeDomain\n\n",
    "vtkSMArrayRangeDomain is a sub-class of vtkSMDoubleRangeDomain. In\nit's Update(), it sets min/max values based on the range of an input\narray. It requires Input (vtkSMProxyProperty) and ArraySelection\n(vtkSMStringVectorProperty) properties.\n\nSee Also:\n\nvtkSMDoubleRangeDomain vtkSMProxyProperty vtkSMStringVectorProperty\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMArrayRangeDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMArrayRangeDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMArrayRangeDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

