// python wrapper for vtkSMArraySelectionDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMArraySelectionDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMArraySelectionDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMArraySelectionDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMStringListRangeDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMStringListRangeDomainNew
#endif

static const char **PyvtkSMArraySelectionDomain_Doc();


static PyObject *
PyvtkSMArraySelectionDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArraySelectionDomain *op = static_cast<vtkSMArraySelectionDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMArraySelectionDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArraySelectionDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArraySelectionDomain *op = static_cast<vtkSMArraySelectionDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMArraySelectionDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArraySelectionDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArraySelectionDomain *op = static_cast<vtkSMArraySelectionDomain *>(vp);

  vtkSMArraySelectionDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMArraySelectionDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMArraySelectionDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMArraySelectionDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMArraySelectionDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMArraySelectionDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArraySelectionDomain *op = static_cast<vtkSMArraySelectionDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMArraySelectionDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMArraySelectionDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMArraySelectionDomain *op = static_cast<vtkSMArraySelectionDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMArraySelectionDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMArraySelectionDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMArraySelectionDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMArraySelectionDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMArraySelectionDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMArraySelectionDomain\nC++: vtkSMArraySelectionDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMArraySelectionDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMArraySelectionDomain\nC++: vtkSMArraySelectionDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMArraySelectionDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nPopulate the values of the domain from the given information\nproperty.\n"},
  {(char*)"SetDefaultValues", PyvtkSMArraySelectionDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property. Returns 1\nif the domain updated the property.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMArraySelectionDomain_StaticNew()
{
  return vtkSMArraySelectionDomain::New();
}

PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMArraySelectionDomain_StaticNew,
    PyvtkSMArraySelectionDomain_Methods,
    "vtkSMArraySelectionDomain", modulename,
    NULL, NULL,
    PyvtkSMArraySelectionDomain_Doc(),
    PyVTKClass_vtkSMStringListRangeDomainNew(modulename));
  return cls;
}

const char **PyvtkSMArraySelectionDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMArraySelectionDomain - adds all strings from information property\n\n",
    "Superclass: vtkSMStringListRangeDomain\n\n",
    "vtkSMArraySelectionDomain overwrites vtkSMStringListRangeDomain's\nUpdate in which it adds all strings from a required information\nproperty to the domain. The information property must have been\npopulated by an vtkSMArraySelectionInformationHelper. It also sets\nthe IntDomainMode to BOOLEAN.\n\nSee Also:\n\nvtkSMStringListRangeDomain vtkSMStringVectorProperty\nvtkSMArraySelectionInformationHelper\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMArraySelectionDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMArraySelectionDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMArraySelectionDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

