// python wrapper for vtkSMBoundsDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMBoundsDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMBoundsDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMBoundsDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMBoundsDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMBoundsDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDoubleRangeDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDoubleRangeDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDoubleRangeDomainNew
#endif

static const char **PyvtkSMBoundsDomain_Doc();


static PyObject *
PyvtkSMBoundsDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  vtkSMBoundsDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMBoundsDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMBoundsDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMBoundsDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMode(temp0);
      }
    else
      {
      op->vtkSMBoundsDomain::SetMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_GetModeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModeMinValue();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetModeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_GetModeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModeMaxValue();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetModeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_GetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMode();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SetInputInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  vtkPVDataInformation *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVDataInformation"))
    {
    if (ap.IsBound())
      {
      op->SetInputInformation(temp0);
      }
    else
      {
      op->vtkSMBoundsDomain::SetInputInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SetScaleFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleFactor(temp0);
      }
    else
      {
      op->vtkSMBoundsDomain::SetScaleFactor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_GetScaleFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScaleFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScaleFactor();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetScaleFactor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_SetDefaultMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDefaultMode(temp0);
      }
    else
      {
      op->vtkSMBoundsDomain::SetDefaultMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMBoundsDomain_GetDefaultMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDefaultMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMBoundsDomain *op = static_cast<vtkSMBoundsDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDefaultMode();
      }
    else
      {
      tempr = op->vtkSMBoundsDomain::GetDefaultMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMBoundsDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMBoundsDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMBoundsDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMBoundsDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMBoundsDomain\nC++: vtkSMBoundsDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMBoundsDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMBoundsDomain\nC++: vtkSMBoundsDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMBoundsDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nUpdate self checking the \"unchecked\" values of all required\nproperties. Overwritten by sub-classes.\n"},
  {(char*)"SetDefaultValues", PyvtkSMBoundsDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property.\n"},
  {(char*)"SetMode", PyvtkSMBoundsDomain_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode(int)\n\n\n"},
  {(char*)"GetModeMinValue", PyvtkSMBoundsDomain_GetModeMinValue, 1,
   (char*)"V.GetModeMinValue() -> int\nC++: int GetModeMinValue()\n\n\n"},
  {(char*)"GetModeMaxValue", PyvtkSMBoundsDomain_GetModeMaxValue, 1,
   (char*)"V.GetModeMaxValue() -> int\nC++: int GetModeMaxValue()\n\n\n"},
  {(char*)"GetMode", PyvtkSMBoundsDomain_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode()\n\n\n"},
  {(char*)"SetInputInformation", PyvtkSMBoundsDomain_SetInputInformation, 1,
   (char*)"V.SetInputInformation(vtkPVDataInformation)\nC++: void SetInputInformation(vtkPVDataInformation *input)\n\n\n"},
  {(char*)"SetScaleFactor", PyvtkSMBoundsDomain_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor(double a)\n\n"},
  {(char*)"GetScaleFactor", PyvtkSMBoundsDomain_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor()\n\n"},
  {(char*)"SetDefaultMode", PyvtkSMBoundsDomain_SetDefaultMode, 1,
   (char*)"V.SetDefaultMode(int)\nC++: void SetDefaultMode(int a)\n\n"},
  {(char*)"GetDefaultMode", PyvtkSMBoundsDomain_GetDefaultMode, 1,
   (char*)"V.GetDefaultMode() -> int\nC++: int GetDefaultMode()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMBoundsDomain_StaticNew()
{
  return vtkSMBoundsDomain::New();
}

PyObject *PyVTKClass_vtkSMBoundsDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMBoundsDomain_StaticNew,
    PyvtkSMBoundsDomain_Methods,
    "vtkSMBoundsDomain", modulename,
    NULL, NULL,
    PyvtkSMBoundsDomain_Doc(),
    PyVTKClass_vtkSMDoubleRangeDomainNew(modulename));
  return cls;
}

const char **PyvtkSMBoundsDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMBoundsDomain - double range domain based on data set bounds\n\n",
    "Superclass: vtkSMDoubleRangeDomain\n\n",
    "vtkSMBoundsDomain is a subclass of vtkSMDoubleRangeDomain. In its\nUpdate method, it determines the minimum and maximum coordinates of\neach dimension of the bounding  box of the data set with which it is\nassociated. It requires a vtkSMSourceProxy to do this.\n\nSee Also:\n\nvtkSMDoubleRangeDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMBoundsDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMBoundsDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMBoundsDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

