// python wrapper for vtkSMCacheBasedProxyLocator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMCacheBasedProxyLocator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMCacheBasedProxyLocator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMCacheBasedProxyLocator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMCacheBasedProxyLocatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMCacheBasedProxyLocatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyLocatorNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyLocatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyLocatorNew
#endif

static const char **PyvtkSMCacheBasedProxyLocator_Doc();


static PyObject *
PyvtkSMCacheBasedProxyLocator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMCacheBasedProxyLocator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMCacheBasedProxyLocator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  vtkSMCacheBasedProxyLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMCacheBasedProxyLocator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMCacheBasedProxyLocator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMCacheBasedProxyLocator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_LocateProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LocateProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LocateProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMCacheBasedProxyLocator::LocateProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_SetStateLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStateLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  vtkSMStateLocator *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMStateLocator"))
    {
    if (ap.IsBound())
      {
      op->SetStateLocator(temp0);
      }
    else
      {
      op->vtkSMCacheBasedProxyLocator::SetStateLocator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_GetStateLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStateLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  vtkSMStateLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStateLocator();
      }
    else
      {
      tempr = op->vtkSMCacheBasedProxyLocator::GetStateLocator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_Clear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Clear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Clear();
      }
    else
      {
      op->vtkSMCacheBasedProxyLocator::Clear();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_GetLocatedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLocatedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  vtkCollection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetLocatedProxies(temp0);
      }
    else
      {
      op->vtkSMCacheBasedProxyLocator::GetLocatedProxies(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMCacheBasedProxyLocator_StoreProxyState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StoreProxyState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCacheBasedProxyLocator *op = static_cast<vtkSMCacheBasedProxyLocator *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->StoreProxyState(temp0);
      }
    else
      {
      op->vtkSMCacheBasedProxyLocator::StoreProxyState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMCacheBasedProxyLocator_Methods[] = {
  {(char*)"GetClassName", PyvtkSMCacheBasedProxyLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMCacheBasedProxyLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMCacheBasedProxyLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMCacheBasedProxyLocator\nC++: vtkSMCacheBasedProxyLocator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMCacheBasedProxyLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMCacheBasedProxyLocator\nC++: vtkSMCacheBasedProxyLocator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LocateProxy", PyvtkSMCacheBasedProxyLocator_LocateProxy, 1,
   (char*)"V.LocateProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *LocateProxy(vtkTypeUInt32 globalID)\n\nLocate a proxy with the given \"name\". If none can be found\nreturns NULL. If a proxy with the name was not previously\nlocated, it will ask the vtkSMStateLoader (if any) to re-new a\nproxy if possible and reset its state to the previous stored XML\none.\n"},
  {(char*)"SetStateLocator", PyvtkSMCacheBasedProxyLocator_SetStateLocator, 1,
   (char*)"V.SetStateLocator(vtkSMStateLocator)\nC++: void SetStateLocator(vtkSMStateLocator *)\n\nGet/Set the StateLocator to used to rebuild unknown proxies\nrequested to be located using LocateProxy().\n"},
  {(char*)"GetStateLocator", PyvtkSMCacheBasedProxyLocator_GetStateLocator, 1,
   (char*)"V.GetStateLocator() -> vtkSMStateLocator\nC++: vtkSMStateLocator *GetStateLocator()\n\nGet/Set the StateLocator to used to rebuild unknown proxies\nrequested to be located using LocateProxy().\n"},
  {(char*)"Clear", PyvtkSMCacheBasedProxyLocator_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear()\n\nClear the locator.\n"},
  {(char*)"GetLocatedProxies", PyvtkSMCacheBasedProxyLocator_GetLocatedProxies, 1,
   (char*)"V.GetLocatedProxies(vtkCollection)\nC++: void GetLocatedProxies(vtkCollection *)\n\n"},
  {(char*)"StoreProxyState", PyvtkSMCacheBasedProxyLocator_StoreProxyState, 1,
   (char*)"V.StoreProxyState(vtkSMProxy)\nC++: void StoreProxyState(vtkSMProxy *proxy)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMCacheBasedProxyLocator_StaticNew()
{
  return vtkSMCacheBasedProxyLocator::New();
}

PyObject *PyVTKClass_vtkSMCacheBasedProxyLocatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMCacheBasedProxyLocator_StaticNew,
    PyvtkSMCacheBasedProxyLocator_Methods,
    "vtkSMCacheBasedProxyLocator", modulename,
    NULL, NULL,
    PyvtkSMCacheBasedProxyLocator_Doc(),
    PyVTKClass_vtkSMProxyLocatorNew(modulename));
  return cls;
}

const char **PyvtkSMCacheBasedProxyLocator_Doc()
{
  static const char *docstring[] = {
    "vtkSMCacheBasedProxyLocator - is used to locate proxies which states\n\n",
    "Superclass: vtkSMProxyLocator\n\n",
    "This class can be used to keep track in memory of a given set of\nproxy state and allow them to be reset later on to that state.\nUnderneath it use the XML state to prevent the burden of Sub-Proxy\ndependency management.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMCacheBasedProxyLocator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMCacheBasedProxyLocatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMCacheBasedProxyLocator", o) != 0)
    {
    Py_DECREF(o);
    }

}

