// python wrapper for vtkSMComparativeAnimationCueProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMComparativeAnimationCueProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMComparativeAnimationCueProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMComparativeAnimationCueProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMComparativeAnimationCueProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMComparativeAnimationCueProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMComparativeAnimationCueProxy_Doc();


static PyObject *
PyvtkSMComparativeAnimationCueProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeAnimationCueProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeAnimationCueProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  vtkSMComparativeAnimationCueProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeAnimationCueProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMComparativeAnimationCueProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMComparativeAnimationCueProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeAnimationCueProxy_GetCue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  vtkPVComparativeAnimationCue *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCue();
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::GetCue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeAnimationCueProxy_SaveXMLState_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveXMLState(temp0);
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::SaveXMLState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMComparativeAnimationCueProxy_SaveXMLState_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMPropertyIterator *temp1 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      ap.GetVTKObject(temp1, "vtkSMPropertyIterator"))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveXMLState(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::SaveXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMComparativeAnimationCueProxy_SaveXMLState(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMComparativeAnimationCueProxy_SaveXMLState_s1(self, args);
    case 2:
      return PyvtkSMComparativeAnimationCueProxy_SaveXMLState_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SaveXMLState");
  return NULL;
}



static PyObject *
PyvtkSMComparativeAnimationCueProxy_LoadXMLState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeAnimationCueProxy *op = static_cast<vtkSMComparativeAnimationCueProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMProxyLocator *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      ap.GetVTKObject(temp1, "vtkSMProxyLocator"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadXMLState(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMComparativeAnimationCueProxy::LoadXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMComparativeAnimationCueProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMComparativeAnimationCueProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMComparativeAnimationCueProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMComparativeAnimationCueProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMComparativeAnimationCueProxy\nC++: vtkSMComparativeAnimationCueProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMComparativeAnimationCueProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMComparativeAnimationCueProxy\nC++: vtkSMComparativeAnimationCueProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetCue", PyvtkSMComparativeAnimationCueProxy_GetCue, 1,
   (char*)"V.GetCue() -> vtkPVComparativeAnimationCue\nC++: vtkPVComparativeAnimationCue *GetCue()\n\nReturns the client-side vtkPVComparativeAnimationCue instance.\nSame as\nvtkPVComparativeAnimationCue::SafeDownCast(this->GetClientSideObje\nct());\n"},
  {(char*)"SaveXMLState", PyvtkSMComparativeAnimationCueProxy_SaveXMLState, 1,
   (char*)"V.SaveXMLState(vtkPVXMLElement) -> vtkPVXMLElement\nC++: virtual vtkPVXMLElement *SaveXMLState(vtkPVXMLElement *root)\nV.SaveXMLState(vtkPVXMLElement, vtkSMPropertyIterator)\n    -> vtkPVXMLElement\nC++: virtual vtkPVXMLElement *SaveXMLState(vtkPVXMLElement *root,\n    vtkSMPropertyIterator *iter)\n\nSaves the state of the proxy. This state can be reloaded to\ncreate a new proxy that is identical the present state of this\nproxy. The resulting proxy's XML hieratchy is returned, in\naddition if the root argument is not NULL then it's also inserted\nas a nested element. This call saves all a proxy's properties,\nincluding exposed properties and sub-proxies. More control is\nprovided by the following overload.\n"},
  {(char*)"LoadXMLState", PyvtkSMComparativeAnimationCueProxy_LoadXMLState, 1,
   (char*)"V.LoadXMLState(vtkPVXMLElement, vtkSMProxyLocator) -> int\nC++: virtual int LoadXMLState(vtkPVXMLElement *element,\n    vtkSMProxyLocator *locator)\n\nLoads the proxy state from the XML element. Returns 0 on\nfailure.locator is used to locate other proxies that may be\nreferred to in the state XML (which happens in case of properties\nof type vtkSMProxyProperty or subclasses). If locator is NULL,\nthen such properties are left unchanged.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMComparativeAnimationCueProxy_StaticNew()
{
  return vtkSMComparativeAnimationCueProxy::New();
}

PyObject *PyVTKClass_vtkSMComparativeAnimationCueProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMComparativeAnimationCueProxy_StaticNew,
    PyvtkSMComparativeAnimationCueProxy_Methods,
    "vtkSMComparativeAnimationCueProxy", modulename,
    NULL, NULL,
    PyvtkSMComparativeAnimationCueProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMComparativeAnimationCueProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMComparativeAnimationCueProxy - cue used for parameter animation\nby\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMComparativeAnimationCueProxy is a animation cue used for\nparameter animation by the vtkSMComparativeViewProxy. It provides a\nnon-conventional API i.e. without using properties to allow the user\nto setup parameter values over the comparative grid.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMComparativeAnimationCueProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMComparativeAnimationCueProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMComparativeAnimationCueProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

