// python wrapper for vtkSMComparativeViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMComparativeViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMComparativeViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMComparativeViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMComparativeViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMComparativeViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMViewProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMViewProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMViewProxyNew
#endif

static const char **PyvtkSMComparativeViewProxy_Doc();


static PyObject *
PyvtkSMComparativeViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMComparativeViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMComparativeViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkSMComparativeViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMComparativeViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMComparativeViewProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMComparativeViewProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkSMComparativeViewProxy::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  vtkSMRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDefaultRepresentation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMComparativeViewProxy::CreateDefaultRepresentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_GetViews(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetViews");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkCollection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetViews(temp0);
      }
    else
      {
      op->vtkSMComparativeViewProxy::GetViews(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_GetRepresentationsForView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentationsForView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkSMViewProxy *temp0 = NULL;
  vtkCollection *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMViewProxy") &&
      ap.GetVTKObject(temp1, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetRepresentationsForView(temp0, temp1);
      }
    else
      {
      op->vtkSMComparativeViewProxy::GetRepresentationsForView(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_GetRepresentations(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepresentations");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  int temp0;
  int temp1;
  vtkCollection *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetRepresentations(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMComparativeViewProxy::GetRepresentations(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_GetRootView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRootView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkSMViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRootView();
      }
    else
      {
      tempr = op->vtkSMComparativeViewProxy::GetRootView();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMComparativeViewProxy_MarkDirty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkDirty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMComparativeViewProxy *op = static_cast<vtkSMComparativeViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->MarkDirty(temp0);
      }
    else
      {
      op->vtkSMComparativeViewProxy::MarkDirty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMComparativeViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMComparativeViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMComparativeViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMComparativeViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMComparativeViewProxy\nC++: vtkSMComparativeViewProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMComparativeViewProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMComparativeViewProxy\nC++: vtkSMComparativeViewProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMComparativeViewProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the data pipelines for all visible representations.\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkSMComparativeViewProxy_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation(vtkSMProxy, int)\n    -> vtkSMRepresentationProxy\nC++: virtual vtkSMRepresentationProxy *CreateDefaultRepresentation(\n    vtkSMProxy *, int)\n\nCreate a default representation for the given source proxy.\nReturns a new proxy. Overridden to forward the call to the\ninternal root view proxy.\n"},
  {(char*)"GetViews", PyvtkSMComparativeViewProxy_GetViews, 1,
   (char*)"V.GetViews(vtkCollection)\nC++: void GetViews(vtkCollection *collection)\n\nGet all the internal views. The views should only be used to be\nlayed out by the GUI. It's not recommended to directly change the\nproperties of the views.\n"},
  {(char*)"GetRepresentationsForView", PyvtkSMComparativeViewProxy_GetRepresentationsForView, 1,
   (char*)"V.GetRepresentationsForView(vtkSMViewProxy, vtkCollection)\nC++: void GetRepresentationsForView(vtkSMViewProxy *,\n    vtkCollection *)\n\nGet all internal vtkSMRepresentations for a given view.  If the\ngiven view is not managed by this comparative view it will be\nignored.  The representations should only be used by the GUI for\ncreating representation clones.  It is not recommended to\ndirectly change the properties of the returned representations.\n"},
  {(char*)"GetRepresentations", PyvtkSMComparativeViewProxy_GetRepresentations, 1,
   (char*)"V.GetRepresentations(int, int, vtkCollection)\nC++: void GetRepresentations(int x, int y, vtkCollection *)\n\nGet all internal vtkSMRepresentations for a given view.  If the\ngiven view is not managed by this comparative view it will be\nignored.  The representations should only be used by the GUI for\ncreating representation clones.  It is not recommended to\ndirectly change the properties of the returned representations.\n"},
  {(char*)"GetRootView", PyvtkSMComparativeViewProxy_GetRootView, 1,
   (char*)"V.GetRootView() -> vtkSMViewProxy\nC++: vtkSMViewProxy *GetRootView()\n\nReturns the root view proxy.\n"},
  {(char*)"MarkDirty", PyvtkSMComparativeViewProxy_MarkDirty, 1,
   (char*)"V.MarkDirty(vtkSMProxy)\nC++: virtual void MarkDirty(vtkSMProxy *modifiedProxy)\n\nDirty means this algorithm will execute during next update. This\nall marks all consumers as dirty.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMComparativeViewProxy_StaticNew()
{
  return vtkSMComparativeViewProxy::New();
}

PyObject *PyVTKClass_vtkSMComparativeViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMComparativeViewProxy_StaticNew,
    PyvtkSMComparativeViewProxy_Methods,
    "vtkSMComparativeViewProxy", modulename,
    NULL, NULL,
    PyvtkSMComparativeViewProxy_Doc(),
    PyVTKClass_vtkSMViewProxyNew(modulename));
  return cls;
}

const char **PyvtkSMComparativeViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMComparativeViewProxy - view for comparative visualization/\n\n",
    "Superclass: vtkSMViewProxy\n\n",
    "vtkSMComparativeViewProxy is the view used to generate/view\ncomparative visualizations/film-strips. vtkSMComparativeViewProxy\nworks together with vtkPVComparativeView -- the vtk-object for which\nthis represents the proxy. vtkPVComparativeView is a client-side VTK\nobject which literally uses the view and representation proxies to\nsimulate the comparative view. Refer to vtkPVComparativeView for\ndeta",
    "ils.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMComparativeViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMComparativeViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMComparativeViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

