// python wrapper for vtkSMCompositeTreeDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMCompositeTreeDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMCompositeTreeDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMCompositeTreeDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMCompositeTreeDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMCompositeTreeDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMCompositeTreeDomain_Doc();


static PyObject *
PyvtkSMCompositeTreeDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkSMCompositeTreeDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMCompositeTreeDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMCompositeTreeDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMCompositeTreeDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_GetInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkPVDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformation();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::GetInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_GetSource(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSource");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkSMSourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSource();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::GetSource();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_GetSourcePort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSourcePort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSourcePort();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::GetSourcePort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_IsInDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_GetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMode();
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::GetMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_SetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMode(temp0);
      }
    else
      {
      op->vtkSMCompositeTreeDomain::SetMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMCompositeTreeDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMCompositeTreeDomain *op = static_cast<vtkSMCompositeTreeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMCompositeTreeDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMCompositeTreeDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMCompositeTreeDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMCompositeTreeDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMCompositeTreeDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMCompositeTreeDomain\nC++: vtkSMCompositeTreeDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMCompositeTreeDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMCompositeTreeDomain\nC++: vtkSMCompositeTreeDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMCompositeTreeDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *input)\n\nCalled when the 'required-property' is modified. The property\nmust be a vtkSMInputProperty. This will obtain the composite data\ninformation for the input source and then determine the valid\nrange for the flat-index.\n"},
  {(char*)"GetInformation", PyvtkSMCompositeTreeDomain_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetInformation()\n\nGet the vtkPVDataInformation which provides the tree structure\nfor the composite dataset.\n"},
  {(char*)"GetSource", PyvtkSMCompositeTreeDomain_GetSource, 1,
   (char*)"V.GetSource() -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *GetSource()\n\nReturns the source proxy whose data information is returned by\nGetInformation().\n"},
  {(char*)"GetSourcePort", PyvtkSMCompositeTreeDomain_GetSourcePort, 1,
   (char*)"V.GetSourcePort() -> int\nC++: int GetSourcePort()\n\nReturns the port for the source proxy from which the data\ninformation is obtained by GetInformation().\n"},
  {(char*)"IsInDomain", PyvtkSMCompositeTreeDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\n\nIs the (unchecked) value of the property in the domain?\nOverwritten by sub-classes.\n"},
  {(char*)"GetMode", PyvtkSMCompositeTreeDomain_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode()\n\nMode indicates if the property is interested in all nodes, leaves\nonly or non-leaves only. Can be configured in XML using the\n\"mode\" attribute. Values can be \"all\", \"leaves\", \"non-leaves\".\nDefault is all nodes.\n"},
  {(char*)"SetMode", PyvtkSMCompositeTreeDomain_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode(int a)\n\nMode indicates if the property is interested in all nodes, leaves\nonly or non-leaves only. Can be configured in XML using the\n\"mode\" attribute. Values can be \"all\", \"leaves\", \"non-leaves\".\nDefault is all nodes.\n"},
  {(char*)"SetDefaultValues", PyvtkSMCompositeTreeDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property. Returns 1\nif the domain updated the property.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMCompositeTreeDomain_StaticNew()
{
  return vtkSMCompositeTreeDomain::New();
}

PyObject *PyVTKClass_vtkSMCompositeTreeDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMCompositeTreeDomain_StaticNew,
    PyvtkSMCompositeTreeDomain_Methods,
    "vtkSMCompositeTreeDomain", modulename,
    NULL, NULL,
    PyvtkSMCompositeTreeDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMCompositeTreeDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMCompositeTreeDomain - domain used to restrict an\n\n",
    "Superclass: vtkSMDomain\n\n",
    "vtkSMCompositeTreeDomain can be added to a vtkSMIntVectorProperty.\nThis domain requires a vtkSMInputProperty which is used to provide\nthe input to the filter. This domain obtains data information from\nthe input selected on the required input property and then decides\nthe range for the flat-index. A flat index for a tree is obtained by\nperforming a pre-order traversal of the tree eg. A ( B ( D, E),",
    " C (F,\nG)) becomes: [A,B,D,E,C,F,G], so flat-index of A is 0, while\nflat-index of C is 4.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMCompositeTreeDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMCompositeTreeDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMCompositeTreeDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

