// python wrapper for vtkSMContextNamedOptionsProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMContextNamedOptionsProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMContextNamedOptionsProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMContextNamedOptionsProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMContextNamedOptionsProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMContextNamedOptionsProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMContextNamedOptionsProxy_Doc();


static PyObject *
PyvtkSMContextNamedOptionsProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextNamedOptionsProxy *op = static_cast<vtkSMContextNamedOptionsProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMContextNamedOptionsProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextNamedOptionsProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextNamedOptionsProxy *op = static_cast<vtkSMContextNamedOptionsProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMContextNamedOptionsProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextNamedOptionsProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextNamedOptionsProxy *op = static_cast<vtkSMContextNamedOptionsProxy *>(vp);

  vtkSMContextNamedOptionsProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMContextNamedOptionsProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextNamedOptionsProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMContextNamedOptionsProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMContextNamedOptionsProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMContextNamedOptionsProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMContextNamedOptionsProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMContextNamedOptionsProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMContextNamedOptionsProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMContextNamedOptionsProxy\nC++: vtkSMContextNamedOptionsProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMContextNamedOptionsProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMContextNamedOptionsProxy\nC++: vtkSMContextNamedOptionsProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMContextNamedOptionsProxy_StaticNew()
{
  return vtkSMContextNamedOptionsProxy::New();
}

PyObject *PyVTKClass_vtkSMContextNamedOptionsProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMContextNamedOptionsProxy_StaticNew,
    PyvtkSMContextNamedOptionsProxy_Methods,
    "vtkSMContextNamedOptionsProxy", modulename,
    NULL, NULL,
    PyvtkSMContextNamedOptionsProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMContextNamedOptionsProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMContextNamedOptionsProxy\n\n",
    "Superclass: vtkSMProxy\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMContextNamedOptionsProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMContextNamedOptionsProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMContextNamedOptionsProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

