// python wrapper for vtkSMContextViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMContextViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMContextViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMContextViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMContextViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMContextViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMViewProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMViewProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMViewProxyNew
#endif

static const char **PyvtkSMContextViewProxy_Doc();


static PyObject *
PyvtkSMContextViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextViewProxy *op = static_cast<vtkSMContextViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMContextViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextViewProxy *op = static_cast<vtkSMContextViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMContextViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextViewProxy *op = static_cast<vtkSMContextViewProxy *>(vp);

  vtkSMContextViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMContextViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextViewProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMContextViewProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMContextViewProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextViewProxy_ResetDisplay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetDisplay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextViewProxy *op = static_cast<vtkSMContextViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ResetDisplay();
      }
    else
      {
      op->vtkSMContextViewProxy::ResetDisplay();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMContextViewProxy_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMContextViewProxy *op = static_cast<vtkSMContextViewProxy *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderWindow();
      }
    else
      {
      tempr = op->vtkSMContextViewProxy::GetRenderWindow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMContextViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMContextViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMContextViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMContextViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMContextViewProxy\nC++: vtkSMContextViewProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMContextViewProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMContextViewProxy\nC++: vtkSMContextViewProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ResetDisplay", PyvtkSMContextViewProxy_ResetDisplay, 1,
   (char*)"V.ResetDisplay()\nC++: virtual void ResetDisplay()\n\nResets the zoom level to 100%\n"},
  {(char*)"GetRenderWindow", PyvtkSMContextViewProxy_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow()\n\nReturn the render window from which offscreen rendering and\ninteractor can be accessed\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMContextViewProxy_StaticNew()
{
  return vtkSMContextViewProxy::New();
}

PyObject *PyVTKClass_vtkSMContextViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMContextViewProxy_StaticNew,
    PyvtkSMContextViewProxy_Methods,
    "vtkSMContextViewProxy", modulename,
    NULL, NULL,
    PyvtkSMContextViewProxy_Doc(),
    PyVTKClass_vtkSMViewProxyNew(modulename));
  return cls;
}

const char **PyvtkSMContextViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMContextViewProxy - abstract base class for all Chart Views.\n\n",
    "Superclass: vtkSMViewProxy\n\n",
    "vtkSMContextViewProxy is an abstract base class for all\nvtkContextView subclasses.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMContextViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMContextViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMContextViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

