// python wrapper for vtkSMDataTypeDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMDataTypeDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMDataTypeDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMDataTypeDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDataTypeDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDataTypeDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMDataTypeDomain_Doc();


static PyObject *
PyvtkSMDataTypeDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDataTypeDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDataTypeDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  vtkSMDataTypeDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMDataTypeDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMDataTypeDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMDataTypeDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDataTypeDomain_IsInDomain_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMDataTypeDomain_IsInDomain_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  int temp1 = 0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::IsInDomain(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMDataTypeDomain_IsInDomain_Methods[] = {
  {NULL, PyvtkSMDataTypeDomain_IsInDomain_s1, 1,
   (char*)"@O *vtkSMProperty"},
  {NULL, PyvtkSMDataTypeDomain_IsInDomain_s2, 1,
   (char*)"@O|i *vtkSMSourceProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMDataTypeDomain_IsInDomain(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMDataTypeDomain_IsInDomain_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMDataTypeDomain_IsInDomain_s2(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsInDomain");
  return NULL;
}



static PyObject *
PyvtkSMDataTypeDomain_GetNumberOfDataTypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfDataTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfDataTypes();
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::GetNumberOfDataTypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDataTypeDomain_GetDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDataTypeDomain *op = static_cast<vtkSMDataTypeDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataType(temp0);
      }
    else
      {
      tempr = op->vtkSMDataTypeDomain::GetDataType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMDataTypeDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMDataTypeDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMDataTypeDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMDataTypeDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDataTypeDomain\nC++: vtkSMDataTypeDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMDataTypeDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDataTypeDomain\nC++: vtkSMDataTypeDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsInDomain", PyvtkSMDataTypeDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\nV.IsInDomain(vtkSMSourceProxy, int) -> int\nC++: int IsInDomain(vtkSMSourceProxy *proxy, int outputport=0)\n\nReturns true if the value of the propery is in the domain. The\npropery has to be a vtkSMProxyProperty which points to a\nvtkSMSourceProxy. If all data types of the input's parts are in\nthe domain, it returns. It returns 0 otherwise.\n"},
  {(char*)"GetNumberOfDataTypes", PyvtkSMDataTypeDomain_GetNumberOfDataTypes, 1,
   (char*)"V.GetNumberOfDataTypes() -> int\nC++: unsigned int GetNumberOfDataTypes()\n\nReturns the number of acceptable data types.\n"},
  {(char*)"GetDataType", PyvtkSMDataTypeDomain_GetDataType, 1,
   (char*)"V.GetDataType(int) -> string\nC++: const char *GetDataType(unsigned int idx)\n\nReturns a data type.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMDataTypeDomain_StaticNew()
{
  return vtkSMDataTypeDomain::New();
}

PyObject *PyVTKClass_vtkSMDataTypeDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMDataTypeDomain_StaticNew,
    PyvtkSMDataTypeDomain_Methods,
    "vtkSMDataTypeDomain", modulename,
    NULL, NULL,
    PyvtkSMDataTypeDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMDataTypeDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMDataTypeDomain - restricts the input proxies to one or more data\ntypes\n\n",
    "Superclass: vtkSMDomain\n\n",
    "vtkSMDataTypeDomain restricts the input proxies to one or more data\ntypes. These data types are specified in the XML with the <DataType>\nelement. VTK class names are used. It is possible to specify a\nsuperclass (i.e. vtkDataSet) for a more general domain. Works with\nvtkSMSourceProxy only. Valid XML elements are:\n * <DataType value=\"\"> where value is the classname for the data type\n for example: vt",
    "kDataSet, vtkImageData,...\n \n\nSee Also:\n\nvtkSMDomain  vtkSMSourceProxy\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMDataTypeDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMDataTypeDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMDataTypeDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

