// python wrapper for vtkSMDeserializer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMDeserializer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMDeserializer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMDeserializer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDeserializerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDeserializerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMDeserializer_Doc();


static PyObject *
PyvtkSMDeserializer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDeserializer *op = static_cast<vtkSMDeserializer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMDeserializer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDeserializer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDeserializer *op = static_cast<vtkSMDeserializer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMDeserializer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDeserializer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDeserializer *op = static_cast<vtkSMDeserializer *>(vp);

  vtkSMDeserializer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMDeserializer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMDeserializer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMDeserializer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMDeserializer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDeserializer_GetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDeserializer *op = static_cast<vtkSMDeserializer *>(vp);

  vtkSMSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSession();
      }
    else
      {
      tempr = op->vtkSMDeserializer::GetSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDeserializer_SetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDeserializer *op = static_cast<vtkSMDeserializer *>(vp);

  vtkSMSession *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      op->SetSession(temp0);
      }
    else
      {
      op->vtkSMDeserializer::SetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMDeserializer_Methods[] = {
  {(char*)"GetClassName", PyvtkSMDeserializer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMDeserializer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMDeserializer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDeserializer\nC++: vtkSMDeserializer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMDeserializer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDeserializer\nC++: vtkSMDeserializer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSession", PyvtkSMDeserializer_GetSession, 1,
   (char*)"V.GetSession() -> vtkSMSession\nC++: vtkSMSession *GetSession()\n\nGet/Set the session.\n"},
  {(char*)"SetSession", PyvtkSMDeserializer_SetSession, 1,
   (char*)"V.SetSession(vtkSMSession)\nC++: virtual void SetSession(vtkSMSession *)\n\nGet/Set the session.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMDeserializer_StaticNew()
{
  return vtkSMDeserializer::New();
}

PyObject *PyVTKClass_vtkSMDeserializerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMDeserializer_StaticNew,
    PyvtkSMDeserializer_Methods,
    "vtkSMDeserializer", modulename,
    NULL, NULL,
    PyvtkSMDeserializer_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMDeserializer_Doc()
{
  static const char *docstring[] = {
    "vtkSMDeserializer - deserializes proxies from their XML states.\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMDeserializer is used to deserialize proxies from their XML\nstates. This is the base class of deserialization classes that load\nXMLs to restore servermanager state (or part thereof).\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMDeserializer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMDeserializerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMDeserializer", o) != 0)
    {
    Py_DECREF(o);
    }

}

