// python wrapper for vtkSMDimensionsDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMDimensionsDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMDimensionsDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMDimensionsDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDimensionsDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDimensionsDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMIntRangeDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMIntRangeDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMIntRangeDomainNew
#endif

static const char **PyvtkSMDimensionsDomain_Doc();


static PyObject *
PyvtkSMDimensionsDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDimensionsDomain *op = static_cast<vtkSMDimensionsDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMDimensionsDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDimensionsDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDimensionsDomain *op = static_cast<vtkSMDimensionsDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMDimensionsDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDimensionsDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDimensionsDomain *op = static_cast<vtkSMDimensionsDomain *>(vp);

  vtkSMDimensionsDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMDimensionsDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMDimensionsDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMDimensionsDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMDimensionsDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDimensionsDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDimensionsDomain *op = static_cast<vtkSMDimensionsDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMDimensionsDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMDimensionsDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMDimensionsDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMDimensionsDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMDimensionsDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDimensionsDomain\nC++: vtkSMDimensionsDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMDimensionsDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMDimensionsDomain\nC++: vtkSMDimensionsDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Update", PyvtkSMDimensionsDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nUpdate the domain using the \"unchecked\" values (if available) for\nall required properties.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMDimensionsDomain_StaticNew()
{
  return vtkSMDimensionsDomain::New();
}

PyObject *PyVTKClass_vtkSMDimensionsDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMDimensionsDomain_StaticNew,
    PyvtkSMDimensionsDomain_Methods,
    "vtkSMDimensionsDomain", modulename,
    NULL, NULL,
    PyvtkSMDimensionsDomain_Doc(),
    PyVTKClass_vtkSMIntRangeDomainNew(modulename));
  return cls;
}

const char **PyvtkSMDimensionsDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMDimensionsDomain - int range domain based on the data dimensions.\n\n",
    "Superclass: vtkSMIntRangeDomain\n\n",
    "vtkSMDimensionsDomain is a subclass of vtkSMIntRangeDomain. It relies\non two required properties: \"Input\", \"Direction\". \"Input\" is\ngenerally an vtkSMInputProperty which provides the information about\nthe data extents. \"Direction\" is an option required property which\nhelps determine the direction (VTK_XY_PLANE, VTK_YZ_PLANE or\nVTK_XZ_PLANE). If \"Direction\" is not provided then the property must\nbe ",
    "a 3 element property while when Direction is provided the property\nmust be a 1 element property.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMDimensionsDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMDimensionsDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMDimensionsDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

