// python wrapper for vtkSMDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMDomain_Doc();


static PyObject *
PyvtkSMDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_IsInDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    tempr = op->IsInDomain(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAnimationValue(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMDomain::SetAnimationValue(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_GetXMLName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLName();
      }
    else
      {
      tempr = op->vtkSMDomain::GetXMLName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_AddRequiredProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddRequiredProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddRequiredProperty(temp0, temp1);
      }
    else
      {
      op->vtkSMDomain::AddRequiredProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMDomain_GetIsOptional(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsOptional");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMDomain *op = static_cast<vtkSMDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsOptional();
      }
    else
      {
      tempr = op->vtkSMDomain::GetIsOptional();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMDomain\nC++: vtkSMDomain *NewInstance()\n\n"},
  {(char*)"IsInDomain", PyvtkSMDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\n\nIs the (unchecked) value of the property in the domain?\nOverwritten by sub-classes.\n"},
  {(char*)"Update", PyvtkSMDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nUpdate self based on the \"unchecked\" values of all required\nproperties. Overwritten by sub-classes.\n"},
  {(char*)"SetAnimationValue", PyvtkSMDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue(vtkSMProperty *, int, double)\n\nSet the value of an element of a property from the animation\neditor.\n"},
  {(char*)"SetDefaultValues", PyvtkSMDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property. Returns 1\nif the domain updated the property. Default implementation does\nnothing.\n"},
  {(char*)"GetXMLName", PyvtkSMDomain_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName()\n\nAssigned by the XML parser. The name assigned in the XML\nconfiguration. Can be used to figure out the origin of the\ndomain.\n"},
  {(char*)"AddRequiredProperty", PyvtkSMDomain_AddRequiredProperty, 1,
   (char*)"V.AddRequiredProperty(vtkSMProperty, string)\nC++: void AddRequiredProperty(vtkSMProperty *prop,\n    const char *function)\n\nAdd a new required property to this domain.\n"},
  {(char*)"GetIsOptional", PyvtkSMDomain_GetIsOptional, 1,
   (char*)"V.GetIsOptional() -> int\nC++: int GetIsOptional()\n\nWhen the IsOptional flag is set, IsInDomain() always returns\ntrue. This is used by properties that use domains to provide\ninformation (a suggestion to the gui for example) as opposed to\nrestrict their values.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSMDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSMDomain_Methods,
    "vtkSMDomain", modulename,
    NULL, NULL,
    PyvtkSMDomain_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMDomain - represents the possible values a property can have\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMDomain is an abstract class that describes the \"domain\" of a a\nwidget. A domain is a collection of possible values a property can\nhave. Each domain can depend on one or more properties to compute\nit's values. This are called \"required\" properties and can be set in\nthe XML configuration file.\n\nSee Also:\n\nvtkSMProxyGroupDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

