// python wrapper for vtkSMExporterProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMExporterProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMExporterProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMExporterProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMExporterProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMExporterProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMExporterProxy_Doc();


static PyObject *
PyvtkSMExporterProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMExporterProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMExporterProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  vtkSMExporterProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMExporterProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_SetView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  vtkSMViewProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMViewProxy"))
    {
    if (ap.IsBound())
      {
      op->SetView(temp0);
      }
    else
      {
      op->vtkSMExporterProxy::SetView(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_GetView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  vtkSMViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetView();
      }
    else
      {
      tempr = op->vtkSMExporterProxy::GetView();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_Write(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    op->Write();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_CanExport(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanExport");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    tempr = op->CanExport(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMExporterProxy_GetFileExtension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileExtension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMExporterProxy *op = static_cast<vtkSMExporterProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileExtension();
      }
    else
      {
      tempr = op->vtkSMExporterProxy::GetFileExtension();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMExporterProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMExporterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMExporterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMExporterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMExporterProxy\nC++: vtkSMExporterProxy *NewInstance()\n\n"},
  {(char*)"SetView", PyvtkSMExporterProxy_SetView, 1,
   (char*)"V.SetView(vtkSMViewProxy)\nC++: void SetView(vtkSMViewProxy *view)\n\nSet the view proxy to export.\n"},
  {(char*)"GetView", PyvtkSMExporterProxy_GetView, 1,
   (char*)"V.GetView() -> vtkSMViewProxy\nC++: vtkSMViewProxy *GetView()\n\nSet the view proxy to export.\n"},
  {(char*)"Write", PyvtkSMExporterProxy_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write()\n\nExports the view.\n"},
  {(char*)"CanExport", PyvtkSMExporterProxy_CanExport, 1,
   (char*)"V.CanExport(vtkSMProxy) -> bool\nC++: virtual bool CanExport(vtkSMProxy *)\n\nReturns if the view can be exported. Default implementation\nreturn true if the view is a render view.\n"},
  {(char*)"GetFileExtension", PyvtkSMExporterProxy_GetFileExtension, 1,
   (char*)"V.GetFileExtension() -> string\nC++: char *GetFileExtension()\n\nReturns the suggested file extension for this exporter.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSMExporterProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSMExporterProxy_Methods,
    "vtkSMExporterProxy", modulename,
    NULL, NULL,
    PyvtkSMExporterProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMExporterProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMExporterProxy - proxy for view exporters.\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMExporterProxy is a proxy for vtkExporter subclasses. It makes it\npossible to export render views using these exporters.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMExporterProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMExporterProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMExporterProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

