// python wrapper for vtkSMGlobalPropertiesManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMGlobalPropertiesManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMGlobalPropertiesManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMGlobalPropertiesManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMGlobalPropertiesManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMGlobalPropertiesManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMGlobalPropertiesManager_Doc();


static PyObject *
PyvtkSMGlobalPropertiesManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  vtkSMGlobalPropertiesManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMGlobalPropertiesManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMGlobalPropertiesManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_InitializeProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializeProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->InitializeProperties(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::InitializeProperties(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_GetGlobalPropertyName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobalPropertyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlobalPropertyName(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::GetGlobalPropertyName(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_SetGlobalPropertyLink(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlobalPropertyLink");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  char *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetGlobalPropertyLink(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMGlobalPropertiesManager::SetGlobalPropertyLink(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_RemoveGlobalPropertyLink(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveGlobalPropertyLink");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  char *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->RemoveGlobalPropertyLink(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMGlobalPropertiesManager::RemoveGlobalPropertyLink(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_SaveLinkState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveLinkState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveLinkState(temp0);
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::SaveLinkState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMGlobalPropertiesManager_LoadLinkState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadLinkState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMGlobalPropertiesManager *op = static_cast<vtkSMGlobalPropertiesManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMProxyLocator *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      ap.GetVTKObject(temp1, "vtkSMProxyLocator"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadLinkState(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMGlobalPropertiesManager::LoadLinkState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMGlobalPropertiesManager_Methods[] = {
  {(char*)"GetClassName", PyvtkSMGlobalPropertiesManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMGlobalPropertiesManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMGlobalPropertiesManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMGlobalPropertiesManager\nC++: vtkSMGlobalPropertiesManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMGlobalPropertiesManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMGlobalPropertiesManager\nC++: vtkSMGlobalPropertiesManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"InitializeProperties", PyvtkSMGlobalPropertiesManager_InitializeProperties, 1,
   (char*)"V.InitializeProperties(string, string) -> bool\nC++: bool InitializeProperties(const char *xmlgroup,\n    const char *xmlname)\n\nInitialize the manager using the xml definition.\n"},
  {(char*)"GetGlobalPropertyName", PyvtkSMGlobalPropertiesManager_GetGlobalPropertyName, 1,
   (char*)"V.GetGlobalPropertyName(vtkSMProxy, string) -> string\nC++: const char *GetGlobalPropertyName(vtkSMProxy *proxy,\n    const char *propname)\n\nReturns the name of the global property with which the given\nproperty is linked. NULL is returned if the property is not\nlinked with any global properties.\n"},
  {(char*)"SetGlobalPropertyLink", PyvtkSMGlobalPropertiesManager_SetGlobalPropertyLink, 1,
   (char*)"V.SetGlobalPropertyLink(string, vtkSMProxy, string)\nC++: void SetGlobalPropertyLink(const char *globalPropertyName,\n    vtkSMProxy *, const char *propname)\n\nSets up a link between the global property and the property if\nnone already exists. If the property is already linked with some\nother global property, then that link is broken, since a property\ncan be linked to only one global property at a time.\n"},
  {(char*)"RemoveGlobalPropertyLink", PyvtkSMGlobalPropertiesManager_RemoveGlobalPropertyLink, 1,
   (char*)"V.RemoveGlobalPropertyLink(string, vtkSMProxy, string)\nC++: void RemoveGlobalPropertyLink(const char *globalPropertyName,\n     vtkSMProxy *, const char *propname)\n\nRemove a link.\n"},
  {(char*)"SaveLinkState", PyvtkSMGlobalPropertiesManager_SaveLinkState, 1,
   (char*)"V.SaveLinkState(vtkPVXMLElement) -> vtkPVXMLElement\nC++: virtual vtkPVXMLElement *SaveLinkState(vtkPVXMLElement *root)\n\nSaves the links state.\n"},
  {(char*)"LoadLinkState", PyvtkSMGlobalPropertiesManager_LoadLinkState, 1,
   (char*)"V.LoadLinkState(vtkPVXMLElement, vtkSMProxyLocator) -> int\nC++: virtual int LoadLinkState(vtkPVXMLElement *element,\n    vtkSMProxyLocator *locator)\n\nLoads the state for the links.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMGlobalPropertiesManager_StaticNew()
{
  return vtkSMGlobalPropertiesManager::New();
}

PyObject *PyVTKClass_vtkSMGlobalPropertiesManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMGlobalPropertiesManager_StaticNew,
    PyvtkSMGlobalPropertiesManager_Methods,
    "vtkSMGlobalPropertiesManager", modulename,
    NULL, NULL,
    PyvtkSMGlobalPropertiesManager_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMGlobalPropertiesManager_Doc()
{
  static const char *docstring[] = {
    "vtkSMGlobalPropertiesManager - manager for application wide\nproperties.\n\n",
    "Superclass: vtkSMProxy\n\n",
    "ParaView has notion of \"global properties\". These are application\nwide properties such as foreground color, text color etc. Changing\nvalues of these properties affects all objects that are linked to\nthese properties. This class provides convenient API to setup/remove\nsuch links.\n\nThis is a vtkSMProxy subclass only so that the global properties can\nbe defined in XML configuration. It should be trea",
    "ted more like a\nmanager than proxy.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMGlobalPropertiesManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMGlobalPropertiesManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMGlobalPropertiesManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

