// python wrapper for vtkSMImplicitPlaneRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMImplicitPlaneRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMImplicitPlaneRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMImplicitPlaneRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMImplicitPlaneRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMImplicitPlaneRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMWidgetRepresentationProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMWidgetRepresentationProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMWidgetRepresentationProxyNew
#endif

static const char **PyvtkSMImplicitPlaneRepresentationProxy_Doc();


static PyObject *
PyvtkSMImplicitPlaneRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMImplicitPlaneRepresentationProxy *op = static_cast<vtkSMImplicitPlaneRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMImplicitPlaneRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMImplicitPlaneRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMImplicitPlaneRepresentationProxy *op = static_cast<vtkSMImplicitPlaneRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMImplicitPlaneRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMImplicitPlaneRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMImplicitPlaneRepresentationProxy *op = static_cast<vtkSMImplicitPlaneRepresentationProxy *>(vp);

  vtkSMImplicitPlaneRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMImplicitPlaneRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMImplicitPlaneRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMImplicitPlaneRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMImplicitPlaneRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMImplicitPlaneRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMImplicitPlaneRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMImplicitPlaneRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMImplicitPlaneRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMImplicitPlaneRepresentationProxy\nC++: vtkSMImplicitPlaneRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMImplicitPlaneRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMImplicitPlaneRepresentationProxy\nC++: vtkSMImplicitPlaneRepresentationProxy *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMImplicitPlaneRepresentationProxy_StaticNew()
{
  return vtkSMImplicitPlaneRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSMImplicitPlaneRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMImplicitPlaneRepresentationProxy_StaticNew,
    PyvtkSMImplicitPlaneRepresentationProxy_Methods,
    "vtkSMImplicitPlaneRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSMImplicitPlaneRepresentationProxy_Doc(),
    PyVTKClass_vtkSMWidgetRepresentationProxyNew(modulename));
  return cls;
}

const char **PyvtkSMImplicitPlaneRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMImplicitPlaneRepresentationProxy - proxy for a implicit plane\nrepresentation\n\n",
    "Superclass: vtkSMWidgetRepresentationProxy\n\n",
    "Specialized proxy for implicit planes. Overrides the default\nappearance of VTK implicit plane representation.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMImplicitPlaneRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMImplicitPlaneRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMImplicitPlaneRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

