// python wrapper for vtkSMInputArrayDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMInputArrayDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMInputArrayDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMInputArrayDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMInputArrayDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMInputArrayDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMInputArrayDomain_Doc();


static PyObject *
PyvtkSMInputArrayDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  vtkSMInputArrayDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMInputArrayDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMInputArrayDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_IsInDomain_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputArrayDomain_IsInDomain_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  int temp1 = 0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::IsInDomain(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMInputArrayDomain_IsInDomain_Methods[] = {
  {NULL, PyvtkSMInputArrayDomain_IsInDomain_s1, 1,
   (char*)"@O *vtkSMProperty"},
  {NULL, PyvtkSMInputArrayDomain_IsInDomain_s2, 1,
   (char*)"@O|i *vtkSMSourceProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMInputArrayDomain_IsInDomain(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMInputArrayDomain_IsInDomain_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMInputArrayDomain_IsInDomain_s2(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsInDomain");
  return NULL;
}



static PyObject *
PyvtkSMInputArrayDomain_IsFieldValid_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsFieldValid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  int temp1;
  vtkPVArrayInformation *temp2 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkPVArrayInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsFieldValid(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::IsFieldValid(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputArrayDomain_IsFieldValid_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsFieldValid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  int temp1;
  vtkPVArrayInformation *temp2 = NULL;
  int temp3;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkPVArrayInformation") &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      tempr = op->IsFieldValid(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::IsFieldValid(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputArrayDomain_IsFieldValid(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMInputArrayDomain_IsFieldValid_s1(self, args);
    case 4:
      return PyvtkSMInputArrayDomain_IsFieldValid_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsFieldValid");
  return NULL;
}



static PyObject *
PyvtkSMInputArrayDomain_SetAttributeType_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  unsigned char temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAttributeType(temp0);
      }
    else
      {
      op->vtkSMInputArrayDomain::SetAttributeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputArrayDomain_SetAttributeType_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAttributeType(temp0);
      }
    else
      {
      op->vtkSMInputArrayDomain::SetAttributeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMInputArrayDomain_SetAttributeType_Methods[] = {
  {NULL, PyvtkSMInputArrayDomain_SetAttributeType_s1, 1,
   (char*)"@b"},
  {NULL, PyvtkSMInputArrayDomain_SetAttributeType_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMInputArrayDomain_SetAttributeType(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMInputArrayDomain_SetAttributeType_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetAttributeType");
  return NULL;
}



static PyObject *
PyvtkSMInputArrayDomain_GetAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  unsigned char tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeType();
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::GetAttributeType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_GetAttributeTypeAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeTypeAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeTypeAsString();
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::GetAttributeTypeAsString();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfComponents(temp0);
      }
    else
      {
      op->vtkSMInputArrayDomain::SetNumberOfComponents(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputArrayDomain *op = static_cast<vtkSMInputArrayDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfComponents();
      }
    else
      {
      tempr = op->vtkSMInputArrayDomain::GetNumberOfComponents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_SetAutomaticPropertyConversion(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetAutomaticPropertyConversion");

  bool temp0 = false;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkSMInputArrayDomain::SetAutomaticPropertyConversion(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_GetAutomaticPropertyConversion(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetAutomaticPropertyConversion");

  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMInputArrayDomain::GetAutomaticPropertyConversion();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputArrayDomain_GetAttributeTypeFromFieldAssociation(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetAttributeTypeFromFieldAssociation");

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkSMInputArrayDomain::GetAttributeTypeFromFieldAssociation(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMInputArrayDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMInputArrayDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMInputArrayDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMInputArrayDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMInputArrayDomain\nC++: vtkSMInputArrayDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMInputArrayDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMInputArrayDomain\nC++: vtkSMInputArrayDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsInDomain", PyvtkSMInputArrayDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\nV.IsInDomain(vtkSMSourceProxy, int) -> int\nC++: int IsInDomain(vtkSMSourceProxy *proxy, int outputport=0)\n\nReturns true if the value of the propery is in the domain. The\npropery has to be a vtkSMProxyProperty which points to a\nvtkSMSourceProxy. The input has to have one or more arrays that\nmatch the requirements.\n"},
  {(char*)"IsFieldValid", PyvtkSMInputArrayDomain_IsFieldValid, 1,
   (char*)"V.IsFieldValid(vtkSMSourceProxy, int, vtkPVArrayInformation)\n    -> int\nC++: int IsFieldValid(vtkSMSourceProxy *proxy, int outputport,\n    vtkPVArrayInformation *arrayInfo)\nV.IsFieldValid(vtkSMSourceProxy, int, vtkPVArrayInformation, int)\n    -> int\nC++: int IsFieldValid(vtkSMSourceProxy *proxy, int outputport,\n    vtkPVArrayInformation *arrayInfo, int bypass)\n\nReturns 1 if the array represented by the array information is a\nvalid field. The attribute type (point or cell) as well as the\nnumber of components are checked for a match\n"},
  {(char*)"SetAttributeType", PyvtkSMInputArrayDomain_SetAttributeType, 1,
   (char*)"V.SetAttributeType(int)\nC++: void SetAttributeType(unsigned char a)\nV.SetAttributeType(string)\nC++: virtual void SetAttributeType(const char *type)\n\nSet/get the attribute type. Valid values are: POINT, CELL, ANY.\nText representations are: point, cell, any.\n"},
  {(char*)"GetAttributeType", PyvtkSMInputArrayDomain_GetAttributeType, 1,
   (char*)"V.GetAttributeType() -> int\nC++: unsigned char GetAttributeType()\n\nSet/get the attribute type. Valid values are: POINT, CELL, ANY.\nText representations are: point, cell, any.\n"},
  {(char*)"GetAttributeTypeAsString", PyvtkSMInputArrayDomain_GetAttributeTypeAsString, 1,
   (char*)"V.GetAttributeTypeAsString() -> string\nC++: const char *GetAttributeTypeAsString()\n\nSet/get the attribute type. Valid values are: POINT, CELL, ANY.\nText representations are: point, cell, any.\n"},
  {(char*)"SetNumberOfComponents", PyvtkSMInputArrayDomain_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents(int a)\n\nSet/get the required number of components. Set to 0 for no check.\n"},
  {(char*)"GetNumberOfComponents", PyvtkSMInputArrayDomain_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents()\n\nSet/get the required number of components. Set to 0 for no check.\n"},
  {(char*)"SetAutomaticPropertyConversion", PyvtkSMInputArrayDomain_SetAutomaticPropertyConversion, 1,
   (char*)"V.SetAutomaticPropertyConversion(bool)\nC++: static void SetAutomaticPropertyConversion(bool)\n\n"},
  {(char*)"GetAutomaticPropertyConversion", PyvtkSMInputArrayDomain_GetAutomaticPropertyConversion, 1,
   (char*)"V.GetAutomaticPropertyConversion() -> bool\nC++: static bool GetAutomaticPropertyConversion()\n\n"},
  {(char*)"GetAttributeTypeFromFieldAssociation", PyvtkSMInputArrayDomain_GetAttributeTypeFromFieldAssociation, 1,
   (char*)"V.GetAttributeTypeFromFieldAssociation(int) -> int\nC++: static int GetAttributeTypeFromFieldAssociation(int)\n\nUse this method to convert a vtkDataSet::FIELD_ASSOCIATION_* to\nAttributeTypes enum.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMInputArrayDomain_StaticNew()
{
  return vtkSMInputArrayDomain::New();
}

PyObject *PyVTKClass_vtkSMInputArrayDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMInputArrayDomain_StaticNew,
    PyvtkSMInputArrayDomain_Methods,
    "vtkSMInputArrayDomain", modulename,
    NULL, NULL,
    PyvtkSMInputArrayDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMInputArrayDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMInputArrayDomain - requires input has array of described type\n\n",
    "Superclass: vtkSMDomain\n\n",
    "vtkSMInputArrayDomain requires that the source proxy pointed by the\nproperty has an output with one or more arrays of specified type.\nCurrent restrictions include whether the array is part of point or\ncell data and whether it has a given number of components. The\nrestriction can be overriden for point and cell properties if the\nglobal post filter conversion is turned on. These attributes are\nspeci",
    "fied in the XML file. Valid XML attributes are:\n * attribute_type - cell or point\n * number_of_components\n  The attribute type can also be (optionally) obtained from a\nrequired property FieldDataSelection which has a value of\nvtkDataSet::POINT_DATA_FIELD or  vtkDataSet::CELL_DATA_FIELD.\n\nSee Also:\n\nvtkSMDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMInputArrayDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMInputArrayDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMInputArrayDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

