// python wrapper for vtkSMInputProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMInputProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMInputProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMInputProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMInputPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMInputPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyPropertyNew
#endif

static const char **PyvtkSMInputProperty_Doc();


static PyObject *
PyvtkSMInputProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMInputProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMInputProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMInputProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMInputProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMInputProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMInputProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_SetMultipleInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMultipleInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMultipleInput(temp0);
      }
    else
      {
      op->vtkSMInputProperty::SetMultipleInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_GetMultipleInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMultipleInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMultipleInput();
      }
    else
      {
      tempr = op->vtkSMInputProperty::GetMultipleInput();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_AddInputConnection_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  unsigned int temp1;
  int temp2;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->AddInputConnection(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMInputProperty::AddInputConnection(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputProperty_AddInputConnection_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  unsigned int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->AddInputConnection(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMInputProperty::AddInputConnection(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputProperty_AddInputConnection(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMInputProperty_AddInputConnection_s1(self, args);
    case 2:
      return PyvtkSMInputProperty_AddInputConnection_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "AddInputConnection");
  return NULL;
}



static PyObject *
PyvtkSMInputProperty_SetInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *temp1 = NULL;
  unsigned int temp2;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->SetInputConnection(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMInputProperty::SetInputConnection(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_AddUncheckedInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddUncheckedInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  unsigned int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddUncheckedInputConnection(temp0, temp1);
      }
    else
      {
      op->vtkSMInputProperty::AddUncheckedInputConnection(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_SetUncheckedInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUncheckedInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *temp1 = NULL;
  unsigned int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetUncheckedInputConnection(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMInputProperty::SetUncheckedInputConnection(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_RemoveProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->RemoveProxy(temp0);
      }
    else
      {
      op->vtkSMInputProperty::RemoveProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputProperty_RemoveProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMInputProperty::RemoveProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMInputProperty_RemoveProxy(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMInputProperty_RemoveProxy_s1(self, args);
    case 2:
      return PyvtkSMInputProperty_RemoveProxy_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "RemoveProxy");
  return NULL;
}



static PyObject *
PyvtkSMInputProperty_RemoveUncheckedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveUncheckedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveUncheckedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMInputProperty::RemoveUncheckedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_RemoveAllUncheckedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllUncheckedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllUncheckedProxies();
      }
    else
      {
      op->vtkSMInputProperty::RemoveAllUncheckedProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_RemoveAllProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllProxies();
      }
    else
      {
      op->vtkSMInputProperty::RemoveAllProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_SetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfProxies(temp0);
      }
    else
      {
      op->vtkSMInputProperty::SetNumberOfProxies(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_GetOutputPortForConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortForConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  unsigned int temp0;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortForConnection(temp0);
      }
    else
      {
      tempr = op->vtkSMInputProperty::GetOutputPortForConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_GetUncheckedOutputPortForConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUncheckedOutputPortForConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  unsigned int temp0;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUncheckedOutputPortForConnection(temp0);
      }
    else
      {
      tempr = op->vtkSMInputProperty::GetUncheckedOutputPortForConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_SetPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPortIndex(temp0);
      }
    else
      {
      op->vtkSMInputProperty::SetPortIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_GetPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPortIndex();
      }
    else
      {
      tempr = op->vtkSMInputProperty::GetPortIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_Copy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0);
      }
    else
      {
      op->vtkSMInputProperty::Copy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMInputProperty_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMInputProperty *op = static_cast<vtkSMInputProperty *>(vp);

  vtkSMProperty *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMInputProperty::DeepCopy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMInputProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSMInputProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMInputProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMInputProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMInputProperty\nC++: vtkSMInputProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMInputProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMInputProperty\nC++: vtkSMInputProperty *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMultipleInput", PyvtkSMInputProperty_SetMultipleInput, 1,
   (char*)"V.SetMultipleInput(int)\nC++: void SetMultipleInput(int a)\n\nShould be set to true if the \"input port\" this property\nrepresents can accept multiple inputs (for example, an append\nfilter)\n"},
  {(char*)"GetMultipleInput", PyvtkSMInputProperty_GetMultipleInput, 1,
   (char*)"V.GetMultipleInput() -> int\nC++: int GetMultipleInput()\n\nShould be set to true if the \"input port\" this property\nrepresents can accept multiple inputs (for example, an append\nfilter)\n"},
  {(char*)"AddInputConnection", PyvtkSMInputProperty_AddInputConnection, 1,
   (char*)"V.AddInputConnection(vtkSMProxy, int, int) -> int\nC++: int AddInputConnection(vtkSMProxy *proxy,\n    unsigned int outputPort, int modify)\nV.AddInputConnection(vtkSMProxy, int) -> int\nC++: int AddInputConnection(vtkSMProxy *proxy,\n    unsigned int outputPort)\n\nAdd a proxy to the list of input proxies. The outputPort controls\nwhich outputPort will be used in connecting the pipeline. The\nproxy is added with corresponding Add and Set methods and can be\nremoved with RemoveXXX() methods as usual.\n"},
  {(char*)"SetInputConnection", PyvtkSMInputProperty_SetInputConnection, 1,
   (char*)"V.SetInputConnection(int, vtkSMProxy, int) -> int\nC++: int SetInputConnection(unsigned int idx, vtkSMProxy *proxy,\n    unsigned int inputPort)\n\nAdd a proxy to the list of input proxies. The outputPort controls\nwhich outputPort will be used in connecting the pipeline. The\nproxy is added with corresponding Add and Set methods and can be\nremoved with RemoveXXX() methods as usual.\n"},
  {(char*)"AddUncheckedInputConnection", PyvtkSMInputProperty_AddUncheckedInputConnection, 1,
   (char*)"V.AddUncheckedInputConnection(vtkSMProxy, int)\nC++: void AddUncheckedInputConnection(vtkSMProxy *proxy,\n    unsigned int outputPort)\n\nAdd a proxy to the list of input proxies. The outputPort controls\nwhich outputPort will be used in connecting the pipeline. The\nproxy is added with corresponding Add and Set methods and can be\nremoved with RemoveXXX() methods as usual.\n"},
  {(char*)"SetUncheckedInputConnection", PyvtkSMInputProperty_SetUncheckedInputConnection, 1,
   (char*)"V.SetUncheckedInputConnection(int, vtkSMProxy, int)\nC++: void SetUncheckedInputConnection(unsigned int idx,\n    vtkSMProxy *proxy, unsigned int inputPort)\n\nAdd a proxy to the list of input proxies. The outputPort controls\nwhich outputPort will be used in connecting the pipeline. The\nproxy is added with corresponding Add and Set methods and can be\nremoved with RemoveXXX() methods as usual.\n"},
  {(char*)"RemoveProxy", PyvtkSMInputProperty_RemoveProxy, 1,
   (char*)"V.RemoveProxy(vtkSMProxy)\nC++: virtual void RemoveProxy(vtkSMProxy *proxy)\nV.RemoveProxy(vtkSMProxy, int) -> int\nC++: virtual unsigned int RemoveProxy(vtkSMProxy *proxy,\n    int modify)\n\nOverridden from superclass to also remove port. See superclass\nfor documentation.\n"},
  {(char*)"RemoveUncheckedProxy", PyvtkSMInputProperty_RemoveUncheckedProxy, 1,
   (char*)"V.RemoveUncheckedProxy(vtkSMProxy) -> int\nC++: virtual unsigned int RemoveUncheckedProxy(vtkSMProxy *proxy)\n\nOverridden from superclass to also remove port. See superclass\nfor documentation.\n"},
  {(char*)"RemoveAllUncheckedProxies", PyvtkSMInputProperty_RemoveAllUncheckedProxies, 1,
   (char*)"V.RemoveAllUncheckedProxies()\nC++: virtual void RemoveAllUncheckedProxies()\n\nOverridden from superclass to also remove port. See superclass\nfor documentation.\n"},
  {(char*)"RemoveAllProxies", PyvtkSMInputProperty_RemoveAllProxies, 1,
   (char*)"V.RemoveAllProxies()\nC++: virtual void RemoveAllProxies()\n\nOverridden from superclass to also remove port. See superclass\nfor documentation.\n"},
  {(char*)"SetNumberOfProxies", PyvtkSMInputProperty_SetNumberOfProxies, 1,
   (char*)"V.SetNumberOfProxies(int)\nC++: virtual void SetNumberOfProxies(unsigned int num)\n\nSets the number of proxies. If the new number is greater than the\ncurrent number of proxies, then NULL will be inserted.\n"},
  {(char*)"GetOutputPortForConnection", PyvtkSMInputProperty_GetOutputPortForConnection, 1,
   (char*)"V.GetOutputPortForConnection(int) -> int\nC++: unsigned int GetOutputPortForConnection(unsigned int idx)\n\nGiven an index for a connection (proxy), returns which output\nport is used to connect the pipeline.\n"},
  {(char*)"GetUncheckedOutputPortForConnection", PyvtkSMInputProperty_GetUncheckedOutputPortForConnection, 1,
   (char*)"V.GetUncheckedOutputPortForConnection(int) -> int\nC++: unsigned int GetUncheckedOutputPortForConnection(\n    unsigned int idx)\n\nGiven an index for a connection (proxy), returns which output\nport is used to connect the pipeline.\n"},
  {(char*)"SetPortIndex", PyvtkSMInputProperty_SetPortIndex, 1,
   (char*)"V.SetPortIndex(int)\nC++: void SetPortIndex(int a)\n\nControls which input port this property uses when making\nconnections. By default, this is 0.\n"},
  {(char*)"GetPortIndex", PyvtkSMInputProperty_GetPortIndex, 1,
   (char*)"V.GetPortIndex() -> int\nC++: int GetPortIndex()\n\nControls which input port this property uses when making\nconnections. By default, this is 0.\n"},
  {(char*)"Copy", PyvtkSMInputProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy(vtkSMProperty *src)\n\nCopy all property values.\n"},
  {(char*)"DeepCopy", PyvtkSMInputProperty_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSMProperty, string, int)\nC++: virtual void DeepCopy(vtkSMProperty *src,\n    const char *exceptionClass, int proxyPropertyCopyFlag)\n\nCopy all proxies added to the src over to this by creating new\ninstances for the proxies and inturn calling Copy to copy the\nproxies. exceptionClass and proxyPropertyCopyFlag are used while\ncopying over the values from the two proxy properties.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMInputProperty_StaticNew()
{
  return vtkSMInputProperty::New();
}

PyObject *PyVTKClass_vtkSMInputPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMInputProperty_StaticNew,
    PyvtkSMInputProperty_Methods,
    "vtkSMInputProperty", modulename,
    NULL, NULL,
    PyvtkSMInputProperty_Doc(),
    PyVTKClass_vtkSMProxyPropertyNew(modulename));
  return cls;
}

const char **PyvtkSMInputProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSMInputProperty - proxy representing inputs to a filter\n\n",
    "Superclass: vtkSMProxyProperty\n\n",
    "vtkSMInputProperty is a concrete sub-class of vtkSMProperty\nrepresenting inputs to a filter (through vtkSMProxy). It is a special\nproperty that always calls AddInput on a vtkSMSourceProxy. The xml\nconfiguration for input proxy supports the following attributes:\nmultiple_input: For an input port that connects multiple connections\nsuch as the input of an append filter. port_index: The input port to\n",
    "be used.\n\nSee Also:\n\nvtkSMInputProperty vtkSMSourceProxy\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMInputProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMInputPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMInputProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

