// python wrapper for vtkSMIntRangeDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMIntRangeDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMIntRangeDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMIntRangeDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMIntRangeDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMIntRangeDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMIntRangeDomain_Doc();


static PyObject *
PyvtkSMIntRangeDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  vtkSMIntRangeDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMIntRangeDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMIntRangeDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_IsInDomain_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_IsInDomain_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::IsInDomain(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_IsInDomain(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMIntRangeDomain_IsInDomain_s1(self, args);
    case 2:
      return PyvtkSMIntRangeDomain_IsInDomain_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsInDomain");
  return NULL;
}



static PyObject *
PyvtkSMIntRangeDomain_GetMinimum_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimum(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMinimum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(1, temp1);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetMinimum_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimum(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMinimum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetMinimum(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMIntRangeDomain_GetMinimum_s1(self, args);
    case 1:
      return PyvtkSMIntRangeDomain_GetMinimum_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetMinimum");
  return NULL;
}



static PyObject *
PyvtkSMIntRangeDomain_GetMaximum_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximum(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMaximum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(1, temp1);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetMaximum_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximum(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMaximum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetMaximum(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMIntRangeDomain_GetMaximum_s1(self, args);
    case 1:
      return PyvtkSMIntRangeDomain_GetMaximum_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetMaximum");
  return NULL;
}



static PyObject *
PyvtkSMIntRangeDomain_GetMinimumExists(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimumExists");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimumExists(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMinimumExists(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_GetMaximumExists(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumExists");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumExists(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetMaximumExists(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_GetResolution_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetResolution(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetResolution(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(1, temp1);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetResolution_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetResolution(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetResolution(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMIntRangeDomain_GetResolution(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMIntRangeDomain_GetResolution_s1(self, args);
    case 1:
      return PyvtkSMIntRangeDomain_GetResolution_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetResolution");
  return NULL;
}



static PyObject *
PyvtkSMIntRangeDomain_GetResolutionExists(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResolutionExists");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetResolutionExists(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetResolutionExists(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_AddMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddMinimum(temp0, temp1);
      }
    else
      {
      op->vtkSMIntRangeDomain::AddMinimum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveMinimum(temp0);
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveMinimum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveAllMinima(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllMinima");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllMinima();
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveAllMinima();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_AddMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddMaximum(temp0, temp1);
      }
    else
      {
      op->vtkSMIntRangeDomain::AddMaximum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveMaximum(temp0);
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveMaximum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveAllMaxima(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllMaxima");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllMaxima();
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveAllMaxima();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_AddResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddResolution(temp0, temp1);
      }
    else
      {
      op->vtkSMIntRangeDomain::AddResolution(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveResolution(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveResolution");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveResolution(temp0);
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveResolution(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_RemoveAllResolutions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllResolutions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllResolutions();
      }
    else
      {
      op->vtkSMIntRangeDomain::RemoveAllResolutions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_GetNumberOfEntries(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfEntries");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfEntries();
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::GetNumberOfEntries();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMIntRangeDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAnimationValue(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMIntRangeDomain::SetAnimationValue(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMIntRangeDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMIntRangeDomain *op = static_cast<vtkSMIntRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMIntRangeDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMIntRangeDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMIntRangeDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMIntRangeDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMIntRangeDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMIntRangeDomain\nC++: vtkSMIntRangeDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMIntRangeDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMIntRangeDomain\nC++: vtkSMIntRangeDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsInDomain", PyvtkSMIntRangeDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\nV.IsInDomain(int, int) -> int\nC++: int IsInDomain(unsigned int idx, int val)\n\nReturns true if the value of the propery is in the domain. The\npropery has to be a vtkSMIntVectorProperty. If all vector values\nare in the domain, it returns 1. It returns 0 otherwise. A value\nis in the domain if it is between (min, max)\n"},
  {(char*)"GetMinimum", PyvtkSMIntRangeDomain_GetMinimum, 1,
   (char*)"V.GetMinimum(int, int) -> int\nC++: int GetMinimum(unsigned int idx, int &exists)\nV.GetMinimum(int) -> int\nC++: int GetMinimum(unsigned int idx)\n\nReturn a min. value if it exists. If the min. exists exists is\nset to 1. Otherwise, it is set to 0. An unspecified min. is\nequivalent to -inf\n"},
  {(char*)"GetMaximum", PyvtkSMIntRangeDomain_GetMaximum, 1,
   (char*)"V.GetMaximum(int, int) -> int\nC++: int GetMaximum(unsigned int idx, int &exists)\nV.GetMaximum(int) -> int\nC++: int GetMaximum(unsigned int idx)\n\nReturn a max. value if it exists. If the min. exists exists is\nset to 1. Otherwise, it is set to 0. An unspecified max. is\nequivalent to inf\n"},
  {(char*)"GetMinimumExists", PyvtkSMIntRangeDomain_GetMinimumExists, 1,
   (char*)"V.GetMinimumExists(int) -> int\nC++: int GetMinimumExists(unsigned int idx)\n\nReturns if minimum/maximum bound is set for the domain.\n"},
  {(char*)"GetMaximumExists", PyvtkSMIntRangeDomain_GetMaximumExists, 1,
   (char*)"V.GetMaximumExists(int) -> int\nC++: int GetMaximumExists(unsigned int idx)\n\nReturns if minimum/maximum bound is set for the domain.\n"},
  {(char*)"GetResolution", PyvtkSMIntRangeDomain_GetResolution, 1,
   (char*)"V.GetResolution(int, int) -> int\nC++: int GetResolution(unsigned int idx, int &exists)\nV.GetResolution(int) -> int\nC++: int GetResolution(unsigned int idx)\n\nReturn a resolution. value if it exists. If the resolution.\nexists exists is set to 1. Otherwise, it is set to 0. An\nunspecified max. is equivalent to 1\n"},
  {(char*)"GetResolutionExists", PyvtkSMIntRangeDomain_GetResolutionExists, 1,
   (char*)"V.GetResolutionExists(int) -> int\nC++: int GetResolutionExists(unsigned int idx)\n\nReturns is the relution value is set for the given index.\n"},
  {(char*)"AddMinimum", PyvtkSMIntRangeDomain_AddMinimum, 1,
   (char*)"V.AddMinimum(int, int)\nC++: void AddMinimum(unsigned int idx, int value)\n\nSet a min. of a given index.\n"},
  {(char*)"RemoveMinimum", PyvtkSMIntRangeDomain_RemoveMinimum, 1,
   (char*)"V.RemoveMinimum(int)\nC++: void RemoveMinimum(unsigned int idx)\n\nRemove a min. of a given index. An unspecified min. is equivalent\nto -inf\n"},
  {(char*)"RemoveAllMinima", PyvtkSMIntRangeDomain_RemoveAllMinima, 1,
   (char*)"V.RemoveAllMinima()\nC++: void RemoveAllMinima()\n\nClear all minimum values.\n"},
  {(char*)"AddMaximum", PyvtkSMIntRangeDomain_AddMaximum, 1,
   (char*)"V.AddMaximum(int, int)\nC++: void AddMaximum(unsigned int idx, int value)\n\nSet a max. of a given index.\n"},
  {(char*)"RemoveMaximum", PyvtkSMIntRangeDomain_RemoveMaximum, 1,
   (char*)"V.RemoveMaximum(int)\nC++: void RemoveMaximum(unsigned int idx)\n\nRemove a max. of a given index. An unspecified min. is equivalent\nto inf\n"},
  {(char*)"RemoveAllMaxima", PyvtkSMIntRangeDomain_RemoveAllMaxima, 1,
   (char*)"V.RemoveAllMaxima()\nC++: void RemoveAllMaxima()\n\nClear all maximum values.\n"},
  {(char*)"AddResolution", PyvtkSMIntRangeDomain_AddResolution, 1,
   (char*)"V.AddResolution(int, int)\nC++: void AddResolution(unsigned int idx, int value)\n\nSet a resolution. of a given index.\n"},
  {(char*)"RemoveResolution", PyvtkSMIntRangeDomain_RemoveResolution, 1,
   (char*)"V.RemoveResolution(int)\nC++: void RemoveResolution(unsigned int idx)\n\nRemove a resolution. of a given index. An unspecified resolution.\nis equivalent to 1\n"},
  {(char*)"RemoveAllResolutions", PyvtkSMIntRangeDomain_RemoveAllResolutions, 1,
   (char*)"V.RemoveAllResolutions()\nC++: void RemoveAllResolutions()\n\nClear all resolution values.\n"},
  {(char*)"GetNumberOfEntries", PyvtkSMIntRangeDomain_GetNumberOfEntries, 1,
   (char*)"V.GetNumberOfEntries() -> int\nC++: unsigned int GetNumberOfEntries()\n\nReturns the number of entries in the internal maxima/minima list.\nNo maxima/minima exists beyond this index. Maxima/minima below\nthis number may or may not exist.\n"},
  {(char*)"Update", PyvtkSMIntRangeDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nUpdate self checking the \"unchecked\" values of all required\nproperties. Overwritten by sub-classes.\n"},
  {(char*)"SetAnimationValue", PyvtkSMIntRangeDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue(vtkSMProperty *property,\n    int idx, double value)\n\nSet the value of an element of a property from the animation\neditor.\n"},
  {(char*)"SetDefaultValues", PyvtkSMIntRangeDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property. Returns 1\nif the domain updated the property.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMIntRangeDomain_StaticNew()
{
  return vtkSMIntRangeDomain::New();
}

PyObject *PyVTKClass_vtkSMIntRangeDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMIntRangeDomain_StaticNew,
    PyvtkSMIntRangeDomain_Methods,
    "vtkSMIntRangeDomain", modulename,
    NULL, NULL,
    PyvtkSMIntRangeDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMIntRangeDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMIntRangeDomain - int interval specified by min and max\n\n",
    "Superclass: vtkSMDomain\n\n",
    "vtkSMIntRangeDomain represents an interger interval specified using a\nmin and a max value. Valid XML attributes are:\n * min \n * max\n  Both min and max attributes can have one or more space space\nseparated (int) arguments. Optionally, a Required Property may be\nspecified (which typically is a information property) which can be\nused to obtain the range for the values as follows:\n <IntRangeDomain ...",
    ">\n    <RequiredProperties>\n      <Property name=\"<InfoPropName>\" function=\"RangeInfo\" />\n    </RequiredProperties>\n </IntRangeDomain>\n \n\nSee Also:\n\nvtkSMDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMIntRangeDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMIntRangeDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMIntRangeDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

