// python wrapper for vtkSMLink
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMLink.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMLink(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMLink(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMLinkNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMLinkNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMLink_Doc();


static PyObject *
PyvtkSMLink_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMLink::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMLink::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  vtkSMLink *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMLink::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_SetPropagateUpdateVTKObjects(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPropagateUpdateVTKObjects");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPropagateUpdateVTKObjects(temp0);
      }
    else
      {
      op->vtkSMLink::SetPropagateUpdateVTKObjects(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_GetPropagateUpdateVTKObjects(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropagateUpdateVTKObjects");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPropagateUpdateVTKObjects();
      }
    else
      {
      tempr = op->vtkSMLink::GetPropagateUpdateVTKObjects();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_PropagateUpdateVTKObjectsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PropagateUpdateVTKObjectsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PropagateUpdateVTKObjectsOn();
      }
    else
      {
      op->vtkSMLink::PropagateUpdateVTKObjectsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_PropagateUpdateVTKObjectsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PropagateUpdateVTKObjectsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PropagateUpdateVTKObjectsOff();
      }
    else
      {
      op->vtkSMLink::PropagateUpdateVTKObjectsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_SetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnabled(temp0);
      }
    else
      {
      op->vtkSMLink::SetEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_GetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEnabled();
      }
    else
      {
      tempr = op->vtkSMLink::GetEnabled();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMLink_RemoveAllLinks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllLinks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMLink *op = static_cast<vtkSMLink *>(vp);

  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    op->RemoveAllLinks();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMLink_Methods[] = {
  {(char*)"GetClassName", PyvtkSMLink_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMLink_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMLink_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMLink\nC++: vtkSMLink *NewInstance()\n\n"},
  {(char*)"SetPropagateUpdateVTKObjects", PyvtkSMLink_SetPropagateUpdateVTKObjects, 1,
   (char*)"V.SetPropagateUpdateVTKObjects(int)\nC++: void SetPropagateUpdateVTKObjects(int a)\n\nThis flag determins if UpdateVTKObjects calls are to be\npropagated. Set to 1 by default.\n"},
  {(char*)"GetPropagateUpdateVTKObjects", PyvtkSMLink_GetPropagateUpdateVTKObjects, 1,
   (char*)"V.GetPropagateUpdateVTKObjects() -> int\nC++: int GetPropagateUpdateVTKObjects()\n\nThis flag determins if UpdateVTKObjects calls are to be\npropagated. Set to 1 by default.\n"},
  {(char*)"PropagateUpdateVTKObjectsOn", PyvtkSMLink_PropagateUpdateVTKObjectsOn, 1,
   (char*)"V.PropagateUpdateVTKObjectsOn()\nC++: void PropagateUpdateVTKObjectsOn()\n\nThis flag determins if UpdateVTKObjects calls are to be\npropagated. Set to 1 by default.\n"},
  {(char*)"PropagateUpdateVTKObjectsOff", PyvtkSMLink_PropagateUpdateVTKObjectsOff, 1,
   (char*)"V.PropagateUpdateVTKObjectsOff()\nC++: void PropagateUpdateVTKObjectsOff()\n\nThis flag determins if UpdateVTKObjects calls are to be\npropagated. Set to 1 by default.\n"},
  {(char*)"SetEnabled", PyvtkSMLink_SetEnabled, 1,
   (char*)"V.SetEnabled(bool)\nC++: void SetEnabled(bool a)\n\nGet/Set if the link is enabled. (true by default).\n"},
  {(char*)"GetEnabled", PyvtkSMLink_GetEnabled, 1,
   (char*)"V.GetEnabled() -> bool\nC++: bool GetEnabled()\n\nGet/Set if the link is enabled. (true by default).\n"},
  {(char*)"RemoveAllLinks", PyvtkSMLink_RemoveAllLinks, 1,
   (char*)"V.RemoveAllLinks()\nC++: virtual void RemoveAllLinks()\n\nRemove all links.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSMLinkNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSMLink_Methods,
    "vtkSMLink", modulename,
    NULL, NULL,
    PyvtkSMLink_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMLink_Doc()
{
  static const char *docstring[] = {
    "vtkSMLink - Abstract base class for proxy/property links.\n\n",
    "Superclass: vtkSMObject\n\n",
    "Abstract base class for proxy/property links. Links provide a means\nto connect two properies(or proxies) together, thus when on is\nupdated, the dependent is also updated accordingly.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMLink(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMLinkNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMLink", o) != 0)
    {
    Py_DECREF(o);
    }

}

