// python wrapper for vtkSMNumberOfGroupsDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMNumberOfGroupsDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMNumberOfGroupsDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMNumberOfGroupsDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMNumberOfGroupsDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMNumberOfGroupsDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMIntRangeDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMIntRangeDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMIntRangeDomainNew
#endif

static const char **PyvtkSMNumberOfGroupsDomain_Doc();


static PyObject *
PyvtkSMNumberOfGroupsDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  vtkSMNumberOfGroupsDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMNumberOfGroupsDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMNumberOfGroupsDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_IsInDomain_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMNumberOfGroupsDomain_IsInDomain_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  int temp1 = 0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::IsInDomain(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMNumberOfGroupsDomain_IsInDomain_Methods[] = {
  {NULL, PyvtkSMNumberOfGroupsDomain_IsInDomain_s1, 1,
   (char*)"@O *vtkSMProperty"},
  {NULL, PyvtkSMNumberOfGroupsDomain_IsInDomain_s2, 1,
   (char*)"@O|i *vtkSMSourceProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMNumberOfGroupsDomain_IsInDomain(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMNumberOfGroupsDomain_IsInDomain_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMNumberOfGroupsDomain_IsInDomain_s2(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsInDomain");
  return NULL;
}



static PyObject *
PyvtkSMNumberOfGroupsDomain_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Update(temp0);
      }
    else
      {
      op->vtkSMNumberOfGroupsDomain::Update(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_SetGroupMultiplicity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGroupMultiplicity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  unsigned char temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGroupMultiplicity(temp0);
      }
    else
      {
      op->vtkSMNumberOfGroupsDomain::SetGroupMultiplicity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMNumberOfGroupsDomain_GetGroupMultiplicity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGroupMultiplicity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMNumberOfGroupsDomain *op = static_cast<vtkSMNumberOfGroupsDomain *>(vp);

  unsigned char tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGroupMultiplicity();
      }
    else
      {
      tempr = op->vtkSMNumberOfGroupsDomain::GetGroupMultiplicity();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMNumberOfGroupsDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMNumberOfGroupsDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMNumberOfGroupsDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMNumberOfGroupsDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMNumberOfGroupsDomain\nC++: vtkSMNumberOfGroupsDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMNumberOfGroupsDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMNumberOfGroupsDomain\nC++: vtkSMNumberOfGroupsDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsInDomain", PyvtkSMNumberOfGroupsDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\nV.IsInDomain(vtkSMSourceProxy, int) -> int\nC++: int IsInDomain(vtkSMSourceProxy *proxy, int outputport=0)\n\nReturns true if the value of the propery is in the domain. The\npropery has to be a vtkSMProxyProperty which points to a\nvtkSMSourceProxy. If the number of groups contained by the source\nmatches the criteria set in the domain, returns 1. Returns 0\notherwise.\n"},
  {(char*)"Update", PyvtkSMNumberOfGroupsDomain_Update, 1,
   (char*)"V.Update(vtkSMProperty)\nC++: virtual void Update(vtkSMProperty *)\n\nUpdate self checking the \"unchecked\" values of all required\nproperties. Overwritten by sub-classes.\n"},
  {(char*)"SetGroupMultiplicity", PyvtkSMNumberOfGroupsDomain_SetGroupMultiplicity, 1,
   (char*)"V.SetGroupMultiplicity(int)\nC++: void SetGroupMultiplicity(unsigned char a)\n\nSet/get the group multiplicity. Can be either SINGLE or MULTIPLE.\n"},
  {(char*)"GetGroupMultiplicity", PyvtkSMNumberOfGroupsDomain_GetGroupMultiplicity, 1,
   (char*)"V.GetGroupMultiplicity() -> int\nC++: unsigned char GetGroupMultiplicity()\n\nSet/get the group multiplicity. Can be either SINGLE or MULTIPLE.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMNumberOfGroupsDomain_StaticNew()
{
  return vtkSMNumberOfGroupsDomain::New();
}

PyObject *PyVTKClass_vtkSMNumberOfGroupsDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMNumberOfGroupsDomain_StaticNew,
    PyvtkSMNumberOfGroupsDomain_Methods,
    "vtkSMNumberOfGroupsDomain", modulename,
    NULL, NULL,
    PyvtkSMNumberOfGroupsDomain_Doc(),
    PyVTKClass_vtkSMIntRangeDomainNew(modulename));
  return cls;
}

const char **PyvtkSMNumberOfGroupsDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMNumberOfGroupsDomain - restricts the number of groups of input\n\n",
    "Superclass: vtkSMIntRangeDomain\n\n",
    "vtkSMNumberOfGroupsDomain requires that the source proxy pointed by\nthe property has an output with the specified multiplicity of groups:\nSINGLE or MULTIPLE.  Valid XML attributes are:\n * multiplicity - can be either single or multiple\n \n\nSee Also:\n\nvtkSMDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMNumberOfGroupsDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMNumberOfGroupsDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMNumberOfGroupsDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

