// python wrapper for vtkSMObject
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMObject.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMObject(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMObject(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkSMObject_Doc();


static PyObject *
PyvtkSMObject_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMObject *op = static_cast<vtkSMObject *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMObject::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMObject_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMObject *op = static_cast<vtkSMObject *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMObject::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMObject_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMObject *op = static_cast<vtkSMObject *>(vp);

  vtkSMObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMObject::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMObject_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMObject *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMObject::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMObject_GetProxyManager(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetProxyManager");

  vtkSMProxyManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMObject::GetProxyManager();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMObject_SetProxyManager(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SetProxyManager");

  vtkSMProxyManager *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxyManager"))
    {
    vtkSMObject::SetProxyManager(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMObject_Methods[] = {
  {(char*)"GetClassName", PyvtkSMObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMObject\nC++: vtkSMObject *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMObject\nC++: vtkSMObject *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetProxyManager", PyvtkSMObject_GetProxyManager, 1,
   (char*)"V.GetProxyManager() -> vtkSMProxyManager\nC++: static vtkSMProxyManager *GetProxyManager()\n\nProxy manager singleton stores all proxy groups and instances.\n"},
  {(char*)"SetProxyManager", PyvtkSMObject_SetProxyManager, 1,
   (char*)"V.SetProxyManager(vtkSMProxyManager)\nC++: static void SetProxyManager(vtkSMProxyManager *pm)\n\nProxy manager singleton stores all proxy groups and instances.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMObject_StaticNew()
{
  return vtkSMObject::New();
}

PyObject *PyVTKClass_vtkSMObjectNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMObject_StaticNew,
    PyvtkSMObject_Methods,
    "vtkSMObject", modulename,
    NULL, NULL,
    PyvtkSMObject_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkSMObject_Doc()
{
  static const char *docstring[] = {
    "vtkSMObject - superclass for most server manager classes\n\n",
    "Superclass: vtkObject\n\n",
    "vtkSMObject provides several methods common to most server manager\nclasses. These are mostly for setting and getting singletons\nincluding the communication and process modules and the proxy\nmanager.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMObject(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMObjectNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMObject", o) != 0)
    {
    Py_DECREF(o);
    }

}

