// python wrapper for vtkSMPSWriterProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPSWriterProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPSWriterProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPSWriterProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPSWriterProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPSWriterProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMPWriterProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMPWriterProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMPWriterProxyNew
#endif

static const char **PyvtkSMPSWriterProxy_Doc();


static PyObject *
PyvtkSMPSWriterProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPSWriterProxy *op = static_cast<vtkSMPSWriterProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPSWriterProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPSWriterProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPSWriterProxy *op = static_cast<vtkSMPSWriterProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPSWriterProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPSWriterProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPSWriterProxy *op = static_cast<vtkSMPSWriterProxy *>(vp);

  vtkSMPSWriterProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPSWriterProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPSWriterProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPSWriterProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPSWriterProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPSWriterProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPSWriterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPSWriterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPSWriterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPSWriterProxy\nC++: vtkSMPSWriterProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPSWriterProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPSWriterProxy\nC++: vtkSMPSWriterProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPSWriterProxy_StaticNew()
{
  return vtkSMPSWriterProxy::New();
}

PyObject *PyVTKClass_vtkSMPSWriterProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPSWriterProxy_StaticNew,
    PyvtkSMPSWriterProxy_Methods,
    "vtkSMPSWriterProxy", modulename,
    NULL, NULL,
    PyvtkSMPSWriterProxy_Doc(),
    PyVTKClass_vtkSMPWriterProxyNew(modulename));
  return cls;
}

const char **PyvtkSMPSWriterProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMPSWriterProxy - proxy for the parallel-serial writer.\n\n",
    "Superclass: vtkSMPWriterProxy\n\n",
    "vtkSMPSWriterProxy is the proxy for all vtkParallelSerialWriter\nobjects. It is responsible of setting the internal writer that is\nconfigured as a sub-proxy.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPSWriterProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPSWriterProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPSWriterProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

