// python wrapper for vtkSMPVRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPVRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPVRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPVRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPVRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPVRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMRepresentationProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMRepresentationProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMRepresentationProxyNew
#endif

static const char **PyvtkSMPVRepresentationProxy_Doc();


static PyObject *
PyvtkSMPVRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPVRepresentationProxy *op = static_cast<vtkSMPVRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPVRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPVRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPVRepresentationProxy *op = static_cast<vtkSMPVRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPVRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPVRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPVRepresentationProxy *op = static_cast<vtkSMPVRepresentationProxy *>(vp);

  vtkSMPVRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPVRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPVRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPVRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPVRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPVRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPVRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPVRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPVRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPVRepresentationProxy\nC++: vtkSMPVRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPVRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPVRepresentationProxy\nC++: vtkSMPVRepresentationProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPVRepresentationProxy_StaticNew()
{
  return vtkSMPVRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSMPVRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPVRepresentationProxy_StaticNew,
    PyvtkSMPVRepresentationProxy_Methods,
    "vtkSMPVRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSMPVRepresentationProxy_Doc(),
    PyVTKClass_vtkSMRepresentationProxyNew(modulename));
  return cls;
}

const char **PyvtkSMPVRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMPVRepresentationProxy - a composite representation proxy suitable\n\n",
    "Superclass: vtkSMRepresentationProxy\n\n",
    "vtkSMPVRepresentationProxy combines surface representation and volume\nrepresentation proxies typically used for displaying data. This class\nalso takes over the selection obligations for all the internal\nrepresentations, i.e. is disables showing of selection in all the\ninternal representations, and manages it. This avoids duplicate\nexecution of extract selection filter for each of the internal\nrepr",
    "esentations.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPVRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPVRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPVRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

