// python wrapper for vtkSMParallelCoordinatesRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMParallelCoordinatesRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMParallelCoordinatesRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMParallelCoordinatesRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMParallelCoordinatesRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMParallelCoordinatesRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMChartRepresentationProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMChartRepresentationProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMChartRepresentationProxyNew
#endif

static const char **PyvtkSMParallelCoordinatesRepresentationProxy_Doc();


static PyObject *
PyvtkSMParallelCoordinatesRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMParallelCoordinatesRepresentationProxy *op = static_cast<vtkSMParallelCoordinatesRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMParallelCoordinatesRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMParallelCoordinatesRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMParallelCoordinatesRepresentationProxy *op = static_cast<vtkSMParallelCoordinatesRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMParallelCoordinatesRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMParallelCoordinatesRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMParallelCoordinatesRepresentationProxy *op = static_cast<vtkSMParallelCoordinatesRepresentationProxy *>(vp);

  vtkSMParallelCoordinatesRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMParallelCoordinatesRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMParallelCoordinatesRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMParallelCoordinatesRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMParallelCoordinatesRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMParallelCoordinatesRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMParallelCoordinatesRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMParallelCoordinatesRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMParallelCoordinatesRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMParallelCoordinatesRepresentationProxy\nC++: vtkSMParallelCoordinatesRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMParallelCoordinatesRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkSMParallelCoordinatesRepresentationProxy\nC++: vtkSMParallelCoordinatesRepresentationProxy *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMParallelCoordinatesRepresentationProxy_StaticNew()
{
  return vtkSMParallelCoordinatesRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSMParallelCoordinatesRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMParallelCoordinatesRepresentationProxy_StaticNew,
    PyvtkSMParallelCoordinatesRepresentationProxy_Methods,
    "vtkSMParallelCoordinatesRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSMParallelCoordinatesRepresentationProxy_Doc(),
    PyVTKClass_vtkSMChartRepresentationProxyNew(modulename));
  return cls;
}

const char **PyvtkSMParallelCoordinatesRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMParallelCoordinatesRepresentationProxy\n\n",
    "Superclass: vtkSMChartRepresentationProxy\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMParallelCoordinatesRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMParallelCoordinatesRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMParallelCoordinatesRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

