// python wrapper for vtkSMPluginLoaderProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPluginLoaderProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPluginLoaderProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPluginLoaderProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPluginLoaderProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPluginLoaderProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMPluginLoaderProxy_Doc();


static PyObject *
PyvtkSMPluginLoaderProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginLoaderProxy *op = static_cast<vtkSMPluginLoaderProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPluginLoaderProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginLoaderProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginLoaderProxy *op = static_cast<vtkSMPluginLoaderProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginLoaderProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginLoaderProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginLoaderProxy *op = static_cast<vtkSMPluginLoaderProxy *>(vp);

  vtkSMPluginLoaderProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPluginLoaderProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginLoaderProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPluginLoaderProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPluginLoaderProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginLoaderProxy_LoadPlugin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPlugin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginLoaderProxy *op = static_cast<vtkSMPluginLoaderProxy *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadPlugin(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginLoaderProxy::LoadPlugin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginLoaderProxy_LoadPluginConfigurationXMLFromString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginConfigurationXMLFromString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginLoaderProxy *op = static_cast<vtkSMPluginLoaderProxy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadPluginConfigurationXMLFromString(temp0);
      }
    else
      {
      op->vtkSMPluginLoaderProxy::LoadPluginConfigurationXMLFromString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPluginLoaderProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPluginLoaderProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPluginLoaderProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPluginLoaderProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPluginLoaderProxy\nC++: vtkSMPluginLoaderProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPluginLoaderProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPluginLoaderProxy\nC++: vtkSMPluginLoaderProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LoadPlugin", PyvtkSMPluginLoaderProxy_LoadPlugin, 1,
   (char*)"V.LoadPlugin(string) -> bool\nC++: bool LoadPlugin(const char *filename)\n\nLoads the plugin. Returns true on success else false. To get the\nerror string, call UpdatePropertyInformation() on this proxy and\nthen look at the ErrorString property.\n"},
  {(char*)"LoadPluginConfigurationXMLFromString", PyvtkSMPluginLoaderProxy_LoadPluginConfigurationXMLFromString, 1,
   (char*)"V.LoadPluginConfigurationXMLFromString(string)\nC++: void LoadPluginConfigurationXMLFromString(\n    const char *xmlcontents)\n\nLoads the configuration xml contents. Look at\nvtkPVPluginTracker::LoadPluginConfigurationXMLFromString() to see\nthe details about the configuration xml.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPluginLoaderProxy_StaticNew()
{
  return vtkSMPluginLoaderProxy::New();
}

PyObject *PyVTKClass_vtkSMPluginLoaderProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPluginLoaderProxy_StaticNew,
    PyvtkSMPluginLoaderProxy_Methods,
    "vtkSMPluginLoaderProxy", modulename,
    NULL, NULL,
    PyvtkSMPluginLoaderProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMPluginLoaderProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMPluginLoaderProxy - used to load a plugin remotely.\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMPluginLoaderProxy is used to load a plugin on dataserver and\nrenderserver processes. Simply call\nvtkSMPluginLoaderProxy::LoadPlugin() with the right path to load the\nplugin remotely.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPluginLoaderProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPluginLoaderProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPluginLoaderProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

