// python wrapper for vtkSMPluginManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPluginManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPluginManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPluginManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPluginManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPluginManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMPluginManager_Doc();


static PyObject *
PyvtkSMPluginManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPluginManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  vtkSMPluginManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPluginManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPluginManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPluginManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_SetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  vtkSMSession *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      op->SetSession(temp0);
      }
    else
      {
      op->vtkSMPluginManager::SetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkSMPluginManager::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_GetLocalInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLocalInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  vtkPVPluginsInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLocalInformation();
      }
    else
      {
      tempr = op->vtkSMPluginManager::GetLocalInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_GetRemoteInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRemoteInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  vtkPVPluginsInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRemoteInformation();
      }
    else
      {
      tempr = op->vtkSMPluginManager::GetRemoteInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_GetPluginSearchPaths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPluginSearchPaths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  bool temp0 = false;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPluginSearchPaths(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginManager::GetPluginSearchPaths(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_LoadRemotePlugin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadRemotePlugin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadRemotePlugin(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginManager::LoadRemotePlugin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_LoadLocalPlugin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadLocalPlugin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadLocalPlugin(temp0);
      }
    else
      {
      tempr = op->vtkSMPluginManager::LoadLocalPlugin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPluginManager_LoadPluginConfigurationXMLFromString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadPluginConfigurationXMLFromString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPluginManager *op = static_cast<vtkSMPluginManager *>(vp);

  char *temp0 = NULL;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->LoadPluginConfigurationXMLFromString(temp0, temp1);
      }
    else
      {
      op->vtkSMPluginManager::LoadPluginConfigurationXMLFromString(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPluginManager_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPluginManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPluginManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPluginManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPluginManager\nC++: vtkSMPluginManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPluginManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPluginManager\nC++: vtkSMPluginManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetSession", PyvtkSMPluginManager_SetSession, 1,
   (char*)"V.SetSession(vtkSMSession)\nC++: void SetSession(vtkSMSession *)\n\nSet the session whose plugin state this manager reflects. Note\nthis is not reference counted.\n"},
  {(char*)"Initialize", PyvtkSMPluginManager_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\nInitializes the plugin manager with information about client and\nserver side plugins on the session.\n"},
  {(char*)"GetLocalInformation", PyvtkSMPluginManager_GetLocalInformation, 1,
   (char*)"V.GetLocalInformation() -> vtkPVPluginsInformation\nC++: vtkPVPluginsInformation *GetLocalInformation()\n\nAPI to iterate over local and remote plugin information objects.\n"},
  {(char*)"GetRemoteInformation", PyvtkSMPluginManager_GetRemoteInformation, 1,
   (char*)"V.GetRemoteInformation() -> vtkPVPluginsInformation\nC++: vtkPVPluginsInformation *GetRemoteInformation()\n\nAPI to iterate over local and remote plugin information objects.\n"},
  {(char*)"GetPluginSearchPaths", PyvtkSMPluginManager_GetPluginSearchPaths, 1,
   (char*)"V.GetPluginSearchPaths(bool) -> string\nC++: const char *GetPluginSearchPaths(bool remote)\n\nReturns the plugin search paths used either locally or remotely.\n"},
  {(char*)"LoadRemotePlugin", PyvtkSMPluginManager_LoadRemotePlugin, 1,
   (char*)"V.LoadRemotePlugin(string) -> bool\nC++: bool LoadRemotePlugin(const char *filename)\n\nLoads the plugin either locally or remotely.\n"},
  {(char*)"LoadLocalPlugin", PyvtkSMPluginManager_LoadLocalPlugin, 1,
   (char*)"V.LoadLocalPlugin(string) -> bool\nC++: bool LoadLocalPlugin(const char *filename)\n\nLoads the plugin either locally or remotely.\n"},
  {(char*)"LoadPluginConfigurationXMLFromString", PyvtkSMPluginManager_LoadPluginConfigurationXMLFromString, 1,
   (char*)"V.LoadPluginConfigurationXMLFromString(string, bool)\nC++: void LoadPluginConfigurationXMLFromString(\n    const char *xmlcontents, bool remote)\n\nLoads the plugin configuration xml.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPluginManager_StaticNew()
{
  return vtkSMPluginManager::New();
}

PyObject *PyVTKClass_vtkSMPluginManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPluginManager_StaticNew,
    PyvtkSMPluginManager_Methods,
    "vtkSMPluginManager", modulename,
    NULL, NULL,
    PyvtkSMPluginManager_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(100000);
    if (o && PyDict_SetItemString(d, (char *)"PluginLoadedEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkSMPluginManager_Doc()
{
  static const char *docstring[] = {
    "vtkSMPluginManager\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMPluginManager is used to load plugins as well as discover\ninformation about currently loaded and available plugins.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPluginManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPluginManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPluginManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

