// python wrapper for vtkSMPropertyAdaptor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPropertyAdaptor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPropertyAdaptor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPropertyAdaptor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMPropertyAdaptor_Doc();


static PyObject *
PyvtkSMPropertyAdaptor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  vtkSMPropertyAdaptor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPropertyAdaptor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPropertyAdaptor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SetProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->SetProperty(temp0);
      }
    else
      {
      op->vtkSMPropertyAdaptor::SetProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProperty();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetProperty();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetRangeMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRangeMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRangeMinimum(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetRangeMinimum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetRangeMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRangeMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRangeMaximum(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetRangeMaximum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetNumberOfRangeElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRangeElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfRangeElements();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetNumberOfRangeElements();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetRangeValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRangeValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRangeValue(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetRangeValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SetRangeValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRangeValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  char *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->SetRangeValue(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::SetRangeValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetNumberOfEnumerationElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfEnumerationElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfEnumerationElements();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetNumberOfEnumerationElements();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetEnumerationName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnumerationName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEnumerationName(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetEnumerationName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetEnumerationValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnumerationValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEnumerationValue();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetEnumerationValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SetEnumerationValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnumerationValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->SetEnumerationValue(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::SetEnumerationValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetNumberOfSelectionElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfSelectionElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfSelectionElements();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetNumberOfSelectionElements();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetSelectionName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionName(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetSelectionName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetSelectionValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionValue(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetSelectionValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SetSelectionValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectionValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  char *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->SetSelectionValue(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::SetSelectionValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetSelectionMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionMinimum(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetSelectionMinimum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetSelectionMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionMaximum(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetSelectionMaximum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_InitializePropertyFromInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializePropertyFromInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitializePropertyFromInformation();
      }
    else
      {
      op->vtkSMPropertyAdaptor::InitializePropertyFromInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetPropertyType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropertyType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPropertyType();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetPropertyType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_GetElementType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetElementType();
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::GetElementType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyAdaptor_SetGenericValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGenericValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyAdaptor *op = static_cast<vtkSMPropertyAdaptor *>(vp);

  unsigned int temp0;
  char *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->SetGenericValue(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMPropertyAdaptor::SetGenericValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPropertyAdaptor_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPropertyAdaptor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPropertyAdaptor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPropertyAdaptor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyAdaptor\nC++: vtkSMPropertyAdaptor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPropertyAdaptor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyAdaptor\nC++: vtkSMPropertyAdaptor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetProperty", PyvtkSMPropertyAdaptor_SetProperty, 1,
   (char*)"V.SetProperty(vtkSMProperty)\nC++: void SetProperty(vtkSMProperty *prop)\n\nSet/Get the property to be adapted. The property has to be set\nbefore any other method can be called.\n"},
  {(char*)"GetProperty", PyvtkSMPropertyAdaptor_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetProperty()\n\nSet/Get the property to be adapted. The property has to be set\nbefore any other method can be called.\n"},
  {(char*)"GetRangeMinimum", PyvtkSMPropertyAdaptor_GetRangeMinimum, 1,
   (char*)"V.GetRangeMinimum(int) -> string\nC++: const char *GetRangeMinimum(unsigned int idx)\n\nReturn min and max as string. Returns NULL if min or max is not\nset.\n"},
  {(char*)"GetRangeMaximum", PyvtkSMPropertyAdaptor_GetRangeMaximum, 1,
   (char*)"V.GetRangeMaximum(int) -> string\nC++: const char *GetRangeMaximum(unsigned int idx)\n\nReturn min and max as string. Returns NULL if min or max is not\nset.\n"},
  {(char*)"GetNumberOfRangeElements", PyvtkSMPropertyAdaptor_GetNumberOfRangeElements, 1,
   (char*)"V.GetNumberOfRangeElements() -> int\nC++: unsigned int GetNumberOfRangeElements()\n\nReturns the number of elements.\n"},
  {(char*)"GetRangeValue", PyvtkSMPropertyAdaptor_GetRangeValue, 1,
   (char*)"V.GetRangeValue(int) -> string\nC++: const char *GetRangeValue(unsigned int idx)\n\nReturns the property value.\n"},
  {(char*)"SetRangeValue", PyvtkSMPropertyAdaptor_SetRangeValue, 1,
   (char*)"V.SetRangeValue(int, string) -> int\nC++: int SetRangeValue(unsigned int idx, const char *value)\n\nSets the property value.\n"},
  {(char*)"GetNumberOfEnumerationElements", PyvtkSMPropertyAdaptor_GetNumberOfEnumerationElements, 1,
   (char*)"V.GetNumberOfEnumerationElements() -> int\nC++: unsigned int GetNumberOfEnumerationElements()\n\nReturns the number possible enumeration entries. Note that this\nis different than the number of elements in the property.\n"},
  {(char*)"GetEnumerationName", PyvtkSMPropertyAdaptor_GetEnumerationName, 1,
   (char*)"V.GetEnumerationName(int) -> string\nC++: const char *GetEnumerationName(unsigned int idx)\n\nReturns the string associated with an enumeration entry.\n"},
  {(char*)"GetEnumerationValue", PyvtkSMPropertyAdaptor_GetEnumerationValue, 1,
   (char*)"V.GetEnumerationValue() -> string\nC++: const char *GetEnumerationValue()\n\nReturns the value. Note that this is an int (converted to string)\nthat should be used together with GetEnumerationName.\n"},
  {(char*)"SetEnumerationValue", PyvtkSMPropertyAdaptor_SetEnumerationValue, 1,
   (char*)"V.SetEnumerationValue(string) -> int\nC++: int SetEnumerationValue(const char *idx)\n\nSet the value. Should be an int.\n"},
  {(char*)"GetNumberOfSelectionElements", PyvtkSMPropertyAdaptor_GetNumberOfSelectionElements, 1,
   (char*)"V.GetNumberOfSelectionElements() -> int\nC++: unsigned int GetNumberOfSelectionElements()\n\nReturns the number of elements that can be set/get.\n"},
  {(char*)"GetSelectionName", PyvtkSMPropertyAdaptor_GetSelectionName, 1,
   (char*)"V.GetSelectionName(int) -> string\nC++: const char *GetSelectionName(unsigned int idx)\n\nReturns a string representation for the name of a selection\nelement.\n"},
  {(char*)"GetSelectionValue", PyvtkSMPropertyAdaptor_GetSelectionValue, 1,
   (char*)"V.GetSelectionValue(int) -> string\nC++: const char *GetSelectionValue(unsigned int idx)\n\nReturns the value of an element.\n"},
  {(char*)"SetSelectionValue", PyvtkSMPropertyAdaptor_SetSelectionValue, 1,
   (char*)"V.SetSelectionValue(int, string) -> int\nC++: int SetSelectionValue(unsigned int idx, const char *value)\n\nSet the value.\n"},
  {(char*)"GetSelectionMinimum", PyvtkSMPropertyAdaptor_GetSelectionMinimum, 1,
   (char*)"V.GetSelectionMinimum(int) -> string\nC++: const char *GetSelectionMinimum(unsigned int idx)\n\nReturns the min and max for a selection element. Returns NULL if\nmin or max are not set.\n"},
  {(char*)"GetSelectionMaximum", PyvtkSMPropertyAdaptor_GetSelectionMaximum, 1,
   (char*)"V.GetSelectionMaximum(int) -> string\nC++: const char *GetSelectionMaximum(unsigned int idx)\n\nReturns the min and max for a selection element. Returns NULL if\nmin or max are not set.\n"},
  {(char*)"InitializePropertyFromInformation", PyvtkSMPropertyAdaptor_InitializePropertyFromInformation, 1,
   (char*)"V.InitializePropertyFromInformation()\nC++: void InitializePropertyFromInformation()\n\nInitialize the underlying property from it's information property\nby copying the values of the information property to the propery.\n"},
  {(char*)"GetPropertyType", PyvtkSMPropertyAdaptor_GetPropertyType, 1,
   (char*)"V.GetPropertyType() -> int\nC++: int GetPropertyType()\n\nReturns either ENUMERATION, RANGE, SELECTION, FILE_LIST or\nUNKNOWN.\n"},
  {(char*)"GetElementType", PyvtkSMPropertyAdaptor_GetElementType, 1,
   (char*)"V.GetElementType() -> int\nC++: int GetElementType()\n\nReturns either INT, DOUBLE, STRING, PROXY, BOOLEAN or UNKNOWN\n"},
  {(char*)"SetGenericValue", PyvtkSMPropertyAdaptor_SetGenericValue, 1,
   (char*)"V.SetGenericValue(int, string) -> int\nC++: int SetGenericValue(unsigned int idx, const char *value)\n\nSet the value of the property. Use this if none of the three Set\nmethods above are not appropriate.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPropertyAdaptor_StaticNew()
{
  return vtkSMPropertyAdaptor::New();
}

PyObject *PyVTKClass_vtkSMPropertyAdaptorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPropertyAdaptor_StaticNew,
    PyvtkSMPropertyAdaptor_Methods,
    "vtkSMPropertyAdaptor", modulename,
    NULL, NULL,
    PyvtkSMPropertyAdaptor_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMPropertyAdaptor_Doc()
{
  static const char *docstring[] = {
    "vtkSMPropertyAdaptor - provides string based interface for properties\nand domains\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMPropertyAdaptor provides a general purpose string based\ninterface for properties and domain. This is a helper class that can\nbe used to simplify the management of properties and domains although\nit somehow restricts the capabilities of the server manager. It\nsupports three types of properties:\n 1. Vector properties with range (RANGE)\n 2. Enumaration properties (ENUMERATION or FILE_LIST)\n 3. S",
    "election properties (SELECTION)\n  (1) represent int or double properties that are restricted between\na min and a max. (2) represent properties that can have a value out\nof a list (for example, the representation of a geometry: solid,\nwireframe, points etc.. (3) represent properties that associate a\nvalue with a key (similar to maps). This might be used to set the\nactive state of arrays for example",
    ". Make sure to use the API\nappropriate for the property type. Using the wrong API will produce\nincorrect results.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPropertyAdaptor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPropertyAdaptorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPropertyAdaptor", o) != 0)
    {
    Py_DECREF(o);
    }

}

