// python wrapper for vtkSMPropertyLink
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPropertyLink.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPropertyLink(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPropertyLink(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyLinkNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyLinkNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMLinkNew
extern "C" { PyObject *PyVTKClass_vtkSMLinkNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMLinkNew
#endif

static const char **PyvtkSMPropertyLink_Doc();


static PyObject *
PyvtkSMPropertyLink_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyLink::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  vtkSMPropertyLink *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPropertyLink::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPropertyLink *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPropertyLink::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_AddLinkedProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddLinkedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->AddLinkedProperty(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMPropertyLink::AddLinkedProperty(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMPropertyLink_AddLinkedProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddLinkedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  vtkSMProperty *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddLinkedProperty(temp0, temp1);
      }
    else
      {
      op->vtkSMPropertyLink::AddLinkedProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMPropertyLink_AddLinkedProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMPropertyLink_AddLinkedProperty_s1(self, args);
    case 2:
      return PyvtkSMPropertyLink_AddLinkedProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "AddLinkedProperty");
  return NULL;
}



static PyObject *
PyvtkSMPropertyLink_RemoveLinkedProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveLinkedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->RemoveLinkedProperty(temp0, temp1);
      }
    else
      {
      op->vtkSMPropertyLink::RemoveLinkedProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMPropertyLink_RemoveLinkedProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveLinkedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->RemoveLinkedProperty(temp0);
      }
    else
      {
      op->vtkSMPropertyLink::RemoveLinkedProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMPropertyLink_RemoveLinkedProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMPropertyLink_RemoveLinkedProperty_s1(self, args);
    case 1:
      return PyvtkSMPropertyLink_RemoveLinkedProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "RemoveLinkedProperty");
  return NULL;
}



static PyObject *
PyvtkSMPropertyLink_GetNumberOfLinkedProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLinkedProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLinkedProperties();
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetNumberOfLinkedProperties();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_GetLinkedProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  int temp0;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedProperty(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetLinkedProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_GetLinkedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetLinkedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_GetLinkedPropertyName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedPropertyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedPropertyName(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetLinkedPropertyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_GetLinkedPropertyDirection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedPropertyDirection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedPropertyDirection(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyLink::GetLinkedPropertyDirection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyLink_RemoveAllLinks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllLinks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyLink *op = static_cast<vtkSMPropertyLink *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllLinks();
      }
    else
      {
      op->vtkSMPropertyLink::RemoveAllLinks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPropertyLink_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPropertyLink_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPropertyLink_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPropertyLink_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyLink\nC++: vtkSMPropertyLink *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPropertyLink_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyLink\nC++: vtkSMPropertyLink *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddLinkedProperty", PyvtkSMPropertyLink_AddLinkedProperty, 1,
   (char*)"V.AddLinkedProperty(vtkSMProxy, string, int)\nC++: void AddLinkedProperty(vtkSMProxy *proxy,\n    const char *propertyname, int updateDir)\nV.AddLinkedProperty(vtkSMProperty, int)\nC++: void AddLinkedProperty(vtkSMProperty *property,\n    int updateDir)\n\nAdd a property to the link. updateDir determines whether a\nproperty of the proxy is read or written. When a property of an\ninput proxy changes, it's value is pushed to all other output\nproxies in the link. A property can be set to be both input and\noutput by setting updateDir to INPUT | OUTPUT. When a link is\nadded, all output property values are synchronized with that of\nthe input.\n"},
  {(char*)"RemoveLinkedProperty", PyvtkSMPropertyLink_RemoveLinkedProperty, 1,
   (char*)"V.RemoveLinkedProperty(vtkSMProxy, string)\nC++: void RemoveLinkedProperty(vtkSMProxy *proxy,\n    const char *propertyname)\nV.RemoveLinkedProperty(vtkSMProperty)\nC++: void RemoveLinkedProperty(vtkSMProperty *property)\n\nAdd a property to the link. updateDir determines whether a\nproperty of the proxy is read or written. When a property of an\ninput proxy changes, it's value is pushed to all other output\nproxies in the link. A property can be set to be both input and\noutput by setting updateDir to INPUT | OUTPUT. When a link is\nadded, all output property values are synchronized with that of\nthe input.\n"},
  {(char*)"GetNumberOfLinkedProperties", PyvtkSMPropertyLink_GetNumberOfLinkedProperties, 1,
   (char*)"V.GetNumberOfLinkedProperties() -> int\nC++: unsigned int GetNumberOfLinkedProperties()\n\nGet the number of properties that are involved in this link.\n"},
  {(char*)"GetLinkedProperty", PyvtkSMPropertyLink_GetLinkedProperty, 1,
   (char*)"V.GetLinkedProperty(int) -> vtkSMProperty\nC++: vtkSMProperty *GetLinkedProperty(int index)\n\nGet a property involved in this link.\n"},
  {(char*)"GetLinkedProxy", PyvtkSMPropertyLink_GetLinkedProxy, 1,
   (char*)"V.GetLinkedProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetLinkedProxy(int index)\n\nGet a proxy involved in this link.\n"},
  {(char*)"GetLinkedPropertyName", PyvtkSMPropertyLink_GetLinkedPropertyName, 1,
   (char*)"V.GetLinkedPropertyName(int) -> string\nC++: const char *GetLinkedPropertyName(int index)\n\nGet a property involved in this link.\n"},
  {(char*)"GetLinkedPropertyDirection", PyvtkSMPropertyLink_GetLinkedPropertyDirection, 1,
   (char*)"V.GetLinkedPropertyDirection(int) -> int\nC++: int GetLinkedPropertyDirection(int index)\n\nGet the direction of a property involved in this link (see\nvtkSMLink::UpdateDirections)\n"},
  {(char*)"RemoveAllLinks", PyvtkSMPropertyLink_RemoveAllLinks, 1,
   (char*)"V.RemoveAllLinks()\nC++: virtual void RemoveAllLinks()\n\nRemove all links.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPropertyLink_StaticNew()
{
  return vtkSMPropertyLink::New();
}

PyObject *PyVTKClass_vtkSMPropertyLinkNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPropertyLink_StaticNew,
    PyvtkSMPropertyLink_Methods,
    "vtkSMPropertyLink", modulename,
    NULL, NULL,
    PyvtkSMPropertyLink_Doc(),
    PyVTKClass_vtkSMLinkNew(modulename));
  return cls;
}

const char **PyvtkSMPropertyLink_Doc()
{
  static const char *docstring[] = {
    "vtkSMPropertyLink -\n\n",
    "Superclass: vtkSMLink\n\n",
    "Creates a link between two properties. Can create M->N links. At the\ntime when the link is created every output property is synchornized\nwith the first input property.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPropertyLink(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPropertyLinkNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPropertyLink", o) != 0)
    {
    Py_DECREF(o);
    }

}

