// python wrapper for vtkSMPropertyModificationUndoElement
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPropertyModificationUndoElement.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPropertyModificationUndoElement(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPropertyModificationUndoElement(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyModificationUndoElementNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyModificationUndoElementNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMUndoElementNew
extern "C" { PyObject *PyVTKClass_vtkSMUndoElementNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMUndoElementNew
#endif

static const char **PyvtkSMPropertyModificationUndoElement_Doc();


static PyObject *
PyvtkSMPropertyModificationUndoElement_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  vtkSMPropertyModificationUndoElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPropertyModificationUndoElement *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPropertyModificationUndoElement::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_Undo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Undo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Undo();
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::Undo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_Redo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Redo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Redo();
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::Redo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_ModifiedProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ModifiedProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->ModifiedProperty(temp0, temp1);
      }
    else
      {
      op->vtkSMPropertyModificationUndoElement::ModifiedProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPropertyModificationUndoElement_Merge(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Merge");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPropertyModificationUndoElement *op = static_cast<vtkSMPropertyModificationUndoElement *>(vp);

  vtkUndoElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkUndoElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Merge(temp0);
      }
    else
      {
      tempr = op->vtkSMPropertyModificationUndoElement::Merge(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPropertyModificationUndoElement_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPropertyModificationUndoElement_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPropertyModificationUndoElement_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPropertyModificationUndoElement_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPropertyModificationUndoElement\nC++: vtkSMPropertyModificationUndoElement *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPropertyModificationUndoElement_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPropertyModificationUndoElement\nC++: vtkSMPropertyModificationUndoElement *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"Undo", PyvtkSMPropertyModificationUndoElement_Undo, 1,
   (char*)"V.Undo() -> int\nC++: virtual int Undo()\n\nUndo the operation encapsulated by this element.\n"},
  {(char*)"Redo", PyvtkSMPropertyModificationUndoElement_Redo, 1,
   (char*)"V.Redo() -> int\nC++: virtual int Redo()\n\nRedo the operation encaspsulated by this element.\n"},
  {(char*)"ModifiedProperty", PyvtkSMPropertyModificationUndoElement_ModifiedProperty, 1,
   (char*)"V.ModifiedProperty(vtkSMProxy, string)\nC++: void ModifiedProperty(vtkSMProxy *proxy,\n    const char *propertyname)\n\nSet the property/proxy that was modified.\n"},
  {(char*)"Merge", PyvtkSMPropertyModificationUndoElement_Merge, 1,
   (char*)"V.Merge(vtkUndoElement) -> bool\nC++: virtual bool Merge(vtkUndoElement *new_element)\n\nCalled on the older element in the UndoSet to merge with the\nelement being added if  both the elements are mergeable.\nvtkSMPropertyModificationUndoElement is mergeable with\nvtkSMPropertyModificationUndoElement alone if both represent\nchange to the same property. Returns if the merge was successful.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPropertyModificationUndoElement_StaticNew()
{
  return vtkSMPropertyModificationUndoElement::New();
}

PyObject *PyVTKClass_vtkSMPropertyModificationUndoElementNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPropertyModificationUndoElement_StaticNew,
    PyvtkSMPropertyModificationUndoElement_Methods,
    "vtkSMPropertyModificationUndoElement", modulename,
    NULL, NULL,
    PyvtkSMPropertyModificationUndoElement_Doc(),
    PyVTKClass_vtkSMUndoElementNew(modulename));
  return cls;
}

const char **PyvtkSMPropertyModificationUndoElement_Doc()
{
  static const char *docstring[] = {
    "vtkSMPropertyModificationUndoElement\n\n",
    "Superclass: vtkSMUndoElement\n\n",
    "This is the concrete implementation for the Undo element for a\nproperty modification event. The undo action sets the property to the\nvalue that was pushed on to the server previous to the modification.\nThe redo action sets the property to the modified value.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPropertyModificationUndoElement(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPropertyModificationUndoElementNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPropertyModificationUndoElement", o) != 0)
    {
    Py_DECREF(o);
    }

}

