// python wrapper for vtkSMProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMProperty_Doc();


static PyObject *
PyvtkSMProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_SetCommand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCommand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCommand(temp0);
      }
    else
      {
      op->vtkSMProperty::SetCommand(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetCommand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCommand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCommand();
      }
    else
      {
      tempr = op->vtkSMProperty::GetCommand();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_SetImmediateUpdate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetImmediateUpdate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetImmediateUpdate(temp0);
      }
    else
      {
      op->vtkSMProperty::SetImmediateUpdate(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetImmediateUpdate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImmediateUpdate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetImmediateUpdate();
      }
    else
      {
      tempr = op->vtkSMProperty::GetImmediateUpdate();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_IsInDomains(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomains");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomains();
      }
    else
      {
      tempr = op->vtkSMProperty::IsInDomains();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_NewDomainIterator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewDomainIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMDomainIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewDomainIterator();
      }
    else
      {
      tempr = op->vtkSMProperty::NewDomainIterator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *temp0 = NULL;
  vtkSMDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMProperty::GetDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_FindDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FindDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *temp0 = NULL;
  vtkSMDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->FindDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMProperty::FindDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetNumberOfDomains(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfDomains");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfDomains();
      }
    else
      {
      tempr = op->vtkSMProperty::GetNumberOfDomains();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_UpdateDependentDomains(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateDependentDomains");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateDependentDomains();
      }
    else
      {
      op->vtkSMProperty::UpdateDependentDomains();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetInformationOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationOnly();
      }
    else
      {
      tempr = op->vtkSMProperty::GetInformationOnly();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetInformationProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInformationProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInformationProperty();
      }
    else
      {
      tempr = op->vtkSMProperty::GetInformationProperty();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_AddDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *temp0 = NULL;
  vtkSMDomain *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMDomain"))
    {
    if (ap.IsBound())
      {
      op->AddDomain(temp0, temp1);
      }
    else
      {
      op->vtkSMProperty::AddDomain(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_SetAnimateable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimateable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAnimateable(temp0);
      }
    else
      {
      op->vtkSMProperty::SetAnimateable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetAnimateable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAnimateable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAnimateable();
      }
    else
      {
      tempr = op->vtkSMProperty::GetAnimateable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_SetIsInternal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIsInternal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIsInternal(temp0);
      }
    else
      {
      op->vtkSMProperty::SetIsInternal(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetIsInternal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsInternal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsInternal();
      }
    else
      {
      tempr = op->vtkSMProperty::GetIsInternal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_Copy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0);
      }
    else
      {
      op->vtkSMProperty::Copy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetDocumentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDocumentation();
      }
    else
      {
      tempr = op->vtkSMProperty::GetDocumentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_ResetToDefault(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetToDefault");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ResetToDefault();
      }
    else
      {
      op->vtkSMProperty::ResetToDefault();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetXMLLabel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLLabel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLLabel();
      }
    else
      {
      tempr = op->vtkSMProperty::GetXMLLabel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetRepeatable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRepeatable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRepeatable();
      }
    else
      {
      tempr = op->vtkSMProperty::GetRepeatable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetHints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHints();
      }
    else
      {
      tempr = op->vtkSMProperty::GetHints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_Modified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Modified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Modified();
      }
    else
      {
      op->vtkSMProperty::Modified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_GetParent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParent();
      }
    else
      {
      tempr = op->vtkSMProperty::GetParent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProperty_IsStateIgnored(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsStateIgnored");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProperty *op = static_cast<vtkSMProperty *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsStateIgnored();
      }
    else
      {
      tempr = op->vtkSMProperty::IsStateIgnored();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProperty\nC++: vtkSMProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProperty\nC++: vtkSMProperty *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetCommand", PyvtkSMProperty_SetCommand, 1,
   (char*)"V.SetCommand(string)\nC++: void SetCommand(char *)\n\nThe command name used to set the value on the server object. For\nexample: SetThetaResolution\n"},
  {(char*)"GetCommand", PyvtkSMProperty_GetCommand, 1,
   (char*)"V.GetCommand() -> string\nC++: char *GetCommand()\n\nThe command name used to set the value on the server object. For\nexample: SetThetaResolution\n"},
  {(char*)"SetImmediateUpdate", PyvtkSMProperty_SetImmediateUpdate, 1,
   (char*)"V.SetImmediateUpdate(int)\nC++: void SetImmediateUpdate(int a)\n\nIf ImmediateUpdate is true, the value of the property will be\npushed to the server as soon as it is modified. Properties that\ndo not have values can be pushed by calling Modified().\n"},
  {(char*)"GetImmediateUpdate", PyvtkSMProperty_GetImmediateUpdate, 1,
   (char*)"V.GetImmediateUpdate() -> int\nC++: int GetImmediateUpdate()\n\nIf ImmediateUpdate is true, the value of the property will be\npushed to the server as soon as it is modified. Properties that\ndo not have values can be pushed by calling Modified().\n"},
  {(char*)"IsInDomains", PyvtkSMProperty_IsInDomains, 1,
   (char*)"V.IsInDomains() -> int\nC++: int IsInDomains()\n\nReturns true if all values are in all domains, false otherwise.\nThe domains will check the unchecked values (SetUncheckedXXX())\ninstead of the actual values.\n"},
  {(char*)"NewDomainIterator", PyvtkSMProperty_NewDomainIterator, 1,
   (char*)"V.NewDomainIterator() -> vtkSMDomainIterator\nC++: vtkSMDomainIterator *NewDomainIterator()\n\nCreates, initializes and returns a new domain iterator. The user\nhas to delete the iterator.\n"},
  {(char*)"GetDomain", PyvtkSMProperty_GetDomain, 1,
   (char*)"V.GetDomain(string) -> vtkSMDomain\nC++: vtkSMDomain *GetDomain(const char *name)\n\nReturns a domain give a name.\n"},
  {(char*)"FindDomain", PyvtkSMProperty_FindDomain, 1,
   (char*)"V.FindDomain(string) -> vtkSMDomain\nC++: vtkSMDomain *FindDomain(const char *classname)\n\nReturns the first domain which is of the specified type.\n"},
  {(char*)"GetNumberOfDomains", PyvtkSMProperty_GetNumberOfDomains, 1,
   (char*)"V.GetNumberOfDomains() -> int\nC++: unsigned int GetNumberOfDomains()\n\nReturns the number of domains this property has. This can be used\nto specify a valid index for GetDomain(index).\n"},
  {(char*)"UpdateDependentDomains", PyvtkSMProperty_UpdateDependentDomains, 1,
   (char*)"V.UpdateDependentDomains()\nC++: void UpdateDependentDomains()\n\nCalls Update() on all domains contained by the property as well\nas all dependant domains. This is usually called after\nSetUncheckedXXX() to tell all dependant domains to update\nthemselves according to the new value. Note that when calling\nUpdate() on domains contained by this property, a NULL is passed\nas the argument. This is because the domain does not really\n\"depend\" on the property. When calling Update() on dependent\ndomains, the property passes itself as the argument.\n"},
  {(char*)"GetInformationOnly", PyvtkSMProperty_GetInformationOnly, 1,
   (char*)"V.GetInformationOnly() -> int\nC++: int GetInformationOnly()\n\nIs InformationOnly is set to true, this property is used to get\ninformation from server instead of setting values.\n"},
  {(char*)"GetInformationProperty", PyvtkSMProperty_GetInformationProperty, 1,
   (char*)"V.GetInformationProperty() -> vtkSMProperty\nC++: vtkSMProperty *GetInformationProperty()\n\nGet the associated information property. This allows applications\nto have access to both the in and out properties. The information\nproperty has to be specified in the xml configuration file.\n"},
  {(char*)"AddDomain", PyvtkSMProperty_AddDomain, 1,
   (char*)"V.AddDomain(string, vtkSMDomain)\nC++: void AddDomain(const char *name, vtkSMDomain *dom)\n\nProperties can have one or more domains. These are assigned by\nthe proxy manager and can be used to obtain information other\nthan given by the type of the propery and its values.\n"},
  {(char*)"SetAnimateable", PyvtkSMProperty_SetAnimateable, 1,
   (char*)"V.SetAnimateable(int)\nC++: void SetAnimateable(int a)\n\nGet/Set if the property is animateable. Non-animateable\nproperties are shown in the GUI only in advanced mode.\n"},
  {(char*)"GetAnimateable", PyvtkSMProperty_GetAnimateable, 1,
   (char*)"V.GetAnimateable() -> int\nC++: int GetAnimateable()\n\nGet/Set if the property is animateable. Non-animateable\nproperties are shown in the GUI only in advanced mode.\n"},
  {(char*)"SetIsInternal", PyvtkSMProperty_SetIsInternal, 1,
   (char*)"V.SetIsInternal(int)\nC++: void SetIsInternal(int a)\n\nGet/Set if the property is internal to server manager. Internal\nproperties are not saved in state and should not be displayed in\nthe user interface.\n"},
  {(char*)"GetIsInternal", PyvtkSMProperty_GetIsInternal, 1,
   (char*)"V.GetIsInternal() -> int\nC++: int GetIsInternal()\n\nGet/Set if the property is internal to server manager. Internal\nproperties are not saved in state and should not be displayed in\nthe user interface.\n"},
  {(char*)"Copy", PyvtkSMProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy(vtkSMProperty *src)\n\nCopy all property values.\n"},
  {(char*)"GetDocumentation", PyvtkSMProperty_GetDocumentation, 1,
   (char*)"V.GetDocumentation() -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetDocumentation()\n\nReturns the documentation for this proxy. The return value may be\nNULL if no documentation is defined in the XML for this property.\n"},
  {(char*)"ResetToDefault", PyvtkSMProperty_ResetToDefault, 1,
   (char*)"V.ResetToDefault()\nC++: void ResetToDefault()\n\nIterates over all domains and calls SetDefaultValues() on each\nuntil one of then returns 1, implying that it updated the\nproperty value. This is used to reset the property to its default\nvalue. Currently default values that depend on domain are reset.\nThis method can also be called to reset the property value to the\ndefault specified in the configuration XML. If none of the\ndomains updates the property value, then some property\nsubclassess (viz. IntVectorProperty, DoubleVectorProperty and\nIdTypeVectorProperty) update the current value to that specified\nin the configuration XML.\n"},
  {(char*)"GetXMLLabel", PyvtkSMProperty_GetXMLLabel, 1,
   (char*)"V.GetXMLLabel() -> string\nC++: char *GetXMLLabel()\n\nThe label assigned by the xml parser.\n"},
  {(char*)"GetRepeatable", PyvtkSMProperty_GetRepeatable, 1,
   (char*)"V.GetRepeatable() -> int\nC++: int GetRepeatable()\n\nIf repeatable, a property can have 1 or more values of the same\nkind. This ivar is configured when the xml file is read and is\nmainly useful for information (for example from python).\n"},
  {(char*)"GetHints", PyvtkSMProperty_GetHints, 1,
   (char*)"V.GetHints() -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetHints()\n\nThe server manager configuration XML may define <Hints /> element\nfor a property. Hints are metadata associated with the property.\nThe Server Manager does not (and should not) interpret the hints.\nHints provide a mechanism to add GUI pertinant information to the\nserver manager XML.  Returns the XML element for the hints\nassociated with this property, if any, otherwise returns NULL.\n"},
  {(char*)"Modified", PyvtkSMProperty_Modified, 1,
   (char*)"V.Modified()\nC++: virtual void Modified()\n\nOverridden to support blocking of modified events.\n"},
  {(char*)"GetParent", PyvtkSMProperty_GetParent, 1,
   (char*)"V.GetParent() -> vtkSMProxy\nC++: vtkSMProxy *GetParent()\n\nGet the proxy to which this property belongs. Note that is this\nproperty is belong to a sub-proxy of a proxy, the returned value\nwill indeed be that sub-proxy (and not the outer container\nproxy).\n"},
  {(char*)"IsStateIgnored", PyvtkSMProperty_IsStateIgnored, 1,
   (char*)"V.IsStateIgnored() -> bool\nC++: virtual bool IsStateIgnored()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProperty_StaticNew()
{
  return vtkSMProperty::New();
}

PyObject *PyVTKClass_vtkSMPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProperty_StaticNew,
    PyvtkSMProperty_Methods,
    "vtkSMProperty", modulename,
    NULL, NULL,
    PyvtkSMProperty_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSMProperty - superclass for all SM properties\n\n",
    "Superclass: vtkSMObject\n\n",
    "Each instance of vtkSMProperty or a sub-class represents a method and\nassociated arguments (if any) of a  a vtk object stored on one or\nmore client manager or server nodes. It may have a state and can push\nthis state to the vtk object it refers to. vtkSMPropery only supports\nmethods with no arguments. Sub-classes support methods with different\narguments types and numbers. A property can also be ma",
    "rked as an\n\"information\" property in which case it's values are obtained from\nthe server with the UpdateInformation() call. This call is forwarded\nto an information helper. The type of the information helper used is\nspecified in the XML file. Each property can have one or more\nsub-properties. The sub-properties can be accessed using an iterator.\nIt is possible to create composite properties of any",
    " depth this way.\nEach property can have one or more domains. A domain represents a set\nof acceptable values the property can have. An Attempt to set a value\noutside the domain will fail. If more than one domain is specified,\nthe actual domain is the intersection of all domains.\n\nA property can be marked \"animateable\". \"animateable\" attribute can\nhave value {0, 1, 2}. 0 :-- property is not animatea",
    "ble at all. 1 :--\nproperty is shown as animateable on the key frame animation interface\n      in the non-advanced mode. 2 :-- property is animateable but\nonly shown in the advanced mode. Properties that are not vector\nproperties or that don't have domain or that are information_only\nproperties can never be animated irrespective of the \"animateable\"\nattribute's value. All vector properties (vtkSMIn",
    "tVectorProperty,\nvtkSMDoubleVectorPropery, vtkSMStringVectorProperty,\nvtkSMIdTypeVectorProperty) by default have have animateable=\"2\".\n\nA property can be marked \"is_internal\". \"internal\" attribute can have\nvalue {0, 1}. 0 :-- property is not internal.\n\n1 :-- property is internal. Hence, it is not saved when saving SM\nstate\n      or batch script. An instance of vtkSMProperty is always\ninternal. All",
    " other concrete subclasses are by default not internal\n(i.e. vtkSMProxyProperty and subclasses and vtkSMVectorProperty\nsubclasses).\n\nSee Also:\n\nvtkSMProxyProperty vtkSMInputProperty vtkSMVectorProperty\nvtkSMDoubleVectorPropery vtkSMIntVectorPropery\nvtkSMStringVectorProperty vtkSMDomain vtkSMInformationHelper\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

