// python wrapper for vtkSMProxyDefinitionManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyDefinitionManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyDefinitionManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyDefinitionManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyDefinitionManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyDefinitionManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMRemoteObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMRemoteObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMRemoteObjectNew
#endif

static const char **PyvtkSMProxyDefinitionManager_Doc();


static PyObject *
PyvtkSMProxyDefinitionManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkSMProxyDefinitionManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyDefinitionManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyDefinitionManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_SynchronizeDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SynchronizeDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SynchronizeDefinitions();
      }
    else
      {
      op->vtkSMProxyDefinitionManager::SynchronizeDefinitions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_SetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkSMSession *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      op->SetSession(temp0);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::SetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_GetProxyDefinition_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  bool temp2 = false;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDefinition(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::GetProxyDefinition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_GetProxyDefinition_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDefinition(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::GetProxyDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_GetProxyDefinition(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMProxyDefinitionManager_GetProxyDefinition_s1(self, args);
    case 2:
      return PyvtkSMProxyDefinitionManager_GetProxyDefinition_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetProxyDefinition");
  return NULL;
}



static PyObject *
PyvtkSMProxyDefinitionManager_GetCollapsedProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCollapsedProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  char *temp2 = NULL;
  bool temp3 = false;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCollapsedProxyDefinition(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::GetCollapsedProxyDefinition(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_HasDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->HasDefinition(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::HasDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_SaveCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->SaveCustomProxyDefinitions(temp0);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::SaveCustomProxyDefinitions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_NewIterator_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkPVProxyDefinitionIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewIterator();
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::NewIterator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_NewIterator_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  int temp0;
  vtkPVProxyDefinitionIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewIterator(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::NewIterator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_NewIterator(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMProxyDefinitionManager_NewIterator_s1(self, args);
    case 1:
      return PyvtkSMProxyDefinitionManager_NewIterator_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "NewIterator");
  return NULL;
}



static PyObject *
PyvtkSMProxyDefinitionManager_NewSingleGroupIterator_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewSingleGroupIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  vtkPVProxyDefinitionIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewSingleGroupIterator(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::NewSingleGroupIterator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_NewSingleGroupIterator_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewSingleGroupIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  int temp1;
  vtkPVProxyDefinitionIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->NewSingleGroupIterator(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::NewSingleGroupIterator(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyDefinitionManager_NewSingleGroupIterator(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxyDefinitionManager_NewSingleGroupIterator_s1(self, args);
    case 2:
      return PyvtkSMProxyDefinitionManager_NewSingleGroupIterator_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "NewSingleGroupIterator");
  return NULL;
}



static PyObject *
PyvtkSMProxyDefinitionManager_AddCustomProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddCustomProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkPVXMLElement *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->AddCustomProxyDefinition(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::AddCustomProxyDefinition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_RemoveCustomProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveCustomProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->RemoveCustomProxyDefinition(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::RemoveCustomProxyDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_ClearCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearCustomProxyDefinitions();
      }
    else
      {
      op->vtkSMProxyDefinitionManager::ClearCustomProxyDefinitions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_LoadCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->LoadCustomProxyDefinitions(temp0);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::LoadCustomProxyDefinitions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_LoadCustomProxyDefinitionsFromString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadCustomProxyDefinitionsFromString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadCustomProxyDefinitionsFromString(temp0);
      }
    else
      {
      op->vtkSMProxyDefinitionManager::LoadCustomProxyDefinitionsFromString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_LoadConfigurationXML(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfigurationXML");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfigurationXML(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::LoadConfigurationXML(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyDefinitionManager_LoadConfigurationXMLFromString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfigurationXMLFromString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyDefinitionManager *op = static_cast<vtkSMProxyDefinitionManager *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfigurationXMLFromString(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyDefinitionManager::LoadConfigurationXMLFromString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyDefinitionManager_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyDefinitionManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyDefinitionManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyDefinitionManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyDefinitionManager\nC++: vtkSMProxyDefinitionManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyDefinitionManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyDefinitionManager\nC++: vtkSMProxyDefinitionManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SynchronizeDefinitions", PyvtkSMProxyDefinitionManager_SynchronizeDefinitions, 1,
   (char*)"V.SynchronizeDefinitions()\nC++: void SynchronizeDefinitions()\n\nSynchronizes the client-side definitions using the server-side\ndefinitions, if applicable. Call this method after any code that\ncould result in changing of the XML definitions on the server\ne.g. loading of plugins.\n"},
  {(char*)"SetSession", PyvtkSMProxyDefinitionManager_SetSession, 1,
   (char*)"V.SetSession(vtkSMSession)\nC++: virtual void SetSession(vtkSMSession *)\n\nOverridden call SynchronizeDefinitions() when the session\nchanges. Also ensures that the internal references to\nvtkSIProxyDefinitionManager are updated correctly.\n"},
  {(char*)"GetProxyDefinition", PyvtkSMProxyDefinitionManager_GetProxyDefinition, 1,
   (char*)"V.GetProxyDefinition(string, string, bool) -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetProxyDefinition(const char *group,\n    const char *name, bool throwError)\nV.GetProxyDefinition(string, string) -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetProxyDefinition(const char *group,\n    const char *name)\n\nReturns a registered proxy definition or return a NULL otherwise.\nMoreover, error can be throw if the definition was not found if\nthe flag throwError is true.\n"},
  {(char*)"GetCollapsedProxyDefinition", PyvtkSMProxyDefinitionManager_GetCollapsedProxyDefinition, 1,
   (char*)"V.GetCollapsedProxyDefinition(string, string, string, bool)\n    -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetCollapsedProxyDefinition(\n    const char *group, const char *name, const char *subProxyName,\n     bool throwError)\n\nReturns the same thing as GetProxyDefinition in a flatten manner.\nBy flatten, we mean that the class hierarchy has been walked and\nmerged into a single vtkPVXMLElement definition.\n"},
  {(char*)"HasDefinition", PyvtkSMProxyDefinitionManager_HasDefinition, 1,
   (char*)"V.HasDefinition(string, string) -> bool\nC++: bool HasDefinition(const char *groupName,\n    const char *proxyName)\n\nReturn true if the XML Definition was found\n"},
  {(char*)"SaveCustomProxyDefinitions", PyvtkSMProxyDefinitionManager_SaveCustomProxyDefinitions, 1,
   (char*)"V.SaveCustomProxyDefinitions(vtkPVXMLElement)\nC++: void SaveCustomProxyDefinitions(vtkPVXMLElement *root)\n\nSave registered custom proxy definitions. The caller must release\nthe reference to the returned vtkPVXMLElement.\n"},
  {(char*)"NewIterator", PyvtkSMProxyDefinitionManager_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkPVProxyDefinitionIterator\nC++: vtkPVProxyDefinitionIterator *NewIterator()\nV.NewIterator(int) -> vtkPVProxyDefinitionIterator\nC++: vtkPVProxyDefinitionIterator *NewIterator(int scope)\n\nReturn a NEW instance of vtkPVProxyDefinitionIterator configured\nto get through all the definition available for the requested\nscope. Possible scope defined as enum inside\nvtkSIProxyDefinitionManager: ALL_DEFINITIONS=0 /\nCORE_DEFINITIONS=1 / CUSTOM_DEFINITIONS=2 Some extra restriction\ncan be set directly on the iterator itself by setting a set of\nGroupName...\n"},
  {(char*)"NewSingleGroupIterator", PyvtkSMProxyDefinitionManager_NewSingleGroupIterator, 1,
   (char*)"V.NewSingleGroupIterator(string) -> vtkPVProxyDefinitionIterator\nC++: vtkPVProxyDefinitionIterator *NewSingleGroupIterator(\n    const char *groupName)\nV.NewSingleGroupIterator(string, int)\n    -> vtkPVProxyDefinitionIterator\nC++: vtkPVProxyDefinitionIterator *NewSingleGroupIterator(\n    const char *groupName, int scope)\n\n"},
  {(char*)"AddCustomProxyDefinition", PyvtkSMProxyDefinitionManager_AddCustomProxyDefinition, 1,
   (char*)"V.AddCustomProxyDefinition(string, string, vtkPVXMLElement)\nC++: void AddCustomProxyDefinition(const char *group,\n    const char *name, vtkPVXMLElement *top)\n\nAdd/Remove/Clear custom proxy definitions.\n"},
  {(char*)"RemoveCustomProxyDefinition", PyvtkSMProxyDefinitionManager_RemoveCustomProxyDefinition, 1,
   (char*)"V.RemoveCustomProxyDefinition(string, string)\nC++: void RemoveCustomProxyDefinition(const char *group,\n    const char *name)\n\nAdd/Remove/Clear custom proxy definitions.\n"},
  {(char*)"ClearCustomProxyDefinitions", PyvtkSMProxyDefinitionManager_ClearCustomProxyDefinitions, 1,
   (char*)"V.ClearCustomProxyDefinitions()\nC++: void ClearCustomProxyDefinitions()\n\nAdd/Remove/Clear custom proxy definitions.\n"},
  {(char*)"LoadCustomProxyDefinitions", PyvtkSMProxyDefinitionManager_LoadCustomProxyDefinitions, 1,
   (char*)"V.LoadCustomProxyDefinitions(vtkPVXMLElement)\nC++: void LoadCustomProxyDefinitions(vtkPVXMLElement *root)\n\nLoad custom proxy definitions and register them.\n"},
  {(char*)"LoadCustomProxyDefinitionsFromString", PyvtkSMProxyDefinitionManager_LoadCustomProxyDefinitionsFromString, 1,
   (char*)"V.LoadCustomProxyDefinitionsFromString(string)\nC++: void LoadCustomProxyDefinitionsFromString(\n    const char *xmlContent)\n\nLoad custom proxy definitions and register them.\n"},
  {(char*)"LoadConfigurationXML", PyvtkSMProxyDefinitionManager_LoadConfigurationXML, 1,
   (char*)"V.LoadConfigurationXML(vtkPVXMLElement) -> bool\nC++: bool LoadConfigurationXML(vtkPVXMLElement *root)\n\nLoads server-manager configuration xml.\n"},
  {(char*)"LoadConfigurationXMLFromString", PyvtkSMProxyDefinitionManager_LoadConfigurationXMLFromString, 1,
   (char*)"V.LoadConfigurationXMLFromString(string) -> bool\nC++: bool LoadConfigurationXMLFromString(const char *xmlContent)\n\nLoads server-manager configuration xml.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyDefinitionManager_StaticNew()
{
  return vtkSMProxyDefinitionManager::New();
}

PyObject *PyVTKClass_vtkSMProxyDefinitionManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyDefinitionManager_StaticNew,
    PyvtkSMProxyDefinitionManager_Methods,
    "vtkSMProxyDefinitionManager", modulename,
    NULL, NULL,
    PyvtkSMProxyDefinitionManager_Doc(),
    PyVTKClass_vtkSMRemoteObjectNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(vtkSIProxyDefinitionManager::ProxyDefinitionsUpdated);
    if (o && PyDict_SetItemString(d, (char *)"ProxyDefinitionsUpdated", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkSIProxyDefinitionManager::CompoundProxyDefinitionsUpdated);
    if (o && PyDict_SetItemString(d, (char *)"CompoundProxyDefinitionsUpdated", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkSIProxyDefinitionManager::ALL_DEFINITIONS);
    if (o && PyDict_SetItemString(d, (char *)"ALL_DEFINITIONS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkSIProxyDefinitionManager::CORE_DEFINITIONS);
    if (o && PyDict_SetItemString(d, (char *)"CORE_DEFINITIONS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkSIProxyDefinitionManager::CUSTOM_DEFINITIONS);
    if (o && PyDict_SetItemString(d, (char *)"CUSTOM_DEFINITIONS", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkSMProxyDefinitionManager_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyDefinitionManager\n\n",
    "Superclass: vtkSMRemoteObject\n\n",
    "vtkSMProxyDefinitionManager is a remote-object that represents the\nvtkSIProxyDefinitionManager instance on all the processes. ParaView\nclients should use API on this class to add/update xml definitions to\nensure that the xmls are processed/updated correctly on all the\nprocesses.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyDefinitionManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyDefinitionManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyDefinitionManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

