// python wrapper for vtkSMProxyGroupDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyGroupDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyGroupDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyGroupDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyGroupDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyGroupDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMProxyGroupDomain_Doc();


static PyObject *
PyvtkSMProxyGroupDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  vtkSMProxyGroupDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyGroupDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyGroupDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_AddGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddGroup(temp0);
      }
    else
      {
      op->vtkSMProxyGroupDomain::AddGroup(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_IsInDomain_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyGroupDomain_IsInDomain_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  vtkSMProxy *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyGroupDomain_IsInDomain_Methods[] = {
  {NULL, PyvtkSMProxyGroupDomain_IsInDomain_s1, 1,
   (char*)"@O *vtkSMProperty"},
  {NULL, PyvtkSMProxyGroupDomain_IsInDomain_s2, 1,
   (char*)"@O *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyGroupDomain_IsInDomain(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyGroupDomain_IsInDomain_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "IsInDomain");
  return NULL;
}



static PyObject *
PyvtkSMProxyGroupDomain_GetNumberOfGroups(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGroups");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfGroups();
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetNumberOfGroups();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_GetGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGroup(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetGroup(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProxies();
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetNumberOfProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_GetProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyGroupDomain_GetProxyName_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetProxyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyGroupDomain_GetProxyName_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyGroupDomain *op = static_cast<vtkSMProxyGroupDomain *>(vp);

  vtkSMProxy *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyGroupDomain::GetProxyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyGroupDomain_GetProxyName_Methods[] = {
  {NULL, PyvtkSMProxyGroupDomain_GetProxyName_s1, 1,
   (char*)"@I"},
  {NULL, PyvtkSMProxyGroupDomain_GetProxyName_s2, 1,
   (char*)"@O *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyGroupDomain_GetProxyName(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyGroupDomain_GetProxyName_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetProxyName");
  return NULL;
}


static PyMethodDef PyvtkSMProxyGroupDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyGroupDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyGroupDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyGroupDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyGroupDomain\nC++: vtkSMProxyGroupDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyGroupDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyGroupDomain\nC++: vtkSMProxyGroupDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddGroup", PyvtkSMProxyGroupDomain_AddGroup, 1,
   (char*)"V.AddGroup(string)\nC++: void AddGroup(const char *group)\n\nAdd a group to the domain. The domain is the union of all groups.\n"},
  {(char*)"IsInDomain", PyvtkSMProxyGroupDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\nV.IsInDomain(vtkSMProxy) -> int\nC++: int IsInDomain(vtkSMProxy *proxy)\n\nReturns true if the value of the propery is in the domain. The\npropery has to be a vtkSMProxyPropery or a sub-class. All proxies\npointed by the property have to be in the domain.\n"},
  {(char*)"GetNumberOfGroups", PyvtkSMProxyGroupDomain_GetNumberOfGroups, 1,
   (char*)"V.GetNumberOfGroups() -> int\nC++: unsigned int GetNumberOfGroups()\n\nReturns the number of groups.\n"},
  {(char*)"GetGroup", PyvtkSMProxyGroupDomain_GetGroup, 1,
   (char*)"V.GetGroup(int) -> string\nC++: const char *GetGroup(unsigned int idx)\n\nReturns group with give id. Does not perform bounds check.\n"},
  {(char*)"GetNumberOfProxies", PyvtkSMProxyGroupDomain_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies() -> int\nC++: unsigned int GetNumberOfProxies()\n\nReturns the total number of proxies in the domain.\n"},
  {(char*)"GetProxy", PyvtkSMProxyGroupDomain_GetProxy, 1,
   (char*)"V.GetProxy(string) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy(const char *name)\n\nGiven a name, returns a proxy.\n"},
  {(char*)"GetProxyName", PyvtkSMProxyGroupDomain_GetProxyName, 1,
   (char*)"V.GetProxyName(int) -> string\nC++: const char *GetProxyName(unsigned int idx)\nV.GetProxyName(vtkSMProxy) -> string\nC++: const char *GetProxyName(vtkSMProxy *proxy)\n\nReturns the name (in the group) of a proxy.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyGroupDomain_StaticNew()
{
  return vtkSMProxyGroupDomain::New();
}

PyObject *PyVTKClass_vtkSMProxyGroupDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyGroupDomain_StaticNew,
    PyvtkSMProxyGroupDomain_Methods,
    "vtkSMProxyGroupDomain", modulename,
    NULL, NULL,
    PyvtkSMProxyGroupDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMProxyGroupDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyGroupDomain - union of proxy groups\n\n",
    "Superclass: vtkSMDomain\n\n",
    "The proxy group domain consists of all proxies in a list of groups.\nThis domain is commonly used together with vtkSMProxyPropery Valid\nXML elements are:\n * <Group name=\"\"> where name is the groupname used by the proxy\n manager to refer to a group of proxies.\n // .SECTION See Also vtkSMDomain vtkSMProxyPropery\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyGroupDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyGroupDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyGroupDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

