// python wrapper for vtkSMProxyIterator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyIterator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyIterator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyIterator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyIteratorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyIteratorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMProxyIterator_Doc();


static PyObject *
PyvtkSMProxyIterator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyIterator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  vtkSMProxyIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyIterator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyIterator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_Begin_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Begin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Begin();
      }
    else
      {
      op->vtkSMProxyIterator::Begin();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyIterator_Begin_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Begin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->Begin(temp0);
      }
    else
      {
      op->vtkSMProxyIterator::Begin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyIterator_Begin(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMProxyIterator_Begin_s1(self, args);
    case 1:
      return PyvtkSMProxyIterator_Begin_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Begin");
  return NULL;
}



static PyObject *
PyvtkSMProxyIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsAtEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsAtEnd();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::IsAtEnd();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_Next(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Next");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Next();
      }
    else
      {
      op->vtkSMProxyIterator::Next();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_GetGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGroup();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_GetKey(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetKey");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetKey();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetKey();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_GetProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetProxy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMode(temp0);
      }
    else
      {
      op->vtkSMProxyIterator::SetMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_GetMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMode();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SetModeToGroupsOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModeToGroupsOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModeToGroupsOnly();
      }
    else
      {
      op->vtkSMProxyIterator::SetModeToGroupsOnly();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SetModeToOneGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModeToOneGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModeToOneGroup();
      }
    else
      {
      op->vtkSMProxyIterator::SetModeToOneGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SetModeToAll(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModeToAll");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModeToAll();
      }
    else
      {
      op->vtkSMProxyIterator::SetModeToAll();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SetSkipPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSkipPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSkipPrototypes(temp0);
      }
    else
      {
      op->vtkSMProxyIterator::SetSkipPrototypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_GetSkipPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSkipPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSkipPrototypes();
      }
    else
      {
      tempr = op->vtkSMProxyIterator::GetSkipPrototypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SkipPrototypesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SkipPrototypesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SkipPrototypesOn();
      }
    else
      {
      op->vtkSMProxyIterator::SkipPrototypesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyIterator_SkipPrototypesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SkipPrototypesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyIterator *op = static_cast<vtkSMProxyIterator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SkipPrototypesOff();
      }
    else
      {
      op->vtkSMProxyIterator::SkipPrototypesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyIterator_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyIterator\nC++: vtkSMProxyIterator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyIterator\nC++: vtkSMProxyIterator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Begin", PyvtkSMProxyIterator_Begin, 1,
   (char*)"V.Begin()\nC++: void Begin()\nV.Begin(string)\nC++: void Begin(const char *groupName)\n\nGo to the beginning of the collection.\n"},
  {(char*)"IsAtEnd", PyvtkSMProxyIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: int IsAtEnd()\n\nIs the iterator pointing past the last element?\n"},
  {(char*)"Next", PyvtkSMProxyIterator_Next, 1,
   (char*)"V.Next()\nC++: void Next()\n\nMove to the next property.\n"},
  {(char*)"GetGroup", PyvtkSMProxyIterator_GetGroup, 1,
   (char*)"V.GetGroup() -> string\nC++: const char *GetGroup()\n\nGet the group at the current iterator location.\n"},
  {(char*)"GetKey", PyvtkSMProxyIterator_GetKey, 1,
   (char*)"V.GetKey() -> string\nC++: const char *GetKey()\n\nGet the key (proxy name) at the current iterator location.\n"},
  {(char*)"GetProxy", PyvtkSMProxyIterator_GetProxy, 1,
   (char*)"V.GetProxy() -> vtkSMProxy\nC++: vtkSMProxy *GetProxy()\n\nGet the proxy at the current iterator location.\n"},
  {(char*)"SetMode", PyvtkSMProxyIterator_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode(int a)\n\nThe traversal mode for the iterator. If the traversal mode is set\nto GROUPS, each Next() will move to the next group, in ONE_GROUP\nmode, all proxies in one group are visited and finally in ALL\nmode, all proxies are visited.\n"},
  {(char*)"GetMode", PyvtkSMProxyIterator_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode()\n\nThe traversal mode for the iterator. If the traversal mode is set\nto GROUPS, each Next() will move to the next group, in ONE_GROUP\nmode, all proxies in one group are visited and finally in ALL\nmode, all proxies are visited.\n"},
  {(char*)"SetModeToGroupsOnly", PyvtkSMProxyIterator_SetModeToGroupsOnly, 1,
   (char*)"V.SetModeToGroupsOnly()\nC++: void SetModeToGroupsOnly()\n\nThe traversal mode for the iterator. If the traversal mode is set\nto GROUPS, each Next() will move to the next group, in ONE_GROUP\nmode, all proxies in one group are visited and finally in ALL\nmode, all proxies are visited.\n"},
  {(char*)"SetModeToOneGroup", PyvtkSMProxyIterator_SetModeToOneGroup, 1,
   (char*)"V.SetModeToOneGroup()\nC++: void SetModeToOneGroup()\n\nThe traversal mode for the iterator. If the traversal mode is set\nto GROUPS, each Next() will move to the next group, in ONE_GROUP\nmode, all proxies in one group are visited and finally in ALL\nmode, all proxies are visited.\n"},
  {(char*)"SetModeToAll", PyvtkSMProxyIterator_SetModeToAll, 1,
   (char*)"V.SetModeToAll()\nC++: void SetModeToAll()\n\nThe traversal mode for the iterator. If the traversal mode is set\nto GROUPS, each Next() will move to the next group, in ONE_GROUP\nmode, all proxies in one group are visited and finally in ALL\nmode, all proxies are visited.\n"},
  {(char*)"SetSkipPrototypes", PyvtkSMProxyIterator_SetSkipPrototypes, 1,
   (char*)"V.SetSkipPrototypes(bool)\nC++: void SetSkipPrototypes(bool a)\n\nWhen set to true (default), the iterator will skip prototype\nproxies.\n"},
  {(char*)"GetSkipPrototypes", PyvtkSMProxyIterator_GetSkipPrototypes, 1,
   (char*)"V.GetSkipPrototypes() -> bool\nC++: bool GetSkipPrototypes()\n\nWhen set to true (default), the iterator will skip prototype\nproxies.\n"},
  {(char*)"SkipPrototypesOn", PyvtkSMProxyIterator_SkipPrototypesOn, 1,
   (char*)"V.SkipPrototypesOn()\nC++: void SkipPrototypesOn()\n\nWhen set to true (default), the iterator will skip prototype\nproxies.\n"},
  {(char*)"SkipPrototypesOff", PyvtkSMProxyIterator_SkipPrototypesOff, 1,
   (char*)"V.SkipPrototypesOff()\nC++: void SkipPrototypesOff()\n\nWhen set to true (default), the iterator will skip prototype\nproxies.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyIterator_StaticNew()
{
  return vtkSMProxyIterator::New();
}

PyObject *PyVTKClass_vtkSMProxyIteratorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyIterator_StaticNew,
    PyvtkSMProxyIterator_Methods,
    "vtkSMProxyIterator", modulename,
    NULL, NULL,
    PyvtkSMProxyIterator_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProxyIterator_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyIterator - iterates over all registered proxies (and groups)\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMProxyIterator iterates over all proxies registered with the\nproxy manager. It can also iterate over groups.\n\nSee Also:\n\nvtkSMProxy vtkSMProxyManager\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyIterator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyIteratorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyIterator", o) != 0)
    {
    Py_DECREF(o);
    }

}

