// python wrapper for vtkSMProxyLink
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyLink.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyLink(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyLink(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyLinkNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyLinkNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMLinkNew
extern "C" { PyObject *PyVTKClass_vtkSMLinkNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMLinkNew
#endif

static const char **PyvtkSMProxyLink_Doc();


static PyObject *
PyvtkSMProxyLink_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyLink::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyLink::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  vtkSMProxyLink *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyLink::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyLink *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyLink::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_AddLinkedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddLinkedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddLinkedProxy(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyLink::AddLinkedProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_RemoveLinkedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveLinkedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->RemoveLinkedProxy(temp0);
      }
    else
      {
      op->vtkSMProxyLink::RemoveLinkedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_GetNumberOfLinkedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLinkedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLinkedProxies();
      }
    else
      {
      tempr = op->vtkSMProxyLink::GetNumberOfLinkedProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_GetLinkedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyLink::GetLinkedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_GetLinkedProxyDirection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkedProxyDirection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkedProxyDirection(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyLink::GetLinkedProxyDirection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_AddException(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddException");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddException(temp0);
      }
    else
      {
      op->vtkSMProxyLink::AddException(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_RemoveException(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveException");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveException(temp0);
      }
    else
      {
      op->vtkSMProxyLink::RemoveException(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLink_RemoveAllLinks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllLinks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLink *op = static_cast<vtkSMProxyLink *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllLinks();
      }
    else
      {
      op->vtkSMProxyLink::RemoveAllLinks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyLink_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyLink_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyLink_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyLink_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyLink\nC++: vtkSMProxyLink *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyLink_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyLink\nC++: vtkSMProxyLink *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddLinkedProxy", PyvtkSMProxyLink_AddLinkedProxy, 1,
   (char*)"V.AddLinkedProxy(vtkSMProxy, int)\nC++: virtual void AddLinkedProxy(vtkSMProxy *proxy, int updateDir)\n\nAdd a property to the link. updateDir determines whether a\nproperty of the proxy is read or written. When a property of an\ninput proxy changes, it's value is pushed to all other output\nproxies in the link. A proxy can be set to be both input and\noutput by setting updateDir to INPUT | OUTPUT\n"},
  {(char*)"RemoveLinkedProxy", PyvtkSMProxyLink_RemoveLinkedProxy, 1,
   (char*)"V.RemoveLinkedProxy(vtkSMProxy)\nC++: virtual void RemoveLinkedProxy(vtkSMProxy *proxy)\n\nRemove a linked proxy.\n"},
  {(char*)"GetNumberOfLinkedProxies", PyvtkSMProxyLink_GetNumberOfLinkedProxies, 1,
   (char*)"V.GetNumberOfLinkedProxies() -> int\nC++: unsigned int GetNumberOfLinkedProxies()\n\nGet the number of proxies that are involved in this link.\n"},
  {(char*)"GetLinkedProxy", PyvtkSMProxyLink_GetLinkedProxy, 1,
   (char*)"V.GetLinkedProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetLinkedProxy(int index)\n\nGet a proxy involved in this link.\n"},
  {(char*)"GetLinkedProxyDirection", PyvtkSMProxyLink_GetLinkedProxyDirection, 1,
   (char*)"V.GetLinkedProxyDirection(int) -> int\nC++: int GetLinkedProxyDirection(int index)\n\nGet the direction of a proxy involved in this link (see\nvtkSMLink::UpdateDirections)\n"},
  {(char*)"AddException", PyvtkSMProxyLink_AddException, 1,
   (char*)"V.AddException(string)\nC++: void AddException(const char *propertyname)\n\nIt is possible to exclude certain properties from being\nsynchronized by this link. This method can be used to add/remove\nthe names for such exception properties.\n"},
  {(char*)"RemoveException", PyvtkSMProxyLink_RemoveException, 1,
   (char*)"V.RemoveException(string)\nC++: void RemoveException(const char *propertyname)\n\nIt is possible to exclude certain properties from being\nsynchronized by this link. This method can be used to add/remove\nthe names for such exception properties.\n"},
  {(char*)"RemoveAllLinks", PyvtkSMProxyLink_RemoveAllLinks, 1,
   (char*)"V.RemoveAllLinks()\nC++: virtual void RemoveAllLinks()\n\nRemove all links.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyLink_StaticNew()
{
  return vtkSMProxyLink::New();
}

PyObject *PyVTKClass_vtkSMProxyLinkNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyLink_StaticNew,
    PyvtkSMProxyLink_Methods,
    "vtkSMProxyLink", modulename,
    NULL, NULL,
    PyvtkSMProxyLink_Doc(),
    PyVTKClass_vtkSMLinkNew(modulename));
  return cls;
}

const char **PyvtkSMProxyLink_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyLink - creates a link between two proxies.\n\n",
    "Superclass: vtkSMLink\n\n",
    "When a link is created between proxy A->B, whenever any property on\nproxy A is modified, a property with the same name as the modified\nproperty (if any) on proxy B is also modified to be the same as the\nproperty on the proxy A. Similary whenever proxy\nA->UpdateVTKObjects() is called, B->UpdateVTKObjects() is also fired.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyLink(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyLinkNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyLink", o) != 0)
    {
    Py_DECREF(o);
    }

}

