// python wrapper for vtkSMProxyListDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyListDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyListDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyListDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyListDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyListDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMProxyListDomain_Doc();


static PyObject *
PyvtkSMProxyListDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProxyListDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyListDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyListDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_GetNumberOfProxyTypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProxyTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProxyTypes();
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetNumberOfProxyTypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_GetProxyGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyGroup(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetProxyGroup(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_GetProxyName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetProxyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_IsInDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_AddProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->AddProxy(temp0);
      }
    else
      {
      op->vtkSMProxyListDomain::AddProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_HasProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProxy *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->HasProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::HasProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProxies();
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetNumberOfProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_GetProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::GetProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyListDomain_RemoveProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProxy *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::RemoveProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyListDomain_RemoveProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::RemoveProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyListDomain_RemoveProxy_Methods[] = {
  {NULL, PyvtkSMProxyListDomain_RemoveProxy_s1, 1,
   (char*)"@O *vtkSMProxy"},
  {NULL, PyvtkSMProxyListDomain_RemoveProxy_s2, 1,
   (char*)"@I"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyListDomain_RemoveProxy(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyListDomain_RemoveProxy_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "RemoveProxy");
  return NULL;
}



static PyObject *
PyvtkSMProxyListDomain_SetDefaultValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyListDomain *op = static_cast<vtkSMProxyListDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetDefaultValues(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyListDomain::SetDefaultValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyListDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyListDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyListDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyListDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyListDomain\nC++: vtkSMProxyListDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyListDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyListDomain\nC++: vtkSMProxyListDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetNumberOfProxyTypes", PyvtkSMProxyListDomain_GetNumberOfProxyTypes, 1,
   (char*)"V.GetNumberOfProxyTypes() -> int\nC++: unsigned int GetNumberOfProxyTypes()\n\nReturns the number of proxies in the domain.\n"},
  {(char*)"GetProxyGroup", PyvtkSMProxyListDomain_GetProxyGroup, 1,
   (char*)"V.GetProxyGroup(int) -> string\nC++: const char *GetProxyGroup(unsigned int index)\n\nReturns the xml group name for the proxy at a given index.\n"},
  {(char*)"GetProxyName", PyvtkSMProxyListDomain_GetProxyName, 1,
   (char*)"V.GetProxyName(int) -> string\nC++: const char *GetProxyName(unsigned int index)\n\nReturns the xml type name for the proxy at a given index.\n"},
  {(char*)"IsInDomain", PyvtkSMProxyListDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\n\nThis always returns true.\n"},
  {(char*)"AddProxy", PyvtkSMProxyListDomain_AddProxy, 1,
   (char*)"V.AddProxy(vtkSMProxy)\nC++: void AddProxy(vtkSMProxy *)\n\nAdd a proxy to the domain.\n"},
  {(char*)"HasProxy", PyvtkSMProxyListDomain_HasProxy, 1,
   (char*)"V.HasProxy(vtkSMProxy) -> bool\nC++: bool HasProxy(vtkSMProxy *)\n\nReturns if the proxy is present in the domain.\n"},
  {(char*)"GetNumberOfProxies", PyvtkSMProxyListDomain_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies() -> int\nC++: unsigned int GetNumberOfProxies()\n\nGet number of proxies in the domain.\n"},
  {(char*)"GetProxy", PyvtkSMProxyListDomain_GetProxy, 1,
   (char*)"V.GetProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy(unsigned int index)\n\nGet proxy at a given index.\n"},
  {(char*)"RemoveProxy", PyvtkSMProxyListDomain_RemoveProxy, 1,
   (char*)"V.RemoveProxy(vtkSMProxy) -> int\nC++: int RemoveProxy(vtkSMProxy *proxy)\nV.RemoveProxy(int) -> int\nC++: int RemoveProxy(unsigned int index)\n\nRemoves the first occurence of the proxy in the domain. Returns\nif the proxy was removed.\n"},
  {(char*)"SetDefaultValues", PyvtkSMProxyListDomain_SetDefaultValues, 1,
   (char*)"V.SetDefaultValues(vtkSMProperty) -> int\nC++: virtual int SetDefaultValues(vtkSMProperty *prop)\n\nA vtkSMProperty is often defined with a default value in the XML\nitself. However, many times, the default value must be determined\nat run time. To facilitate this, domains can override this method\nto compute and set the default value for the property. Note that\nunlike the compile-time default values, the application must\nexplicitly call this method to initialize the property.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyListDomain_StaticNew()
{
  return vtkSMProxyListDomain::New();
}

PyObject *PyVTKClass_vtkSMProxyListDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyListDomain_StaticNew,
    PyvtkSMProxyListDomain_Methods,
    "vtkSMProxyListDomain", modulename,
    NULL, NULL,
    PyvtkSMProxyListDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMProxyListDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyListDomain - union of proxies.\n\n",
    "Superclass: vtkSMDomain\n\n",
    "This domain is a collection of proxies that can be assigned as the\nvalue to a vtkSMProxyProperty. The Server Mananger configuration\ndefines the proxy types that form this list, while the value of this\ndomain is the list of instances of proxies.\n\nSee Also:\n\nvtkSMDomain vtkSMProxyProperty\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyListDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyListDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyListDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

