// python wrapper for vtkSMProxyLocator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyLocator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyLocator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyLocator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyLocatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyLocatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMProxyLocator_Doc();


static PyObject *
PyvtkSMProxyLocator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyLocator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyLocator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  vtkSMProxyLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyLocator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyLocator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyLocator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_LocateProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LocateProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LocateProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyLocator::LocateProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_SetDeserializer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDeserializer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  vtkSMDeserializer *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMDeserializer"))
    {
    if (ap.IsBound())
      {
      op->SetDeserializer(temp0);
      }
    else
      {
      op->vtkSMProxyLocator::SetDeserializer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_GetDeserializer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDeserializer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  vtkSMDeserializer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDeserializer();
      }
    else
      {
      tempr = op->vtkSMProxyLocator::GetDeserializer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyLocator_Clear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Clear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyLocator *op = static_cast<vtkSMProxyLocator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Clear();
      }
    else
      {
      op->vtkSMProxyLocator::Clear();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyLocator_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyLocator\nC++: vtkSMProxyLocator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyLocator\nC++: vtkSMProxyLocator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LocateProxy", PyvtkSMProxyLocator_LocateProxy, 1,
   (char*)"V.LocateProxy(int) -> vtkSMProxy\nC++: virtual vtkSMProxy *LocateProxy(vtkTypeUInt32 globalID)\n\nLocate a proxy with the given \"name\". If none can be found\nreturns NULL. If a proxy with the name was not previously\nlocated, it will ask the Deserializer (if any) to create a new\nproxy is possible.\n"},
  {(char*)"SetDeserializer", PyvtkSMProxyLocator_SetDeserializer, 1,
   (char*)"V.SetDeserializer(vtkSMDeserializer)\nC++: void SetDeserializer(vtkSMDeserializer *)\n\nGet/Set the de-serializer to used to locate XMLs for unknown\nproxies requested to be located using LocateProxy().\n"},
  {(char*)"GetDeserializer", PyvtkSMProxyLocator_GetDeserializer, 1,
   (char*)"V.GetDeserializer() -> vtkSMDeserializer\nC++: vtkSMDeserializer *GetDeserializer()\n\nGet/Set the de-serializer to used to locate XMLs for unknown\nproxies requested to be located using LocateProxy().\n"},
  {(char*)"Clear", PyvtkSMProxyLocator_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear()\n\nClear the locator.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyLocator_StaticNew()
{
  return vtkSMProxyLocator::New();
}

PyObject *PyVTKClass_vtkSMProxyLocatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyLocator_StaticNew,
    PyvtkSMProxyLocator_Methods,
    "vtkSMProxyLocator", modulename,
    NULL, NULL,
    PyvtkSMProxyLocator_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProxyLocator_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyLocator - is used to locate proxies referred to in state\nxmls\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMProxyLocator is used to locate proxies referred to in state xmls\n(and otherwise) when loading state files.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyLocator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyLocatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyLocator", o) != 0)
    {
    Py_DECREF(o);
    }

}

