// python wrapper for vtkSMProxyManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMProxyManager_Doc();


static PyObject *
PyvtkSMProxyManager_GetReservedGlobalID(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetReservedGlobalID");

  unsigned int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMProxyManager::GetReservedGlobalID();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMProxyManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_SetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMSession *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      op->SetSession(temp0);
      }
    else
      {
      op->vtkSMProxyManager::SetSession(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSession();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_NewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  char *temp2 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2, 3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp2)))
    {
    if (ap.IsBound())
      {
      tempr = op->NewProxy(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMProxyManager::NewProxy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxyDocumentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDocumentation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyDocumentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetPropertyDocumentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropertyDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  char *temp2 = NULL;
  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPropertyDocumentation(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetPropertyDocumentation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_RegisterProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkSMProxy *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->RegisterProxy(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyManager::RegisterProxy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_GetProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_GetProxy(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMProxyManager_GetProxy_s1(self, args);
    case 1:
      return PyvtkSMProxyManager_GetProxy_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetProxy");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_GetProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkCollection"))
    {
    if (ap.IsBound())
      {
      op->GetProxies(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyManager::GetProxies(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetPrototypeProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrototypeProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPrototypeProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetPrototypeProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProxies(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetNumberOfProxies(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxyName_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  unsigned int temp1;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyName(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyName(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_GetProxyName_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyName(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyName(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_GetProxyName_Methods[] = {
  {NULL, PyvtkSMProxyManager_GetProxyName_s1, 1,
   (char*)"@zI"},
  {NULL, PyvtkSMProxyManager_GetProxyName_s2, 1,
   (char*)"@zO *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_GetProxyName(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_GetProxyName_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetProxyName");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_GetProxyNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  vtkStringList *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetVTKObject(temp2, "vtkStringList"))
    {
    if (ap.IsBound())
      {
      op->GetProxyNames(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyManager::GetProxyNames(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_IsProxyInGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsProxyInGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->IsProxyInGroup(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::IsProxyInGroup(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkSMProxy *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->UnRegisterProxy(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterProxy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_UnRegisterProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterProxy(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_UnRegisterProxy_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->UnRegisterProxy(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_UnRegisterProxy_Methods[] = {
  {NULL, PyvtkSMProxyManager_UnRegisterProxy_s2, 1,
   (char*)"@z"},
  {NULL, PyvtkSMProxyManager_UnRegisterProxy_s3, 1,
   (char*)"@O *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_UnRegisterProxy(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_UnRegisterProxy_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMProxyManager_UnRegisterProxy_s1(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UnRegisterProxy");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_UnRegisterProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterProxies();
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UpdateRegisteredProxies_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateRegisteredProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  int temp1 = 1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    if (ap.IsBound())
      {
      op->UpdateRegisteredProxies(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::UpdateRegisteredProxies(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_UpdateRegisteredProxies_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateRegisteredProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int temp0 = 1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    if (ap.IsBound())
      {
      op->UpdateRegisteredProxies(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UpdateRegisteredProxies(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_UpdateRegisteredProxies_Methods[] = {
  {NULL, PyvtkSMProxyManager_UpdateRegisteredProxies_s1, 1,
   (char*)"@z|i"},
  {NULL, PyvtkSMProxyManager_UpdateRegisteredProxies_s2, 1,
   (char*)"@|i"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_UpdateRegisteredProxies(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_UpdateRegisteredProxies_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMProxyManager_UpdateRegisteredProxies_s1(self, args);
    case 0:
      return PyvtkSMProxyManager_UpdateRegisteredProxies_s2(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UpdateRegisteredProxies");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_UpdateRegisteredProxiesInOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateRegisteredProxiesInOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int temp0 = 1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    if (ap.IsBound())
      {
      op->UpdateRegisteredProxiesInOrder(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UpdateRegisteredProxiesInOrder(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UpdateProxyInOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateProxyInOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->UpdateProxyInOrder(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UpdateProxyInOrder(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetNumberOfLinks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLinks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLinks();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetNumberOfLinks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetLinkName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLinkName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLinkName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetLinkName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_RegisterLink(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterLink");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMLink *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMLink"))
    {
    if (ap.IsBound())
      {
      op->RegisterLink(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::RegisterLink(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterLink(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterLink");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterLink(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterLink(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetRegisteredLink(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRegisteredLink");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMLink *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRegisteredLink(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetRegisteredLink(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterAllLinks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterAllLinks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterAllLinks();
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterAllLinks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_RegisterCustomProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterCustomProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkPVXMLElement *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->RegisterCustomProxyDefinition(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyManager::RegisterCustomProxyDefinition(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterCustomProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterCustomProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->UnRegisterCustomProxyDefinition(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterCustomProxyDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterCustomProxyDefinitions();
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterCustomProxyDefinitions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxyDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDefinition(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_LoadCustomProxyDefinitions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadCustomProxyDefinitions(temp0);
      }
    else
      {
      op->vtkSMProxyManager::LoadCustomProxyDefinitions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_LoadCustomProxyDefinitions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->LoadCustomProxyDefinitions(temp0);
      }
    else
      {
      op->vtkSMProxyManager::LoadCustomProxyDefinitions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_LoadCustomProxyDefinitions_Methods[] = {
  {NULL, PyvtkSMProxyManager_LoadCustomProxyDefinitions_s1, 1,
   (char*)"@z"},
  {NULL, PyvtkSMProxyManager_LoadCustomProxyDefinitions_s2, 1,
   (char*)"@O *vtkPVXMLElement"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_LoadCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_LoadCustomProxyDefinitions_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "LoadCustomProxyDefinitions");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_SaveCustomProxyDefinitions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveCustomProxyDefinitions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      op->SaveCustomProxyDefinitions(temp0);
      }
    else
      {
      op->vtkSMProxyManager::SaveCustomProxyDefinitions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_LoadXMLState_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMStateLoader *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetVTKObject(temp1, "vtkSMStateLoader")))
    {
    if (ap.IsBound())
      {
      op->LoadXMLState(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::LoadXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_LoadXMLState_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMStateLoader *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      (ap.NoArgsLeft() || ap.GetVTKObject(temp1, "vtkSMStateLoader")))
    {
    if (ap.IsBound())
      {
      op->LoadXMLState(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::LoadXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_LoadXMLState_Methods[] = {
  {NULL, PyvtkSMProxyManager_LoadXMLState_s1, 1,
   (char*)"@z|O *vtkSMStateLoader"},
  {NULL, PyvtkSMProxyManager_LoadXMLState_s2, 1,
   (char*)"@O|O *vtkPVXMLElement *vtkSMStateLoader"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_LoadXMLState(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_LoadXMLState_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "LoadXMLState");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_SaveXMLState_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SaveXMLState(temp0);
      }
    else
      {
      op->vtkSMProxyManager::SaveXMLState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_SaveXMLState_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveXMLState();
      }
    else
      {
      tempr = op->vtkSMProxyManager::SaveXMLState();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_SaveXMLState(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxyManager_SaveXMLState_s1(self, args);
    case 0:
      return PyvtkSMProxyManager_SaveXMLState_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SaveXMLState");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_InstantiateGroupPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InstantiateGroupPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->InstantiateGroupPrototypes(temp0);
      }
    else
      {
      op->vtkSMProxyManager::InstantiateGroupPrototypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_InstantiatePrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InstantiatePrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InstantiatePrototypes();
      }
    else
      {
      op->vtkSMProxyManager::InstantiatePrototypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_HasDefinition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasDefinition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->HasDefinition(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::HasDefinition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_AreProxiesModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AreProxiesModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->AreProxiesModified();
      }
    else
      {
      tempr = op->vtkSMProxyManager::AreProxiesModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxyHints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyHints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyHints(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyHints(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetPropertyHints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropertyHints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  char *temp2 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPropertyHints(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetPropertyHints(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetUpdateInputProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateInputProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateInputProxies();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetUpdateInputProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetVersionMajor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetVersionMajor");

  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMProxyManager::GetVersionMajor();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetVersionMinor(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetVersionMinor");

  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMProxyManager::GetVersionMinor();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetVersionPatch(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetVersionPatch");

  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMProxyManager::GetVersionPatch();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetParaViewSourceVersion(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetParaViewSourceVersion");

  const char *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMProxyManager::GetParaViewSourceVersion();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_RegisterSelectionModel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterSelectionModel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxySelectionModel *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxySelectionModel"))
    {
    if (ap.IsBound())
      {
      op->RegisterSelectionModel(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::RegisterSelectionModel(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_UnRegisterSelectionModel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterSelectionModel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UnRegisterSelectionModel(temp0);
      }
    else
      {
      op->vtkSMProxyManager::UnRegisterSelectionModel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetSelectionModel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionModel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMProxySelectionModel *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionModel(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetSelectionModel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_SetGlobalPropertiesManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlobalPropertiesManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMGlobalPropertiesManager *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMGlobalPropertiesManager"))
    {
    if (ap.IsBound())
      {
      op->SetGlobalPropertiesManager(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyManager::SetGlobalPropertiesManager(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_RemoveGlobalPropertiesManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveGlobalPropertiesManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveGlobalPropertiesManager(temp0);
      }
    else
      {
      op->vtkSMProxyManager::RemoveGlobalPropertiesManager(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetNumberOfGlobalPropertiesManagers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGlobalPropertiesManagers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfGlobalPropertiesManagers();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetNumberOfGlobalPropertiesManagers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetGlobalPropertiesManager_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobalPropertiesManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  unsigned int temp0;
  vtkSMGlobalPropertiesManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlobalPropertiesManager(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetGlobalPropertiesManager(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyManager_GetGlobalPropertiesManager_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobalPropertiesManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  vtkSMGlobalPropertiesManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlobalPropertiesManager(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetGlobalPropertiesManager(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_GetGlobalPropertiesManager_Methods[] = {
  {NULL, PyvtkSMProxyManager_GetGlobalPropertiesManager_s1, 1,
   (char*)"@I"},
  {NULL, PyvtkSMProxyManager_GetGlobalPropertiesManager_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxyManager_GetGlobalPropertiesManager(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxyManager_GetGlobalPropertiesManager_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetGlobalPropertiesManager");
  return NULL;
}



static PyObject *
PyvtkSMProxyManager_GetGlobalPropertiesManagerName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlobalPropertiesManagerName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMGlobalPropertiesManager *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMGlobalPropertiesManager"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlobalPropertiesManagerName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetGlobalPropertiesManagerName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetReaderFactory(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReaderFactory");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMReaderFactory *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReaderFactory();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetReaderFactory();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetWriterFactory(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWriterFactory");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMWriterFactory *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetWriterFactory();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetWriterFactory();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_LoadConfigurationXML(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfigurationXML");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfigurationXML(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyManager::LoadConfigurationXML(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyManager_GetProxyDefinitionManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyDefinitionManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyManager *op = static_cast<vtkSMProxyManager *>(vp);

  vtkSMProxyDefinitionManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyDefinitionManager();
      }
    else
      {
      tempr = op->vtkSMProxyManager::GetProxyDefinitionManager();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyManager_Methods[] = {
  {(char*)"GetReservedGlobalID", PyvtkSMProxyManager_GetReservedGlobalID, 1,
   (char*)"V.GetReservedGlobalID() -> int\nC++: static vtkTypeUInt32 GetReservedGlobalID()\n\nReturn the GlobalID that should be used to refer to the\nProxyManager state\n"},
  {(char*)"GetClassName", PyvtkSMProxyManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyManager\nC++: vtkSMProxyManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyManager\nC++: vtkSMProxyManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetSession", PyvtkSMProxyManager_SetSession, 1,
   (char*)"V.SetSession(vtkSMSession)\nC++: void SetSession(vtkSMSession *)\n\nGet/Set the session on which this proxymanager is working. Note\nthat session is not reference counted.\n"},
  {(char*)"GetSession", PyvtkSMProxyManager_GetSession, 1,
   (char*)"V.GetSession() -> vtkSMSession\nC++: vtkSMSession *GetSession()\n\nGet/Set the session on which this proxymanager is working. Note\nthat session is not reference counted.\n"},
  {(char*)"NewProxy", PyvtkSMProxyManager_NewProxy, 1,
   (char*)"V.NewProxy(string, string, string) -> vtkSMProxy\nC++: vtkSMProxy *NewProxy(const char *groupName,\n    const char *proxyName, const char *subProxyName=NULL)\n\nGiven a group and proxy name, create and return a proxy instance.\nThe user has to delete the proxy when done. NOTE: If this method\nis called from a scripting language, it may not be possible to\ndelete the returned object with Delete. The VTK wrappers handle\nNew and Delete specially and may not allow the deletion of object\ncreated through other methods. Use UnRegister instead.\n"},
  {(char*)"GetProxyDocumentation", PyvtkSMProxyManager_GetProxyDocumentation, 1,
   (char*)"V.GetProxyDocumentation(string, string) -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetProxyDocumentation(\n    const char *groupName, const char *proxyName)\n\nReturns a vtkSMDocumentation object with the documentation for\nthe proxy with given name and group name. Note that the name and\ngroup name are not those with the which the proxy is registered,\nbut those with which the proxy is created i.e. the arguments used\nfor NewProxy().\n"},
  {(char*)"GetPropertyDocumentation", PyvtkSMProxyManager_GetPropertyDocumentation, 1,
   (char*)"V.GetPropertyDocumentation(string, string, string)\n    -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetPropertyDocumentation(\n    const char *groupName, const char *proxyName,\n    const char *propertyName)\n\nReturns a vtkSMDocumentation object with the documentation for\nthe given property of the proxy with given name and group name.\nNote that the name and group name are not those with the which\nthe proxy is registered, but those with which the proxy is\ncreated i.e. the arguments used for NewProxy(). Also, the\nproperty name is the name of an exposed property.\n"},
  {(char*)"RegisterProxy", PyvtkSMProxyManager_RegisterProxy, 1,
   (char*)"V.RegisterProxy(string, string, vtkSMProxy)\nC++: void RegisterProxy(const char *groupname, const char *name,\n    vtkSMProxy *proxy)\n\nUsed to pass the control of the proxy to the manager. The user\ncode can then release its reference count and not care about what\nhappens to the proxy. Managed proxies are deleted at destruction.\nNOTE: The name has to be unique (per group). If not, the existing\nproxy will be replaced (and unregistered). The proxy instances\nare grouped in collections (not necessarily the same as the group\nin the XML configuration file). These collections can be used to\nseparate proxies based on their functionality. For example,\nimplicit planes can be grouped together and the acceptable values\nof a proxy property can be restricted (using a domain) to this\ncollection.\n"},
  {(char*)"GetProxy", PyvtkSMProxyManager_GetProxy, 1,
   (char*)"V.GetProxy(string, string) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy(const char *groupname, const char *name)\nV.GetProxy(string) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy(const char *name)\n\nGiven its name (and group) returns a proxy. If not a managed\nproxy, returns 0.\n"},
  {(char*)"GetProxies", PyvtkSMProxyManager_GetProxies, 1,
   (char*)"V.GetProxies(string, string, vtkCollection)\nC++: void GetProxies(const char *groupname, const char *name,\n    vtkCollection *collection)\n\nReturns all proxies registered under the given group with the\ngiven name. The collection is cleared before the proxies are\nadded to it.\n"},
  {(char*)"GetPrototypeProxy", PyvtkSMProxyManager_GetPrototypeProxy, 1,
   (char*)"V.GetPrototypeProxy(string, string) -> vtkSMProxy\nC++: vtkSMProxy *GetPrototypeProxy(const char *groupname,\n    const char *name)\n\nReturns the prototype proxy for the given type. This method may\ncreate a new prototype proxy, is one does not already exist.\n"},
  {(char*)"GetNumberOfProxies", PyvtkSMProxyManager_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies(string) -> int\nC++: unsigned int GetNumberOfProxies(const char *groupname)\n\nReturns the number of proxies in a group.\n"},
  {(char*)"GetProxyName", PyvtkSMProxyManager_GetProxyName, 1,
   (char*)"V.GetProxyName(string, int) -> string\nC++: const char *GetProxyName(const char *groupname,\n    unsigned int idx)\nV.GetProxyName(string, vtkSMProxy) -> string\nC++: const char *GetProxyName(const char *groupname,\n    vtkSMProxy *proxy)\n\nGiven a group and an index, returns the name of a proxy. NOTE:\nThis operation is slow.\n"},
  {(char*)"GetProxyNames", PyvtkSMProxyManager_GetProxyNames, 1,
   (char*)"V.GetProxyNames(string, vtkSMProxy, vtkStringList)\nC++: void GetProxyNames(const char *groupname, vtkSMProxy *proxy,\n    vtkStringList *names)\n\nGiven a group and a proxy, return all its names. This clears\nthenames list before populating it with the names for the proxy\nunder the group. NOTE: This operation is slow.\n"},
  {(char*)"IsProxyInGroup", PyvtkSMProxyManager_IsProxyInGroup, 1,
   (char*)"V.IsProxyInGroup(vtkSMProxy, string) -> string\nC++: const char *IsProxyInGroup(vtkSMProxy *proxy,\n    const char *groupname)\n\nIs the proxy is in the given group, return it's name, otherwise\nreturn null. NOTE: Any following call to proxy manager might make\nthe returned pointer invalid.\n"},
  {(char*)"UnRegisterProxy", PyvtkSMProxyManager_UnRegisterProxy, 1,
   (char*)"V.UnRegisterProxy(string, string, vtkSMProxy)\nC++: void UnRegisterProxy(const char *groupname, const char *name,\n     vtkSMProxy *)\nV.UnRegisterProxy(string)\nC++: void UnRegisterProxy(const char *name)\nV.UnRegisterProxy(vtkSMProxy)\nC++: void UnRegisterProxy(vtkSMProxy *proxy)\n\nGiven its name, unregisters a proxy and remove it from the list\nof managed proxies.\n"},
  {(char*)"UnRegisterProxies", PyvtkSMProxyManager_UnRegisterProxies, 1,
   (char*)"V.UnRegisterProxies()\nC++: void UnRegisterProxies()\n\nUnregisters all managed proxies.\n"},
  {(char*)"UpdateRegisteredProxies", PyvtkSMProxyManager_UpdateRegisteredProxies, 1,
   (char*)"V.UpdateRegisteredProxies(string, int)\nC++: void UpdateRegisteredProxies(const char *groupname,\n    int modified_only=1)\nV.UpdateRegisteredProxies(int)\nC++: void UpdateRegisteredProxies(int modified_only=1)\n\nCalls UpdateVTKObjects() on all managed proxies. If modified_only\nflag is set, then UpdateVTKObjects will be called only those\nproxies that have any properties that were modifed i.e. not\npushed to the VTK objects.\n"},
  {(char*)"UpdateRegisteredProxiesInOrder", PyvtkSMProxyManager_UpdateRegisteredProxiesInOrder, 1,
   (char*)"V.UpdateRegisteredProxiesInOrder(int)\nC++: void UpdateRegisteredProxiesInOrder(int modified_only=1)\n\nUpdates all registered proxies in order, respecting dependencies\namong each other. This is used after loading state or after\ninstantiating a compound proxy. This uses the\n\"UpdateInputProxies\" flag which vtkSMProxy checks in\nUpdateVTKObjects() to call UpdateVTKObjects() on the input\nproxies as well if the flag is set.\n"},
  {(char*)"UpdateProxyInOrder", PyvtkSMProxyManager_UpdateProxyInOrder, 1,
   (char*)"V.UpdateProxyInOrder(vtkSMProxy)\nC++: void UpdateProxyInOrder(vtkSMProxy *proxy)\n\nUpdates all registered proxies in order, respecting dependencies\namong each other. This is used after loading state or after\ninstantiating a compound proxy. This uses the\n\"UpdateInputProxies\" flag which vtkSMProxy checks in\nUpdateVTKObjects() to call UpdateVTKObjects() on the input\nproxies as well if the flag is set.\n"},
  {(char*)"GetNumberOfLinks", PyvtkSMProxyManager_GetNumberOfLinks, 1,
   (char*)"V.GetNumberOfLinks() -> int\nC++: int GetNumberOfLinks()\n\nGet the number of registered links with the server manager.\n"},
  {(char*)"GetLinkName", PyvtkSMProxyManager_GetLinkName, 1,
   (char*)"V.GetLinkName(int) -> string\nC++: const char *GetLinkName(int index)\n\nGet the name of a link.\n"},
  {(char*)"RegisterLink", PyvtkSMProxyManager_RegisterLink, 1,
   (char*)"V.RegisterLink(string, vtkSMLink)\nC++: void RegisterLink(const char *linkname, vtkSMLink *link)\n\nRegister proxy/property links with the server manager. The\nlinknames must be unique, if a link with the given name already\nexists, it will be replaced.\n"},
  {(char*)"UnRegisterLink", PyvtkSMProxyManager_UnRegisterLink, 1,
   (char*)"V.UnRegisterLink(string)\nC++: void UnRegisterLink(const char *linkname)\n\nUnregister a proxy or property link previously registered with\nthe given name.\n"},
  {(char*)"GetRegisteredLink", PyvtkSMProxyManager_GetRegisteredLink, 1,
   (char*)"V.GetRegisteredLink(string) -> vtkSMLink\nC++: vtkSMLink *GetRegisteredLink(const char *linkname)\n\nGet the link registered with the given name. If no such link\nexists, returns NULL.\n"},
  {(char*)"UnRegisterAllLinks", PyvtkSMProxyManager_UnRegisterAllLinks, 1,
   (char*)"V.UnRegisterAllLinks()\nC++: void UnRegisterAllLinks()\n\nUnregister all registered proxy/property links.\n"},
  {(char*)"RegisterCustomProxyDefinition", PyvtkSMProxyManager_RegisterCustomProxyDefinition, 1,
   (char*)"V.RegisterCustomProxyDefinition(string, string, vtkPVXMLElement)\nC++: void RegisterCustomProxyDefinition(const char *group,\n    const char *name, vtkPVXMLElement *top)\n\nRegister a custom proxy definition with the proxy manager. This\ncan be a compound proxy definition (look at\nvtkSMCompoundSourceProxy.h) or a regular proxy definition. For\nall practical purposes, there's no difference between a proxy\ndefinition added using this method or by parsing a server manager\nconfiguration file.\n"},
  {(char*)"UnRegisterCustomProxyDefinition", PyvtkSMProxyManager_UnRegisterCustomProxyDefinition, 1,
   (char*)"V.UnRegisterCustomProxyDefinition(string, string)\nC++: void UnRegisterCustomProxyDefinition(const char *group,\n    const char *name)\n\nGiven its name, unregisters a custom proxy definition. Note that\nthis can only be used to remove definitions added using\nRegisterCustomProxyDefinition(), cannot be used to remove\ndefinitions loaded using vtkSMXMLParser.\n"},
  {(char*)"UnRegisterCustomProxyDefinitions", PyvtkSMProxyManager_UnRegisterCustomProxyDefinitions, 1,
   (char*)"V.UnRegisterCustomProxyDefinitions()\nC++: void UnRegisterCustomProxyDefinitions()\n\nUnregisters all registered custom proxy definitions. Note that\nthis can only be used to remove definitions added using\nRegisterCustomProxyDefinition(), cannot be used to remove\ndefinitions loaded using vtkSMXMLParser.\n"},
  {(char*)"GetProxyDefinition", PyvtkSMProxyManager_GetProxyDefinition, 1,
   (char*)"V.GetProxyDefinition(string, string) -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetProxyDefinition(const char *group,\n    const char *name)\n\nReturns a registered proxy definition.\n"},
  {(char*)"LoadCustomProxyDefinitions", PyvtkSMProxyManager_LoadCustomProxyDefinitions, 1,
   (char*)"V.LoadCustomProxyDefinitions(string)\nC++: void LoadCustomProxyDefinitions(const char *filename)\nV.LoadCustomProxyDefinitions(vtkPVXMLElement)\nC++: void LoadCustomProxyDefinitions(vtkPVXMLElement *root)\n\nLoad custom proxy definitions and register them.\n"},
  {(char*)"SaveCustomProxyDefinitions", PyvtkSMProxyManager_SaveCustomProxyDefinitions, 1,
   (char*)"V.SaveCustomProxyDefinitions(vtkPVXMLElement)\nC++: void SaveCustomProxyDefinitions(vtkPVXMLElement *root)\n\nSave registered custom proxy definitions.\n"},
  {(char*)"LoadXMLState", PyvtkSMProxyManager_LoadXMLState, 1,
   (char*)"V.LoadXMLState(string, vtkSMStateLoader)\nC++: void LoadXMLState(const char *filename,\n    vtkSMStateLoader *loader=NULL)\nV.LoadXMLState(vtkPVXMLElement, vtkSMStateLoader)\nC++: void LoadXMLState(vtkPVXMLElement *rootElement,\n    vtkSMStateLoader *loader=NULL)\n\nLoads the state of the server manager from XML. If loader is not\nspecified, a vtkSMStateLoader instance is used.\n"},
  {(char*)"SaveXMLState", PyvtkSMProxyManager_SaveXMLState, 1,
   (char*)"V.SaveXMLState(string)\nC++: void SaveXMLState(const char *filename)\nV.SaveXMLState() -> vtkPVXMLElement\nC++: vtkPVXMLElement *SaveXMLState()\n\nSave the state of the server manager in XML format in a file.\nThis saves the state of all proxies and properties.\n"},
  {(char*)"InstantiateGroupPrototypes", PyvtkSMProxyManager_InstantiateGroupPrototypes, 1,
   (char*)"V.InstantiateGroupPrototypes(string)\nC++: void InstantiateGroupPrototypes(const char *groupName)\n\nGiven a group name, create prototypes and store them in a\ninstance group called groupName_prototypes. Prototypes have their\nConnectionID set to the SelfConnection.\n"},
  {(char*)"InstantiatePrototypes", PyvtkSMProxyManager_InstantiatePrototypes, 1,
   (char*)"V.InstantiatePrototypes()\nC++: void InstantiatePrototypes()\n\nCreates protytpes for all known proxy types.\n"},
  {(char*)"HasDefinition", PyvtkSMProxyManager_HasDefinition, 1,
   (char*)"V.HasDefinition(string, string) -> bool\nC++: bool HasDefinition(const char *groupName,\n    const char *proxyName)\n\nReturn true if the XML Definition was found by\nvtkSMProxyDefinitionManager\n"},
  {(char*)"AreProxiesModified", PyvtkSMProxyManager_AreProxiesModified, 1,
   (char*)"V.AreProxiesModified() -> int\nC++: int AreProxiesModified()\n\nGet if there are any registered proxies that have their\nproperties in a modified state.\n"},
  {(char*)"GetProxyHints", PyvtkSMProxyManager_GetProxyHints, 1,
   (char*)"V.GetProxyHints(string, string) -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetProxyHints(const char *xmlgroup,\n    const char *xmlname)\n\nThe server manager configuration XML may define <Hints /> element\nfor a proxy/property. Hints are metadata associated with the\nproxy/property. The Server Manager does not (and should not)\ninterpret the hints. Hints provide a mechanism to add GUI\npertinant information to the server manager XML.  Returns the XML\nelement for the hints associated with this proxy/property, if\nany, otherwise returns NULL.\n"},
  {(char*)"GetPropertyHints", PyvtkSMProxyManager_GetPropertyHints, 1,
   (char*)"V.GetPropertyHints(string, string, string) -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetPropertyHints(const char *groupName,\n    const char *proxyName, const char *propertyName)\n\nThe server manager configuration XML may define <Hints /> element\nfor a proxy/property. Hints are metadata associated with the\nproxy/property. The Server Manager does not (and should not)\ninterpret the hints. Hints provide a mechanism to add GUI\npertinant information to the server manager XML.  Returns the XML\nelement for the hints associated with this proxy/property, if\nany, otherwise returns NULL.\n"},
  {(char*)"GetUpdateInputProxies", PyvtkSMProxyManager_GetUpdateInputProxies, 1,
   (char*)"V.GetUpdateInputProxies() -> int\nC++: int GetUpdateInputProxies()\n\nCheck if UpdateInputProxies flag is set. This is used after\nloading state or after instantiating a compound proxy. This uses\nthe \"UpdateInputProxies\" flag which vtkSMProxy checks in\nUpdateVTKObjects() to call UpdateVTKObjects() on the input\nproxies as well if the flag is set.\n"},
  {(char*)"GetVersionMajor", PyvtkSMProxyManager_GetVersionMajor, 1,
   (char*)"V.GetVersionMajor() -> int\nC++: static int GetVersionMajor()\n\nThese methods can be used to obtain the ProxyManager version\nnumber. Returns the major version number eg. if version is 2.9.1\nthis method will return 2.\n"},
  {(char*)"GetVersionMinor", PyvtkSMProxyManager_GetVersionMinor, 1,
   (char*)"V.GetVersionMinor() -> int\nC++: static int GetVersionMinor()\n\nThese methods can be used to obtain the ProxyManager version\nnumber. Returns the minor version number eg. if version is 2.9.1\nthis method will return 9.\n"},
  {(char*)"GetVersionPatch", PyvtkSMProxyManager_GetVersionPatch, 1,
   (char*)"V.GetVersionPatch() -> int\nC++: static int GetVersionPatch()\n\nThese methods can be used to obtain the ProxyManager version\nnumber. Returns the patch version number eg. if version is 2.9.1\nthis method will return 1.\n"},
  {(char*)"GetParaViewSourceVersion", PyvtkSMProxyManager_GetParaViewSourceVersion, 1,
   (char*)"V.GetParaViewSourceVersion() -> string\nC++: static const char *GetParaViewSourceVersion()\n\nReturns a string with the format \"paraview version x.x.x, Date:\nYYYY-MM-DD\"\n"},
  {(char*)"RegisterSelectionModel", PyvtkSMProxyManager_RegisterSelectionModel, 1,
   (char*)"V.RegisterSelectionModel(string, vtkSMProxySelectionModel)\nC++: void RegisterSelectionModel(const char *name,\n    vtkSMProxySelectionModel *)\n\nRegister/UnRegister a selection model. A selection model can be\ntypically used by applications to keep track of active sources,\nfilters, views etc.\n"},
  {(char*)"UnRegisterSelectionModel", PyvtkSMProxyManager_UnRegisterSelectionModel, 1,
   (char*)"V.UnRegisterSelectionModel(string)\nC++: void UnRegisterSelectionModel(const char *name)\n\nRegister/UnRegister a selection model. A selection model can be\ntypically used by applications to keep track of active sources,\nfilters, views etc.\n"},
  {(char*)"GetSelectionModel", PyvtkSMProxyManager_GetSelectionModel, 1,
   (char*)"V.GetSelectionModel(string) -> vtkSMProxySelectionModel\nC++: vtkSMProxySelectionModel *GetSelectionModel(const char *name)\n\nGet a registered selection model. Will return null if no such\nmodel is registered.\n"},
  {(char*)"SetGlobalPropertiesManager", PyvtkSMProxyManager_SetGlobalPropertiesManager, 1,
   (char*)"V.SetGlobalPropertiesManager(string, vtkSMGlobalPropertiesManager)\nC++: void SetGlobalPropertiesManager(const char *name,\n    vtkSMGlobalPropertiesManager *)\n\nParaView has notion of \"global properties\". These are application\nwide properties such as foreground color, text color etc.\nChanging values of these properties affects all objects that are\nlinked to these properties. This class provides convenient API to\nsetup/remove such links.\n"},
  {(char*)"RemoveGlobalPropertiesManager", PyvtkSMProxyManager_RemoveGlobalPropertiesManager, 1,
   (char*)"V.RemoveGlobalPropertiesManager(string)\nC++: void RemoveGlobalPropertiesManager(const char *name)\n\nParaView has notion of \"global properties\". These are application\nwide properties such as foreground color, text color etc.\nChanging values of these properties affects all objects that are\nlinked to these properties. This class provides convenient API to\nsetup/remove such links.\n"},
  {(char*)"GetNumberOfGlobalPropertiesManagers", PyvtkSMProxyManager_GetNumberOfGlobalPropertiesManagers, 1,
   (char*)"V.GetNumberOfGlobalPropertiesManagers() -> int\nC++: unsigned int GetNumberOfGlobalPropertiesManagers()\n\nAccessors for global properties managers.\n"},
  {(char*)"GetGlobalPropertiesManager", PyvtkSMProxyManager_GetGlobalPropertiesManager, 1,
   (char*)"V.GetGlobalPropertiesManager(int) -> vtkSMGlobalPropertiesManager\nC++: vtkSMGlobalPropertiesManager *GetGlobalPropertiesManager(\n    unsigned int index)\nV.GetGlobalPropertiesManager(string)\n    -> vtkSMGlobalPropertiesManager\nC++: vtkSMGlobalPropertiesManager *GetGlobalPropertiesManager(\n    const char *name)\n\nAccessors for global properties managers.\n"},
  {(char*)"GetGlobalPropertiesManagerName", PyvtkSMProxyManager_GetGlobalPropertiesManagerName, 1,
   (char*)"V.GetGlobalPropertiesManagerName(vtkSMGlobalPropertiesManager)\n    -> string\nC++: const char *GetGlobalPropertiesManagerName(\n    vtkSMGlobalPropertiesManager *)\n\nAccessors for global properties managers.\n"},
  {(char*)"GetReaderFactory", PyvtkSMProxyManager_GetReaderFactory, 1,
   (char*)"V.GetReaderFactory() -> vtkSMReaderFactory\nC++: vtkSMReaderFactory *GetReaderFactory()\n\nProvides access to the reader factory. Before using the reader\nfactory, it is essential that it's configured correctly.\n"},
  {(char*)"GetWriterFactory", PyvtkSMProxyManager_GetWriterFactory, 1,
   (char*)"V.GetWriterFactory() -> vtkSMWriterFactory\nC++: vtkSMWriterFactory *GetWriterFactory()\n\nProvides access to the writer factory. Before using the reader\nfactory, it is essential that it's configured correctly.\n"},
  {(char*)"LoadConfigurationXML", PyvtkSMProxyManager_LoadConfigurationXML, 1,
   (char*)"V.LoadConfigurationXML(string) -> bool\nC++: bool LoadConfigurationXML(const char *xmlcontents)\n\nLoads server-manager configuration xml.\n"},
  {(char*)"GetProxyDefinitionManager", PyvtkSMProxyManager_GetProxyDefinitionManager, 1,
   (char*)"V.GetProxyDefinitionManager() -> vtkSMProxyDefinitionManager\nC++: vtkSMProxyDefinitionManager *GetProxyDefinitionManager()\n\nGet the proxy definition manager. Proxy definition manager\nmaintains all the information about proxy definitions.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyManager_StaticNew()
{
  return vtkSMProxyManager::New();
}

PyObject *PyVTKClass_vtkSMProxyManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyManager_StaticNew,
    PyvtkSMProxyManager_Methods,
    "vtkSMProxyManager", modulename,
    NULL, NULL,
    PyvtkSMProxyManager_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProxyManager_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyManager - singleton responsible for creating and managing\nproxies\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMProxyManager is a singleton that creates and manages proxies. It\nmaintains a map of XML elements (populated by the XML parser) from\nwhich it can create and initialize proxies and properties. Once a\nproxy is created, it can either be managed by the user code or the\nproxy manager. For latter, pass the control of the proxy to the\nmanager with RegisterProxy() and unregister it. At destruction, pr",
    "oxy\nmanager deletes all managed proxies.\n\nvtkSMProxyManager is designed to work with one active session at a\ntime. When a session closes, it cleans up the proxy manager that\nreleases known definitions as well as registered proxies. When a new\nsession is established it updates the definitions and is the ready to\ncreate new proxies.\n\nSee Also:\n\nvtkSMProxyDefinitionManager\n\nBasic XML Proxy definition",
    " documentation:\n\n------------- Proxy definition ------------- <SourceProxy            \n      => Will create vtkSM + SourceProxy class name=\"SphereSource\"   \n => Key used to create the proxy class=\"vtkSphereSource\" => Concreate\nvtkClass that do the real job label=\"Sphere\">         => Nice name\n    used in menu and python shell\n\n----------- Property definition ----------- <DoubleVectorProperty    \n ",
    "  => Will create vtkSM + DoubleVectorProperty and vtkSI +\n    DoubleVectorProperty class by default. name=\"Center\"           =>\nName of the property: vtkPropertyHelper(proxy, \"Center\").Set(0,1,2)\n    command=\"SetCenter\"     => Real method name that will be called\n    on vtkObject when the property will be updated.\n    number_of_elements=\"3\"  => Size of the vector animateable=\"1\"    \n    => Tell th",
    "e animation view that property can be used as an\n    evolving property default_values=\"0 0 0\"> => The value that will\n    be set at the </DoubleVectorProperty>         construction to the\nVTK object </SourceProxy>\n\nFor custom behaviour the user can add some extra attributes:\n\n- We can specify a custom SIProperty class to handle in a custom way\n  the data on the server. <StringVectorProperty       ",
    "   =>\n  vtkSMStringVectorProperty class name=\"ElementBlocksInfo\"    =>\n  Property name information_only=\"1\"        => Can only be used to\n  fecth data si_class=\"vtkSISILProperty\" => Class name to instanciate\non the other side subtree=\"Blocks\"/>          => Extra attribute used\nby vtkSISILProperty\n\n- We can trigger after any update a command to be executed <Proxy\n  name=\"LookupTable\" class=\"vtkLook",
    "upTable\" post_push=\"Build\"      \n  => The method Build() will be called each time a new property value\nis pushed to the VTK object.\n  processes=\"dataserver|renderserver|client\" >\n\n- We can force any property to push its value as soon has it get\n  changed <Property name=\"ResetFieldCriteria\"\n  command=\"ResetFieldCriteria\" immediate_update=\"1\">     => Modifying\nthe property will result of a push of i",
    "t and the execution of the\n  command on the vtkObject.\n\n- To show a source proxy or a filter inside the menu of ParaView we\n  use a hint <SourceProxy ...> <Hints> <ShowInGUI                  \n  => The category attribute allow to category=\"PersoFilter\"/>   \n  specify in which sub-menu this proxy should be in. (optional)\n  </Hints> </SourceProxy>\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

