// python wrapper for vtkSMProxyProperty
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxyProperty.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxyProperty(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxyProperty(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyPropertyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyPropertyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMPropertyNew
extern "C" { PyObject *PyVTKClass_vtkSMPropertyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMPropertyNew
#endif

static const char **PyvtkSMProxyProperty_Doc();


static PyObject *
PyvtkSMProxyProperty_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxyProperty::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxyProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxyProperty::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxyProperty *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxyProperty::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_AddProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->AddProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::AddProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyProperty_AddProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->AddProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::AddProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyProperty_AddProxy(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxyProperty_AddProxy_s1(self, args);
    case 2:
      return PyvtkSMProxyProperty_AddProxy_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "AddProxy");
  return NULL;
}



static PyObject *
PyvtkSMProxyProperty_RemoveProxy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->RemoveProxy(temp0);
      }
    else
      {
      op->vtkSMProxyProperty::RemoveProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyProperty_RemoveProxy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::RemoveProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxyProperty_RemoveProxy(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxyProperty_RemoveProxy_s1(self, args);
    case 2:
      return PyvtkSMProxyProperty_RemoveProxy_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "RemoveProxy");
  return NULL;
}



static PyObject *
PyvtkSMProxyProperty_SetProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->SetProxy(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::SetProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_IsProxyAdded(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsProxyAdded");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsProxyAdded(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::IsProxyAdded(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_AddUncheckedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddUncheckedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->AddUncheckedProxy(temp0);
      }
    else
      {
      op->vtkSMProxyProperty::AddUncheckedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_RemoveUncheckedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveUncheckedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProxy *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->RemoveUncheckedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::RemoveUncheckedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_SetUncheckedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUncheckedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->SetUncheckedProxy(temp0, temp1);
      }
    else
      {
      op->vtkSMProxyProperty::SetUncheckedProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_RemoveAllUncheckedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllUncheckedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllUncheckedProxies();
      }
    else
      {
      op->vtkSMProxyProperty::RemoveAllUncheckedProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_RemoveAllProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllProxies();
      }
    else
      {
      op->vtkSMProxyProperty::RemoveAllProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_SetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfProxies(temp0);
      }
    else
      {
      op->vtkSMProxyProperty::SetNumberOfProxies(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_GetNumberOfProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProxies();
      }
    else
      {
      tempr = op->vtkSMProxyProperty::GetNumberOfProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_GetNumberOfUncheckedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfUncheckedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfUncheckedProxies();
      }
    else
      {
      tempr = op->vtkSMProxyProperty::GetNumberOfUncheckedProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_GetProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::GetProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_GetUncheckedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUncheckedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUncheckedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxyProperty::GetUncheckedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_Copy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0);
      }
    else
      {
      op->vtkSMProxyProperty::Copy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxyProperty_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxyProperty *op = static_cast<vtkSMProxyProperty *>(vp);

  vtkSMProperty *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxyProperty::DeepCopy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxyProperty_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxyProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxyProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxyProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxyProperty\nC++: vtkSMProxyProperty *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxyProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxyProperty\nC++: vtkSMProxyProperty *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddProxy", PyvtkSMProxyProperty_AddProxy, 1,
   (char*)"V.AddProxy(vtkSMProxy) -> int\nC++: virtual int AddProxy(vtkSMProxy *proxy)\nV.AddProxy(vtkSMProxy, int) -> int\nC++: virtual int AddProxy(vtkSMProxy *proxy, int modify)\n\nAdd a proxy to the list of proxies.\n"},
  {(char*)"RemoveProxy", PyvtkSMProxyProperty_RemoveProxy, 1,
   (char*)"V.RemoveProxy(vtkSMProxy)\nC++: virtual void RemoveProxy(vtkSMProxy *proxy)\nV.RemoveProxy(vtkSMProxy, int) -> int\nC++: virtual unsigned int RemoveProxy(vtkSMProxy *proxy,\n    int modify)\n\nAdd a proxy to the list of proxies.\n"},
  {(char*)"SetProxy", PyvtkSMProxyProperty_SetProxy, 1,
   (char*)"V.SetProxy(int, vtkSMProxy) -> int\nC++: virtual int SetProxy(unsigned int idx, vtkSMProxy *proxy)\n\nAdd a proxy to the list of proxies.\n"},
  {(char*)"IsProxyAdded", PyvtkSMProxyProperty_IsProxyAdded, 1,
   (char*)"V.IsProxyAdded(vtkSMProxy) -> bool\nC++: bool IsProxyAdded(vtkSMProxy *proxy)\n\nReturns if the given proxy is already added to the property.\n"},
  {(char*)"AddUncheckedProxy", PyvtkSMProxyProperty_AddUncheckedProxy, 1,
   (char*)"V.AddUncheckedProxy(vtkSMProxy)\nC++: virtual void AddUncheckedProxy(vtkSMProxy *proxy)\n\nAdd an unchecked proxy. Does not modify the property. Unchecked\nproxies are used by domains when verifying whether a value is\nacceptable. To check if a value is in the domains, you can do the\nfollowing:\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n \n"},
  {(char*)"RemoveUncheckedProxy", PyvtkSMProxyProperty_RemoveUncheckedProxy, 1,
   (char*)"V.RemoveUncheckedProxy(vtkSMProxy) -> int\nC++: virtual unsigned int RemoveUncheckedProxy(vtkSMProxy *proxy)\n\nAdd an unchecked proxy. Does not modify the property. Unchecked\nproxies are used by domains when verifying whether a value is\nacceptable. To check if a value is in the domains, you can do the\nfollowing:\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n \n"},
  {(char*)"SetUncheckedProxy", PyvtkSMProxyProperty_SetUncheckedProxy, 1,
   (char*)"V.SetUncheckedProxy(int, vtkSMProxy)\nC++: virtual void SetUncheckedProxy(unsigned int idx,\n    vtkSMProxy *proxy)\n\nAdd an unchecked proxy. Does not modify the property. Unchecked\nproxies are used by domains when verifying whether a value is\nacceptable. To check if a value is in the domains, you can do the\nfollowing:\n - RemoveAllUncheckedProxies()\n - AddUncheckedProxy(proxy)\n - IsInDomains()\n \n"},
  {(char*)"RemoveAllUncheckedProxies", PyvtkSMProxyProperty_RemoveAllUncheckedProxies, 1,
   (char*)"V.RemoveAllUncheckedProxies()\nC++: virtual void RemoveAllUncheckedProxies()\n\nRemoves all unchecked proxies.\n"},
  {(char*)"RemoveAllProxies", PyvtkSMProxyProperty_RemoveAllProxies, 1,
   (char*)"V.RemoveAllProxies()\nC++: virtual void RemoveAllProxies()\n\nRemove all proxies from the list.\n"},
  {(char*)"SetNumberOfProxies", PyvtkSMProxyProperty_SetNumberOfProxies, 1,
   (char*)"V.SetNumberOfProxies(int)\nC++: virtual void SetNumberOfProxies(unsigned int num)\n\nSets the number of proxies. If the new number is greater than the\ncurrent number of proxies, then NULL will be inserted.\n"},
  {(char*)"GetNumberOfProxies", PyvtkSMProxyProperty_GetNumberOfProxies, 1,
   (char*)"V.GetNumberOfProxies() -> int\nC++: unsigned int GetNumberOfProxies()\n\nReturns the number of proxies.\n"},
  {(char*)"GetNumberOfUncheckedProxies", PyvtkSMProxyProperty_GetNumberOfUncheckedProxies, 1,
   (char*)"V.GetNumberOfUncheckedProxies() -> int\nC++: unsigned int GetNumberOfUncheckedProxies()\n\nReturns the number of unchecked proxies.\n"},
  {(char*)"GetProxy", PyvtkSMProxyProperty_GetProxy, 1,
   (char*)"V.GetProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetProxy(unsigned int idx)\n\nReturn a proxy. No bounds check is performed.\n"},
  {(char*)"GetUncheckedProxy", PyvtkSMProxyProperty_GetUncheckedProxy, 1,
   (char*)"V.GetUncheckedProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetUncheckedProxy(unsigned int idx)\n\nReturn a proxy. No bounds check is performed.\n"},
  {(char*)"Copy", PyvtkSMProxyProperty_Copy, 1,
   (char*)"V.Copy(vtkSMProperty)\nC++: virtual void Copy(vtkSMProperty *src)\n\nCopy all property values.\n"},
  {(char*)"DeepCopy", PyvtkSMProxyProperty_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSMProperty, string, int)\nC++: virtual void DeepCopy(vtkSMProperty *src,\n    const char *exceptionClass, int proxyPropertyCopyFlag)\n\nCopy all proxies added to the src over to this by creating new\ninstances for the proxies and inturn calling Copy to copy the\nproxies. exceptionClass and proxyPropertyCopyFlag are used while\ncopying over the values from the two proxy properties.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxyProperty_StaticNew()
{
  return vtkSMProxyProperty::New();
}

PyObject *PyVTKClass_vtkSMProxyPropertyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxyProperty_StaticNew,
    PyvtkSMProxyProperty_Methods,
    "vtkSMProxyProperty", modulename,
    NULL, NULL,
    PyvtkSMProxyProperty_Doc(),
    PyVTKClass_vtkSMPropertyNew(modulename));
  return cls;
}

const char **PyvtkSMProxyProperty_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxyProperty - property representing pointer(s) to vtkObject(s)\n\n",
    "Superclass: vtkSMProperty\n\n",
    "vtkSMProxyProperty is a concrete sub-class of vtkSMProperty\nrepresenting pointer(s) to vtkObject(s) (through vtkSMProxy). If\nUpdateSelf is true, the proxy ids (as opposed to the server object\nids) are passed to the stream. Note: This property connects two\nproxies: proxy A (to which this property belongs) and proxy B (or\nmore) (which is to be proxy A by using this property). The way this\nis set dep",
    "ends on the number of IDs of the two proxies. If A and B\nhave same number of IDs, the vtkObject represented by i'th ID on B is\nset on the server object represented by i'th ID on A. If A has 1 ID\nand B has more than one, than all IDs in B are set on A one after the\nother. If B has 1 ID and A has more than one, than vtkObject\nrepresented by B is set on all the server objects of A.\n\nProxyProperty sup",
    "ports attribute \"remove_command\". Note that if\nRemoveCommand is set,  the clean_command is ignored. When\nRemoveCommand is set, only the changes in the proxies (by\nAddProxy/RemoveProxy) are progaated to servers .ie. those proxies not\npresent in the previous call to AppendCommandToStream are set on the\nservers using this->Command and those missing during current call are\nremoved from the servers usi",
    "ng this->RemoveCommand. Note that a\nproperty with \"RemoveCommand\" set should not be shared among more\nthan 1 proxies.\n\nTODO: Update comment\n\nSee Also:\n\nvtkSMProperty\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxyProperty(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyPropertyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxyProperty", o) != 0)
    {
    Py_DECREF(o);
    }

}

