// python wrapper for vtkSMProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMRemoteObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMRemoteObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMRemoteObjectNew
#endif

static const char **PyvtkSMProxy_Doc();


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *
PyvtkSMProxy_SetServers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetServers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetServers(temp0);
      }
    else
      {
      op->vtkSMProxy::SetServers(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *
PyvtkSMProxy_GetServers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServers();
      }
    else
      {
      tempr = op->vtkSMProxy::GetServers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *
PyvtkSMProxy_GetConnectionID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConnectionID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConnectionID();
      }
    else
      {
      tempr = op->vtkSMProxy::GetConnectionID();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *
PyvtkSMProxy_SetConnectionID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConnectionID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetConnectionID(temp0);
      }
    else
      {
      op->vtkSMProxy::SetConnectionID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}
#endif


static PyObject *
PyvtkSMProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_SetLocation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLocation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLocation(temp0);
      }
    else
      {
      op->vtkSMProxy::SetLocation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProperty(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_GetProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  int temp1;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProperty(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxy::GetProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_GetProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxy_GetProperty_s1(self, args);
    case 2:
      return PyvtkSMProxy_GetProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetProperty");
  return NULL;
}



static PyObject *
PyvtkSMProxy_GetPropertyName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPropertyName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProperty *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPropertyName(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetPropertyName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_UpdateVTKObjects(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateVTKObjects");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateVTKObjects();
      }
    else
      {
      op->vtkSMProxy::UpdateVTKObjects();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_UpdateProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->UpdateProperty(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::UpdateProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_UpdateProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  int temp1;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->UpdateProperty(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxy::UpdateProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_UpdateProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxy_UpdateProperty_s1(self, args);
    case 2:
      return PyvtkSMProxy_UpdateProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UpdateProperty");
  return NULL;
}



static PyObject *
PyvtkSMProxy_InvokeCommand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvokeCommand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->InvokeCommand(temp0);
      }
    else
      {
      op->vtkSMProxy::InvokeCommand(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetVTKClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVTKClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVTKClassName();
      }
    else
      {
      tempr = op->vtkSMProxy::GetVTKClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_SetVTKClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVTKClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVTKClassName(temp0);
      }
    else
      {
      op->vtkSMProxy::SetVTKClassName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_NewPropertyIterator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewPropertyIterator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMPropertyIterator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewPropertyIterator();
      }
    else
      {
      tempr = op->vtkSMProxy::NewPropertyIterator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetNumberOfConsumers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfConsumers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfConsumers();
      }
    else
      {
      tempr = op->vtkSMProxy::GetNumberOfConsumers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetConsumerProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConsumerProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConsumerProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetConsumerProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetConsumerProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConsumerProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConsumerProperty(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetConsumerProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetNumberOfProducers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProducers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProducers();
      }
    else
      {
      tempr = op->vtkSMProxy::GetNumberOfProducers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetProducerProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProducerProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProducerProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetProducerProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetProducerProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProducerProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  unsigned int temp0;
  vtkSMProperty *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProducerProperty(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GetProducerProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetXMLName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLName();
      }
    else
      {
      tempr = op->vtkSMProxy::GetXMLName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetXMLGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLGroup();
      }
    else
      {
      tempr = op->vtkSMProxy::GetXMLGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetXMLLabel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXMLLabel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXMLLabel();
      }
    else
      {
      tempr = op->vtkSMProxy::GetXMLLabel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_UpdatePropertyInformation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePropertyInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePropertyInformation();
      }
    else
      {
      op->vtkSMProxy::UpdatePropertyInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_UpdatePropertyInformation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePropertyInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      op->UpdatePropertyInformation(temp0);
      }
    else
      {
      op->vtkSMProxy::UpdatePropertyInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_UpdatePropertyInformation(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMProxy_UpdatePropertyInformation_s1(self, args);
    case 1:
      return PyvtkSMProxy_UpdatePropertyInformation_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UpdatePropertyInformation");
  return NULL;
}



static PyObject *
PyvtkSMProxy_MarkAllPropertiesAsModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkAllPropertiesAsModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MarkAllPropertiesAsModified();
      }
    else
      {
      op->vtkSMProxy::MarkAllPropertiesAsModified();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_Copy_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0);
      }
    else
      {
      op->vtkSMProxy::Copy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_Copy_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0, temp1);
      }
    else
      {
      op->vtkSMProxy::Copy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_Copy_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Copy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->Copy(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMProxy::Copy(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_Copy(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxy_Copy_s1(self, args);
    case 2:
      return PyvtkSMProxy_Copy_s2(self, args);
    case 3:
      return PyvtkSMProxy_Copy_s3(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Copy");
  return NULL;
}



static PyObject *
PyvtkSMProxy_MarkModified(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkModified");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->MarkModified(temp0);
      }
    else
      {
      op->vtkSMProxy::MarkModified(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetDocumentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDocumentation();
      }
    else
      {
      tempr = op->vtkSMProxy::GetDocumentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetHints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHints();
      }
    else
      {
      tempr = op->vtkSMProxy::GetHints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetObjectsCreated(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetObjectsCreated");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetObjectsCreated();
      }
    else
      {
      tempr = op->vtkSMProxy::GetObjectsCreated();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_InitializeAndCopyFromProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializeAndCopyFromProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->InitializeAndCopyFromProxy(temp0);
      }
    else
      {
      op->vtkSMProxy::InitializeAndCopyFromProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_MarkDirty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkDirty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->MarkDirty(temp0);
      }
    else
      {
      op->vtkSMProxy::MarkDirty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GetClientSideObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientSideObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkObjectBase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientSideObject();
      }
    else
      {
      tempr = op->vtkSMProxy::GetClientSideObject();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_GatherInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkPVInformation *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->GatherInformation(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::GatherInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_SaveXMLState_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveXMLState(temp0);
      }
    else
      {
      tempr = op->vtkSMProxy::SaveXMLState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_SaveXMLState_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMPropertyIterator *temp1 = NULL;
  vtkPVXMLElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      ap.GetVTKObject(temp1, "vtkSMPropertyIterator"))
    {
    if (ap.IsBound())
      {
      tempr = op->SaveXMLState(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxy::SaveXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxy_SaveXMLState(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxy_SaveXMLState_s1(self, args);
    case 2:
      return PyvtkSMProxy_SaveXMLState_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SaveXMLState");
  return NULL;
}



static PyObject *
PyvtkSMProxy_LoadXMLState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadXMLState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  vtkSMProxyLocator *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement") &&
      ap.GetVTKObject(temp1, "vtkSMProxyLocator"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadXMLState(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMProxy::LoadXMLState(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_PrototypeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrototypeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PrototypeOn();
      }
    else
      {
      op->vtkSMProxy::PrototypeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_PrototypeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrototypeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PrototypeOff();
      }
    else
      {
      op->vtkSMProxy::PrototypeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_SetPrototype(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPrototype");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPrototype(temp0);
      }
    else
      {
      op->vtkSMProxy::SetPrototype(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxy_UpdateSelfAndAllInputs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateSelfAndAllInputs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxy *op = static_cast<vtkSMProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateSelfAndAllInputs();
      }
    else
      {
      op->vtkSMProxy::UpdateSelfAndAllInputs();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxy_Methods[] = {
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetServers", PyvtkSMProxy_SetServers, 1,
   (char*)"V.SetServers(int)\nC++: void SetServers(vtkTypeUInt32)\n\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetServers", PyvtkSMProxy_GetServers, 1,
   (char*)"V.GetServers() -> int\nC++: vtkTypeUInt32 GetServers()\n\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetConnectionID", PyvtkSMProxy_GetConnectionID, 1,
   (char*)"V.GetConnectionID() -> int\nC++: vtkTypeUInt32 GetConnectionID()\n\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetConnectionID", PyvtkSMProxy_SetConnectionID, 1,
   (char*)"V.SetConnectionID(int)\nC++: void SetConnectionID(vtkTypeUInt32)\n\n"},
#endif
  {(char*)"GetClassName", PyvtkSMProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxy\nC++: vtkSMProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxy\nC++: vtkSMProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetLocation", PyvtkSMProxy_SetLocation, 1,
   (char*)"V.SetLocation(int)\nC++: virtual void SetLocation(vtkTypeUInt32)\n\nGet/Set the location where the underlying VTK-objects are\ncreated. The value can be contructed by or-ing\nvtkSMSession::ServerFlags\n"},
  {(char*)"GetProperty", PyvtkSMProxy_GetProperty, 1,
   (char*)"V.GetProperty(string) -> vtkSMProperty\nC++: virtual vtkSMProperty *GetProperty(const char *name)\nV.GetProperty(string, int) -> vtkSMProperty\nC++: virtual vtkSMProperty *GetProperty(const char *name,\n    int selfOnly)\n\nReturn the property with the given name. If no property is found\nNULL is returned.\n"},
  {(char*)"GetPropertyName", PyvtkSMProxy_GetPropertyName, 1,
   (char*)"V.GetPropertyName(vtkSMProperty) -> string\nC++: const char *GetPropertyName(vtkSMProperty *prop)\n\nGiven a property pointer, returns the name that was used to add\nit to the proxy. Returns NULL if the property is not in the\nproxy. If the property belongs to a sub-proxy, it returns the\nexposed name or NULL if the property is not exposed.\n"},
  {(char*)"UpdateVTKObjects", PyvtkSMProxy_UpdateVTKObjects, 1,
   (char*)"V.UpdateVTKObjects()\nC++: virtual void UpdateVTKObjects()\n\nUpdate the VTK object on the server by pushing the values of all\nmodifed properties (un-modified properties are ignored). If the\nobject has not been created, it will be created first.\n"},
  {(char*)"UpdateProperty", PyvtkSMProxy_UpdateProperty, 1,
   (char*)"V.UpdateProperty(string) -> bool\nC++: bool UpdateProperty(const char *name)\nV.UpdateProperty(string, int) -> bool\nC++: bool UpdateProperty(const char *name, int force)\n\nUpdate the value of one property (pushed to the server) if it is\nmodified.  If the object has not been created, it will be created\nfirst. If force is true, the property is pushed even if it not\nmodified. Return true if UpdateProperty pushes the property\nvalue.\n"},
  {(char*)"InvokeCommand", PyvtkSMProxy_InvokeCommand, 1,
   (char*)"V.InvokeCommand(string)\nC++: void InvokeCommand(const char *name)\n\nConvenience method equivalent to UpdateProperty(name, 1).\n"},
  {(char*)"GetVTKClassName", PyvtkSMProxy_GetVTKClassName, 1,
   (char*)"V.GetVTKClassName() -> string\nC++: char *GetVTKClassName()\n\nReturns the type of object managed by the proxy.\n"},
  {(char*)"SetVTKClassName", PyvtkSMProxy_SetVTKClassName, 1,
   (char*)"V.SetVTKClassName(string)\nC++: void SetVTKClassName(char *)\n\nthe type of object created by the proxy. This is used only when\ncreating the server objects. Once the server object(s) have been\ncreated, changing this has no effect.\n"},
  {(char*)"NewPropertyIterator", PyvtkSMProxy_NewPropertyIterator, 1,
   (char*)"V.NewPropertyIterator() -> vtkSMPropertyIterator\nC++: virtual vtkSMPropertyIterator *NewPropertyIterator()\n\nReturns a new (initialized) iterator of the properties.\n"},
  {(char*)"GetNumberOfConsumers", PyvtkSMProxy_GetNumberOfConsumers, 1,
   (char*)"V.GetNumberOfConsumers() -> int\nC++: unsigned int GetNumberOfConsumers()\n\nReturns the number of consumers. Consumers are proxies that point\nto this proxy through a property (usually vtkSMProxyProperty)\n"},
  {(char*)"GetConsumerProxy", PyvtkSMProxy_GetConsumerProxy, 1,
   (char*)"V.GetConsumerProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetConsumerProxy(unsigned int idx)\n\nReturns the consumer of given index. Consumers are proxies that\npoint to this proxy through a property (usually\nvtkSMProxyProperty)\n"},
  {(char*)"GetConsumerProperty", PyvtkSMProxy_GetConsumerProperty, 1,
   (char*)"V.GetConsumerProperty(int) -> vtkSMProperty\nC++: vtkSMProperty *GetConsumerProperty(unsigned int idx)\n\nReturns the corresponding property of the consumer of given\nindex. Consumers are proxies that point to this proxy through a\nproperty (usually vtkSMProxyProperty)\n"},
  {(char*)"GetNumberOfProducers", PyvtkSMProxy_GetNumberOfProducers, 1,
   (char*)"V.GetNumberOfProducers() -> int\nC++: unsigned int GetNumberOfProducers()\n\nReturns the number of proxies this proxy depends on (uses or is\nconnected to through the pipeline).\n"},
  {(char*)"GetProducerProxy", PyvtkSMProxy_GetProducerProxy, 1,
   (char*)"V.GetProducerProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetProducerProxy(unsigned int idx)\n\nReturns a proxy this proxy depends on, given index.\n"},
  {(char*)"GetProducerProperty", PyvtkSMProxy_GetProducerProperty, 1,
   (char*)"V.GetProducerProperty(int) -> vtkSMProperty\nC++: vtkSMProperty *GetProducerProperty(unsigned int idx)\n\nReturns the property holding a producer proxy given an index.\nNote that this is a property of this proxy and it points to the\nproducer proxy.\n"},
  {(char*)"GetXMLName", PyvtkSMProxy_GetXMLName, 1,
   (char*)"V.GetXMLName() -> string\nC++: char *GetXMLName()\n\nAssigned by the XML parser. The name assigned in the XML\nconfiguration. Can be used to figure out the origin of the proxy.\n"},
  {(char*)"GetXMLGroup", PyvtkSMProxy_GetXMLGroup, 1,
   (char*)"V.GetXMLGroup() -> string\nC++: char *GetXMLGroup()\n\nAssigned by the XML parser. The group in the XML configuration\nthat this proxy belongs to. Can be used to figure out the origin\nof the proxy.\n"},
  {(char*)"GetXMLLabel", PyvtkSMProxy_GetXMLLabel, 1,
   (char*)"V.GetXMLLabel() -> string\nC++: char *GetXMLLabel()\n\nAssigned by the XML parser. The label assigned in the XML\nconfiguration. This is a more user-friendly name for the proxy,\nalthough it's cannot be used to locate the proxy.\n"},
  {(char*)"UpdatePropertyInformation", PyvtkSMProxy_UpdatePropertyInformation, 1,
   (char*)"V.UpdatePropertyInformation()\nC++: virtual void UpdatePropertyInformation()\nV.UpdatePropertyInformation(vtkSMProperty)\nC++: virtual void UpdatePropertyInformation(vtkSMProperty *prop)\n\nUpdates all property informations by calling UpdateInformation()\nand populating the values. It also calls UpdateDependentDomains()\non all properties to make sure that domains that depend on the\ninformation are updated.\n"},
  {(char*)"MarkAllPropertiesAsModified", PyvtkSMProxy_MarkAllPropertiesAsModified, 1,
   (char*)"V.MarkAllPropertiesAsModified()\nC++: virtual void MarkAllPropertiesAsModified()\n\nMarks all properties as modified.  This will cause them all to be\nsent to be sent on the next call to UpdateVTKObjects.  This\nmethod is useful when the proxy is first created to make sure\nthat the default property values in the properties is synced with\nthe values in the actual objects.\n"},
  {(char*)"Copy", PyvtkSMProxy_Copy, 1,
   (char*)"V.Copy(vtkSMProxy)\nC++: void Copy(vtkSMProxy *src)\nV.Copy(vtkSMProxy, string)\nC++: void Copy(vtkSMProxy *src, const char *exceptionClass)\nV.Copy(vtkSMProxy, string, int)\nC++: virtual void Copy(vtkSMProxy *src,\n    const char *exceptionClass, int proxyPropertyCopyFlag)\n\nCopies values of all the properties and sub-proxies from\nsrc.NOTE: This does NOT create properties and sub-proxies. Only\ncopies values. Mismatched property and sub-proxy pairs are\nignored. Properties of type exceptionClass are not copied. This\nis usually vtkSMInputProperty. proxyPropertyCopyFlag specifies\nhow the values for vtkSMProxyProperty and its subclasses are\ncopied over: by reference or by cloning (ie. creating new\ninstances of the value proxies and synchronizing their values).\n"},
  {(char*)"MarkModified", PyvtkSMProxy_MarkModified, 1,
   (char*)"V.MarkModified(vtkSMProxy)\nC++: virtual void MarkModified(vtkSMProxy *modifiedProxy)\n\nCalls MarkDirty() and invokes ModifiedEvent.\n"},
  {(char*)"GetDocumentation", PyvtkSMProxy_GetDocumentation, 1,
   (char*)"V.GetDocumentation() -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetDocumentation()\n\nReturns the documentation for this proxy.\n"},
  {(char*)"GetHints", PyvtkSMProxy_GetHints, 1,
   (char*)"V.GetHints() -> vtkPVXMLElement\nC++: vtkPVXMLElement *GetHints()\n\nThe server manager configuration XML may define <Hints /> element\nfor a proxy. Hints are metadata associated with the proxy. The\nServer Manager does not (and should not) interpret the hints.\nHints provide a mechanism to add GUI pertinant information to the\nserver manager XML. Returns the XML element for the hints\nassociated with this proxy, if any, otherwise returns NULL.\n"},
  {(char*)"GetObjectsCreated", PyvtkSMProxy_GetObjectsCreated, 1,
   (char*)"V.GetObjectsCreated() -> int\nC++: int GetObjectsCreated()\n\nRetuns if the VTK objects for this proxy have been created.\n"},
  {(char*)"InitializeAndCopyFromProxy", PyvtkSMProxy_InitializeAndCopyFromProxy, 1,
   (char*)"V.InitializeAndCopyFromProxy(vtkSMProxy)\nC++: void InitializeAndCopyFromProxy(vtkSMProxy *source)\n\nGiven a source proxy, makes this proxy point to the same\nserver-side object (with a new id). This method copies connection\nid as well as server ids. This method can be called only once on\nan uninitialized proxy (CreateVTKObjects() also initialized a\nproxy) This is useful to make two (or more) proxies represent the\nsame VTK object. This method does not copy IDs for any\nsubproxies.\n"},
  {(char*)"MarkDirty", PyvtkSMProxy_MarkDirty, 1,
   (char*)"V.MarkDirty(vtkSMProxy)\nC++: virtual void MarkDirty(vtkSMProxy *modifiedProxy)\n\nDirty means this algorithm will execute during next update. This\nall marks all consumers as dirty.\n"},
  {(char*)"GetClientSideObject", PyvtkSMProxy_GetClientSideObject, 1,
   (char*)"V.GetClientSideObject() -> vtkObjectBase\nC++: vtkObjectBase *GetClientSideObject()\n\nReturns the client side object associated with the VTKObjectID\n(if any). Returns 0 otherwise.\n"},
  {(char*)"GatherInformation", PyvtkSMProxy_GatherInformation, 1,
   (char*)"V.GatherInformation(vtkPVInformation) -> bool\nC++: bool GatherInformation(vtkPVInformation *information)\n\nGathers information about this proxy. On success, the information\nobject is filled up with details about the VTK object.\n"},
  {(char*)"SaveXMLState", PyvtkSMProxy_SaveXMLState, 1,
   (char*)"V.SaveXMLState(vtkPVXMLElement) -> vtkPVXMLElement\nC++: virtual vtkPVXMLElement *SaveXMLState(vtkPVXMLElement *root)\nV.SaveXMLState(vtkPVXMLElement, vtkSMPropertyIterator)\n    -> vtkPVXMLElement\nC++: virtual vtkPVXMLElement *SaveXMLState(vtkPVXMLElement *root,\n    vtkSMPropertyIterator *iter)\n\nSaves the state of the proxy. This state can be reloaded to\ncreate a new proxy that is identical the present state of this\nproxy. The resulting proxy's XML hieratchy is returned, in\naddition if the root argument is not NULL then it's also inserted\nas a nested element. This call saves all a proxy's properties,\nincluding exposed properties and sub-proxies. More control is\nprovided by the following overload.\n"},
  {(char*)"LoadXMLState", PyvtkSMProxy_LoadXMLState, 1,
   (char*)"V.LoadXMLState(vtkPVXMLElement, vtkSMProxyLocator) -> int\nC++: virtual int LoadXMLState(vtkPVXMLElement *element,\n    vtkSMProxyLocator *locator)\n\nLoads the proxy state from the XML element. Returns 0 on\nfailure.locator is used to locate other proxies that may be\nreferred to in the state XML (which happens in case of properties\nof type vtkSMProxyProperty or subclasses). If locator is NULL,\nthen such properties are left unchanged.\n"},
  {(char*)"PrototypeOn", PyvtkSMProxy_PrototypeOn, 1,
   (char*)"V.PrototypeOn()\nC++: virtual void PrototypeOn()\n\nAllow user to set the remote object to be discard for Undo/Redo\naction. By default, any remote object is Undoable. This override\nthe RemoteObject ones to propagate the flag to the sub-proxy\n"},
  {(char*)"PrototypeOff", PyvtkSMProxy_PrototypeOff, 1,
   (char*)"V.PrototypeOff()\nC++: virtual void PrototypeOff()\n\nAllow user to set the remote object to be discard for Undo/Redo\naction. By default, any remote object is Undoable. This override\nthe RemoteObject ones to propagate the flag to the sub-proxy\n"},
  {(char*)"SetPrototype", PyvtkSMProxy_SetPrototype, 1,
   (char*)"V.SetPrototype(bool)\nC++: virtual void SetPrototype(bool undo)\n\nAllow user to set the remote object to be discard for Undo/Redo\naction. By default, any remote object is Undoable. This override\nthe RemoteObject ones to propagate the flag to the sub-proxy\n"},
  {(char*)"UpdateSelfAndAllInputs", PyvtkSMProxy_UpdateSelfAndAllInputs, 1,
   (char*)"V.UpdateSelfAndAllInputs()\nC++: void UpdateSelfAndAllInputs()\n\nThis method call UpdateVTKObjects on the current pipeline by\nstarting at the sources. The sources are found by getting the\nInput of all the filter along the pipeline.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxy_StaticNew()
{
  return vtkSMProxy::New();
}

PyObject *PyVTKClass_vtkSMProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxy_StaticNew,
    PyvtkSMProxy_Methods,
    "vtkSMProxy", modulename,
    NULL, NULL,
    PyvtkSMProxy_Doc(),
    PyVTKClass_vtkSMRemoteObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxy - proxy for a VTK object(s) on a server\n\n",
    "Superclass: vtkSMRemoteObject\n\n",
    "vtkSMProxy manages VTK object(s) that are created on a server using\nthe proxy pattern. The managed object is manipulated through\nproperties. The type of object created and managed by vtkSMProxy is\ndetermined by the VTKClassName variable. The object is managed by\ngetting the desired property from the proxy, changing it's value and\nupdating the server with UpdateVTKObjects(). A proxy can be\ncomposit",
    "e. Sub-proxies can be added by the proxy manager. This is\ntransparent to the user who sees all properties as if they belong to\nthe root proxy.\n\nA proxy keeps an iVar ConnectionID. This is the connection ID for the\nconnection on which this proxy exists. Currently, since a ParaView\nclient is connected to 1 and only 1 server. This ID is insignificant.\nHowever, it provides the ground work to enable a ",
    "client to connect\nwith multiple servers.  ConnectionID must be set immediately after\ninstantiating the proxy (if at all).  Chanding the ConnectionID after\nthat can be dangerous.\n\nWhen defining a proxy in the XML configuration file, to derrive the\nproperty interface from another proxy definition, we can use\nattributes \"base_proxygroup\" and \"base_proxyname\" which identify the\nproxy group and proxy n",
    "ame of another proxy. Base interfaces can be\ndefined recursively, however care must be taken to avoid cycles.\n\nThere are several special XML features available for subproxies.\n\\li 1) It is possible to share properties among subproxies.\n   eg.   <Proxy name=\"Display\" class=\"Alpha\">\n     <SubProxy>\n       <Proxy name=\"Mapper\" class=\"vtkPolyDataMapper\">\n         <InputProperty name=\"Input\" ...>\n     ",
    "      ...\n         </InputProperty>\n         <IntVectorProperty name=\"ScalarVisibility\" ...>\n           ...\n         </IntVectorProperty>\n           ...\n       </Proxy>\n     </SubProxy>\n     <SubProxy>\n       <Proxy name=\"Mapper2\" class=\"vtkPolyDataMapper\">\n         <InputProperty name=\"Input\" ...>\n           ...\n         </InputProperty>\n         <IntVectorProperty name=\"ScalarVisibility\" ...>\n  ",
    "         ...\n         </IntVectorProperty>\n           ...\n       </Proxy>\n       <ShareProperties subproxy=\"Mapper\">\n         <Exception name=\"Input\" />\n       </ShareProperties>\n     </SubProxy>\n   </Proxy>   \n\n   Thus, subproxies Mapper and Mapper2 share the properties that are\n   common to both; except those listed as exceptions using the\n\"Exception\"\n   tag.\n\n\\li 2) It is possible for a subprox",
    "y to use proxy definition defined\n    elsewhere\n    by identifying the interface with attribues \"proxygroup\" and\n\"proxyname\".\n    eg.    <SubProxy>\n      <Proxy name=\"Mapper\" proxygroup=\"mappers\"\nproxyname=\"PolyDataMapper\" />\n    </SubProxy>    \n\n\\li 3) It is possible to scope the properties exposed by a subproxy\n    and expose\n    only a fixed set of properties to be accessible from outside.\nAlso",
    ",\n    while exposing the property, it can be exposed with a different\nname.\n    eg.    <Proxy name=\"Alpha\" ....>\n      ....\n      <SubProxy>\n        <Proxy name=\"Mapper\" proxygroup=\"mappers\"\nproxyname=\"PolyDataMapper\" />\n        <ExposedProperties>\n          <Property name=\"LookupTable\"\nexposed_name=\"MapperLookupTable\" />\n        </ExposedProperties>\n      </SubProxy>\n    </Proxy>    \n\n    Here, f",
    "or the proxy Alpha, the property with the name LookupTable\nfrom its\n    subproxy \"Mapper\" can be obtained by calling\nGetProperty(\"MapperLookupTable\")\n    on an instance of the proxy Alpha. \"exposed_name\" attribute is\noptional, if\n    not specified, then the \"name\" is used as the exposed property\nname.\n    Properties that are not exposed are treated as\n    non-saveable and non-animateable (see vtkS",
    "MProperty for details).\n    Exposed property restrictions only work when\n    using the GetProperty on the container proxy (in this case Alpha)\nor\n    using the PropertyIterator obtained from the container proxy. If\none\n    is to some how obtain a pointer to the subproxy and call\nGetProperty on\n    it (or get a PropertyIterator for the subproxy), the properties\nexposed\n    by the container class ar",
    "e no longer applicable.\n    If two exposed properties are exposed with the same name, then a\nWarning is\n    flagged -- only one of the two exposed properties will get\nexposed.\n\nSee Also:\n\nvtkSMProxyManager vtkSMProperty vtkSMSourceProxy\nvtkSMPropertyIterator\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

