// python wrapper for vtkSMProxySelectionModel
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMProxySelectionModel.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMProxySelectionModel(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMProxySelectionModel(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMProxySelectionModelNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMProxySelectionModelNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMProxySelectionModel_Doc();


static PyObject *
PyvtkSMProxySelectionModel_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxySelectionModel *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMProxySelectionModel *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMProxySelectionModel::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetCurrentProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentProxy();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetCurrentProxy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_SetCurrentProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCurrentProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetCurrentProxy(temp0, temp1);
      }
    else
      {
      op->vtkSMProxySelectionModel::SetCurrentProxy(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_IsSelected(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSelected");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsSelected(temp0);
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::IsSelected(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetNumberOfSelectedProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfSelectedProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfSelectedProxies();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetNumberOfSelectedProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetSelectedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  unsigned int temp0;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectedProxy(temp0);
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetSelectedProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkCollection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelection();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetSelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_Select_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Select");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkCollection *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCollection") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->Select(temp0, temp1);
      }
    else
      {
      op->vtkSMProxySelectionModel::Select(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxySelectionModel_Select_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Select");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->Select(temp0, temp1);
      }
    else
      {
      op->vtkSMProxySelectionModel::Select(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMProxySelectionModel_Select_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Select");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->Select(temp0);
      }
    else
      {
      op->vtkSMProxySelectionModel::Select(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxySelectionModel_Select_Methods[] = {
  {NULL, PyvtkSMProxySelectionModel_Select_s1, 1,
   (char*)"@Oi *vtkCollection"},
  {NULL, PyvtkSMProxySelectionModel_Select_s2, 1,
   (char*)"@Oi *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMProxySelectionModel_Select(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMProxySelectionModel_Select_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMProxySelectionModel_Select_s3(self, args);
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Select");
  return NULL;
}



static PyObject *
PyvtkSMProxySelectionModel_NoUpdate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NoUpdate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->NoUpdate(temp0);
      }
    else
      {
      op->vtkSMProxySelectionModel::NoUpdate(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_Clear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Clear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->Clear(temp0);
      }
    else
      {
      op->vtkSMProxySelectionModel::Clear(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_Deselect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Deselect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->Deselect(temp0);
      }
    else
      {
      op->vtkSMProxySelectionModel::Deselect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_ClearAndSelect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearAndSelect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->ClearAndSelect(temp0);
      }
    else
      {
      op->vtkSMProxySelectionModel::ClearAndSelect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetNewlySelected(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNewlySelected");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkCollection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNewlySelected();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetNewlySelected();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMProxySelectionModel_GetNewlyDeselected(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNewlyDeselected");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMProxySelectionModel *op = static_cast<vtkSMProxySelectionModel *>(vp);

  vtkCollection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNewlyDeselected();
      }
    else
      {
      tempr = op->vtkSMProxySelectionModel::GetNewlyDeselected();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMProxySelectionModel_Methods[] = {
  {(char*)"GetClassName", PyvtkSMProxySelectionModel_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMProxySelectionModel_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMProxySelectionModel_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMProxySelectionModel\nC++: vtkSMProxySelectionModel *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMProxySelectionModel_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMProxySelectionModel\nC++: vtkSMProxySelectionModel *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetCurrentProxy", PyvtkSMProxySelectionModel_GetCurrentProxy, 1,
   (char*)"V.GetCurrentProxy() -> vtkSMProxy\nC++: vtkSMProxy *GetCurrentProxy()\n\nReturns the proxy that is current, NULL if there is no current.\n"},
  {(char*)"SetCurrentProxy", PyvtkSMProxySelectionModel_SetCurrentProxy, 1,
   (char*)"V.SetCurrentProxy(vtkSMProxy, int)\nC++: void SetCurrentProxy(vtkSMProxy *proxy, int command)\n\nSets the current proxy. command is used to control how the\ncurrent selection is affected.\n\\li NO_UPDATE: change the current without affecting the selected\n    set of\nproxies.\n\\li CLEAR: clear current selection\n\\li SELECT: also select the proxy being set as current\n\\li DESELECT: deselect the proxy being set as current.\n"},
  {(char*)"IsSelected", PyvtkSMProxySelectionModel_IsSelected, 1,
   (char*)"V.IsSelected(vtkSMProxy) -> bool\nC++: bool IsSelected(vtkSMProxy *proxy)\n\nReturns true if the proxy is selected.\n"},
  {(char*)"GetNumberOfSelectedProxies", PyvtkSMProxySelectionModel_GetNumberOfSelectedProxies, 1,
   (char*)"V.GetNumberOfSelectedProxies() -> int\nC++: unsigned int GetNumberOfSelectedProxies()\n\n"},
  {(char*)"GetSelectedProxy", PyvtkSMProxySelectionModel_GetSelectedProxy, 1,
   (char*)"V.GetSelectedProxy(int) -> vtkSMProxy\nC++: vtkSMProxy *GetSelectedProxy(unsigned int index)\n\nReturns the selected proxy at the given index.\n"},
  {(char*)"GetSelection", PyvtkSMProxySelectionModel_GetSelection, 1,
   (char*)"V.GetSelection() -> vtkCollection\nC++: vtkCollection *GetSelection()\n\nGet the collection of proxies that are currently selected.\nWARNING: Do not modify the returned collection.\n"},
  {(char*)"Select", PyvtkSMProxySelectionModel_Select, 1,
   (char*)"V.Select(vtkCollection, int)\nC++: void Select(vtkCollection *proxies, int command)\nV.Select(vtkSMProxy, int)\nC++: void Select(vtkSMProxy *proxy, int command)\nV.Select(vtkSMProxy)\nC++: void Select(vtkSMProxy *proxy)\n\nUpdate the selected set of proxies. command affects how the\nselection is updated.\n\\li NO_UPDATE: don't affect the selected set of proxies.\n\\li CLEAR: clear selection\n\\li SELECT: add the proxies to selection\n\\li DESELECT: deselect the proxies\n\\li CLEAR_AND_SELECT: clear selection and then add the specified\n    proxies as\nthe selection.\n"},
  {(char*)"NoUpdate", PyvtkSMProxySelectionModel_NoUpdate, 1,
   (char*)"V.NoUpdate(vtkSMProxy)\nC++: void NoUpdate(vtkSMProxy *proxy)\n\nWrapper friendly methods to doing what Select() can do.\n"},
  {(char*)"Clear", PyvtkSMProxySelectionModel_Clear, 1,
   (char*)"V.Clear(vtkSMProxy)\nC++: void Clear(vtkSMProxy *proxy)\n\nWrapper friendly methods to doing what Select() can do.\n"},
  {(char*)"Deselect", PyvtkSMProxySelectionModel_Deselect, 1,
   (char*)"V.Deselect(vtkSMProxy)\nC++: void Deselect(vtkSMProxy *proxy)\n\nWrapper friendly methods to doing what Select() can do.\n"},
  {(char*)"ClearAndSelect", PyvtkSMProxySelectionModel_ClearAndSelect, 1,
   (char*)"V.ClearAndSelect(vtkSMProxy)\nC++: void ClearAndSelect(vtkSMProxy *proxy)\n\nWrapper friendly methods to doing what Select() can do.\n"},
  {(char*)"GetNewlySelected", PyvtkSMProxySelectionModel_GetNewlySelected, 1,
   (char*)"V.GetNewlySelected() -> vtkCollection\nC++: vtkCollection *GetNewlySelected()\n\nThese are valid only in the event handlers for\nvtkCommand::SelectionChangedEvent.\n"},
  {(char*)"GetNewlyDeselected", PyvtkSMProxySelectionModel_GetNewlyDeselected, 1,
   (char*)"V.GetNewlyDeselected() -> vtkCollection\nC++: vtkCollection *GetNewlyDeselected()\n\nThese are valid only in the event handlers for\nvtkCommand::SelectionChangedEvent.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMProxySelectionModel_StaticNew()
{
  return vtkSMProxySelectionModel::New();
}

PyObject *PyVTKClass_vtkSMProxySelectionModelNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMProxySelectionModel_StaticNew,
    PyvtkSMProxySelectionModel_Methods,
    "vtkSMProxySelectionModel", modulename,
    NULL, NULL,
    PyvtkSMProxySelectionModel_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMProxySelectionModel_Doc()
{
  static const char *docstring[] = {
    "vtkSMProxySelectionModel - selects proxies. \n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMProxySelectionModel is used to select proxies. vtkSMProxyManager\nuses two instances of vtkSMProxySelectionModel for keeping track of\nthe selected/active sources/filters and the active view.\n\nSee Also:\n\nvtkSMProxyManager\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMProxySelectionModel(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMProxySelectionModelNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMProxySelectionModel", o) != 0)
    {
    Py_DECREF(o);
    }

}

