// python wrapper for vtkSMPythonTraceObserver
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPythonTraceObserver.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMPythonTraceObserver(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMPythonTraceObserver(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMPythonTraceObserverNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMPythonTraceObserverNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMPythonTraceObserver_Doc();


static PyObject *
PyvtkSMPythonTraceObserver_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  vtkSMPythonTraceObserver *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMPythonTraceObserver *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMPythonTraceObserver::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastPropertyModifiedProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastPropertyModifiedProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastPropertyModifiedProxy();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastPropertyModifiedProxy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyRegistered(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyRegistered");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyRegistered();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyRegistered();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyUnRegistered(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyUnRegistered");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyUnRegistered();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyUnRegistered();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastPropertyModifiedName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastPropertyModifiedName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastPropertyModifiedName();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastPropertyModifiedName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyRegisteredGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyRegisteredGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyRegisteredGroup();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyRegisteredGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyRegisteredName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyRegisteredName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyRegisteredName();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyRegisteredName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyUnRegisteredGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyUnRegisteredGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyUnRegisteredGroup();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyUnRegisteredGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPythonTraceObserver_GetLastProxyUnRegisteredName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastProxyUnRegisteredName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPythonTraceObserver *op = static_cast<vtkSMPythonTraceObserver *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLastProxyUnRegisteredName();
      }
    else
      {
      tempr = op->vtkSMPythonTraceObserver::GetLastProxyUnRegisteredName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPythonTraceObserver_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPythonTraceObserver_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPythonTraceObserver_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPythonTraceObserver_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMPythonTraceObserver\nC++: vtkSMPythonTraceObserver *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPythonTraceObserver_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPythonTraceObserver\nC++: vtkSMPythonTraceObserver *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetLastPropertyModifiedProxy", PyvtkSMPythonTraceObserver_GetLastPropertyModifiedProxy, 1,
   (char*)"V.GetLastPropertyModifiedProxy() -> vtkSMProxy\nC++: vtkSMProxy *GetLastPropertyModifiedProxy()\n\n"},
  {(char*)"GetLastProxyRegistered", PyvtkSMPythonTraceObserver_GetLastProxyRegistered, 1,
   (char*)"V.GetLastProxyRegistered() -> vtkSMProxy\nC++: vtkSMProxy *GetLastProxyRegistered()\n\n"},
  {(char*)"GetLastProxyUnRegistered", PyvtkSMPythonTraceObserver_GetLastProxyUnRegistered, 1,
   (char*)"V.GetLastProxyUnRegistered() -> vtkSMProxy\nC++: vtkSMProxy *GetLastProxyUnRegistered()\n\n"},
  {(char*)"GetLastPropertyModifiedName", PyvtkSMPythonTraceObserver_GetLastPropertyModifiedName, 1,
   (char*)"V.GetLastPropertyModifiedName() -> string\nC++: const char *GetLastPropertyModifiedName()\n\n"},
  {(char*)"GetLastProxyRegisteredGroup", PyvtkSMPythonTraceObserver_GetLastProxyRegisteredGroup, 1,
   (char*)"V.GetLastProxyRegisteredGroup() -> string\nC++: const char *GetLastProxyRegisteredGroup()\n\n"},
  {(char*)"GetLastProxyRegisteredName", PyvtkSMPythonTraceObserver_GetLastProxyRegisteredName, 1,
   (char*)"V.GetLastProxyRegisteredName() -> string\nC++: const char *GetLastProxyRegisteredName()\n\n"},
  {(char*)"GetLastProxyUnRegisteredGroup", PyvtkSMPythonTraceObserver_GetLastProxyUnRegisteredGroup, 1,
   (char*)"V.GetLastProxyUnRegisteredGroup() -> string\nC++: const char *GetLastProxyUnRegisteredGroup()\n\n"},
  {(char*)"GetLastProxyUnRegisteredName", PyvtkSMPythonTraceObserver_GetLastProxyUnRegisteredName, 1,
   (char*)"V.GetLastProxyUnRegisteredName() -> string\nC++: const char *GetLastProxyUnRegisteredName()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPythonTraceObserver_StaticNew()
{
  return vtkSMPythonTraceObserver::New();
}

PyObject *PyVTKClass_vtkSMPythonTraceObserverNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPythonTraceObserver_StaticNew,
    PyvtkSMPythonTraceObserver_Methods,
    "vtkSMPythonTraceObserver", modulename,
    NULL, NULL,
    PyvtkSMPythonTraceObserver_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMPythonTraceObserver_Doc()
{
  static const char *docstring[] = {
    "vtkSMPythonTraceObserver - A helper class used by the smtrace python\nmodule\n\n",
    "Superclass: vtkSMObject\n\n",
    "This class is instantiated by the smtrace python module.  It listens\nfor invoked events from the proxy manager and relays them to python.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPythonTraceObserver(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPythonTraceObserverNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPythonTraceObserver", o) != 0)
    {
    Py_DECREF(o);
    }

}

