// python wrapper for vtkSMReaderFactory
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMReaderFactory.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMReaderFactory(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMReaderFactory(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMReaderFactoryNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMReaderFactoryNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMReaderFactory_Doc();


static PyObject *
PyvtkSMReaderFactory_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  vtkSMReaderFactory *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMReaderFactory::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMReaderFactory *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMReaderFactory::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkSMReaderFactory::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_RegisterPrototype(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterPrototype");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->RegisterPrototype(temp0, temp1);
      }
    else
      {
      op->vtkSMReaderFactory::RegisterPrototype(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_UnRegisterPrototype(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterPrototype");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->UnRegisterPrototype(temp0, temp1);
      }
    else
      {
      op->vtkSMReaderFactory::UnRegisterPrototype(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_RegisterPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RegisterPrototypes(temp0);
      }
    else
      {
      op->vtkSMReaderFactory::RegisterPrototypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_LoadConfigurationFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfigurationFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfigurationFile(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::LoadConfigurationFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_LoadConfiguration_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfiguration(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::LoadConfiguration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMReaderFactory_LoadConfiguration_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfiguration(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::LoadConfiguration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMReaderFactory_LoadConfiguration_Methods[] = {
  {NULL, PyvtkSMReaderFactory_LoadConfiguration_s1, 1,
   (char*)"@z"},
  {NULL, PyvtkSMReaderFactory_LoadConfiguration_s2, 1,
   (char*)"@O *vtkPVXMLElement"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMReaderFactory_LoadConfiguration(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMReaderFactory_LoadConfiguration_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "LoadConfiguration");
  return NULL;
}



static PyObject *
PyvtkSMReaderFactory_CanReadFile_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanReadFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  vtkSMSession *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->CanReadFile(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::CanReadFile(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMReaderFactory_CanReadFile_s2(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CanReadFile");

  char *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
    {
    tempr = vtkSMReaderFactory::CanReadFile(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMReaderFactory_CanReadFile_s3(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CanReadFile");

  char *temp0 = NULL;
  char *temp1 = NULL;
  char *temp2 = NULL;
  vtkSMSession *temp3 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetVTKObject(temp3, "vtkSMSession"))
    {
    tempr = vtkSMReaderFactory::CanReadFile(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMReaderFactory_CanReadFile_Methods[] = {
  {NULL, PyvtkSMReaderFactory_CanReadFile_s1, 1,
   (char*)"@zO *vtkSMSession"},
  {NULL, PyvtkSMReaderFactory_CanReadFile_s2, 1,
   (char*)"zO *vtkSMProxy"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMReaderFactory_CanReadFile(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMReaderFactory_CanReadFile_Methods;
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
    {
    case 4:
      return PyvtkSMReaderFactory_CanReadFile_s3(self, args);
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "CanReadFile");
  return NULL;
}



static PyObject *
PyvtkSMReaderFactory_GetReaderName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReaderName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReaderName();
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetReaderName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_GetReaderGroup(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReaderGroup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReaderGroup();
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetReaderGroup();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_GetPossibleReaders(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPossibleReaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  vtkSMSession *temp1 = NULL;
  vtkStringList *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPossibleReaders(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetPossibleReaders(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_GetReaders_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  vtkSMSession *temp0 = NULL;
  vtkStringList *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReaders(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetReaders(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMReaderFactory_GetReaders_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  char *temp0 = NULL;
  vtkSMSession *temp1 = NULL;
  vtkStringList *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReaders(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetReaders(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMReaderFactory_GetReaders(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMReaderFactory_GetReaders_s1(self, args);
    case 2:
      return PyvtkSMReaderFactory_GetReaders_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetReaders");
  return NULL;
}



static PyObject *
PyvtkSMReaderFactory_TestFileReadability(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "TestFileReadability");

  char *temp0 = NULL;
  vtkSMSession *temp1 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSession"))
    {
    tempr = vtkSMReaderFactory::TestFileReadability(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_GetSupportedFileTypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSupportedFileTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  vtkSMSession *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSession"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSupportedFileTypes(temp0);
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetSupportedFileTypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMReaderFactory_GetNumberOfRegisteredPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRegisteredPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMReaderFactory *op = static_cast<vtkSMReaderFactory *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfRegisteredPrototypes();
      }
    else
      {
      tempr = op->vtkSMReaderFactory::GetNumberOfRegisteredPrototypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMReaderFactory_Methods[] = {
  {(char*)"GetClassName", PyvtkSMReaderFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMReaderFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMReaderFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMReaderFactory\nC++: vtkSMReaderFactory *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMReaderFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMReaderFactory\nC++: vtkSMReaderFactory *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkSMReaderFactory_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\nCleanup all registered prototypes.\n"},
  {(char*)"RegisterPrototype", PyvtkSMReaderFactory_RegisterPrototype, 1,
   (char*)"V.RegisterPrototype(string, string)\nC++: void RegisterPrototype(const char *xmlgroup,\n    const char *xmlname)\n\nRegister a prototype.\n"},
  {(char*)"UnRegisterPrototype", PyvtkSMReaderFactory_UnRegisterPrototype, 1,
   (char*)"V.UnRegisterPrototype(string, string)\nC++: void UnRegisterPrototype(const char *xmlgroup,\n    const char *xmlname)\n\nRegister a prototype.\n"},
  {(char*)"RegisterPrototypes", PyvtkSMReaderFactory_RegisterPrototypes, 1,
   (char*)"V.RegisterPrototypes(string)\nC++: void RegisterPrototypes(const char *xmlgroup)\n\nRegisters all prototypes from a particular group that have the\n\"ReaderFactory\" hint.\n"},
  {(char*)"LoadConfigurationFile", PyvtkSMReaderFactory_LoadConfigurationFile, 1,
   (char*)"V.LoadConfigurationFile(string) -> bool\nC++: bool LoadConfigurationFile(const char *filename)\n\nLoad configuration XML. This adds the prototypes specified in the\nconfiguration XML to those already present in the factory. Use\nInitialize() is start with an empty factory before calling this\nmethod if needed. If two readers support reading the same file,\nthe reader added more recently is given priority.\n"},
  {(char*)"LoadConfiguration", PyvtkSMReaderFactory_LoadConfiguration, 1,
   (char*)"V.LoadConfiguration(string) -> bool\nC++: bool LoadConfiguration(const char *xmlcontents)\nV.LoadConfiguration(vtkPVXMLElement) -> bool\nC++: bool LoadConfiguration(vtkPVXMLElement *root)\n\nLoad configuration XML. This adds the prototypes specified in the\nconfiguration XML to those already present in the factory. Use\nInitialize() is start with an empty factory before calling this\nmethod if needed. If two readers support reading the same file,\nthe reader added more recently is given priority.\n"},
  {(char*)"CanReadFile", PyvtkSMReaderFactory_CanReadFile, 1,
   (char*)"V.CanReadFile(string, vtkSMSession) -> bool\nC++: bool CanReadFile(const char *filename, vtkSMSession *session)\nV.CanReadFile(string, vtkSMProxy) -> bool\nC++: static bool CanReadFile(const char *filename,\n    vtkSMProxy *reader)\nV.CanReadFile(string, string, string, vtkSMSession) -> bool\nC++: static bool CanReadFile(const char *filename,\n    const char *readerxmlgroup, const char *readerxmlname,\n    vtkSMSession *session)\n\nReturns true if a reader can be determined that can read the\nfile. When this returns true, one can use GetReaderGroup() and\nGetReaderName() to obtain the xmlgroup and xmlname for the reader\nthat can read the file. When this returns false, use\nGetPossibleReaders() to get the list of readers that can possibly\nread the file.\n"},
  {(char*)"GetReaderName", PyvtkSMReaderFactory_GetReaderName, 1,
   (char*)"V.GetReaderName() -> string\nC++: char *GetReaderName()\n\nReturns the xml-name for the reader that can read the file\nqueried by the most recent CanReadFile() call. This is valid only\nif CanReadFile() returned true.\n"},
  {(char*)"GetReaderGroup", PyvtkSMReaderFactory_GetReaderGroup, 1,
   (char*)"V.GetReaderGroup() -> string\nC++: char *GetReaderGroup()\n\nReturns the xml-group for the reader that can read the file\nqueried by the most recent CanReadFile() call. This is valid only\nif CanReadFile() returned true.\n"},
  {(char*)"GetPossibleReaders", PyvtkSMReaderFactory_GetPossibleReaders, 1,
   (char*)"V.GetPossibleReaders(string, vtkSMSession) -> vtkStringList\nC++: vtkStringList *GetPossibleReaders(const char *filename,\n    vtkSMSession *session)\n\nGet the list of readers that can possibly read the file. This is\nused when the factory cannot determine which reader to use for\nreading the file. The user can then choose from the provided\noptions. Returns a list of 3-tuples where the 1st string is the\ngroup, the 2nd string is the reader name and the 3rd string is\nthe reader description Note that the extension test is skipped in\nthis case.\n"},
  {(char*)"GetReaders", PyvtkSMReaderFactory_GetReaders, 1,
   (char*)"V.GetReaders(vtkSMSession) -> vtkStringList\nC++: vtkStringList *GetReaders(vtkSMSession *session)\nV.GetReaders(string, vtkSMSession) -> vtkStringList\nC++: vtkStringList *GetReaders(const char *filename,\n    vtkSMSession *session)\n\nReturns a list of 3-tuples where the 1st string is the group, the\n2nd string is the reader name and the 3rd string is the reader\ndescription This returns all the possible readers with a given\nconnection id.\n"},
  {(char*)"TestFileReadability", PyvtkSMReaderFactory_TestFileReadability, 1,
   (char*)"V.TestFileReadability(string, vtkSMSession) -> bool\nC++: static bool TestFileReadability(const char *filename,\n    vtkSMSession *session)\n\nHelper method to test is a file is readable on the server side.\nThis has nothing to do with the whether the file is readable by a\nreader, just test the file permissions etc. Internally uses the\nServerFileListing proxy.\n"},
  {(char*)"GetSupportedFileTypes", PyvtkSMReaderFactory_GetSupportedFileTypes, 1,
   (char*)"V.GetSupportedFileTypes(vtkSMSession) -> string\nC++: const char *GetSupportedFileTypes(vtkSMSession *session)\n\nReturns a formatted string with all supported file types.cid is\nnot used currently. An example returned string would look like:\n \"Supported Files (*.vtk *.pvd);;PVD Files (*.pvd);;VTK Files (*.vtk)\"\n \n"},
  {(char*)"GetNumberOfRegisteredPrototypes", PyvtkSMReaderFactory_GetNumberOfRegisteredPrototypes, 1,
   (char*)"V.GetNumberOfRegisteredPrototypes() -> int\nC++: unsigned int GetNumberOfRegisteredPrototypes()\n\nReturns the number of registered prototypes.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMReaderFactory_StaticNew()
{
  return vtkSMReaderFactory::New();
}

PyObject *PyVTKClass_vtkSMReaderFactoryNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMReaderFactory_StaticNew,
    PyvtkSMReaderFactory_Methods,
    "vtkSMReaderFactory", modulename,
    NULL, NULL,
    PyvtkSMReaderFactory_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMReaderFactory_Doc()
{
  static const char *docstring[] = {
    "vtkSMReaderFactory - is a factory for creating a reader\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMReaderFactory is a factory for creating a reader that reads a\nparticular file. The reader factory needs to be configured to\nregister the reader prototypes supported by the application. This can\nbe done using an XML with the following format:\n <ParaViewReaders>\n    <Proxy name=\"[xmlname for the reader proxy]\"\n            group=\"[optional: xmlgroup for the reader proxy, sources by default]\"\n   ",
    "         />\n    ...\n </ParaViewReaders>\n  Alternatively, one can register prototypes using RegisterPrototype\nAPI.\n\nOnce the factory has been configured, the API to create readers, get\navailable readers etc. can be used.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMReaderFactory(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMReaderFactoryNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMReaderFactory", o) != 0)
    {
    Py_DECREF(o);
    }

}

