// python wrapper for vtkSMRemoteObjectUpdateUndoElement
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMRemoteObjectUpdateUndoElement.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMRemoteObjectUpdateUndoElement(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMRemoteObjectUpdateUndoElement(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMRemoteObjectUpdateUndoElementNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMRemoteObjectUpdateUndoElementNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMUndoElementNew
extern "C" { PyObject *PyVTKClass_vtkSMUndoElementNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMUndoElementNew
#endif

static const char **PyvtkSMRemoteObjectUpdateUndoElement_Doc();


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMRemoteObjectUpdateUndoElement::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMRemoteObjectUpdateUndoElement::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  vtkSMRemoteObjectUpdateUndoElement *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMRemoteObjectUpdateUndoElement::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMRemoteObjectUpdateUndoElement *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMRemoteObjectUpdateUndoElement::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_Undo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Undo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Undo();
      }
    else
      {
      tempr = op->vtkSMRemoteObjectUpdateUndoElement::Undo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_Redo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Redo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Redo();
      }
    else
      {
      tempr = op->vtkSMRemoteObjectUpdateUndoElement::Redo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRemoteObjectUpdateUndoElement_SetStateLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStateLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRemoteObjectUpdateUndoElement *op = static_cast<vtkSMRemoteObjectUpdateUndoElement *>(vp);

  vtkSMStateLocator *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMStateLocator"))
    {
    if (ap.IsBound())
      {
      op->SetStateLocator(temp0);
      }
    else
      {
      op->vtkSMRemoteObjectUpdateUndoElement::SetStateLocator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMRemoteObjectUpdateUndoElement_Methods[] = {
  {(char*)"GetClassName", PyvtkSMRemoteObjectUpdateUndoElement_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMRemoteObjectUpdateUndoElement_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMRemoteObjectUpdateUndoElement_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMRemoteObjectUpdateUndoElement\nC++: vtkSMRemoteObjectUpdateUndoElement *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMRemoteObjectUpdateUndoElement_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMRemoteObjectUpdateUndoElement\nC++: vtkSMRemoteObjectUpdateUndoElement *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"Undo", PyvtkSMRemoteObjectUpdateUndoElement_Undo, 1,
   (char*)"V.Undo() -> int\nC++: virtual int Undo()\n\nUndo the operation encapsulated by this element.\n\\return the status of the operation, 1 on success, 0 otherwise.\n"},
  {(char*)"Redo", PyvtkSMRemoteObjectUpdateUndoElement_Redo, 1,
   (char*)"V.Redo() -> int\nC++: virtual int Redo()\n\nRedo the operation encaspsulated by this element.\n\\return the status of the operation, 1 on success, 0 otherwise.\n"},
  {(char*)"SetStateLocator", PyvtkSMRemoteObjectUpdateUndoElement_SetStateLocator, 1,
   (char*)"V.SetStateLocator(vtkSMStateLocator)\nC++: virtual void SetStateLocator(vtkSMStateLocator *locator)\n\nA specific StateLoctor can be used when the state gets loaded by\nthe remote object. Otherwise we use the one that is available in\nthe session that was used to create that undo element.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMRemoteObjectUpdateUndoElement_StaticNew()
{
  return vtkSMRemoteObjectUpdateUndoElement::New();
}

PyObject *PyVTKClass_vtkSMRemoteObjectUpdateUndoElementNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMRemoteObjectUpdateUndoElement_StaticNew,
    PyvtkSMRemoteObjectUpdateUndoElement_Methods,
    "vtkSMRemoteObjectUpdateUndoElement", modulename,
    NULL, NULL,
    PyvtkSMRemoteObjectUpdateUndoElement_Doc(),
    PyVTKClass_vtkSMUndoElementNew(modulename));
  return cls;
}

const char **PyvtkSMRemoteObjectUpdateUndoElement_Doc()
{
  static const char *docstring[] = {
    "vtkSMRemoteObjectUpdateUndoElement - vtkSMRemoteObject undo element.\n\n",
    "Superclass: vtkSMUndoElement\n\n",
    "This class keeps the before and after state of the RemoteObject in\nthe vtkSMMessage form. It works with any proxy and RemoteObject. It\nis a very generic undoElement.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMRemoteObjectUpdateUndoElement(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMRemoteObjectUpdateUndoElementNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMRemoteObjectUpdateUndoElement", o) != 0)
    {
    Py_DECREF(o);
    }

}

