// python wrapper for vtkSMRenderViewExporterProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMRenderViewExporterProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMRenderViewExporterProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMRenderViewExporterProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMRenderViewExporterProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMRenderViewExporterProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMExporterProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMExporterProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMExporterProxyNew
#endif

static const char **PyvtkSMRenderViewExporterProxy_Doc();


static PyObject *
PyvtkSMRenderViewExporterProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewExporterProxy *op = static_cast<vtkSMRenderViewExporterProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMRenderViewExporterProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewExporterProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewExporterProxy *op = static_cast<vtkSMRenderViewExporterProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMRenderViewExporterProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewExporterProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewExporterProxy *op = static_cast<vtkSMRenderViewExporterProxy *>(vp);

  vtkSMRenderViewExporterProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMRenderViewExporterProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewExporterProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMRenderViewExporterProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMRenderViewExporterProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewExporterProxy_Write(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewExporterProxy *op = static_cast<vtkSMRenderViewExporterProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Write();
      }
    else
      {
      op->vtkSMRenderViewExporterProxy::Write();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewExporterProxy_CanExport(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanExport");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewExporterProxy *op = static_cast<vtkSMRenderViewExporterProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->CanExport(temp0);
      }
    else
      {
      tempr = op->vtkSMRenderViewExporterProxy::CanExport(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMRenderViewExporterProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMRenderViewExporterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMRenderViewExporterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMRenderViewExporterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMRenderViewExporterProxy\nC++: vtkSMRenderViewExporterProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMRenderViewExporterProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMRenderViewExporterProxy\nC++: vtkSMRenderViewExporterProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Write", PyvtkSMRenderViewExporterProxy_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write()\n\nExports the view.\n"},
  {(char*)"CanExport", PyvtkSMRenderViewExporterProxy_CanExport, 1,
   (char*)"V.CanExport(vtkSMProxy) -> bool\nC++: virtual bool CanExport(vtkSMProxy *)\n\nReturns if the view can be exported. Default implementation\nreturn true if the view is a render view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMRenderViewExporterProxy_StaticNew()
{
  return vtkSMRenderViewExporterProxy::New();
}

PyObject *PyVTKClass_vtkSMRenderViewExporterProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMRenderViewExporterProxy_StaticNew,
    PyvtkSMRenderViewExporterProxy_Methods,
    "vtkSMRenderViewExporterProxy", modulename,
    NULL, NULL,
    PyvtkSMRenderViewExporterProxy_Doc(),
    PyVTKClass_vtkSMExporterProxyNew(modulename));
  return cls;
}

const char **PyvtkSMRenderViewExporterProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMRenderViewExporterProxy - proxy for vtkExporter subclasses which\n\n",
    "Superclass: vtkSMExporterProxy\n\n",
    "vtkSMRenderViewExporterProxy is a proxy for vtkExporter subclasses.\nIt makes it possible to export render views using these exporters.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMRenderViewExporterProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMRenderViewExporterProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMRenderViewExporterProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

