// python wrapper for vtkSMRenderViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMRenderViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMRenderViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMRenderViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMRenderViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMRenderViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMViewProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMViewProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMViewProxyNew
#endif

static const char **PyvtkSMRenderViewProxy_Doc();


static PyObject *
PyvtkSMRenderViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkSMRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMRenderViewProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SelectSurfaceCells(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectSurfaceCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  vtkCollection *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  bool temp3 = false;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3, 4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetVTKObject(temp1, "vtkCollection") &&
      ap.GetVTKObject(temp2, "vtkCollection") &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->SelectSurfaceCells(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::SelectSurfaceCells(temp0, temp1, temp2, temp3);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SelectSurfacePoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectSurfacePoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  vtkCollection *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  bool temp3 = false;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3, 4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetVTKObject(temp1, "vtkCollection") &&
      ap.GetVTKObject(temp2, "vtkCollection") &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->SelectSurfacePoints(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::SelectSurfacePoints(temp0, temp1, temp2, temp3);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SelectFrustumCells(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectFrustumCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  vtkCollection *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  bool temp3 = false;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3, 4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetVTKObject(temp1, "vtkCollection") &&
      ap.GetVTKObject(temp2, "vtkCollection") &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->SelectFrustumCells(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::SelectFrustumCells(temp0, temp1, temp2, temp3);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SelectFrustumPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SelectFrustumPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  vtkCollection *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  bool temp3 = false;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3, 4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetVTKObject(temp1, "vtkCollection") &&
      ap.GetVTKObject(temp2, "vtkCollection") &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->SelectFrustumPoints(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::SelectFrustumPoints(temp0, temp1, temp2, temp3);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_Pick(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Pick");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0;
  int temp1;
  vtkSMRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->Pick(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::Pick(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_IsSelectionAvailable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSelectionAvailable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsSelectionAvailable();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::IsSelectionAvailable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_ResetCamera_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ResetCamera();
      }
    else
      {
      op->vtkSMRenderViewProxy::ResetCamera();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMRenderViewProxy_ResetCamera_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResetCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->ResetCamera(temp0);
      }
    else
      {
      op->vtkSMRenderViewProxy::ResetCamera(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMRenderViewProxy_ResetCamera(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMRenderViewProxy_ResetCamera_s1(self, args);
    case 1:
      return PyvtkSMRenderViewProxy_ResetCamera_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "ResetCamera");
  return NULL;
}



static PyObject *
PyvtkSMRenderViewProxy_ZoomTo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ZoomTo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
    {
    if (ap.IsBound())
      {
      op->ZoomTo(temp0);
      }
    else
      {
      op->vtkSMRenderViewProxy::ZoomTo(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_IsSelectVisibleCellsAvailable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSelectVisibleCellsAvailable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsSelectVisibleCellsAvailable();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::IsSelectVisibleCellsAvailable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_IsSelectVisiblePointsAvailable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsSelectVisiblePointsAvailable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsSelectVisiblePointsAvailable();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::IsSelectVisiblePointsAvailable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_GetInteractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkPVGenericRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractor();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetInteractor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderWindow();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetRenderWindow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_GetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderer();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetRenderer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_GetActiveCamera(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkCamera *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetActiveCamera();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetActiveCamera();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  vtkSMRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDefaultRepresentation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::CreateDefaultRepresentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_SynchronizeCameraProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SynchronizeCameraProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SynchronizeCameraProperties();
      }
    else
      {
      op->vtkSMRenderViewProxy::SynchronizeCameraProperties();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_LastRenderWasInteractive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LastRenderWasInteractive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->LastRenderWasInteractive();
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::LastRenderWasInteractive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMRenderViewProxy_GetZBufferValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetZBufferValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMRenderViewProxy *op = static_cast<vtkSMRenderViewProxy *>(vp);

  int temp0;
  int temp1;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetZBufferValue(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMRenderViewProxy::GetZBufferValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMRenderViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMRenderViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMRenderViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMRenderViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMRenderViewProxy\nC++: vtkSMRenderViewProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMRenderViewProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMRenderViewProxy\nC++: vtkSMRenderViewProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SelectSurfaceCells", PyvtkSMRenderViewProxy_SelectSurfaceCells, 1,
   (char*)"V.SelectSurfaceCells([int, int, int, int], vtkCollection,\n    vtkCollection, bool) -> bool\nC++: bool SelectSurfaceCells(int region[4],\n    vtkCollection *selectedRepresentations,\n    vtkCollection *selectionSources,\n    bool multiple_selections=false)\n\nMakes a new selection source proxy.\n"},
  {(char*)"SelectSurfacePoints", PyvtkSMRenderViewProxy_SelectSurfacePoints, 1,
   (char*)"V.SelectSurfacePoints([int, int, int, int], vtkCollection,\n    vtkCollection, bool) -> bool\nC++: bool SelectSurfacePoints(int region[4],\n    vtkCollection *selectedRepresentations,\n    vtkCollection *selectionSources,\n    bool multiple_selections=false)\n\nMakes a new selection source proxy.\n"},
  {(char*)"SelectFrustumCells", PyvtkSMRenderViewProxy_SelectFrustumCells, 1,
   (char*)"V.SelectFrustumCells([int, int, int, int], vtkCollection,\n    vtkCollection, bool) -> bool\nC++: bool SelectFrustumCells(int region[4],\n    vtkCollection *selectedRepresentations,\n    vtkCollection *selectionSources,\n    bool multiple_selections=false)\n\nMakes a new selection source proxy.\n"},
  {(char*)"SelectFrustumPoints", PyvtkSMRenderViewProxy_SelectFrustumPoints, 1,
   (char*)"V.SelectFrustumPoints([int, int, int, int], vtkCollection,\n    vtkCollection, bool) -> bool\nC++: bool SelectFrustumPoints(int region[4],\n    vtkCollection *selectedRepresentations,\n    vtkCollection *selectionSources,\n    bool multiple_selections=false)\n\nMakes a new selection source proxy.\n"},
  {(char*)"Pick", PyvtkSMRenderViewProxy_Pick, 1,
   (char*)"V.Pick(int, int) -> vtkSMRepresentationProxy\nC++: vtkSMRepresentationProxy *Pick(int x, int y)\n\nConvenience method to pick a location. Internally uses\nSelectSurfaceCells to locate the picked object. In future, we can\nmake this faster.\n"},
  {(char*)"IsSelectionAvailable", PyvtkSMRenderViewProxy_IsSelectionAvailable, 1,
   (char*)"V.IsSelectionAvailable() -> bool\nC++: virtual bool IsSelectionAvailable()\n\nChecks if color depth is sufficient to support selection. If not,\nwill return 0 and any calls to SelectVisibleCells will quietly\nreturn an empty selection.\n"},
  {(char*)"ResetCamera", PyvtkSMRenderViewProxy_ResetCamera, 1,
   (char*)"V.ResetCamera()\nC++: void ResetCamera()\nV.ResetCamera([float, float, float, float, float, float])\nC++: void ResetCamera(double bounds[6])\n\nFor backwards compatibility in Python scripts.\n"},
  {(char*)"ZoomTo", PyvtkSMRenderViewProxy_ZoomTo, 1,
   (char*)"V.ZoomTo(vtkSMProxy)\nC++: void ZoomTo(vtkSMProxy *representation)\n\nConvenience method for zooming to a representation.\n"},
  {(char*)"IsSelectVisibleCellsAvailable", PyvtkSMRenderViewProxy_IsSelectVisibleCellsAvailable, 1,
   (char*)"V.IsSelectVisibleCellsAvailable() -> string\nC++: virtual const char *IsSelectVisibleCellsAvailable()\n\nSimilar to IsSelectionAvailable(), however, on failure returns\nthe error message otherwise 0.\n"},
  {(char*)"IsSelectVisiblePointsAvailable", PyvtkSMRenderViewProxy_IsSelectVisiblePointsAvailable, 1,
   (char*)"V.IsSelectVisiblePointsAvailable() -> string\nC++: virtual const char *IsSelectVisiblePointsAvailable()\n\nSimilar to IsSelectionAvailable(), however, on failure returns\nthe error message otherwise 0.\n"},
  {(char*)"GetInteractor", PyvtkSMRenderViewProxy_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkPVGenericRenderWindowInteractor\nC++: vtkPVGenericRenderWindowInteractor *GetInteractor()\n\nReturns the interactor.\n"},
  {(char*)"GetRenderWindow", PyvtkSMRenderViewProxy_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow()\n\nReturns the client-side render window.\n"},
  {(char*)"GetRenderer", PyvtkSMRenderViewProxy_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer()\n\nReturns the client-side renderer (composited or 3D).\n"},
  {(char*)"GetActiveCamera", PyvtkSMRenderViewProxy_GetActiveCamera, 1,
   (char*)"V.GetActiveCamera() -> vtkCamera\nC++: vtkCamera *GetActiveCamera()\n\nReturns the client-side camera object.\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkSMRenderViewProxy_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation(vtkSMProxy, int)\n    -> vtkSMRepresentationProxy\nC++: virtual vtkSMRepresentationProxy *CreateDefaultRepresentation(\n    vtkSMProxy *, int)\n\nCreate a default representation for the given source proxy.\nReturns a new proxy.\n"},
  {(char*)"SynchronizeCameraProperties", PyvtkSMRenderViewProxy_SynchronizeCameraProperties, 1,
   (char*)"V.SynchronizeCameraProperties()\nC++: void SynchronizeCameraProperties()\n\nThis method calls UpdateInformation on the Camera Proxy and sets\nthe Camera properties according to the info properties. This\napproach is a bit lame. We need to ensure that camera properties\nare always/automatically synchronized. Camera properties cannot\nbe treated same way as other properties.\n"},
  {(char*)"LastRenderWasInteractive", PyvtkSMRenderViewProxy_LastRenderWasInteractive, 1,
   (char*)"V.LastRenderWasInteractive() -> bool\nC++: virtual bool LastRenderWasInteractive()\n\nReturns true if the most recent render indeed employed low-res\nrendering.\n"},
  {(char*)"GetZBufferValue", PyvtkSMRenderViewProxy_GetZBufferValue, 1,
   (char*)"V.GetZBufferValue(int, int) -> float\nC++: double GetZBufferValue(int x, int y)\n\nReturns the Z-buffer value at the given location in this view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMRenderViewProxy_StaticNew()
{
  return vtkSMRenderViewProxy::New();
}

PyObject *PyVTKClass_vtkSMRenderViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMRenderViewProxy_StaticNew,
    PyvtkSMRenderViewProxy_Methods,
    "vtkSMRenderViewProxy", modulename,
    NULL, NULL,
    PyvtkSMRenderViewProxy_Doc(),
    PyVTKClass_vtkSMViewProxyNew(modulename));
  return cls;
}

const char **PyvtkSMRenderViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMRenderViewProxy - implementation for View that includes\n\n",
    "Superclass: vtkSMViewProxy\n\n",
    "vtkSMRenderViewProxy is a 3D view consisting for a render window and\ntwo renderers: 1 for 3D geometry and 1 for overlayed 2D geometry.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMRenderViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMRenderViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMRenderViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

