// python wrapper for vtkSMSILDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMSILDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMSILDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMSILDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSILDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSILDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMArraySelectionDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMArraySelectionDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMArraySelectionDomainNew
#endif

static const char **PyvtkSMSILDomain_Doc();


static PyObject *
PyvtkSMSILDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSILDomain *op = static_cast<vtkSMSILDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMSILDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSILDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSILDomain *op = static_cast<vtkSMSILDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMSILDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSILDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSILDomain *op = static_cast<vtkSMSILDomain *>(vp);

  vtkSMSILDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMSILDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMSILDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMSILDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMSILDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSILDomain_GetSIL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSIL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSILDomain *op = static_cast<vtkSMSILDomain *>(vp);

  vtkGraph *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSIL();
      }
    else
      {
      tempr = op->vtkSMSILDomain::GetSIL();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSILDomain_GetSubTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSubTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSILDomain *op = static_cast<vtkSMSILDomain *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSubTree();
      }
    else
      {
      tempr = op->vtkSMSILDomain::GetSubTree();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSILDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMSILDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMSILDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMSILDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSILDomain\nC++: vtkSMSILDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMSILDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSILDomain\nC++: vtkSMSILDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSIL", PyvtkSMSILDomain_GetSIL, 1,
   (char*)"V.GetSIL() -> vtkGraph\nC++: vtkGraph *GetSIL()\n\nGet the SIL. This does not result in the re-fetching of the SIL,\nit simply returns the most recently fetched SIL. To re-fetch the\nSIL, try calling UpdatePropertyInformation() on the reader proxy.\nThat will result in requesting the vtkSMSILInformationHelper to\nfetch the SIL.\n"},
  {(char*)"GetSubTree", PyvtkSMSILDomain_GetSubTree, 1,
   (char*)"V.GetSubTree() -> string\nC++: char *GetSubTree()\n\nProvide an access to the subtree attribute from the XML\ndefinition of the sub-domaine\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMSILDomain_StaticNew()
{
  return vtkSMSILDomain::New();
}

PyObject *PyVTKClass_vtkSMSILDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMSILDomain_StaticNew,
    PyvtkSMSILDomain_Methods,
    "vtkSMSILDomain", modulename,
    NULL, NULL,
    PyvtkSMSILDomain_Doc(),
    PyVTKClass_vtkSMArraySelectionDomainNew(modulename));
  return cls;
}

const char **PyvtkSMSILDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMSILDomain - is a specialization for vtkSMArraySelectionDomain\nwith\n\n",
    "Superclass: vtkSMArraySelectionDomain\n\n",
    "vtkSMSILDomain is basically a vtkSMArraySelectionDomain with a method\nto access the SIL. Having a separate domain also makes it possible to\nautomatically create SIL widgets in the GUI.\n\nvtkSMSILDomain needs a required property with function=\"ArrayList\"\nwhich is typically an information property with the array selection\nstatuses (exactly similar to vtkSMArraySelectionDomain) with one\nnotable except",
    "ion. This information property typically uses the\nvtkSMSILInformationHelper which is used to access the SIL if\nrequested by using GetSIL().\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMSILDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMSILDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMSILDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

