// python wrapper for vtkSMScalarBarWidgetRepresentationProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMScalarBarWidgetRepresentationProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMScalarBarWidgetRepresentationProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMScalarBarWidgetRepresentationProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMScalarBarWidgetRepresentationProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMScalarBarWidgetRepresentationProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMNewWidgetRepresentationProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMNewWidgetRepresentationProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMNewWidgetRepresentationProxyNew
#endif

static const char **PyvtkSMScalarBarWidgetRepresentationProxy_Doc();


static PyObject *
PyvtkSMScalarBarWidgetRepresentationProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMScalarBarWidgetRepresentationProxy *op = static_cast<vtkSMScalarBarWidgetRepresentationProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMScalarBarWidgetRepresentationProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMScalarBarWidgetRepresentationProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMScalarBarWidgetRepresentationProxy *op = static_cast<vtkSMScalarBarWidgetRepresentationProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMScalarBarWidgetRepresentationProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMScalarBarWidgetRepresentationProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMScalarBarWidgetRepresentationProxy *op = static_cast<vtkSMScalarBarWidgetRepresentationProxy *>(vp);

  vtkSMScalarBarWidgetRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMScalarBarWidgetRepresentationProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMScalarBarWidgetRepresentationProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMScalarBarWidgetRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMScalarBarWidgetRepresentationProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMScalarBarWidgetRepresentationProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMScalarBarWidgetRepresentationProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMScalarBarWidgetRepresentationProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMScalarBarWidgetRepresentationProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMScalarBarWidgetRepresentationProxy\nC++: vtkSMScalarBarWidgetRepresentationProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMScalarBarWidgetRepresentationProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkSMScalarBarWidgetRepresentationProxy\nC++: vtkSMScalarBarWidgetRepresentationProxy *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMScalarBarWidgetRepresentationProxy_StaticNew()
{
  return vtkSMScalarBarWidgetRepresentationProxy::New();
}

PyObject *PyVTKClass_vtkSMScalarBarWidgetRepresentationProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMScalarBarWidgetRepresentationProxy_StaticNew,
    PyvtkSMScalarBarWidgetRepresentationProxy_Methods,
    "vtkSMScalarBarWidgetRepresentationProxy", modulename,
    NULL, NULL,
    PyvtkSMScalarBarWidgetRepresentationProxy_Doc(),
    PyVTKClass_vtkSMNewWidgetRepresentationProxyNew(modulename));
  return cls;
}

const char **PyvtkSMScalarBarWidgetRepresentationProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMScalarBarWidgetRepresentationProxy - representation that can be\nused to\n\n",
    "Superclass: vtkSMNewWidgetRepresentationProxy\n\n",
    "vtkSMScalarBarWidgetRepresentationProxy is a concrete representation\nthat can be used to render the surface in a vtkSMRenderViewProxy. It\nuses a vtkPVGeometryFilter to convert non-polydata input to polydata\nthat can be rendered. It supports rendering the data as a surface,\nwireframe or points.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMScalarBarWidgetRepresentationProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMScalarBarWidgetRepresentationProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMScalarBarWidgetRepresentationProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

