// python wrapper for vtkSMSelectionHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMSelectionHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMSelectionHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMSelectionHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSelectionHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSelectionHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMSelectionHelper_Doc();


static PyObject *
PyvtkSMSelectionHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSelectionHelper *op = static_cast<vtkSMSelectionHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMSelectionHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSelectionHelper *op = static_cast<vtkSMSelectionHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMSelectionHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSelectionHelper *op = static_cast<vtkSMSelectionHelper *>(vp);

  vtkSMSelectionHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMSelectionHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMSelectionHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMSelectionHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_NewSelectionSourceFromSelection(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "NewSelectionSourceFromSelection");

  vtkSMSession *temp0 = NULL;
  vtkSelection *temp1 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMSession") &&
      ap.GetVTKObject(temp1, "vtkSelection"))
    {
    tempr = vtkSMSelectionHelper::NewSelectionSourceFromSelection(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_NewSelectionSourcesFromSelection(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "NewSelectionSourcesFromSelection");

  vtkSelection *temp0 = NULL;
  vtkSMProxy *temp1 = NULL;
  vtkCollection *temp2 = NULL;
  vtkCollection *temp3 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSelection") &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetVTKObject(temp2, "vtkCollection") &&
      ap.GetVTKObject(temp3, "vtkCollection"))
    {
    vtkSMSelectionHelper::NewSelectionSourcesFromSelection(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_ConvertSelection(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ConvertSelection");

  int temp0;
  vtkSMProxy *temp1 = NULL;
  vtkSMSourceProxy *temp2 = NULL;
  int temp3;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetVTKObject(temp2, "vtkSMSourceProxy") &&
      ap.GetValue(temp3))
    {
    tempr = vtkSMSelectionHelper::ConvertSelection(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSelectionHelper_MergeSelection(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "MergeSelection");

  vtkSMSourceProxy *temp0 = NULL;
  vtkSMSourceProxy *temp1 = NULL;
  vtkSMSourceProxy *temp2 = NULL;
  int temp3;
  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      ap.GetVTKObject(temp1, "vtkSMSourceProxy") &&
      ap.GetVTKObject(temp2, "vtkSMSourceProxy") &&
      ap.GetValue(temp3))
    {
    tempr = vtkSMSelectionHelper::MergeSelection(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSelectionHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkSMSelectionHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMSelectionHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMSelectionHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSelectionHelper\nC++: vtkSMSelectionHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMSelectionHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSelectionHelper\nC++: vtkSMSelectionHelper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"NewSelectionSourceFromSelection", PyvtkSMSelectionHelper_NewSelectionSourceFromSelection, 1,
   (char*)"V.NewSelectionSourceFromSelection(vtkSMSession, vtkSelection)\n    -> vtkSMProxy\nC++: static vtkSMProxy *NewSelectionSourceFromSelection(\n    vtkSMSession *session, vtkSelection *selection)\n\nGiven a selection, returns a proxy for a selection source that\nhas the ids specified by it. This source can then be used as\ninput to a vtkExtractSelection filter. CAVEAT: Make sure to\nspecify the connection id for the server on which the selection\nwas performed. This method can only handle 3 types of selection\nFRUSTUM, INDICES and GLOBALIDS. We can easily change this to\nhandle all other types of selection but that's not required\ncurrently and hence we not adding that code.\n"},
  {(char*)"NewSelectionSourcesFromSelection", PyvtkSMSelectionHelper_NewSelectionSourcesFromSelection, 1,
   (char*)"V.NewSelectionSourcesFromSelection(vtkSelection, vtkSMProxy,\n    vtkCollection, vtkCollection)\nC++: static void NewSelectionSourcesFromSelection(\n    vtkSelection *selection, vtkSMProxy *view,\n    vtkCollection *selSources, vtkCollection *selRepresentations)\n\n"},
  {(char*)"ConvertSelection", PyvtkSMSelectionHelper_ConvertSelection, 1,
   (char*)"V.ConvertSelection(int, vtkSMProxy, vtkSMSourceProxy, int)\n    -> vtkSMProxy\nC++: static vtkSMProxy *ConvertSelection(int outputType,\n    vtkSMProxy *selectionSourceProxy,\n    vtkSMSourceProxy *dataSource, int outputport)\n\nGiven the ContentType for an output vtkSelection, this create a\nnew source proxy generating the selection, the input\nselectionSourceProxy is used to fill the default values for\ncreated selection source.\n"},
  {(char*)"MergeSelection", PyvtkSMSelectionHelper_MergeSelection, 1,
   (char*)"V.MergeSelection(vtkSMSourceProxy, vtkSMSourceProxy,\n    vtkSMSourceProxy, int) -> bool\nC++: static bool MergeSelection(vtkSMSourceProxy *output,\n    vtkSMSourceProxy *input, vtkSMSourceProxy *dataSource,\n    int outputport)\n\nUpdates output to be a combination of (input | output) if the two\nselection sources are mergeable. Returns true if merge\nsuccessful. dataSource and outputport are needed if a conversion\nis needed to make the input expandable to the type of the output.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMSelectionHelper_StaticNew()
{
  return vtkSMSelectionHelper::New();
}

PyObject *PyVTKClass_vtkSMSelectionHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMSelectionHelper_StaticNew,
    PyvtkSMSelectionHelper_Methods,
    "vtkSMSelectionHelper", modulename,
    NULL, NULL,
    PyvtkSMSelectionHelper_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMSelectionHelper_Doc()
{
  static const char *docstring[] = {
    "vtkSMSelectionHelper - Utility class to help with selection tasks\n\n",
    "Superclass: vtkSMObject\n\n",
    "This class contains several static methods that help with the\ncomplicated selection task.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMSelectionHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMSelectionHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMSelectionHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

