// python wrapper for vtkSMSessionClient
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMSessionClient.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMSessionClient(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMSessionClient(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSessionClientNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSessionClientNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMSessionNew
extern "C" { PyObject *PyVTKClass_vtkSMSessionNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMSessionNew
#endif

static const char **PyvtkSMSessionClient_Doc();


static PyObject *
PyvtkSMSessionClient_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMSessionClient::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMSessionClient::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  vtkSMSessionClient *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMSessionClient::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMSessionClient *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMSessionClient::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_GetURI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetURI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetURI();
      }
    else
      {
      tempr = op->vtkSMSessionClient::GetURI();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_Connect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Connect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->Connect(temp0);
      }
    else
      {
      tempr = op->vtkSMSessionClient::Connect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_GetIsAlive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsAlive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsAlive();
      }
    else
      {
      tempr = op->vtkSMSessionClient::GetIsAlive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_GetServerInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetServerInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  vtkPVServerInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetServerInformation();
      }
    else
      {
      tempr = op->vtkSMSessionClient::GetServerInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkSMSessionClient::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_SetAbortConnect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAbortConnect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAbortConnect(temp0);
      }
    else
      {
      op->vtkSMSessionClient::SetAbortConnect(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_CloseSession(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CloseSession");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CloseSession();
      }
    else
      {
      op->vtkSMSessionClient::CloseSession();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_GatherInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  unsigned int temp0;
  vtkPVInformation *temp1 = NULL;
  unsigned int temp2;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPVInformation") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->GatherInformation(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMSessionClient::GatherInformation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSessionClient_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProcesses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSessionClient *op = static_cast<vtkSMSessionClient *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProcesses(temp0);
      }
    else
      {
      tempr = op->vtkSMSessionClient::GetNumberOfProcesses(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSessionClient_Methods[] = {
  {(char*)"GetClassName", PyvtkSMSessionClient_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMSessionClient_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMSessionClient_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSessionClient\nC++: vtkSMSessionClient *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMSessionClient_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSessionClient\nC++: vtkSMSessionClient *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetURI", PyvtkSMSessionClient_GetURI, 1,
   (char*)"V.GetURI() -> string\nC++: virtual const char *GetURI()\n\nReturn the url used to connect the current session to a server\n"},
  {(char*)"Connect", PyvtkSMSessionClient_Connect, 1,
   (char*)"V.Connect(string) -> bool\nC++: virtual bool Connect(const char *url)\n\nConnects a remote server. URL can be of the following format:\ncs://<pvserver-host>:<pvserver-port>\ncdsrs://<pvdataserver-host>:<pvdataserver-port>/<pvrenderserver-ho\nst>:<pvrenderserver-port> In both cases the port is optional.\nWhen not provided default pvserver/pvdataserver port // is 11111,\nwhile default pvrenderserver port is 22221. For reverse connect\ni.e. the client waits for the server to connect back, simply add\n\"rc\" to the protocol e.g. csrc://<pvserver-host>:<pvserver-port>\ncdsrsrc://<pvdataserver-host>:<pvdataserver-port>/<pvrenderserver-\nhost>:<pvrenderserver-port> In this case, the hostname is\nirrelevant and is ignored.\n"},
  {(char*)"GetIsAlive", PyvtkSMSessionClient_GetIsAlive, 1,
   (char*)"V.GetIsAlive() -> bool\nC++: virtual bool GetIsAlive()\n\nReturns true is this session is active/alive/valid.\n"},
  {(char*)"GetServerInformation", PyvtkSMSessionClient_GetServerInformation, 1,
   (char*)"V.GetServerInformation() -> vtkPVServerInformation\nC++: virtual vtkPVServerInformation *GetServerInformation()\n\nvtkPVServerInformation is an information-object that provides\ninformation about the server processes. These include server-side\ncapabilities as well as server-side command line arguments e.g.\ntile-display parameters. Use this method to obtain the\nserver-side information. Overridden to provide return the\ninformation gathered from data-server and render-server.\n"},
  {(char*)"Initialize", PyvtkSMSessionClient_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize()\n\nCalled to do any initializations after a successful session has\nbeen established. Initialize the data-server-render-server\nconnection, if applicable.\n"},
  {(char*)"SetAbortConnect", PyvtkSMSessionClient_SetAbortConnect, 1,
   (char*)"V.SetAbortConnect(bool)\nC++: void SetAbortConnect(bool a)\n\nWhen Connect() is waiting for a server to connect back to the\nclient (in reverse connect mode), then it periodically fires\nProgressEvent. Application can add observer to this signal and\nset this flag to true, if it wants to abort the wait for the\nserver.\n"},
  {(char*)"CloseSession", PyvtkSMSessionClient_CloseSession, 1,
   (char*)"V.CloseSession()\nC++: void CloseSession()\n\nGracefully exits the session.\n"},
  {(char*)"GatherInformation", PyvtkSMSessionClient_GatherInformation, 1,
   (char*)"V.GatherInformation(int, vtkPVInformation, int) -> bool\nC++: virtual bool GatherInformation(vtkTypeUInt32 location,\n    vtkPVInformation *information, vtkTypeUInt32 globalid)\n\nGather information about an object referred by the\nglobalid.location identifies the processes to gather the\ninformation from. Overridden to fetch the information from server\nif needed, otherwise it's handled locally.\n"},
  {(char*)"GetNumberOfProcesses", PyvtkSMSessionClient_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses(int) -> int\nC++: virtual int GetNumberOfProcesses(vtkTypeUInt32 servers)\n\nReturns the number of processes on the given server/s. If more\nthan 1 server is identified, than it returns the maximum number\nof processes e.g. is servers = DATA_SERVER | RENDER_SERVER and\nthere are 3 data-server nodes and 2 render-server nodes, then\nthis method will return 3.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMSessionClient_StaticNew()
{
  return vtkSMSessionClient::New();
}

PyObject *PyVTKClass_vtkSMSessionClientNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMSessionClient_StaticNew,
    PyvtkSMSessionClient_Methods,
    "vtkSMSessionClient", modulename,
    NULL, NULL,
    PyvtkSMSessionClient_Doc(),
    PyVTKClass_vtkSMSessionNew(modulename));
  return cls;
}

const char **PyvtkSMSessionClient_Doc()
{
  static const char *docstring[] = {
    "vtkSMSessionClient\n\n",
    "Superclass: vtkSMSession\n\n",
    "vtkSMSessionClient is a remote-session that connects to a remote\nserver. vtkSMSessionClient supports both connecting a pvserver as\nwell as connecting a pvdataserver/pvrenderserver.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMSessionClient(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMSessionClientNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMSessionClient", o) != 0)
    {
    Py_DECREF(o);
    }

}

