// python wrapper for vtkSMSession
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMSession.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMSession(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMSession(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSessionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSessionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVSessionBaseNew
extern "C" { PyObject *PyVTKClass_vtkPVSessionBaseNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVSessionBaseNew
#endif

static const char **PyvtkSMSession_Doc();


static PyObject *
PyvtkSMSession_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMSession::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMSession::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  vtkSMSession *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMSession::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetURI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetURI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetURI();
      }
    else
      {
      tempr = op->vtkSMSession::GetURI();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetPluginManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPluginManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  vtkSMPluginManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPluginManager();
      }
    else
      {
      tempr = op->vtkSMSession::GetPluginManager();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProcesses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProcesses(temp0);
      }
    else
      {
      tempr = op->vtkSMSession::GetNumberOfProcesses(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetNextGlobalUniqueIdentifier(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNextGlobalUniqueIdentifier");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNextGlobalUniqueIdentifier();
      }
    else
      {
      tempr = op->vtkSMSession::GetNextGlobalUniqueIdentifier();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetRenderClientMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderClientMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderClientMode();
      }
    else
      {
      tempr = op->vtkSMSession::GetRenderClientMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_SetUndoStackBuilder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUndoStackBuilder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  vtkSMUndoStackBuilder *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMUndoStackBuilder"))
    {
    if (ap.IsBound())
      {
      op->SetUndoStackBuilder(temp0);
      }
    else
      {
      op->vtkSMSession::SetUndoStackBuilder(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetUndoStackBuilder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUndoStackBuilder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  vtkSMUndoStackBuilder *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUndoStackBuilder();
      }
    else
      {
      tempr = op->vtkSMSession::GetUndoStackBuilder();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_StateManagementOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StateManagementOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StateManagementOn();
      }
    else
      {
      op->vtkSMSession::StateManagementOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_StateManagementOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StateManagementOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StateManagementOff();
      }
    else
      {
      op->vtkSMSession::StateManagementOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_SetStateManagement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStateManagement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStateManagement(temp0);
      }
    else
      {
      op->vtkSMSession::SetStateManagement(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetStateManagement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStateManagement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStateManagement();
      }
    else
      {
      tempr = op->vtkSMSession::GetStateManagement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetStateLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStateLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  vtkSMStateLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetStateLocator();
      }
    else
      {
      tempr = op->vtkSMSession::GetStateLocator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_GetIsAlive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsAlive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsAlive();
      }
    else
      {
      tempr = op->vtkSMSession::GetIsAlive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_ConnectToSelf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ConnectToSelf");

  vtkIdType tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSMSession::ConnectToSelf();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSession_ConnectToRemote_s1(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ConnectToRemote");

  char *temp0 = NULL;
  int temp1;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    tempr = vtkSMSession::ConnectToRemote(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSession_ConnectToRemote_s2(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ConnectToRemote");

  char *temp0 = NULL;
  int temp1;
  char *temp2 = NULL;
  int temp3;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    tempr = vtkSMSession::ConnectToRemote(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSession_ConnectToRemote(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMSession_ConnectToRemote_s1(self, args);
    case 4:
      return PyvtkSMSession_ConnectToRemote_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "ConnectToRemote");
  return NULL;
}



static PyObject *
PyvtkSMSession_ReverseConnectToRemote_s1(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ReverseConnectToRemote");

  int temp0;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkSMSession::ReverseConnectToRemote(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSession_ReverseConnectToRemote_s2(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "ReverseConnectToRemote");

  int temp0;
  int temp1;
  vtkIdType tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    tempr = vtkSMSession::ReverseConnectToRemote(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSession_ReverseConnectToRemote(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
    {
    case 1:
      return PyvtkSMSession_ReverseConnectToRemote_s1(self, args);
    case 2:
      return PyvtkSMSession_ReverseConnectToRemote_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "ReverseConnectToRemote");
  return NULL;
}



static PyObject *
PyvtkSMSession_GetIsAutoMPI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIsAutoMPI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSession *op = static_cast<vtkSMSession *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIsAutoMPI();
      }
    else
      {
      tempr = op->vtkSMSession::GetIsAutoMPI();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSession_Methods[] = {
  {(char*)"GetClassName", PyvtkSMSession_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMSession_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMSession_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSession\nC++: vtkSMSession *NewInstance()\n\n"},
  {(char*)"GetURI", PyvtkSMSession_GetURI, 1,
   (char*)"V.GetURI() -> string\nC++: virtual const char *GetURI()\n\nReturn the URL that define where the session is connected to. URI\nhas enough information to know the type of connection, server\nhosts and ports.\n"},
  {(char*)"GetPluginManager", PyvtkSMSession_GetPluginManager, 1,
   (char*)"V.GetPluginManager() -> vtkSMPluginManager\nC++: vtkSMPluginManager *GetPluginManager()\n\nReturns the vtkSMPluginManager attached to this session.\n"},
  {(char*)"GetNumberOfProcesses", PyvtkSMSession_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses(int) -> int\nC++: virtual int GetNumberOfProcesses(vtkTypeUInt32 servers)\n\nReturns the number of processes on the given server/s. If more\nthan 1 server is identified, than it returns the maximum number\nof processes e.g. is servers = DATA_SERVER | RENDER_SERVER and\nthere are 3 data-server nodes and 2 render-server nodes, then\nthis method will return 3. Implementation provided simply returns\nthe number of local processes.\n"},
  {(char*)"GetNextGlobalUniqueIdentifier", PyvtkSMSession_GetNextGlobalUniqueIdentifier, 1,
   (char*)"V.GetNextGlobalUniqueIdentifier() -> int\nC++: virtual vtkTypeUInt32 GetNextGlobalUniqueIdentifier()\n\nProvides a unique identifier across processes of that session.\nDefault implementation simply uses a local variable to keep track\nof ids already assigned.\n"},
  {(char*)"GetRenderClientMode", PyvtkSMSession_GetRenderClientMode, 1,
   (char*)"V.GetRenderClientMode() -> int\nC++: virtual unsigned int GetRenderClientMode()\n\nConvenient method to determine if the rendering is done in a\npvrenderer or not. For built-in or pvserver you will get\nRENDERING_UNIFIED and for a setting with a pvrenderer you will\nget RENDERING_SPLIT. If the session is something else it should\nreply RENDERING_NOT_AVAILABLE.\n"},
  {(char*)"SetUndoStackBuilder", PyvtkSMSession_SetUndoStackBuilder, 1,
   (char*)"V.SetUndoStackBuilder(vtkSMUndoStackBuilder)\nC++: virtual void SetUndoStackBuilder(vtkSMUndoStackBuilder *)\n\nAllow the user to bind an UndoStackBuilder with the given session\n"},
  {(char*)"GetUndoStackBuilder", PyvtkSMSession_GetUndoStackBuilder, 1,
   (char*)"V.GetUndoStackBuilder() -> vtkSMUndoStackBuilder\nC++: vtkSMUndoStackBuilder *GetUndoStackBuilder()\n\nAllow the user to bind an UndoStackBuilder with the given session\n"},
  {(char*)"StateManagementOn", PyvtkSMSession_StateManagementOn, 1,
   (char*)"V.StateManagementOn()\nC++: void StateManagementOn()\n\nFlag used to disable state caching needed for undo/redo. This\novercome the presence of undo stack builder in the session.\n"},
  {(char*)"StateManagementOff", PyvtkSMSession_StateManagementOff, 1,
   (char*)"V.StateManagementOff()\nC++: void StateManagementOff()\n\nFlag used to disable state caching needed for undo/redo. This\novercome the presence of undo stack builder in the session.\n"},
  {(char*)"SetStateManagement", PyvtkSMSession_SetStateManagement, 1,
   (char*)"V.SetStateManagement(bool)\nC++: void SetStateManagement(bool a)\n\nFlag used to disable state caching needed for undo/redo. This\novercome the presence of undo stack builder in the session.\n"},
  {(char*)"GetStateManagement", PyvtkSMSession_GetStateManagement, 1,
   (char*)"V.GetStateManagement() -> bool\nC++: bool GetStateManagement()\n\nFlag used to disable state caching needed for undo/redo. This\novercome the presence of undo stack builder in the session.\n"},
  {(char*)"GetStateLocator", PyvtkSMSession_GetStateLocator, 1,
   (char*)"V.GetStateLocator() -> vtkSMStateLocator\nC++: vtkSMStateLocator *GetStateLocator()\n\nProvide an access to the session state locator that can provide\nthe last state of a given remote object that have been pushed.\nThat locator will be filled by RemoteObject state only if\nStateManagement is set to true.\n"},
  {(char*)"GetIsAlive", PyvtkSMSession_GetIsAlive, 1,
   (char*)"V.GetIsAlive() -> bool\nC++: virtual bool GetIsAlive()\n\nBuiltin session is always alive.\n"},
  {(char*)"ConnectToSelf", PyvtkSMSession_ConnectToSelf, 1,
   (char*)"V.ConnectToSelf() -> int\nC++: static vtkIdType ConnectToSelf()\n\nThese are static helper methods that help create standard\nParaView sessions. They register the session with the process\nmodule and return the session id. Returns 0 on failure. This\noverload is used to create a built-in session.\n"},
  {(char*)"ConnectToRemote", PyvtkSMSession_ConnectToRemote, 1,
   (char*)"V.ConnectToRemote(string, int) -> int\nC++: static vtkIdType ConnectToRemote(const char *hostname,\n    int port)\nV.ConnectToRemote(string, int, string, int) -> int\nC++: static vtkIdType ConnectToRemote(const char *dshost,\n    int dsport, const char *rshost, int rsport)\n\nThese are static helper methods that help create standard\nParaView sessions. They register the session with the process\nmodule and return the session id. Returns 0 on failure. This\noverload is used to create a client-server session on client.\n"},
  {(char*)"ReverseConnectToRemote", PyvtkSMSession_ReverseConnectToRemote, 1,
   (char*)"V.ReverseConnectToRemote(int) -> int\nC++: static vtkIdType ReverseConnectToRemote(int port)\nV.ReverseConnectToRemote(int, int) -> int\nC++: static vtkIdType ReverseConnectToRemote(int dsport,\n    int rsport)\n\nSame as ConnectToRemote() except that it waits for a reverse\nconnection. This is a blocking call. One can optionally provide a\ncallback that can be called periodically while this call is\nblocked. The callback should return true, if the connection\nshould continue waiting, else return false to abort the wait.\n"},
  {(char*)"GetIsAutoMPI", PyvtkSMSession_GetIsAutoMPI, 1,
   (char*)"V.GetIsAutoMPI() -> bool\nC++: bool GetIsAutoMPI()\n\nThis flag if set indicates that the current session module has\nautomatically started \"pvservers\" as MPI processes as default\npipeline.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMSession_StaticNew()
{
  return vtkSMSession::New();
}

PyObject *PyVTKClass_vtkSMSessionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMSession_StaticNew,
    PyvtkSMSession_Methods,
    "vtkSMSession", modulename,
    NULL, NULL,
    PyvtkSMSession_Doc(),
    PyVTKClass_vtkPVSessionBaseNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0x00);
    if (o && PyDict_SetItemString(d, (char *)"RENDERING_NOT_AVAILABLE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x01);
    if (o && PyDict_SetItemString(d, (char *)"RENDERING_UNIFIED", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0x02);
    if (o && PyDict_SetItemString(d, (char *)"RENDERING_SPLIT", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkSMSession_Doc()
{
  static const char *docstring[] = {
    "vtkSMSession\n\n",
    "Superclass: vtkPVSessionBase\n\n",
    "vtkSMSession is the default ParaView session. This class can be used\nas the session for non-client-server configurations eg. builtin mode\nor batch.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMSession(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMSessionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMSession", o) != 0)
    {
    Py_DECREF(o);
    }

}

