// python wrapper for vtkSMSourceProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMSourceProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMSourceProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMSourceProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMSourceProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMSourceProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMSourceProxy_Doc();


static PyObject *
PyvtkSMSourceProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  vtkSMSourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMSourceProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMSourceProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_UpdatePipelineInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipelineInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipelineInformation();
      }
    else
      {
      op->vtkSMSourceProxy::UpdatePipelineInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_UpdatePipeline_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipeline();
      }
    else
      {
      op->vtkSMSourceProxy::UpdatePipeline();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_UpdatePipeline_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipeline(temp0);
      }
    else
      {
      op->vtkSMSourceProxy::UpdatePipeline(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMSourceProxy_UpdatePipeline_s1(self, args);
    case 1:
      return PyvtkSMSourceProxy_UpdatePipeline_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UpdatePipeline");
  return NULL;
}



static PyObject *
PyvtkSMSourceProxy_GetOutputPortsCreated(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortsCreated");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortsCreated();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPortsCreated();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetNumberOfOutputPorts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfOutputPorts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfOutputPorts();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetNumberOfOutputPorts();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetOutputPort_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkSMOutputPort *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPort(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_GetOutputPort_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  char *temp0 = NULL;
  vtkSMOutputPort *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPort(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSourceProxy_GetOutputPort_Methods[] = {
  {NULL, PyvtkSMSourceProxy_GetOutputPort_s1, 1,
   (char*)"@I"},
  {NULL, PyvtkSMSourceProxy_GetOutputPort_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMSourceProxy_GetOutputPort(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMSourceProxy_GetOutputPort_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetOutputPort");
  return NULL;
}



static PyObject *
PyvtkSMSourceProxy_GetOutputPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  char *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortIndex(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPortIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetOutputPortName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortName(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPortName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetOutputPortDocumentation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortDocumentation(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPortDocumentation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_GetOutputPortDocumentation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputPortDocumentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  char *temp0 = NULL;
  vtkSMDocumentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputPortDocumentation(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetOutputPortDocumentation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSourceProxy_GetOutputPortDocumentation_Methods[] = {
  {NULL, PyvtkSMSourceProxy_GetOutputPortDocumentation_s1, 1,
   (char*)"@I"},
  {NULL, PyvtkSMSourceProxy_GetOutputPortDocumentation_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMSourceProxy_GetOutputPortDocumentation(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMSourceProxy_GetOutputPortDocumentation_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetOutputPortDocumentation");
  return NULL;
}



static PyObject *
PyvtkSMSourceProxy_CreateOutputPorts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateOutputPorts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateOutputPorts();
      }
    else
      {
      op->vtkSMSourceProxy::CreateOutputPorts();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetDataInformation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  vtkPVDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataInformation();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetDataInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_GetDataInformation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkPVDataInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataInformation(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetDataInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMSourceProxy_GetDataInformation(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMSourceProxy_GetDataInformation_s1(self, args);
    case 1:
      return PyvtkSMSourceProxy_GetDataInformation_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetDataInformation");
  return NULL;
}



static PyObject *
PyvtkSMSourceProxy_CreateSelectionProxies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateSelectionProxies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateSelectionProxies();
      }
    else
      {
      op->vtkSMSourceProxy::CreateSelectionProxies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_SetSelectionInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectionInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkSMSourceProxy *temp1 = NULL;
  unsigned int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSourceProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetSelectionInput(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMSourceProxy::SetSelectionInput(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetSelectionInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkSMSourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionInput(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetSelectionInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetSelectionInputPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionInputPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionInputPort(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetSelectionInputPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_CleanSelectionInputs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CleanSelectionInputs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->CleanSelectionInputs(temp0);
      }
    else
      {
      op->vtkSMSourceProxy::CleanSelectionInputs(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetSelectionOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int temp0;
  vtkSMSourceProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectionOutput(temp0);
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetSelectionOutput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetProcessSupport(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProcessSupport");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProcessSupport();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetProcessSupport();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetNumberOfAlgorithmOutputPorts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfAlgorithmOutputPorts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfAlgorithmOutputPorts();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetNumberOfAlgorithmOutputPorts();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMSourceProxy_GetNumberOfAlgorithmRequiredInputPorts(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfAlgorithmRequiredInputPorts");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMSourceProxy *op = static_cast<vtkSMSourceProxy *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfAlgorithmRequiredInputPorts();
      }
    else
      {
      tempr = op->vtkSMSourceProxy::GetNumberOfAlgorithmRequiredInputPorts();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMSourceProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMSourceProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMSourceProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMSourceProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMSourceProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"UpdatePipelineInformation", PyvtkSMSourceProxy_UpdatePipelineInformation, 1,
   (char*)"V.UpdatePipelineInformation()\nC++: virtual void UpdatePipelineInformation()\n\nCalls UpdateInformation() on all sources.\n"},
  {(char*)"UpdatePipeline", PyvtkSMSourceProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline()\nC++: virtual void UpdatePipeline()\nV.UpdatePipeline(float)\nC++: virtual void UpdatePipeline(double time)\n\nCalls Update() on all sources. It also creates output ports if\nthey are not already created.\n"},
  {(char*)"GetOutputPortsCreated", PyvtkSMSourceProxy_GetOutputPortsCreated, 1,
   (char*)"V.GetOutputPortsCreated() -> int\nC++: int GetOutputPortsCreated()\n\nReturns if the output port proxies have been created.\n"},
  {(char*)"GetNumberOfOutputPorts", PyvtkSMSourceProxy_GetNumberOfOutputPorts, 1,
   (char*)"V.GetNumberOfOutputPorts() -> int\nC++: virtual unsigned int GetNumberOfOutputPorts()\n\nReturn the number of output ports.\n"},
  {(char*)"GetOutputPort", PyvtkSMSourceProxy_GetOutputPort, 1,
   (char*)"V.GetOutputPort(int) -> vtkSMOutputPort\nC++: virtual vtkSMOutputPort *GetOutputPort(unsigned int idx)\nV.GetOutputPort(string) -> vtkSMOutputPort\nC++: virtual vtkSMOutputPort *GetOutputPort(const char *portname)\n\nReturn an output port.\n"},
  {(char*)"GetOutputPortIndex", PyvtkSMSourceProxy_GetOutputPortIndex, 1,
   (char*)"V.GetOutputPortIndex(string) -> int\nC++: virtual unsigned int GetOutputPortIndex(const char *portname)\n\nReturns the port index, given the name of an output port. Each\noutput port is assigned a unique name (either using the xml\nconfiguration or automatically). The automatically assigned names\nare of the type Output0, Output1 etc. Returns\nVTK_UNSIGNED_INT_MAX (i.e. ~0u) when a port with given port name\ndoes not exist.\n"},
  {(char*)"GetOutputPortName", PyvtkSMSourceProxy_GetOutputPortName, 1,
   (char*)"V.GetOutputPortName(int) -> string\nC++: virtual const char *GetOutputPortName(unsigned int index)\n\nReturns the output port name given its index. Each output port is\nassigned an unique name (either using the xml configuration or\nautomatically). The automatically assigned names are of the type\nOutput-0, Output-1 etc.\n"},
  {(char*)"GetOutputPortDocumentation", PyvtkSMSourceProxy_GetOutputPortDocumentation, 1,
   (char*)"V.GetOutputPortDocumentation(int) -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetOutputPortDocumentation(\n    unsigned int index)\nV.GetOutputPortDocumentation(string) -> vtkSMDocumentation\nC++: vtkSMDocumentation *GetOutputPortDocumentation(\n    const char *portname)\n\nIt is possible to provide some documentation for each output port\nin the configuraton xml. These methods provide access to the port\nspecific documentation, if any. If no documentation is present,\nthese methods will return 0.\n"},
  {(char*)"CreateOutputPorts", PyvtkSMSourceProxy_CreateOutputPorts, 1,
   (char*)"V.CreateOutputPorts()\nC++: virtual void CreateOutputPorts()\n\nCreates the output port proxies for this filter. Each output port\nproxy corresponds to an actual output port on the algorithm.\n"},
  {(char*)"GetDataInformation", PyvtkSMSourceProxy_GetDataInformation, 1,
   (char*)"V.GetDataInformation() -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetDataInformation()\nV.GetDataInformation(int) -> vtkPVDataInformation\nC++: vtkPVDataInformation *GetDataInformation(\n    unsigned int outputIdx)\n\nDataInformation is used by the source proxy to obtain information\non the output(s) from the server. If update is false the pipeline\nwill not be updated before gathering the data information.\n"},
  {(char*)"CreateSelectionProxies", PyvtkSMSourceProxy_CreateSelectionProxies, 1,
   (char*)"V.CreateSelectionProxies()\nC++: void CreateSelectionProxies()\n\nCreates extract selection proxies for each output port if not\nalready created.\n"},
  {(char*)"SetSelectionInput", PyvtkSMSourceProxy_SetSelectionInput, 1,
   (char*)"V.SetSelectionInput(int, vtkSMSourceProxy, int)\nC++: void SetSelectionInput(unsigned int portIndex,\n    vtkSMSourceProxy *input, unsigned int outputPort)\n\nSet/Get the selection input. This is used to set the selection\ninput to the extarction proxy for the output port identified by\nportIndex. If no extraction proxies are present, this method has\nno effect.\n"},
  {(char*)"GetSelectionInput", PyvtkSMSourceProxy_GetSelectionInput, 1,
   (char*)"V.GetSelectionInput(int) -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *GetSelectionInput(unsigned int portIndex)\n\nAPI to query selection input set using SetSelectionInput.\n"},
  {(char*)"GetSelectionInputPort", PyvtkSMSourceProxy_GetSelectionInputPort, 1,
   (char*)"V.GetSelectionInputPort(int) -> int\nC++: unsigned int GetSelectionInputPort(unsigned int portIndex)\n\nAPI to query selection input set using SetSelectionInput.\n"},
  {(char*)"CleanSelectionInputs", PyvtkSMSourceProxy_CleanSelectionInputs, 1,
   (char*)"V.CleanSelectionInputs(int)\nC++: void CleanSelectionInputs(unsigned int portIndex)\n\nClean all selection inputs for the given port.\n"},
  {(char*)"GetSelectionOutput", PyvtkSMSourceProxy_GetSelectionOutput, 1,
   (char*)"V.GetSelectionOutput(int) -> vtkSMSourceProxy\nC++: vtkSMSourceProxy *GetSelectionOutput(unsigned int portIndex)\n\nReturns the source proxy which provides the selected data from\nthe given output port.\n"},
  {(char*)"GetProcessSupport", PyvtkSMSourceProxy_GetProcessSupport, 1,
   (char*)"V.GetProcessSupport() -> int\nC++: int GetProcessSupport()\n\nThis returns information about whether the VTK algorithm supports\nmultiple processes or not. SINGLE_PROCESS means that this\nalgorithm works only in serial, MULTIPLE_PROCESSES means that it\nwill only work in parallel (or it is useless in serial), BOTH\nmeans both :-) Default is BOTH. This ivar is filled from the xml\nconfiguration.\n"},
  {(char*)"GetNumberOfAlgorithmOutputPorts", PyvtkSMSourceProxy_GetNumberOfAlgorithmOutputPorts, 1,
   (char*)"V.GetNumberOfAlgorithmOutputPorts() -> int\nC++: unsigned int GetNumberOfAlgorithmOutputPorts()\n\nReturns the number of output ports provided by the algorithm.\n"},
  {(char*)"GetNumberOfAlgorithmRequiredInputPorts", PyvtkSMSourceProxy_GetNumberOfAlgorithmRequiredInputPorts, 1,
   (char*)"V.GetNumberOfAlgorithmRequiredInputPorts() -> int\nC++: virtual unsigned int GetNumberOfAlgorithmRequiredInputPorts()\n\nReturns the number of non-optional input ports required by the\nalgorithm. This value is cached after the first call.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMSourceProxy_StaticNew()
{
  return vtkSMSourceProxy::New();
}

PyObject *PyVTKClass_vtkSMSourceProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMSourceProxy_StaticNew,
    PyvtkSMSourceProxy_Methods,
    "vtkSMSourceProxy", modulename,
    NULL, NULL,
    PyvtkSMSourceProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMSourceProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMSourceProxy - proxy for a VTK source on a server\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMSourceProxy manages VTK source(s) that are created on a server\nusing the proxy pattern. In addition to functionality provided by\nvtkSMProxy, vtkSMSourceProxy provides method to connect and update\nsources. Each source proxy has one or more output ports\n(vtkSMOutputPort). Each port represents one output of one filter.\nThese are created automatically (when CreateOutputPorts() is called)\nby the s",
    "ource. Each vtkSMSourceProxy creates a property called\nDataInformation. This property is a composite property that provides\ninformation about the output(s) of the VTK sources (obtained from the\nserver)\n\nSee Also:\n\nvtkSMProxy vtkSMOutputPort vtkSMInputProperty\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMSourceProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMSourceProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMSourceProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

