// python wrapper for vtkSMStateLoader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMStateLoader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMStateLoader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMStateLoader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStateLoaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStateLoaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDeserializerNew
extern "C" { PyObject *PyVTKClass_vtkSMDeserializerNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDeserializerNew
#endif

static const char **PyvtkSMStateLoader_Doc();


static PyObject *
PyvtkSMStateLoader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMStateLoader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMStateLoader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  vtkSMStateLoader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMStateLoader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMStateLoader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMStateLoader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_LoadState(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadState");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadState(temp0);
      }
    else
      {
      tempr = op->vtkSMStateLoader::LoadState(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_SetProxyLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProxyLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  vtkSMProxyLocator *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxyLocator"))
    {
    if (ap.IsBound())
      {
      op->SetProxyLocator(temp0);
      }
    else
      {
      op->vtkSMStateLoader::SetProxyLocator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLoader_GetProxyLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLoader *op = static_cast<vtkSMStateLoader *>(vp);

  vtkSMProxyLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyLocator();
      }
    else
      {
      tempr = op->vtkSMStateLoader::GetProxyLocator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMStateLoader_Methods[] = {
  {(char*)"GetClassName", PyvtkSMStateLoader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMStateLoader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMStateLoader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStateLoader\nC++: vtkSMStateLoader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMStateLoader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMStateLoader\nC++: vtkSMStateLoader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LoadState", PyvtkSMStateLoader_LoadState, 1,
   (char*)"V.LoadState(vtkPVXMLElement) -> int\nC++: int LoadState(vtkPVXMLElement *rootElement)\n\nLoad the state from the given root element.\n"},
  {(char*)"SetProxyLocator", PyvtkSMStateLoader_SetProxyLocator, 1,
   (char*)"V.SetProxyLocator(vtkSMProxyLocator)\nC++: void SetProxyLocator(vtkSMProxyLocator *loc)\n\nGet/Set the proxy locator to use. Default is vtkSMProxyLocator\nwill be used.\n"},
  {(char*)"GetProxyLocator", PyvtkSMStateLoader_GetProxyLocator, 1,
   (char*)"V.GetProxyLocator() -> vtkSMProxyLocator\nC++: vtkSMProxyLocator *GetProxyLocator()\n\nGet/Set the proxy locator to use. Default is vtkSMProxyLocator\nwill be used.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMStateLoader_StaticNew()
{
  return vtkSMStateLoader::New();
}

PyObject *PyVTKClass_vtkSMStateLoaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMStateLoader_StaticNew,
    PyvtkSMStateLoader_Methods,
    "vtkSMStateLoader", modulename,
    NULL, NULL,
    PyvtkSMStateLoader_Doc(),
    PyVTKClass_vtkSMDeserializerNew(modulename));
  return cls;
}

const char **PyvtkSMStateLoader_Doc()
{
  static const char *docstring[] = {
    "vtkSMStateLoader - Utility class to load state from XML\n\n",
    "Superclass: vtkSMDeserializer\n\n",
    "vtkSMStateLoader can load server manager state from a given\nvtkPVXMLElement. This element is usually populated by a\nvtkPVXMLParser.\n\nSee Also:\n\nvtkPVXMLParser vtkPVXMLElement\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMStateLoader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMStateLoaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMStateLoader", o) != 0)
    {
    Py_DECREF(o);
    }

}

