// python wrapper for vtkSMStateLocator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMStateLocator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMStateLocator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMStateLocator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStateLocatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStateLocatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMStateLocator_Doc();


static PyObject *
PyvtkSMStateLocator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLocator *op = static_cast<vtkSMStateLocator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMStateLocator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLocator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLocator *op = static_cast<vtkSMStateLocator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMStateLocator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLocator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLocator *op = static_cast<vtkSMStateLocator *>(vp);

  vtkSMStateLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMStateLocator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLocator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMStateLocator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMStateLocator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLocator_SetParentLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetParentLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLocator *op = static_cast<vtkSMStateLocator *>(vp);

  vtkSMStateLocator *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMStateLocator"))
    {
    if (ap.IsBound())
      {
      op->SetParentLocator(temp0);
      }
    else
      {
      op->vtkSMStateLocator::SetParentLocator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateLocator_GetParentLocator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParentLocator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateLocator *op = static_cast<vtkSMStateLocator *>(vp);

  vtkSMStateLocator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParentLocator();
      }
    else
      {
      tempr = op->vtkSMStateLocator::GetParentLocator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMStateLocator_Methods[] = {
  {(char*)"GetClassName", PyvtkSMStateLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMStateLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMStateLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStateLocator\nC++: vtkSMStateLocator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMStateLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMStateLocator\nC++: vtkSMStateLocator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetParentLocator", PyvtkSMStateLocator_SetParentLocator, 1,
   (char*)"V.SetParentLocator(vtkSMStateLocator)\nC++: void SetParentLocator(vtkSMStateLocator *)\n\nSet/Get a parent locator to search which is used as a backup\nlocation to search from if a given state was not found locally.\n"},
  {(char*)"GetParentLocator", PyvtkSMStateLocator_GetParentLocator, 1,
   (char*)"V.GetParentLocator() -> vtkSMStateLocator\nC++: vtkSMStateLocator *GetParentLocator()\n\nSet/Get a parent locator to search which is used as a backup\nlocation to search from if a given state was not found locally.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMStateLocator_StaticNew()
{
  return vtkSMStateLocator::New();
}

PyObject *PyVTKClass_vtkSMStateLocatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMStateLocator_StaticNew,
    PyvtkSMStateLocator_Methods,
    "vtkSMStateLocator", modulename,
    NULL, NULL,
    PyvtkSMStateLocator_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMStateLocator_Doc()
{
  static const char *docstring[] = {
    "vtkSMStateLocator - Class used to retreive a given message state based\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMStateLocator allow a hierarchical way of finding a message\nstate.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMStateLocator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMStateLocatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMStateLocator", o) != 0)
    {
    Py_DECREF(o);
    }

}

