// python wrapper for vtkSMStateVersionControllerBase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMStateVersionControllerBase.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMStateVersionControllerBase(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMStateVersionControllerBase(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStateVersionControllerBaseNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStateVersionControllerBaseNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMStateVersionControllerBase_Doc();


static PyObject *
PyvtkSMStateVersionControllerBase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionControllerBase *op = static_cast<vtkSMStateVersionControllerBase *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMStateVersionControllerBase::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionControllerBase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionControllerBase *op = static_cast<vtkSMStateVersionControllerBase *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionControllerBase::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionControllerBase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionControllerBase *op = static_cast<vtkSMStateVersionControllerBase *>(vp);

  vtkSMStateVersionControllerBase *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMStateVersionControllerBase::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionControllerBase_Process(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionControllerBase *op = static_cast<vtkSMStateVersionControllerBase *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    tempr = op->Process(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMStateVersionControllerBase_Methods[] = {
  {(char*)"GetClassName", PyvtkSMStateVersionControllerBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMStateVersionControllerBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMStateVersionControllerBase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStateVersionControllerBase\nC++: vtkSMStateVersionControllerBase *NewInstance()\n\n"},
  {(char*)"Process", PyvtkSMStateVersionControllerBase_Process, 1,
   (char*)"V.Process(vtkPVXMLElement) -> bool\nC++: virtual bool Process(vtkPVXMLElement *root)\n\nCalled before a state is loaded. The argument must be the root\nelement for the state being loaded. eg. for server manager state,\nit will point to <ServerManagerState /> element. Returns false if\nthe conversion failed, else true.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSMStateVersionControllerBaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSMStateVersionControllerBase_Methods,
    "vtkSMStateVersionControllerBase", modulename,
    NULL, NULL,
    PyvtkSMStateVersionControllerBase_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMStateVersionControllerBase_Doc()
{
  static const char *docstring[] = {
    "vtkSMStateVersionControllerBase\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMStateVersionControllerBase is used to convert the state XML from\nany previously supported versions to the current version. This class\nmerely defines the API.\n\nSee Also:\n\nvtkSMStateVersionController\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMStateVersionControllerBase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMStateVersionControllerBaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMStateVersionControllerBase", o) != 0)
    {
    Py_DECREF(o);
    }

}

