// python wrapper for vtkSMStateVersionController
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMStateVersionController.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMStateVersionController(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMStateVersionController(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStateVersionControllerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStateVersionControllerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMStateVersionControllerBaseNew
extern "C" { PyObject *PyVTKClass_vtkSMStateVersionControllerBaseNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMStateVersionControllerBaseNew
#endif

static const char **PyvtkSMStateVersionController_Doc();


static PyObject *
PyvtkSMStateVersionController_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMStateVersionController::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkSMStateVersionController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMStateVersionController::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMStateVersionController *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMStateVersionController::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_0_To_3_2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_0_To_3_2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_0_To_3_2(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_0_To_3_2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_2_To_3_4(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_2_To_3_4");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_2_To_3_4(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_2_To_3_4(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_4_to_3_6(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_4_to_3_6");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_4_to_3_6(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_4_to_3_6(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_6_to_3_8(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_6_to_3_8");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_6_to_3_8(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_6_to_3_8(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_8_to_3_10(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_8_to_3_10");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_8_to_3_10(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_8_to_3_10(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStateVersionController_Process_3_10_to_4_0(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Process_3_10_to_4_0");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStateVersionController *op = static_cast<vtkSMStateVersionController *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Process_3_10_to_4_0(temp0);
      }
    else
      {
      tempr = op->vtkSMStateVersionController::Process_3_10_to_4_0(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMStateVersionController_Methods[] = {
  {(char*)"GetClassName", PyvtkSMStateVersionController_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMStateVersionController_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMStateVersionController_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStateVersionController\nC++: vtkSMStateVersionController *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMStateVersionController_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMStateVersionController\nC++: vtkSMStateVersionController *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Process", PyvtkSMStateVersionController_Process, 1,
   (char*)"V.Process(vtkPVXMLElement) -> bool\nC++: virtual bool Process(vtkPVXMLElement *root)\n\nCalled before a state is loaded. The argument must be the root\nelement for the state being loaded. eg. for server manager state,\nit will point to <ServerManagerState /> element. Returns false if\nthe conversion failed, else true.\n"},
  {(char*)"Process_3_0_To_3_2", PyvtkSMStateVersionController_Process_3_0_To_3_2, 1,
   (char*)"V.Process_3_0_To_3_2(vtkPVXMLElement) -> bool\nC++: bool Process_3_0_To_3_2(vtkPVXMLElement *root)\n\n"},
  {(char*)"Process_3_2_To_3_4", PyvtkSMStateVersionController_Process_3_2_To_3_4, 1,
   (char*)"V.Process_3_2_To_3_4(vtkPVXMLElement) -> bool\nC++: bool Process_3_2_To_3_4(vtkPVXMLElement *root)\n\n"},
  {(char*)"Process_3_4_to_3_6", PyvtkSMStateVersionController_Process_3_4_to_3_6, 1,
   (char*)"V.Process_3_4_to_3_6(vtkPVXMLElement) -> bool\nC++: bool Process_3_4_to_3_6(vtkPVXMLElement *root)\n\n"},
  {(char*)"Process_3_6_to_3_8", PyvtkSMStateVersionController_Process_3_6_to_3_8, 1,
   (char*)"V.Process_3_6_to_3_8(vtkPVXMLElement) -> bool\nC++: bool Process_3_6_to_3_8(vtkPVXMLElement *root)\n\n"},
  {(char*)"Process_3_8_to_3_10", PyvtkSMStateVersionController_Process_3_8_to_3_10, 1,
   (char*)"V.Process_3_8_to_3_10(vtkPVXMLElement) -> bool\nC++: bool Process_3_8_to_3_10(vtkPVXMLElement *root)\n\n"},
  {(char*)"Process_3_10_to_4_0", PyvtkSMStateVersionController_Process_3_10_to_4_0, 1,
   (char*)"V.Process_3_10_to_4_0(vtkPVXMLElement) -> bool\nC++: bool Process_3_10_to_4_0(vtkPVXMLElement *root)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMStateVersionController_StaticNew()
{
  return vtkSMStateVersionController::New();
}

PyObject *PyVTKClass_vtkSMStateVersionControllerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMStateVersionController_StaticNew,
    PyvtkSMStateVersionController_Methods,
    "vtkSMStateVersionController", modulename,
    NULL, NULL,
    PyvtkSMStateVersionController_Doc(),
    PyVTKClass_vtkSMStateVersionControllerBaseNew(modulename));
  return cls;
}

const char **PyvtkSMStateVersionController_Doc()
{
  static const char *docstring[] = {
    "vtkSMStateVersionController\n\n",
    "Superclass: vtkSMStateVersionControllerBase\n\n",
    "vtkSMStateVersionController is used to convert the state XML from any\npreviously supported versions to the current version.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMStateVersionController(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMStateVersionControllerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMStateVersionController", o) != 0)
    {
    Py_DECREF(o);
    }

}

