// python wrapper for vtkSMStringListRangeDomain
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMStringListRangeDomain.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMStringListRangeDomain(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMStringListRangeDomain(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMDomainNew
extern "C" { PyObject *PyVTKClass_vtkSMDomainNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMDomainNew
#endif

static const char **PyvtkSMStringListRangeDomain_Doc();


static PyObject *
PyvtkSMStringListRangeDomain_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  vtkSMStringListRangeDomain *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMStringListRangeDomain *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMStringListRangeDomain::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_IsInDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsInDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProperty"))
    {
    if (ap.IsBound())
      {
      tempr = op->IsInDomain(temp0);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::IsInDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_SetIntDomainMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntDomainMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIntDomainMode(temp0);
      }
    else
      {
      op->vtkSMStringListRangeDomain::SetIntDomainMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetIntDomainModeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntDomainModeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntDomainModeMinValue();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetIntDomainModeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetIntDomainModeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntDomainModeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntDomainModeMaxValue();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetIntDomainModeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetIntDomainMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntDomainMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntDomainMode();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetIntDomainMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetNumberOfStrings(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfStrings");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfStrings();
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetNumberOfStrings();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetString(temp0);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_AddString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  char *temp0 = NULL;
  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->AddString(temp0);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::AddString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveString(temp0);
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveString(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveAllStrings(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllStrings");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllStrings();
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveAllStrings();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimum(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetMinimum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(1, temp1);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_GetMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximum(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMStringListRangeDomain::GetMaximum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      ap.SetArgValue(1, temp1);
      }
    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_AddMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddMinimum(temp0, temp1);
      }
    else
      {
      op->vtkSMStringListRangeDomain::AddMinimum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveMinimum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveMinimum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveMinimum(temp0);
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveMinimum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveAllMinima(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllMinima");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllMinima();
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveAllMinima();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_AddMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddMaximum(temp0, temp1);
      }
    else
      {
      op->vtkSMStringListRangeDomain::AddMaximum(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveMaximum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveMaximum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveMaximum(temp0);
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveMaximum(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_RemoveAllMaxima(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllMaxima");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllMaxima();
      }
    else
      {
      op->vtkSMStringListRangeDomain::RemoveAllMaxima();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMStringListRangeDomain_SetAnimationValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAnimationValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMStringListRangeDomain *op = static_cast<vtkSMStringListRangeDomain *>(vp);

  vtkSMProperty *temp0 = NULL;
  int temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProperty") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAnimationValue(temp0, temp1, temp2);
      }
    else
      {
      op->vtkSMStringListRangeDomain::SetAnimationValue(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMStringListRangeDomain_Methods[] = {
  {(char*)"GetClassName", PyvtkSMStringListRangeDomain_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMStringListRangeDomain_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMStringListRangeDomain_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMStringListRangeDomain\nC++: vtkSMStringListRangeDomain *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMStringListRangeDomain_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMStringListRangeDomain\nC++: vtkSMStringListRangeDomain *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"IsInDomain", PyvtkSMStringListRangeDomain_IsInDomain, 1,
   (char*)"V.IsInDomain(vtkSMProperty) -> int\nC++: virtual int IsInDomain(vtkSMProperty *property)\n\nTrue if every even element is in the list of strings and every\nadd element is in the range (or boolean), false otherwise.\n"},
  {(char*)"SetIntDomainMode", PyvtkSMStringListRangeDomain_SetIntDomainMode, 1,
   (char*)"V.SetIntDomainMode(int)\nC++: void SetIntDomainMode(int)\n\nSet the domain for the integer value. Can be either RANGE or\nBOOLEAN\n"},
  {(char*)"GetIntDomainModeMinValue", PyvtkSMStringListRangeDomain_GetIntDomainModeMinValue, 1,
   (char*)"V.GetIntDomainModeMinValue() -> int\nC++: int GetIntDomainModeMinValue()\n\nSet the domain for the integer value. Can be either RANGE or\nBOOLEAN\n"},
  {(char*)"GetIntDomainModeMaxValue", PyvtkSMStringListRangeDomain_GetIntDomainModeMaxValue, 1,
   (char*)"V.GetIntDomainModeMaxValue() -> int\nC++: int GetIntDomainModeMaxValue()\n\nSet the domain for the integer value. Can be either RANGE or\nBOOLEAN\n"},
  {(char*)"GetIntDomainMode", PyvtkSMStringListRangeDomain_GetIntDomainMode, 1,
   (char*)"V.GetIntDomainMode() -> int\nC++: int GetIntDomainMode()\n\nSet the domain for the integer value. Can be either RANGE or\nBOOLEAN\n"},
  {(char*)"GetNumberOfStrings", PyvtkSMStringListRangeDomain_GetNumberOfStrings, 1,
   (char*)"V.GetNumberOfStrings() -> int\nC++: unsigned int GetNumberOfStrings()\n\nReturns the number of strings in the domain.\n"},
  {(char*)"GetString", PyvtkSMStringListRangeDomain_GetString, 1,
   (char*)"V.GetString(int) -> string\nC++: const char *GetString(unsigned int idx)\n\nReturns a string in the domain. The pointer may become invalid\nonce the domain has been modified.\n"},
  {(char*)"AddString", PyvtkSMStringListRangeDomain_AddString, 1,
   (char*)"V.AddString(string) -> int\nC++: unsigned int AddString(const char *string)\n\nAdds a new string to the domain.\n"},
  {(char*)"RemoveString", PyvtkSMStringListRangeDomain_RemoveString, 1,
   (char*)"V.RemoveString(string)\nC++: void RemoveString(const char *string)\n\nRemoves a string from the domain.\n"},
  {(char*)"RemoveAllStrings", PyvtkSMStringListRangeDomain_RemoveAllStrings, 1,
   (char*)"V.RemoveAllStrings()\nC++: void RemoveAllStrings()\n\nRemoves all strings from the domain.\n"},
  {(char*)"GetMinimum", PyvtkSMStringListRangeDomain_GetMinimum, 1,
   (char*)"V.GetMinimum(int, int) -> int\nC++: int GetMinimum(unsigned int idx, int &exists)\n\nReturn a min. value if it exists. If the min. exists exists is\nset to 1. Otherwise, it is set to 0. An unspecified min. is\nequivalent to -inf\n"},
  {(char*)"GetMaximum", PyvtkSMStringListRangeDomain_GetMaximum, 1,
   (char*)"V.GetMaximum(int, int) -> int\nC++: int GetMaximum(unsigned int idx, int &exists)\n\nReturn a max. value if it exists. If the min. exists exists is\nset to 1. Otherwise, it is set to 0. An unspecified max. is\nequivalent to inf\n"},
  {(char*)"AddMinimum", PyvtkSMStringListRangeDomain_AddMinimum, 1,
   (char*)"V.AddMinimum(int, int)\nC++: void AddMinimum(unsigned int idx, int value)\n\nSet a min. of a given index.\n"},
  {(char*)"RemoveMinimum", PyvtkSMStringListRangeDomain_RemoveMinimum, 1,
   (char*)"V.RemoveMinimum(int)\nC++: void RemoveMinimum(unsigned int idx)\n\nRemove a min. of a given index. An unspecified min. is equivalent\nto -inf\n"},
  {(char*)"RemoveAllMinima", PyvtkSMStringListRangeDomain_RemoveAllMinima, 1,
   (char*)"V.RemoveAllMinima()\nC++: void RemoveAllMinima()\n\nClear all minimum values.\n"},
  {(char*)"AddMaximum", PyvtkSMStringListRangeDomain_AddMaximum, 1,
   (char*)"V.AddMaximum(int, int)\nC++: void AddMaximum(unsigned int idx, int value)\n\nSet a max. of a given index.\n"},
  {(char*)"RemoveMaximum", PyvtkSMStringListRangeDomain_RemoveMaximum, 1,
   (char*)"V.RemoveMaximum(int)\nC++: void RemoveMaximum(unsigned int idx)\n\nRemove a max. of a given index. An unspecified min. is equivalent\nto inf\n"},
  {(char*)"RemoveAllMaxima", PyvtkSMStringListRangeDomain_RemoveAllMaxima, 1,
   (char*)"V.RemoveAllMaxima()\nC++: void RemoveAllMaxima()\n\nClear all maximum values.\n"},
  {(char*)"SetAnimationValue", PyvtkSMStringListRangeDomain_SetAnimationValue, 1,
   (char*)"V.SetAnimationValue(vtkSMProperty, int, float)\nC++: virtual void SetAnimationValue(vtkSMProperty *property,\n    int idx, double value)\n\nSet the value of an element of a property from the animation\neditor.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMStringListRangeDomain_StaticNew()
{
  return vtkSMStringListRangeDomain::New();
}

PyObject *PyVTKClass_vtkSMStringListRangeDomainNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMStringListRangeDomain_StaticNew,
    PyvtkSMStringListRangeDomain_Methods,
    "vtkSMStringListRangeDomain", modulename,
    NULL, NULL,
    PyvtkSMStringListRangeDomain_Doc(),
    PyVTKClass_vtkSMDomainNew(modulename));
  return cls;
}

const char **PyvtkSMStringListRangeDomain_Doc()
{
  static const char *docstring[] = {
    "vtkSMStringListRangeDomain - domain for string lists that also have\nranges\n\n",
    "Superclass: vtkSMDomain\n\n",
    "vtkSMStringListRangeDomain restricts the values of string vectors\n(works only with vtkSMStringVectorProperty) to a list of strings and\neither a range or a boolean. This is used with string properties that\nhave tuples of string and int type components. A good example is\narray selection, where the first entry is the name of the array\n(string) and the second one is whether it is selected or not (int,",
    "\nbool). Another example is xdmf parameters, where the first entry is\nthe name of the property and the second one it's value (restricted to\nan int range) .Section See Also vtkSMIntRangeDomain\nvtkSMBooleanDomain vtkSMStringListDomain\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMStringListRangeDomain(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMStringListRangeDomainNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMStringListRangeDomain", o) != 0)
    {
    Py_DECREF(o);
    }

}

