// python wrapper for vtkSMTesting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMTesting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMTesting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMTesting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMTestingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMTestingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMTesting_Doc();


static PyObject *
PyvtkSMTesting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMTesting::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMTesting::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  vtkSMTesting *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMTesting::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMTesting *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMTesting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_SetRenderViewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderViewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  vtkSMRenderViewProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMRenderViewProxy"))
    {
    if (ap.IsBound())
      {
      op->SetRenderViewProxy(temp0);
      }
    else
      {
      op->vtkSMTesting::SetRenderViewProxy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_GetRenderViewProxy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderViewProxy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  vtkSMRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderViewProxy();
      }
    else
      {
      tempr = op->vtkSMTesting::GetRenderViewProxy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_AddArgument(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddArgument");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddArgument(temp0);
      }
    else
      {
      op->vtkSMTesting::AddArgument(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMTesting_RegressionTest(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegressionTest");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTesting *op = static_cast<vtkSMTesting *>(vp);

  float temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->RegressionTest(temp0);
      }
    else
      {
      tempr = op->vtkSMTesting::RegressionTest(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMTesting_Methods[] = {
  {(char*)"GetClassName", PyvtkSMTesting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMTesting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMTesting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMTesting\nC++: vtkSMTesting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMTesting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMTesting\nC++: vtkSMTesting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetRenderViewProxy", PyvtkSMTesting_SetRenderViewProxy, 1,
   (char*)"V.SetRenderViewProxy(vtkSMRenderViewProxy)\nC++: void SetRenderViewProxy(vtkSMRenderViewProxy *)\n\nSet/get the render module proxy.\n"},
  {(char*)"GetRenderViewProxy", PyvtkSMTesting_GetRenderViewProxy, 1,
   (char*)"V.GetRenderViewProxy() -> vtkSMRenderViewProxy\nC++: vtkSMRenderViewProxy *GetRenderViewProxy()\n\nSet/get the render module proxy.\n"},
  {(char*)"AddArgument", PyvtkSMTesting_AddArgument, 1,
   (char*)"V.AddArgument(string)\nC++: virtual void AddArgument(const char *arg)\n\nAdd argument\n"},
  {(char*)"RegressionTest", PyvtkSMTesting_RegressionTest, 1,
   (char*)"V.RegressionTest(float) -> int\nC++: virtual int RegressionTest(float thresh)\n\nPerform the actual test.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMTesting_StaticNew()
{
  return vtkSMTesting::New();
}

PyObject *PyVTKClass_vtkSMTestingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMTesting_StaticNew,
    PyvtkSMTesting_Methods,
    "vtkSMTesting", modulename,
    NULL, NULL,
    PyvtkSMTesting_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMTesting_Doc()
{
  static const char *docstring[] = {
    "vtkSMTesting - vtkTesting adaptor for Server Manager.\n\n",
    "Superclass: vtkSMObject\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMTesting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMTestingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMTesting", o) != 0)
    {
    Py_DECREF(o);
    }

}

