// python wrapper for vtkSMTimeKeeperProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMTimeKeeperProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMTimeKeeperProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMTimeKeeperProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMTimeKeeperProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMTimeKeeperProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMTimeKeeperProxy_Doc();


static PyObject *
PyvtkSMTimeKeeperProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTimeKeeperProxy *op = static_cast<vtkSMTimeKeeperProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMTimeKeeperProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTimeKeeperProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTimeKeeperProxy *op = static_cast<vtkSMTimeKeeperProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMTimeKeeperProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTimeKeeperProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTimeKeeperProxy *op = static_cast<vtkSMTimeKeeperProxy *>(vp);

  vtkSMTimeKeeperProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMTimeKeeperProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMTimeKeeperProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMTimeKeeperProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMTimeKeeperProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMTimeKeeperProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMTimeKeeperProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMTimeKeeperProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMTimeKeeperProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMTimeKeeperProxy\nC++: vtkSMTimeKeeperProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMTimeKeeperProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMTimeKeeperProxy\nC++: vtkSMTimeKeeperProxy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMTimeKeeperProxy_StaticNew()
{
  return vtkSMTimeKeeperProxy::New();
}

PyObject *PyVTKClass_vtkSMTimeKeeperProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMTimeKeeperProxy_StaticNew,
    PyvtkSMTimeKeeperProxy_Methods,
    "vtkSMTimeKeeperProxy", modulename,
    NULL, NULL,
    PyvtkSMTimeKeeperProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMTimeKeeperProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMTimeKeeperProxy\n\n",
    "Superclass: vtkSMProxy\n\n",
    "We simply pass the TimestepValues and TimeRange properties to the\nclient-side vtkSMTimeKeeper instance so that it can keep those\nup-to-date.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMTimeKeeperProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMTimeKeeperProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMTimeKeeperProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

