// python wrapper for vtkSMTwoDRenderViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMTwoDRenderViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMTwoDRenderViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMTwoDRenderViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMTwoDRenderViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMTwoDRenderViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMRenderViewProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMRenderViewProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMRenderViewProxyNew
#endif

static const char **PyvtkSMTwoDRenderViewProxy_Doc();


static PyObject *
PyvtkSMTwoDRenderViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTwoDRenderViewProxy *op = static_cast<vtkSMTwoDRenderViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMTwoDRenderViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTwoDRenderViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTwoDRenderViewProxy *op = static_cast<vtkSMTwoDRenderViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMTwoDRenderViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTwoDRenderViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTwoDRenderViewProxy *op = static_cast<vtkSMTwoDRenderViewProxy *>(vp);

  vtkSMTwoDRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMTwoDRenderViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMTwoDRenderViewProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMTwoDRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMTwoDRenderViewProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMTwoDRenderViewProxy_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMTwoDRenderViewProxy *op = static_cast<vtkSMTwoDRenderViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  vtkSMRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDefaultRepresentation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMTwoDRenderViewProxy::CreateDefaultRepresentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMTwoDRenderViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMTwoDRenderViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMTwoDRenderViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMTwoDRenderViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMTwoDRenderViewProxy\nC++: vtkSMTwoDRenderViewProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMTwoDRenderViewProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMTwoDRenderViewProxy\nC++: vtkSMTwoDRenderViewProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkSMTwoDRenderViewProxy_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation(vtkSMProxy, int)\n    -> vtkSMRepresentationProxy\nC++: virtual vtkSMRepresentationProxy *CreateDefaultRepresentation(\n    vtkSMProxy *, int)\n\nCreate a default representation for the given source proxy.\nReturns a new proxy.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMTwoDRenderViewProxy_StaticNew()
{
  return vtkSMTwoDRenderViewProxy::New();
}

PyObject *PyVTKClass_vtkSMTwoDRenderViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMTwoDRenderViewProxy_StaticNew,
    PyvtkSMTwoDRenderViewProxy_Methods,
    "vtkSMTwoDRenderViewProxy", modulename,
    NULL, NULL,
    PyvtkSMTwoDRenderViewProxy_Doc(),
    PyVTKClass_vtkSMRenderViewProxyNew(modulename));
  return cls;
}

const char **PyvtkSMTwoDRenderViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMTwoDRenderViewProxy\n\n",
    "Superclass: vtkSMRenderViewProxy\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMTwoDRenderViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMTwoDRenderViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMTwoDRenderViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

