// python wrapper for vtkSMUndoStackBuilder
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMUndoStackBuilder.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMUndoStackBuilder(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMUndoStackBuilder(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMUndoStackBuilderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMUndoStackBuilderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMUndoStackBuilder_Doc();


static PyObject *
PyvtkSMUndoStackBuilder_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  vtkSMUndoStackBuilder *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMUndoStackBuilder *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMUndoStackBuilder::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_Begin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Begin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->Begin(temp0);
      }
    else
      {
      op->vtkSMUndoStackBuilder::Begin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_End(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "End");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->End();
      }
    else
      {
      op->vtkSMUndoStackBuilder::End();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_EndAndPushToStack(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EndAndPushToStack");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->EndAndPushToStack();
      }
    else
      {
      op->vtkSMUndoStackBuilder::EndAndPushToStack();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_PushToStack(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PushToStack");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PushToStack();
      }
    else
      {
      op->vtkSMUndoStackBuilder::PushToStack();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_Clear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Clear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Clear();
      }
    else
      {
      op->vtkSMUndoStackBuilder::Clear();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_Add(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Add");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  vtkUndoElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkUndoElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->Add(temp0);
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::Add(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_GetUndoStack(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUndoStack");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  vtkSMUndoStack *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUndoStack();
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::GetUndoStack();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_SetUndoStack(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUndoStack");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  vtkSMUndoStack *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMUndoStack"))
    {
    if (ap.IsBound())
      {
      op->SetUndoStack(temp0);
      }
    else
      {
      op->vtkSMUndoStackBuilder::SetUndoStack(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_SetIgnoreAllChanges(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIgnoreAllChanges");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIgnoreAllChanges(temp0);
      }
    else
      {
      op->vtkSMUndoStackBuilder::SetIgnoreAllChanges(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStackBuilder_GetIgnoreAllChanges(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIgnoreAllChanges");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStackBuilder *op = static_cast<vtkSMUndoStackBuilder *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIgnoreAllChanges();
      }
    else
      {
      tempr = op->vtkSMUndoStackBuilder::GetIgnoreAllChanges();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMUndoStackBuilder_Methods[] = {
  {(char*)"GetClassName", PyvtkSMUndoStackBuilder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMUndoStackBuilder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMUndoStackBuilder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMUndoStackBuilder\nC++: vtkSMUndoStackBuilder *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMUndoStackBuilder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMUndoStackBuilder\nC++: vtkSMUndoStackBuilder *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Begin", PyvtkSMUndoStackBuilder_Begin, 1,
   (char*)"V.Begin(string)\nC++: virtual void Begin(const char *label)\n\nBegins monitoring of the vtkSMProxyManager for undoable\noperations. All noted actions are converted to UndoElements and\ncollected. One vtkUndoElement is created per action. All undo\nelements become a part of a vtkUndoSet which is pushed on to the\nUndo Stack on PushToStack().label is a suggestion for the UndoSet\nthat will be built. If the UndoSet already has elements implying\nit hasn't been pushed to the stack then the label is ignored.\n"},
  {(char*)"End", PyvtkSMUndoStackBuilder_End, 1,
   (char*)"V.End()\nC++: virtual void End()\n\nStops monitoring of the vtkSMProxyManager for undoable\noperations. Any changes made to the proxy manager will not be\nconverted to UndoElements. This method does not push the\nvtkUndoSet of undo elements built. One must call PushToStack() to\npush the UndoSet to the Undo stack. Alternatively, one can use\nthe EndAndPushToStack() method which combines End() and\nPushToStack().\n"},
  {(char*)"EndAndPushToStack", PyvtkSMUndoStackBuilder_EndAndPushToStack, 1,
   (char*)"V.EndAndPushToStack()\nC++: void EndAndPushToStack()\n\nConvenience method call End(); PushToStack(); in that order.\n"},
  {(char*)"PushToStack", PyvtkSMUndoStackBuilder_PushToStack, 1,
   (char*)"V.PushToStack()\nC++: virtual void PushToStack()\n\nIf any undoable changes were recorded by the builder, this will\npush the vtkUndoSet formed on to the UndoStack. The UndoStack\nwhich the builder is building must be set by using\nSetUndoStack(). If the UndoSet is empty, it is not pushed on the\nstack. After pushing, the UndoSet is cleared so the builder is\nready to collect new modifications.\n"},
  {(char*)"Clear", PyvtkSMUndoStackBuilder_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear()\n\nDiscard all recorded changes that haven't been pushed on the\nUndoStack.\n"},
  {(char*)"Add", PyvtkSMUndoStackBuilder_Add, 1,
   (char*)"V.Add(vtkUndoElement) -> bool\nC++: virtual bool Add(vtkUndoElement *element)\n\n"},
  {(char*)"GetUndoStack", PyvtkSMUndoStackBuilder_GetUndoStack, 1,
   (char*)"V.GetUndoStack() -> vtkSMUndoStack\nC++: vtkSMUndoStack *GetUndoStack()\n\nGet/Set the undo stack that this builder will build.\n"},
  {(char*)"SetUndoStack", PyvtkSMUndoStackBuilder_SetUndoStack, 1,
   (char*)"V.SetUndoStack(vtkSMUndoStack)\nC++: virtual void SetUndoStack(vtkSMUndoStack *)\n\nGet/Set the undo stack that this builder will build.\n"},
  {(char*)"SetIgnoreAllChanges", PyvtkSMUndoStackBuilder_SetIgnoreAllChanges, 1,
   (char*)"V.SetIgnoreAllChanges(bool)\nC++: void SetIgnoreAllChanges(bool a)\n\nIf IgnoreAllChanges is true, any server manager changes will be\nignored even if the changes happened within a Begin()-End() call.\nThis provides a mechanism for the application to perform\nnon-undoable operations irrespective of whether a undo set if\nbeing built. By default, it is set to false.\n"},
  {(char*)"GetIgnoreAllChanges", PyvtkSMUndoStackBuilder_GetIgnoreAllChanges, 1,
   (char*)"V.GetIgnoreAllChanges() -> bool\nC++: bool GetIgnoreAllChanges()\n\nIf IgnoreAllChanges is true, any server manager changes will be\nignored even if the changes happened within a Begin()-End() call.\nThis provides a mechanism for the application to perform\nnon-undoable operations irrespective of whether a undo set if\nbeing built. By default, it is set to false.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMUndoStackBuilder_StaticNew()
{
  return vtkSMUndoStackBuilder::New();
}

PyObject *PyVTKClass_vtkSMUndoStackBuilderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMUndoStackBuilder_StaticNew,
    PyvtkSMUndoStackBuilder_Methods,
    "vtkSMUndoStackBuilder", modulename,
    NULL, NULL,
    PyvtkSMUndoStackBuilder_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMUndoStackBuilder_Doc()
{
  static const char *docstring[] = {
    "vtkSMUndoStackBuilder - builds server manager undo sets and \n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMUndoStackBuilder records Server Manager changes that are\nundo/redo able and collects them. To begin recording such changes one\nmust call Begin(). To end recording use End(). One can have multiple\nblocks of Begin-End before pushing the changes on the Undo Stack. To\npush all collected changes onto the Undo Stack as a single undoable\nstep, use PushToStack(). Applications can subclass\nvtkSMUndoSt",
    "ackBuilder to record GUI related changes and add them to\nthe undo stack.\n\nTODO:\n\n\\li Mutiple clients are not supported. For now, the server can\n    connect to only\none client.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMUndoStackBuilder(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMUndoStackBuilderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMUndoStackBuilder", o) != 0)
    {
    Py_DECREF(o);
    }

}

