// python wrapper for vtkSMUndoStack
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMUndoStack.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMUndoStack(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMUndoStack(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMUndoStackNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMUndoStackNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkUndoStackNew
extern "C" { PyObject *PyVTKClass_vtkUndoStackNew(const char *); }
#define DECLARED_PyVTKClass_vtkUndoStackNew
#endif

static const char **PyvtkSMUndoStack_Doc();


static PyObject *
PyvtkSMUndoStack_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMUndoStack::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMUndoStack::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  vtkSMUndoStack *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMUndoStack::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMUndoStack *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMUndoStack::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_Push(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Push");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  char *temp0 = NULL;
  vtkUndoSet *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkUndoSet"))
    {
    if (ap.IsBound())
      {
      op->Push(temp0, temp1);
      }
    else
      {
      op->vtkSMUndoStack::Push(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_Undo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Undo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Undo();
      }
    else
      {
      tempr = op->vtkSMUndoStack::Undo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMUndoStack_Redo(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Redo");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMUndoStack *op = static_cast<vtkSMUndoStack *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Redo();
      }
    else
      {
      tempr = op->vtkSMUndoStack::Redo();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMUndoStack_Methods[] = {
  {(char*)"GetClassName", PyvtkSMUndoStack_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMUndoStack_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMUndoStack_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMUndoStack\nC++: vtkSMUndoStack *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMUndoStack_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMUndoStack\nC++: vtkSMUndoStack *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Push", PyvtkSMUndoStack_Push, 1,
   (char*)"V.Push(string, vtkUndoSet)\nC++: virtual void Push(const char *label, vtkUndoSet *changeSet)\n\nPush an undo set on the Undo stack. This will clear any sets in\nthe Redo stack.\n"},
  {(char*)"Undo", PyvtkSMUndoStack_Undo, 1,
   (char*)"V.Undo() -> int\nC++: virtual int Undo()\n\nPerforms an Undo using the set on the top of the undo stack. The\nset is poped from the undo stack and pushed at the top of the\nredo stack. Before undo begins, it fires vtkCommand::StartEvent\nand when undo completes, it fires vtkCommand::EndEvent.\n\\returns the status of the operation.\n"},
  {(char*)"Redo", PyvtkSMUndoStack_Redo, 1,
   (char*)"V.Redo() -> int\nC++: virtual int Redo()\n\nPerforms a Redo using the set on the top of the redo stack. The\nset is poped from the redo stack and pushed at the top of the\nundo stack. Before redo begins, it fires vtkCommand::StartEvent\nand when redo completes, it fires vtkCommand::EndEvent.\n\\returns the status of the operation.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMUndoStack_StaticNew()
{
  return vtkSMUndoStack::New();
}

PyObject *PyVTKClass_vtkSMUndoStackNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMUndoStack_StaticNew,
    PyvtkSMUndoStack_Methods,
    "vtkSMUndoStack", modulename,
    NULL, NULL,
    PyvtkSMUndoStack_Doc(),
    PyVTKClass_vtkUndoStackNew(modulename));
  return cls;
}

const char **PyvtkSMUndoStack_Doc()
{
  static const char *docstring[] = {
    "vtkSMUndoStack\n\n",
    "Superclass: vtkUndoStack\n\n",
    "This is the undo/redo stack for the Server Manager. This provides a\nunified face for undo/redo irrespective of number of connections,\ntheir type etc etc.\n\nOn every undo/redo, it fetches the XML state change from the server.\nvtkSMUndoRedoStateLoader is used to generate a vtkUndoSet object from\nthe XML. GUI can subclass vtkSMUndoRedoStateLoader to handle GUI\nspecific XML elements. The loader instanc",
    "e must be set before\nperforming the undo, otherwise vtkSMUndoRedoStateLoader is used.\n\nThis class also provides API to push any vtkUndoSet instance on to a\nserver. GUI can use this to push its own changes that is undoable\nacross connections.\n\nSee Also:\n\nvtkSMUndoStackBuilder\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMUndoStack(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMUndoStackNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMUndoStack", o) != 0)
    {
    Py_DECREF(o);
    }

}

