// python wrapper for vtkSMViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMProxyNew
#endif

static const char **PyvtkSMViewProxy_Doc();


static PyObject *
PyvtkSMViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  vtkSMViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMViewProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMViewProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_StillRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StillRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StillRender();
      }
    else
      {
      op->vtkSMViewProxy::StillRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_InteractiveRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveRender();
      }
    else
      {
      op->vtkSMViewProxy::InteractiveRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkSMViewProxy::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  vtkSMProxy *temp0 = NULL;
  int temp1;
  vtkSMRepresentationProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDefaultRepresentation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMViewProxy::CreateDefaultRepresentation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_CaptureWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CaptureWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  int temp0;
  vtkImageData *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->CaptureWindow(temp0);
      }
    else
      {
      tempr = op->vtkSMViewProxy::CaptureWindow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_GetClientSideView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClientSideView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  vtkView *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClientSideView();
      }
    else
      {
      tempr = op->vtkSMViewProxy::GetClientSideView();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMViewProxy_WriteImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "WriteImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMViewProxy *op = static_cast<vtkSMViewProxy *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  int temp2;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->WriteImage(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMViewProxy::WriteImage(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMViewProxy\nC++: vtkSMViewProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMViewProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMViewProxy\nC++: vtkSMViewProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"StillRender", PyvtkSMViewProxy_StillRender, 1,
   (char*)"V.StillRender()\nC++: virtual void StillRender()\n\nRenders the view using full resolution.\n"},
  {(char*)"InteractiveRender", PyvtkSMViewProxy_InteractiveRender, 1,
   (char*)"V.InteractiveRender()\nC++: virtual void InteractiveRender()\n\nRenders the view using lower resolution is possible.\n"},
  {(char*)"Update", PyvtkSMViewProxy_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nCalled vtkPVView::Update on the server-side.\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkSMViewProxy_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation(vtkSMProxy, int)\n    -> vtkSMRepresentationProxy\nC++: virtual vtkSMRepresentationProxy *CreateDefaultRepresentation(\n    vtkSMProxy *, int)\n\nCreate a default representation for the given source proxy.\nReturns a new proxy.\n"},
  {(char*)"CaptureWindow", PyvtkSMViewProxy_CaptureWindow, 1,
   (char*)"V.CaptureWindow(int) -> vtkImageData\nC++: vtkImageData *CaptureWindow(int magnification)\n\nCaptures a image from this view. Default implementation returns\nNULL. Subclasses should override CaptureWindowInternal() to do\nthe actual image capture.\n"},
  {(char*)"GetClientSideView", PyvtkSMViewProxy_GetClientSideView, 1,
   (char*)"V.GetClientSideView() -> vtkView\nC++: vtkView *GetClientSideView()\n\nReturns the client-side vtkView, if any.\n"},
  {(char*)"WriteImage", PyvtkSMViewProxy_WriteImage, 1,
   (char*)"V.WriteImage(string, string, int) -> int\nC++: int WriteImage(const char *filename, const char *writerName,\n    int magnification)\n\nSaves a screenshot of the view to disk. The writerName argument\nspecifies the vtkImageWriter subclass to use.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMViewProxy_StaticNew()
{
  return vtkSMViewProxy::New();
}

PyObject *PyVTKClass_vtkSMViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMViewProxy_StaticNew,
    PyvtkSMViewProxy_Methods,
    "vtkSMViewProxy", modulename,
    NULL, NULL,
    PyvtkSMViewProxy_Doc(),
    PyVTKClass_vtkSMProxyNew(modulename));
  return cls;
}

const char **PyvtkSMViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMViewProxy - Superclass for all view proxies.\n\n",
    "Superclass: vtkSMProxy\n\n",
    "vtkSMViewProxy is a superclass for all view proxies. A view proxy\nabstracts the logic to take one or more representation proxies and\nshow then in some viewport such as vtkRenderWindow. This class may\ndirectly be used as the view proxy for views that do all the\nrendering work at the GUI level. The VTKObject corresponding to this\nclass has to be a vtkView subclass.\n\nEvents:\n\n\\li vtkCommand::StartEve",
    "nt(callData: int:0) -- start of\n    StillRender().\n\\li vtkCommand::EndEvent(callData: int:0) -- end of StillRender().\n\\li vtkCommand::StartEvent(callData: int:1) -- start of\n    InteractiveRender().\n\\li vtkCommand::EndEvent(callData: int:1) -- end of\n    InteractiveRender().\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

