// python wrapper for vtkSMWriterFactory
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMWriterFactory.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMWriterFactory(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMWriterFactory(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMWriterFactoryNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMWriterFactoryNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMObjectNew
extern "C" { PyObject *PyVTKClass_vtkSMObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMObjectNew
#endif

static const char **PyvtkSMWriterFactory_Doc();


static PyObject *
PyvtkSMWriterFactory_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMWriterFactory::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMWriterFactory *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMWriterFactory::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMWriterFactory *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMWriterFactory::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkSMWriterFactory::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_RegisterPrototype(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterPrototype");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->RegisterPrototype(temp0, temp1);
      }
    else
      {
      op->vtkSMWriterFactory::RegisterPrototype(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_UnRegisterPrototype(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UnRegisterPrototype");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->UnRegisterPrototype(temp0, temp1);
      }
    else
      {
      op->vtkSMWriterFactory::UnRegisterPrototype(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_RegisterPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RegisterPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RegisterPrototypes(temp0);
      }
    else
      {
      op->vtkSMWriterFactory::RegisterPrototypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_LoadConfigurationFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfigurationFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfigurationFile(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::LoadConfigurationFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_LoadConfiguration_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfiguration(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::LoadConfiguration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterFactory_LoadConfiguration_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkPVXMLElement *temp0 = NULL;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVXMLElement"))
    {
    if (ap.IsBound())
      {
      tempr = op->LoadConfiguration(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::LoadConfiguration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMWriterFactory_LoadConfiguration_Methods[] = {
  {NULL, PyvtkSMWriterFactory_LoadConfiguration_s1, 1,
   (char*)"@z"},
  {NULL, PyvtkSMWriterFactory_LoadConfiguration_s2, 1,
   (char*)"@O *vtkPVXMLElement"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkSMWriterFactory_LoadConfiguration(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMWriterFactory_LoadConfiguration_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "LoadConfiguration");
  return NULL;
}



static PyObject *
PyvtkSMWriterFactory_CanWrite(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanWrite");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  unsigned int temp1;
  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->CanWrite(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::CanWrite(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_CreateWriter_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateWriter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  vtkSMSourceProxy *temp1 = NULL;
  unsigned int temp2;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSourceProxy") &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateWriter(temp0, temp1, temp2);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::CreateWriter(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterFactory_CreateWriter_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateWriter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  char *temp0 = NULL;
  vtkSMSourceProxy *temp1 = NULL;
  vtkSMProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkSMSourceProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateWriter(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::CreateWriter(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterFactory_CreateWriter(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkSMWriterFactory_CreateWriter_s1(self, args);
    case 2:
      return PyvtkSMWriterFactory_CreateWriter_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "CreateWriter");
  return NULL;
}



static PyObject *
PyvtkSMWriterFactory_GetSupportedFileTypes_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSupportedFileTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  unsigned int temp1;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSupportedFileTypes(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::GetSupportedFileTypes(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterFactory_GetSupportedFileTypes_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSupportedFileTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMSourceProxy *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMSourceProxy"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSupportedFileTypes(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterFactory::GetSupportedFileTypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterFactory_GetSupportedFileTypes(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkSMWriterFactory_GetSupportedFileTypes_s1(self, args);
    case 1:
      return PyvtkSMWriterFactory_GetSupportedFileTypes_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetSupportedFileTypes");
  return NULL;
}



static PyObject *
PyvtkSMWriterFactory_SetProxyManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProxyManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMProxyManager *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxyManager"))
    {
    if (ap.IsBound())
      {
      op->SetProxyManager(temp0);
      }
    else
      {
      op->vtkSMWriterFactory::SetProxyManager(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_GetProxyManager(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyManager");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  vtkSMProxyManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProxyManager();
      }
    else
      {
      tempr = op->vtkSMWriterFactory::GetProxyManager();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterFactory_GetNumberOfRegisteredPrototypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRegisteredPrototypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterFactory *op = static_cast<vtkSMWriterFactory *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfRegisteredPrototypes();
      }
    else
      {
      tempr = op->vtkSMWriterFactory::GetNumberOfRegisteredPrototypes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMWriterFactory_Methods[] = {
  {(char*)"GetClassName", PyvtkSMWriterFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMWriterFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMWriterFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMWriterFactory\nC++: vtkSMWriterFactory *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMWriterFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMWriterFactory\nC++: vtkSMWriterFactory *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkSMWriterFactory_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\nCleanup all registered prototypes.\n"},
  {(char*)"RegisterPrototype", PyvtkSMWriterFactory_RegisterPrototype, 1,
   (char*)"V.RegisterPrototype(string, string)\nC++: void RegisterPrototype(const char *xmlgroup,\n    const char *xmlname)\n\nRegister a prototype.\n"},
  {(char*)"UnRegisterPrototype", PyvtkSMWriterFactory_UnRegisterPrototype, 1,
   (char*)"V.UnRegisterPrototype(string, string)\nC++: void UnRegisterPrototype(const char *xmlgroup,\n    const char *xmlname)\n\nRegister a prototype.\n"},
  {(char*)"RegisterPrototypes", PyvtkSMWriterFactory_RegisterPrototypes, 1,
   (char*)"V.RegisterPrototypes(string)\nC++: void RegisterPrototypes(const char *xmlgroup)\n\nRegisters all prototypes from a particular group that have the\n\"ReaderFactory\" hint.\n"},
  {(char*)"LoadConfigurationFile", PyvtkSMWriterFactory_LoadConfigurationFile, 1,
   (char*)"V.LoadConfigurationFile(string) -> bool\nC++: bool LoadConfigurationFile(const char *filename)\n\nLoad configuration XML. This adds the prototypes specified in the\nconfiguration XML to those already present in the factory. Use\nInitialize() is start with an empty factory before calling this\nmethod if needed. If two readers support reading the same file,\nthe reader added more recently is given priority.\n"},
  {(char*)"LoadConfiguration", PyvtkSMWriterFactory_LoadConfiguration, 1,
   (char*)"V.LoadConfiguration(string) -> bool\nC++: bool LoadConfiguration(const char *xmlcontents)\nV.LoadConfiguration(vtkPVXMLElement) -> bool\nC++: bool LoadConfiguration(vtkPVXMLElement *root)\n\nLoad configuration XML. This adds the prototypes specified in the\nconfiguration XML to those already present in the factory. Use\nInitialize() is start with an empty factory before calling this\nmethod if needed. If two readers support reading the same file,\nthe reader added more recently is given priority.\n"},
  {(char*)"CanWrite", PyvtkSMWriterFactory_CanWrite, 1,
   (char*)"V.CanWrite(vtkSMSourceProxy, int) -> bool\nC++: bool CanWrite(vtkSMSourceProxy *, unsigned int outputport)\n\nRetruns true if the data from the output port can be written at\nall.\n"},
  {(char*)"CreateWriter", PyvtkSMWriterFactory_CreateWriter, 1,
   (char*)"V.CreateWriter(string, vtkSMSourceProxy, int) -> vtkSMProxy\nC++: vtkSMProxy *CreateWriter(const char *filename,\n    vtkSMSourceProxy *, unsigned int outputport)\nV.CreateWriter(string, vtkSMSourceProxy) -> vtkSMProxy\nC++: vtkSMProxy *CreateWriter(const char *filename,\n    vtkSMSourceProxy *pxy)\n\nCreate a new writer proxy to write the data from the specified\noutput port to the file specified, if possible.\n"},
  {(char*)"GetSupportedFileTypes", PyvtkSMWriterFactory_GetSupportedFileTypes, 1,
   (char*)"V.GetSupportedFileTypes(vtkSMSourceProxy, int) -> string\nC++: const char *GetSupportedFileTypes(vtkSMSourceProxy *source,\n    unsigned int outputport)\nV.GetSupportedFileTypes(vtkSMSourceProxy) -> string\nC++: const char *GetSupportedFileTypes(vtkSMSourceProxy *source)\n\nReturns a formatted string with all supported file types. An\nexample returned string would look like:\n \"PVD Files (*.pvd);;VTK Files (*.vtk)\"\n \n"},
  {(char*)"SetProxyManager", PyvtkSMWriterFactory_SetProxyManager, 1,
   (char*)"V.SetProxyManager(vtkSMProxyManager)\nC++: void SetProxyManager(vtkSMProxyManager *pxm)\n\nGet/Set the proxy manager (not reference counted).\n"},
  {(char*)"GetProxyManager", PyvtkSMWriterFactory_GetProxyManager, 1,
   (char*)"V.GetProxyManager() -> vtkSMProxyManager\nC++: vtkSMProxyManager *GetProxyManager()\n\nGet/Set the proxy manager (not reference counted).\n"},
  {(char*)"GetNumberOfRegisteredPrototypes", PyvtkSMWriterFactory_GetNumberOfRegisteredPrototypes, 1,
   (char*)"V.GetNumberOfRegisteredPrototypes() -> int\nC++: unsigned int GetNumberOfRegisteredPrototypes()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMWriterFactory_StaticNew()
{
  return vtkSMWriterFactory::New();
}

PyObject *PyVTKClass_vtkSMWriterFactoryNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMWriterFactory_StaticNew,
    PyvtkSMWriterFactory_Methods,
    "vtkSMWriterFactory", modulename,
    NULL, NULL,
    PyvtkSMWriterFactory_Doc(),
    PyVTKClass_vtkSMObjectNew(modulename));
  return cls;
}

const char **PyvtkSMWriterFactory_Doc()
{
  static const char *docstring[] = {
    "vtkSMWriterFactory - is a factory or creating a writer based on the\n\n",
    "Superclass: vtkSMObject\n\n",
    "vtkSMWriterFactory is a factory for creating a writer to write the\ndata provided at an output port. The writer factory needs to be\nconfigured to register the writer prototypes supported by the\napplication. This can be done using an XML with the following format:\n <ParaViewWriters>\n    <Proxy name=\"[xmlname for the writer proxy]\"\n           group=\"[optional: xmlgroup for the writer proxy, 'writers'",
    " by default]\"\n           />\n    ...\n </ParaViewWriters>\n \n\nAlternatively, one can register prototypes using RegisterPrototype\nAPI. The proxy definitions for the writer proxies must provide hints\nthat indicate the file extension and description for the writer.\n\nOnce the factory has been configured, the API to create writers, get\navailable writers etc. can be used.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMWriterFactory(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMWriterFactoryNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMWriterFactory", o) != 0)
    {
    Py_DECREF(o);
    }

}

