// python wrapper for vtkSMWriterProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMWriterProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSMWriterProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSMWriterProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSMWriterProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSMWriterProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSMSourceProxyNew
extern "C" { PyObject *PyVTKClass_vtkSMSourceProxyNew(const char *); }
#define DECLARED_PyVTKClass_vtkSMSourceProxyNew
#endif

static const char **PyvtkSMWriterProxy_Doc();


static PyObject *
PyvtkSMWriterProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSMWriterProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSMWriterProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  vtkSMWriterProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSMWriterProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSMWriterProxy *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSMWriterProxy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_UpdatePipeline_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipeline();
      }
    else
      {
      op->vtkSMWriterProxy::UpdatePipeline();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterProxy_UpdatePipeline_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdatePipeline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->UpdatePipeline(temp0);
      }
    else
      {
      op->vtkSMWriterProxy::UpdatePipeline(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkSMWriterProxy_UpdatePipeline(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkSMWriterProxy_UpdatePipeline_s1(self, args);
    case 1:
      return PyvtkSMWriterProxy_UpdatePipeline_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "UpdatePipeline");
  return NULL;
}



static PyObject *
PyvtkSMWriterProxy_SetSupportsParallel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSupportsParallel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSupportsParallel(temp0);
      }
    else
      {
      op->vtkSMWriterProxy::SetSupportsParallel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_GetSupportsParallel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSupportsParallel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSupportsParallel();
      }
    else
      {
      tempr = op->vtkSMWriterProxy::GetSupportsParallel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_GetParallelOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParallelOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParallelOnly();
      }
    else
      {
      tempr = op->vtkSMWriterProxy::GetParallelOnly();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMWriterProxy_SetParallelOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetParallelOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMWriterProxy *op = static_cast<vtkSMWriterProxy *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetParallelOnly(temp0);
      }
    else
      {
      op->vtkSMWriterProxy::SetParallelOnly(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMWriterProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkSMWriterProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMWriterProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMWriterProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSMWriterProxy\nC++: vtkSMWriterProxy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMWriterProxy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMWriterProxy\nC++: vtkSMWriterProxy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"UpdatePipeline", PyvtkSMWriterProxy_UpdatePipeline, 1,
   (char*)"V.UpdatePipeline()\nC++: virtual void UpdatePipeline()\nV.UpdatePipeline(float)\nC++: virtual void UpdatePipeline(double time)\n\nUpdates the pipeline and writes the file(s). Must call\nUpdateVTKObjects() before calling UpdatePipeline() to ensure that\nthe filename etc. are set correctly.\n"},
  {(char*)"SetSupportsParallel", PyvtkSMWriterProxy_SetSupportsParallel, 1,
   (char*)"V.SetSupportsParallel(int)\nC++: void SetSupportsParallel(int a)\n\nFlag indicating if the writer supports writing in parallel. Not\nset by default.\n"},
  {(char*)"GetSupportsParallel", PyvtkSMWriterProxy_GetSupportsParallel, 1,
   (char*)"V.GetSupportsParallel() -> int\nC++: int GetSupportsParallel()\n\nFlag indicating if the writer supports writing in parallel. Not\nset by default.\n"},
  {(char*)"GetParallelOnly", PyvtkSMWriterProxy_GetParallelOnly, 1,
   (char*)"V.GetParallelOnly() -> int\nC++: int GetParallelOnly()\n\nFlag indicating if the writer works only in parallel. If this is\nset, SupportsParallel is always true.\n"},
  {(char*)"SetParallelOnly", PyvtkSMWriterProxy_SetParallelOnly, 1,
   (char*)"V.SetParallelOnly(int)\nC++: void SetParallelOnly(int a)\n\nFlag indicating if the writer works only in parallel. If this is\nset, SupportsParallel is always true.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMWriterProxy_StaticNew()
{
  return vtkSMWriterProxy::New();
}

PyObject *PyVTKClass_vtkSMWriterProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMWriterProxy_StaticNew,
    PyvtkSMWriterProxy_Methods,
    "vtkSMWriterProxy", modulename,
    NULL, NULL,
    PyvtkSMWriterProxy_Doc(),
    PyVTKClass_vtkSMSourceProxyNew(modulename));
  return cls;
}

const char **PyvtkSMWriterProxy_Doc()
{
  static const char *docstring[] = {
    "vtkSMWriterProxy - proxy for a VTK writer on a server\n\n",
    "Superclass: vtkSMSourceProxy\n\n",
    "vtkSMWriterProxy manages VTK writers that are created on a server\nusing the proxy pattern. vtkSMWriterProxy also provides support for\nmeta-writers. i.e. if the proxy has a subproxy name \"Writer\" that\nthis proxy represents a meta-writer which uses the given writer as\nthe writer to write each component.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMWriterProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMWriterProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMWriterProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

