// python wrapper for vtkAttributeDataReductionFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkAttributeDataReductionFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkAttributeDataReductionFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkAttributeDataReductionFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAttributeDataReductionFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAttributeDataReductionFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkAttributeDataReductionFilter_Doc();


static PyObject *
PyvtkAttributeDataReductionFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  vtkAttributeDataReductionFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkAttributeDataReductionFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkAttributeDataReductionFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SetAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAttributeType(temp0);
      }
    else
      {
      op->vtkAttributeDataReductionFilter::SetAttributeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_GetAttributeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeType();
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::GetAttributeType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SetReductionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReductionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetReductionType(temp0);
      }
    else
      {
      op->vtkAttributeDataReductionFilter::SetReductionType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_GetReductionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReductionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReductionType();
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::GetReductionType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_GetReductionTypeAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReductionTypeAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReductionTypeAsString();
      }
    else
      {
      tempr = op->vtkAttributeDataReductionFilter::GetReductionTypeAsString();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SetReductionTypeToAdd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReductionTypeToAdd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetReductionTypeToAdd();
      }
    else
      {
      op->vtkAttributeDataReductionFilter::SetReductionTypeToAdd();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SetReductionTypeToMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReductionTypeToMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetReductionTypeToMax();
      }
    else
      {
      op->vtkAttributeDataReductionFilter::SetReductionTypeToMax();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAttributeDataReductionFilter_SetReductionTypeToMin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReductionTypeToMin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAttributeDataReductionFilter *op = static_cast<vtkAttributeDataReductionFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetReductionTypeToMin();
      }
    else
      {
      op->vtkAttributeDataReductionFilter::SetReductionTypeToMin();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkAttributeDataReductionFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkAttributeDataReductionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkAttributeDataReductionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkAttributeDataReductionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAttributeDataReductionFilter\nC++: vtkAttributeDataReductionFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkAttributeDataReductionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAttributeDataReductionFilter\nC++: vtkAttributeDataReductionFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetAttributeType", PyvtkAttributeDataReductionFilter_SetAttributeType, 1,
   (char*)"V.SetAttributeType(int)\nC++: void SetAttributeType(int a)\n\n"},
  {(char*)"GetAttributeType", PyvtkAttributeDataReductionFilter_GetAttributeType, 1,
   (char*)"V.GetAttributeType() -> int\nC++: int GetAttributeType()\n\n"},
  {(char*)"SetReductionType", PyvtkAttributeDataReductionFilter_SetReductionType, 1,
   (char*)"V.SetReductionType(int)\nC++: void SetReductionType(int a)\n\n"},
  {(char*)"GetReductionType", PyvtkAttributeDataReductionFilter_GetReductionType, 1,
   (char*)"V.GetReductionType() -> int\nC++: int GetReductionType()\n\n"},
  {(char*)"GetReductionTypeAsString", PyvtkAttributeDataReductionFilter_GetReductionTypeAsString, 1,
   (char*)"V.GetReductionTypeAsString() -> string\nC++: const char *GetReductionTypeAsString()\n\n"},
  {(char*)"SetReductionTypeToAdd", PyvtkAttributeDataReductionFilter_SetReductionTypeToAdd, 1,
   (char*)"V.SetReductionTypeToAdd()\nC++: void SetReductionTypeToAdd()\n\n"},
  {(char*)"SetReductionTypeToMax", PyvtkAttributeDataReductionFilter_SetReductionTypeToMax, 1,
   (char*)"V.SetReductionTypeToMax()\nC++: void SetReductionTypeToMax()\n\n"},
  {(char*)"SetReductionTypeToMin", PyvtkAttributeDataReductionFilter_SetReductionTypeToMin, 1,
   (char*)"V.SetReductionTypeToMin()\nC++: void SetReductionTypeToMin()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkAttributeDataReductionFilter_StaticNew()
{
  return vtkAttributeDataReductionFilter::New();
}

PyObject *PyVTKClass_vtkAttributeDataReductionFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkAttributeDataReductionFilter_StaticNew,
    PyvtkAttributeDataReductionFilter_Methods,
    "vtkAttributeDataReductionFilter", modulename,
    NULL, NULL,
    PyvtkAttributeDataReductionFilter_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkAttributeDataReductionFilter_Doc()
{
  static const char *docstring[] = {
    "vtkAttributeDataReductionFilter - Reduces cell/point attribute data \n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "Filter that takes data with same structure on multiple input\nconnections to produce a reduced dataset with cell/point data\nsummed/maxed/minned for all cells/points. Data arrays not available\nin all inputs are discarded. The attribute to reduce can be set to\npoint or cell or field or all. Only selected attributes will be\nreduced according to the type choosen, all other attributes are those\nat the f",
    "irst input.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkAttributeDataReductionFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkAttributeDataReductionFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkAttributeDataReductionFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

