// python wrapper for vtkBSPCutsGenerator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkBSPCutsGenerator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkBSPCutsGenerator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkBSPCutsGenerator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBSPCutsGeneratorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBSPCutsGeneratorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkBSPCutsGenerator_Doc();


static PyObject *
PyvtkBSPCutsGenerator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkBSPCutsGenerator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkBSPCutsGenerator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  vtkBSPCutsGenerator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkBSPCutsGenerator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkBSPCutsGenerator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkBSPCutsGenerator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_SetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnabled(temp0);
      }
    else
      {
      op->vtkBSPCutsGenerator::SetEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_GetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEnabled();
      }
    else
      {
      tempr = op->vtkBSPCutsGenerator::GetEnabled();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkBSPCutsGenerator_GetPKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBSPCutsGenerator *op = static_cast<vtkBSPCutsGenerator *>(vp);

  vtkPKdTree *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPKdTree();
      }
    else
      {
      tempr = op->vtkBSPCutsGenerator::GetPKdTree();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkBSPCutsGenerator_Methods[] = {
  {(char*)"GetClassName", PyvtkBSPCutsGenerator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkBSPCutsGenerator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkBSPCutsGenerator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBSPCutsGenerator\nC++: vtkBSPCutsGenerator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkBSPCutsGenerator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBSPCutsGenerator\nC++: vtkBSPCutsGenerator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetEnabled", PyvtkBSPCutsGenerator_SetEnabled, 1,
   (char*)"V.SetEnabled(bool)\nC++: void SetEnabled(bool a)\n\nEnable/Disable generation of the cuts.\n"},
  {(char*)"GetEnabled", PyvtkBSPCutsGenerator_GetEnabled, 1,
   (char*)"V.GetEnabled() -> bool\nC++: bool GetEnabled()\n\nEnable/Disable generation of the cuts.\n"},
  {(char*)"GetPKdTree", PyvtkBSPCutsGenerator_GetPKdTree, 1,
   (char*)"V.GetPKdTree() -> vtkPKdTree\nC++: vtkPKdTree *GetPKdTree()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkBSPCutsGenerator_StaticNew()
{
  return vtkBSPCutsGenerator::New();
}

PyObject *PyVTKClass_vtkBSPCutsGeneratorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkBSPCutsGenerator_StaticNew,
    PyvtkBSPCutsGenerator_Methods,
    "vtkBSPCutsGenerator", modulename,
    NULL, NULL,
    PyvtkBSPCutsGenerator_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkBSPCutsGenerator_Doc()
{
  static const char *docstring[] = {
    "vtkBSPCutsGenerator\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkBSPCutsGenerator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkBSPCutsGeneratorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkBSPCutsGenerator", o) != 0)
    {
    Py_DECREF(o);
    }

}

