// python wrapper for vtkCleanArrays
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCleanArrays.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCleanArrays(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCleanArrays(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCleanArraysNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCleanArraysNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
#endif

static const char **PyvtkCleanArrays_Doc();


static PyObject *
PyvtkCleanArrays_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCleanArrays::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCleanArrays::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  vtkCleanArrays *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCleanArrays::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCleanArrays *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCleanArrays::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkCleanArrays::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkCleanArrays::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_SetFillPartialArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFillPartialArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFillPartialArrays(temp0);
      }
    else
      {
      op->vtkCleanArrays::SetFillPartialArrays(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_GetFillPartialArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFillPartialArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFillPartialArrays();
      }
    else
      {
      tempr = op->vtkCleanArrays::GetFillPartialArrays();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_FillPartialArraysOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FillPartialArraysOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FillPartialArraysOn();
      }
    else
      {
      op->vtkCleanArrays::FillPartialArraysOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCleanArrays_FillPartialArraysOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FillPartialArraysOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCleanArrays *op = static_cast<vtkCleanArrays *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FillPartialArraysOff();
      }
    else
      {
      op->vtkCleanArrays::FillPartialArraysOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCleanArrays_Methods[] = {
  {(char*)"GetClassName", PyvtkCleanArrays_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCleanArrays_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCleanArrays_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCleanArrays\nC++: vtkCleanArrays *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCleanArrays_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCleanArrays\nC++: vtkCleanArrays *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetController", PyvtkCleanArrays_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *controller)\n\nThe user can set the controller used for inter-process\ncommunication. By default set to the global communicator.\n"},
  {(char*)"GetController", PyvtkCleanArrays_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nThe user can set the controller used for inter-process\ncommunication. By default set to the global communicator.\n"},
  {(char*)"SetFillPartialArrays", PyvtkCleanArrays_SetFillPartialArrays, 1,
   (char*)"V.SetFillPartialArrays(bool)\nC++: void SetFillPartialArrays(bool a)\n\nWhen set to true (false by default), 0 filled array will be added\nfor missing arrays on this process (instead of removing partial\narrays).\n"},
  {(char*)"GetFillPartialArrays", PyvtkCleanArrays_GetFillPartialArrays, 1,
   (char*)"V.GetFillPartialArrays() -> bool\nC++: bool GetFillPartialArrays()\n\nWhen set to true (false by default), 0 filled array will be added\nfor missing arrays on this process (instead of removing partial\narrays).\n"},
  {(char*)"FillPartialArraysOn", PyvtkCleanArrays_FillPartialArraysOn, 1,
   (char*)"V.FillPartialArraysOn()\nC++: void FillPartialArraysOn()\n\nWhen set to true (false by default), 0 filled array will be added\nfor missing arrays on this process (instead of removing partial\narrays).\n"},
  {(char*)"FillPartialArraysOff", PyvtkCleanArrays_FillPartialArraysOff, 1,
   (char*)"V.FillPartialArraysOff()\nC++: void FillPartialArraysOff()\n\nWhen set to true (false by default), 0 filled array will be added\nfor missing arrays on this process (instead of removing partial\narrays).\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCleanArrays_StaticNew()
{
  return vtkCleanArrays::New();
}

PyObject *PyVTKClass_vtkCleanArraysNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCleanArrays_StaticNew,
    PyvtkCleanArrays_Methods,
    "vtkCleanArrays", modulename,
    NULL, NULL,
    PyvtkCleanArrays_Doc(),
    PyVTKClass_vtkDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkCleanArrays_Doc()
{
  static const char *docstring[] = {
    "vtkCleanArrays - filter used to remove partial arrays across\nprocesses.\n\n",
    "Superclass: vtkDataSetAlgorithm\n\n",
    "vtkCleanArrays is a filter used to remove (or fill up) partial arrays\nin a vtkDataSet across processes. Empty dataset on any processes is\nignored i.e. it does not affect the arrays on any processes.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCleanArrays(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCleanArraysNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCleanArrays", o) != 0)
    {
    Py_DECREF(o);
    }

}

