// python wrapper for vtkCompositeAnimationPlayer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeAnimationPlayer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCompositeAnimationPlayer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCompositeAnimationPlayer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeAnimationPlayerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeAnimationPlayerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkAnimationPlayerNew
extern "C" { PyObject *PyVTKClass_vtkAnimationPlayerNew(const char *); }
#define DECLARED_PyVTKClass_vtkAnimationPlayerNew
#endif

static const char **PyvtkCompositeAnimationPlayer_Doc();


static PyObject *
PyvtkCompositeAnimationPlayer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCompositeAnimationPlayer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCompositeAnimationPlayer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  vtkCompositeAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCompositeAnimationPlayer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCompositeAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCompositeAnimationPlayer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_SetPlayMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPlayMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPlayMode(temp0);
      }
    else
      {
      op->vtkCompositeAnimationPlayer::SetPlayMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_GetPlayMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPlayMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPlayMode();
      }
    else
      {
      tempr = op->vtkCompositeAnimationPlayer::GetPlayMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_SetNumberOfFrames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfFrames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfFrames(temp0);
      }
    else
      {
      op->vtkCompositeAnimationPlayer::SetNumberOfFrames(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_SetDuration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDuration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDuration(temp0);
      }
    else
      {
      op->vtkCompositeAnimationPlayer::SetDuration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_AddTimeStep(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddTimeStep");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddTimeStep(temp0);
      }
    else
      {
      op->vtkCompositeAnimationPlayer::AddTimeStep(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_RemoveAllTimeSteps(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllTimeSteps");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllTimeSteps();
      }
    else
      {
      op->vtkCompositeAnimationPlayer::RemoveAllTimeSteps();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCompositeAnimationPlayer_SetFramesPerTimestep(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFramesPerTimestep");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCompositeAnimationPlayer *op = static_cast<vtkCompositeAnimationPlayer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFramesPerTimestep(temp0);
      }
    else
      {
      op->vtkCompositeAnimationPlayer::SetFramesPerTimestep(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCompositeAnimationPlayer_Methods[] = {
  {(char*)"GetClassName", PyvtkCompositeAnimationPlayer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCompositeAnimationPlayer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCompositeAnimationPlayer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeAnimationPlayer\nC++: vtkCompositeAnimationPlayer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCompositeAnimationPlayer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeAnimationPlayer\nC++: vtkCompositeAnimationPlayer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPlayMode", PyvtkCompositeAnimationPlayer_SetPlayMode, 1,
   (char*)"V.SetPlayMode(int)\nC++: void SetPlayMode(int a)\n\nGet/Set the play mode\n"},
  {(char*)"GetPlayMode", PyvtkCompositeAnimationPlayer_GetPlayMode, 1,
   (char*)"V.GetPlayMode() -> int\nC++: int GetPlayMode()\n\nGet/Set the play mode\n"},
  {(char*)"SetNumberOfFrames", PyvtkCompositeAnimationPlayer_SetNumberOfFrames, 1,
   (char*)"V.SetNumberOfFrames(int)\nC++: void SetNumberOfFrames(int val)\n\nForwarded to vtkSequenceAnimationPlayer\n"},
  {(char*)"SetDuration", PyvtkCompositeAnimationPlayer_SetDuration, 1,
   (char*)"V.SetDuration(int)\nC++: void SetDuration(int val)\n\nForwarded to vtkRealtimeAnimationPlayer.\n"},
  {(char*)"AddTimeStep", PyvtkCompositeAnimationPlayer_AddTimeStep, 1,
   (char*)"V.AddTimeStep(float)\nC++: void AddTimeStep(double val)\n\nForwarded to vtkTimestepsAnimationPlayer.\n"},
  {(char*)"RemoveAllTimeSteps", PyvtkCompositeAnimationPlayer_RemoveAllTimeSteps, 1,
   (char*)"V.RemoveAllTimeSteps()\nC++: void RemoveAllTimeSteps()\n\nForwarded to vtkTimestepsAnimationPlayer.\n"},
  {(char*)"SetFramesPerTimestep", PyvtkCompositeAnimationPlayer_SetFramesPerTimestep, 1,
   (char*)"V.SetFramesPerTimestep(int)\nC++: void SetFramesPerTimestep(int val)\n\nForwarded to vtkTimestepsAnimationPlayer.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCompositeAnimationPlayer_StaticNew()
{
  return vtkCompositeAnimationPlayer::New();
}

PyObject *PyVTKClass_vtkCompositeAnimationPlayerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCompositeAnimationPlayer_StaticNew,
    PyvtkCompositeAnimationPlayer_Methods,
    "vtkCompositeAnimationPlayer", modulename,
    NULL, NULL,
    PyvtkCompositeAnimationPlayer_Doc(),
    PyVTKClass_vtkAnimationPlayerNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"SEQUENCE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"REAL_TIME", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"SNAP_TO_TIMESTEPS", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkCompositeAnimationPlayer_Doc()
{
  static const char *docstring[] = {
    "vtkCompositeAnimationPlayer\n\n",
    "Superclass: vtkAnimationPlayer\n\n",
    "This is composite animation player that can me made to play an\nanimation using the active player. It provides API to add animation\nplayers and then set one of them as the active one.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCompositeAnimationPlayer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCompositeAnimationPlayerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCompositeAnimationPlayer", o) != 0)
    {
    Py_DECREF(o);
    }

}

