// python wrapper for vtkContextNamedOptions
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkContextNamedOptions.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkContextNamedOptions(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkContextNamedOptions(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextNamedOptionsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextNamedOptionsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkContextNamedOptions_Doc();


static PyObject *
PyvtkContextNamedOptions_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  vtkContextNamedOptions *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkContextNamedOptions::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkContextNamedOptions *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkContextNamedOptions::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetVisibility(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetVisibility(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetLineThickness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineThickness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetLineThickness(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetLineThickness(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetLineStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetLineStyle(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetLineStyle(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkContextNamedOptions::SetColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetAxisCorner(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisCorner");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAxisCorner(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetAxisCorner(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetMarkerStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMarkerStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetMarkerStyle(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetMarkerStyle(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetLabel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLabel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetLabel(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::SetLabel(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVisibility(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetLineThickness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLineThickness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLineThickness(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetLineThickness(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetLabel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLabel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLabel(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetLabel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetLineStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLineStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLineStyle(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetLineStyle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetMarkerStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMarkerStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMarkerStyle(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetMarkerStyle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetAxisCorner(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAxisCorner");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAxisCorner(temp0);
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetAxisCorner(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  double temp1[3];
  double save1[3];
  const int size1 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetColor(temp0, temp1);
      }
    else
      {
      op->vtkContextNamedOptions::GetColor(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetXSeriesName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXSeriesName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXSeriesName(temp0);
      }
    else
      {
      op->vtkContextNamedOptions::SetXSeriesName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetXSeriesName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXSeriesName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXSeriesName();
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetXSeriesName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetUseIndexForXAxis(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseIndexForXAxis");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseIndexForXAxis(temp0);
      }
    else
      {
      op->vtkContextNamedOptions::SetUseIndexForXAxis(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetTableVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTableVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTableVisibility(temp0);
      }
    else
      {
      op->vtkContextNamedOptions::SetTableVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetChartType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetChartType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetChartType(temp0);
      }
    else
      {
      op->vtkContextNamedOptions::SetChartType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetChartType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChartType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChartType();
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetChartType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_SetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  vtkTable *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTable"))
    {
    if (ap.IsBound())
      {
      op->SetTable(temp0);
      }
    else
      {
      op->vtkContextNamedOptions::SetTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_GetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  vtkTable *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTable();
      }
    else
      {
      tempr = op->vtkContextNamedOptions::GetTable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextNamedOptions_RemovePlotsFromChart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemovePlotsFromChart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextNamedOptions *op = static_cast<vtkContextNamedOptions *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemovePlotsFromChart();
      }
    else
      {
      op->vtkContextNamedOptions::RemovePlotsFromChart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkContextNamedOptions_Methods[] = {
  {(char*)"GetClassName", PyvtkContextNamedOptions_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkContextNamedOptions_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkContextNamedOptions_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextNamedOptions\nC++: vtkContextNamedOptions *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkContextNamedOptions_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextNamedOptions\nC++: vtkContextNamedOptions *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetVisibility", PyvtkContextNamedOptions_SetVisibility, 1,
   (char*)"V.SetVisibility(string, int)\nC++: void SetVisibility(const char *name, int visible)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetLineThickness", PyvtkContextNamedOptions_SetLineThickness, 1,
   (char*)"V.SetLineThickness(string, int)\nC++: void SetLineThickness(const char *name, int value)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetLineStyle", PyvtkContextNamedOptions_SetLineStyle, 1,
   (char*)"V.SetLineStyle(string, int)\nC++: void SetLineStyle(const char *name, int value)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetColor", PyvtkContextNamedOptions_SetColor, 1,
   (char*)"V.SetColor(string, float, float, float)\nC++: void SetColor(const char *name, double r, double g, double b)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetAxisCorner", PyvtkContextNamedOptions_SetAxisCorner, 1,
   (char*)"V.SetAxisCorner(string, int)\nC++: void SetAxisCorner(const char *name, int corner)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetMarkerStyle", PyvtkContextNamedOptions_SetMarkerStyle, 1,
   (char*)"V.SetMarkerStyle(string, int)\nC++: void SetMarkerStyle(const char *name, int style)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"SetLabel", PyvtkContextNamedOptions_SetLabel, 1,
   (char*)"V.SetLabel(string, string)\nC++: void SetLabel(const char *name, const char *label)\n\nGet/Set series visibility for the series with the given name.\n"},
  {(char*)"GetVisibility", PyvtkContextNamedOptions_GetVisibility, 1,
   (char*)"V.GetVisibility(string) -> int\nC++: int GetVisibility(const char *name)\n\n"},
  {(char*)"GetLineThickness", PyvtkContextNamedOptions_GetLineThickness, 1,
   (char*)"V.GetLineThickness(string) -> int\nC++: int GetLineThickness(const char *name)\n\n"},
  {(char*)"GetLabel", PyvtkContextNamedOptions_GetLabel, 1,
   (char*)"V.GetLabel(string) -> string\nC++: const char *GetLabel(const char *name)\n\n"},
  {(char*)"GetLineStyle", PyvtkContextNamedOptions_GetLineStyle, 1,
   (char*)"V.GetLineStyle(string) -> int\nC++: int GetLineStyle(const char *name)\n\n"},
  {(char*)"GetMarkerStyle", PyvtkContextNamedOptions_GetMarkerStyle, 1,
   (char*)"V.GetMarkerStyle(string) -> int\nC++: int GetMarkerStyle(const char *name)\n\n"},
  {(char*)"GetAxisCorner", PyvtkContextNamedOptions_GetAxisCorner, 1,
   (char*)"V.GetAxisCorner(string) -> int\nC++: int GetAxisCorner(const char *name)\n\n"},
  {(char*)"GetColor", PyvtkContextNamedOptions_GetColor, 1,
   (char*)"V.GetColor(string, [float, float, float])\nC++: void GetColor(const char *name, double rgb[3])\n\n"},
  {(char*)"SetXSeriesName", PyvtkContextNamedOptions_SetXSeriesName, 1,
   (char*)"V.SetXSeriesName(string)\nC++: void SetXSeriesName(const char *name)\n\nSet the X series to be used for the plots, if NULL then the index\nof the y series should be used.\n"},
  {(char*)"GetXSeriesName", PyvtkContextNamedOptions_GetXSeriesName, 1,
   (char*)"V.GetXSeriesName() -> string\nC++: const char *GetXSeriesName()\n\nSet the X series to be used for the plots, if NULL then the index\nof the y series should be used.\n"},
  {(char*)"SetUseIndexForXAxis", PyvtkContextNamedOptions_SetUseIndexForXAxis, 1,
   (char*)"V.SetUseIndexForXAxis(bool)\nC++: void SetUseIndexForXAxis(bool useIndex)\n\nSet whether the index should be used for the x axis.\n"},
  {(char*)"SetTableVisibility", PyvtkContextNamedOptions_SetTableVisibility, 1,
   (char*)"V.SetTableVisibility(bool)\nC++: void SetTableVisibility(bool visible)\n\nHides or plots that belong to this table.  When showing, only\nplots that are actually marked visible will be shown.\n"},
  {(char*)"SetChartType", PyvtkContextNamedOptions_SetChartType, 1,
   (char*)"V.SetChartType(int)\nC++: void SetChartType(int type)\n\nSet the type of plots that will be added to charts by this proxy.\nUses the enum from vtkChart.\n"},
  {(char*)"GetChartType", PyvtkContextNamedOptions_GetChartType, 1,
   (char*)"V.GetChartType() -> int\nC++: int GetChartType()\n\nGet the type of plots that will be added to charts by this proxy.\nUses the enum from vtkChart.\n"},
  {(char*)"SetTable", PyvtkContextNamedOptions_SetTable, 1,
   (char*)"V.SetTable(vtkTable)\nC++: void SetTable(vtkTable *table)\n\nSets the internal table object that can be plotted.\n"},
  {(char*)"GetTable", PyvtkContextNamedOptions_GetTable, 1,
   (char*)"V.GetTable() -> vtkTable\nC++: vtkTable *GetTable()\n\nSets the internal table object that can be plotted.\n"},
  {(char*)"RemovePlotsFromChart", PyvtkContextNamedOptions_RemovePlotsFromChart, 1,
   (char*)"V.RemovePlotsFromChart()\nC++: void RemovePlotsFromChart()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkContextNamedOptions_StaticNew()
{
  return vtkContextNamedOptions::New();
}

PyObject *PyVTKClass_vtkContextNamedOptionsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkContextNamedOptions_StaticNew,
    PyvtkContextNamedOptions_Methods,
    "vtkContextNamedOptions", modulename,
    NULL, NULL,
    PyvtkContextNamedOptions_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkContextNamedOptions_Doc()
{
  static const char *docstring[] = {
    "vtkContextNamedOptions\n\n",
    "Superclass: vtkObject\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkContextNamedOptions(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkContextNamedOptionsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkContextNamedOptions", o) != 0)
    {
    Py_DECREF(o);
    }

}

