// python wrapper for vtkDataSetToRectilinearGrid
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetToRectilinearGrid.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkDataSetToRectilinearGrid(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkDataSetToRectilinearGrid(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToRectilinearGridNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToRectilinearGridNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRectilinearGridAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkRectilinearGridAlgorithmNew
#endif

static const char **PyvtkDataSetToRectilinearGrid_Doc();


static PyObject *
PyvtkDataSetToRectilinearGrid_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDataSetToRectilinearGrid *op = static_cast<vtkDataSetToRectilinearGrid *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkDataSetToRectilinearGrid::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDataSetToRectilinearGrid_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDataSetToRectilinearGrid *op = static_cast<vtkDataSetToRectilinearGrid *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkDataSetToRectilinearGrid::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDataSetToRectilinearGrid_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDataSetToRectilinearGrid *op = static_cast<vtkDataSetToRectilinearGrid *>(vp);

  vtkDataSetToRectilinearGrid *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkDataSetToRectilinearGrid::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkDataSetToRectilinearGrid_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkDataSetToRectilinearGrid *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkDataSetToRectilinearGrid::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkDataSetToRectilinearGrid_Methods[] = {
  {(char*)"GetClassName", PyvtkDataSetToRectilinearGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkDataSetToRectilinearGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkDataSetToRectilinearGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToRectilinearGrid\nC++: vtkDataSetToRectilinearGrid *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkDataSetToRectilinearGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetToRectilinearGrid\nC++: vtkDataSetToRectilinearGrid *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkDataSetToRectilinearGrid_StaticNew()
{
  return vtkDataSetToRectilinearGrid::New();
}

PyObject *PyVTKClass_vtkDataSetToRectilinearGridNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkDataSetToRectilinearGrid_StaticNew,
    PyvtkDataSetToRectilinearGrid_Methods,
    "vtkDataSetToRectilinearGrid", modulename,
    NULL, NULL,
    PyvtkDataSetToRectilinearGrid_Doc(),
    PyVTKClass_vtkRectilinearGridAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkDataSetToRectilinearGrid_Doc()
{
  static const char *docstring[] = {
    "vtkDataSetToRectilinearGrid - Extract histogram data (binned values)\nfrom any \n\n",
    "Superclass: vtkRectilinearGridAlgorithm\n\n",
    "vtkDataSetToRectilinearGrid accepts any vtkDataSet as input and\nproduces a vtkPolyData containing histogram data as output.  The\noutput vtkPolyData will have contain a vtkDoubleArray named\n\"bin_extents\" which contains the boundaries between each histogram\nbin, and a vtkUnsignedLongArray named \"bin_values\" which will contain\nthe value for each bin.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkDataSetToRectilinearGrid(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkDataSetToRectilinearGridNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkDataSetToRectilinearGrid", o) != 0)
    {
    Py_DECREF(o);
    }

}

