// python wrapper for vtkEnzoReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkEnzoReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkEnzoReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkEnzoReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEnzoReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEnzoReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
#endif

static const char **PyvtkEnzoReader_Doc();


static PyObject *
PyvtkEnzoReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  vtkEnzoReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkEnzoReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkEnzoReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkEnzoReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetMaxLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaxLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaxLevel(temp0);
      }
    else
      {
      op->vtkEnzoReader::SetMaxLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetBlockOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputType(temp0);
      }
    else
      {
      op->vtkEnzoReader::SetBlockOutputType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockOutputTypeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputTypeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputTypeMinValue();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockOutputTypeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockOutputTypeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputTypeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputTypeMaxValue();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockOutputTypeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputType();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockOutputType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetLoadParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadParticles(temp0);
      }
    else
      {
      op->vtkEnzoReader::SetLoadParticles(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetLoadParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLoadParticles();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetLoadParticles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_LoadParticlesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadParticlesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadParticlesOn();
      }
    else
      {
      op->vtkEnzoReader::LoadParticlesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_LoadParticlesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadParticlesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadParticlesOff();
      }
    else
      {
      op->vtkEnzoReader::LoadParticlesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkEnzoReader::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfBlocks();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfBlocks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLevels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLevels();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfLevels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfLeafBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLeafBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLeafBlocks();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfLeafBlocks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfDimensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfDimensions();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfDimensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkEnzoReader::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockEnzoId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockEnzoId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockEnzoId(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockEnzoId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockLevel(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockType(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockParentId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockParentId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockParentId(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockParentId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockNumberOfChildren(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockNumberOfChildren");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockNumberOfChildren(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockNumberOfChildren(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockChild(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockChild");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockChild(temp0, temp1);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockChild(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  double temp1[6];
  double save1[6];
  const int size1 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockBounds(temp0, temp1);
      }
    else
      {
      op->vtkEnzoReader::GetBlockBounds(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockParentWiseNodeExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockParentWiseNodeExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int temp1[6];
  int save1[6];
  const int size1 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockParentWiseNodeExtents(temp0, temp1);
      }
    else
      {
      op->vtkEnzoReader::GetBlockParentWiseNodeExtents(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockLevelBasedNodeExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockLevelBasedNodeExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int temp1[6];
  int save1[6];
  const int size1 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockLevelBasedNodeExtents(temp0, temp1);
      }
    else
      {
      op->vtkEnzoReader::GetBlockLevelBasedNodeExtents(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockFileName(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetParticleFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticleFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticleFileName(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetParticleFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfParticles(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfParticles(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfBlockAttributes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBlockAttributes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfBlockAttributes();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfBlockAttributes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlockAttributeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockAttributeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockAttributeName(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlockAttributeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_IsBlockAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsBlockAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsBlockAttribute(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::IsBlockAttribute(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfParticleAttributes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfParticleAttributes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfParticleAttributes();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfParticleAttributes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetParticleAttributeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticleAttributeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticleAttributeName(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetParticleAttributeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_IsParticleAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsParticleAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsParticleAttribute(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::IsParticleAttribute(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetNumberOfTracerParticleAttributes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfTracerParticleAttributes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfTracerParticleAttributes();
      }
    else
      {
      tempr = op->vtkEnzoReader::GetNumberOfTracerParticleAttributes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetTracerParticleAttributeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTracerParticleAttributeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTracerParticleAttributeName(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetTracerParticleAttributeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_IsTracerParticleAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsTracerParticleAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsTracerParticleAttribute(temp0);
      }
    else
      {
      tempr = op->vtkEnzoReader::IsTracerParticleAttribute(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetBlockOutputTypeToImageData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputTypeToImageData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputTypeToImageData();
      }
    else
      {
      op->vtkEnzoReader::SetBlockOutputTypeToImageData();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_SetBlockOutputTypeToRectilinearGrid(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputTypeToRectilinearGrid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputTypeToRectilinearGrid();
      }
    else
      {
      op->vtkEnzoReader::SetBlockOutputTypeToRectilinearGrid();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetBlock_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  vtkImageData *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkImageData"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlock(temp0, temp1);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlock(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkEnzoReader_GetBlock_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  vtkRectilinearGrid *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkRectilinearGrid"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlock(temp0, temp1);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetBlock(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkEnzoReader_GetBlock_Methods[] = {
  {NULL, PyvtkEnzoReader_GetBlock_s1, 1,
   (char*)"@iO *vtkImageData"},
  {NULL, PyvtkEnzoReader_GetBlock_s2, 1,
   (char*)"@iO *vtkRectilinearGrid"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkEnzoReader_GetBlock(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkEnzoReader_GetBlock_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetBlock");
  return NULL;
}



static PyObject *
PyvtkEnzoReader_GetParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  int temp0;
  vtkPolyData *temp1 = NULL;
  int temp2 = 0;
  int temp3 = 1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2, 4) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPolyData") &&
      (ap.NoArgsLeft() || ap.GetValue(temp2)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticles(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetParticles(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEnzoReader_GetAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEnzoReader *op = static_cast<vtkEnzoReader *>(vp);

  char *temp0 = NULL;
  int temp1;
  vtkDataArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttribute(temp0, temp1);
      }
    else
      {
      tempr = op->vtkEnzoReader::GetAttribute(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkEnzoReader_Methods[] = {
  {(char*)"GetClassName", PyvtkEnzoReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkEnzoReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkEnzoReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEnzoReader\nC++: vtkEnzoReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkEnzoReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEnzoReader\nC++: vtkEnzoReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMaxLevel", PyvtkEnzoReader_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel(int a)\n\nSet the level, up to which the blocks are loaded.\n"},
  {(char*)"SetBlockOutputType", PyvtkEnzoReader_SetBlockOutputType, 1,
   (char*)"V.SetBlockOutputType(int)\nC++: void SetBlockOutputType(int)\n\nSet/Get the output type of each rectilinear block (vtkImageData\nor vtkRectilinearGrid), with vtkImageData as the default. (note\nthat this type is imposed on the constituent MAIN blocks,\nexcluding the one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputTypeMinValue", PyvtkEnzoReader_GetBlockOutputTypeMinValue, 1,
   (char*)"V.GetBlockOutputTypeMinValue() -> int\nC++: int GetBlockOutputTypeMinValue()\n\nSet/Get the output type of each rectilinear block (vtkImageData\nor vtkRectilinearGrid), with vtkImageData as the default. (note\nthat this type is imposed on the constituent MAIN blocks,\nexcluding the one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputTypeMaxValue", PyvtkEnzoReader_GetBlockOutputTypeMaxValue, 1,
   (char*)"V.GetBlockOutputTypeMaxValue() -> int\nC++: int GetBlockOutputTypeMaxValue()\n\nSet/Get the output type of each rectilinear block (vtkImageData\nor vtkRectilinearGrid), with vtkImageData as the default. (note\nthat this type is imposed on the constituent MAIN blocks,\nexcluding the one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputType", PyvtkEnzoReader_GetBlockOutputType, 1,
   (char*)"V.GetBlockOutputType() -> int\nC++: int GetBlockOutputType()\n\nSet/Get the output type of each rectilinear block (vtkImageData\nor vtkRectilinearGrid), with vtkImageData as the default. (note\nthat this type is imposed on the constituent MAIN blocks,\nexcluding the one built for the particles, if any).\n"},
  {(char*)"SetLoadParticles", PyvtkEnzoReader_SetLoadParticles, 1,
   (char*)"V.SetLoadParticles(int)\nC++: void SetLoadParticles(int a)\n\nSet/Get whether the particles, if any, are loaded\n"},
  {(char*)"GetLoadParticles", PyvtkEnzoReader_GetLoadParticles, 1,
   (char*)"V.GetLoadParticles() -> int\nC++: int GetLoadParticles()\n\nSet/Get whether the particles, if any, are loaded\n"},
  {(char*)"LoadParticlesOn", PyvtkEnzoReader_LoadParticlesOn, 1,
   (char*)"V.LoadParticlesOn()\nC++: void LoadParticlesOn()\n\nSet/Get whether the particles, if any, are loaded\n"},
  {(char*)"LoadParticlesOff", PyvtkEnzoReader_LoadParticlesOff, 1,
   (char*)"V.LoadParticlesOff()\nC++: void LoadParticlesOff()\n\nSet/Get whether the particles, if any, are loaded\n"},
  {(char*)"SetFileName", PyvtkEnzoReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(const char *fileName)\n\nSet the Enzo data file name (hierarchy or boundary).\n"},
  {(char*)"GetNumberOfBlocks", PyvtkEnzoReader_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks()\n\nGet the number of all rectilinear blocks, excluding particles.\n"},
  {(char*)"GetNumberOfLevels", PyvtkEnzoReader_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: int GetNumberOfLevels()\n\nGet the number of block levels (from the top level --- #0 to the\nlowest leaf level).\n"},
  {(char*)"GetNumberOfLeafBlocks", PyvtkEnzoReader_GetNumberOfLeafBlocks, 1,
   (char*)"V.GetNumberOfLeafBlocks() -> int\nC++: int GetNumberOfLeafBlocks()\n\nGet the number of leaf blocks.\n"},
  {(char*)"GetNumberOfDimensions", PyvtkEnzoReader_GetNumberOfDimensions, 1,
   (char*)"V.GetNumberOfDimensions() -> int\nC++: int GetNumberOfDimensions()\n\nGet the number of dimensions (2 or 3).\n"},
  {(char*)"GetBounds", PyvtkEnzoReader_GetBounds, 1,
   (char*)"V.GetBounds([float, float, float, float, float, float])\nC++: void GetBounds(double dataBBox[6])\n\nGet the bounding box of the whole hierarchy (covering all\nrectilinear blocks). The bounding range along the degenerate\ndimension (e.g., the z-axis for 2D blocks) is invalid --- [\nVTK_DOUBLE_MAX, -VTK_DOUBLE_MAX ].\n"},
  {(char*)"GetBlockEnzoId", PyvtkEnzoReader_GetBlockEnzoId, 1,
   (char*)"V.GetBlockEnzoId(int) -> int\nC++: int GetBlockEnzoId(int blockIdx)\n\nGet the 1-based Enzo Id of a block specified by 0-based blockIdx.\nA negative value is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockLevel", PyvtkEnzoReader_GetBlockLevel, 1,
   (char*)"V.GetBlockLevel(int) -> int\nC++: int GetBlockLevel(int blockIdx)\n\nGet the 0-based level of a block specified by 0-based blockIdx\n(there can be multiple blocks at level #0). The level increases\nas we navigate top- down through the hierarchy. A negative value\nis returned for invalid blockIdx.\n"},
  {(char*)"GetBlockType", PyvtkEnzoReader_GetBlockType, 1,
   (char*)"V.GetBlockType(int) -> int\nC++: int GetBlockType(int blockIdx)\n\nGet the type (0 for level #0, 1 for an intermediate level, and 2\nfor a leaf) of a block specified by 0-based blockIdx. A negative\nvalue is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockParentId", PyvtkEnzoReader_GetBlockParentId, 1,
   (char*)"V.GetBlockParentId(int) -> int\nC++: int GetBlockParentId(int blockIdx)\n\nGet the 0-based Id of the parent of a block specified by 0-based\nblockIdx.\n-2 is returned for invalid blockIdx while -1 is returned if the\n   input refers to a level #0 block.\n"},
  {(char*)"GetBlockNumberOfChildren", PyvtkEnzoReader_GetBlockNumberOfChildren, 1,
   (char*)"V.GetBlockNumberOfChildren(int) -> int\nC++: int GetBlockNumberOfChildren(int blockIdx)\n\nGet the number of child blocks of a block specified by 0-based\nblockIdx. -1 is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockChild", PyvtkEnzoReader_GetBlockChild, 1,
   (char*)"V.GetBlockChild(int, int) -> int\nC++: int GetBlockChild(int blockIdx, int childIdx)\n\nGet the 0-based Id of the childIdx-th child of a block specified\nby 0-based blockIdx. -1 is returned for invalid childIdx or\nblockIdx.\n"},
  {(char*)"GetBlockBounds", PyvtkEnzoReader_GetBlockBounds, 1,
   (char*)"V.GetBlockBounds(int, [float, float, float, float, float, float])\nC++: void GetBlockBounds(int blockIdx, double dataBBox[6])\n\nGet the bounding box of a block specified by 0-based blockIdx.\nFor invalid blockIdx, { VTK_DOUBLE_MAX, -VTK_DOUBLE_MAX,\nVTK_DOUBLE_MAX, -VTK_DOUBLE_MAX, VTK_DOUBLE_MAX, -VTK_DOUBLE_MAX\n} is returned.\n"},
  {(char*)"GetBlockParentWiseNodeExtents", PyvtkEnzoReader_GetBlockParentWiseNodeExtents, 1,
   (char*)"V.GetBlockParentWiseNodeExtents(int, [int, int, int, int, int,\n    int])\nC++: void GetBlockParentWiseNodeExtents(int blockIdx,\n    int xtentIds[6])\n\nGet the 6-Id extents (min_x_Id, max_x_Id, min_y_Id, max_y_Id,\nmin_z_Id, max_z_Id) of a block (specified by 0-based blockIdx) in\nterms of its parent block's node indexing. (-1, -1, -1, -1, -1,\n-1) is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockLevelBasedNodeExtents", PyvtkEnzoReader_GetBlockLevelBasedNodeExtents, 1,
   (char*)"V.GetBlockLevelBasedNodeExtents(int, [int, int, int, int, int,\n    int])\nC++: void GetBlockLevelBasedNodeExtents(int blockIdx,\n    int xtentIds[6])\n\nGet the 6-Id extents (min_x_Id, max_x_Id, min_y_Id, max_y_Id,\nmin_z_Id, max_z_Id) of a block (specified by 0-based blockIdx) in\nterms of the node indexing across all the blocks at the same\nlevel. (-1, -1, -1, -1, -1, -1) is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockFileName", PyvtkEnzoReader_GetBlockFileName, 1,
   (char*)"V.GetBlockFileName(int) -> string\nC++: const char *GetBlockFileName(int blockIdx)\n\nGet the block file name of a rectilinear block specified by\n0-based blockIdx. NULL is returned for invalid blockIdx.\n"},
  {(char*)"GetParticleFileName", PyvtkEnzoReader_GetParticleFileName, 1,
   (char*)"V.GetParticleFileName(int) -> string\nC++: const char *GetParticleFileName(int blockIdx)\n\nGet the particle file name of the particles falling within the\nscope of a block specified by 0-based blockIdx. NULL is returned\nfor invalid blockIdx.\n"},
  {(char*)"GetNumberOfParticles", PyvtkEnzoReader_GetNumberOfParticles, 1,
   (char*)"V.GetNumberOfParticles(int) -> int\nC++: int GetNumberOfParticles(int blockIdx)\n\nGet the number of particles falling within the scope of a block\nspecified by 0-based blockIdx. A negative value is returned for\ninvalid blockIdx.\n"},
  {(char*)"GetNumberOfBlockAttributes", PyvtkEnzoReader_GetNumberOfBlockAttributes, 1,
   (char*)"V.GetNumberOfBlockAttributes() -> int\nC++: int GetNumberOfBlockAttributes()\n\nGet the number of (cell) data attributes associated with each\nrectilinear block.\n"},
  {(char*)"GetBlockAttributeName", PyvtkEnzoReader_GetBlockAttributeName, 1,
   (char*)"V.GetBlockAttributeName(int) -> string\nC++: const char *GetBlockAttributeName(int attrIndx)\n\nGet the name of the attrIndx-th (0-based) scalar (cell) data\nattribute associated with each block. NULL is returned for\ninvalid attrIndx.\n"},
  {(char*)"IsBlockAttribute", PyvtkEnzoReader_IsBlockAttribute, 1,
   (char*)"V.IsBlockAttribute(string) -> int\nC++: int IsBlockAttribute(const char *attrName)\n\nCheck whether a given name attrName is a (cell) data attribute\nassociated with each block (return a non-negative value as the\nattribute index) or not (-1).\n"},
  {(char*)"GetNumberOfParticleAttributes", PyvtkEnzoReader_GetNumberOfParticleAttributes, 1,
   (char*)"V.GetNumberOfParticleAttributes() -> int\nC++: int GetNumberOfParticleAttributes()\n\nGet the number of data attributes associated with particles.\n"},
  {(char*)"GetParticleAttributeName", PyvtkEnzoReader_GetParticleAttributeName, 1,
   (char*)"V.GetParticleAttributeName(int) -> string\nC++: const char *GetParticleAttributeName(int attrIndx)\n\nGet the name of the attrIndx-th (0-based) scalar data attribute\nassociated with particles. NULL is returned for invalid attrIndx.\n"},
  {(char*)"IsParticleAttribute", PyvtkEnzoReader_IsParticleAttribute, 1,
   (char*)"V.IsParticleAttribute(string) -> int\nC++: int IsParticleAttribute(const char *attrName)\n\nCheck whether a given name attrName is a data attribute\nassociated with particles (return a non-negative value as the\nattribute index)or not (-1).\n"},
  {(char*)"GetNumberOfTracerParticleAttributes", PyvtkEnzoReader_GetNumberOfTracerParticleAttributes, 1,
   (char*)"V.GetNumberOfTracerParticleAttributes() -> int\nC++: int GetNumberOfTracerParticleAttributes()\n\nGet the number of data attributes associated with tracer\nparticles.\n"},
  {(char*)"GetTracerParticleAttributeName", PyvtkEnzoReader_GetTracerParticleAttributeName, 1,
   (char*)"V.GetTracerParticleAttributeName(int) -> string\nC++: const char *GetTracerParticleAttributeName(int attrIndx)\n\nGet the name of the attrIndx-th (0-based) scalar data attribute\nassociated with tracer particles. NULL is returned for invalid\nattrIndx.\n"},
  {(char*)"IsTracerParticleAttribute", PyvtkEnzoReader_IsTracerParticleAttribute, 1,
   (char*)"V.IsTracerParticleAttribute(string) -> int\nC++: int IsTracerParticleAttribute(const char *attrName)\n\nCheck whether a given name attrName is a data attribute\nassociated with tracer particles (return a non-negative value as\nthe attribute index) or not (-1).\n"},
  {(char*)"SetBlockOutputTypeToImageData", PyvtkEnzoReader_SetBlockOutputTypeToImageData, 1,
   (char*)"V.SetBlockOutputTypeToImageData()\nC++: void SetBlockOutputTypeToImageData()\n\nSet the output type of each rectilinear block to vtkImageData\n(note that this type is imposed on the constituent MAIN blocks,\nexcluding the one constrcted for the particles, if any).\n"},
  {(char*)"SetBlockOutputTypeToRectilinearGrid", PyvtkEnzoReader_SetBlockOutputTypeToRectilinearGrid, 1,
   (char*)"V.SetBlockOutputTypeToRectilinearGrid()\nC++: void SetBlockOutputTypeToRectilinearGrid()\n\nSet the output type of each rectilinear block to\nvtkRectilinearGrid (note that this type is imposed on the\nconstituent MAIN blocks, excluding the one built for the\nparticles, if any).\n"},
  {(char*)"GetBlock", PyvtkEnzoReader_GetBlock, 1,
   (char*)"V.GetBlock(int, vtkImageData) -> int\nC++: int GetBlock(int blockIdx, vtkImageData *imagData)\nV.GetBlock(int, vtkRectilinearGrid) -> int\nC++: int GetBlock(int blockIdx, vtkRectilinearGrid *rectGrid)\n\nThis function fills an allocated vtkImageData with a block\nspecified by 0-based blockIdx and loads the associated cell data\nattributes from the file. The returned value indicates failure\n(0) or success (1).\n"},
  {(char*)"GetParticles", PyvtkEnzoReader_GetParticles, 1,
   (char*)"V.GetParticles(int, vtkPolyData, int, int) -> int\nC++: int GetParticles(int blockIdx, vtkPolyData *polyData,\n    int beTracer=0, int withAttr=1)\n\nThis function loads particles (and the associated data\nattributes) from the file that fall within the scope of a\nrectilinear block specified by 0-based blockIdx and fills an\nallocated vtkPolyDara with them. The returned value indicates\nfailure (0) or success (1). Argument beTracer indicates either\nregular (0) or tracer (1) particles. Argument withAttr indicates\nwhether attributes are loaded and attached (1) or not (0).\n"},
  {(char*)"GetAttribute", PyvtkEnzoReader_GetAttribute, 1,
   (char*)"V.GetAttribute(string, int) -> vtkDataArray\nC++: vtkDataArray *GetAttribute(const char *atribute,\n    int blockIdx)\n\nThis function loads from the file a cell data attribute\n(specified by name atribute, coupled with either the cells of a\nrectilinear block or a set of particles falling within the scope\nof this rectilinear block) associated with a block given by\n0-based blockIdx. NULL is returned upon failure. Note that the\narray must NOT be deleted and instead it will be internally\ndestroyed upon the next call to GetAttribute() / LoadAttribute(),\neither directly or indirectly. Thus it is suggested that the\nreturned array be deep-copied for safety. Otherwise it can be\nused for instantaneous access / check purposes only.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkEnzoReader_StaticNew()
{
  return vtkEnzoReader::New();
}

PyObject *PyVTKClass_vtkEnzoReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkEnzoReader_StaticNew,
    PyvtkEnzoReader_Methods,
    "vtkEnzoReader", modulename,
    NULL, NULL,
    PyvtkEnzoReader_Doc(),
    PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkEnzoReader_Doc()
{
  static const char *docstring[] = {
    "vtkEnzoReader - Loads multi-resolution data blocks from an Enzo file. \n\n",
    "Superclass: vtkMultiBlockDataSetAlgorithm\n\n",
    "vtkEnzoReader reads an Enzo dataset and generates a\nvtkMultiBlockDataSet.\n An Enzo file may contain a hierarchy of multi-resolution\nvtkRectilinearGrid\n (2D / 3D) blocks, with the same dimension settings (in terms of the\nnumber\n of grid points along each axis) across the sub-division tree, and/or\na set\n of particles (as a vtkPolyData block in the output), and the\nassociated\n scalar (cell) data attr",
    "ibutes. vtkEnzoReader exploits HDF5 libraries\nas\n the underlying data loading engine.\n\nSee Also:\n\n\n vtkPolyData vtkImageData vtkRectilinearGrid vtkMultiBlockDataSet\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkEnzoReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkEnzoReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkEnzoReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

