// python wrapper for vtkEquivalenceSet
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkEquivalenceSet.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkEquivalenceSet(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkEquivalenceSet(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEquivalenceSetNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEquivalenceSetNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkEquivalenceSet_Doc();


static PyObject *
PyvtkEquivalenceSet_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkEquivalenceSet::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  vtkEquivalenceSet *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkEquivalenceSet *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkEquivalenceSet::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkEquivalenceSet::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_AddEquivalence(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddEquivalence");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AddEquivalence(temp0, temp1);
      }
    else
      {
      op->vtkEquivalenceSet::AddEquivalence(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_GetNumberOfMembers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfMembers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfMembers();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::GetNumberOfMembers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_GetNumberOfResolvedSets(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfResolvedSets");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfResolvedSets();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::GetNumberOfResolvedSets();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_GetEquivalentSetId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEquivalentSetId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEquivalentSetId(temp0);
      }
    else
      {
      tempr = op->vtkEquivalenceSet::GetEquivalentSetId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_ResolveEquivalences(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResolveEquivalences");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->ResolveEquivalences();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::ResolveEquivalences();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  vtkEquivalenceSet *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkEquivalenceSet"))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0);
      }
    else
      {
      op->vtkEquivalenceSet::DeepCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_Squeeze(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Squeeze");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Squeeze();
      }
    else
      {
      op->vtkEquivalenceSet::Squeeze();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEquivalenceSet_Capacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Capacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEquivalenceSet *op = static_cast<vtkEquivalenceSet *>(vp);

  vtkIdType tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->Capacity();
      }
    else
      {
      tempr = op->vtkEquivalenceSet::Capacity();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkEquivalenceSet_Methods[] = {
  {(char*)"GetClassName", PyvtkEquivalenceSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkEquivalenceSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkEquivalenceSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEquivalenceSet\nC++: vtkEquivalenceSet *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkEquivalenceSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEquivalenceSet\nC++: vtkEquivalenceSet *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkEquivalenceSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\n"},
  {(char*)"AddEquivalence", PyvtkEquivalenceSet_AddEquivalence, 1,
   (char*)"V.AddEquivalence(int, int)\nC++: void AddEquivalence(int id1, int id2)\n\n"},
  {(char*)"GetNumberOfMembers", PyvtkEquivalenceSet_GetNumberOfMembers, 1,
   (char*)"V.GetNumberOfMembers() -> int\nC++: int GetNumberOfMembers()\n\n"},
  {(char*)"GetNumberOfResolvedSets", PyvtkEquivalenceSet_GetNumberOfResolvedSets, 1,
   (char*)"V.GetNumberOfResolvedSets() -> int\nC++: int GetNumberOfResolvedSets()\n\n"},
  {(char*)"GetEquivalentSetId", PyvtkEquivalenceSet_GetEquivalentSetId, 1,
   (char*)"V.GetEquivalentSetId(int) -> int\nC++: int GetEquivalentSetId(int memberId)\n\n"},
  {(char*)"ResolveEquivalences", PyvtkEquivalenceSet_ResolveEquivalences, 1,
   (char*)"V.ResolveEquivalences() -> int\nC++: int ResolveEquivalences()\n\n"},
  {(char*)"DeepCopy", PyvtkEquivalenceSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkEquivalenceSet)\nC++: void DeepCopy(vtkEquivalenceSet *in)\n\n"},
  {(char*)"Squeeze", PyvtkEquivalenceSet_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze()\n\n"},
  {(char*)"Capacity", PyvtkEquivalenceSet_Capacity, 1,
   (char*)"V.Capacity() -> int\nC++: vtkIdType Capacity()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkEquivalenceSet_StaticNew()
{
  return vtkEquivalenceSet::New();
}

PyObject *PyVTKClass_vtkEquivalenceSetNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkEquivalenceSet_StaticNew,
    PyvtkEquivalenceSet_Methods,
    "vtkEquivalenceSet", modulename,
    NULL, NULL,
    PyvtkEquivalenceSet_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkEquivalenceSet_Doc()
{
  static const char *docstring[] = {
    "vtkEquivalenceSet - records groups of integers that are equivalent.\n\n",
    "Superclass: vtkObject\n\n",
    "Useful for connectivity on multiple processes.  Run connectivity on\neach processes, then make touching fragments equivalent.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkEquivalenceSet(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkEquivalenceSetNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkEquivalenceSet", o) != 0)
    {
    Py_DECREF(o);
    }

}

