// python wrapper for vtkExtractScatterPlot
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkExtractScatterPlot.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkExtractScatterPlot(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkExtractScatterPlot(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractScatterPlotNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractScatterPlotNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
#endif

static const char **PyvtkExtractScatterPlot_Doc();


static PyObject *
PyvtkExtractScatterPlot_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  vtkExtractScatterPlot *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkExtractScatterPlot *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkExtractScatterPlot::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_SetXComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXComponent(temp0);
      }
    else
      {
      op->vtkExtractScatterPlot::SetXComponent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXComponentMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXComponentMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXComponentMinValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXComponentMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXComponentMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXComponentMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXComponentMaxValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXComponentMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXComponent();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXComponent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_SetYComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYComponent(temp0);
      }
    else
      {
      op->vtkExtractScatterPlot::SetYComponent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYComponentMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYComponentMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYComponentMinValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYComponentMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYComponentMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYComponentMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYComponentMaxValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYComponentMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYComponent();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYComponent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_SetXBinCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXBinCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXBinCount(temp0);
      }
    else
      {
      op->vtkExtractScatterPlot::SetXBinCount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXBinCountMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXBinCountMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXBinCountMinValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXBinCountMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXBinCountMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXBinCountMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXBinCountMaxValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXBinCountMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetXBinCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetXBinCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetXBinCount();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetXBinCount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_SetYBinCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYBinCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYBinCount(temp0);
      }
    else
      {
      op->vtkExtractScatterPlot::SetYBinCount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYBinCountMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYBinCountMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYBinCountMinValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYBinCountMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYBinCountMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYBinCountMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYBinCountMaxValue();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYBinCountMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractScatterPlot_GetYBinCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetYBinCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractScatterPlot *op = static_cast<vtkExtractScatterPlot *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetYBinCount();
      }
    else
      {
      tempr = op->vtkExtractScatterPlot::GetYBinCount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkExtractScatterPlot_Methods[] = {
  {(char*)"GetClassName", PyvtkExtractScatterPlot_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkExtractScatterPlot_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkExtractScatterPlot_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractScatterPlot\nC++: vtkExtractScatterPlot *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkExtractScatterPlot_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractScatterPlot\nC++: vtkExtractScatterPlot *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetXComponent", PyvtkExtractScatterPlot_SetXComponent, 1,
   (char*)"V.SetXComponent(int)\nC++: void SetXComponent(int)\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetXComponentMinValue", PyvtkExtractScatterPlot_GetXComponentMinValue, 1,
   (char*)"V.GetXComponentMinValue() -> int\nC++: int GetXComponentMinValue()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetXComponentMaxValue", PyvtkExtractScatterPlot_GetXComponentMaxValue, 1,
   (char*)"V.GetXComponentMaxValue() -> int\nC++: int GetXComponentMaxValue()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetXComponent", PyvtkExtractScatterPlot_GetXComponent, 1,
   (char*)"V.GetXComponent() -> int\nC++: int GetXComponent()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"SetYComponent", PyvtkExtractScatterPlot_SetYComponent, 1,
   (char*)"V.SetYComponent(int)\nC++: void SetYComponent(int)\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetYComponentMinValue", PyvtkExtractScatterPlot_GetYComponentMinValue, 1,
   (char*)"V.GetYComponentMinValue() -> int\nC++: int GetYComponentMinValue()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetYComponentMaxValue", PyvtkExtractScatterPlot_GetYComponentMaxValue, 1,
   (char*)"V.GetYComponentMaxValue() -> int\nC++: int GetYComponentMaxValue()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"GetYComponent", PyvtkExtractScatterPlot_GetYComponent, 1,
   (char*)"V.GetYComponent() -> int\nC++: int GetYComponent()\n\nControls which input data component should be binned, for input\narrays with more-than-one component\n"},
  {(char*)"SetXBinCount", PyvtkExtractScatterPlot_SetXBinCount, 1,
   (char*)"V.SetXBinCount(int)\nC++: void SetXBinCount(int)\n\nControls the number of bins along the X axis in the output\nhistogram data\n"},
  {(char*)"GetXBinCountMinValue", PyvtkExtractScatterPlot_GetXBinCountMinValue, 1,
   (char*)"V.GetXBinCountMinValue() -> int\nC++: int GetXBinCountMinValue()\n\nControls the number of bins along the X axis in the output\nhistogram data\n"},
  {(char*)"GetXBinCountMaxValue", PyvtkExtractScatterPlot_GetXBinCountMaxValue, 1,
   (char*)"V.GetXBinCountMaxValue() -> int\nC++: int GetXBinCountMaxValue()\n\nControls the number of bins along the X axis in the output\nhistogram data\n"},
  {(char*)"GetXBinCount", PyvtkExtractScatterPlot_GetXBinCount, 1,
   (char*)"V.GetXBinCount() -> int\nC++: int GetXBinCount()\n\nControls the number of bins along the X axis in the output\nhistogram data\n"},
  {(char*)"SetYBinCount", PyvtkExtractScatterPlot_SetYBinCount, 1,
   (char*)"V.SetYBinCount(int)\nC++: void SetYBinCount(int)\n\nControls the number of bins along the Y axis in the output\nhistogram data\n"},
  {(char*)"GetYBinCountMinValue", PyvtkExtractScatterPlot_GetYBinCountMinValue, 1,
   (char*)"V.GetYBinCountMinValue() -> int\nC++: int GetYBinCountMinValue()\n\nControls the number of bins along the Y axis in the output\nhistogram data\n"},
  {(char*)"GetYBinCountMaxValue", PyvtkExtractScatterPlot_GetYBinCountMaxValue, 1,
   (char*)"V.GetYBinCountMaxValue() -> int\nC++: int GetYBinCountMaxValue()\n\nControls the number of bins along the Y axis in the output\nhistogram data\n"},
  {(char*)"GetYBinCount", PyvtkExtractScatterPlot_GetYBinCount, 1,
   (char*)"V.GetYBinCount() -> int\nC++: int GetYBinCount()\n\nControls the number of bins along the Y axis in the output\nhistogram data\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkExtractScatterPlot_StaticNew()
{
  return vtkExtractScatterPlot::New();
}

PyObject *PyVTKClass_vtkExtractScatterPlotNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkExtractScatterPlot_StaticNew,
    PyvtkExtractScatterPlot_Methods,
    "vtkExtractScatterPlot", modulename,
    NULL, NULL,
    PyvtkExtractScatterPlot_Doc(),
    PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkExtractScatterPlot_Doc()
{
  static const char *docstring[] = {
    "vtkExtractScatterPlot - Extract a scatter plot (two-dimensional\nhistogram) from any dataset\n\n",
    "Superclass: vtkPolyDataAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkExtractScatterPlot(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkExtractScatterPlotNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkExtractScatterPlot", o) != 0)
    {
    Py_DECREF(o);
    }

}

