// python wrapper for vtkFileSeriesReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkFileSeriesReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkFileSeriesReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkFileSeriesReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFileSeriesReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFileSeriesReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkFileSeriesReader_Doc();


static PyObject *
PyvtkFileSeriesReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkFileSeriesReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  vtkFileSeriesReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkFileSeriesReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkFileSeriesReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SetReader(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetReader");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->SetReader(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::SetReader(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetReader(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReader");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  vtkAlgorithm *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReader();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetReader();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_CanReadFile_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanReadFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->CanReadFile(temp0);
      }
    else
      {
      tempr = op->vtkFileSeriesReader::CanReadFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkFileSeriesReader_CanReadFile_s2(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CanReadFile");

  vtkAlgorithm *temp0 = NULL;
  char *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm") &&
      ap.GetValue(temp1))
    {
    tempr = vtkFileSeriesReader::CanReadFile(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkFileSeriesReader_CanReadFile(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
    {
    case 1:
      return PyvtkFileSeriesReader_CanReadFile_s1(self, args);
    case 2:
      return PyvtkFileSeriesReader_CanReadFile_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "CanReadFile");
  return NULL;
}



static PyObject *
PyvtkFileSeriesReader_AddFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddFileName(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::AddFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_RemoveAllFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllFileNames();
      }
    else
      {
      op->vtkFileSeriesReader::RemoveAllFileNames();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetNumberOfFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfFileNames();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetNumberOfFileNames();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  unsigned int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName(temp0);
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetCurrentFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentFileName();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetCurrentFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetMetaFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMetaFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMetaFileName();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetMetaFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SetMetaFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMetaFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMetaFileName(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::SetMetaFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetUseMetaFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseMetaFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseMetaFile();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetUseMetaFile();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SetUseMetaFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseMetaFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseMetaFile(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::SetUseMetaFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_UseMetaFileOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseMetaFileOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseMetaFileOn();
      }
    else
      {
      op->vtkFileSeriesReader::UseMetaFileOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_UseMetaFileOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseMetaFileOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseMetaFileOff();
      }
    else
      {
      op->vtkFileSeriesReader::UseMetaFileOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMTime();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SetFileNameMethod(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileNameMethod");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileNameMethod(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::SetFileNameMethod(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetFileNameMethod(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileNameMethod");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileNameMethod();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetFileNameMethod();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_GetIgnoreReaderTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIgnoreReaderTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIgnoreReaderTime();
      }
    else
      {
      tempr = op->vtkFileSeriesReader::GetIgnoreReaderTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_SetIgnoreReaderTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIgnoreReaderTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIgnoreReaderTime(temp0);
      }
    else
      {
      op->vtkFileSeriesReader::SetIgnoreReaderTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_IgnoreReaderTimeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IgnoreReaderTimeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IgnoreReaderTimeOn();
      }
    else
      {
      op->vtkFileSeriesReader::IgnoreReaderTimeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFileSeriesReader_IgnoreReaderTimeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IgnoreReaderTimeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileSeriesReader *op = static_cast<vtkFileSeriesReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IgnoreReaderTimeOff();
      }
    else
      {
      op->vtkFileSeriesReader::IgnoreReaderTimeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkFileSeriesReader_Methods[] = {
  {(char*)"GetClassName", PyvtkFileSeriesReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkFileSeriesReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkFileSeriesReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFileSeriesReader\nC++: vtkFileSeriesReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkFileSeriesReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFileSeriesReader\nC++: vtkFileSeriesReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetReader", PyvtkFileSeriesReader_SetReader, 1,
   (char*)"V.SetReader(vtkAlgorithm)\nC++: virtual void SetReader(vtkAlgorithm *)\n\nSet/get the internal reader.\n"},
  {(char*)"GetReader", PyvtkFileSeriesReader_GetReader, 1,
   (char*)"V.GetReader() -> vtkAlgorithm\nC++: vtkAlgorithm *GetReader()\n\nSet/get the internal reader.\n"},
  {(char*)"CanReadFile", PyvtkFileSeriesReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile(const char *filename)\nV.CanReadFile(vtkAlgorithm, string) -> int\nC++: static int CanReadFile(vtkAlgorithm *reader,\n    const char *filename)\n\nCanReadFile is forwarded to the internal reader if it supports\nit.\n"},
  {(char*)"AddFileName", PyvtkFileSeriesReader_AddFileName, 1,
   (char*)"V.AddFileName(string)\nC++: virtual void AddFileName(const char *fname)\n\nAdds names of files to be read. The files are read in the order\nthey are added.\n"},
  {(char*)"RemoveAllFileNames", PyvtkFileSeriesReader_RemoveAllFileNames, 1,
   (char*)"V.RemoveAllFileNames()\nC++: virtual void RemoveAllFileNames()\n\nRemove all file names.\n"},
  {(char*)"GetNumberOfFileNames", PyvtkFileSeriesReader_GetNumberOfFileNames, 1,
   (char*)"V.GetNumberOfFileNames() -> int\nC++: virtual unsigned int GetNumberOfFileNames()\n\nReturns the number of file names added by AddFileName.\n"},
  {(char*)"GetFileName", PyvtkFileSeriesReader_GetFileName, 1,
   (char*)"V.GetFileName(int) -> string\nC++: virtual const char *GetFileName(unsigned int idx)\n\nReturns the name of a file with index idx.\n"},
  {(char*)"GetCurrentFileName", PyvtkFileSeriesReader_GetCurrentFileName, 1,
   (char*)"V.GetCurrentFileName() -> string\nC++: char *GetCurrentFileName()\n\nReturns the most recent filename used.\n"},
  {(char*)"GetMetaFileName", PyvtkFileSeriesReader_GetMetaFileName, 1,
   (char*)"V.GetMetaFileName() -> string\nC++: char *GetMetaFileName()\n\nGet/set the filename for the meta-file.  Has no effect unless\nUseMetaFile is true.\n"},
  {(char*)"SetMetaFileName", PyvtkFileSeriesReader_SetMetaFileName, 1,
   (char*)"V.SetMetaFileName(string)\nC++: void SetMetaFileName(char *)\n\nGet/set the filename for the meta-file.  Has no effect unless\nUseMetaFile is true.\n"},
  {(char*)"GetUseMetaFile", PyvtkFileSeriesReader_GetUseMetaFile, 1,
   (char*)"V.GetUseMetaFile() -> int\nC++: int GetUseMetaFile()\n\nIf true, then use the meta file.  False by default.\n"},
  {(char*)"SetUseMetaFile", PyvtkFileSeriesReader_SetUseMetaFile, 1,
   (char*)"V.SetUseMetaFile(int)\nC++: void SetUseMetaFile(int a)\n\nIf true, then use the meta file.  False by default.\n"},
  {(char*)"UseMetaFileOn", PyvtkFileSeriesReader_UseMetaFileOn, 1,
   (char*)"V.UseMetaFileOn()\nC++: void UseMetaFileOn()\n\nIf true, then use the meta file.  False by default.\n"},
  {(char*)"UseMetaFileOff", PyvtkFileSeriesReader_UseMetaFileOff, 1,
   (char*)"V.UseMetaFileOff()\nC++: void UseMetaFileOff()\n\nIf true, then use the meta file.  False by default.\n"},
  {(char*)"GetMTime", PyvtkFileSeriesReader_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime()\n\nReturn the MTime also considering the internal reader.\n"},
  {(char*)"SetFileNameMethod", PyvtkFileSeriesReader_SetFileNameMethod, 1,
   (char*)"V.SetFileNameMethod(string)\nC++: void SetFileNameMethod(char *)\n\nName of the method used to set the file name of the internal\nreader. By default, this is SetFileName.\n"},
  {(char*)"GetFileNameMethod", PyvtkFileSeriesReader_GetFileNameMethod, 1,
   (char*)"V.GetFileNameMethod() -> string\nC++: char *GetFileNameMethod()\n\nName of the method used to set the file name of the internal\nreader. By default, this is SetFileName.\n"},
  {(char*)"GetIgnoreReaderTime", PyvtkFileSeriesReader_GetIgnoreReaderTime, 1,
   (char*)"V.GetIgnoreReaderTime() -> int\nC++: int GetIgnoreReaderTime()\n\nIf true, then treat file series like it does not contain any time\nstep values. False by default.\n"},
  {(char*)"SetIgnoreReaderTime", PyvtkFileSeriesReader_SetIgnoreReaderTime, 1,
   (char*)"V.SetIgnoreReaderTime(int)\nC++: void SetIgnoreReaderTime(int a)\n\nIf true, then treat file series like it does not contain any time\nstep values. False by default.\n"},
  {(char*)"IgnoreReaderTimeOn", PyvtkFileSeriesReader_IgnoreReaderTimeOn, 1,
   (char*)"V.IgnoreReaderTimeOn()\nC++: void IgnoreReaderTimeOn()\n\nIf true, then treat file series like it does not contain any time\nstep values. False by default.\n"},
  {(char*)"IgnoreReaderTimeOff", PyvtkFileSeriesReader_IgnoreReaderTimeOff, 1,
   (char*)"V.IgnoreReaderTimeOff()\nC++: void IgnoreReaderTimeOff()\n\nIf true, then treat file series like it does not contain any time\nstep values. False by default.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkFileSeriesReader_StaticNew()
{
  return vtkFileSeriesReader::New();
}

PyObject *PyVTKClass_vtkFileSeriesReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkFileSeriesReader_StaticNew,
    PyvtkFileSeriesReader_Methods,
    "vtkFileSeriesReader", modulename,
    NULL, NULL,
    PyvtkFileSeriesReader_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkFileSeriesReader_Doc()
{
  static const char *docstring[] = {
    "vtkFileSeriesReader - meta-reader to read file series\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "vtkFileSeriesReader is a meta-reader that can work with various\nreaders to load file series. To the pipeline, it looks like a reader\nthat supports time. It updates the file name to the internal reader\nwhenever a different time step is requested.\n\nIf the reader already supports time, then this meta-filter will\nmultiplex the time.  It will union together all the times and forward\ntime requests to th",
    "e file with the correct time.  Overlaps are\nhandled by requesting data from the file with the upper range the\nfarthest in the future.\n\nThere are two ways to specify a series of files.  The first way is by\nadding the filenames one at a time with the AddFileName method.  The\nsecond way is by providing a single \"meta\" file.  This meta file is a\nsimple text file that lists a file per line.  The files ",
    "can be\nrelative to the meta file.  This method is useful when the actual\nreader points to a set of files itself.  The UseMetaFile toggles\nbetween these two methods of specifying files.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkFileSeriesReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkFileSeriesReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkFileSeriesReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

