// python wrapper for vtkFlashReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkFlashReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkFlashReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkFlashReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFlashReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFlashReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
#endif

static const char **PyvtkFlashReader_Doc();


static PyObject *
PyvtkFlashReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkFlashReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  vtkFlashReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkFlashReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkFlashReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkFlashReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetMergeXYZComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMergeXYZComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMergeXYZComponents(temp0);
      }
    else
      {
      op->vtkFlashReader::SetMergeXYZComponents(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetMergeXYZComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMergeXYZComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMergeXYZComponents();
      }
    else
      {
      tempr = op->vtkFlashReader::GetMergeXYZComponents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_MergeXYZComponentsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MergeXYZComponentsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MergeXYZComponentsOn();
      }
    else
      {
      op->vtkFlashReader::MergeXYZComponentsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_MergeXYZComponentsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MergeXYZComponentsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MergeXYZComponentsOff();
      }
    else
      {
      op->vtkFlashReader::MergeXYZComponentsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkFlashReader::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetBlockOutputTypeToImageData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputTypeToImageData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputTypeToImageData();
      }
    else
      {
      op->vtkFlashReader::SetBlockOutputTypeToImageData();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetBlockOutputTypeToRectilinearGrid(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputTypeToRectilinearGrid");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputTypeToRectilinearGrid();
      }
    else
      {
      op->vtkFlashReader::SetBlockOutputTypeToRectilinearGrid();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetBlockOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBlockOutputType(temp0);
      }
    else
      {
      op->vtkFlashReader::SetBlockOutputType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockOutputTypeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputTypeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputTypeMinValue();
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockOutputTypeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockOutputTypeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputTypeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputTypeMaxValue();
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockOutputTypeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockOutputType();
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockOutputType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetMaximumNumberOfBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumNumberOfBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumNumberOfBlocks(temp0);
      }
    else
      {
      op->vtkFlashReader::SetMaximumNumberOfBlocks(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetPoint1_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPoint1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetPoint1(temp0, temp1, temp2);
      }
    else
      {
      op->vtkFlashReader::SetPoint1(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkFlashReader_SetPoint1_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPoint1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetPoint1(temp0);
      }
    else
      {
      op->vtkFlashReader::SetPoint1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkFlashReader_SetPoint1(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkFlashReader_SetPoint1_s1(self, args);
    case 1:
      return PyvtkFlashReader_SetPoint1_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetPoint1");
  return NULL;
}



static PyObject *
PyvtkFlashReader_GetPoint1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPoint1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPoint1();
      }
    else
      {
      tempr = op->vtkFlashReader::GetPoint1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetPoint2_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPoint2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetPoint2(temp0, temp1, temp2);
      }
    else
      {
      op->vtkFlashReader::SetPoint2(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkFlashReader_SetPoint2_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPoint2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetPoint2(temp0);
      }
    else
      {
      op->vtkFlashReader::SetPoint2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkFlashReader_SetPoint2(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkFlashReader_SetPoint2_s1(self, args);
    case 1:
      return PyvtkFlashReader_SetPoint2_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetPoint2");
  return NULL;
}



static PyObject *
PyvtkFlashReader_GetPoint2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPoint2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPoint2();
      }
    else
      {
      tempr = op->vtkFlashReader::GetPoint2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetLoadMortonCurve(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadMortonCurve");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadMortonCurve(temp0);
      }
    else
      {
      op->vtkFlashReader::SetLoadMortonCurve(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetLoadMortonCurve(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadMortonCurve");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLoadMortonCurve();
      }
    else
      {
      tempr = op->vtkFlashReader::GetLoadMortonCurve();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_LoadMortonCurveOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadMortonCurveOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadMortonCurveOn();
      }
    else
      {
      op->vtkFlashReader::LoadMortonCurveOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_LoadMortonCurveOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadMortonCurveOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadMortonCurveOff();
      }
    else
      {
      op->vtkFlashReader::LoadMortonCurveOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetLoadParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadParticles(temp0);
      }
    else
      {
      op->vtkFlashReader::SetLoadParticles(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetLoadParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLoadParticles();
      }
    else
      {
      tempr = op->vtkFlashReader::GetLoadParticles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_LoadParticlesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadParticlesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadParticlesOn();
      }
    else
      {
      op->vtkFlashReader::LoadParticlesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_LoadParticlesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadParticlesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadParticlesOff();
      }
    else
      {
      op->vtkFlashReader::LoadParticlesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfBlocks();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfBlocks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLevels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLevels();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfLevels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetFileFormatVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileFormatVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileFormatVersion();
      }
    else
      {
      tempr = op->vtkFlashReader::GetFileFormatVersion();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfParticles();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfParticles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfLeafBlocks(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLeafBlocks");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLeafBlocks();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfLeafBlocks();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfDimensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfDimensions();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfDimensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfProcessors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProcessors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProcessors();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfProcessors();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_HaveProcessorsInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HaveProcessorsInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->HaveProcessorsInformation();
      }
    else
      {
      tempr = op->vtkFlashReader::HaveProcessorsInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetDimensionsPerBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDimensionsPerBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0[3];
  int save0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetDimensionsPerBlock(temp0);
      }
    else
      {
      op->vtkFlashReader::GetDimensionsPerBlock(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfChildrenPerBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfChildrenPerBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfChildrenPerBlock();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfChildrenPerBlock();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfNeighborsPerBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfNeighborsPerBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfNeighborsPerBlock();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfNeighborsPerBlock();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  double temp0[6];
  double save0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkFlashReader::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockFlashId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockFlashId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockFlashId(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockFlashId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockLevel(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockType(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockParentId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockParentId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockParentId(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockParentId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockChildrenIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockChildrenIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int temp1[8];
  int save1[8];
  const int size1 = 8;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockChildrenIds(temp0, temp1);
      }
    else
      {
      op->vtkFlashReader::GetBlockChildrenIds(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockNeighborIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockNeighborIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int temp1[6];
  int save1[6];
  const int size1 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockNeighborIds(temp0, temp1);
      }
    else
      {
      op->vtkFlashReader::GetBlockNeighborIds(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockProcessorId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockProcessorId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockProcessorId(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockProcessorId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockCenter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockCenter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  double temp1[3];
  double save1[3];
  const int size1 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockCenter(temp0, temp1);
      }
    else
      {
      op->vtkFlashReader::GetBlockCenter(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  double temp1[6];
  double save1[6];
  const int size1 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->GetBlockBounds(temp0, temp1);
      }
    else
      {
      op->vtkFlashReader::GetBlockBounds(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetLeafBlockId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLeafBlockId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLeafBlockId(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetLeafBlockId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetLeafBlockIdFlash(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLeafBlockIdFlash");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLeafBlockIdFlash(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetLeafBlockIdFlash(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_IsLeafBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsLeafBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsLeafBlock(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::IsLeafBlock(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_IsIntermediateBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsIntermediateBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsIntermediateBlock(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::IsIntermediateBlock(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetParticleName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticleName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticleName();
      }
    else
      {
      tempr = op->vtkFlashReader::GetParticleName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfParticleAttributes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfParticleAttributes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfParticleAttributes();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfParticleAttributes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetParticleAttributeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticleAttributeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticleAttributeName(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetParticleAttributeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_IsParticleAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsParticleAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsParticleAttribute(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::IsParticleAttribute(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlock_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  vtkImageData *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkImageData"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlock(temp0, temp1);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlock(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkFlashReader_GetBlock_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  vtkRectilinearGrid *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkRectilinearGrid"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlock(temp0, temp1);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlock(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkFlashReader_GetBlock_Methods[] = {
  {NULL, PyvtkFlashReader_GetBlock_s1, 1,
   (char*)"@iO *vtkImageData"},
  {NULL, PyvtkFlashReader_GetBlock_s2, 1,
   (char*)"@iO *vtkRectilinearGrid"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkFlashReader_GetBlock(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkFlashReader_GetBlock_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetBlock");
  return NULL;
}



static PyObject *
PyvtkFlashReader_GetParticles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParticles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  vtkPolyData *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPolyData"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParticles(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetParticles(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetMortonCurve(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMortonCurve");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  vtkPolyData *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPolyData"))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMortonCurve(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetMortonCurve(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfBlockAttributes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfBlockAttributes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfBlockAttributes();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfBlockAttributes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_IsBlockAttribute(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsBlockAttribute");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsBlockAttribute(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::IsBlockAttribute(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetBlockAttributeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockAttributeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockAttributeName(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetBlockAttributeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetCellDataArraySelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellDataArraySelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  vtkDataArraySelection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCellDataArraySelection();
      }
    else
      {
      tempr = op->vtkFlashReader::GetCellDataArraySelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfCellArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfCellArrays();
      }
    else
      {
      tempr = op->vtkFlashReader::GetNumberOfCellArrays();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCellArrayName(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetCellArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCellArrayStatus(temp0);
      }
    else
      {
      tempr = op->vtkFlashReader::GetCellArrayStatus(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFlashReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCellArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFlashReader *op = static_cast<vtkFlashReader *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetCellArrayStatus(temp0, temp1);
      }
    else
      {
      op->vtkFlashReader::SetCellArrayStatus(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkFlashReader_Methods[] = {
  {(char*)"GetClassName", PyvtkFlashReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkFlashReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkFlashReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFlashReader\nC++: vtkFlashReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkFlashReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFlashReader\nC++: vtkFlashReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMergeXYZComponents", PyvtkFlashReader_SetMergeXYZComponents, 1,
   (char*)"V.SetMergeXYZComponents(int)\nC++: void SetMergeXYZComponents(int merge)\n\nIf true, the reader will merge scalar arrays named, for example, \"X\nvelocity\" \"Y velocity\" and \"Z velocity\" into a vector array named\n\"velocity\" with scalar components X, Y and Z. It will also merge\nX and Y scalar arrays (with no Z component) into a vector with\nscalar components X, Y and 0. True by default.\n"},
  {(char*)"GetMergeXYZComponents", PyvtkFlashReader_GetMergeXYZComponents, 1,
   (char*)"V.GetMergeXYZComponents() -> int\nC++: int GetMergeXYZComponents()\n\nIf true, the reader will merge scalar arrays named, for example, \"X\nvelocity\" \"Y velocity\" and \"Z velocity\" into a vector array named\n\"velocity\" with scalar components X, Y and Z. It will also merge\nX and Y scalar arrays (with no Z component) into a vector with\nscalar components X, Y and 0. True by default.\n"},
  {(char*)"MergeXYZComponentsOn", PyvtkFlashReader_MergeXYZComponentsOn, 1,
   (char*)"V.MergeXYZComponentsOn()\nC++: void MergeXYZComponentsOn()\n\nIf true, the reader will merge scalar arrays named, for example, \"X\nvelocity\" \"Y velocity\" and \"Z velocity\" into a vector array named\n\"velocity\" with scalar components X, Y and Z. It will also merge\nX and Y scalar arrays (with no Z component) into a vector with\nscalar components X, Y and 0. True by default.\n"},
  {(char*)"MergeXYZComponentsOff", PyvtkFlashReader_MergeXYZComponentsOff, 1,
   (char*)"V.MergeXYZComponentsOff()\nC++: void MergeXYZComponentsOff()\n\nIf true, the reader will merge scalar arrays named, for example, \"X\nvelocity\" \"Y velocity\" and \"Z velocity\" into a vector array named\n\"velocity\" with scalar components X, Y and Z. It will also merge\nX and Y scalar arrays (with no Z component) into a vector with\nscalar components X, Y and 0. True by default.\n"},
  {(char*)"SetFileName", PyvtkFlashReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(const char *fileName)\n\nSet the Flash data file name.\n"},
  {(char*)"SetBlockOutputTypeToImageData", PyvtkFlashReader_SetBlockOutputTypeToImageData, 1,
   (char*)"V.SetBlockOutputTypeToImageData()\nC++: void SetBlockOutputTypeToImageData()\n\nSet the output type of each block to vtkImageData (note that this\ntype is imposed on the constituent MAIN blocks, excluding the one\nconstrcted for the particles, if any).\n"},
  {(char*)"SetBlockOutputTypeToRectilinearGrid", PyvtkFlashReader_SetBlockOutputTypeToRectilinearGrid, 1,
   (char*)"V.SetBlockOutputTypeToRectilinearGrid()\nC++: void SetBlockOutputTypeToRectilinearGrid()\n\nSet the output type of each block to vtkRectilinearGrid (note\nthat this type is imposed on the constituent MAIN blocks,\nexcluding the one built for the particles, if any).\n"},
  {(char*)"SetBlockOutputType", PyvtkFlashReader_SetBlockOutputType, 1,
   (char*)"V.SetBlockOutputType(int)\nC++: void SetBlockOutputType(int)\n\nSet/Get the output type of each block (vtkImageData or\nvtkRectilinearGrid), with vtkImageData as the default. (note that\nthis type is imposed on the constituent MAIN blocks, excluding\nthe one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputTypeMinValue", PyvtkFlashReader_GetBlockOutputTypeMinValue, 1,
   (char*)"V.GetBlockOutputTypeMinValue() -> int\nC++: int GetBlockOutputTypeMinValue()\n\nSet/Get the output type of each block (vtkImageData or\nvtkRectilinearGrid), with vtkImageData as the default. (note that\nthis type is imposed on the constituent MAIN blocks, excluding\nthe one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputTypeMaxValue", PyvtkFlashReader_GetBlockOutputTypeMaxValue, 1,
   (char*)"V.GetBlockOutputTypeMaxValue() -> int\nC++: int GetBlockOutputTypeMaxValue()\n\nSet/Get the output type of each block (vtkImageData or\nvtkRectilinearGrid), with vtkImageData as the default. (note that\nthis type is imposed on the constituent MAIN blocks, excluding\nthe one built for the particles, if any).\n"},
  {(char*)"GetBlockOutputType", PyvtkFlashReader_GetBlockOutputType, 1,
   (char*)"V.GetBlockOutputType() -> int\nC++: int GetBlockOutputType()\n\nSet/Get the output type of each block (vtkImageData or\nvtkRectilinearGrid), with vtkImageData as the default. (note that\nthis type is imposed on the constituent MAIN blocks, excluding\nthe one built for the particles, if any).\n"},
  {(char*)"SetMaximumNumberOfBlocks", PyvtkFlashReader_SetMaximumNumberOfBlocks, 1,
   (char*)"V.SetMaximumNumberOfBlocks(int)\nC++: void SetMaximumNumberOfBlocks(int a)\n\nDo not load mor than this number of blocks. Right now parent\nblocks are loaded, but they do not need to be.\n"},
  {(char*)"SetPoint1", PyvtkFlashReader_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1(double, double, double)\nV.SetPoint1((float, float, float))\nC++: void SetPoint1(double a[3])\n\n"},
  {(char*)"GetPoint1", PyvtkFlashReader_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double *GetPoint1()\n\nAn interface to select blocks to load based on a camera. Blocks\ncontaining the point will be refined as much as possible. We\ncould have multiple points.  Blocks near the point are\npreferentially refined. (See also MaximumNumberOfBlocks). Set\nposition of first place to refine.\n"},
  {(char*)"SetPoint2", PyvtkFlashReader_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2(double, double, double)\nV.SetPoint2((float, float, float))\nC++: void SetPoint2(double a[3])\n\n"},
  {(char*)"GetPoint2", PyvtkFlashReader_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double *GetPoint2()\n\nSet position of the second point to refine.\n"},
  {(char*)"SetLoadMortonCurve", PyvtkFlashReader_SetLoadMortonCurve, 1,
   (char*)"V.SetLoadMortonCurve(int)\nC++: void SetLoadMortonCurve(int a)\n\nLoad the morton curve.\n"},
  {(char*)"GetLoadMortonCurve", PyvtkFlashReader_GetLoadMortonCurve, 1,
   (char*)"V.GetLoadMortonCurve() -> int\nC++: int GetLoadMortonCurve()\n\nLoad the morton curve.\n"},
  {(char*)"LoadMortonCurveOn", PyvtkFlashReader_LoadMortonCurveOn, 1,
   (char*)"V.LoadMortonCurveOn()\nC++: void LoadMortonCurveOn()\n\nLoad the morton curve.\n"},
  {(char*)"LoadMortonCurveOff", PyvtkFlashReader_LoadMortonCurveOff, 1,
   (char*)"V.LoadMortonCurveOff()\nC++: void LoadMortonCurveOff()\n\nLoad the morton curve.\n"},
  {(char*)"SetLoadParticles", PyvtkFlashReader_SetLoadParticles, 1,
   (char*)"V.SetLoadParticles(int)\nC++: void SetLoadParticles(int a)\n\nLoad the particles.\n"},
  {(char*)"GetLoadParticles", PyvtkFlashReader_GetLoadParticles, 1,
   (char*)"V.GetLoadParticles() -> int\nC++: int GetLoadParticles()\n\nLoad the particles.\n"},
  {(char*)"LoadParticlesOn", PyvtkFlashReader_LoadParticlesOn, 1,
   (char*)"V.LoadParticlesOn()\nC++: void LoadParticlesOn()\n\nLoad the particles.\n"},
  {(char*)"LoadParticlesOff", PyvtkFlashReader_LoadParticlesOff, 1,
   (char*)"V.LoadParticlesOff()\nC++: void LoadParticlesOff()\n\nLoad the particles.\n"},
  {(char*)"GetNumberOfBlocks", PyvtkFlashReader_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks()\n\nGet the number of all (root, intermediate, and leaf) rectilinear\nblocks, excluding particles and the constructed Morton (z-order)\ncurve.\n"},
  {(char*)"GetNumberOfLevels", PyvtkFlashReader_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: int GetNumberOfLevels()\n\nGet the number of (sub-division) levels (including the root and\nthe leaf).\n"},
  {(char*)"GetFileFormatVersion", PyvtkFlashReader_GetFileFormatVersion, 1,
   (char*)"V.GetFileFormatVersion() -> int\nC++: int GetFileFormatVersion()\n\nGet the version of the Flash file format.\n"},
  {(char*)"GetNumberOfParticles", PyvtkFlashReader_GetNumberOfParticles, 1,
   (char*)"V.GetNumberOfParticles() -> int\nC++: int GetNumberOfParticles()\n\nGet the number of particles.\n"},
  {(char*)"GetNumberOfLeafBlocks", PyvtkFlashReader_GetNumberOfLeafBlocks, 1,
   (char*)"V.GetNumberOfLeafBlocks() -> int\nC++: int GetNumberOfLeafBlocks()\n\nGet the number of leaf blocks.\n"},
  {(char*)"GetNumberOfDimensions", PyvtkFlashReader_GetNumberOfDimensions, 1,
   (char*)"V.GetNumberOfDimensions() -> int\nC++: int GetNumberOfDimensions()\n\nGet the number of dimensions (2 or 3).\n"},
  {(char*)"GetNumberOfProcessors", PyvtkFlashReader_GetNumberOfProcessors, 1,
   (char*)"V.GetNumberOfProcessors() -> int\nC++: int GetNumberOfProcessors()\n\nGet the number of processors (used to generate the data).\n"},
  {(char*)"HaveProcessorsInformation", PyvtkFlashReader_HaveProcessorsInformation, 1,
   (char*)"V.HaveProcessorsInformation() -> int\nC++: int HaveProcessorsInformation()\n\nCheck whether the processors information is available (1) or not\n(0).\n"},
  {(char*)"GetDimensionsPerBlock", PyvtkFlashReader_GetDimensionsPerBlock, 1,
   (char*)"V.GetDimensionsPerBlock([int, int, int])\nC++: void GetDimensionsPerBlock(int BlckDims[3])\n\nGet the dimensions of each block (throughout the hierarchy),\ni.e., the number of grid points along each axis.\n"},
  {(char*)"GetNumberOfChildrenPerBlock", PyvtkFlashReader_GetNumberOfChildrenPerBlock, 1,
   (char*)"V.GetNumberOfChildrenPerBlock() -> int\nC++: int GetNumberOfChildrenPerBlock()\n\nGet the number of childrens (4 for 2D and 8 for 3D) of each\nnon-leaf block.\n"},
  {(char*)"GetNumberOfNeighborsPerBlock", PyvtkFlashReader_GetNumberOfNeighborsPerBlock, 1,
   (char*)"V.GetNumberOfNeighborsPerBlock() -> int\nC++: int GetNumberOfNeighborsPerBlock()\n\nGet the maximum number of neighbors (4 for 2D and 6 for 3D) of\neach block.\n"},
  {(char*)"GetBounds", PyvtkFlashReader_GetBounds, 1,
   (char*)"V.GetBounds([float, float, float, float, float, float])\nC++: void GetBounds(double dataBBox[6])\n\nGet the bounding box of the whole hierarchy (covering all\nrectilinear blocks).\n"},
  {(char*)"GetBlockFlashId", PyvtkFlashReader_GetBlockFlashId, 1,
   (char*)"V.GetBlockFlashId(int) -> int\nC++: int GetBlockFlashId(int blockIdx)\n\nGet the 1-based Flash Id of a block specified by 0-based\nblockIdx. A negative value is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockLevel", PyvtkFlashReader_GetBlockLevel, 1,
   (char*)"V.GetBlockLevel(int) -> int\nC++: int GetBlockLevel(int blockIdx)\n\nGet the 1-based level of a block specified by 0-based blockIdx.\nThe level increases as we navigate top-down from the root block.\nA negative value is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockType", PyvtkFlashReader_GetBlockType, 1,
   (char*)"V.GetBlockType(int) -> int\nC++: int GetBlockType(int blockIdx)\n\nGet the type (1 for a leaf, 2 for an intermediate, and 3 for the\nroot) of a block specified by 0-based blockIdx. A negative value\nis returned for invalid blockIdx.\n"},
  {(char*)"GetBlockParentId", PyvtkFlashReader_GetBlockParentId, 1,
   (char*)"V.GetBlockParentId(int) -> int\nC++: int GetBlockParentId(int blockIdx)\n\nGet the 1-based Flash Id of the parent of a block specified by\n0-based blockIdx. -2 is returned for invalid blockIdx while -1 is\nreturned for the root block as the input.\n"},
  {(char*)"GetBlockChildrenIds", PyvtkFlashReader_GetBlockChildrenIds, 1,
   (char*)"V.GetBlockChildrenIds(int, [int, int, int, int, int, int, int,\n    int])\nC++: void GetBlockChildrenIds(int blockIdx, int childIds[8])\n\nGet 1-based Flash Ids of the children of a block specified by\n0-based blockIdx. { -1, -1, -1, -1, -1, -1, -1, -1 } is returned\nfor invalid blockIdx or an input leaf.\n"},
  {(char*)"GetBlockNeighborIds", PyvtkFlashReader_GetBlockNeighborIds, 1,
   (char*)"V.GetBlockNeighborIds(int, [int, int, int, int, int, int])\nC++: void GetBlockNeighborIds(int blockIdx, int neighbrs[6])\n\nGet 1-based Flash Ids of the neighbors of a block specified by\n0-based blockIdx. { -32, -32, -32, -32, -32, -32 } is returned\nfor invalid blockIdx or the root block as the inpur.\n"},
  {(char*)"GetBlockProcessorId", PyvtkFlashReader_GetBlockProcessorId, 1,
   (char*)"V.GetBlockProcessorId(int) -> int\nC++: int GetBlockProcessorId(int blockIdx)\n\nGet the 0-based processor Id of a block specified by 0-based\nblockIdx. -1 is returned for invalid blockIdx.\n"},
  {(char*)"GetBlockCenter", PyvtkFlashReader_GetBlockCenter, 1,
   (char*)"V.GetBlockCenter(int, [float, float, float])\nC++: void GetBlockCenter(int blockIdx, double blockMid[3])\n\nGet the center of a block specified by 0-based blockIdx. {\n-VTK_DOUBLE_MAX,\n-VTK_DOUBLE_MAX, -VTK_DOUBLE_MAX } is returned for invalid\n    blockIdx.\n"},
  {(char*)"GetBlockBounds", PyvtkFlashReader_GetBlockBounds, 1,
   (char*)"V.GetBlockBounds(int, [float, float, float, float, float, float])\nC++: void GetBlockBounds(int blockIdx, double dataBBox[6])\n\nGet the bounding box of a block specified by 0-based blockIdx.\nFor invalid blockIdx, { VTK_DOUBLE_MAX, -VTK_DOUBLE_MAX,\nVTK_DOUBLE_MAX, -VTK_DOUBLE_MAX, VTK_DOUBLE_MAX, -VTK_DOUBLE_MAX\n} is returned.\n"},
  {(char*)"GetLeafBlockId", PyvtkFlashReader_GetLeafBlockId, 1,
   (char*)"V.GetLeafBlockId(int) -> int\nC++: int GetLeafBlockId(int leafIndx)\n\nGet the 0-based Id (not the 1-based Flash Id) of the leafIndx-th\n(0-based) leaf block. -1 is returned for invalid leafIndx.\n"},
  {(char*)"GetLeafBlockIdFlash", PyvtkFlashReader_GetLeafBlockIdFlash, 1,
   (char*)"V.GetLeafBlockIdFlash(int) -> int\nC++: int GetLeafBlockIdFlash(int leafIndx)\n\nGet the 1-based Flash Id of the leafIndx-th (0-based) leaf block.\n-1 is returned for invalid leafIndx.\n"},
  {(char*)"IsLeafBlock", PyvtkFlashReader_IsLeafBlock, 1,
   (char*)"V.IsLeafBlock(int) -> int\nC++: int IsLeafBlock(int blockIdx)\n\nCheck whether a block specified by 0-based blockIdx is a leaf (1)\nor not (0).\n"},
  {(char*)"IsIntermediateBlock", PyvtkFlashReader_IsIntermediateBlock, 1,
   (char*)"V.IsIntermediateBlock(int) -> int\nC++: int IsIntermediateBlock(int blockIdx)\n\nCheck whether a block specified by 0-based blockIdx is an\nintermediate (1) or not (0). An intermediate block is one that is\nneither the root nor a leaf block.\n"},
  {(char*)"GetParticleName", PyvtkFlashReader_GetParticleName, 1,
   (char*)"V.GetParticleName() -> string\nC++: const char *GetParticleName()\n\nGet the name of particles.\n"},
  {(char*)"GetNumberOfParticleAttributes", PyvtkFlashReader_GetNumberOfParticleAttributes, 1,
   (char*)"V.GetNumberOfParticleAttributes() -> int\nC++: int GetNumberOfParticleAttributes()\n\nGet the number of data attributes associated with particles.\n"},
  {(char*)"GetParticleAttributeName", PyvtkFlashReader_GetParticleAttributeName, 1,
   (char*)"V.GetParticleAttributeName(int) -> string\nC++: const char *GetParticleAttributeName(int attrIndx)\n\nGet the name of the attrIndx-th (0-based) scalar data attribute\nassociated with particles. NULL is returned for invalid attrIndx.\n"},
  {(char*)"IsParticleAttribute", PyvtkFlashReader_IsParticleAttribute, 1,
   (char*)"V.IsParticleAttribute(string) -> int\nC++: int IsParticleAttribute(const char *attrName)\n\nCheck whether a given name attrName is a data attribute\nassociated with particles (return a non-negative value as the\nattribute index)or not (-1).\n"},
  {(char*)"GetBlock", PyvtkFlashReader_GetBlock, 1,
   (char*)"V.GetBlock(int, vtkImageData) -> int\nC++: int GetBlock(int blockIdx, vtkImageData *imagData)\nV.GetBlock(int, vtkRectilinearGrid) -> int\nC++: int GetBlock(int blockIdx, vtkRectilinearGrid *rectGrid)\n\nThis function fills an allocated vtkImageData with a block\nspecified by 0-based blockIdx and loads the associated cell data\nattributes from the file. The returned value indicates failure\n(0) or success (1).\n"},
  {(char*)"GetParticles", PyvtkFlashReader_GetParticles, 1,
   (char*)"V.GetParticles(vtkPolyData) -> int\nC++: int GetParticles(vtkPolyData *polyData)\n\nThis function loads particles (and the associated data\nattributes) from the file and fills an allocated vtkPolyDara with\nthem. The returned value indicates failure (0) or success (1).\n"},
  {(char*)"GetMortonCurve", PyvtkFlashReader_GetMortonCurve, 1,
   (char*)"V.GetMortonCurve(vtkPolyData) -> int\nC++: int GetMortonCurve(vtkPolyData *polyData)\n\nThis function creates a morton (or usually called z-order) curve\nconnecting all the leaf rectilinear blocks by their centers. This\nmorton curve is then stored in an allocated vtkPolyData. The\nreturned value indicates failure (0) or success (1).\n"},
  {(char*)"GetNumberOfBlockAttributes", PyvtkFlashReader_GetNumberOfBlockAttributes, 1,
   (char*)"V.GetNumberOfBlockAttributes() -> int\nC++: int GetNumberOfBlockAttributes()\n\nGet the number of (cell) data attributes associated with each\nrectilinear block.\n"},
  {(char*)"IsBlockAttribute", PyvtkFlashReader_IsBlockAttribute, 1,
   (char*)"V.IsBlockAttribute(string) -> int\nC++: int IsBlockAttribute(const char *attrName)\n\nCheck whether a given name attrName is a (cell) data attribute\nassociated with each block (return a non-negative value as the\nattribute index)or not (-1).\n"},
  {(char*)"GetBlockAttributeName", PyvtkFlashReader_GetBlockAttributeName, 1,
   (char*)"V.GetBlockAttributeName(int) -> string\nC++: const char *GetBlockAttributeName(int attrIndx)\n\nGet the name of the attrIndx-th (0-based) scalar (cell) data\nattribute associated with each block. NULL is returned for\ninvalid attrIndx.\n"},
  {(char*)"GetCellDataArraySelection", PyvtkFlashReader_GetCellDataArraySelection, 1,
   (char*)"V.GetCellDataArraySelection() -> vtkDataArraySelection\nC++: vtkDataArraySelection *GetCellDataArraySelection()\n\nGet the data array selection tables used to configure which data\narrays are loaded by the reader.\n"},
  {(char*)"GetNumberOfCellArrays", PyvtkFlashReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays()\n\nCell array selection\n"},
  {(char*)"GetCellArrayName", PyvtkFlashReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName(int idx)\n\nCell array selection\n"},
  {(char*)"GetCellArrayStatus", PyvtkFlashReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus(const char *name)\n\nCell array selection\n"},
  {(char*)"SetCellArrayStatus", PyvtkFlashReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus(const char *name, int status)\n\nCell array selection\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkFlashReader_StaticNew()
{
  return vtkFlashReader::New();
}

PyObject *PyVTKClass_vtkFlashReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkFlashReader_StaticNew,
    PyvtkFlashReader_Methods,
    "vtkFlashReader", modulename,
    NULL, NULL,
    PyvtkFlashReader_Doc(),
    PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkFlashReader_Doc()
{
  static const char *docstring[] = {
    "vtkFlashReader - Loads multi-resolution data blocks from a Flash\nfile. \n\n",
    "Superclass: vtkMultiBlockDataSetAlgorithm\n\n",
    "vtkFlashReader reads a Flash dataset and generates a\nvtkMultiBlockDataSet.\n A Flash file may contain a hierarchy of multi-resolution\nvtkImageData\n (2D / 3D) blocks, with the same dimension settings (in terms of the\nnumber\n of grid points along each axis) across the sub-division tree, and/or\na set\n of particles (as a vtkPolyData block in the output), and the\nassociated\n scalar (cell) data attribute",
    "s. vtkFlashReader exploits HDF5\nlibraries as\n the underlying data loading engine.\n\nSee Also:\n\n\n vtkPolyData vtkImageData vtkMultiBlockDataSet\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkFlashReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkFlashReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkFlashReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

