// python wrapper for vtkInteractorStyleTransferFunctionEditor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkInteractorStyleTransferFunctionEditor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkInteractorStyleTransferFunctionEditor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkInteractorStyleTransferFunctionEditor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleTransferFunctionEditorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleTransferFunctionEditorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkInteractorStyleNew
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleNew(const char *); }
#define DECLARED_PyVTKClass_vtkInteractorStyleNew
#endif

static const char **PyvtkInteractorStyleTransferFunctionEditor_Doc();


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkInteractorStyleTransferFunctionEditor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkInteractorStyleTransferFunctionEditor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  vtkInteractorStyleTransferFunctionEditor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkInteractorStyleTransferFunctionEditor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkInteractorStyleTransferFunctionEditor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkInteractorStyleTransferFunctionEditor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnMouseMove(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMouseMove");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnMouseMove();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnMouseMove();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnMiddleButtonDown(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMiddleButtonDown");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnMiddleButtonDown();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnMiddleButtonDown();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnMiddleButtonUp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMiddleButtonUp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnMiddleButtonUp();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnMiddleButtonUp();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnRightButtonDown(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnRightButtonDown");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnRightButtonDown();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnRightButtonDown();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnRightButtonUp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnRightButtonUp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnRightButtonUp();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnRightButtonUp();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnConfigure(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnConfigure");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnConfigure();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnConfigure();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_OnChar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnChar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnChar();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::OnChar();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_SetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  vtkTransferFunctionEditorWidget *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTransferFunctionEditorWidget"))
    {
    if (ap.IsBound())
      {
      op->SetWidget(temp0);
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::SetWidget(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_Pan(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Pan");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Pan();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::Pan();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkInteractorStyleTransferFunctionEditor_Zoom(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Zoom");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyleTransferFunctionEditor *op = static_cast<vtkInteractorStyleTransferFunctionEditor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Zoom();
      }
    else
      {
      op->vtkInteractorStyleTransferFunctionEditor::Zoom();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkInteractorStyleTransferFunctionEditor_Methods[] = {
  {(char*)"GetClassName", PyvtkInteractorStyleTransferFunctionEditor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkInteractorStyleTransferFunctionEditor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkInteractorStyleTransferFunctionEditor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleTransferFunctionEditor\nC++: vtkInteractorStyleTransferFunctionEditor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkInteractorStyleTransferFunctionEditor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkInteractorStyleTransferFunctionEditor\nC++: vtkInteractorStyleTransferFunctionEditor *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"OnMouseMove", PyvtkInteractorStyleTransferFunctionEditor_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnMiddleButtonDown", PyvtkInteractorStyleTransferFunctionEditor_OnMiddleButtonDown, 1,
   (char*)"V.OnMiddleButtonDown()\nC++: virtual void OnMiddleButtonDown()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnMiddleButtonUp", PyvtkInteractorStyleTransferFunctionEditor_OnMiddleButtonUp, 1,
   (char*)"V.OnMiddleButtonUp()\nC++: virtual void OnMiddleButtonUp()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnRightButtonDown", PyvtkInteractorStyleTransferFunctionEditor_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnRightButtonUp", PyvtkInteractorStyleTransferFunctionEditor_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnConfigure", PyvtkInteractorStyleTransferFunctionEditor_OnConfigure, 1,
   (char*)"V.OnConfigure()\nC++: virtual void OnConfigure()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"OnChar", PyvtkInteractorStyleTransferFunctionEditor_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar()\n\nEvent bindings controlling the effects of pressing mouse buttons\nor moving the mouse.\n"},
  {(char*)"SetWidget", PyvtkInteractorStyleTransferFunctionEditor_SetWidget, 1,
   (char*)"V.SetWidget(vtkTransferFunctionEditorWidget)\nC++: void SetWidget(vtkTransferFunctionEditorWidget *widget)\n\nSet the vtkTransferFunctionEditorWidget. The Pan and Zoom methods\ndetermine the scalar range of the widget to be displayed.\n"},
  {(char*)"Pan", PyvtkInteractorStyleTransferFunctionEditor_Pan, 1,
   (char*)"V.Pan()\nC++: virtual void Pan()\n\nOverriding Pan and Zoom methods. These methods affect the scalar\nrange of the vtkTransferFunctionEditorWidget, not the vtkCamera.\n"},
  {(char*)"Zoom", PyvtkInteractorStyleTransferFunctionEditor_Zoom, 1,
   (char*)"V.Zoom()\nC++: virtual void Zoom()\n\nOverriding Pan and Zoom methods. These methods affect the scalar\nrange of the vtkTransferFunctionEditorWidget, not the vtkCamera.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkInteractorStyleTransferFunctionEditor_StaticNew()
{
  return vtkInteractorStyleTransferFunctionEditor::New();
}

PyObject *PyVTKClass_vtkInteractorStyleTransferFunctionEditorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkInteractorStyleTransferFunctionEditor_StaticNew,
    PyvtkInteractorStyleTransferFunctionEditor_Methods,
    "vtkInteractorStyleTransferFunctionEditor", modulename,
    NULL, NULL,
    PyvtkInteractorStyleTransferFunctionEditor_Doc(),
    PyVTKClass_vtkInteractorStyleNew(modulename));
  return cls;
}

const char **PyvtkInteractorStyleTransferFunctionEditor_Doc()
{
  static const char *docstring[] = {
    "vtkInteractorStyleTransferFunctionEditor - an interactor style for\nthe vtkTransferFunctionViewer\n\n",
    "Superclass: vtkInteractorStyle\n\n",
    "vtkInteractorStyleTransferFunctionEditor is a subclass of\nvtkInteractorStyle that is designed for use with the\nvtkTransferFunctionViewer and a vtkTransferFunctionEditorWidget.\nInstead of modifying the camera or the position of actors in the\nscene, this interactor style specifies the scalar range to be\ndisplayed in the transfer function editor.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkInteractorStyleTransferFunctionEditor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkInteractorStyleTransferFunctionEditorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkInteractorStyleTransferFunctionEditor", o) != 0)
    {
    Py_DECREF(o);
    }

}

