// python wrapper for vtkIntersectFragments
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkIntersectFragments.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkIntersectFragments(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkIntersectFragments(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIntersectFragmentsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIntersectFragmentsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
#endif

static const char **PyvtkIntersectFragments_Doc();


static PyObject *
PyvtkIntersectFragments_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkIntersectFragments::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkIntersectFragments::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  vtkIntersectFragments *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkIntersectFragments::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkIntersectFragments *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkIntersectFragments::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_SetCutFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCutFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  vtkImplicitFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImplicitFunction"))
    {
    if (ap.IsBound())
      {
      op->SetCutFunction(temp0);
      }
    else
      {
      op->vtkIntersectFragments::SetCutFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_GetCutFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCutFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  vtkImplicitFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCutFunction();
      }
    else
      {
      tempr = op->vtkIntersectFragments::GetCutFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_SetGeometryInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGeometryInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetGeometryInputConnection(temp0);
      }
    else
      {
      op->vtkIntersectFragments::SetGeometryInputConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_SetStatisticsInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStatisticsInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetStatisticsInputConnection(temp0);
      }
    else
      {
      op->vtkIntersectFragments::SetStatisticsInputConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntersectFragments_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntersectFragments *op = static_cast<vtkIntersectFragments *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMTime();
      }
    else
      {
      tempr = op->vtkIntersectFragments::GetMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkIntersectFragments_Methods[] = {
  {(char*)"GetClassName", PyvtkIntersectFragments_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkIntersectFragments_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkIntersectFragments_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIntersectFragments\nC++: vtkIntersectFragments *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkIntersectFragments_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIntersectFragments\nC++: vtkIntersectFragments *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetCutFunction", PyvtkIntersectFragments_SetCutFunction, 1,
   (char*)"V.SetCutFunction(vtkImplicitFunction)\nC++: virtual void SetCutFunction(vtkImplicitFunction *)\n\n"},
  {(char*)"GetCutFunction", PyvtkIntersectFragments_GetCutFunction, 1,
   (char*)"V.GetCutFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetCutFunction()\n\n"},
  {(char*)"SetGeometryInputConnection", PyvtkIntersectFragments_SetGeometryInputConnection, 1,
   (char*)"V.SetGeometryInputConnection(vtkAlgorithmOutput)\nC++: void SetGeometryInputConnection(\n    vtkAlgorithmOutput *algOutput)\n\nSpecify the geometry Input.\n"},
  {(char*)"SetStatisticsInputConnection", PyvtkIntersectFragments_SetStatisticsInputConnection, 1,
   (char*)"V.SetStatisticsInputConnection(vtkAlgorithmOutput)\nC++: void SetStatisticsInputConnection(\n    vtkAlgorithmOutput *algOutput)\n\nSpecify the geometry Input.\n"},
  {(char*)"GetMTime", PyvtkIntersectFragments_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime()\n\nOverride GetMTime because we refer to vtkImplicitFunction.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkIntersectFragments_StaticNew()
{
  return vtkIntersectFragments::New();
}

PyObject *PyVTKClass_vtkIntersectFragmentsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkIntersectFragments_StaticNew,
    PyvtkIntersectFragments_Methods,
    "vtkIntersectFragments", modulename,
    NULL, NULL,
    PyvtkIntersectFragments_Doc(),
    PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkIntersectFragments_Doc()
{
  static const char *docstring[] = {
    "vtkIntersectFragments - Geometry intersection operations.\n\n",
    "Superclass: vtkMultiBlockDataSetAlgorithm\n\n",
    "TODO\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkIntersectFragments(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkIntersectFragmentsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkIntersectFragments", o) != 0)
    {
    Py_DECREF(o);
    }

}

