// python wrapper for vtkKdTreeGenerator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkKdTreeGenerator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkKdTreeGenerator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkKdTreeGenerator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdTreeGeneratorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdTreeGeneratorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkKdTreeGenerator_Doc();


static PyObject *
PyvtkKdTreeGenerator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  vtkKdTreeGenerator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkKdTreeGenerator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkKdTreeGenerator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_SetKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  vtkPKdTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPKdTree"))
    {
    if (ap.IsBound())
      {
      op->SetKdTree(temp0);
      }
    else
      {
      op->vtkKdTreeGenerator::SetKdTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_GetKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  vtkPKdTree *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetKdTree();
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::GetKdTree();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_BuildTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  vtkDataObject *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      tempr = op->BuildTree(temp0);
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::BuildTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfPieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfPieces(temp0);
      }
    else
      {
      op->vtkKdTreeGenerator::SetNumberOfPieces(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeGenerator_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfPieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeGenerator *op = static_cast<vtkKdTreeGenerator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfPieces();
      }
    else
      {
      tempr = op->vtkKdTreeGenerator::GetNumberOfPieces();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkKdTreeGenerator_Methods[] = {
  {(char*)"GetClassName", PyvtkKdTreeGenerator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkKdTreeGenerator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkKdTreeGenerator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdTreeGenerator\nC++: vtkKdTreeGenerator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkKdTreeGenerator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdTreeGenerator\nC++: vtkKdTreeGenerator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetKdTree", PyvtkKdTreeGenerator_SetKdTree, 1,
   (char*)"V.SetKdTree(vtkPKdTree)\nC++: void SetKdTree(vtkPKdTree *)\n\nGet/Set the kdtree which is updated in BuildTree.\n"},
  {(char*)"GetKdTree", PyvtkKdTreeGenerator_GetKdTree, 1,
   (char*)"V.GetKdTree() -> vtkPKdTree\nC++: vtkPKdTree *GetKdTree()\n\nGet/Set the kdtree which is updated in BuildTree.\n"},
  {(char*)"BuildTree", PyvtkKdTreeGenerator_BuildTree, 1,
   (char*)"V.BuildTree(vtkDataObject) -> int\nC++: int BuildTree(vtkDataObject *data)\n\nBuilds the KdTree using the partitioning of the data.\n"},
  {(char*)"SetNumberOfPieces", PyvtkKdTreeGenerator_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces(int a)\n\nGet/Set the number of pieces.\n"},
  {(char*)"GetNumberOfPieces", PyvtkKdTreeGenerator_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces()\n\nGet/Set the number of pieces.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkKdTreeGenerator_StaticNew()
{
  return vtkKdTreeGenerator::New();
}

PyObject *PyVTKClass_vtkKdTreeGeneratorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkKdTreeGenerator_StaticNew,
    PyvtkKdTreeGenerator_Methods,
    "vtkKdTreeGenerator", modulename,
    NULL, NULL,
    PyvtkKdTreeGenerator_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkKdTreeGenerator_Doc()
{
  static const char *docstring[] = {
    "vtkKdTreeGenerator - given a KdTree paritition, this class\n\n",
    "Superclass: vtkObject\n\n",
    "vtkKdTreeGenerator is used to generate a KdTree using the\nparititioning information available in an input data object. This\nclass uses the extent translator from the producer of the data to\ndetermine the paritioning of the structured data among several\nprocesses. The algorithm used can be summarized as under:\n\\li Inputs: * Extent Translator, * Number of Pieces\n\\li Determine the bounds for every pi",
    "ece/region using the extent\n    translator.\n\\li Given a set of pieces (number of pieces > 1), we iteratively\n    determine\n    the plane along which the the pieces can be split into two\n    non-intersecting non-empty groups.\n\\li If number of pieces in a set of regions = 1, then we create a\n    leaf node\n    representing that region.\n\\li If number of pieces > 1, a new non-leaf node is creates with\n",
    "    children\n    as the subtree generated by repeating the same process on the\n    two non-intersecting, non-empty groups of pieces.\n\n\n vtkKdTreeGenerator also needs to determine the assignment of regions\nto\n the processors. Since vtkPKdTree assigns Ids to the leaf nodes in\ninorder,\n we can determine the assignment by assigning temporary ids to all\n leaf nodes indication the piece number they repr",
    "esent and simply\n traversing the tree in inorder, and recording only the leaf\n IDs.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkKdTreeGenerator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkKdTreeGeneratorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkKdTreeGenerator", o) != 0)
    {
    Py_DECREF(o);
    }

}

