// python wrapper for vtkKdTreeManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkKdTreeManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkKdTreeManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkKdTreeManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdTreeManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdTreeManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkKdTreeManager_Doc();


static PyObject *
PyvtkKdTreeManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkKdTreeManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkKdTreeManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkKdTreeManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkKdTreeManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkKdTreeManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkKdTreeManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_AddProducer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddProducer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->AddProducer(temp0);
      }
    else
      {
      op->vtkKdTreeManager::AddProducer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_RemoveProducer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveProducer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->RemoveProducer(temp0);
      }
    else
      {
      op->vtkKdTreeManager::RemoveProducer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_RemoveAllProducers(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllProducers");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllProducers();
      }
    else
      {
      op->vtkKdTreeManager::RemoveAllProducers();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_SetStructuredProducer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStructuredProducer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->SetStructuredProducer(temp0);
      }
    else
      {
      op->vtkKdTreeManager::SetStructuredProducer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkKdTreeManager::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_SetKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkPKdTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPKdTree"))
    {
    if (ap.IsBound())
      {
      op->SetKdTree(temp0);
      }
    else
      {
      op->vtkKdTreeManager::SetKdTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_GetKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  vtkPKdTree *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetKdTree();
      }
    else
      {
      tempr = op->vtkKdTreeManager::GetKdTree();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfPieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfPieces(temp0);
      }
    else
      {
      op->vtkKdTreeManager::SetNumberOfPieces(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkKdTreeManager_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfPieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkKdTreeManager *op = static_cast<vtkKdTreeManager *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfPieces();
      }
    else
      {
      tempr = op->vtkKdTreeManager::GetNumberOfPieces();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkKdTreeManager_Methods[] = {
  {(char*)"GetClassName", PyvtkKdTreeManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkKdTreeManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkKdTreeManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdTreeManager\nC++: vtkKdTreeManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkKdTreeManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdTreeManager\nC++: vtkKdTreeManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddProducer", PyvtkKdTreeManager_AddProducer, 1,
   (char*)"V.AddProducer(vtkAlgorithm)\nC++: void AddProducer(vtkAlgorithm *)\n\nAdd producers.\n"},
  {(char*)"RemoveProducer", PyvtkKdTreeManager_RemoveProducer, 1,
   (char*)"V.RemoveProducer(vtkAlgorithm)\nC++: void RemoveProducer(vtkAlgorithm *)\n\nAdd producers.\n"},
  {(char*)"RemoveAllProducers", PyvtkKdTreeManager_RemoveAllProducers, 1,
   (char*)"V.RemoveAllProducers()\nC++: void RemoveAllProducers()\n\nAdd producers.\n"},
  {(char*)"SetStructuredProducer", PyvtkKdTreeManager_SetStructuredProducer, 1,
   (char*)"V.SetStructuredProducer(vtkAlgorithm)\nC++: void SetStructuredProducer(vtkAlgorithm *)\n\nSet the optional producer whose partitioning is used to build the\nKdTree.\n"},
  {(char*)"Update", PyvtkKdTreeManager_Update, 1,
   (char*)"V.Update()\nC++: void Update()\n\nUpdates all producers are rebuilds the KdTree if the data from\nany producer changed.\n"},
  {(char*)"SetKdTree", PyvtkKdTreeManager_SetKdTree, 1,
   (char*)"V.SetKdTree(vtkPKdTree)\nC++: void SetKdTree(vtkPKdTree *)\n\nGet/Set the KdTree managed by this manager.\n"},
  {(char*)"GetKdTree", PyvtkKdTreeManager_GetKdTree, 1,
   (char*)"V.GetKdTree() -> vtkPKdTree\nC++: vtkPKdTree *GetKdTree()\n\nGet/Set the KdTree managed by this manager.\n"},
  {(char*)"SetNumberOfPieces", PyvtkKdTreeManager_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces(int a)\n\nGet/Set the number of pieces. Passed to the vtkKdTreeGenerator\nwhen StructuredProducer is non-null.\n"},
  {(char*)"GetNumberOfPieces", PyvtkKdTreeManager_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces()\n\nGet/Set the number of pieces. Passed to the vtkKdTreeGenerator\nwhen StructuredProducer is non-null.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkKdTreeManager_StaticNew()
{
  return vtkKdTreeManager::New();
}

PyObject *PyVTKClass_vtkKdTreeManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkKdTreeManager_StaticNew,
    PyvtkKdTreeManager_Methods,
    "vtkKdTreeManager", modulename,
    NULL, NULL,
    PyvtkKdTreeManager_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkKdTreeManager_Doc()
{
  static const char *docstring[] = {
    "vtkKdTreeManager\n\n",
    "Superclass: vtkObject\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkKdTreeManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkKdTreeManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkKdTreeManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

