// python wrapper for vtkMPICompositeManager
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMPICompositeManager.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMPICompositeManager(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMPICompositeManager(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMPICompositeManagerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMPICompositeManagerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositeRenderManagerNew
extern "C" { PyObject *PyVTKClass_vtkCompositeRenderManagerNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeRenderManagerNew
#endif

static const char **PyvtkMPICompositeManager_Doc();


static PyObject *
PyvtkMPICompositeManager_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMPICompositeManager::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMPICompositeManager::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  vtkMPICompositeManager *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMPICompositeManager::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMPICompositeManager *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMPICompositeManager::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_InitializeRMIs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializeRMIs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitializeRMIs();
      }
    else
      {
      op->vtkMPICompositeManager::InitializeRMIs();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_GetZBufferValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetZBufferValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  int temp0;
  int temp1;
  float tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetZBufferValue(temp0, temp1);
      }
    else
      {
      tempr = op->vtkMPICompositeManager::GetZBufferValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_GatherZBufferValueRMI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherZBufferValueRMI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->GatherZBufferValueRMI(temp0, temp1);
      }
    else
      {
      op->vtkMPICompositeManager::GatherZBufferValueRMI(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_StartRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StartRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StartRender();
      }
    else
      {
      op->vtkMPICompositeManager::StartRender();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMPICompositeManager_ChooseBuffer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ChooseBuffer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMPICompositeManager *op = static_cast<vtkMPICompositeManager *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->ChooseBuffer();
      }
    else
      {
      tempr = op->vtkMPICompositeManager::ChooseBuffer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMPICompositeManager_Methods[] = {
  {(char*)"GetClassName", PyvtkMPICompositeManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMPICompositeManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMPICompositeManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMPICompositeManager\nC++: vtkMPICompositeManager *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMPICompositeManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMPICompositeManager\nC++: vtkMPICompositeManager *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"InitializeRMIs", PyvtkMPICompositeManager_InitializeRMIs, 1,
   (char*)"V.InitializeRMIs()\nC++: virtual void InitializeRMIs()\n\nIf the user wants to handle the event loop, then they must call\nthis method to initialize the RMIs.\n"},
  {(char*)"GetZBufferValue", PyvtkMPICompositeManager_GetZBufferValue, 1,
   (char*)"V.GetZBufferValue(int, int) -> float\nC++: float GetZBufferValue(int x, int y)\n\nGet the z buffer value at a pixel.  GatherZBufferValue is an\ninternal method. Called only on root node.\n"},
  {(char*)"GatherZBufferValueRMI", PyvtkMPICompositeManager_GatherZBufferValueRMI, 1,
   (char*)"V.GatherZBufferValueRMI(int, int)\nC++: void GatherZBufferValueRMI(int x, int y)\n\nInternal method: called only on non-Root nodes.\n"},
  {(char*)"StartRender", PyvtkMPICompositeManager_StartRender, 1,
   (char*)"V.StartRender()\nC++: virtual void StartRender()\n\nOverridden to set the Image Size when ParallelRendering is off.\n"},
  {(char*)"ChooseBuffer", PyvtkMPICompositeManager_ChooseBuffer, 1,
   (char*)"V.ChooseBuffer() -> int\nC++: virtual int ChooseBuffer()\n\nSelect buffer to read from / render into. Overridden to choose\nthe back buffer only when the buffers haven;t been swapped yet.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMPICompositeManager_StaticNew()
{
  return vtkMPICompositeManager::New();
}

PyObject *PyVTKClass_vtkMPICompositeManagerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMPICompositeManager_StaticNew,
    PyvtkMPICompositeManager_Methods,
    "vtkMPICompositeManager", modulename,
    NULL, NULL,
    PyvtkMPICompositeManager_Doc(),
    PyVTKClass_vtkCompositeRenderManagerNew(modulename));
  return cls;
}

const char **PyvtkMPICompositeManager_Doc()
{
  static const char *docstring[] = {
    "vtkMPICompositeManager - Composites when running in MPI mode.\n\n",
    "Superclass: vtkCompositeRenderManager\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMPICompositeManager(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMPICompositeManagerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMPICompositeManager", o) != 0)
    {
    Py_DECREF(o);
    }

}

