// python wrapper for vtkMarkSelectedRows
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMarkSelectedRows.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMarkSelectedRows(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMarkSelectedRows(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMarkSelectedRowsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMarkSelectedRowsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkMarkSelectedRows_Doc();


static PyObject *
PyvtkMarkSelectedRows_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMarkSelectedRows *op = static_cast<vtkMarkSelectedRows *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMarkSelectedRows::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMarkSelectedRows_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMarkSelectedRows *op = static_cast<vtkMarkSelectedRows *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMarkSelectedRows::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMarkSelectedRows_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMarkSelectedRows *op = static_cast<vtkMarkSelectedRows *>(vp);

  vtkMarkSelectedRows *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMarkSelectedRows::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMarkSelectedRows_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMarkSelectedRows *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMarkSelectedRows::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMarkSelectedRows_SetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMarkSelectedRows *op = static_cast<vtkMarkSelectedRows *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldAssociation(temp0);
      }
    else
      {
      op->vtkMarkSelectedRows::SetFieldAssociation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMarkSelectedRows_GetFieldAssociation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldAssociation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMarkSelectedRows *op = static_cast<vtkMarkSelectedRows *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFieldAssociation();
      }
    else
      {
      tempr = op->vtkMarkSelectedRows::GetFieldAssociation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMarkSelectedRows_Methods[] = {
  {(char*)"GetClassName", PyvtkMarkSelectedRows_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMarkSelectedRows_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMarkSelectedRows_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMarkSelectedRows\nC++: vtkMarkSelectedRows *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMarkSelectedRows_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMarkSelectedRows\nC++: vtkMarkSelectedRows *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFieldAssociation", PyvtkMarkSelectedRows_SetFieldAssociation, 1,
   (char*)"V.SetFieldAssociation(int)\nC++: void SetFieldAssociation(int a)\n\nSelect the field to process. Only selection associated with the\nchosen field are considered. Accepted values are\n\\li vtkDataObject::FIELD_ASSOCIATION_POINTS,\n\\li vtkDataObject::FIELD_ASSOCIATION_CELLS,\n\\li vtkDataObject::FIELD_ASSOCIATION_NONE,\n\\li vtkDataObject::FIELD_ASSOCIATION_VERTICES,\n\\li vtkDataObject::FIELD_ASSOCIATION_EDGES,\n\\li vtkDataObject::FIELD_ASSOCIATION_ROWS\nIf value is vtkDataObject::FIELD_ASSOCIATION_NONE, then FieldData\nassociated with the input dataobject is extracted.\n"},
  {(char*)"GetFieldAssociation", PyvtkMarkSelectedRows_GetFieldAssociation, 1,
   (char*)"V.GetFieldAssociation() -> int\nC++: int GetFieldAssociation()\n\nSelect the field to process. Only selection associated with the\nchosen field are considered. Accepted values are\n\\li vtkDataObject::FIELD_ASSOCIATION_POINTS,\n\\li vtkDataObject::FIELD_ASSOCIATION_CELLS,\n\\li vtkDataObject::FIELD_ASSOCIATION_NONE,\n\\li vtkDataObject::FIELD_ASSOCIATION_VERTICES,\n\\li vtkDataObject::FIELD_ASSOCIATION_EDGES,\n\\li vtkDataObject::FIELD_ASSOCIATION_ROWS\nIf value is vtkDataObject::FIELD_ASSOCIATION_NONE, then FieldData\nassociated with the input dataobject is extracted.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMarkSelectedRows_StaticNew()
{
  return vtkMarkSelectedRows::New();
}

PyObject *PyVTKClass_vtkMarkSelectedRowsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMarkSelectedRows_StaticNew,
    PyvtkMarkSelectedRows_Methods,
    "vtkMarkSelectedRows", modulename,
    NULL, NULL,
    PyvtkMarkSelectedRows_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkMarkSelectedRows_Doc()
{
  static const char *docstring[] = {
    "vtkMarkSelectedRows\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "vtkMarkSelectedRows is used by vtkSpreadSheetView to marks rows from\nthe vtkTable generated by vtkSortedTableStreamer or\nvtkBlockDeliveryPreprocessor as selected (done by adding a new\nvtkCharArray named \"__vtkIsSelected__\"). It has two input ports:\n\\li 0 : vtkTable\n\\li 1 : vtkSelection (this is id-based or block-based selection)\n    generated\n        by vtkPVExtractSelection, for example). This in",
    "put is\noptional.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMarkSelectedRows(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMarkSelectedRowsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMarkSelectedRows", o) != 0)
    {
    Py_DECREF(o);
    }

}

