// python wrapper for vtkMergeCompositeDataSet
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMergeCompositeDataSet.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMergeCompositeDataSet(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMergeCompositeDataSet(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeCompositeDataSetNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeCompositeDataSetNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkVertexGlyphFilterNew
extern "C" { PyObject *PyVTKClass_vtkVertexGlyphFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkVertexGlyphFilterNew
#endif

static const char **PyvtkMergeCompositeDataSet_Doc();


static PyObject *
PyvtkMergeCompositeDataSet_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMergeCompositeDataSet *op = static_cast<vtkMergeCompositeDataSet *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMergeCompositeDataSet::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMergeCompositeDataSet_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMergeCompositeDataSet *op = static_cast<vtkMergeCompositeDataSet *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMergeCompositeDataSet::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMergeCompositeDataSet_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMergeCompositeDataSet *op = static_cast<vtkMergeCompositeDataSet *>(vp);

  vtkMergeCompositeDataSet *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMergeCompositeDataSet::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMergeCompositeDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMergeCompositeDataSet *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMergeCompositeDataSet::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMergeCompositeDataSet_Methods[] = {
  {(char*)"GetClassName", PyvtkMergeCompositeDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMergeCompositeDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMergeCompositeDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeCompositeDataSet\nC++: vtkMergeCompositeDataSet *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMergeCompositeDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeCompositeDataSet\nC++: vtkMergeCompositeDataSet *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMergeCompositeDataSet_StaticNew()
{
  return vtkMergeCompositeDataSet::New();
}

PyObject *PyVTKClass_vtkMergeCompositeDataSetNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMergeCompositeDataSet_StaticNew,
    PyvtkMergeCompositeDataSet_Methods,
    "vtkMergeCompositeDataSet", modulename,
    NULL, NULL,
    PyvtkMergeCompositeDataSet_Doc(),
    PyVTKClass_vtkVertexGlyphFilterNew(modulename));
  return cls;
}

const char **PyvtkMergeCompositeDataSet_Doc()
{
  static const char *docstring[] = {
    "vtkMergeCompositeDataSet - Make a vtkPolyData with a vertex on each\n\n",
    "Superclass: vtkVertexGlyphFilter\n\n",
    "This filter throws away all of the cells in the input and replaces\nthem with a vertex on each point. This filter may take a graph, a\npoint set or a CompositeDataSet as input.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMergeCompositeDataSet(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMergeCompositeDataSetNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMergeCompositeDataSet", o) != 0)
    {
    Py_DECREF(o);
    }

}

