// python wrapper for vtkMinMax
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMinMax.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMinMax(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMinMax(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMinMaxNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMinMaxNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
#endif

static const char **PyvtkMinMax_Doc();


static PyObject *
PyvtkMinMax_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMinMax::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMinMax::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  vtkMinMax *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMinMax::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMinMax *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMinMax::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_SetOperation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOperation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOperation(temp0);
      }
    else
      {
      op->vtkMinMax::SetOperation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkMinMax_SetOperation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOperation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOperation(temp0);
      }
    else
      {
      op->vtkMinMax::SetOperation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkMinMax_SetOperation_Methods[] = {
  {NULL, PyvtkMinMax_SetOperation_s1, 1,
   (char*)"@i"},
  {NULL, PyvtkMinMax_SetOperation_s2, 1,
   (char*)"@z"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkMinMax_SetOperation(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkMinMax_SetOperation_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetOperation");
  return NULL;
}



static PyObject *
PyvtkMinMax_GetOperationMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOperationMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOperationMinValue();
      }
    else
      {
      tempr = op->vtkMinMax::GetOperationMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_GetOperationMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOperationMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOperationMaxValue();
      }
    else
      {
      tempr = op->vtkMinMax::GetOperationMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_GetOperation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOperation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOperation();
      }
    else
      {
      tempr = op->vtkMinMax::GetOperation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_GetMismatchOccurred(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMismatchOccurred");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMismatchOccurred();
      }
    else
      {
      tempr = op->vtkMinMax::GetMismatchOccurred();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_GetFirstPasses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFirstPasses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFirstPasses();
      }
    else
      {
      tempr = op->vtkMinMax::GetFirstPasses();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_FlagsForPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FlagsForPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FlagsForPoints();
      }
    else
      {
      op->vtkMinMax::FlagsForPoints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMinMax_FlagsForCells(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FlagsForCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMinMax *op = static_cast<vtkMinMax *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FlagsForCells();
      }
    else
      {
      op->vtkMinMax::FlagsForCells();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkMinMax_Methods[] = {
  {(char*)"GetClassName", PyvtkMinMax_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMinMax_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMinMax_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMinMax\nC++: vtkMinMax *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMinMax_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMinMax\nC++: vtkMinMax *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOperation", PyvtkMinMax_SetOperation, 1,
   (char*)"V.SetOperation(int)\nC++: void SetOperation(int)\nV.SetOperation(string)\nC++: void SetOperation(const char *op)\n\n"},
  {(char*)"GetOperationMinValue", PyvtkMinMax_GetOperationMinValue, 1,
   (char*)"V.GetOperationMinValue() -> int\nC++: int GetOperationMinValue()\n\n"},
  {(char*)"GetOperationMaxValue", PyvtkMinMax_GetOperationMaxValue, 1,
   (char*)"V.GetOperationMaxValue() -> int\nC++: int GetOperationMaxValue()\n\n"},
  {(char*)"GetOperation", PyvtkMinMax_GetOperation, 1,
   (char*)"V.GetOperation() -> int\nC++: int GetOperation()\n\n"},
  {(char*)"GetMismatchOccurred", PyvtkMinMax_GetMismatchOccurred, 1,
   (char*)"V.GetMismatchOccurred() -> int\nC++: int GetMismatchOccurred()\n\n"},
  {(char*)"GetFirstPasses", PyvtkMinMax_GetFirstPasses, 1,
   (char*)"V.GetFirstPasses() -> string\nC++: char *GetFirstPasses()\n\n"},
  {(char*)"FlagsForPoints", PyvtkMinMax_FlagsForPoints, 1,
   (char*)"V.FlagsForPoints()\nC++: void FlagsForPoints()\n\n"},
  {(char*)"FlagsForCells", PyvtkMinMax_FlagsForCells, 1,
   (char*)"V.FlagsForCells()\nC++: void FlagsForCells()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMinMax_StaticNew()
{
  return vtkMinMax::New();
}

PyObject *PyVTKClass_vtkMinMaxNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMinMax_StaticNew,
    PyvtkMinMax_Methods,
    "vtkMinMax", modulename,
    NULL, NULL,
    PyvtkMinMax_Doc(),
    PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkMinMax_Doc()
{
  static const char *docstring[] = {
    "vtkMinMax - Finds the min, max, or sum of all of its input data\n\n",
    "Superclass: vtkPolyDataAlgorithm\n\n",
    "This filter lets the user choose from a set of operations and then\nruns that operation on all of the attribute data of its input(s). For\nexample if MIN is requested, it finds the minimum values in all of\nits input data arrays. If this filter has multiple input data sets\nattached to its first input port, it will run the operation on each\ninput data set in turn, producing a global minimum value over",
    " all the\ninputs. In parallel runs this filter REQUIRES vtkGhostLevel arrays to\nskip redundant information. The output of this filter will always be\na single vtkPolyData that contains exactly one point and one cell (a\nVTK_VERTEX).\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMinMax(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMinMaxNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMinMax", o) != 0)
    {
    Py_DECREF(o);
    }

}

