// python wrapper for vtkMultiProcessControllerHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMultiProcessControllerHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMultiProcessControllerHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMultiProcessControllerHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiProcessControllerHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiProcessControllerHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkMultiProcessControllerHelper_Doc();


static PyObject *
PyvtkMultiProcessControllerHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMultiProcessControllerHelper *op = static_cast<vtkMultiProcessControllerHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkMultiProcessControllerHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMultiProcessControllerHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMultiProcessControllerHelper *op = static_cast<vtkMultiProcessControllerHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkMultiProcessControllerHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMultiProcessControllerHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMultiProcessControllerHelper *op = static_cast<vtkMultiProcessControllerHelper *>(vp);

  vtkMultiProcessControllerHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkMultiProcessControllerHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMultiProcessControllerHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkMultiProcessControllerHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkMultiProcessControllerHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMultiProcessControllerHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkMultiProcessControllerHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMultiProcessControllerHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMultiProcessControllerHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiProcessControllerHelper\nC++: vtkMultiProcessControllerHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMultiProcessControllerHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiProcessControllerHelper\nC++: vtkMultiProcessControllerHelper *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMultiProcessControllerHelper_StaticNew()
{
  return vtkMultiProcessControllerHelper::New();
}

PyObject *PyVTKClass_vtkMultiProcessControllerHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMultiProcessControllerHelper_StaticNew,
    PyvtkMultiProcessControllerHelper_Methods,
    "vtkMultiProcessControllerHelper", modulename,
    NULL, NULL,
    PyvtkMultiProcessControllerHelper_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkMultiProcessControllerHelper_Doc()
{
  static const char *docstring[] = {
    "vtkMultiProcessControllerHelper\n\n",
    "Superclass: vtkObject\n\n",
    "This is a temporary toolbox. As API matures, these methods will move\ninto vtkMultiProcessController.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMultiProcessControllerHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMultiProcessControllerHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMultiProcessControllerHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

