// python wrapper for vtkOrderedCompositeDistributor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkOrderedCompositeDistributor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkOrderedCompositeDistributor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkOrderedCompositeDistributor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrderedCompositeDistributorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrderedCompositeDistributorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPointSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPointSetAlgorithmNew
#endif

static const char **PyvtkOrderedCompositeDistributor_Doc();


static PyObject *
PyvtkOrderedCompositeDistributor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkOrderedCompositeDistributor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkOrderedCompositeDistributor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkOrderedCompositeDistributor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetPKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkPKdTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPKdTree"))
    {
    if (ap.IsBound())
      {
      op->SetPKdTree(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetPKdTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetPKdTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPKdTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkPKdTree *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPKdTree();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetPKdTree();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetPassThrough(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassThrough");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassThrough(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetPassThrough(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetPassThrough(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPassThrough");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPassThrough();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetPassThrough();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_PassThroughOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughOn();
      }
    else
      {
      op->vtkOrderedCompositeDistributor::PassThroughOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_PassThroughOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughOff();
      }
    else
      {
      op->vtkOrderedCompositeDistributor::PassThroughOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputType(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetOutputType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetOutputType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputType();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetOutputType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetD3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetD3");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkDistributedDataFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetD3();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetD3();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetD3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetD3");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkDistributedDataFilter *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDistributedDataFilter"))
    {
    if (ap.IsBound())
      {
      op->SetD3(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetD3(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_GetToPolyData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetToPolyData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkDataSetSurfaceFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetToPolyData();
      }
    else
      {
      tempr = op->vtkOrderedCompositeDistributor::GetToPolyData();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkOrderedCompositeDistributor_SetToPolyData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetToPolyData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkOrderedCompositeDistributor *op = static_cast<vtkOrderedCompositeDistributor *>(vp);

  vtkDataSetSurfaceFilter *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataSetSurfaceFilter"))
    {
    if (ap.IsBound())
      {
      op->SetToPolyData(temp0);
      }
    else
      {
      op->vtkOrderedCompositeDistributor::SetToPolyData(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkOrderedCompositeDistributor_Methods[] = {
  {(char*)"GetClassName", PyvtkOrderedCompositeDistributor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkOrderedCompositeDistributor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkOrderedCompositeDistributor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrderedCompositeDistributor\nC++: vtkOrderedCompositeDistributor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkOrderedCompositeDistributor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrderedCompositeDistributor\nC++: vtkOrderedCompositeDistributor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPKdTree", PyvtkOrderedCompositeDistributor_SetPKdTree, 1,
   (char*)"V.SetPKdTree(vtkPKdTree)\nC++: virtual void SetPKdTree(vtkPKdTree *)\n\nSet the vtkPKdTree to distribute with.\n"},
  {(char*)"GetPKdTree", PyvtkOrderedCompositeDistributor_GetPKdTree, 1,
   (char*)"V.GetPKdTree() -> vtkPKdTree\nC++: vtkPKdTree *GetPKdTree()\n\nSet the vtkPKdTree to distribute with.\n"},
  {(char*)"SetController", PyvtkOrderedCompositeDistributor_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(vtkMultiProcessController *)\n\nSet/get the controller to distribute with.\n"},
  {(char*)"GetController", PyvtkOrderedCompositeDistributor_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nSet/get the controller to distribute with.\n"},
  {(char*)"SetPassThrough", PyvtkOrderedCompositeDistributor_SetPassThrough, 1,
   (char*)"V.SetPassThrough(int)\nC++: void SetPassThrough(int a)\n\nWhen on, data is passed through without compositing.\n"},
  {(char*)"GetPassThrough", PyvtkOrderedCompositeDistributor_GetPassThrough, 1,
   (char*)"V.GetPassThrough() -> int\nC++: int GetPassThrough()\n\nWhen on, data is passed through without compositing.\n"},
  {(char*)"PassThroughOn", PyvtkOrderedCompositeDistributor_PassThroughOn, 1,
   (char*)"V.PassThroughOn()\nC++: void PassThroughOn()\n\nWhen on, data is passed through without compositing.\n"},
  {(char*)"PassThroughOff", PyvtkOrderedCompositeDistributor_PassThroughOff, 1,
   (char*)"V.PassThroughOff()\nC++: void PassThroughOff()\n\nWhen on, data is passed through without compositing.\n"},
  {(char*)"SetOutputType", PyvtkOrderedCompositeDistributor_SetOutputType, 1,
   (char*)"V.SetOutputType(string)\nC++: void SetOutputType(char *)\n\nWhen non-null, the output will be converted to the given type.\n"},
  {(char*)"GetOutputType", PyvtkOrderedCompositeDistributor_GetOutputType, 1,
   (char*)"V.GetOutputType() -> string\nC++: char *GetOutputType()\n\nWhen non-null, the output will be converted to the given type.\n"},
  {(char*)"GetD3", PyvtkOrderedCompositeDistributor_GetD3, 1,
   (char*)"V.GetD3() -> vtkDistributedDataFilter\nC++: vtkDistributedDataFilter *GetD3()\n\nSet/get some internal filters.\n"},
  {(char*)"SetD3", PyvtkOrderedCompositeDistributor_SetD3, 1,
   (char*)"V.SetD3(vtkDistributedDataFilter)\nC++: virtual void SetD3(vtkDistributedDataFilter *)\n\nSet/get some internal filters.\n"},
  {(char*)"GetToPolyData", PyvtkOrderedCompositeDistributor_GetToPolyData, 1,
   (char*)"V.GetToPolyData() -> vtkDataSetSurfaceFilter\nC++: vtkDataSetSurfaceFilter *GetToPolyData()\n\nSet/get some internal filters.\n"},
  {(char*)"SetToPolyData", PyvtkOrderedCompositeDistributor_SetToPolyData, 1,
   (char*)"V.SetToPolyData(vtkDataSetSurfaceFilter)\nC++: virtual void SetToPolyData(vtkDataSetSurfaceFilter *)\n\nSet/get some internal filters.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkOrderedCompositeDistributor_StaticNew()
{
  return vtkOrderedCompositeDistributor::New();
}

PyObject *PyVTKClass_vtkOrderedCompositeDistributorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkOrderedCompositeDistributor_StaticNew,
    PyvtkOrderedCompositeDistributor_Methods,
    "vtkOrderedCompositeDistributor", modulename,
    NULL, NULL,
    PyvtkOrderedCompositeDistributor_Doc(),
    PyVTKClass_vtkPointSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkOrderedCompositeDistributor_Doc()
{
  static const char *docstring[] = {
    "vtkOrderedCompositeDistributor\n\n",
    "Superclass: vtkPointSetAlgorithm\n\n",
    "This class distributes data for use with ordered compositing (i.e.\nwith IceT).  The composite distributor takes the same vtkPKdTree that\nIceT and will use that to distribute the data.\n\nInput poly data will be converted back to poly data on the output.\n\nThis class also has an optional pass through mode to make it easy to\nturn ordered compositing on and off.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkOrderedCompositeDistributor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkOrderedCompositeDistributorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkOrderedCompositeDistributor", o) != 0)
    {
    Py_DECREF(o);
    }

}

