// python wrapper for vtkPExtractHistogram
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPExtractHistogram.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPExtractHistogram(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPExtractHistogram(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPExtractHistogramNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPExtractHistogramNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExtractHistogramNew
extern "C" { PyObject *PyVTKClass_vtkExtractHistogramNew(const char *); }
#define DECLARED_PyVTKClass_vtkExtractHistogramNew
#endif

static const char **PyvtkPExtractHistogram_Doc();


static PyObject *
PyvtkPExtractHistogram_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPExtractHistogram *op = static_cast<vtkPExtractHistogram *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPExtractHistogram::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPExtractHistogram_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPExtractHistogram *op = static_cast<vtkPExtractHistogram *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPExtractHistogram::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPExtractHistogram_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPExtractHistogram *op = static_cast<vtkPExtractHistogram *>(vp);

  vtkPExtractHistogram *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPExtractHistogram::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPExtractHistogram_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPExtractHistogram *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPExtractHistogram::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPExtractHistogram_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPExtractHistogram *op = static_cast<vtkPExtractHistogram *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkPExtractHistogram::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPExtractHistogram_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPExtractHistogram *op = static_cast<vtkPExtractHistogram *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkPExtractHistogram::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPExtractHistogram_Methods[] = {
  {(char*)"GetClassName", PyvtkPExtractHistogram_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPExtractHistogram_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPExtractHistogram_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPExtractHistogram\nC++: vtkPExtractHistogram *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPExtractHistogram_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPExtractHistogram\nC++: vtkPExtractHistogram *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetController", PyvtkPExtractHistogram_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(vtkMultiProcessController *)\n\nGet/Set the multiprocess controller. If no controller is set,\nsingle process is assumed.\n"},
  {(char*)"GetController", PyvtkPExtractHistogram_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nGet/Set the multiprocess controller. If no controller is set,\nsingle process is assumed.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPExtractHistogram_StaticNew()
{
  return vtkPExtractHistogram::New();
}

PyObject *PyVTKClass_vtkPExtractHistogramNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPExtractHistogram_StaticNew,
    PyvtkPExtractHistogram_Methods,
    "vtkPExtractHistogram", modulename,
    NULL, NULL,
    PyvtkPExtractHistogram_Doc(),
    PyVTKClass_vtkExtractHistogramNew(modulename));
  return cls;
}

const char **PyvtkPExtractHistogram_Doc()
{
  static const char *docstring[] = {
    "vtkPExtractHistogram - Extract histogram for parallel dataset.\n\n",
    "Superclass: vtkExtractHistogram\n\n",
    "vtkPExtractHistogram is vtkExtractHistogram subclass for parallel\ndatasets. It gathers the histogram data on the root node.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPExtractHistogram(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPExtractHistogramNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPExtractHistogram", o) != 0)
    {
    Py_DECREF(o);
    }

}

