// python wrapper for vtkPPhastaReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPPhastaReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPPhastaReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPPhastaReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPPhastaReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPPhastaReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
#endif

static const char **PyvtkPPhastaReader_Doc();


static PyObject *
PyvtkPPhastaReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPPhastaReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  vtkPPhastaReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPPhastaReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPPhastaReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPPhastaReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkPPhastaReader::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_SetTimeStepIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTimeStepIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTimeStepIndex(temp0);
      }
    else
      {
      op->vtkPPhastaReader::SetTimeStepIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_GetTimeStepIndexMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeStepIndexMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeStepIndexMinValue();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetTimeStepIndexMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_GetTimeStepIndexMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeStepIndexMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeStepIndexMaxValue();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetTimeStepIndexMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_GetTimeStepIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeStepIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeStepIndex();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetTimeStepIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeStepRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPPhastaReader *op = static_cast<vtkPPhastaReader *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeStepRange();
      }
    else
      {
      tempr = op->vtkPPhastaReader::GetTimeStepRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPPhastaReader_CanReadFile(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CanReadFile");

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkPPhastaReader::CanReadFile(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPPhastaReader_Methods[] = {
  {(char*)"GetClassName", PyvtkPPhastaReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPPhastaReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPPhastaReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPPhastaReader\nC++: vtkPPhastaReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPPhastaReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPPhastaReader\nC++: vtkPPhastaReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFileName", PyvtkPPhastaReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(char *)\n\nSet and get the Phasta meta file name\n"},
  {(char*)"GetFileName", PyvtkPPhastaReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nSet and get the Phasta meta file name\n"},
  {(char*)"SetTimeStepIndex", PyvtkPPhastaReader_SetTimeStepIndex, 1,
   (char*)"V.SetTimeStepIndex(int)\nC++: void SetTimeStepIndex(int)\n\nSet the step number for the geometry.\n"},
  {(char*)"GetTimeStepIndexMinValue", PyvtkPPhastaReader_GetTimeStepIndexMinValue, 1,
   (char*)"V.GetTimeStepIndexMinValue() -> int\nC++: int GetTimeStepIndexMinValue()\n\nSet the step number for the geometry.\n"},
  {(char*)"GetTimeStepIndexMaxValue", PyvtkPPhastaReader_GetTimeStepIndexMaxValue, 1,
   (char*)"V.GetTimeStepIndexMaxValue() -> int\nC++: int GetTimeStepIndexMaxValue()\n\nSet the step number for the geometry.\n"},
  {(char*)"GetTimeStepIndex", PyvtkPPhastaReader_GetTimeStepIndex, 1,
   (char*)"V.GetTimeStepIndex() -> int\nC++: int GetTimeStepIndex()\n\nSet the step number for the geometry.\n"},
  {(char*)"GetTimeStepRange", PyvtkPPhastaReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int *GetTimeStepRange()\n\n"},
  {(char*)"CanReadFile", PyvtkPPhastaReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: static int CanReadFile(const char *filename)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPPhastaReader_StaticNew()
{
  return vtkPPhastaReader::New();
}

PyObject *PyVTKClass_vtkPPhastaReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPPhastaReader_StaticNew,
    PyvtkPPhastaReader_Methods,
    "vtkPPhastaReader", modulename,
    NULL, NULL,
    PyvtkPPhastaReader_Doc(),
    PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPPhastaReader_Doc()
{
  static const char *docstring[] = {
    "vtkPPhastaReader - parallel Phasta meta-file reader\n\n",
    "Superclass: vtkMultiBlockDataSetAlgorithm\n\n",
    "See Also:\n\nvtkPhastaReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPPhastaReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPPhastaReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPPhastaReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

