// python wrapper for vtkPSciVizPCAStats
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPSciVizPCAStats.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPSciVizPCAStats(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPSciVizPCAStats(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPSciVizPCAStatsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPSciVizPCAStatsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSciVizStatisticsNew
extern "C" { PyObject *PyVTKClass_vtkSciVizStatisticsNew(const char *); }
#define DECLARED_PyVTKClass_vtkSciVizStatisticsNew
#endif

static const char **PyvtkPSciVizPCAStats_Doc();


static PyObject *
PyvtkPSciVizPCAStats_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  vtkPSciVizPCAStats *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPSciVizPCAStats *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPSciVizPCAStats::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_SetNormalizationScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNormalizationScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNormalizationScheme(temp0);
      }
    else
      {
      op->vtkPSciVizPCAStats::SetNormalizationScheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetNormalizationScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNormalizationScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNormalizationScheme();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetNormalizationScheme();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_SetBasisScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBasisScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBasisScheme(temp0);
      }
    else
      {
      op->vtkPSciVizPCAStats::SetBasisScheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetBasisScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBasisScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBasisScheme();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetBasisScheme();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_SetFixedBasisSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFixedBasisSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFixedBasisSize(temp0);
      }
    else
      {
      op->vtkPSciVizPCAStats::SetFixedBasisSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetFixedBasisSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFixedBasisSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFixedBasisSize();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetFixedBasisSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_SetFixedBasisEnergy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFixedBasisEnergy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFixedBasisEnergy(temp0);
      }
    else
      {
      op->vtkPSciVizPCAStats::SetFixedBasisEnergy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetFixedBasisEnergyMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFixedBasisEnergyMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFixedBasisEnergyMinValue();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetFixedBasisEnergyMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetFixedBasisEnergyMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFixedBasisEnergyMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFixedBasisEnergyMaxValue();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetFixedBasisEnergyMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPSciVizPCAStats_GetFixedBasisEnergy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFixedBasisEnergy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPSciVizPCAStats *op = static_cast<vtkPSciVizPCAStats *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFixedBasisEnergy();
      }
    else
      {
      tempr = op->vtkPSciVizPCAStats::GetFixedBasisEnergy();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPSciVizPCAStats_Methods[] = {
  {(char*)"GetClassName", PyvtkPSciVizPCAStats_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPSciVizPCAStats_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPSciVizPCAStats_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPSciVizPCAStats\nC++: vtkPSciVizPCAStats *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPSciVizPCAStats_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPSciVizPCAStats\nC++: vtkPSciVizPCAStats *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetNormalizationScheme", PyvtkPSciVizPCAStats_SetNormalizationScheme, 1,
   (char*)"V.SetNormalizationScheme(int)\nC++: void SetNormalizationScheme(int a)\n\n"},
  {(char*)"GetNormalizationScheme", PyvtkPSciVizPCAStats_GetNormalizationScheme, 1,
   (char*)"V.GetNormalizationScheme() -> int\nC++: int GetNormalizationScheme()\n\n"},
  {(char*)"SetBasisScheme", PyvtkPSciVizPCAStats_SetBasisScheme, 1,
   (char*)"V.SetBasisScheme(int)\nC++: void SetBasisScheme(int a)\n\n"},
  {(char*)"GetBasisScheme", PyvtkPSciVizPCAStats_GetBasisScheme, 1,
   (char*)"V.GetBasisScheme() -> int\nC++: int GetBasisScheme()\n\n"},
  {(char*)"SetFixedBasisSize", PyvtkPSciVizPCAStats_SetFixedBasisSize, 1,
   (char*)"V.SetFixedBasisSize(int)\nC++: void SetFixedBasisSize(int a)\n\n"},
  {(char*)"GetFixedBasisSize", PyvtkPSciVizPCAStats_GetFixedBasisSize, 1,
   (char*)"V.GetFixedBasisSize() -> int\nC++: int GetFixedBasisSize()\n\n"},
  {(char*)"SetFixedBasisEnergy", PyvtkPSciVizPCAStats_SetFixedBasisEnergy, 1,
   (char*)"V.SetFixedBasisEnergy(float)\nC++: void SetFixedBasisEnergy(double)\n\n"},
  {(char*)"GetFixedBasisEnergyMinValue", PyvtkPSciVizPCAStats_GetFixedBasisEnergyMinValue, 1,
   (char*)"V.GetFixedBasisEnergyMinValue() -> float\nC++: double GetFixedBasisEnergyMinValue()\n\n"},
  {(char*)"GetFixedBasisEnergyMaxValue", PyvtkPSciVizPCAStats_GetFixedBasisEnergyMaxValue, 1,
   (char*)"V.GetFixedBasisEnergyMaxValue() -> float\nC++: double GetFixedBasisEnergyMaxValue()\n\n"},
  {(char*)"GetFixedBasisEnergy", PyvtkPSciVizPCAStats_GetFixedBasisEnergy, 1,
   (char*)"V.GetFixedBasisEnergy() -> float\nC++: double GetFixedBasisEnergy()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPSciVizPCAStats_StaticNew()
{
  return vtkPSciVizPCAStats::New();
}

PyObject *PyVTKClass_vtkPSciVizPCAStatsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPSciVizPCAStats_StaticNew,
    PyvtkPSciVizPCAStats_Methods,
    "vtkPSciVizPCAStats", modulename,
    NULL, NULL,
    PyvtkPSciVizPCAStats_Doc(),
    PyVTKClass_vtkSciVizStatisticsNew(modulename));
  return cls;
}

const char **PyvtkPSciVizPCAStats_Doc()
{
  static const char *docstring[] = {
    "vtkPSciVizPCAStats - Perform PCA on data and/or project data into a\nsubspace defined by the PCA.\n\n",
    "Superclass: vtkSciVizStatistics\n\n",
    "This filter either computes a statistical model of a dataset or takes\nsuch a model as its second input. Then, the model (however it is\nobtained) may optionally be used to assess the input dataset.\n\nThis filter performs additional analysis above and beyond the\nvtkPSciVizMultiCorrelativeStats filter. It computes the eigenvalues\nand eigenvectors of the covariance matrix from the multicorrelative\nfilt",
    "er. Data is then assessed by projecting the original tuples into\na possibly lower-dimensional space.\n\nSince the PCA filter uses the multicorrelative filter's analysis, it\nshares the same raw covariance table specified in the\nmulticorrelative documentation. The second table in the multiblock\ndataset comprising the model output is an expanded version of the\nmulticorrelative version.\n\nAs with the mul",
    "ticorrlative filter, the second model table contains\nthe mean values, the upper-triangular portion of the symmetric\ncovariance matrix, and the non-zero lower-triangular portion of the\nCholesky decomposition of the covariance matrix. Below these entries\nare the eigenvalues of the covariance matrix (in the column labeled\n\"Mean\") and the eigenvectors (as row vectors) in an additional NxN\nmatrix.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPSciVizPCAStats(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPSciVizPCAStatsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPSciVizPCAStats", o) != 0)
    {
    Py_DECREF(o);
    }

}

