// python wrapper for vtkPVAnimationScene
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVAnimationScene.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVAnimationScene(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVAnimationScene(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVAnimationSceneNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVAnimationSceneNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkAnimationCueNew
extern "C" { PyObject *PyVTKClass_vtkAnimationCueNew(const char *); }
#define DECLARED_PyVTKClass_vtkAnimationCueNew
#endif

static const char **PyvtkPVAnimationScene_Doc();


static PyObject *
PyvtkPVAnimationScene_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVAnimationScene::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVAnimationScene::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  vtkPVAnimationScene *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVAnimationScene::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVAnimationScene *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVAnimationScene::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_AddCue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddCue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  vtkAnimationCue *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAnimationCue"))
    {
    if (ap.IsBound())
      {
      op->AddCue(temp0);
      }
    else
      {
      op->vtkPVAnimationScene::AddCue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_RemoveCue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveCue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  vtkAnimationCue *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAnimationCue"))
    {
    if (ap.IsBound())
      {
      op->RemoveCue(temp0);
      }
    else
      {
      op->vtkPVAnimationScene::RemoveCue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_RemoveAllCues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllCues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllCues();
      }
    else
      {
      op->vtkPVAnimationScene::RemoveAllCues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_GetNumberOfCues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfCues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfCues();
      }
    else
      {
      tempr = op->vtkPVAnimationScene::GetNumberOfCues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_SetSceneTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSceneTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSceneTime(temp0);
      }
    else
      {
      op->vtkPVAnimationScene::SetSceneTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAnimationScene_GetSceneTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSceneTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAnimationScene *op = static_cast<vtkPVAnimationScene *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSceneTime();
      }
    else
      {
      tempr = op->vtkPVAnimationScene::GetSceneTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVAnimationScene_Methods[] = {
  {(char*)"GetClassName", PyvtkPVAnimationScene_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVAnimationScene_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVAnimationScene_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVAnimationScene\nC++: vtkPVAnimationScene *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVAnimationScene_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVAnimationScene\nC++: vtkPVAnimationScene *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddCue", PyvtkPVAnimationScene_AddCue, 1,
   (char*)"V.AddCue(vtkAnimationCue)\nC++: void AddCue(vtkAnimationCue *cue)\n\nAdd/Remove an AnimationCue to/from the Scene. It's an error to\nadd a cue twice to the Scene.\n"},
  {(char*)"RemoveCue", PyvtkPVAnimationScene_RemoveCue, 1,
   (char*)"V.RemoveCue(vtkAnimationCue)\nC++: void RemoveCue(vtkAnimationCue *cue)\n\nAdd/Remove an AnimationCue to/from the Scene. It's an error to\nadd a cue twice to the Scene.\n"},
  {(char*)"RemoveAllCues", PyvtkPVAnimationScene_RemoveAllCues, 1,
   (char*)"V.RemoveAllCues()\nC++: void RemoveAllCues()\n\nAdd/Remove an AnimationCue to/from the Scene. It's an error to\nadd a cue twice to the Scene.\n"},
  {(char*)"GetNumberOfCues", PyvtkPVAnimationScene_GetNumberOfCues, 1,
   (char*)"V.GetNumberOfCues() -> int\nC++: int GetNumberOfCues()\n\nAdd/Remove an AnimationCue to/from the Scene. It's an error to\nadd a cue twice to the Scene.\n"},
  {(char*)"SetSceneTime", PyvtkPVAnimationScene_SetSceneTime, 1,
   (char*)"V.SetSceneTime(float)\nC++: void SetSceneTime(double time)\n\nSets the current animation time.\n"},
  {(char*)"GetSceneTime", PyvtkPVAnimationScene_GetSceneTime, 1,
   (char*)"V.GetSceneTime() -> float\nC++: double GetSceneTime()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVAnimationScene_StaticNew()
{
  return vtkPVAnimationScene::New();
}

PyObject *PyVTKClass_vtkPVAnimationSceneNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVAnimationScene_StaticNew,
    PyvtkPVAnimationScene_Methods,
    "vtkPVAnimationScene", modulename,
    NULL, NULL,
    PyvtkPVAnimationScene_Doc(),
    PyVTKClass_vtkAnimationCueNew(modulename));
  return cls;
}

const char **PyvtkPVAnimationScene_Doc()
{
  static const char *docstring[] = {
    "vtkPVAnimationScene - the animation scene manager.\n\n",
    "Superclass: vtkAnimationCue\n\n",
    "vtkAnimationCue and vtkPVAnimationScene provide the framework to\nsupport animations in VTK. vtkAnimationCue represents an entity that\nchanges/ animates with time, while vtkPVAnimationScene represents\nscene or setup for the animation, which consists of individual cues\nor other scenes.\n\nThe main difference between vtkAnimationScene and vtkPVAnimationScene\nis that vtkPVAnimationScene does not include",
    " any of the scene playing\nlogic. All that has been moved to the vtkAnimationPlayer (and\nsubclasses).\n\nSee Also:\n\nvtkAnimationCue\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVAnimationScene(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVAnimationSceneNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVAnimationScene", o) != 0)
    {
    Py_DECREF(o);
    }

}

