// python wrapper for vtkPVArrayCalculator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVArrayCalculator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVArrayCalculator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVArrayCalculator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVArrayCalculatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVArrayCalculatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayCalculatorNew
extern "C" { PyObject *PyVTKClass_vtkArrayCalculatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayCalculatorNew
#endif

static const char **PyvtkPVArrayCalculator_Doc();


static PyObject *
PyvtkPVArrayCalculator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrayCalculator *op = static_cast<vtkPVArrayCalculator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVArrayCalculator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrayCalculator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrayCalculator *op = static_cast<vtkPVArrayCalculator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVArrayCalculator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrayCalculator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrayCalculator *op = static_cast<vtkPVArrayCalculator *>(vp);

  vtkPVArrayCalculator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVArrayCalculator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrayCalculator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVArrayCalculator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVArrayCalculator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVArrayCalculator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVArrayCalculator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVArrayCalculator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVArrayCalculator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVArrayCalculator\nC++: vtkPVArrayCalculator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVArrayCalculator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVArrayCalculator\nC++: vtkPVArrayCalculator *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVArrayCalculator_StaticNew()
{
  return vtkPVArrayCalculator::New();
}

PyObject *PyVTKClass_vtkPVArrayCalculatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVArrayCalculator_StaticNew,
    PyvtkPVArrayCalculator_Methods,
    "vtkPVArrayCalculator", modulename,
    NULL, NULL,
    PyvtkPVArrayCalculator_Doc(),
    PyVTKClass_vtkArrayCalculatorNew(modulename));
  return cls;
}

const char **PyvtkPVArrayCalculator_Doc()
{
  static const char *docstring[] = {
    "vtkPVArrayCalculator - perform mathematical operations on data \n\n",
    "Superclass: vtkArrayCalculator\n\n",
    "vtkPVArrayCalculator performs operations on vectors or scalars in\nfield\n data arrays.  It uses vtkFunctionParser to do the parsing and to\n evaluate the function for each entry in the input arrays.  The\narrays\n used in a given function must be all in point data or all in cell\ndata.\n The resulting array will be stored as a field data array.  The\nresult\n array can either be stored in a new array or i",
    "t can overwrite an\n existing array.\n\nSee Also:\n\n\n vtkArrayCalculator vtkFunctionParser\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVArrayCalculator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVArrayCalculatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVArrayCalculator", o) != 0)
    {
    Py_DECREF(o);
    }

}

