// python wrapper for vtkPVArrowSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVArrowSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVArrowSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVArrowSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVArrowSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVArrowSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrowSourceNew
extern "C" { PyObject *PyVTKClass_vtkArrowSourceNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrowSourceNew
#endif

static const char **PyvtkPVArrowSource_Doc();


static PyObject *
PyvtkPVArrowSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrowSource *op = static_cast<vtkPVArrowSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVArrowSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrowSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrowSource *op = static_cast<vtkPVArrowSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVArrowSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrowSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVArrowSource *op = static_cast<vtkPVArrowSource *>(vp);

  vtkPVArrowSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVArrowSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVArrowSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVArrowSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVArrowSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVArrowSource_Methods[] = {
  {(char*)"GetClassName", PyvtkPVArrowSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVArrowSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVArrowSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVArrowSource\nC++: vtkPVArrowSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVArrowSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVArrowSource\nC++: vtkPVArrowSource *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVArrowSource_StaticNew()
{
  return vtkPVArrowSource::New();
}

PyObject *PyVTKClass_vtkPVArrowSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVArrowSource_StaticNew,
    PyvtkPVArrowSource_Methods,
    "vtkPVArrowSource", modulename,
    NULL, NULL,
    PyvtkPVArrowSource_Doc(),
    PyVTKClass_vtkArrowSourceNew(modulename));
  return cls;
}

const char **PyvtkPVArrowSource_Doc()
{
  static const char *docstring[] = {
    "vtkPVArrowSource - A quick fix for a bug.\n\n",
    "Superclass: vtkArrowSource\n\n",
    "This class does nothing but tell the pipeline it can generate pieces.\nThis is a quick fix for a bug with glyphs and multidisplay with the\nzero empty option.  Zero does not update arrow when created. Glyph\nupdates zero but not others.  Transmit poly data hangs. The correct\nsolution is to not connect the pipeline on this seudo client.  I can\nget rid of this class then.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVArrowSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVArrowSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVArrowSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

