// python wrapper for vtkPVAxesWidget
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVAxesWidget.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVAxesWidget(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVAxesWidget(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVAxesWidgetNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVAxesWidgetNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkInteractorObserverNew
extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(const char *); }
#define DECLARED_PyVTKClass_vtkInteractorObserverNew
#endif

static const char **PyvtkPVAxesWidget_Doc();


static PyObject *
PyvtkPVAxesWidget_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVAxesWidget::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVAxesWidget::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  vtkPVAxesWidget *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVAxesWidget::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVAxesWidget *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVAxesWidget::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetAxesActor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxesActor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  vtkPVAxesActor *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVAxesActor"))
    {
    if (ap.IsBound())
      {
      op->SetAxesActor(temp0);
      }
    else
      {
      op->vtkPVAxesWidget::SetAxesActor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_GetAxesActor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAxesActor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  vtkPVAxesActor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAxesActor();
      }
    else
      {
      tempr = op->vtkPVAxesWidget::GetAxesActor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnabled(temp0);
      }
    else
      {
      op->vtkPVAxesWidget::SetEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_ExecuteEvent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ExecuteEvent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  vtkObject *temp0 = NULL;
  unsigned long temp1;
  void  *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkObject") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->ExecuteEvent(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVAxesWidget::ExecuteEvent(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetInteractive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInteractive(temp0);
      }
    else
      {
      op->vtkPVAxesWidget::SetInteractive(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_GetInteractive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractive();
      }
    else
      {
      tempr = op->vtkPVAxesWidget::GetInteractive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_InteractiveOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveOn();
      }
    else
      {
      op->vtkPVAxesWidget::InteractiveOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_InteractiveOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveOff();
      }
    else
      {
      op->vtkPVAxesWidget::InteractiveOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetOutlineColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutlineColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetOutlineColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVAxesWidget::SetOutlineColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetAxisLabelColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAxisLabelColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetAxisLabelColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVAxesWidget::SetAxisLabelColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVAxesWidget_SetViewport(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetViewport");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVAxesWidget *op = static_cast<vtkPVAxesWidget *>(vp);

  double temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetViewport(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVAxesWidget::SetViewport(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVAxesWidget_Methods[] = {
  {(char*)"GetClassName", PyvtkPVAxesWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVAxesWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVAxesWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVAxesWidget\nC++: vtkPVAxesWidget *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVAxesWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVAxesWidget\nC++: vtkPVAxesWidget *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetAxesActor", PyvtkPVAxesWidget_SetAxesActor, 1,
   (char*)"V.SetAxesActor(vtkPVAxesActor)\nC++: void SetAxesActor(vtkPVAxesActor *actor)\n\nSet/get the axes actor to be displayed in this 3D widget.\n"},
  {(char*)"GetAxesActor", PyvtkPVAxesWidget_GetAxesActor, 1,
   (char*)"V.GetAxesActor() -> vtkPVAxesActor\nC++: vtkPVAxesActor *GetAxesActor()\n\nSet/get the axes actor to be displayed in this 3D widget.\n"},
  {(char*)"SetEnabled", PyvtkPVAxesWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled(int)\n\nEnable the 3D widget.\n"},
  {(char*)"ExecuteEvent", PyvtkPVAxesWidget_ExecuteEvent, 1,
   (char*)"V.ExecuteEvent(vtkObject, int, )\nC++: void ExecuteEvent(vtkObject *o, unsigned long event,\n    void *calldata)\n\nCallback to keep the camera for the axes actor up to date with\nthe camera in the parent renderer\n"},
  {(char*)"SetInteractive", PyvtkPVAxesWidget_SetInteractive, 1,
   (char*)"V.SetInteractive(int)\nC++: void SetInteractive(int state)\n\nSet/get whether to allow this 3D widget to be interactively\nmoved/scaled.\n"},
  {(char*)"GetInteractive", PyvtkPVAxesWidget_GetInteractive, 1,
   (char*)"V.GetInteractive() -> int\nC++: int GetInteractive()\n\nSet/get whether to allow this 3D widget to be interactively\nmoved/scaled.\n"},
  {(char*)"InteractiveOn", PyvtkPVAxesWidget_InteractiveOn, 1,
   (char*)"V.InteractiveOn()\nC++: void InteractiveOn()\n\nSet/get whether to allow this 3D widget to be interactively\nmoved/scaled.\n"},
  {(char*)"InteractiveOff", PyvtkPVAxesWidget_InteractiveOff, 1,
   (char*)"V.InteractiveOff()\nC++: void InteractiveOff()\n\nSet/get whether to allow this 3D widget to be interactively\nmoved/scaled.\n"},
  {(char*)"SetOutlineColor", PyvtkPVAxesWidget_SetOutlineColor, 1,
   (char*)"V.SetOutlineColor(float, float, float)\nC++: void SetOutlineColor(double r, double g, double b)\n\nSet/get the color of the outline of this widget.  The outline is\nvisible when (in interactive mode) the cursor is over this 3D\nwidget.\n"},
  {(char*)"SetAxisLabelColor", PyvtkPVAxesWidget_SetAxisLabelColor, 1,
   (char*)"V.SetAxisLabelColor(float, float, float)\nC++: void SetAxisLabelColor(double r, double g, double b)\n\nSet/get the color of the axis labels of this widget.\n"},
  {(char*)"SetViewport", PyvtkPVAxesWidget_SetViewport, 1,
   (char*)"V.SetViewport(float, float, float, float)\nC++: void SetViewport(double minX, double minY, double maxX,\n    double maxY)\n\nSet/get the viewport to position/size this 3D widget.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVAxesWidget_StaticNew()
{
  return vtkPVAxesWidget::New();
}

PyObject *PyVTKClass_vtkPVAxesWidgetNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVAxesWidget_StaticNew,
    PyvtkPVAxesWidget_Methods,
    "vtkPVAxesWidget", modulename,
    NULL, NULL,
    PyvtkPVAxesWidget_Doc(),
    PyVTKClass_vtkInteractorObserverNew(modulename));
  return cls;
}

const char **PyvtkPVAxesWidget_Doc()
{
  static const char *docstring[] = {
    "vtkPVAxesWidget - A widget to manipulate an axe\n\n",
    "Superclass: vtkInteractorObserver\n\n",
    "This widget creates and manages its own vtkPVAxesActor.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVAxesWidget(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVAxesWidgetNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVAxesWidget", o) != 0)
    {
    Py_DECREF(o);
    }

}

