// python wrapper for vtkPVBooleanKeyFrame
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVBooleanKeyFrame.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVBooleanKeyFrame(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVBooleanKeyFrame(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVBooleanKeyFrameNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVBooleanKeyFrameNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVKeyFrameNew
extern "C" { PyObject *PyVTKClass_vtkPVKeyFrameNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVKeyFrameNew
#endif

static const char **PyvtkPVBooleanKeyFrame_Doc();


static PyObject *
PyvtkPVBooleanKeyFrame_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBooleanKeyFrame *op = static_cast<vtkPVBooleanKeyFrame *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVBooleanKeyFrame::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVBooleanKeyFrame_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBooleanKeyFrame *op = static_cast<vtkPVBooleanKeyFrame *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVBooleanKeyFrame::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVBooleanKeyFrame_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBooleanKeyFrame *op = static_cast<vtkPVBooleanKeyFrame *>(vp);

  vtkPVBooleanKeyFrame *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVBooleanKeyFrame::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVBooleanKeyFrame_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVBooleanKeyFrame *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVBooleanKeyFrame::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVBooleanKeyFrame_UpdateValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVBooleanKeyFrame *op = static_cast<vtkPVBooleanKeyFrame *>(vp);

  double temp0;
  vtkPVAnimationCue *temp1 = NULL;
  vtkPVKeyFrame *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPVAnimationCue") &&
      ap.GetVTKObject(temp2, "vtkPVKeyFrame"))
    {
    if (ap.IsBound())
      {
      op->UpdateValue(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVBooleanKeyFrame::UpdateValue(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVBooleanKeyFrame_Methods[] = {
  {(char*)"GetClassName", PyvtkPVBooleanKeyFrame_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVBooleanKeyFrame_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVBooleanKeyFrame_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVBooleanKeyFrame\nC++: vtkPVBooleanKeyFrame *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVBooleanKeyFrame_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVBooleanKeyFrame\nC++: vtkPVBooleanKeyFrame *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"UpdateValue", PyvtkPVBooleanKeyFrame_UpdateValue, 1,
   (char*)"V.UpdateValue(float, vtkPVAnimationCue, vtkPVKeyFrame)\nC++: virtual void UpdateValue(double currenttime,\n    vtkPVAnimationCue *cueProxy, vtkPVKeyFrame *next)\n\nThis method will do the actual interpolation. currenttime is\nnormalized to the time range between this key frame and the next\nkey frame.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVBooleanKeyFrame_StaticNew()
{
  return vtkPVBooleanKeyFrame::New();
}

PyObject *PyVTKClass_vtkPVBooleanKeyFrameNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVBooleanKeyFrame_StaticNew,
    PyvtkPVBooleanKeyFrame_Methods,
    "vtkPVBooleanKeyFrame", modulename,
    NULL, NULL,
    PyvtkPVBooleanKeyFrame_Doc(),
    PyVTKClass_vtkPVKeyFrameNew(modulename));
  return cls;
}

const char **PyvtkPVBooleanKeyFrame_Doc()
{
  static const char *docstring[] = {
    "vtkPVBooleanKeyFrame\n\n",
    "Superclass: vtkPVKeyFrame\n\n",
    "Empty key frame. Can be used to toggle boolean properties.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVBooleanKeyFrame(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVBooleanKeyFrameNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVBooleanKeyFrame", o) != 0)
    {
    Py_DECREF(o);
    }

}

