// python wrapper for vtkPVCenterAxesActor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCenterAxesActor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCenterAxesActor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCenterAxesActor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCenterAxesActorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCenterAxesActorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkOpenGLActorNew
extern "C" { PyObject *PyVTKClass_vtkOpenGLActorNew(const char *); }
#define DECLARED_PyVTKClass_vtkOpenGLActorNew
#endif

static const char **PyvtkPVCenterAxesActor_Doc();


static PyObject *
PyvtkPVCenterAxesActor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCenterAxesActor *op = static_cast<vtkPVCenterAxesActor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCenterAxesActor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCenterAxesActor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCenterAxesActor *op = static_cast<vtkPVCenterAxesActor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCenterAxesActor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCenterAxesActor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCenterAxesActor *op = static_cast<vtkPVCenterAxesActor *>(vp);

  vtkPVCenterAxesActor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCenterAxesActor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCenterAxesActor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCenterAxesActor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCenterAxesActor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCenterAxesActor_SetSymmetric(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSymmetric");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCenterAxesActor *op = static_cast<vtkPVCenterAxesActor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSymmetric(temp0);
      }
    else
      {
      op->vtkPVCenterAxesActor::SetSymmetric(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCenterAxesActor_SetComputeNormals(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetComputeNormals");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCenterAxesActor *op = static_cast<vtkPVCenterAxesActor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetComputeNormals(temp0);
      }
    else
      {
      op->vtkPVCenterAxesActor::SetComputeNormals(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCenterAxesActor_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCenterAxesActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCenterAxesActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCenterAxesActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCenterAxesActor\nC++: vtkPVCenterAxesActor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCenterAxesActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCenterAxesActor\nC++: vtkPVCenterAxesActor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetSymmetric", PyvtkPVCenterAxesActor_SetSymmetric, 1,
   (char*)"V.SetSymmetric(int)\nC++: void SetSymmetric(int)\n\nIf Symetric is on, the the axis continue to negative values.\n"},
  {(char*)"SetComputeNormals", PyvtkPVCenterAxesActor_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals(int)\n\nOption for computing normals.  By default they are computed.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCenterAxesActor_StaticNew()
{
  return vtkPVCenterAxesActor::New();
}

PyObject *PyVTKClass_vtkPVCenterAxesActorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCenterAxesActor_StaticNew,
    PyvtkPVCenterAxesActor_Methods,
    "vtkPVCenterAxesActor", modulename,
    NULL, NULL,
    PyvtkPVCenterAxesActor_Doc(),
    PyVTKClass_vtkOpenGLActorNew(modulename));
  return cls;
}

const char **PyvtkPVCenterAxesActor_Doc()
{
  static const char *docstring[] = {
    "vtkPVCenterAxesActor\n\n",
    "Superclass: vtkOpenGLActor\n\n",
    "vtkPVCenterAxesActor is an actor for the center-axes used in\nParaView. It merely uses vtkAxes as the poly data source.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCenterAxesActor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCenterAxesActorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCenterAxesActor", o) != 0)
    {
    Py_DECREF(o);
    }

}

