// python wrapper for vtkPVCompositeDataPipeline
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCompositeDataPipeline.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCompositeDataPipeline(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCompositeDataPipeline(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCompositeDataPipelineNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCompositeDataPipelineNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
#endif

static const char **PyvtkPVCompositeDataPipeline_Doc();


static PyObject *
PyvtkPVCompositeDataPipeline_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataPipeline *op = static_cast<vtkPVCompositeDataPipeline *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCompositeDataPipeline::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataPipeline_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataPipeline *op = static_cast<vtkPVCompositeDataPipeline *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCompositeDataPipeline::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataPipeline_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeDataPipeline *op = static_cast<vtkPVCompositeDataPipeline *>(vp);

  vtkPVCompositeDataPipeline *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCompositeDataPipeline::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeDataPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCompositeDataPipeline *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCompositeDataPipeline::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCompositeDataPipeline_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCompositeDataPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCompositeDataPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCompositeDataPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCompositeDataPipeline\nC++: vtkPVCompositeDataPipeline *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCompositeDataPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCompositeDataPipeline\nC++: vtkPVCompositeDataPipeline *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCompositeDataPipeline_StaticNew()
{
  return vtkPVCompositeDataPipeline::New();
}

PyObject *PyVTKClass_vtkPVCompositeDataPipelineNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCompositeDataPipeline_StaticNew,
    PyvtkPVCompositeDataPipeline_Methods,
    "vtkPVCompositeDataPipeline", modulename,
    NULL, NULL,
    PyvtkPVCompositeDataPipeline_Doc(),
    PyVTKClass_vtkCompositeDataPipelineNew(modulename));
  return cls;
}

const char **PyvtkPVCompositeDataPipeline_Doc()
{
  static const char *docstring[] = {
    "vtkPVCompositeDataPipeline - Executive supporting composite datasets.\n\n",
    "Superclass: vtkCompositeDataPipeline\n\n",
    "vtkPVCompositeDataPipeline is an executive that supports the\nprocessing of composite dataset. It supports algorithms that are\naware of composite dataset as well as those that are not. Type\nchecking is performed at run time. Algorithms that are not composite\ndataset-aware have to support all dataset types contained in the\ncomposite dataset. The pipeline execution can be summarized as\nfollows:\n\n* RE",
    "QUEST_INFORMATION: The producers have to provide information\n  about the contents of the composite dataset in this pass. Sources\n  that can produce more than one piece (note that a piece is\n  different than a block; each piece consistes of 0 or more blocks)\n  should set MAXIMUM_NUMBER_OF_PIECES to -1.\n\n* REQUEST_DATA: This is where the algorithms execute. If the\n  vtkPVCompositeDataPipeline is ass",
    "igned to a simple filter, it will\n  invoke the  vtkStreamingDemandDrivenPipeline passes in a loop,\n  passing a different block each time and will collect the results in\na composite dataset.\n\nSee also:\n\n\n vtkCompositeDataSet\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCompositeDataPipeline(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCompositeDataPipelineNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCompositeDataPipeline", o) != 0)
    {
    Py_DECREF(o);
    }

}

