// python wrapper for vtkPVCompositeKeyFrame
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCompositeKeyFrame.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCompositeKeyFrame(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCompositeKeyFrame(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCompositeKeyFrameNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCompositeKeyFrameNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVKeyFrameNew
extern "C" { PyObject *PyVTKClass_vtkPVKeyFrameNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVKeyFrameNew
#endif

static const char **PyvtkPVCompositeKeyFrame_Doc();


static PyObject *
PyvtkPVCompositeKeyFrame_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  vtkPVCompositeKeyFrame *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVCompositeKeyFrame *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVCompositeKeyFrame::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_RemoveAllKeyValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllKeyValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllKeyValues();
      }
    else
      {
      op->vtkPVCompositeKeyFrame::RemoveAllKeyValues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetKeyTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyTime(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetKeyTime(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetKeyValue_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyValue(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetKeyValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVCompositeKeyFrame_SetKeyValue_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  unsigned int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetKeyValue(temp0, temp1);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetKeyValue(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVCompositeKeyFrame_SetKeyValue(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkPVCompositeKeyFrame_SetKeyValue_s1(self, args);
    case 2:
      return PyvtkPVCompositeKeyFrame_SetKeyValue_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetKeyValue");
  return NULL;
}



static PyObject *
PyvtkPVCompositeKeyFrame_SetNumberOfKeyValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfKeyValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfKeyValues(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetNumberOfKeyValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBase(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetBase(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetStartPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStartPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStartPower(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetStartPower(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetEndPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEndPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEndPower(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetEndPower(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetPhase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPhase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPhase(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetPhase(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetFrequency(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFrequency");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFrequency(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetFrequency(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetOffset(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOffset");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOffset(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetOffset(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_SetType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetType(temp0);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::SetType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTypeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTypeMinValue();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::GetTypeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTypeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTypeMaxValue();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::GetTypeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_GetType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetType();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::GetType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeAsString_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTypeAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTypeAsString();
      }
    else
      {
      tempr = op->vtkPVCompositeKeyFrame::GetTypeAsString();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeAsString_s2(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetTypeAsString");

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkPVCompositeKeyFrame::GetTypeAsString(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeAsString(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
    {
    case 0:
      return PyvtkPVCompositeKeyFrame_GetTypeAsString_s1(self, args);
    case 1:
      return PyvtkPVCompositeKeyFrame_GetTypeAsString_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetTypeAsString");
  return NULL;
}



static PyObject *
PyvtkPVCompositeKeyFrame_GetTypeFromString(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetTypeFromString");

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkPVCompositeKeyFrame::GetTypeFromString(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCompositeKeyFrame_UpdateValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCompositeKeyFrame *op = static_cast<vtkPVCompositeKeyFrame *>(vp);

  double temp0;
  vtkPVAnimationCue *temp1 = NULL;
  vtkPVKeyFrame *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkPVAnimationCue") &&
      ap.GetVTKObject(temp2, "vtkPVKeyFrame"))
    {
    if (ap.IsBound())
      {
      op->UpdateValue(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVCompositeKeyFrame::UpdateValue(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCompositeKeyFrame_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCompositeKeyFrame_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCompositeKeyFrame_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCompositeKeyFrame_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCompositeKeyFrame\nC++: vtkPVCompositeKeyFrame *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVCompositeKeyFrame_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVCompositeKeyFrame\nC++: vtkPVCompositeKeyFrame *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"RemoveAllKeyValues", PyvtkPVCompositeKeyFrame_RemoveAllKeyValues, 1,
   (char*)"V.RemoveAllKeyValues()\nC++: virtual void RemoveAllKeyValues()\n\nOverridden to pass on to the internal keyframe proxies.\n"},
  {(char*)"SetKeyTime", PyvtkPVCompositeKeyFrame_SetKeyTime, 1,
   (char*)"V.SetKeyTime(float)\nC++: virtual void SetKeyTime(double time)\n\nOverridden to pass on to the internal keyframe proxies.\n"},
  {(char*)"SetKeyValue", PyvtkPVCompositeKeyFrame_SetKeyValue, 1,
   (char*)"V.SetKeyValue(float)\nC++: virtual void SetKeyValue(double val)\nV.SetKeyValue(int, float)\nC++: virtual void SetKeyValue(unsigned int index, double val)\n\nOverridden to pass on to the internal keyframe proxies.\n"},
  {(char*)"SetNumberOfKeyValues", PyvtkPVCompositeKeyFrame_SetNumberOfKeyValues, 1,
   (char*)"V.SetNumberOfKeyValues(int)\nC++: virtual void SetNumberOfKeyValues(unsigned int num)\n\nOverridden to pass on to the internal keyframe proxies.\n"},
  {(char*)"SetBase", PyvtkPVCompositeKeyFrame_SetBase, 1,
   (char*)"V.SetBase(float)\nC++: void SetBase(double val)\n\nPassed on to the ExponentialKeyFrame.\n"},
  {(char*)"SetStartPower", PyvtkPVCompositeKeyFrame_SetStartPower, 1,
   (char*)"V.SetStartPower(float)\nC++: void SetStartPower(double val)\n\nPassed on to the ExponentialKeyFrame.\n"},
  {(char*)"SetEndPower", PyvtkPVCompositeKeyFrame_SetEndPower, 1,
   (char*)"V.SetEndPower(float)\nC++: void SetEndPower(double val)\n\nPassed on to the ExponentialKeyFrame.\n"},
  {(char*)"SetPhase", PyvtkPVCompositeKeyFrame_SetPhase, 1,
   (char*)"V.SetPhase(float)\nC++: void SetPhase(double val)\n\nPassed on to the SinusoidKeyFrame.\n"},
  {(char*)"SetFrequency", PyvtkPVCompositeKeyFrame_SetFrequency, 1,
   (char*)"V.SetFrequency(float)\nC++: void SetFrequency(double val)\n\nPassed on to the SinusoidKeyFrame.\n"},
  {(char*)"SetOffset", PyvtkPVCompositeKeyFrame_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset(double val)\n\nPassed on to the SinusoidKeyFrame.\n"},
  {(char*)"SetType", PyvtkPVCompositeKeyFrame_SetType, 1,
   (char*)"V.SetType(int)\nC++: void SetType(int)\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"GetTypeMinValue", PyvtkPVCompositeKeyFrame_GetTypeMinValue, 1,
   (char*)"V.GetTypeMinValue() -> int\nC++: int GetTypeMinValue()\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"GetTypeMaxValue", PyvtkPVCompositeKeyFrame_GetTypeMaxValue, 1,
   (char*)"V.GetTypeMaxValue() -> int\nC++: int GetTypeMaxValue()\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"GetType", PyvtkPVCompositeKeyFrame_GetType, 1,
   (char*)"V.GetType() -> int\nC++: int GetType()\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"GetTypeAsString", PyvtkPVCompositeKeyFrame_GetTypeAsString, 1,
   (char*)"V.GetTypeAsString() -> string\nC++: const char *GetTypeAsString()\nV.GetTypeAsString(int) -> string\nC++: static const char *GetTypeAsString(int)\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"GetTypeFromString", PyvtkPVCompositeKeyFrame_GetTypeFromString, 1,
   (char*)"V.GetTypeFromString(string) -> int\nC++: static int GetTypeFromString(const char *string)\n\nGet/Set the type of keyframe to be used as the active type.\nDefault is RAMP.\n"},
  {(char*)"UpdateValue", PyvtkPVCompositeKeyFrame_UpdateValue, 1,
   (char*)"V.UpdateValue(float, vtkPVAnimationCue, vtkPVKeyFrame)\nC++: virtual void UpdateValue(double currenttime,\n    vtkPVAnimationCue *cue, vtkPVKeyFrame *next)\n\nThis method will do the actual interpolation. currenttime is\nnormalized to the time range between this key frame and the next\nkey frame.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVCompositeKeyFrame_StaticNew()
{
  return vtkPVCompositeKeyFrame::New();
}

PyObject *PyVTKClass_vtkPVCompositeKeyFrameNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVCompositeKeyFrame_StaticNew,
    PyvtkPVCompositeKeyFrame_Methods,
    "vtkPVCompositeKeyFrame", modulename,
    NULL, NULL,
    PyvtkPVCompositeKeyFrame_Doc(),
    PyVTKClass_vtkPVKeyFrameNew(modulename));
  return cls;
}

const char **PyvtkPVCompositeKeyFrame_Doc()
{
  static const char *docstring[] = {
    "vtkPVCompositeKeyFrame - composite keyframe.\n\n",
    "Superclass: vtkPVKeyFrame\n\n",
    "There are many different types of keyframes such as\nvtkPVSinusoidKeyFrame, vtkPVRampKeyFrame etc. This is keyframe that\nhas all different types of keyframes as internal objects and provides\nAPI to choose one of them as the active type. This is helpful in GUIs\nthat allow for switching the type of keyframe on the fly without much\neffort from the GUI.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCompositeKeyFrame(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCompositeKeyFrameNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCompositeKeyFrame", o) != 0)
    {
    Py_DECREF(o);
    }

}

