// python wrapper for vtkPVCueManipulator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVCueManipulator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVCueManipulator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVCueManipulator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVCueManipulatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVCueManipulatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVCueManipulator_Doc();


static PyObject *
PyvtkPVCueManipulator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCueManipulator *op = static_cast<vtkPVCueManipulator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVCueManipulator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCueManipulator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCueManipulator *op = static_cast<vtkPVCueManipulator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVCueManipulator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVCueManipulator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVCueManipulator *op = static_cast<vtkPVCueManipulator *>(vp);

  vtkPVCueManipulator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVCueManipulator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}

static PyMethodDef PyvtkPVCueManipulator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVCueManipulator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVCueManipulator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVCueManipulator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVCueManipulator\nC++: vtkPVCueManipulator *NewInstance()\n\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkPVCueManipulatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkPVCueManipulator_Methods,
    "vtkPVCueManipulator", modulename,
    NULL, NULL,
    PyvtkPVCueManipulator_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVCueManipulator_Doc()
{
  static const char *docstring[] = {
    "vtkPVCueManipulator - abstract proxy for manipulators\n\n",
    "Superclass: vtkObject\n\n",
    "An animation cue proxy delegates the operation of modifying the\nproperty on the proxy being animated to a Manipulator. An example of\na manipulator is a vtkPVKeyFrameCueManipulator. Subclasses must\noverrideUpdateValue to perform the actual property manipulation. Just\nlike all proxies involved in Animation, this is a client side proxy,\nwith no VTK objects created on the server. A manipulator fires t",
    "wo\nkinds of events:\n\\li vtkPVCueManipulator::StateModifiedEvent is fired when\nthe manipulator modifies the animated proxy.\n\\li vtkCommand::Modified is fired when properties of the manipulator\nare changed which affects the way the animation is generated e.g in\ncase of vtkPVKeyFrameCueManipulator, this event is fired when the key\nframes are changed i.e. added/removed/modified.\n\nSee Also:\n\nvtkPVAnima",
    "tionCue vtkAnimationCue\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVCueManipulator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVCueManipulatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVCueManipulator", o) != 0)
    {
    Py_DECREF(o);
    }

}

