// python wrapper for vtkPVDefaultPass
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVDefaultPass.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVDefaultPass(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVDefaultPass(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVDefaultPassNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVDefaultPassNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRenderPassNew
extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(const char *); }
#define DECLARED_PyVTKClass_vtkRenderPassNew
#endif

static const char **PyvtkPVDefaultPass_Doc();


static PyObject *
PyvtkPVDefaultPass_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDefaultPass *op = static_cast<vtkPVDefaultPass *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVDefaultPass::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDefaultPass_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDefaultPass *op = static_cast<vtkPVDefaultPass *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVDefaultPass::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVDefaultPass_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVDefaultPass *op = static_cast<vtkPVDefaultPass *>(vp);

  vtkPVDefaultPass *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVDefaultPass::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVDefaultPass_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVDefaultPass *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVDefaultPass::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVDefaultPass_Methods[] = {
  {(char*)"GetClassName", PyvtkPVDefaultPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVDefaultPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVDefaultPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVDefaultPass\nC++: vtkPVDefaultPass *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVDefaultPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVDefaultPass\nC++: vtkPVDefaultPass *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVDefaultPass_StaticNew()
{
  return vtkPVDefaultPass::New();
}

PyObject *PyVTKClass_vtkPVDefaultPassNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVDefaultPass_StaticNew,
    PyvtkPVDefaultPass_Methods,
    "vtkPVDefaultPass", modulename,
    NULL, NULL,
    PyvtkPVDefaultPass_Doc(),
    PyVTKClass_vtkRenderPassNew(modulename));
  return cls;
}

const char **PyvtkPVDefaultPass_Doc()
{
  static const char *docstring[] = {
    "vtkPVDefaultPass - encapsulates the traditional OpenGL pipeline\n\n",
    "Superclass: vtkRenderPass\n\n",
    "vtkPVDefaultPass is a simple render pass that encapsulates the\ntraditional OpenGL pipeline (minus the camera).\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVDefaultPass(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVDefaultPassNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVDefaultPass", o) != 0)
    {
    Py_DECREF(o);
    }

}

