// python wrapper for vtkPVEnSightMasterServerReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVEnSightMasterServerReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVEnSightMasterServerReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVEnSightMasterServerReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVEnSightMasterServerReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVEnSightMasterServerReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGenericEnSightReaderNew
extern "C" { PyObject *PyVTKClass_vtkGenericEnSightReaderNew(const char *); }
#define DECLARED_PyVTKClass_vtkGenericEnSightReaderNew
#endif

static const char **PyvtkPVEnSightMasterServerReader_Doc();


static PyObject *
PyvtkPVEnSightMasterServerReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  vtkPVEnSightMasterServerReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVEnSightMasterServerReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVEnSightMasterServerReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkPVEnSightMasterServerReader::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_CanReadFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanReadFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->CanReadFile(temp0);
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::CanReadFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerReader_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfPieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerReader *op = static_cast<vtkPVEnSightMasterServerReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfPieces();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerReader::GetNumberOfPieces();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVEnSightMasterServerReader_Methods[] = {
  {(char*)"GetClassName", PyvtkPVEnSightMasterServerReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVEnSightMasterServerReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVEnSightMasterServerReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVEnSightMasterServerReader\nC++: vtkPVEnSightMasterServerReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVEnSightMasterServerReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVEnSightMasterServerReader\nC++: vtkPVEnSightMasterServerReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetController", PyvtkPVEnSightMasterServerReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *GetController()\n\nThis class uses MPI communication mechanisms to verify the\nintegrity of all case files in the master file.  The get method\ninterface must use vtkMultiProcessController instead of\nvtkMPIController because Tcl wrapping requires the class's\nwrapper to be defined, but it is not defined if MPI is not on. In\nclient-server mode, we may still need to create an instance of\nthis class on the client process even if MPI is not compiled in.\n"},
  {(char*)"SetController", PyvtkPVEnSightMasterServerReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(\n    vtkMultiProcessController *controller)\n\nThis class uses MPI communication mechanisms to verify the\nintegrity of all case files in the master file.  The get method\ninterface must use vtkMultiProcessController instead of\nvtkMPIController because Tcl wrapping requires the class's\nwrapper to be defined, but it is not defined if MPI is not on. In\nclient-server mode, we may still need to create an instance of\nthis class on the client process even if MPI is not compiled in.\n"},
  {(char*)"CanReadFile", PyvtkPVEnSightMasterServerReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile(const char *)\n\nReturn whether we can read the file given.\n"},
  {(char*)"GetNumberOfPieces", PyvtkPVEnSightMasterServerReader_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces()\n\nGet the number of pieces in the file.  Valid after\nUpdateInformation.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVEnSightMasterServerReader_StaticNew()
{
  return vtkPVEnSightMasterServerReader::New();
}

PyObject *PyVTKClass_vtkPVEnSightMasterServerReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVEnSightMasterServerReader_StaticNew,
    PyvtkPVEnSightMasterServerReader_Methods,
    "vtkPVEnSightMasterServerReader", modulename,
    NULL, NULL,
    PyvtkPVEnSightMasterServerReader_Doc(),
    PyVTKClass_vtkGenericEnSightReaderNew(modulename));
  return cls;
}

const char **PyvtkPVEnSightMasterServerReader_Doc()
{
  static const char *docstring[] = {
    "vtkPVEnSightMasterServerReader - \n\n",
    "Superclass: vtkGenericEnSightReader\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVEnSightMasterServerReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVEnSightMasterServerReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVEnSightMasterServerReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

