// python wrapper for vtkPVEnSightMasterServerTranslator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVEnSightMasterServerTranslator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVEnSightMasterServerTranslator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVEnSightMasterServerTranslator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVEnSightMasterServerTranslatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVEnSightMasterServerTranslatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExtentTranslatorNew
extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkExtentTranslatorNew
#endif

static const char **PyvtkPVEnSightMasterServerTranslator_Doc();


static PyObject *
PyvtkPVEnSightMasterServerTranslator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerTranslator *op = static_cast<vtkPVEnSightMasterServerTranslator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerTranslator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerTranslator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerTranslator *op = static_cast<vtkPVEnSightMasterServerTranslator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerTranslator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerTranslator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerTranslator *op = static_cast<vtkPVEnSightMasterServerTranslator *>(vp);

  vtkPVEnSightMasterServerTranslator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerTranslator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVEnSightMasterServerTranslator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVEnSightMasterServerTranslator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerTranslator_GetProcessId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProcessId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerTranslator *op = static_cast<vtkPVEnSightMasterServerTranslator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProcessId();
      }
    else
      {
      tempr = op->vtkPVEnSightMasterServerTranslator::GetProcessId();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVEnSightMasterServerTranslator_SetProcessId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProcessId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVEnSightMasterServerTranslator *op = static_cast<vtkPVEnSightMasterServerTranslator *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProcessId(temp0);
      }
    else
      {
      op->vtkPVEnSightMasterServerTranslator::SetProcessId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVEnSightMasterServerTranslator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVEnSightMasterServerTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVEnSightMasterServerTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVEnSightMasterServerTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVEnSightMasterServerTranslator\nC++: vtkPVEnSightMasterServerTranslator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVEnSightMasterServerTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVEnSightMasterServerTranslator\nC++: vtkPVEnSightMasterServerTranslator *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"GetProcessId", PyvtkPVEnSightMasterServerTranslator_GetProcessId, 1,
   (char*)"V.GetProcessId() -> int\nC++: int GetProcessId()\n\nGet/Set the piece that should provide the data.  All other pieces\nshould provide empty data.\n"},
  {(char*)"SetProcessId", PyvtkPVEnSightMasterServerTranslator_SetProcessId, 1,
   (char*)"V.SetProcessId(int)\nC++: void SetProcessId(int a)\n\nGet/Set the piece that should provide the data.  All other pieces\nshould provide empty data.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVEnSightMasterServerTranslator_StaticNew()
{
  return vtkPVEnSightMasterServerTranslator::New();
}

PyObject *PyVTKClass_vtkPVEnSightMasterServerTranslatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVEnSightMasterServerTranslator_StaticNew,
    PyvtkPVEnSightMasterServerTranslator_Methods,
    "vtkPVEnSightMasterServerTranslator", modulename,
    NULL, NULL,
    PyvtkPVEnSightMasterServerTranslator_Doc(),
    PyVTKClass_vtkExtentTranslatorNew(modulename));
  return cls;
}

const char **PyvtkPVEnSightMasterServerTranslator_Doc()
{
  static const char *docstring[] = {
    "vtkPVEnSightMasterServerTranslator - \n\n",
    "Superclass: vtkExtentTranslator\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVEnSightMasterServerTranslator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVEnSightMasterServerTranslatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVEnSightMasterServerTranslator", o) != 0)
    {
    Py_DECREF(o);
    }

}

