// python wrapper for vtkPVExtentTranslator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVExtentTranslator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVExtentTranslator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVExtentTranslator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVExtentTranslatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVExtentTranslatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExtentTranslatorNew
extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkExtentTranslatorNew
#endif

static const char **PyvtkPVExtentTranslator_Doc();


static PyObject *
PyvtkPVExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVExtentTranslator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVExtentTranslator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  vtkPVExtentTranslator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVExtentTranslator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVExtentTranslator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVExtentTranslator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_SetOriginalSource(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOriginalSource");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->SetOriginalSource(temp0);
      }
    else
      {
      op->vtkPVExtentTranslator::SetOriginalSource(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_GetOriginalSource(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOriginalSource");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  vtkAlgorithm *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOriginalSource();
      }
    else
      {
      tempr = op->vtkPVExtentTranslator::GetOriginalSource();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_SetPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPortIndex(temp0);
      }
    else
      {
      op->vtkPVExtentTranslator::SetPortIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtentTranslator_GetPortIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPortIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtentTranslator *op = static_cast<vtkPVExtentTranslator *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPortIndex();
      }
    else
      {
      tempr = op->vtkPVExtentTranslator::GetPortIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVExtentTranslator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVExtentTranslator\nC++: vtkPVExtentTranslator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVExtentTranslator\nC++: vtkPVExtentTranslator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOriginalSource", PyvtkPVExtentTranslator_SetOriginalSource, 1,
   (char*)"V.SetOriginalSource(vtkAlgorithm)\nC++: virtual void SetOriginalSource(vtkAlgorithm *)\n\nThis is the original upstream data set\n"},
  {(char*)"GetOriginalSource", PyvtkPVExtentTranslator_GetOriginalSource, 1,
   (char*)"V.GetOriginalSource() -> vtkAlgorithm\nC++: vtkAlgorithm *GetOriginalSource()\n\nThis is the original upstream data set\n"},
  {(char*)"SetPortIndex", PyvtkPVExtentTranslator_SetPortIndex, 1,
   (char*)"V.SetPortIndex(int)\nC++: void SetPortIndex(int a)\n\nGet/Set the port index for the OriginalSource from which to\nobtain the extents.\n"},
  {(char*)"GetPortIndex", PyvtkPVExtentTranslator_GetPortIndex, 1,
   (char*)"V.GetPortIndex() -> int\nC++: int GetPortIndex()\n\nGet/Set the port index for the OriginalSource from which to\nobtain the extents.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVExtentTranslator_StaticNew()
{
  return vtkPVExtentTranslator::New();
}

PyObject *PyVTKClass_vtkPVExtentTranslatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVExtentTranslator_StaticNew,
    PyvtkPVExtentTranslator_Methods,
    "vtkPVExtentTranslator", modulename,
    NULL, NULL,
    PyvtkPVExtentTranslator_Doc(),
    PyVTKClass_vtkExtentTranslatorNew(modulename));
  return cls;
}

const char **PyvtkPVExtentTranslator_Doc()
{
  static const char *docstring[] = {
    "vtkPVExtentTranslator - Uses alternative source for whole extent.\n\n",
    "Superclass: vtkExtentTranslator\n\n",
    "vtkPVExtentTranslator is like extent translator, but it uses an\nalternative source as a whole extent. The whole extent passed is\nassumed to be a subextent of the original source.  we simple take the\nintersection of the split extent and the whole extdent passed in.  We\nare attempting to make branning piplines request consistent extents\nwith the same piece requests.\n\nCaveats:\n\nThis object is still u",
    "nder development.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVExtentTranslator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVExtentTranslatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVExtentTranslator", o) != 0)
    {
    Py_DECREF(o);
    }

}

