// python wrapper for vtkPVExtractSelection
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVExtractSelection.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVExtractSelection(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVExtractSelection(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVExtractSelectionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVExtractSelectionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExtractSelectionNew
extern "C" { PyObject *PyVTKClass_vtkExtractSelectionNew(const char *); }
#define DECLARED_PyVTKClass_vtkExtractSelectionNew
#endif

static const char **PyvtkPVExtractSelection_Doc();


static PyObject *
PyvtkPVExtractSelection_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractSelection *op = static_cast<vtkPVExtractSelection *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVExtractSelection::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractSelection_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractSelection *op = static_cast<vtkPVExtractSelection *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVExtractSelection::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractSelection_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractSelection *op = static_cast<vtkPVExtractSelection *>(vp);

  vtkPVExtractSelection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVExtractSelection::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractSelection_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVExtractSelection *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVExtractSelection::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractSelection_RemoveAllSelectionsInputs(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllSelectionsInputs");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractSelection *op = static_cast<vtkPVExtractSelection *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllSelectionsInputs();
      }
    else
      {
      op->vtkPVExtractSelection::RemoveAllSelectionsInputs();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVExtractSelection_Methods[] = {
  {(char*)"GetClassName", PyvtkPVExtractSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVExtractSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVExtractSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVExtractSelection\nC++: vtkPVExtractSelection *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVExtractSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVExtractSelection\nC++: vtkPVExtractSelection *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"RemoveAllSelectionsInputs", PyvtkPVExtractSelection_RemoveAllSelectionsInputs, 1,
   (char*)"V.RemoveAllSelectionsInputs()\nC++: void RemoveAllSelectionsInputs()\n\nRemoves all inputs from input port 1.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVExtractSelection_StaticNew()
{
  return vtkPVExtractSelection::New();
}

PyObject *PyVTKClass_vtkPVExtractSelectionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVExtractSelection_StaticNew,
    PyvtkPVExtractSelection_Methods,
    "vtkPVExtractSelection", modulename,
    NULL, NULL,
    PyvtkPVExtractSelection_Doc(),
    PyVTKClass_vtkExtractSelectionNew(modulename));
  return cls;
}

const char **PyvtkPVExtractSelection_Doc()
{
  static const char *docstring[] = {
    "vtkPVExtractSelection - Adds a second port to vtkExtractSelection,\n\n",
    "Superclass: vtkExtractSelection\n\n",
    "vtkPVExtractSelection adds a second port to vtkExtractSelection.\nOutput port 0 -- is the output from the superclass. It's nothing but\nthe extracted dataset.\n\nOutput port 1 -- is a vtkSelection consisting of indices of the\ncells/points extracted. If vtkSelection used as the input to this\nfilter is of the field type vtkSelection::CELL, then the output\nvtkSelection has both the cell indicides as well",
    " as point indices of\nthe cells/points that were extracted. If input field type is\nvtkSelection::POINT, then the output vtkSelection only has the\nindicies of the points that were extracted. This second output is\nuseful for correlating particular cells in the subset with the\noriginal data set. This is used, for instance, by ParaView's\nSpreadsheet view.\n\nOutput port 2 -- is simply the input vtkSelect",
    "ion (set on input port\nnumber 1).\n\nSee Also:\n\nvtkExtractSelection vtkSelection\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVExtractSelection(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVExtractSelectionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVExtractSelection", o) != 0)
    {
    Py_DECREF(o);
    }

}

