// python wrapper for vtkPVExtractVOI
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVExtractVOI.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVExtractVOI(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVExtractVOI(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVExtractVOINew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVExtractVOINew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
#endif

static const char **PyvtkPVExtractVOI_Doc();


static PyObject *
PyvtkPVExtractVOI_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVExtractVOI::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  vtkPVExtractVOI *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVExtractVOI *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVExtractVOI::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetVOI_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVOI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  int temp5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->SetVOI(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkPVExtractVOI::SetVOI(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVExtractVOI_SetVOI_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVOI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetVOI(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetVOI(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVExtractVOI_SetVOI(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 6:
      return PyvtkPVExtractVOI_SetVOI_s1(self, args);
    case 1:
      return PyvtkPVExtractVOI_SetVOI_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetVOI");
  return NULL;
}



static PyObject *
PyvtkPVExtractVOI_GetVOI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVOI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int *tempr;
  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVOI();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetVOI();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetSampleRate_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSampleRate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetSampleRate(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVExtractVOI::SetSampleRate(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVExtractVOI_SetSampleRate_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSampleRate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetSampleRate(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetSampleRate(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVExtractVOI_SetSampleRate(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkPVExtractVOI_SetSampleRate_s1(self, args);
    case 1:
      return PyvtkPVExtractVOI_SetSampleRate_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetSampleRate");
  return NULL;
}



static PyObject *
PyvtkPVExtractVOI_GetSampleRate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSampleRate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSampleRate();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetSampleRate();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetSampleRateI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSampleRateI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSampleRateI(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetSampleRateI(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetSampleRateJ(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSampleRateJ");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSampleRateJ(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetSampleRateJ(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetSampleRateK(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSampleRateK");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSampleRateK(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetSampleRateK(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_GetSampleRateI(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSampleRateI");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSampleRateI();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetSampleRateI();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_GetSampleRateJ(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSampleRateJ");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSampleRateJ();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetSampleRateJ();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_GetSampleRateK(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSampleRateK");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSampleRateK();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetSampleRateK();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_SetIncludeBoundary(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIncludeBoundary");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIncludeBoundary(temp0);
      }
    else
      {
      op->vtkPVExtractVOI::SetIncludeBoundary(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_GetIncludeBoundary(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIncludeBoundary");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIncludeBoundary();
      }
    else
      {
      tempr = op->vtkPVExtractVOI::GetIncludeBoundary();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_IncludeBoundaryOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeBoundaryOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeBoundaryOn();
      }
    else
      {
      op->vtkPVExtractVOI::IncludeBoundaryOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVExtractVOI_IncludeBoundaryOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeBoundaryOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVExtractVOI *op = static_cast<vtkPVExtractVOI *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeBoundaryOff();
      }
    else
      {
      op->vtkPVExtractVOI::IncludeBoundaryOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVExtractVOI_Methods[] = {
  {(char*)"GetClassName", PyvtkPVExtractVOI_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVExtractVOI_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVExtractVOI_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVExtractVOI\nC++: vtkPVExtractVOI *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVExtractVOI_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVExtractVOI\nC++: vtkPVExtractVOI *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetVOI", PyvtkPVExtractVOI_SetVOI, 1,
   (char*)"V.SetVOI(int, int, int, int, int, int)\nC++: void SetVOI(int, int, int, int, int, int)\nV.SetVOI((int, int, int, int, int, int))\nC++: void SetVOI(int a[6])\n\n"},
  {(char*)"GetVOI", PyvtkPVExtractVOI_GetVOI, 1,
   (char*)"V.GetVOI() -> (int, int, int, int, int, int)\nC++: int *GetVOI()\n\nSpecify i-j-k (min,max) pairs to extract. The resulting\nstructured grid dataset can be of any topological dimension\n(i.e., point, line, plane, or 3D grid).\n"},
  {(char*)"SetSampleRate", PyvtkPVExtractVOI_SetSampleRate, 1,
   (char*)"V.SetSampleRate(int, int, int)\nC++: void SetSampleRate(int, int, int)\nV.SetSampleRate((int, int, int))\nC++: void SetSampleRate(int a[3])\n\n"},
  {(char*)"GetSampleRate", PyvtkPVExtractVOI_GetSampleRate, 1,
   (char*)"V.GetSampleRate() -> (int, int, int)\nC++: int *GetSampleRate()\n\nSet the sampling rate in the i, j, and k directions. If the rate\nis > 1, then the resulting VOI will be subsampled representation\nof the input. For example, if the SampleRate=(2,2,2), every other\npoint will be selected, resulting in a volume 1/8th the original\nsize.\n"},
  {(char*)"SetSampleRateI", PyvtkPVExtractVOI_SetSampleRateI, 1,
   (char*)"V.SetSampleRateI(int)\nC++: void SetSampleRateI(int ratei)\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"SetSampleRateJ", PyvtkPVExtractVOI_SetSampleRateJ, 1,
   (char*)"V.SetSampleRateJ(int)\nC++: void SetSampleRateJ(int ratej)\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"SetSampleRateK", PyvtkPVExtractVOI_SetSampleRateK, 1,
   (char*)"V.SetSampleRateK(int)\nC++: void SetSampleRateK(int ratek)\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"GetSampleRateI", PyvtkPVExtractVOI_GetSampleRateI, 1,
   (char*)"V.GetSampleRateI() -> int\nC++: int GetSampleRateI()\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"GetSampleRateJ", PyvtkPVExtractVOI_GetSampleRateJ, 1,
   (char*)"V.GetSampleRateJ() -> int\nC++: int GetSampleRateJ()\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"GetSampleRateK", PyvtkPVExtractVOI_GetSampleRateK, 1,
   (char*)"V.GetSampleRateK() -> int\nC++: int GetSampleRateK()\n\nSet/get the individual components of the sample rate.\n"},
  {(char*)"SetIncludeBoundary", PyvtkPVExtractVOI_SetIncludeBoundary, 1,
   (char*)"V.SetIncludeBoundary(int)\nC++: void SetIncludeBoundary(int a)\n\nControl whether to enforce that the \"boundary\" of the grid is\noutput in the subsampling process. (This ivar only has effect\nwhen the SampleRate in any direction is not equal to 1.) When\nthis ivar IncludeBoundary is on, the subsampling will always\ninclude the boundary of the grid even though the sample rate is\nnot an even multiple of the grid dimensions. (By default\nIncludeBoundary is off.)\n"},
  {(char*)"GetIncludeBoundary", PyvtkPVExtractVOI_GetIncludeBoundary, 1,
   (char*)"V.GetIncludeBoundary() -> int\nC++: int GetIncludeBoundary()\n\nControl whether to enforce that the \"boundary\" of the grid is\noutput in the subsampling process. (This ivar only has effect\nwhen the SampleRate in any direction is not equal to 1.) When\nthis ivar IncludeBoundary is on, the subsampling will always\ninclude the boundary of the grid even though the sample rate is\nnot an even multiple of the grid dimensions. (By default\nIncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOn", PyvtkPVExtractVOI_IncludeBoundaryOn, 1,
   (char*)"V.IncludeBoundaryOn()\nC++: void IncludeBoundaryOn()\n\nControl whether to enforce that the \"boundary\" of the grid is\noutput in the subsampling process. (This ivar only has effect\nwhen the SampleRate in any direction is not equal to 1.) When\nthis ivar IncludeBoundary is on, the subsampling will always\ninclude the boundary of the grid even though the sample rate is\nnot an even multiple of the grid dimensions. (By default\nIncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOff", PyvtkPVExtractVOI_IncludeBoundaryOff, 1,
   (char*)"V.IncludeBoundaryOff()\nC++: void IncludeBoundaryOff()\n\nControl whether to enforce that the \"boundary\" of the grid is\noutput in the subsampling process. (This ivar only has effect\nwhen the SampleRate in any direction is not equal to 1.) When\nthis ivar IncludeBoundary is on, the subsampling will always\ninclude the boundary of the grid even though the sample rate is\nnot an even multiple of the grid dimensions. (By default\nIncludeBoundary is off.)\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVExtractVOI_StaticNew()
{
  return vtkPVExtractVOI::New();
}

PyObject *PyVTKClass_vtkPVExtractVOINew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVExtractVOI_StaticNew,
    PyvtkPVExtractVOI_Methods,
    "vtkPVExtractVOI", modulename,
    NULL, NULL,
    PyvtkPVExtractVOI_Doc(),
    PyVTKClass_vtkDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVExtractVOI_Doc()
{
  static const char *docstring[] = {
    "vtkPVExtractVOI -  select piece (e.g., volume of interest) and/or\nsubsample structured dataset\n\n",
    "Superclass: vtkDataSetAlgorithm\n\n",
    "vtkPVExtractVOI is a wrapper around vtkExtractVOI, vtkExtractGrid and\nvtkExtractRectilinearGrid. It choose the right filter depending on\ninput and passes the necessary parameters.\n\nSee Also:\n\nvtkExtractVOI vtkExtractGrid vtkExtractRectilinearGrid\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVExtractVOI(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVExtractVOINew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVExtractVOI", o) != 0)
    {
    Py_DECREF(o);
    }

}

