// python wrapper for vtkPVFrustumActor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVFrustumActor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVFrustumActor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVFrustumActor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVFrustumActorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVFrustumActorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkOpenGLActorNew
extern "C" { PyObject *PyVTKClass_vtkOpenGLActorNew(const char *); }
#define DECLARED_PyVTKClass_vtkOpenGLActorNew
#endif

static const char **PyvtkPVFrustumActor_Doc();


static PyObject *
PyvtkPVFrustumActor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVFrustumActor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVFrustumActor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  vtkPVFrustumActor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVFrustumActor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVFrustumActor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVFrustumActor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_SetFrustum(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFrustum");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  double temp0[24];
  double save0[24];
  const int size0 = 24;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetFrustum(temp0);
      }
    else
      {
      op->vtkPVFrustumActor::SetFrustum(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVFrustumActor::SetColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVFrustumActor_SetLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVFrustumActor *op = static_cast<vtkPVFrustumActor *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLineWidth(temp0);
      }
    else
      {
      op->vtkPVFrustumActor::SetLineWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVFrustumActor_Methods[] = {
  {(char*)"GetClassName", PyvtkPVFrustumActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVFrustumActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVFrustumActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVFrustumActor\nC++: vtkPVFrustumActor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVFrustumActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVFrustumActor\nC++: vtkPVFrustumActor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFrustum", PyvtkPVFrustumActor_SetFrustum, 1,
   (char*)"V.SetFrustum([float, float, float, float, float, float, float,\n    float, float, float, float, float, float, float, float, float,\n     float, float, float, float, float, float, float, float])\nC++: void SetFrustum(double corners[24])\n\nGet/Set the frustum.\n"},
  {(char*)"SetColor", PyvtkPVFrustumActor_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor(double r, double g, double b)\n\nConvenience method to set the color.\n"},
  {(char*)"SetLineWidth", PyvtkPVFrustumActor_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth(double r)\n\nConvenience method to set the color.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVFrustumActor_StaticNew()
{
  return vtkPVFrustumActor::New();
}

PyObject *PyVTKClass_vtkPVFrustumActorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVFrustumActor_StaticNew,
    PyvtkPVFrustumActor_Methods,
    "vtkPVFrustumActor", modulename,
    NULL, NULL,
    PyvtkPVFrustumActor_Doc(),
    PyVTKClass_vtkOpenGLActorNew(modulename));
  return cls;
}

const char **PyvtkPVFrustumActor_Doc()
{
  static const char *docstring[] = {
    "vtkPVFrustumActor\n\n",
    "Superclass: vtkOpenGLActor\n\n",
    "vtkPVFrustumActor is an actor that renders a frustum. Used in\nParaView to show the frustum used for frustum selection extraction.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVFrustumActor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVFrustumActorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVFrustumActor", o) != 0)
    {
    Py_DECREF(o);
    }

}

