// python wrapper for vtkPVGenericRenderWindowInteractor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVGenericRenderWindowInteractor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVGenericRenderWindowInteractor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVGenericRenderWindowInteractor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVGenericRenderWindowInteractorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVGenericRenderWindowInteractorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRenderWindowInteractorNew
extern "C" { PyObject *PyVTKClass_vtkRenderWindowInteractorNew(const char *); }
#define DECLARED_PyVTKClass_vtkRenderWindowInteractorNew
#endif

static const char **PyvtkPVGenericRenderWindowInteractor_Doc();


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkPVGenericRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVGenericRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVGenericRenderWindowInteractor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetPVRenderView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPVRenderView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkPVRenderViewProxy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPVRenderViewProxy"))
    {
    if (ap.IsBound())
      {
      op->SetPVRenderView(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetPVRenderView(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetPVRenderView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPVRenderView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkPVRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPVRenderView();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetPVRenderView();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkRenderer *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRenderer"))
    {
    if (ap.IsBound())
      {
      op->SetRenderer(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderer();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetRenderer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_FindPokedRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FindPokedRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->FindPokedRenderer(temp0, temp1);
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::FindPokedRenderer(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetInteractiveRenderEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractiveRenderEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInteractiveRenderEnabled(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetInteractiveRenderEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetInteractiveRenderEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractiveRenderEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractiveRenderEnabled();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetInteractiveRenderEnabled();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_InteractiveRenderEnabledOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveRenderEnabledOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveRenderEnabledOn();
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::InteractiveRenderEnabledOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_InteractiveRenderEnabledOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InteractiveRenderEnabledOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InteractiveRenderEnabledOff();
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::InteractiveRenderEnabledOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetNonInteractiveRenderDelay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonInteractiveRenderDelay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  unsigned long temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonInteractiveRenderDelay(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetNonInteractiveRenderDelay(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetNonInteractiveRenderDelay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonInteractiveRenderDelay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonInteractiveRenderDelay();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetNonInteractiveRenderDelay();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_Render(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Render");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Render();
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::Render();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnLeftPress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnLeftPress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnLeftPress(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnLeftPress(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnMiddlePress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMiddlePress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnMiddlePress(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnMiddlePress(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnRightPress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnRightPress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnRightPress(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnRightPress(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnLeftRelease(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnLeftRelease");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnLeftRelease(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnLeftRelease(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnMiddleRelease(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMiddleRelease");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnMiddleRelease(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnMiddleRelease(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnRightRelease(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnRightRelease");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->OnRightRelease(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnRightRelease(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnMove(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnMove");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->OnMove(temp0, temp1);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnMove(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_OnKeyPress(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnKeyPress");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  char temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->OnKeyPress(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::OnKeyPress(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetInteractorStyle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractorStyle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  vtkInteractorObserver *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkInteractorObserver"))
    {
    if (ap.IsBound())
      {
      op->SetInteractorStyle(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetInteractorStyle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_GetCenterOfRotation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCenterOfRotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCenterOfRotation();
      }
    else
      {
      tempr = op->vtkPVGenericRenderWindowInteractor::GetCenterOfRotation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCenterOfRotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetCenterOfRotation(temp0, temp1, temp2);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetCenterOfRotation(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCenterOfRotation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGenericRenderWindowInteractor *op = static_cast<vtkPVGenericRenderWindowInteractor *>(vp);

  double temp0[3];
  double save0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetCenterOfRotation(temp0);
      }
    else
      {
      op->vtkPVGenericRenderWindowInteractor::SetCenterOfRotation(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation_s1(self, args);
    case 1:
      return PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetCenterOfRotation");
  return NULL;
}


static PyMethodDef PyvtkPVGenericRenderWindowInteractor_Methods[] = {
  {(char*)"GetClassName", PyvtkPVGenericRenderWindowInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVGenericRenderWindowInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVGenericRenderWindowInteractor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVGenericRenderWindowInteractor\nC++: vtkPVGenericRenderWindowInteractor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVGenericRenderWindowInteractor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVGenericRenderWindowInteractor\nC++: vtkPVGenericRenderWindowInteractor *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"SetPVRenderView", PyvtkPVGenericRenderWindowInteractor_SetPVRenderView, 1,
   (char*)"V.SetPVRenderView(vtkPVRenderViewProxy)\nC++: void SetPVRenderView(vtkPVRenderViewProxy *view)\n\n"},
  {(char*)"GetPVRenderView", PyvtkPVGenericRenderWindowInteractor_GetPVRenderView, 1,
   (char*)"V.GetPVRenderView() -> vtkPVRenderViewProxy\nC++: vtkPVRenderViewProxy *GetPVRenderView()\n\n"},
  {(char*)"SetRenderer", PyvtkPVGenericRenderWindowInteractor_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer(vtkRenderer *view)\n\nMy sollution to the poked renderer problem. This interactor class\nalways returns this renderer as poked render. This insures the 2D\nrenderer will never be poked.\n"},
  {(char*)"GetRenderer", PyvtkPVGenericRenderWindowInteractor_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer()\n\nMy sollution to the poked renderer problem. This interactor class\nalways returns this renderer as poked render. This insures the 2D\nrenderer will never be poked.\n"},
  {(char*)"FindPokedRenderer", PyvtkPVGenericRenderWindowInteractor_FindPokedRenderer, 1,
   (char*)"V.FindPokedRenderer(int, int) -> vtkRenderer\nC++: virtual vtkRenderer *FindPokedRenderer(int, int)\n\nMy sollution to the poked renderer problem. This interactor class\nalways returns this renderer as poked render. This insures the 2D\nrenderer will never be poked.\n"},
  {(char*)"SetInteractiveRenderEnabled", PyvtkPVGenericRenderWindowInteractor_SetInteractiveRenderEnabled, 1,
   (char*)"V.SetInteractiveRenderEnabled(int)\nC++: void SetInteractiveRenderEnabled(int)\n\n3D widgets call render on this interactor directly. They call\nSetInteractive to tell whether to use still or interactive\nrendering. This class just forwards the render request to\nParaView's RenderModule. DesiredUpdateRate is ignored.\n"},
  {(char*)"GetInteractiveRenderEnabled", PyvtkPVGenericRenderWindowInteractor_GetInteractiveRenderEnabled, 1,
   (char*)"V.GetInteractiveRenderEnabled() -> int\nC++: int GetInteractiveRenderEnabled()\n\n3D widgets call render on this interactor directly. They call\nSetInteractive to tell whether to use still or interactive\nrendering. This class just forwards the render request to\nParaView's RenderModule. DesiredUpdateRate is ignored.\n"},
  {(char*)"InteractiveRenderEnabledOn", PyvtkPVGenericRenderWindowInteractor_InteractiveRenderEnabledOn, 1,
   (char*)"V.InteractiveRenderEnabledOn()\nC++: void InteractiveRenderEnabledOn()\n\n3D widgets call render on this interactor directly. They call\nSetInteractive to tell whether to use still or interactive\nrendering. This class just forwards the render request to\nParaView's RenderModule. DesiredUpdateRate is ignored.\n"},
  {(char*)"InteractiveRenderEnabledOff", PyvtkPVGenericRenderWindowInteractor_InteractiveRenderEnabledOff, 1,
   (char*)"V.InteractiveRenderEnabledOff()\nC++: void InteractiveRenderEnabledOff()\n\n3D widgets call render on this interactor directly. They call\nSetInteractive to tell whether to use still or interactive\nrendering. This class just forwards the render request to\nParaView's RenderModule. DesiredUpdateRate is ignored.\n"},
  {(char*)"SetNonInteractiveRenderDelay", PyvtkPVGenericRenderWindowInteractor_SetNonInteractiveRenderDelay, 1,
   (char*)"V.SetNonInteractiveRenderDelay(int)\nC++: void SetNonInteractiveRenderDelay(unsigned long a)\n\nvtkPVGenericRenderWindowInteractor allows applications to support\n\"delayed-switch-to-non-interative-render\" mode i.e. when user\nstops interacting, the application does not want the scene to be\nimmediately rendered in non-interactive mode, but wait for a few\nseconds. This will allow the user to do multiple adjustments\nwhile staying locked in the interactive mode. For that, the\napplication must first set SetNonInteractiveRenderDelay(unsigned\nlong milliseconds). If milliseconds==0, then the application\nswitches to non-interactive mode immediately. Note, currently\ndelayed render is only supported when compiled with VTK_USE_QVTK\nset to ON.\n"},
  {(char*)"GetNonInteractiveRenderDelay", PyvtkPVGenericRenderWindowInteractor_GetNonInteractiveRenderDelay, 1,
   (char*)"V.GetNonInteractiveRenderDelay() -> int\nC++: unsigned long GetNonInteractiveRenderDelay()\n\nvtkPVGenericRenderWindowInteractor allows applications to support\n\"delayed-switch-to-non-interative-render\" mode i.e. when user\nstops interacting, the application does not want the scene to be\nimmediately rendered in non-interactive mode, but wait for a few\nseconds. This will allow the user to do multiple adjustments\nwhile staying locked in the interactive mode. For that, the\napplication must first set SetNonInteractiveRenderDelay(unsigned\nlong milliseconds). If milliseconds==0, then the application\nswitches to non-interactive mode immediately. Note, currently\ndelayed render is only supported when compiled with VTK_USE_QVTK\nset to ON.\n"},
  {(char*)"Render", PyvtkPVGenericRenderWindowInteractor_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render()\n\nTriggers a render.\n"},
  {(char*)"OnLeftPress", PyvtkPVGenericRenderWindowInteractor_OnLeftPress, 1,
   (char*)"V.OnLeftPress(int, int, int, int)\nC++: virtual void OnLeftPress(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnMiddlePress", PyvtkPVGenericRenderWindowInteractor_OnMiddlePress, 1,
   (char*)"V.OnMiddlePress(int, int, int, int)\nC++: virtual void OnMiddlePress(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnRightPress", PyvtkPVGenericRenderWindowInteractor_OnRightPress, 1,
   (char*)"V.OnRightPress(int, int, int, int)\nC++: virtual void OnRightPress(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnLeftRelease", PyvtkPVGenericRenderWindowInteractor_OnLeftRelease, 1,
   (char*)"V.OnLeftRelease(int, int, int, int)\nC++: virtual void OnLeftRelease(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnMiddleRelease", PyvtkPVGenericRenderWindowInteractor_OnMiddleRelease, 1,
   (char*)"V.OnMiddleRelease(int, int, int, int)\nC++: virtual void OnMiddleRelease(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnRightRelease", PyvtkPVGenericRenderWindowInteractor_OnRightRelease, 1,
   (char*)"V.OnRightRelease(int, int, int, int)\nC++: virtual void OnRightRelease(int x, int y, int control,\n    int shift)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnMove", PyvtkPVGenericRenderWindowInteractor_OnMove, 1,
   (char*)"V.OnMove(int, int)\nC++: virtual void OnMove(int x, int y)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"OnKeyPress", PyvtkPVGenericRenderWindowInteractor_OnKeyPress, 1,
   (char*)"V.OnKeyPress(char, int, int)\nC++: virtual void OnKeyPress(char keyCode, int x, int y)\n\nThese methods merely call SetEventInformation() and then fire the\nappropriate vtk-event.\n"},
  {(char*)"SetInteractorStyle", PyvtkPVGenericRenderWindowInteractor_SetInteractorStyle, 1,
   (char*)"V.SetInteractorStyle(vtkInteractorObserver)\nC++: virtual void SetInteractorStyle(vtkInteractorObserver *)\n\n"},
  {(char*)"GetCenterOfRotation", PyvtkPVGenericRenderWindowInteractor_GetCenterOfRotation, 1,
   (char*)"V.GetCenterOfRotation() -> (float, float, float)\nC++: double *GetCenterOfRotation()\n\n"},
  {(char*)"SetCenterOfRotation", PyvtkPVGenericRenderWindowInteractor_SetCenterOfRotation, 1,
   (char*)"V.SetCenterOfRotation(float, float, float)\nC++: void SetCenterOfRotation(double x, double y, double z)\nV.SetCenterOfRotation([float, float, float])\nC++: void SetCenterOfRotation(double xyz[3])\n\nPropagates the center to the interactor style. Currently, center\nof rotation is propagated only with the interactor style is a\nvtkPVInteractorStyle or subclass.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVGenericRenderWindowInteractor_StaticNew()
{
  return vtkPVGenericRenderWindowInteractor::New();
}

PyObject *PyVTKClass_vtkPVGenericRenderWindowInteractorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVGenericRenderWindowInteractor_StaticNew,
    PyvtkPVGenericRenderWindowInteractor_Methods,
    "vtkPVGenericRenderWindowInteractor", modulename,
    NULL, NULL,
    PyvtkPVGenericRenderWindowInteractor_Doc(),
    PyVTKClass_vtkRenderWindowInteractorNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(1001);
    if (o && PyDict_SetItemString(d, (char *)"BeginDelayNonInteractiveRenderEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1002);
    if (o && PyDict_SetItemString(d, (char *)"EndDelayNonInteractiveRenderEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkPVGenericRenderWindowInteractor_Doc()
{
  static const char *docstring[] = {
    "vtkPVGenericRenderWindowInteractor\n\n",
    "Superclass: vtkRenderWindowInteractor\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVGenericRenderWindowInteractor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVGenericRenderWindowInteractorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVGenericRenderWindowInteractor", o) != 0)
    {
    Py_DECREF(o);
    }

}

