// python wrapper for vtkPVGeometryFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVGeometryFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVGeometryFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVGeometryFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVGeometryFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVGeometryFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkPVGeometryFilter_Doc();


static PyObject *
PyvtkPVGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  vtkPVGeometryFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVGeometryFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVGeometryFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetOutlineFlag(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutlineFlag");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutlineFlag();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetOutlineFlag();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetUseOutline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseOutline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseOutline(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetUseOutline(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetUseOutline(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseOutline");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseOutline();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetUseOutline();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetUseStrips(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseStrips");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseStrips(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetUseStrips(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetUseStrips(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseStrips");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseStrips();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetUseStrips();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_UseStripsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseStripsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseStripsOn();
      }
    else
      {
      op->vtkPVGeometryFilter::UseStripsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_UseStripsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseStripsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseStripsOff();
      }
    else
      {
      op->vtkPVGeometryFilter::UseStripsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetForceUseStrips(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetForceUseStrips");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetForceUseStrips(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetForceUseStrips(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetForceUseStrips(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetForceUseStrips");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetForceUseStrips();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetForceUseStrips();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_ForceUseStripsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ForceUseStripsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ForceUseStripsOn();
      }
    else
      {
      op->vtkPVGeometryFilter::ForceUseStripsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_ForceUseStripsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ForceUseStripsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ForceUseStripsOff();
      }
    else
      {
      op->vtkPVGeometryFilter::ForceUseStripsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetGenerateCellNormals(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGenerateCellNormals");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGenerateCellNormals(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetGenerateCellNormals(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetGenerateCellNormals(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGenerateCellNormals");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGenerateCellNormals();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetGenerateCellNormals();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GenerateCellNormalsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GenerateCellNormalsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GenerateCellNormalsOn();
      }
    else
      {
      op->vtkPVGeometryFilter::GenerateCellNormalsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GenerateCellNormalsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GenerateCellNormalsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GenerateCellNormalsOff();
      }
    else
      {
      op->vtkPVGeometryFilter::GenerateCellNormalsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetNonlinearSubdivisionLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonlinearSubdivisionLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonlinearSubdivisionLevel(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetNonlinearSubdivisionLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetNonlinearSubdivisionLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonlinearSubdivisionLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonlinearSubdivisionLevel();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetNonlinearSubdivisionLevel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetPassThroughCellIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassThroughCellIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassThroughCellIds(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetPassThroughCellIds(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetPassThroughCellIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPassThroughCellIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPassThroughCellIds();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetPassThroughCellIds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_PassThroughCellIdsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughCellIdsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughCellIdsOn();
      }
    else
      {
      op->vtkPVGeometryFilter::PassThroughCellIdsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_PassThroughCellIdsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughCellIdsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughCellIdsOff();
      }
    else
      {
      op->vtkPVGeometryFilter::PassThroughCellIdsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetPassThroughPointIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassThroughPointIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassThroughPointIds(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetPassThroughPointIds(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetPassThroughPointIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPassThroughPointIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPassThroughPointIds();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetPassThroughPointIds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_PassThroughPointIdsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughPointIdsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughPointIdsOn();
      }
    else
      {
      op->vtkPVGeometryFilter::PassThroughPointIdsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_PassThroughPointIdsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PassThroughPointIdsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->PassThroughPointIdsOff();
      }
    else
      {
      op->vtkPVGeometryFilter::PassThroughPointIdsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_SetMakeOutlineOfInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMakeOutlineOfInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMakeOutlineOfInput(temp0);
      }
    else
      {
      op->vtkPVGeometryFilter::SetMakeOutlineOfInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_GetMakeOutlineOfInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMakeOutlineOfInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMakeOutlineOfInput();
      }
    else
      {
      tempr = op->vtkPVGeometryFilter::GetMakeOutlineOfInput();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_MakeOutlineOfInputOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MakeOutlineOfInputOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MakeOutlineOfInputOn();
      }
    else
      {
      op->vtkPVGeometryFilter::MakeOutlineOfInputOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_MakeOutlineOfInputOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MakeOutlineOfInputOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGeometryFilter *op = static_cast<vtkPVGeometryFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MakeOutlineOfInputOff();
      }
    else
      {
      op->vtkPVGeometryFilter::MakeOutlineOfInputOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_POINT_OFFSETS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "POINT_OFFSETS");

  vtkInformationIntegerVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVGeometryFilter::POINT_OFFSETS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_VERTS_OFFSETS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "VERTS_OFFSETS");

  vtkInformationIntegerVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVGeometryFilter::VERTS_OFFSETS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_LINES_OFFSETS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "LINES_OFFSETS");

  vtkInformationIntegerVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVGeometryFilter::LINES_OFFSETS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_POLYS_OFFSETS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "POLYS_OFFSETS");

  vtkInformationIntegerVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVGeometryFilter::POLYS_OFFSETS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGeometryFilter_STRIPS_OFFSETS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "STRIPS_OFFSETS");

  vtkInformationIntegerVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVGeometryFilter::STRIPS_OFFSETS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVGeometryFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPVGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVGeometryFilter\nC++: vtkPVGeometryFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVGeometryFilter\nC++: vtkPVGeometryFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetOutlineFlag", PyvtkPVGeometryFilter_GetOutlineFlag, 1,
   (char*)"V.GetOutlineFlag() -> int\nC++: int GetOutlineFlag()\n\nThis flag is set during the execute method.  It indicates that\nthe input was 3d and an outline representation was used.\n"},
  {(char*)"SetUseOutline", PyvtkPVGeometryFilter_SetUseOutline, 1,
   (char*)"V.SetUseOutline(int)\nC++: void SetUseOutline(int a)\n\nSet/get whether to produce outline (vs. surface).\n"},
  {(char*)"GetUseOutline", PyvtkPVGeometryFilter_GetUseOutline, 1,
   (char*)"V.GetUseOutline() -> int\nC++: int GetUseOutline()\n\nSet/get whether to produce outline (vs. surface).\n"},
  {(char*)"SetUseStrips", PyvtkPVGeometryFilter_SetUseStrips, 1,
   (char*)"V.SetUseStrips(int)\nC++: void SetUseStrips(int)\n\nWhen input is structured data, this flag will generate faces with\ntriangle strips.  This should render faster and use less memory,\nbut no cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"GetUseStrips", PyvtkPVGeometryFilter_GetUseStrips, 1,
   (char*)"V.GetUseStrips() -> int\nC++: int GetUseStrips()\n\nWhen input is structured data, this flag will generate faces with\ntriangle strips.  This should render faster and use less memory,\nbut no cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"UseStripsOn", PyvtkPVGeometryFilter_UseStripsOn, 1,
   (char*)"V.UseStripsOn()\nC++: void UseStripsOn()\n\nWhen input is structured data, this flag will generate faces with\ntriangle strips.  This should render faster and use less memory,\nbut no cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"UseStripsOff", PyvtkPVGeometryFilter_UseStripsOff, 1,
   (char*)"V.UseStripsOff()\nC++: void UseStripsOff()\n\nWhen input is structured data, this flag will generate faces with\ntriangle strips.  This should render faster and use less memory,\nbut no cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"SetForceUseStrips", PyvtkPVGeometryFilter_SetForceUseStrips, 1,
   (char*)"V.SetForceUseStrips(int)\nC++: void SetForceUseStrips(int)\n\n"},
  {(char*)"GetForceUseStrips", PyvtkPVGeometryFilter_GetForceUseStrips, 1,
   (char*)"V.GetForceUseStrips() -> int\nC++: int GetForceUseStrips()\n\n"},
  {(char*)"ForceUseStripsOn", PyvtkPVGeometryFilter_ForceUseStripsOn, 1,
   (char*)"V.ForceUseStripsOn()\nC++: void ForceUseStripsOn()\n\n"},
  {(char*)"ForceUseStripsOff", PyvtkPVGeometryFilter_ForceUseStripsOff, 1,
   (char*)"V.ForceUseStripsOff()\nC++: void ForceUseStripsOff()\n\n"},
  {(char*)"SetGenerateCellNormals", PyvtkPVGeometryFilter_SetGenerateCellNormals, 1,
   (char*)"V.SetGenerateCellNormals(int)\nC++: void SetGenerateCellNormals(int a)\n\nWhether to generate cell normals.  Cell normals should speed up\nrendering when point normals are not available.  They can only be\nused for poly cells now.  This option does nothing if the output\ncontains lines, verts, or strips.\n"},
  {(char*)"GetGenerateCellNormals", PyvtkPVGeometryFilter_GetGenerateCellNormals, 1,
   (char*)"V.GetGenerateCellNormals() -> int\nC++: int GetGenerateCellNormals()\n\nWhether to generate cell normals.  Cell normals should speed up\nrendering when point normals are not available.  They can only be\nused for poly cells now.  This option does nothing if the output\ncontains lines, verts, or strips.\n"},
  {(char*)"GenerateCellNormalsOn", PyvtkPVGeometryFilter_GenerateCellNormalsOn, 1,
   (char*)"V.GenerateCellNormalsOn()\nC++: void GenerateCellNormalsOn()\n\nWhether to generate cell normals.  Cell normals should speed up\nrendering when point normals are not available.  They can only be\nused for poly cells now.  This option does nothing if the output\ncontains lines, verts, or strips.\n"},
  {(char*)"GenerateCellNormalsOff", PyvtkPVGeometryFilter_GenerateCellNormalsOff, 1,
   (char*)"V.GenerateCellNormalsOff()\nC++: void GenerateCellNormalsOff()\n\nWhether to generate cell normals.  Cell normals should speed up\nrendering when point normals are not available.  They can only be\nused for poly cells now.  This option does nothing if the output\ncontains lines, verts, or strips.\n"},
  {(char*)"SetNonlinearSubdivisionLevel", PyvtkPVGeometryFilter_SetNonlinearSubdivisionLevel, 1,
   (char*)"V.SetNonlinearSubdivisionLevel(int)\nC++: virtual void SetNonlinearSubdivisionLevel(int)\n\nNonlinear faces are approximated with flat polygons.  This\nparameter controls how many times to subdivide nonlinear surface\ncells.  Higher subdivisions generate closer approximations but\ntake more memory and rendering time.  Subdivision is recursive,\nso the number of output polygons can grow exponentially with this\nparameter.\n"},
  {(char*)"GetNonlinearSubdivisionLevel", PyvtkPVGeometryFilter_GetNonlinearSubdivisionLevel, 1,
   (char*)"V.GetNonlinearSubdivisionLevel() -> int\nC++: int GetNonlinearSubdivisionLevel()\n\nNonlinear faces are approximated with flat polygons.  This\nparameter controls how many times to subdivide nonlinear surface\ncells.  Higher subdivisions generate closer approximations but\ntake more memory and rendering time.  Subdivision is recursive,\nso the number of output polygons can grow exponentially with this\nparameter.\n"},
  {(char*)"SetController", PyvtkPVGeometryFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController(vtkMultiProcessController *)\n\nSet and get the controller.\n"},
  {(char*)"GetController", PyvtkPVGeometryFilter_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nSet and get the controller.\n"},
  {(char*)"SetPassThroughCellIds", PyvtkPVGeometryFilter_SetPassThroughCellIds, 1,
   (char*)"V.SetPassThroughCellIds(int)\nC++: void SetPassThroughCellIds(int)\n\nIf on, the output polygonal dataset will have a celldata array\nthat holds the cell index of the original 3D cell that produced\neach output cell. This is useful for picking. The default is off\nto conserve memory.\n"},
  {(char*)"GetPassThroughCellIds", PyvtkPVGeometryFilter_GetPassThroughCellIds, 1,
   (char*)"V.GetPassThroughCellIds() -> int\nC++: int GetPassThroughCellIds()\n\nIf on, the output polygonal dataset will have a celldata array\nthat holds the cell index of the original 3D cell that produced\neach output cell. This is useful for picking. The default is off\nto conserve memory.\n"},
  {(char*)"PassThroughCellIdsOn", PyvtkPVGeometryFilter_PassThroughCellIdsOn, 1,
   (char*)"V.PassThroughCellIdsOn()\nC++: void PassThroughCellIdsOn()\n\nIf on, the output polygonal dataset will have a celldata array\nthat holds the cell index of the original 3D cell that produced\neach output cell. This is useful for picking. The default is off\nto conserve memory.\n"},
  {(char*)"PassThroughCellIdsOff", PyvtkPVGeometryFilter_PassThroughCellIdsOff, 1,
   (char*)"V.PassThroughCellIdsOff()\nC++: void PassThroughCellIdsOff()\n\nIf on, the output polygonal dataset will have a celldata array\nthat holds the cell index of the original 3D cell that produced\neach output cell. This is useful for picking. The default is off\nto conserve memory.\n"},
  {(char*)"SetPassThroughPointIds", PyvtkPVGeometryFilter_SetPassThroughPointIds, 1,
   (char*)"V.SetPassThroughPointIds(int)\nC++: void SetPassThroughPointIds(int)\n\nIf on, the output polygonal dataset will have a pointdata array\nthat holds the point index of the original vertex that produced\neach output vertex. This is useful for picking. The default is\noff to conserve memory.\n"},
  {(char*)"GetPassThroughPointIds", PyvtkPVGeometryFilter_GetPassThroughPointIds, 1,
   (char*)"V.GetPassThroughPointIds() -> int\nC++: int GetPassThroughPointIds()\n\nIf on, the output polygonal dataset will have a pointdata array\nthat holds the point index of the original vertex that produced\neach output vertex. This is useful for picking. The default is\noff to conserve memory.\n"},
  {(char*)"PassThroughPointIdsOn", PyvtkPVGeometryFilter_PassThroughPointIdsOn, 1,
   (char*)"V.PassThroughPointIdsOn()\nC++: void PassThroughPointIdsOn()\n\nIf on, the output polygonal dataset will have a pointdata array\nthat holds the point index of the original vertex that produced\neach output vertex. This is useful for picking. The default is\noff to conserve memory.\n"},
  {(char*)"PassThroughPointIdsOff", PyvtkPVGeometryFilter_PassThroughPointIdsOff, 1,
   (char*)"V.PassThroughPointIdsOff()\nC++: void PassThroughPointIdsOff()\n\nIf on, the output polygonal dataset will have a pointdata array\nthat holds the point index of the original vertex that produced\neach output vertex. This is useful for picking. The default is\noff to conserve memory.\n"},
  {(char*)"SetMakeOutlineOfInput", PyvtkPVGeometryFilter_SetMakeOutlineOfInput, 1,
   (char*)"V.SetMakeOutlineOfInput(int)\nC++: void SetMakeOutlineOfInput(int a)\n\nIf off, which is the default, extracts the surface of the data\nfed into the geometry filter. If on, it produces a bounding box\nfor the input to the filter that is producing that data instead.\n"},
  {(char*)"GetMakeOutlineOfInput", PyvtkPVGeometryFilter_GetMakeOutlineOfInput, 1,
   (char*)"V.GetMakeOutlineOfInput() -> int\nC++: int GetMakeOutlineOfInput()\n\nIf off, which is the default, extracts the surface of the data\nfed into the geometry filter. If on, it produces a bounding box\nfor the input to the filter that is producing that data instead.\n"},
  {(char*)"MakeOutlineOfInputOn", PyvtkPVGeometryFilter_MakeOutlineOfInputOn, 1,
   (char*)"V.MakeOutlineOfInputOn()\nC++: void MakeOutlineOfInputOn()\n\nIf off, which is the default, extracts the surface of the data\nfed into the geometry filter. If on, it produces a bounding box\nfor the input to the filter that is producing that data instead.\n"},
  {(char*)"MakeOutlineOfInputOff", PyvtkPVGeometryFilter_MakeOutlineOfInputOff, 1,
   (char*)"V.MakeOutlineOfInputOff()\nC++: void MakeOutlineOfInputOff()\n\nIf off, which is the default, extracts the surface of the data\nfed into the geometry filter. If on, it produces a bounding box\nfor the input to the filter that is producing that data instead.\n"},
  {(char*)"POINT_OFFSETS", PyvtkPVGeometryFilter_POINT_OFFSETS, 1,
   (char*)"V.POINT_OFFSETS() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *POINT_OFFSETS()\n\nThese keys are put in the output composite-data metadata for\nmultipieces since this filter merges multipieces together.\n"},
  {(char*)"VERTS_OFFSETS", PyvtkPVGeometryFilter_VERTS_OFFSETS, 1,
   (char*)"V.VERTS_OFFSETS() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *VERTS_OFFSETS()\n\nThese keys are put in the output composite-data metadata for\nmultipieces since this filter merges multipieces together.\n"},
  {(char*)"LINES_OFFSETS", PyvtkPVGeometryFilter_LINES_OFFSETS, 1,
   (char*)"V.LINES_OFFSETS() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *LINES_OFFSETS()\n\nThese keys are put in the output composite-data metadata for\nmultipieces since this filter merges multipieces together.\n"},
  {(char*)"POLYS_OFFSETS", PyvtkPVGeometryFilter_POLYS_OFFSETS, 1,
   (char*)"V.POLYS_OFFSETS() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *POLYS_OFFSETS()\n\nThese keys are put in the output composite-data metadata for\nmultipieces since this filter merges multipieces together.\n"},
  {(char*)"STRIPS_OFFSETS", PyvtkPVGeometryFilter_STRIPS_OFFSETS, 1,
   (char*)"V.STRIPS_OFFSETS() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *STRIPS_OFFSETS()\n\nThese keys are put in the output composite-data metadata for\nmultipieces since this filter merges multipieces together.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVGeometryFilter_StaticNew()
{
  return vtkPVGeometryFilter::New();
}

PyObject *PyVTKClass_vtkPVGeometryFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVGeometryFilter_StaticNew,
    PyvtkPVGeometryFilter_Methods,
    "vtkPVGeometryFilter", modulename,
    NULL, NULL,
    PyvtkPVGeometryFilter_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVGeometryFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPVGeometryFilter - Geometry filter that does outlines for volumes.\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "This filter defaults to using the outline filter unless the input is\na structured volume.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVGeometryFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVGeometryFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVGeometryFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

