// python wrapper for vtkPVGlyphFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVGlyphFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVGlyphFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVGlyphFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVGlyphFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVGlyphFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGlyph3DNew
extern "C" { PyObject *PyVTKClass_vtkGlyph3DNew(const char *); }
#define DECLARED_PyVTKClass_vtkGlyph3DNew
#endif

static const char **PyvtkPVGlyphFilter_Doc();


static PyObject *
PyvtkPVGlyphFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  vtkPVGlyphFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVGlyphFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVGlyphFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_SetMaximumNumberOfPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumNumberOfPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumNumberOfPoints(temp0);
      }
    else
      {
      op->vtkPVGlyphFilter::SetMaximumNumberOfPoints(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_GetMaximumNumberOfPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumNumberOfPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumNumberOfPoints();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::GetMaximumNumberOfPoints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfProcesses");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfProcesses();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::GetNumberOfProcesses();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_SetUseMaskPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseMaskPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseMaskPoints(temp0);
      }
    else
      {
      op->vtkPVGlyphFilter::SetUseMaskPoints(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_GetUseMaskPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseMaskPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUseMaskPoints();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::GetUseMaskPoints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_SetRandomMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRandomMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRandomMode(temp0);
      }
    else
      {
      op->vtkPVGlyphFilter::SetRandomMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_GetRandomMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRandomMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRandomMode();
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::GetRandomMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVGlyphFilter_IsPointVisible(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsPointVisible");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVGlyphFilter *op = static_cast<vtkPVGlyphFilter *>(vp);

  vtkDataSet *temp0 = NULL;
  vtkIdType temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkDataSet") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->IsPointVisible(temp0, temp1);
      }
    else
      {
      tempr = op->vtkPVGlyphFilter::IsPointVisible(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVGlyphFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPVGlyphFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVGlyphFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVGlyphFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVGlyphFilter\nC++: vtkPVGlyphFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVGlyphFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVGlyphFilter\nC++: vtkPVGlyphFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMaximumNumberOfPoints", PyvtkPVGlyphFilter_SetMaximumNumberOfPoints, 1,
   (char*)"V.SetMaximumNumberOfPoints(int)\nC++: void SetMaximumNumberOfPoints(int a)\n\nLimit the number of points to glyph\n"},
  {(char*)"GetMaximumNumberOfPoints", PyvtkPVGlyphFilter_GetMaximumNumberOfPoints, 1,
   (char*)"V.GetMaximumNumberOfPoints() -> int\nC++: int GetMaximumNumberOfPoints()\n\nLimit the number of points to glyph\n"},
  {(char*)"GetNumberOfProcesses", PyvtkPVGlyphFilter_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses()\n\nGet the number of processes used to run this filter.\n"},
  {(char*)"SetUseMaskPoints", PyvtkPVGlyphFilter_SetUseMaskPoints, 1,
   (char*)"V.SetUseMaskPoints(int)\nC++: void SetUseMaskPoints(int useMaskPoints)\n\nSet/get whether to mask points\n"},
  {(char*)"GetUseMaskPoints", PyvtkPVGlyphFilter_GetUseMaskPoints, 1,
   (char*)"V.GetUseMaskPoints() -> int\nC++: int GetUseMaskPoints()\n\nSet/get whether to mask points\n"},
  {(char*)"SetRandomMode", PyvtkPVGlyphFilter_SetRandomMode, 1,
   (char*)"V.SetRandomMode(int)\nC++: void SetRandomMode(int mode)\n\nSet/get flag to cause randomization of which points to mask.\n"},
  {(char*)"GetRandomMode", PyvtkPVGlyphFilter_GetRandomMode, 1,
   (char*)"V.GetRandomMode() -> int\nC++: int GetRandomMode()\n\nSet/get flag to cause randomization of which points to mask.\n"},
  {(char*)"IsPointVisible", PyvtkPVGlyphFilter_IsPointVisible, 1,
   (char*)"V.IsPointVisible(vtkDataSet, int) -> int\nC++: virtual int IsPointVisible(vtkDataSet *ds, vtkIdType ptId)\n\nIn processing composite datasets, will check if a point is\nvisible as long as the dataset being process if a vtkUniformGrid.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVGlyphFilter_StaticNew()
{
  return vtkPVGlyphFilter::New();
}

PyObject *PyVTKClass_vtkPVGlyphFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVGlyphFilter_StaticNew,
    PyvtkPVGlyphFilter_Methods,
    "vtkPVGlyphFilter", modulename,
    NULL, NULL,
    PyvtkPVGlyphFilter_Doc(),
    PyVTKClass_vtkGlyph3DNew(modulename));
  return cls;
}

const char **PyvtkPVGlyphFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPVGlyphFilter - Glyph filter\n\n",
    "Superclass: vtkGlyph3D\n\n",
    "This is a subclass of vtkGlyph3D that allows selection of input\nscalars\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVGlyphFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVGlyphFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVGlyphFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

