// python wrapper for vtkPVHardwareSelector
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVHardwareSelector.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVHardwareSelector(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVHardwareSelector(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVHardwareSelectorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVHardwareSelectorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkHardwareSelectorNew
extern "C" { PyObject *PyVTKClass_vtkHardwareSelectorNew(const char *); }
#define DECLARED_PyVTKClass_vtkHardwareSelectorNew
#endif

static const char **PyvtkPVHardwareSelector_Doc();


static PyObject *
PyvtkPVHardwareSelector_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVHardwareSelector::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVHardwareSelector::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  vtkPVHardwareSelector *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVHardwareSelector::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVHardwareSelector *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVHardwareSelector::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_Select(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Select");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  int temp0[4];
  int save0[4];
  const int size0 = 4;
  vtkSelection *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      tempr = op->Select(temp0);
      }
    else
      {
      tempr = op->vtkPVHardwareSelector::Select(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_NeedToRenderForSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NeedToRenderForSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NeedToRenderForSelection();
      }
    else
      {
      tempr = op->vtkPVHardwareSelector::NeedToRenderForSelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVHardwareSelector_InvalidateCachedSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InvalidateCachedSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVHardwareSelector *op = static_cast<vtkPVHardwareSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InvalidateCachedSelection();
      }
    else
      {
      op->vtkPVHardwareSelector::InvalidateCachedSelection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVHardwareSelector_Methods[] = {
  {(char*)"GetClassName", PyvtkPVHardwareSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVHardwareSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVHardwareSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVHardwareSelector\nC++: vtkPVHardwareSelector *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVHardwareSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVHardwareSelector\nC++: vtkPVHardwareSelector *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Select", PyvtkPVHardwareSelector_Select, 1,
   (char*)"V.Select([int, int, int, int]) -> vtkSelection\nC++: vtkSelection *Select(int region[4])\n\nOverridden to avoid clearing of captured buffers.\n"},
  {(char*)"NeedToRenderForSelection", PyvtkPVHardwareSelector_NeedToRenderForSelection, 1,
   (char*)"V.NeedToRenderForSelection() -> bool\nC++: virtual bool NeedToRenderForSelection()\n\nReturns true when the next call to Select() will result in\nrenders to capture the selection-buffers.\n"},
  {(char*)"InvalidateCachedSelection", PyvtkPVHardwareSelector_InvalidateCachedSelection, 1,
   (char*)"V.InvalidateCachedSelection()\nC++: void InvalidateCachedSelection()\n\nCalled to invalidate the cache.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVHardwareSelector_StaticNew()
{
  return vtkPVHardwareSelector::New();
}

PyObject *PyVTKClass_vtkPVHardwareSelectorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVHardwareSelector_StaticNew,
    PyvtkPVHardwareSelector_Methods,
    "vtkPVHardwareSelector", modulename,
    NULL, NULL,
    PyvtkPVHardwareSelector_Doc(),
    PyVTKClass_vtkHardwareSelectorNew(modulename));
  return cls;
}

const char **PyvtkPVHardwareSelector_Doc()
{
  static const char *docstring[] = {
    "vtkPVHardwareSelector - vtkHardwareSelector subclass with paraview\n\n",
    "Superclass: vtkHardwareSelector\n\n",
    "vtkHardwareSelector is subclass of vtkHardwareSelector that adds\nlogic to reuse the captured buffers as much as possible. Thus\navoiding repeated selection-rendering of repeated selections or\npicking. This class does not know, however, when the cached buffers\nare invalid. External logic must explicitly calls\nInvalidateCachedSelection() to ensure that the cache is not reused.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVHardwareSelector(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVHardwareSelectorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVHardwareSelector", o) != 0)
    {
    Py_DECREF(o);
    }

}

