// python wrapper for vtkPVJoystickFlyIn
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVJoystickFlyIn.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVJoystickFlyIn(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVJoystickFlyIn(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVJoystickFlyInNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVJoystickFlyInNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVJoystickFlyNew
extern "C" { PyObject *PyVTKClass_vtkPVJoystickFlyNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVJoystickFlyNew
#endif

static const char **PyvtkPVJoystickFlyIn_Doc();


static PyObject *
PyvtkPVJoystickFlyIn_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyIn *op = static_cast<vtkPVJoystickFlyIn *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVJoystickFlyIn::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyIn_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyIn *op = static_cast<vtkPVJoystickFlyIn *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVJoystickFlyIn::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyIn_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyIn *op = static_cast<vtkPVJoystickFlyIn *>(vp);

  vtkPVJoystickFlyIn *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVJoystickFlyIn::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyIn_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVJoystickFlyIn *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVJoystickFlyIn::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVJoystickFlyIn_Methods[] = {
  {(char*)"GetClassName", PyvtkPVJoystickFlyIn_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVJoystickFlyIn_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVJoystickFlyIn_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVJoystickFlyIn\nC++: vtkPVJoystickFlyIn *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVJoystickFlyIn_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVJoystickFlyIn\nC++: vtkPVJoystickFlyIn *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVJoystickFlyIn_StaticNew()
{
  return vtkPVJoystickFlyIn::New();
}

PyObject *PyVTKClass_vtkPVJoystickFlyInNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVJoystickFlyIn_StaticNew,
    PyvtkPVJoystickFlyIn_Methods,
    "vtkPVJoystickFlyIn", modulename,
    NULL, NULL,
    PyvtkPVJoystickFlyIn_Doc(),
    PyVTKClass_vtkPVJoystickFlyNew(modulename));
  return cls;
}

const char **PyvtkPVJoystickFlyIn_Doc()
{
  static const char *docstring[] = {
    "vtkPVJoystickFlyIn - Rotates camera with xy mouse movement.\n\n",
    "Superclass: vtkPVJoystickFly\n\n",
    "vtkPVJoystickFlyIn allows the user to interactively manipulate the\ncamera, the viewpoint of the scene.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVJoystickFlyIn(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVJoystickFlyInNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVJoystickFlyIn", o) != 0)
    {
    Py_DECREF(o);
    }

}

