// python wrapper for vtkPVJoystickFlyOut
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVJoystickFlyOut.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVJoystickFlyOut(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVJoystickFlyOut(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVJoystickFlyOutNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVJoystickFlyOutNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPVJoystickFlyNew
extern "C" { PyObject *PyVTKClass_vtkPVJoystickFlyNew(const char *); }
#define DECLARED_PyVTKClass_vtkPVJoystickFlyNew
#endif

static const char **PyvtkPVJoystickFlyOut_Doc();


static PyObject *
PyvtkPVJoystickFlyOut_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyOut *op = static_cast<vtkPVJoystickFlyOut *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVJoystickFlyOut::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyOut_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyOut *op = static_cast<vtkPVJoystickFlyOut *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVJoystickFlyOut::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyOut_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVJoystickFlyOut *op = static_cast<vtkPVJoystickFlyOut *>(vp);

  vtkPVJoystickFlyOut *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVJoystickFlyOut::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVJoystickFlyOut_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVJoystickFlyOut *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVJoystickFlyOut::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVJoystickFlyOut_Methods[] = {
  {(char*)"GetClassName", PyvtkPVJoystickFlyOut_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVJoystickFlyOut_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVJoystickFlyOut_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVJoystickFlyOut\nC++: vtkPVJoystickFlyOut *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVJoystickFlyOut_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVJoystickFlyOut\nC++: vtkPVJoystickFlyOut *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVJoystickFlyOut_StaticNew()
{
  return vtkPVJoystickFlyOut::New();
}

PyObject *PyVTKClass_vtkPVJoystickFlyOutNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVJoystickFlyOut_StaticNew,
    PyvtkPVJoystickFlyOut_Methods,
    "vtkPVJoystickFlyOut", modulename,
    NULL, NULL,
    PyvtkPVJoystickFlyOut_Doc(),
    PyVTKClass_vtkPVJoystickFlyNew(modulename));
  return cls;
}

const char **PyvtkPVJoystickFlyOut_Doc()
{
  static const char *docstring[] = {
    "vtkPVJoystickFlyOut - Rotates camera with xy mouse movement.\n\n",
    "Superclass: vtkPVJoystickFly\n\n",
    "vtkPVJoystickFlyOut allows the user to interactively manipulate the\ncamera, the viewpoint of the scene.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVJoystickFlyOut(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVJoystickFlyOutNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVJoystickFlyOut", o) != 0)
    {
    Py_DECREF(o);
    }

}

