// python wrapper for vtkPVLinearExtrusionFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVLinearExtrusionFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVLinearExtrusionFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVLinearExtrusionFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVLinearExtrusionFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVLinearExtrusionFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPLinearExtrusionFilterNew
extern "C" { PyObject *PyVTKClass_vtkPLinearExtrusionFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkPLinearExtrusionFilterNew
#endif

static const char **PyvtkPVLinearExtrusionFilter_Doc();


static PyObject *
PyvtkPVLinearExtrusionFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLinearExtrusionFilter *op = static_cast<vtkPVLinearExtrusionFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVLinearExtrusionFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVLinearExtrusionFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLinearExtrusionFilter *op = static_cast<vtkPVLinearExtrusionFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVLinearExtrusionFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVLinearExtrusionFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVLinearExtrusionFilter *op = static_cast<vtkPVLinearExtrusionFilter *>(vp);

  vtkPVLinearExtrusionFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVLinearExtrusionFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVLinearExtrusionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVLinearExtrusionFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVLinearExtrusionFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVLinearExtrusionFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPVLinearExtrusionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVLinearExtrusionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVLinearExtrusionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVLinearExtrusionFilter\nC++: vtkPVLinearExtrusionFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVLinearExtrusionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVLinearExtrusionFilter\nC++: vtkPVLinearExtrusionFilter *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVLinearExtrusionFilter_StaticNew()
{
  return vtkPVLinearExtrusionFilter::New();
}

PyObject *PyVTKClass_vtkPVLinearExtrusionFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVLinearExtrusionFilter_StaticNew,
    PyvtkPVLinearExtrusionFilter_Methods,
    "vtkPVLinearExtrusionFilter", modulename,
    NULL, NULL,
    PyvtkPVLinearExtrusionFilter_Doc(),
    PyVTKClass_vtkPLinearExtrusionFilterNew(modulename));
  return cls;
}

const char **PyvtkPVLinearExtrusionFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPVLinearExtrusionFilter - change a default value\n\n",
    "Superclass: vtkPLinearExtrusionFilter\n\n",
    "vtkPVLinearExtrusionFilter is a subclass of\nvtkPLinearExtrusionFilter. The only difference is changing the\ndefault extrusion type to vector extrusion\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVLinearExtrusionFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVLinearExtrusionFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVLinearExtrusionFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

