// python wrapper for vtkPVMergeTables
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVMergeTables.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVMergeTables(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVMergeTables(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVMergeTablesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVMergeTablesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkPVMergeTables_Doc();


static PyObject *
PyvtkPVMergeTables_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVMergeTables *op = static_cast<vtkPVMergeTables *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVMergeTables::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVMergeTables_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVMergeTables *op = static_cast<vtkPVMergeTables *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVMergeTables::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVMergeTables_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVMergeTables *op = static_cast<vtkPVMergeTables *>(vp);

  vtkPVMergeTables *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVMergeTables::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVMergeTables_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVMergeTables *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVMergeTables::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVMergeTables_Methods[] = {
  {(char*)"GetClassName", PyvtkPVMergeTables_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVMergeTables_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVMergeTables_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVMergeTables\nC++: vtkPVMergeTables *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVMergeTables_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVMergeTables\nC++: vtkPVMergeTables *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVMergeTables_StaticNew()
{
  return vtkPVMergeTables::New();
}

PyObject *PyVTKClass_vtkPVMergeTablesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVMergeTables_StaticNew,
    PyvtkPVMergeTables_Methods,
    "vtkPVMergeTables", modulename,
    NULL, NULL,
    PyvtkPVMergeTables_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVMergeTables_Doc()
{
  static const char *docstring[] = {
    "vtkPVMergeTables - used to merge rows in tables.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Simplified version of vtkMergeTables which simply combines tables\nmerging columns. This assumes that each of the inputs either has\nexactly identical columns or no columns at all. This filter can\nhandle composite datasets as well. The output is produced by merging\ncorresponding leaf nodes. This assumes that all inputs have the same\ncomposite structure. All inputs must either be vtkTable or\nvtkCompo",
    "siteDataSet mixing is not allowed. The output is a flattened\nvtkTable.\n\nTODO:\n\nWe may want to merge this functionality into vtkMergeTables filter\nitself.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVMergeTables(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVMergeTablesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVMergeTables", o) != 0)
    {
    Py_DECREF(o);
    }

}

