// python wrapper for vtkPVNullSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVNullSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVNullSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVNullSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVNullSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVNullSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkLineSourceNew
extern "C" { PyObject *PyVTKClass_vtkLineSourceNew(const char *); }
#define DECLARED_PyVTKClass_vtkLineSourceNew
#endif

static const char **PyvtkPVNullSource_Doc();


static PyObject *
PyvtkPVNullSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVNullSource *op = static_cast<vtkPVNullSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVNullSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVNullSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVNullSource *op = static_cast<vtkPVNullSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVNullSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVNullSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVNullSource *op = static_cast<vtkPVNullSource *>(vp);

  vtkPVNullSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVNullSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVNullSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVNullSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVNullSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVNullSource_Methods[] = {
  {(char*)"GetClassName", PyvtkPVNullSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVNullSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVNullSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVNullSource\nC++: vtkPVNullSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVNullSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVNullSource\nC++: vtkPVNullSource *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVNullSource_StaticNew()
{
  return vtkPVNullSource::New();
}

PyObject *PyVTKClass_vtkPVNullSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVNullSource_StaticNew,
    PyvtkPVNullSource_Methods,
    "vtkPVNullSource", modulename,
    NULL, NULL,
    PyvtkPVNullSource_Doc(),
    PyVTKClass_vtkLineSourceNew(modulename));
  return cls;
}

const char **PyvtkPVNullSource_Doc()
{
  static const char *docstring[] = {
    "vtkPVNullSource - source for NULL data.\n\n",
    "Superclass: vtkLineSource\n\n",
    "This is a source for null data. Although this actually produces a\nvtkPolyLine paraview blocks all data information from this source\nresulting in it being treated as a null source.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVNullSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVNullSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVNullSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

