// python wrapper for vtkPVPostFilterExecutive
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVPostFilterExecutive.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVPostFilterExecutive(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVPostFilterExecutive(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVPostFilterExecutiveNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVPostFilterExecutiveNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
#endif

static const char **PyvtkPVPostFilterExecutive_Doc();


static PyObject *
PyvtkPVPostFilterExecutive_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilterExecutive *op = static_cast<vtkPVPostFilterExecutive *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVPostFilterExecutive::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilterExecutive *op = static_cast<vtkPVPostFilterExecutive *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVPostFilterExecutive::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilterExecutive *op = static_cast<vtkPVPostFilterExecutive *>(vp);

  vtkPVPostFilterExecutive *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVPostFilterExecutive::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVPostFilterExecutive *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVPostFilterExecutive::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_POST_ARRAYS_TO_PROCESS(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "POST_ARRAYS_TO_PROCESS");

  vtkInformationInformationVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVPostFilterExecutive::POST_ARRAYS_TO_PROCESS();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_POST_ARRAY_COMPONENT_KEY(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "POST_ARRAY_COMPONENT_KEY");

  vtkInformationStringVectorKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkPVPostFilterExecutive::POST_ARRAY_COMPONENT_KEY();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_GetPostArrayToProcessInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPostArrayToProcessInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilterExecutive *op = static_cast<vtkPVPostFilterExecutive *>(vp);

  int temp0;
  vtkInformation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPostArrayToProcessInformation(temp0);
      }
    else
      {
      tempr = op->vtkPVPostFilterExecutive::GetPostArrayToProcessInformation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilterExecutive_SetPostArrayToProcessInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPostArrayToProcessInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilterExecutive *op = static_cast<vtkPVPostFilterExecutive *>(vp);

  int temp0;
  vtkInformation *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      op->SetPostArrayToProcessInformation(temp0, temp1);
      }
    else
      {
      op->vtkPVPostFilterExecutive::SetPostArrayToProcessInformation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVPostFilterExecutive_Methods[] = {
  {(char*)"GetClassName", PyvtkPVPostFilterExecutive_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVPostFilterExecutive_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVPostFilterExecutive_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVPostFilterExecutive\nC++: vtkPVPostFilterExecutive *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVPostFilterExecutive_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVPostFilterExecutive\nC++: vtkPVPostFilterExecutive *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"POST_ARRAYS_TO_PROCESS", PyvtkPVPostFilterExecutive_POST_ARRAYS_TO_PROCESS, 1,
   (char*)"V.POST_ARRAYS_TO_PROCESS() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *POST_ARRAYS_TO_PROCESS(\n    )\n\n"},
  {(char*)"POST_ARRAY_COMPONENT_KEY", PyvtkPVPostFilterExecutive_POST_ARRAY_COMPONENT_KEY, 1,
   (char*)"V.POST_ARRAY_COMPONENT_KEY() -> vtkInformationStringVectorKey\nC++: static vtkInformationStringVectorKey *POST_ARRAY_COMPONENT_KEY(\n    )\n\n"},
  {(char*)"GetPostArrayToProcessInformation", PyvtkPVPostFilterExecutive_GetPostArrayToProcessInformation, 1,
   (char*)"V.GetPostArrayToProcessInformation(int) -> vtkInformation\nC++: vtkInformation *GetPostArrayToProcessInformation(int idx)\n\n"},
  {(char*)"SetPostArrayToProcessInformation", PyvtkPVPostFilterExecutive_SetPostArrayToProcessInformation, 1,
   (char*)"V.SetPostArrayToProcessInformation(int, vtkInformation)\nC++: void SetPostArrayToProcessInformation(int idx,\n    vtkInformation *inInfo)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVPostFilterExecutive_StaticNew()
{
  return vtkPVPostFilterExecutive::New();
}

PyObject *PyVTKClass_vtkPVPostFilterExecutiveNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVPostFilterExecutive_StaticNew,
    PyvtkPVPostFilterExecutive_Methods,
    "vtkPVPostFilterExecutive", modulename,
    NULL, NULL,
    PyvtkPVPostFilterExecutive_Doc(),
    PyVTKClass_vtkCompositeDataPipelineNew(modulename));
  return cls;
}

const char **PyvtkPVPostFilterExecutive_Doc()
{
  static const char *docstring[] = {
    "vtkPVPostFilterExecutive - Executive supporting post filters.\n\n",
    "Superclass: vtkCompositeDataPipeline\n\n",
    "vtkPVPostFilterExecutive is an executive that supports the creation\nof post filters for the following uses cases: Provide the ability to\nautomatically use a vector component as a scalar input property.\n\n\n Interpolate cell centered data to point data, and the inverse if\nneeded by the filter.\n\nSee also:\n\n\n vtkCompositeDataPipeline\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVPostFilterExecutive(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVPostFilterExecutiveNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVPostFilterExecutive", o) != 0)
    {
    Py_DECREF(o);
    }

}

