// python wrapper for vtkPVPostFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkPVPostFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVPostFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVPostFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVPostFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVPostFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkPVPostFilter_Doc();


static PyObject *
PyvtkPVPostFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilter *op = static_cast<vtkPVPostFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVPostFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilter *op = static_cast<vtkPVPostFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVPostFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilter *op = static_cast<vtkPVPostFilter *>(vp);

  vtkPVPostFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVPostFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVPostFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVPostFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilter_CreateDefaultExecutive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultExecutive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVPostFilter *op = static_cast<vtkPVPostFilter *>(vp);

  vtkExecutive *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->CreateDefaultExecutive();
      }
    else
      {
      tempr = op->vtkPVPostFilter::CreateDefaultExecutive();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVPostFilter_DefaultComponentName(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "DefaultComponentName");

  int temp0;
  int temp1;
  vtkStdString tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    tempr = vtkPVPostFilter::DefaultComponentName(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVPostFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPVPostFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVPostFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVPostFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVPostFilter\nC++: vtkPVPostFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVPostFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVPostFilter\nC++: vtkPVPostFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CreateDefaultExecutive", PyvtkPVPostFilter_CreateDefaultExecutive, 1,
   (char*)"V.CreateDefaultExecutive() -> vtkExecutive\nC++: vtkExecutive *CreateDefaultExecutive()\n\nWe need to override this method because the composite data\npipeline is not what we want. Instead we need the\nPVCompositeDataPipeline so that we can figure out what we\nconversion(s) we need to do\n"},
  {(char*)"DefaultComponentName", PyvtkPVPostFilter_DefaultComponentName, 1,
   (char*)"V.DefaultComponentName(int, int) -> string\nC++: static vtkStdString DefaultComponentName(int componentNumber,\n     int componentCount)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVPostFilter_StaticNew()
{
  return vtkPVPostFilter::New();
}

PyObject *PyVTKClass_vtkPVPostFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVPostFilter_StaticNew,
    PyvtkPVPostFilter_Methods,
    "vtkPVPostFilter", modulename,
    NULL, NULL,
    PyvtkPVPostFilter_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVPostFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPVPostFilter - Post Filter for on demand conversion\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "vtkPVPostFilter is a filter used for on demand conversion of\nproperties Provide the ability to automatically use a vector\ncomponent as a scalar input property.\n\n\n Interpolate cell centered data to point data, and the inverse if\nneeded by the filter.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVPostFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVPostFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVPostFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

