// python wrapper for vtkPVRenderViewProxy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVRenderViewProxy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVRenderViewProxy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVRenderViewProxy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVRenderViewProxyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVRenderViewProxyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPVRenderViewProxy_Doc();


static PyObject *
PyvtkPVRenderViewProxy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVRenderViewProxy::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVRenderViewProxy::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  vtkPVRenderViewProxy *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVRenderViewProxy::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_EventuallyRender(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EventuallyRender");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    op->EventuallyRender();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    tempr = op->GetRenderWindow();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_Render(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Render");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    op->Render();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVRenderViewProxy_LastRenderWasInteractive(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LastRenderWasInteractive");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVRenderViewProxy *op = static_cast<vtkPVRenderViewProxy *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    tempr = op->LastRenderWasInteractive();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVRenderViewProxy_Methods[] = {
  {(char*)"GetClassName", PyvtkPVRenderViewProxy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVRenderViewProxy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVRenderViewProxy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVRenderViewProxy\nC++: vtkPVRenderViewProxy *NewInstance()\n\n"},
  {(char*)"EventuallyRender", PyvtkPVRenderViewProxy_EventuallyRender, 1,
   (char*)"V.EventuallyRender()\nC++: virtual void EventuallyRender()\n\nForward these calls to an actual vtkPVRenderView in a sub class.\n"},
  {(char*)"GetRenderWindow", PyvtkPVRenderViewProxy_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: virtual vtkRenderWindow *GetRenderWindow()\n\nForward these calls to an actual vtkPVRenderView in a sub class.\n"},
  {(char*)"Render", PyvtkPVRenderViewProxy_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render()\n\nForward these calls to an actual vtkPVRenderView in a sub class.\n"},
  {(char*)"LastRenderWasInteractive", PyvtkPVRenderViewProxy_LastRenderWasInteractive, 1,
   (char*)"V.LastRenderWasInteractive() -> bool\nC++: virtual bool LastRenderWasInteractive()\n\nReturns true if the most recent render indeed employed low-res\nrendering.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkPVRenderViewProxyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkPVRenderViewProxy_Methods,
    "vtkPVRenderViewProxy", modulename,
    NULL, NULL,
    PyvtkPVRenderViewProxy_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPVRenderViewProxy_Doc()
{
  static const char *docstring[] = {
    "vtkPVRenderViewProxy - Forwards calls to the vtkPVRenderView class\n\n",
    "Superclass: vtkObject\n\n",
    "This class is used to allow separation between client GUI code and\nserver code. It forwards calls to the vtkPVRenderView class.\n\nSee Also:\n\nvtkPVRenderModuleProxy\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVRenderViewProxy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVRenderViewProxyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVRenderViewProxy", o) != 0)
    {
    Py_DECREF(o);
    }

}

