// python wrapper for vtkPVScalarBarActor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVScalarBarActor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVScalarBarActor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVScalarBarActor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVScalarBarActorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVScalarBarActorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkScalarBarActorNew
extern "C" { PyObject *PyVTKClass_vtkScalarBarActorNew(const char *); }
#define DECLARED_PyVTKClass_vtkScalarBarActorNew
#endif

static const char **PyvtkPVScalarBarActor_Doc();


static PyObject *
PyvtkPVScalarBarActor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  vtkPVScalarBarActor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVScalarBarActor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVScalarBarActor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOpaqueGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  vtkViewport *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    if (ap.IsBound())
      {
      tempr = op->RenderOpaqueGeometry(temp0);
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::RenderOpaqueGeometry(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_RenderOverlay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOverlay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  vtkViewport *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    if (ap.IsBound())
      {
      tempr = op->RenderOverlay(temp0);
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::RenderOverlay(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_GetAspectRatio(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAspectRatio");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAspectRatio();
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::GetAspectRatio();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_SetAspectRatio(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAspectRatio");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAspectRatio(temp0);
      }
    else
      {
      op->vtkPVScalarBarActor::SetAspectRatio(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_GetAutomaticLabelFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAutomaticLabelFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAutomaticLabelFormat();
      }
    else
      {
      tempr = op->vtkPVScalarBarActor::GetAutomaticLabelFormat();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_SetAutomaticLabelFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAutomaticLabelFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAutomaticLabelFormat(temp0);
      }
    else
      {
      op->vtkPVScalarBarActor::SetAutomaticLabelFormat(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_AutomaticLabelFormatOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AutomaticLabelFormatOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AutomaticLabelFormatOn();
      }
    else
      {
      op->vtkPVScalarBarActor::AutomaticLabelFormatOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_AutomaticLabelFormatOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AutomaticLabelFormatOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AutomaticLabelFormatOff();
      }
    else
      {
      op->vtkPVScalarBarActor::AutomaticLabelFormatOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVScalarBarActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReleaseGraphicsResources");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVScalarBarActor *op = static_cast<vtkPVScalarBarActor *>(vp);

  vtkWindow *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkWindow"))
    {
    if (ap.IsBound())
      {
      op->ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->vtkPVScalarBarActor::ReleaseGraphicsResources(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVScalarBarActor_Methods[] = {
  {(char*)"GetClassName", PyvtkPVScalarBarActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVScalarBarActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVScalarBarActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVScalarBarActor\nC++: vtkPVScalarBarActor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVScalarBarActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVScalarBarActor\nC++: vtkPVScalarBarActor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"RenderOpaqueGeometry", PyvtkPVScalarBarActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry(vtkViewport *viewport)\n\nDraw the scalar bar and annotation text to the screen.\n"},
  {(char*)"RenderOverlay", PyvtkPVScalarBarActor_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay(vtkViewport *viewport)\n\nDraw the scalar bar and annotation text to the screen.\n"},
  {(char*)"GetAspectRatio", PyvtkPVScalarBarActor_GetAspectRatio, 1,
   (char*)"V.GetAspectRatio() -> float\nC++: double GetAspectRatio()\n\nThe bar aspect ratio (length/width).  Defaults to 20.  Note that\nthis the aspect ration of the color bar only, not including\nlabels.\n"},
  {(char*)"SetAspectRatio", PyvtkPVScalarBarActor_SetAspectRatio, 1,
   (char*)"V.SetAspectRatio(float)\nC++: void SetAspectRatio(double a)\n\nThe bar aspect ratio (length/width).  Defaults to 20.  Note that\nthis the aspect ration of the color bar only, not including\nlabels.\n"},
  {(char*)"GetAutomaticLabelFormat", PyvtkPVScalarBarActor_GetAutomaticLabelFormat, 1,
   (char*)"V.GetAutomaticLabelFormat() -> int\nC++: int GetAutomaticLabelFormat()\n\nIf true (the default), the printf format used for the labels will\nbe automatically generated to make the numbers best fit within\nthe widget.  If false, the LabelFormat ivar will be used.\n"},
  {(char*)"SetAutomaticLabelFormat", PyvtkPVScalarBarActor_SetAutomaticLabelFormat, 1,
   (char*)"V.SetAutomaticLabelFormat(int)\nC++: void SetAutomaticLabelFormat(int a)\n\nIf true (the default), the printf format used for the labels will\nbe automatically generated to make the numbers best fit within\nthe widget.  If false, the LabelFormat ivar will be used.\n"},
  {(char*)"AutomaticLabelFormatOn", PyvtkPVScalarBarActor_AutomaticLabelFormatOn, 1,
   (char*)"V.AutomaticLabelFormatOn()\nC++: void AutomaticLabelFormatOn()\n\nIf true (the default), the printf format used for the labels will\nbe automatically generated to make the numbers best fit within\nthe widget.  If false, the LabelFormat ivar will be used.\n"},
  {(char*)"AutomaticLabelFormatOff", PyvtkPVScalarBarActor_AutomaticLabelFormatOff, 1,
   (char*)"V.AutomaticLabelFormatOff()\nC++: void AutomaticLabelFormatOff()\n\nIf true (the default), the printf format used for the labels will\nbe automatically generated to make the numbers best fit within\nthe widget.  If false, the LabelFormat ivar will be used.\n"},
  {(char*)"ReleaseGraphicsResources", PyvtkPVScalarBarActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources(vtkWindow *)\n\nRelease any graphics resources that are being consumed by this\nactor. The parameter window could be used to determine which\ngraphic resources to release.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVScalarBarActor_StaticNew()
{
  return vtkPVScalarBarActor::New();
}

PyObject *PyVTKClass_vtkPVScalarBarActorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVScalarBarActor_StaticNew,
    PyvtkPVScalarBarActor_Methods,
    "vtkPVScalarBarActor", modulename,
    NULL, NULL,
    PyvtkPVScalarBarActor_Doc(),
    PyVTKClass_vtkScalarBarActorNew(modulename));
  return cls;
}

const char **PyvtkPVScalarBarActor_Doc()
{
  static const char *docstring[] = {
    "vtkPVScalarBarActor - A scalar bar with labels of fixed font.\n\n",
    "Superclass: vtkScalarBarActor\n\n",
    "vtkPVScalarBarActor has basically the same functionality as\nvtkScalarBarActor except that the fonts are set to a fixed size. \nAdjustments to the scalar bar happen solely on the bar itself.  There\nare other slight differences in how the size of the scalar bar is\ndetermined to make it easier to control in ParaView.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVScalarBarActor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVScalarBarActorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVScalarBarActor", o) != 0)
    {
    Py_DECREF(o);
    }

}

