// python wrapper for vtkPVTextSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVTextSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVTextSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVTextSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVTextSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVTextSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkPVTextSource_Doc();


static PyObject *
PyvtkPVTextSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTextSource *op = static_cast<vtkPVTextSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVTextSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTextSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTextSource *op = static_cast<vtkPVTextSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVTextSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTextSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTextSource *op = static_cast<vtkPVTextSource *>(vp);

  vtkPVTextSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVTextSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVTextSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVTextSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVTextSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTextSource_SetText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTextSource *op = static_cast<vtkPVTextSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetText(temp0);
      }
    else
      {
      op->vtkPVTextSource::SetText(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTextSource_GetText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTextSource *op = static_cast<vtkPVTextSource *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetText();
      }
    else
      {
      tempr = op->vtkPVTextSource::GetText();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPVTextSource_Methods[] = {
  {(char*)"GetClassName", PyvtkPVTextSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVTextSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVTextSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVTextSource\nC++: vtkPVTextSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVTextSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVTextSource\nC++: vtkPVTextSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetText", PyvtkPVTextSource_SetText, 1,
   (char*)"V.SetText(string)\nC++: void SetText(char *)\n\nGet/Set the text string to generate in the output.\n"},
  {(char*)"GetText", PyvtkPVTextSource_GetText, 1,
   (char*)"V.GetText() -> string\nC++: char *GetText()\n\nGet/Set the text string to generate in the output.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVTextSource_StaticNew()
{
  return vtkPVTextSource::New();
}

PyObject *PyVTKClass_vtkPVTextSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVTextSource_StaticNew,
    PyvtkPVTextSource_Methods,
    "vtkPVTextSource", modulename,
    NULL, NULL,
    PyvtkPVTextSource_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPVTextSource_Doc()
{
  static const char *docstring[] = {
    "vtkPVTextSource - source that generates a 1x1 vtkTable with a single\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "vtkPVTextSource is used to generate a table with a single string.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVTextSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVTextSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVTextSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

