// python wrapper for vtkPVTrivialExtentTranslator
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVTrivialExtentTranslator.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVTrivialExtentTranslator(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVTrivialExtentTranslator(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVTrivialExtentTranslatorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVTrivialExtentTranslatorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkExtentTranslatorNew
extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(const char *); }
#define DECLARED_PyVTKClass_vtkExtentTranslatorNew
#endif

static const char **PyvtkPVTrivialExtentTranslator_Doc();


static PyObject *
PyvtkPVTrivialExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVTrivialExtentTranslator::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVTrivialExtentTranslator::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  vtkPVTrivialExtentTranslator *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVTrivialExtentTranslator::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVTrivialExtentTranslator *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVTrivialExtentTranslator::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_SetDataSet(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataSet");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  vtkDataSet *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataSet"))
    {
    if (ap.IsBound())
      {
      op->SetDataSet(temp0);
      }
    else
      {
      op->vtkPVTrivialExtentTranslator::SetDataSet(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_GetDataSet(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataSet");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  vtkDataSet *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataSet();
      }
    else
      {
      tempr = op->vtkPVTrivialExtentTranslator::GetDataSet();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialExtentTranslator_GatherExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialExtentTranslator *op = static_cast<vtkPVTrivialExtentTranslator *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GatherExtents();
      }
    else
      {
      op->vtkPVTrivialExtentTranslator::GatherExtents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVTrivialExtentTranslator_Methods[] = {
  {(char*)"GetClassName", PyvtkPVTrivialExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVTrivialExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVTrivialExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVTrivialExtentTranslator\nC++: vtkPVTrivialExtentTranslator *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVTrivialExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVTrivialExtentTranslator\nC++: vtkPVTrivialExtentTranslator *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetDataSet", PyvtkPVTrivialExtentTranslator_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: void SetDataSet(vtkDataSet *)\n\n"},
  {(char*)"GetDataSet", PyvtkPVTrivialExtentTranslator_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet()\n\n"},
  {(char*)"GatherExtents", PyvtkPVTrivialExtentTranslator_GatherExtents, 1,
   (char*)"V.GatherExtents()\nC++: void GatherExtents()\n\nIf DataSet is topologically regular, each process will only know\nabout its own subextent.  This function does an allreduce to make\nsure that each process knows the subextent of every process.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVTrivialExtentTranslator_StaticNew()
{
  return vtkPVTrivialExtentTranslator::New();
}

PyObject *PyVTKClass_vtkPVTrivialExtentTranslatorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVTrivialExtentTranslator_StaticNew,
    PyvtkPVTrivialExtentTranslator_Methods,
    "vtkPVTrivialExtentTranslator", modulename,
    NULL, NULL,
    PyvtkPVTrivialExtentTranslator_Doc(),
    PyVTKClass_vtkExtentTranslatorNew(modulename));
  return cls;
}

const char **PyvtkPVTrivialExtentTranslator_Doc()
{
  static const char *docstring[] = {
    "vtkPVTrivialExtentTranslator - extent translator that translates any\n\n",
    "Superclass: vtkExtentTranslator\n\n",
    "vtkPVTrivialExtentTranslator is an extent translator that translates\nany request to match the extent of the dataset set on the translator.\n\nSee Also:\n\nvtkPVTrivialProducer.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVTrivialExtentTranslator(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVTrivialExtentTranslatorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVTrivialExtentTranslator", o) != 0)
    {
    Py_DECREF(o);
    }

}

