// python wrapper for vtkPVTrivialProducer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPVTrivialProducer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPVTrivialProducer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPVTrivialProducer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPVTrivialProducerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPVTrivialProducerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTrivialProducerNew
extern "C" { PyObject *PyVTKClass_vtkTrivialProducerNew(const char *); }
#define DECLARED_PyVTKClass_vtkTrivialProducerNew
#endif

static const char **PyvtkPVTrivialProducer_Doc();


static PyObject *
PyvtkPVTrivialProducer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPVTrivialProducer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPVTrivialProducer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  vtkPVTrivialProducer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPVTrivialProducer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPVTrivialProducer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPVTrivialProducer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_SetOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->SetOutput(temp0);
      }
    else
      {
      op->vtkPVTrivialProducer::SetOutput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_SetWholeExtent_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  int temp5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->SetWholeExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkPVTrivialProducer::SetWholeExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVTrivialProducer_SetWholeExtent_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  int temp0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetWholeExtent(temp0);
      }
    else
      {
      op->vtkPVTrivialProducer::SetWholeExtent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkPVTrivialProducer_SetWholeExtent(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 6:
      return PyvtkPVTrivialProducer_SetWholeExtent_s1(self, args);
    case 1:
      return PyvtkPVTrivialProducer_SetWholeExtent_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetWholeExtent");
  return NULL;
}



static PyObject *
PyvtkPVTrivialProducer_GetWholeExtent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWholeExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  int *tempr;
  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetWholeExtent();
      }
    else
      {
      tempr = op->vtkPVTrivialProducer::GetWholeExtent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkPVTrivialProducer_GatherExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GatherExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPVTrivialProducer *op = static_cast<vtkPVTrivialProducer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GatherExtents();
      }
    else
      {
      op->vtkPVTrivialProducer::GatherExtents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPVTrivialProducer_Methods[] = {
  {(char*)"GetClassName", PyvtkPVTrivialProducer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPVTrivialProducer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPVTrivialProducer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPVTrivialProducer\nC++: vtkPVTrivialProducer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPVTrivialProducer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPVTrivialProducer\nC++: vtkPVTrivialProducer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOutput", PyvtkPVTrivialProducer_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput(vtkDataObject *output)\n\nSet the data object that is \"produced\" by this producer.  It is\nnever really modified. Overridden to pass the output to the\nvtkPVTrivialExtentTranslator.\n"},
  {(char*)"SetWholeExtent", PyvtkPVTrivialProducer_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent(int, int, int, int, int, int)\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent(int a[6])\n\n"},
  {(char*)"GetWholeExtent", PyvtkPVTrivialProducer_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int *GetWholeExtent()\n\n"},
  {(char*)"GatherExtents", PyvtkPVTrivialProducer_GatherExtents, 1,
   (char*)"V.GatherExtents()\nC++: void GatherExtents()\n\nIf the output of the filter is topologically regular and this\nfilter is used in parallel with the grid using partitioned\nsubextents then each process will only know about its own\nsubextent.  This function does an allreduce to make sure that\neach process knows the subextent of every process.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPVTrivialProducer_StaticNew()
{
  return vtkPVTrivialProducer::New();
}

PyObject *PyVTKClass_vtkPVTrivialProducerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPVTrivialProducer_StaticNew,
    PyvtkPVTrivialProducer_Methods,
    "vtkPVTrivialProducer", modulename,
    NULL, NULL,
    PyvtkPVTrivialProducer_Doc(),
    PyVTKClass_vtkTrivialProducerNew(modulename));
  return cls;
}

const char **PyvtkPVTrivialProducer_Doc()
{
  static const char *docstring[] = {
    "vtkPVTrivialProducer - specialized subclass of vtkTrivialProducer that\n\n",
    "Superclass: vtkTrivialProducer\n\n",
    "vtkPVTrivialProducer is specialized subclass of vtkTrivialProducer\nthat preserves the information about the whole extent of the data\nobject. In REQUEST_INFORMATION pass, vtkTrivialProducer tells the\ndownstream pipeline that the whole extent of the data is exactly\nequal to the extent of the data. That way, no filters downstream can\nask for more that what's available. However, in some cases, we stil",
    "l\nwant to provide the downstream pipeline information that the data is\nonly a chunk of bigger dataset eg. vtkPVGeometryFilter to avoid false\nboundaries between structured blocks. Hence we use\nvtkPVTrivialProducer in that case. vtkPVTrivialProducer uses\nvtkPVTrivialExtentTranslator which converts any request for the whole\nextent to match extent if the data available to the producer.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPVTrivialProducer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPVTrivialProducerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPVTrivialProducer", o) != 0)
    {
    Py_DECREF(o);
    }

}

