// python wrapper for vtkPolyLineToRectilinearGridFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPolyLineToRectilinearGridFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPolyLineToRectilinearGridFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPolyLineToRectilinearGridFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyLineToRectilinearGridFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyLineToRectilinearGridFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRectilinearGridAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkRectilinearGridAlgorithmNew
#endif

static const char **PyvtkPolyLineToRectilinearGridFilter_Doc();


static PyObject *
PyvtkPolyLineToRectilinearGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPolyLineToRectilinearGridFilter *op = static_cast<vtkPolyLineToRectilinearGridFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPolyLineToRectilinearGridFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPolyLineToRectilinearGridFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPolyLineToRectilinearGridFilter *op = static_cast<vtkPolyLineToRectilinearGridFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPolyLineToRectilinearGridFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPolyLineToRectilinearGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPolyLineToRectilinearGridFilter *op = static_cast<vtkPolyLineToRectilinearGridFilter *>(vp);

  vtkPolyLineToRectilinearGridFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPolyLineToRectilinearGridFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPolyLineToRectilinearGridFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPolyLineToRectilinearGridFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPolyLineToRectilinearGridFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPolyLineToRectilinearGridFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkPolyLineToRectilinearGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPolyLineToRectilinearGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPolyLineToRectilinearGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyLineToRectilinearGridFilter\nC++: vtkPolyLineToRectilinearGridFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPolyLineToRectilinearGridFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyLineToRectilinearGridFilter\nC++: vtkPolyLineToRectilinearGridFilter *SafeDownCast(\n    vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPolyLineToRectilinearGridFilter_StaticNew()
{
  return vtkPolyLineToRectilinearGridFilter::New();
}

PyObject *PyVTKClass_vtkPolyLineToRectilinearGridFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPolyLineToRectilinearGridFilter_StaticNew,
    PyvtkPolyLineToRectilinearGridFilter_Methods,
    "vtkPolyLineToRectilinearGridFilter", modulename,
    NULL, NULL,
    PyvtkPolyLineToRectilinearGridFilter_Doc(),
    PyVTKClass_vtkRectilinearGridAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPolyLineToRectilinearGridFilter_Doc()
{
  static const char *docstring[] = {
    "vtkPolyLineToRectilinearGridFilter - filter that converts an input\n\n",
    "Superclass: vtkRectilinearGridAlgorithm\n\n",
    "vtkPolyLineToRectilinearGridFilter converts an input polydata with\nsingle polyline to a 1-D regular rectilinear grid. The output has\nadditional point data indicating the arc-length for each point. Note\nthat the Xcoordinates of the output are not related to those of the\ninput. The input point coordinates themselves are added as point data\nin the output.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPolyLineToRectilinearGridFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPolyLineToRectilinearGridFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPolyLineToRectilinearGridFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

