// python wrapper for vtkPriorityHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPriorityHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPriorityHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPriorityHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPriorityHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPriorityHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkPriorityHelper_Doc();


static PyObject *
PyvtkPriorityHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkPriorityHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkPriorityHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  vtkPriorityHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkPriorityHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkPriorityHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkPriorityHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_SetInputConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetInputConnection(temp0);
      }
    else
      {
      op->vtkPriorityHelper::SetInputConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_SetSplitUpdateExtent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSplitUpdateExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  double temp5;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      tempr = op->SetSplitUpdateExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      tempr = op->vtkPriorityHelper::SetSplitUpdateExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_GetDataObject(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataObject");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  vtkDataObject *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataObject();
      }
    else
      {
      tempr = op->vtkPriorityHelper::GetDataObject();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPriorityHelper_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPriorityHelper *op = static_cast<vtkPriorityHelper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkPriorityHelper::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkPriorityHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkPriorityHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPriorityHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPriorityHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPriorityHelper\nC++: vtkPriorityHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPriorityHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPriorityHelper\nC++: vtkPriorityHelper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetInputConnection", PyvtkPriorityHelper_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: void SetInputConnection(vtkAlgorithmOutput *input)\n\n"},
  {(char*)"SetSplitUpdateExtent", PyvtkPriorityHelper_SetSplitUpdateExtent, 1,
   (char*)"V.SetSplitUpdateExtent(int, int, int, int, int, float) -> int\nC++: int SetSplitUpdateExtent(int port, int processors,\n    int numProcessors, int pass, int numPasses, double resolution)\n\nTell it what piece you want to get out of that filter.\n"},
  {(char*)"GetDataObject", PyvtkPriorityHelper_GetDataObject, 1,
   (char*)"V.GetDataObject() -> vtkDataObject\nC++: vtkDataObject *GetDataObject()\n\nGet the data produced.\n"},
  {(char*)"Update", PyvtkPriorityHelper_Update, 1,
   (char*)"V.Update()\nC++: void Update()\n\nUpdate the pipeline.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPriorityHelper_StaticNew()
{
  return vtkPriorityHelper::New();
}

PyObject *PyVTKClass_vtkPriorityHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPriorityHelper_StaticNew,
    PyvtkPriorityHelper_Methods,
    "vtkPriorityHelper", modulename,
    NULL, NULL,
    PyvtkPriorityHelper_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkPriorityHelper_Doc()
{
  static const char *docstring[] = {
    "vtkPriorityHelper - partially updates the input\n\n",
    "Superclass: vtkObject\n\n",
    "When the servermanager drives the data processing pipeline, for\nexample, when filling in the information tab, the streaming View\nplugin adds this to pipeline so that it can prevent whole data\nupdates.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPriorityHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPriorityHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPriorityHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

