// python wrapper for vtkQuerySelectionSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQuerySelectionSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQuerySelectionSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQuerySelectionSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuerySelectionSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuerySelectionSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
#endif

static const char **PyvtkQuerySelectionSource_Doc();


static PyObject *
PyvtkQuerySelectionSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  vtkQuerySelectionSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkQuerySelectionSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkQuerySelectionSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetTermMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTermMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTermMode(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetTermMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetTermMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTermMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTermMode();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetTermMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetArrayName(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetArrayName();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetArrayName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetArrayComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetArrayComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetArrayComponent(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetArrayComponent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetArrayComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetArrayComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetArrayComponent();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetArrayComponent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetOperator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOperator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOperator(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetOperator(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetOperator(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOperator");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOperator();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetOperator();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetNumberOfDoubleValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfDoubleValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfDoubleValues(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetNumberOfDoubleValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetNumberOfIdTypeValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfIdTypeValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfIdTypeValues(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetNumberOfIdTypeValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetCompositeIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCompositeIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCompositeIndex(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetCompositeIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetCompositeIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCompositeIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCompositeIndex();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetCompositeIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetHierarchicalLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHierarchicalLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHierarchicalLevel(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetHierarchicalLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetHierarchicalLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHierarchicalLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHierarchicalLevel();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetHierarchicalLevel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetHierarchicalIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHierarchicalIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHierarchicalIndex(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetHierarchicalIndex(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetHierarchicalIndex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHierarchicalIndex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHierarchicalIndex();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetHierarchicalIndex();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetProcessID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProcessID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProcessID(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetProcessID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetProcessID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProcessID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProcessID();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetProcessID();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFieldType();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetFieldType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetContainingCells(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetContainingCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetContainingCells(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetContainingCells(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetContainingCells(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContainingCells");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetContainingCells();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetContainingCells();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_SetInverse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInverse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInverse(temp0);
      }
    else
      {
      op->vtkQuerySelectionSource::SetInverse(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetInverse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInverse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInverse();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetInverse();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQuerySelectionSource_GetUserFriendlyText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUserFriendlyText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQuerySelectionSource *op = static_cast<vtkQuerySelectionSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUserFriendlyText();
      }
    else
      {
      tempr = op->vtkQuerySelectionSource::GetUserFriendlyText();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQuerySelectionSource_Methods[] = {
  {(char*)"GetClassName", PyvtkQuerySelectionSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQuerySelectionSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQuerySelectionSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuerySelectionSource\nC++: vtkQuerySelectionSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQuerySelectionSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuerySelectionSource\nC++: vtkQuerySelectionSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetTermMode", PyvtkQuerySelectionSource_SetTermMode, 1,
   (char*)"V.SetTermMode(int)\nC++: void SetTermMode(int a)\n\nGet/Set the query term mode.\n"},
  {(char*)"GetTermMode", PyvtkQuerySelectionSource_GetTermMode, 1,
   (char*)"V.GetTermMode() -> int\nC++: int GetTermMode()\n\nGet/Set the query term mode.\n"},
  {(char*)"SetArrayName", PyvtkQuerySelectionSource_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName(char *)\n\nSet the array name if TermMode == ARRAY.\n"},
  {(char*)"GetArrayName", PyvtkQuerySelectionSource_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName()\n\nSet the array name if TermMode == ARRAY.\n"},
  {(char*)"SetArrayComponent", PyvtkQuerySelectionSource_SetArrayComponent, 1,
   (char*)"V.SetArrayComponent(int)\nC++: void SetArrayComponent(int a)\n\nSet the component number if TermMode == ARRAY.\n-1 implies Magnitude in case of multicomponent arrays. Default is\n0.\n"},
  {(char*)"GetArrayComponent", PyvtkQuerySelectionSource_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent()\n\nSet the component number if TermMode == ARRAY.\n-1 implies Magnitude in case of multicomponent arrays. Default is\n0.\n"},
  {(char*)"SetOperator", PyvtkQuerySelectionSource_SetOperator, 1,
   (char*)"V.SetOperator(int)\nC++: void SetOperator(int a)\n\nGet/Set the operator.\n"},
  {(char*)"GetOperator", PyvtkQuerySelectionSource_GetOperator, 1,
   (char*)"V.GetOperator() -> int\nC++: int GetOperator()\n\nGet/Set the operator.\n"},
  {(char*)"SetNumberOfDoubleValues", PyvtkQuerySelectionSource_SetNumberOfDoubleValues, 1,
   (char*)"V.SetNumberOfDoubleValues(int)\nC++: void SetNumberOfDoubleValues(unsigned int)\n\n"},
  {(char*)"SetNumberOfIdTypeValues", PyvtkQuerySelectionSource_SetNumberOfIdTypeValues, 1,
   (char*)"V.SetNumberOfIdTypeValues(int)\nC++: void SetNumberOfIdTypeValues(unsigned int)\n\n"},
  {(char*)"SetCompositeIndex", PyvtkQuerySelectionSource_SetCompositeIndex, 1,
   (char*)"V.SetCompositeIndex(int)\nC++: void SetCompositeIndex(int a)\n\n\n"},
  {(char*)"GetCompositeIndex", PyvtkQuerySelectionSource_GetCompositeIndex, 1,
   (char*)"V.GetCompositeIndex() -> int\nC++: int GetCompositeIndex()\n\n\n"},
  {(char*)"SetHierarchicalLevel", PyvtkQuerySelectionSource_SetHierarchicalLevel, 1,
   (char*)"V.SetHierarchicalLevel(int)\nC++: void SetHierarchicalLevel(int a)\n\n"},
  {(char*)"GetHierarchicalLevel", PyvtkQuerySelectionSource_GetHierarchicalLevel, 1,
   (char*)"V.GetHierarchicalLevel() -> int\nC++: int GetHierarchicalLevel()\n\n"},
  {(char*)"SetHierarchicalIndex", PyvtkQuerySelectionSource_SetHierarchicalIndex, 1,
   (char*)"V.SetHierarchicalIndex(int)\nC++: void SetHierarchicalIndex(int a)\n\n"},
  {(char*)"GetHierarchicalIndex", PyvtkQuerySelectionSource_GetHierarchicalIndex, 1,
   (char*)"V.GetHierarchicalIndex() -> int\nC++: int GetHierarchicalIndex()\n\n"},
  {(char*)"SetProcessID", PyvtkQuerySelectionSource_SetProcessID, 1,
   (char*)"V.SetProcessID(int)\nC++: void SetProcessID(int a)\n\n"},
  {(char*)"GetProcessID", PyvtkQuerySelectionSource_GetProcessID, 1,
   (char*)"V.GetProcessID() -> int\nC++: int GetProcessID()\n\n"},
  {(char*)"SetFieldType", PyvtkQuerySelectionSource_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int a)\n\n"},
  {(char*)"GetFieldType", PyvtkQuerySelectionSource_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\n"},
  {(char*)"SetContainingCells", PyvtkQuerySelectionSource_SetContainingCells, 1,
   (char*)"V.SetContainingCells(int)\nC++: void SetContainingCells(int a)\n\nUseful only when FieldType=POINT. If true, it results in\nselecting the cells that contain the selected points.\n"},
  {(char*)"GetContainingCells", PyvtkQuerySelectionSource_GetContainingCells, 1,
   (char*)"V.GetContainingCells() -> int\nC++: int GetContainingCells()\n\nUseful only when FieldType=POINT. If true, it results in\nselecting the cells that contain the selected points.\n"},
  {(char*)"SetInverse", PyvtkQuerySelectionSource_SetInverse, 1,
   (char*)"V.SetInverse(int)\nC++: void SetInverse(int a)\n\nInvert the selection.\n"},
  {(char*)"GetInverse", PyvtkQuerySelectionSource_GetInverse, 1,
   (char*)"V.GetInverse() -> int\nC++: int GetInverse()\n\nInvert the selection.\n"},
  {(char*)"GetUserFriendlyText", PyvtkQuerySelectionSource_GetUserFriendlyText, 1,
   (char*)"V.GetUserFriendlyText() -> string\nC++: const char *GetUserFriendlyText()\n\nThis merely reconstructs the query as a user friendly text eg. \"IDs >=\n12\". ( Makes you want to wonder if we should support parsing\ninput query text as well ;) )\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQuerySelectionSource_StaticNew()
{
  return vtkQuerySelectionSource::New();
}

PyObject *PyVTKClass_vtkQuerySelectionSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQuerySelectionSource_StaticNew,
    PyvtkQuerySelectionSource_Methods,
    "vtkQuerySelectionSource", modulename,
    NULL, NULL,
    PyvtkQuerySelectionSource_Doc(),
    PyVTKClass_vtkSelectionAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkQuerySelectionSource_Doc()
{
  static const char *docstring[] = {
    "vtkQuerySelectionSource - a selection source that uses a \"query\" to\n\n",
    "Superclass: vtkSelectionAlgorithm\n\n",
    "vtkQuerySelectionSource is a selection source that uses a \"query\" to\ngenerate the vtkSelection object. A query has the following form: \"TERM OPERATOR\nVALUE(s)\" eg. \"GLOBALID is_in_range (0, 10)\" here GLOBALID is the\nTERM, is_in_range is the operator and (0,10) are the values. A query\ncan have additional qualifiers such as the process id, block id, amr\nlevel, amr block.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQuerySelectionSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQuerySelectionSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQuerySelectionSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

