// python wrapper for vtkRealtimeAnimationPlayer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRealtimeAnimationPlayer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkRealtimeAnimationPlayer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkRealtimeAnimationPlayer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRealtimeAnimationPlayerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRealtimeAnimationPlayerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkAnimationPlayerNew
extern "C" { PyObject *PyVTKClass_vtkAnimationPlayerNew(const char *); }
#define DECLARED_PyVTKClass_vtkAnimationPlayerNew
#endif

static const char **PyvtkRealtimeAnimationPlayer_Doc();


static PyObject *
PyvtkRealtimeAnimationPlayer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRealtimeAnimationPlayer *op = static_cast<vtkRealtimeAnimationPlayer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkRealtimeAnimationPlayer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRealtimeAnimationPlayer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRealtimeAnimationPlayer *op = static_cast<vtkRealtimeAnimationPlayer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkRealtimeAnimationPlayer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRealtimeAnimationPlayer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRealtimeAnimationPlayer *op = static_cast<vtkRealtimeAnimationPlayer *>(vp);

  vtkRealtimeAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkRealtimeAnimationPlayer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRealtimeAnimationPlayer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkRealtimeAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkRealtimeAnimationPlayer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRealtimeAnimationPlayer_GetDuration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDuration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRealtimeAnimationPlayer *op = static_cast<vtkRealtimeAnimationPlayer *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDuration();
      }
    else
      {
      tempr = op->vtkRealtimeAnimationPlayer::GetDuration();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRealtimeAnimationPlayer_SetDuration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDuration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRealtimeAnimationPlayer *op = static_cast<vtkRealtimeAnimationPlayer *>(vp);

  unsigned long temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDuration(temp0);
      }
    else
      {
      op->vtkRealtimeAnimationPlayer::SetDuration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkRealtimeAnimationPlayer_Methods[] = {
  {(char*)"GetClassName", PyvtkRealtimeAnimationPlayer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRealtimeAnimationPlayer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRealtimeAnimationPlayer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRealtimeAnimationPlayer\nC++: vtkRealtimeAnimationPlayer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRealtimeAnimationPlayer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRealtimeAnimationPlayer\nC++: vtkRealtimeAnimationPlayer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetDuration", PyvtkRealtimeAnimationPlayer_GetDuration, 1,
   (char*)"V.GetDuration() -> int\nC++: unsigned long GetDuration()\n\nGet/Set the duration for playing the animation in seconds.\n"},
  {(char*)"SetDuration", PyvtkRealtimeAnimationPlayer_SetDuration, 1,
   (char*)"V.SetDuration(int)\nC++: void SetDuration(unsigned long a)\n\nGet/Set the duration for playing the animation in seconds.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRealtimeAnimationPlayer_StaticNew()
{
  return vtkRealtimeAnimationPlayer::New();
}

PyObject *PyVTKClass_vtkRealtimeAnimationPlayerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRealtimeAnimationPlayer_StaticNew,
    PyvtkRealtimeAnimationPlayer_Methods,
    "vtkRealtimeAnimationPlayer", modulename,
    NULL, NULL,
    PyvtkRealtimeAnimationPlayer_Doc(),
    PyVTKClass_vtkAnimationPlayerNew(modulename));
  return cls;
}

const char **PyvtkRealtimeAnimationPlayer_Doc()
{
  static const char *docstring[] = {
    "vtkRealtimeAnimationPlayer\n\n",
    "Superclass: vtkAnimationPlayer\n\n",
    "Animation player that plays in real time.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRealtimeAnimationPlayer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRealtimeAnimationPlayerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRealtimeAnimationPlayer", o) != 0)
    {
    Py_DECREF(o);
    }

}

