// python wrapper for vtkReductionFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkReductionFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkReductionFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkReductionFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkReductionFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkReductionFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkReductionFilter_Doc();


static PyObject *
PyvtkReductionFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkReductionFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkReductionFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkReductionFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkReductionFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkReductionFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkReductionFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetPreGatherHelper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPreGatherHelper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->SetPreGatherHelper(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetPreGatherHelper(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetPreGatherHelperName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPreGatherHelperName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPreGatherHelperName(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetPreGatherHelperName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_GetPreGatherHelper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPreGatherHelper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkAlgorithm *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPreGatherHelper();
      }
    else
      {
      tempr = op->vtkReductionFilter::GetPreGatherHelper();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetPostGatherHelper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPostGatherHelper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkAlgorithm *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithm"))
    {
    if (ap.IsBound())
      {
      op->SetPostGatherHelper(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetPostGatherHelper(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetPostGatherHelperName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPostGatherHelperName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPostGatherHelperName(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetPostGatherHelperName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_GetPostGatherHelper(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPostGatherHelper");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkAlgorithm *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPostGatherHelper();
      }
    else
      {
      tempr = op->vtkReductionFilter::GetPostGatherHelper();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetPassThrough(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPassThrough");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPassThrough(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetPassThrough(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_GetPassThrough(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPassThrough");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPassThrough();
      }
    else
      {
      tempr = op->vtkReductionFilter::GetPassThrough();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_SetGenerateProcessIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGenerateProcessIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGenerateProcessIds(temp0);
      }
    else
      {
      op->vtkReductionFilter::SetGenerateProcessIds(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkReductionFilter_GetGenerateProcessIds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGenerateProcessIds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkReductionFilter *op = static_cast<vtkReductionFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGenerateProcessIds();
      }
    else
      {
      tempr = op->vtkReductionFilter::GetGenerateProcessIds();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkReductionFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkReductionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkReductionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkReductionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkReductionFilter\nC++: vtkReductionFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkReductionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkReductionFilter\nC++: vtkReductionFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPreGatherHelper", PyvtkReductionFilter_SetPreGatherHelper, 1,
   (char*)"V.SetPreGatherHelper(vtkAlgorithm)\nC++: void SetPreGatherHelper(vtkAlgorithm *)\n\nGet/Set the pre-reduction helper. Pre-Reduction helper is an\nalgorithm that runs on each node's data before it is sent to the\nroot.\n"},
  {(char*)"SetPreGatherHelperName", PyvtkReductionFilter_SetPreGatherHelperName, 1,
   (char*)"V.SetPreGatherHelperName(string)\nC++: void SetPreGatherHelperName(const char *)\n\nGet/Set the pre-reduction helper. Pre-Reduction helper is an\nalgorithm that runs on each node's data before it is sent to the\nroot.\n"},
  {(char*)"GetPreGatherHelper", PyvtkReductionFilter_GetPreGatherHelper, 1,
   (char*)"V.GetPreGatherHelper() -> vtkAlgorithm\nC++: vtkAlgorithm *GetPreGatherHelper()\n\nGet/Set the pre-reduction helper. Pre-Reduction helper is an\nalgorithm that runs on each node's data before it is sent to the\nroot.\n"},
  {(char*)"SetPostGatherHelper", PyvtkReductionFilter_SetPostGatherHelper, 1,
   (char*)"V.SetPostGatherHelper(vtkAlgorithm)\nC++: void SetPostGatherHelper(vtkAlgorithm *)\n\nGet/Set the reduction helper. Reduction helper is an algorithm\nwith multiple input connections, that produces a single output as\nthe reduced output. This is run on the root node to produce a\nresult from the gathered results of each node.\n"},
  {(char*)"SetPostGatherHelperName", PyvtkReductionFilter_SetPostGatherHelperName, 1,
   (char*)"V.SetPostGatherHelperName(string)\nC++: void SetPostGatherHelperName(const char *)\n\nGet/Set the reduction helper. Reduction helper is an algorithm\nwith multiple input connections, that produces a single output as\nthe reduced output. This is run on the root node to produce a\nresult from the gathered results of each node.\n"},
  {(char*)"GetPostGatherHelper", PyvtkReductionFilter_GetPostGatherHelper, 1,
   (char*)"V.GetPostGatherHelper() -> vtkAlgorithm\nC++: vtkAlgorithm *GetPostGatherHelper()\n\nGet/Set the reduction helper. Reduction helper is an algorithm\nwith multiple input connections, that produces a single output as\nthe reduced output. This is run on the root node to produce a\nresult from the gathered results of each node.\n"},
  {(char*)"SetController", PyvtkReductionFilter_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *)\n\nGet/Set the MPI controller used for gathering.\n"},
  {(char*)"SetPassThrough", PyvtkReductionFilter_SetPassThrough, 1,
   (char*)"V.SetPassThrough(int)\nC++: void SetPassThrough(int a)\n\nGet/Set the PassThrough flag which (when set to a nonnegative\nnumber N) tells the filter to produce results that come from node\nN only. The data from that node still runs through the\nPreReduction and PostGatherHelper algorithms.\n"},
  {(char*)"GetPassThrough", PyvtkReductionFilter_GetPassThrough, 1,
   (char*)"V.GetPassThrough() -> int\nC++: int GetPassThrough()\n\nGet/Set the PassThrough flag which (when set to a nonnegative\nnumber N) tells the filter to produce results that come from node\nN only. The data from that node still runs through the\nPreReduction and PostGatherHelper algorithms.\n"},
  {(char*)"SetGenerateProcessIds", PyvtkReductionFilter_SetGenerateProcessIds, 1,
   (char*)"V.SetGenerateProcessIds(int)\nC++: void SetGenerateProcessIds(int a)\n\nWhen set, a new array vtkOriginalProcessIds will be added to the\noutput of the the pre-gather helper (or input, if no pre-gather\nhelper is set). The values in the array indicate the process id.\nNote that the array is added only if the number of processes is >\n1.\n"},
  {(char*)"GetGenerateProcessIds", PyvtkReductionFilter_GetGenerateProcessIds, 1,
   (char*)"V.GetGenerateProcessIds() -> int\nC++: int GetGenerateProcessIds()\n\nWhen set, a new array vtkOriginalProcessIds will be added to the\noutput of the the pre-gather helper (or input, if no pre-gather\nhelper is set). The values in the array indicate the process id.\nNote that the array is added only if the number of processes is >\n1.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkReductionFilter_StaticNew()
{
  return vtkReductionFilter::New();
}

PyObject *PyVTKClass_vtkReductionFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkReductionFilter_StaticNew,
    PyvtkReductionFilter_Methods,
    "vtkReductionFilter", modulename,
    NULL, NULL,
    PyvtkReductionFilter_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkReductionFilter_Doc()
{
  static const char *docstring[] = {
    "vtkReductionFilter - A generic filter that can reduce any type of\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "A generic filter that can reduce any type of dataset using any\nreduction algorithm. Actual reduction is performed by running the\nPreGatherHelper and PostGatherHelper algorithms. The PreGatherHelper\nruns on each node in parallel. Next the intermediate results are\ngathered to the root node. Then the root node then runs the\nPostGatherHelper algorithm to produce a single result. The\nPostGatherHelper m",
    "ust be an algorithm that takes multiple input\nconnections and produces a single reduced output.\n\nIn addition to doing reduction the PassThrough variable lets you\nchoose to pass through the results of any one node instead of\naggregating all of them together.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkReductionFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkReductionFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkReductionFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

