// python wrapper for vtkScatterPlotMapper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkScatterPlotMapper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkScatterPlotMapper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkScatterPlotMapper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScatterPlotMapperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScatterPlotMapperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkCompositePolyDataMapper2New
extern "C" { PyObject *PyVTKClass_vtkCompositePolyDataMapper2New(const char *); }
#define DECLARED_PyVTKClass_vtkCompositePolyDataMapper2New
#endif

static const char **PyvtkScatterPlotMapper_Doc();


static PyObject *
PyvtkScatterPlotMapper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  vtkScatterPlotMapper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkScatterPlotMapper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkScatterPlotMapper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_FIELD_ACTIVE_COMPONENT(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "FIELD_ACTIVE_COMPONENT");

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkScatterPlotMapper::FIELD_ACTIVE_COMPONENT();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetXCoordsArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetXCoordsArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetXCoordsArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetXCoordsArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetYCoordsArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetYCoordsArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetYCoordsArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetYCoordsArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetZCoordsArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetZCoordsArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetZCoordsArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetZCoordsArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetColorArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetColorArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphXScalingArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphXScalingArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphXScalingArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphXScalingArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphYScalingArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphYScalingArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphYScalingArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphYScalingArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphZScalingArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphZScalingArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphZScalingArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphZScalingArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphSourceArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphSourceArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphSourceArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphSourceArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphXOrientationArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphXOrientationArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphXOrientationArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphXOrientationArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphYOrientationArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphYOrientationArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphYOrientationArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphYOrientationArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphZOrientationArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphZOrientationArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphZOrientationArray(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphZOrientationArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetThreeDMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetThreeDMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetThreeDMode(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetThreeDMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetThreeDMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetThreeDMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetThreeDMode();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetThreeDMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ThreeDModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ThreeDModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ThreeDModeOn();
      }
    else
      {
      op->vtkScatterPlotMapper::ThreeDModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ThreeDModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ThreeDModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ThreeDModeOff();
      }
    else
      {
      op->vtkScatterPlotMapper::ThreeDModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetColorize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorize(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetColorize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetColorize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorize();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetColorize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ColorizeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorizeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorizeOn();
      }
    else
      {
      op->vtkScatterPlotMapper::ColorizeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ColorizeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorizeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorizeOff();
      }
    else
      {
      op->vtkScatterPlotMapper::ColorizeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGlyphMode(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetGlyphMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlyphMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlyphMode();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetGlyphMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetScalingArrayMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalingArrayMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScalingArrayMode(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetScalingArrayMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetScalingArrayMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScalingArrayMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScalingArrayMode();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetScalingArrayMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetScaleMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleMode(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetScaleMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetScaleMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScaleMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScaleMode();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetScaleMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetScaleFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScaleFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScaleFactor(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetScaleFactor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetScaleFactor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScaleFactor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScaleFactor();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetScaleFactor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetOrientationMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientationMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientationMode(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetOrientationMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetOrientationMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOrientationMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOrientationMode();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetOrientationMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetNestedDisplayLists(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNestedDisplayLists");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNestedDisplayLists(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetNestedDisplayLists(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetNestedDisplayLists(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNestedDisplayLists");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNestedDisplayLists();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetNestedDisplayLists();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_NestedDisplayListsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NestedDisplayListsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NestedDisplayListsOn();
      }
    else
      {
      op->vtkScatterPlotMapper::NestedDisplayListsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_NestedDisplayListsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NestedDisplayListsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->NestedDisplayListsOff();
      }
    else
      {
      op->vtkScatterPlotMapper::NestedDisplayListsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetParallelToCamera(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetParallelToCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetParallelToCamera(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetParallelToCamera(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetParallelToCamera(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParallelToCamera");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetParallelToCamera();
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetParallelToCamera();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ParallelToCameraOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ParallelToCameraOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ParallelToCameraOn();
      }
    else
      {
      op->vtkScatterPlotMapper::ParallelToCameraOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_ParallelToCameraOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ParallelToCameraOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ParallelToCameraOff();
      }
    else
      {
      op->vtkScatterPlotMapper::ParallelToCameraOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_SetGlyphSourceConnection_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphSourceConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0;
  vtkAlgorithmOutput *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetGlyphSourceConnection(temp0, temp1);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphSourceConnection(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkScatterPlotMapper_SetGlyphSourceConnection_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGlyphSourceConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetGlyphSourceConnection(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::SetGlyphSourceConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkScatterPlotMapper_SetGlyphSourceConnection(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkScatterPlotMapper_SetGlyphSourceConnection_s1(self, args);
    case 1:
      return PyvtkScatterPlotMapper_SetGlyphSourceConnection_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetGlyphSourceConnection");
  return NULL;
}



static PyObject *
PyvtkScatterPlotMapper_AddGlyphSourceConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddGlyphSourceConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->AddGlyphSourceConnection(temp0);
      }
    else
      {
      op->vtkScatterPlotMapper::AddGlyphSourceConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_GetGlyphSource(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGlyphSource");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  int temp0 = 0;
  vtkPolyData *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGlyphSource(temp0);
      }
    else
      {
      tempr = op->vtkScatterPlotMapper::GetGlyphSource(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScatterPlotMapper_Render(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Render");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScatterPlotMapper *op = static_cast<vtkScatterPlotMapper *>(vp);

  vtkRenderer *temp0 = NULL;
  vtkActor *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkRenderer") &&
      ap.GetVTKObject(temp1, "vtkActor"))
    {
    if (ap.IsBound())
      {
      op->Render(temp0, temp1);
      }
    else
      {
      op->vtkScatterPlotMapper::Render(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkScatterPlotMapper_Methods[] = {
  {(char*)"GetClassName", PyvtkScatterPlotMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkScatterPlotMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkScatterPlotMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScatterPlotMapper\nC++: vtkScatterPlotMapper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkScatterPlotMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScatterPlotMapper\nC++: vtkScatterPlotMapper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"FIELD_ACTIVE_COMPONENT", PyvtkScatterPlotMapper_FIELD_ACTIVE_COMPONENT, 1,
   (char*)"V.FIELD_ACTIVE_COMPONENT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_ACTIVE_COMPONENT()\n\n"},
  {(char*)"SetXCoordsArray", PyvtkScatterPlotMapper_SetXCoordsArray, 1,
   (char*)"V.SetXCoordsArray(string)\nC++: void SetXCoordsArray(const char *arrayName)\n\n"},
  {(char*)"SetYCoordsArray", PyvtkScatterPlotMapper_SetYCoordsArray, 1,
   (char*)"V.SetYCoordsArray(string)\nC++: void SetYCoordsArray(const char *arrayName)\n\n"},
  {(char*)"SetZCoordsArray", PyvtkScatterPlotMapper_SetZCoordsArray, 1,
   (char*)"V.SetZCoordsArray(string)\nC++: void SetZCoordsArray(const char *arrayName)\n\n"},
  {(char*)"SetColorArray", PyvtkScatterPlotMapper_SetColorArray, 1,
   (char*)"V.SetColorArray(string)\nC++: void SetColorArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphXScalingArray", PyvtkScatterPlotMapper_SetGlyphXScalingArray, 1,
   (char*)"V.SetGlyphXScalingArray(string)\nC++: void SetGlyphXScalingArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphYScalingArray", PyvtkScatterPlotMapper_SetGlyphYScalingArray, 1,
   (char*)"V.SetGlyphYScalingArray(string)\nC++: void SetGlyphYScalingArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphZScalingArray", PyvtkScatterPlotMapper_SetGlyphZScalingArray, 1,
   (char*)"V.SetGlyphZScalingArray(string)\nC++: void SetGlyphZScalingArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphSourceArray", PyvtkScatterPlotMapper_SetGlyphSourceArray, 1,
   (char*)"V.SetGlyphSourceArray(string)\nC++: void SetGlyphSourceArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphXOrientationArray", PyvtkScatterPlotMapper_SetGlyphXOrientationArray, 1,
   (char*)"V.SetGlyphXOrientationArray(string)\nC++: void SetGlyphXOrientationArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphYOrientationArray", PyvtkScatterPlotMapper_SetGlyphYOrientationArray, 1,
   (char*)"V.SetGlyphYOrientationArray(string)\nC++: void SetGlyphYOrientationArray(const char *arrayName)\n\n"},
  {(char*)"SetGlyphZOrientationArray", PyvtkScatterPlotMapper_SetGlyphZOrientationArray, 1,
   (char*)"V.SetGlyphZOrientationArray(string)\nC++: void SetGlyphZOrientationArray(const char *arrayName)\n\n"},
  {(char*)"SetThreeDMode", PyvtkScatterPlotMapper_SetThreeDMode, 1,
   (char*)"V.SetThreeDMode(bool)\nC++: void SetThreeDMode(bool a)\n\nEnable or not the third (z) coordinate for 3D rendering (instead\nof 2D). Note: To work, the Z_Coords index array must be given.\n"},
  {(char*)"GetThreeDMode", PyvtkScatterPlotMapper_GetThreeDMode, 1,
   (char*)"V.GetThreeDMode() -> bool\nC++: bool GetThreeDMode()\n\nEnable or not the third (z) coordinate for 3D rendering (instead\nof 2D). Note: To work, the Z_Coords index array must be given.\n"},
  {(char*)"ThreeDModeOn", PyvtkScatterPlotMapper_ThreeDModeOn, 1,
   (char*)"V.ThreeDModeOn()\nC++: void ThreeDModeOn()\n\nEnable or not the third (z) coordinate for 3D rendering (instead\nof 2D). Note: To work, the Z_Coords index array must be given.\n"},
  {(char*)"ThreeDModeOff", PyvtkScatterPlotMapper_ThreeDModeOff, 1,
   (char*)"V.ThreeDModeOff()\nC++: void ThreeDModeOff()\n\nEnable or not the third (z) coordinate for 3D rendering (instead\nof 2D). Note: To work, the Z_Coords index array must be given.\n"},
  {(char*)"SetColorize", PyvtkScatterPlotMapper_SetColorize, 1,
   (char*)"V.SetColorize(bool)\nC++: void SetColorize(bool a)\n\nEnable or not the color painting at each point. Note: To work,\nthe Color index array must be given.\n"},
  {(char*)"GetColorize", PyvtkScatterPlotMapper_GetColorize, 1,
   (char*)"V.GetColorize() -> bool\nC++: bool GetColorize()\n\nEnable or not the color painting at each point. Note: To work,\nthe Color index array must be given.\n"},
  {(char*)"ColorizeOn", PyvtkScatterPlotMapper_ColorizeOn, 1,
   (char*)"V.ColorizeOn()\nC++: void ColorizeOn()\n\nEnable or not the color painting at each point. Note: To work,\nthe Color index array must be given.\n"},
  {(char*)"ColorizeOff", PyvtkScatterPlotMapper_ColorizeOff, 1,
   (char*)"V.ColorizeOff()\nC++: void ColorizeOff()\n\nEnable or not the color painting at each point. Note: To work,\nthe Color index array must be given.\n"},
  {(char*)"SetGlyphMode", PyvtkScatterPlotMapper_SetGlyphMode, 1,
   (char*)"V.SetGlyphMode(int)\nC++: void SetGlyphMode(int a)\n\nEnable or not the Glyph representation at each point. Note: To\nwork, at least 1 Glyph polydata input must be set and the Glyph\nindex array must be given.\n"},
  {(char*)"GetGlyphMode", PyvtkScatterPlotMapper_GetGlyphMode, 1,
   (char*)"V.GetGlyphMode() -> int\nC++: int GetGlyphMode()\n\nEnable or not the Glyph representation at each point. Note: To\nwork, at least 1 Glyph polydata input must be set and the Glyph\nindex array must be given.\n"},
  {(char*)"SetScalingArrayMode", PyvtkScatterPlotMapper_SetScalingArrayMode, 1,
   (char*)"V.SetScalingArrayMode(int)\nC++: void SetScalingArrayMode(int a)\n\nIf the GlyphMode has ScaledGlyph turned on, ScalingArrayMode\ndescribes how to data in the different GLYPH_[X,Y,Z]_SCALE arrays\n"},
  {(char*)"GetScalingArrayMode", PyvtkScatterPlotMapper_GetScalingArrayMode, 1,
   (char*)"V.GetScalingArrayMode() -> int\nC++: int GetScalingArrayMode()\n\nIf the GlyphMode has ScaledGlyph turned on, ScalingArrayMode\ndescribes how to data in the different GLYPH_[X,Y,Z]_SCALE arrays\n"},
  {(char*)"SetScaleMode", PyvtkScatterPlotMapper_SetScaleMode, 1,
   (char*)"V.SetScaleMode(int)\nC++: void SetScaleMode(int a)\n\nIf the GlyphMode has ScaledGlyph turned on, decide how to scale\nthe glyph. By Magnitude or components.\n"},
  {(char*)"GetScaleMode", PyvtkScatterPlotMapper_GetScaleMode, 1,
   (char*)"V.GetScaleMode() -> int\nC++: int GetScaleMode()\n\nIf the GlyphMode has ScaledGlyph turned on, decide how to scale\nthe glyph. By Magnitude or components.\n"},
  {(char*)"SetScaleFactor", PyvtkScatterPlotMapper_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor(double a)\n\nSpecify scale factor to scale object by. This is used only when\nScaling is On.\n"},
  {(char*)"GetScaleFactor", PyvtkScatterPlotMapper_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor()\n\nSpecify scale factor to scale object by. This is used only when\nScaling is On.\n"},
  {(char*)"SetOrientationMode", PyvtkScatterPlotMapper_SetOrientationMode, 1,
   (char*)"V.SetOrientationMode(int)\nC++: void SetOrientationMode(int a)\n\n"},
  {(char*)"GetOrientationMode", PyvtkScatterPlotMapper_GetOrientationMode, 1,
   (char*)"V.GetOrientationMode() -> int\nC++: int GetOrientationMode()\n\n"},
  {(char*)"SetNestedDisplayLists", PyvtkScatterPlotMapper_SetNestedDisplayLists, 1,
   (char*)"V.SetNestedDisplayLists(bool)\nC++: void SetNestedDisplayLists(bool a)\n\nIf immediate mode is off, if Glyphs are in use and if\nNestedDisplayLists is false, only the mappers of each glyph use\ndisplay lists. If true, in addition, matrices transforms and\ncolor per glyph are also in a parent display list. Not relevant\nif immediate mode is on. For debugging/profiling purpose. Initial\nvalue is true.\n"},
  {(char*)"GetNestedDisplayLists", PyvtkScatterPlotMapper_GetNestedDisplayLists, 1,
   (char*)"V.GetNestedDisplayLists() -> bool\nC++: bool GetNestedDisplayLists()\n\nIf immediate mode is off, if Glyphs are in use and if\nNestedDisplayLists is false, only the mappers of each glyph use\ndisplay lists. If true, in addition, matrices transforms and\ncolor per glyph are also in a parent display list. Not relevant\nif immediate mode is on. For debugging/profiling purpose. Initial\nvalue is true.\n"},
  {(char*)"NestedDisplayListsOn", PyvtkScatterPlotMapper_NestedDisplayListsOn, 1,
   (char*)"V.NestedDisplayListsOn()\nC++: void NestedDisplayListsOn()\n\nIf immediate mode is off, if Glyphs are in use and if\nNestedDisplayLists is false, only the mappers of each glyph use\ndisplay lists. If true, in addition, matrices transforms and\ncolor per glyph are also in a parent display list. Not relevant\nif immediate mode is on. For debugging/profiling purpose. Initial\nvalue is true.\n"},
  {(char*)"NestedDisplayListsOff", PyvtkScatterPlotMapper_NestedDisplayListsOff, 1,
   (char*)"V.NestedDisplayListsOff()\nC++: void NestedDisplayListsOff()\n\nIf immediate mode is off, if Glyphs are in use and if\nNestedDisplayLists is false, only the mappers of each glyph use\ndisplay lists. If true, in addition, matrices transforms and\ncolor per glyph are also in a parent display list. Not relevant\nif immediate mode is on. For debugging/profiling purpose. Initial\nvalue is true.\n"},
  {(char*)"SetParallelToCamera", PyvtkScatterPlotMapper_SetParallelToCamera, 1,
   (char*)"V.SetParallelToCamera(bool)\nC++: void SetParallelToCamera(bool a)\n\nWhen the glyphs are in 2D, it might be useful to force them to be\nshown parallel to the camera.\n"},
  {(char*)"GetParallelToCamera", PyvtkScatterPlotMapper_GetParallelToCamera, 1,
   (char*)"V.GetParallelToCamera() -> bool\nC++: bool GetParallelToCamera()\n\nWhen the glyphs are in 2D, it might be useful to force them to be\nshown parallel to the camera.\n"},
  {(char*)"ParallelToCameraOn", PyvtkScatterPlotMapper_ParallelToCameraOn, 1,
   (char*)"V.ParallelToCameraOn()\nC++: void ParallelToCameraOn()\n\nWhen the glyphs are in 2D, it might be useful to force them to be\nshown parallel to the camera.\n"},
  {(char*)"ParallelToCameraOff", PyvtkScatterPlotMapper_ParallelToCameraOff, 1,
   (char*)"V.ParallelToCameraOff()\nC++: void ParallelToCameraOff()\n\nWhen the glyphs are in 2D, it might be useful to force them to be\nshown parallel to the camera.\n"},
  {(char*)"SetGlyphSourceConnection", PyvtkScatterPlotMapper_SetGlyphSourceConnection, 1,
   (char*)"V.SetGlyphSourceConnection(int, vtkAlgorithmOutput)\nC++: void SetGlyphSourceConnection(int id,\n    vtkAlgorithmOutput *algOutput)\nV.SetGlyphSourceConnection(vtkAlgorithmOutput)\nC++: void SetGlyphSourceConnection(vtkAlgorithmOutput *algOutput)\n\nSpecify a source object at a specified table location. New style.\nSource connection is stored in port 1. This method is equivalent\nto SetInputConnection(1, id, outputPort).\n"},
  {(char*)"AddGlyphSourceConnection", PyvtkScatterPlotMapper_AddGlyphSourceConnection, 1,
   (char*)"V.AddGlyphSourceConnection(vtkAlgorithmOutput)\nC++: void AddGlyphSourceConnection(vtkAlgorithmOutput *algOutput)\n\nSpecify a source object at a specified table location. New style.\nSource connection is stored in port 1. This method is equivalent\nto SetInputConnection(1, id, outputPort).\n"},
  {(char*)"GetGlyphSource", PyvtkScatterPlotMapper_GetGlyphSource, 1,
   (char*)"V.GetGlyphSource(int) -> vtkPolyData\nC++: vtkPolyData *GetGlyphSource(int id=0)\n\nSpecify a source object at a specified table location. New style.\nSource connection is stored in port 1. This method is equivalent\nto SetInputConnection(1, id, outputPort).\n"},
  {(char*)"Render", PyvtkScatterPlotMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: virtual void Render(vtkRenderer *renderer, vtkActor *actor)\n\nReimplemented to allow \"real\" pre rendering by\nvtkScatterPlotPainter Indeed the vtkPainter::PrepareForRendering\nis not exactly a prepare for rendering (the rendering already\nstarted).\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkScatterPlotMapper_StaticNew()
{
  return vtkScatterPlotMapper::New();
}

PyObject *PyVTKClass_vtkScatterPlotMapperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkScatterPlotMapper_StaticNew,
    PyvtkScatterPlotMapper_Methods,
    "vtkScatterPlotMapper", modulename,
    NULL, NULL,
    PyvtkScatterPlotMapper_Doc(),
    PyVTKClass_vtkCompositePolyDataMapper2New(modulename));
  return cls;
}

const char **PyvtkScatterPlotMapper_Doc()
{
  static const char *docstring[] = {
    "vtkScatterPlotMapper - Display a vtkDataSet with flexibility\n\n",
    "Superclass: vtkCompositePolyDataMapper2\n\n",
    "The mappers gives flexibility in the display of the input. By setting\nthe arrays to process, every element of the display can be\ncontrolled. i.e. the coordinates of the points can be controlled by\nany field array or the color of the points can controlled by the\nx-axes.\n\nImplementation:\n\nSee Also:\n\nvtkGlyph3D, vtkCompositePolyDataMapper2\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkScatterPlotMapper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkScatterPlotMapperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkScatterPlotMapper", o) != 0)
    {
    Py_DECREF(o);
    }

}

