// python wrapper for vtkSciVizStatistics
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSciVizStatistics.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSciVizStatistics(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSciVizStatistics(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSciVizStatisticsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSciVizStatisticsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkSciVizStatistics_Doc();


static PyObject *
PyvtkSciVizStatistics_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSciVizStatistics::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  vtkSciVizStatistics *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetAttributeMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeMode();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetAttributeMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_SetAttributeMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAttributeMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAttributeMode(temp0);
      }
    else
      {
      op->vtkSciVizStatistics::SetAttributeMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetNumberOfAttributeArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfAttributeArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfAttributeArrays();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetNumberOfAttributeArrays();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetAttributeArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int temp0;
  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeArrayName(temp0);
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetAttributeArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetAttributeArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAttributeArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAttributeArrayStatus(temp0);
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetAttributeArrayStatus(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_SetAttributeArrayStatus(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAttributeArrayStatus");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAttributeArrayStatus(temp0, temp1);
      }
    else
      {
      op->vtkSciVizStatistics::SetAttributeArrayStatus(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_EnableAttributeArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EnableAttributeArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->EnableAttributeArray(temp0);
      }
    else
      {
      op->vtkSciVizStatistics::EnableAttributeArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_ClearAttributeArrays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearAttributeArrays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearAttributeArrays();
      }
    else
      {
      op->vtkSciVizStatistics::ClearAttributeArrays();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_SetTrainingFraction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTrainingFraction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTrainingFraction(temp0);
      }
    else
      {
      op->vtkSciVizStatistics::SetTrainingFraction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetTrainingFractionMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrainingFractionMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTrainingFractionMinValue();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetTrainingFractionMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetTrainingFractionMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrainingFractionMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTrainingFractionMaxValue();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetTrainingFractionMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetTrainingFraction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrainingFraction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTrainingFraction();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetTrainingFraction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_SetTask(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTask");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTask(temp0);
      }
    else
      {
      op->vtkSciVizStatistics::SetTask(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_GetTask(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTask");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTask();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::GetTask();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSciVizStatistics_MULTIPLE_MODELS(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MULTIPLE_MODELS");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSciVizStatistics *op = static_cast<vtkSciVizStatistics *>(vp);

  vtkInformationIntegerKey *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->MULTIPLE_MODELS();
      }
    else
      {
      tempr = op->vtkSciVizStatistics::MULTIPLE_MODELS();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSciVizStatistics_Methods[] = {
  {(char*)"GetClassName", PyvtkSciVizStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSciVizStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSciVizStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSciVizStatistics\nC++: vtkSciVizStatistics *NewInstance()\n\n"},
  {(char*)"GetAttributeMode", PyvtkSciVizStatistics_GetAttributeMode, 1,
   (char*)"V.GetAttributeMode() -> int\nC++: int GetAttributeMode()\n\nSet/get the type of field attribute (cell, point, field)\n"},
  {(char*)"SetAttributeMode", PyvtkSciVizStatistics_SetAttributeMode, 1,
   (char*)"V.SetAttributeMode(int)\nC++: void SetAttributeMode(int a)\n\nSet/get the type of field attribute (cell, point, field)\n"},
  {(char*)"GetNumberOfAttributeArrays", PyvtkSciVizStatistics_GetNumberOfAttributeArrays, 1,
   (char*)"V.GetNumberOfAttributeArrays() -> int\nC++: int GetNumberOfAttributeArrays()\n\n"},
  {(char*)"GetAttributeArrayName", PyvtkSciVizStatistics_GetAttributeArrayName, 1,
   (char*)"V.GetAttributeArrayName(int) -> string\nC++: const char *GetAttributeArrayName(int n)\n\n"},
  {(char*)"GetAttributeArrayStatus", PyvtkSciVizStatistics_GetAttributeArrayStatus, 1,
   (char*)"V.GetAttributeArrayStatus(string) -> int\nC++: int GetAttributeArrayStatus(const char *arrName)\n\n"},
  {(char*)"SetAttributeArrayStatus", PyvtkSciVizStatistics_SetAttributeArrayStatus, 1,
   (char*)"V.SetAttributeArrayStatus(string, int)\nC++: void SetAttributeArrayStatus(const char *arrName, int stat)\n\n"},
  {(char*)"EnableAttributeArray", PyvtkSciVizStatistics_EnableAttributeArray, 1,
   (char*)"V.EnableAttributeArray(string)\nC++: void EnableAttributeArray(const char *arrName)\n\n"},
  {(char*)"ClearAttributeArrays", PyvtkSciVizStatistics_ClearAttributeArrays, 1,
   (char*)"V.ClearAttributeArrays()\nC++: void ClearAttributeArrays()\n\n"},
  {(char*)"SetTrainingFraction", PyvtkSciVizStatistics_SetTrainingFraction, 1,
   (char*)"V.SetTrainingFraction(float)\nC++: void SetTrainingFraction(double)\n\nSet/get the amount of data to be used for training. When 0.0 <\nTrainingFraction < 1.0, a randomly-sampled subset of the data is\nused for training. When an assessment is requested, all data\n(including the training data) is assessed, regardless of the\nvalue of TrainingFraction. The default value is 0.1.\n\nThe random sample of the original dataset (say, of size N) is\nobtained by choosing N random numbers in [0,1). Any sample where\nthe random number is less than TrainingFraction is included in\nthe training data. Samples are then randomly added or removed\nfrom the training data until it is the desired size.\n"},
  {(char*)"GetTrainingFractionMinValue", PyvtkSciVizStatistics_GetTrainingFractionMinValue, 1,
   (char*)"V.GetTrainingFractionMinValue() -> float\nC++: double GetTrainingFractionMinValue()\n\nSet/get the amount of data to be used for training. When 0.0 <\nTrainingFraction < 1.0, a randomly-sampled subset of the data is\nused for training. When an assessment is requested, all data\n(including the training data) is assessed, regardless of the\nvalue of TrainingFraction. The default value is 0.1.\n\nThe random sample of the original dataset (say, of size N) is\nobtained by choosing N random numbers in [0,1). Any sample where\nthe random number is less than TrainingFraction is included in\nthe training data. Samples are then randomly added or removed\nfrom the training data until it is the desired size.\n"},
  {(char*)"GetTrainingFractionMaxValue", PyvtkSciVizStatistics_GetTrainingFractionMaxValue, 1,
   (char*)"V.GetTrainingFractionMaxValue() -> float\nC++: double GetTrainingFractionMaxValue()\n\nSet/get the amount of data to be used for training. When 0.0 <\nTrainingFraction < 1.0, a randomly-sampled subset of the data is\nused for training. When an assessment is requested, all data\n(including the training data) is assessed, regardless of the\nvalue of TrainingFraction. The default value is 0.1.\n\nThe random sample of the original dataset (say, of size N) is\nobtained by choosing N random numbers in [0,1). Any sample where\nthe random number is less than TrainingFraction is included in\nthe training data. Samples are then randomly added or removed\nfrom the training data until it is the desired size.\n"},
  {(char*)"GetTrainingFraction", PyvtkSciVizStatistics_GetTrainingFraction, 1,
   (char*)"V.GetTrainingFraction() -> float\nC++: double GetTrainingFraction()\n\nSet/get the amount of data to be used for training. When 0.0 <\nTrainingFraction < 1.0, a randomly-sampled subset of the data is\nused for training. When an assessment is requested, all data\n(including the training data) is assessed, regardless of the\nvalue of TrainingFraction. The default value is 0.1.\n\nThe random sample of the original dataset (say, of size N) is\nobtained by choosing N random numbers in [0,1). Any sample where\nthe random number is less than TrainingFraction is included in\nthe training data. Samples are then randomly added or removed\nfrom the training data until it is the desired size.\n"},
  {(char*)"SetTask", PyvtkSciVizStatistics_SetTask, 1,
   (char*)"V.SetTask(int)\nC++: void SetTask(int a)\n\nSet/get whether this filter should create a model of the input or\nassess the input or both. This should take on a value from the\nTasks enum. The default is MODEL_AND_ASSESS.\n"},
  {(char*)"GetTask", PyvtkSciVizStatistics_GetTask, 1,
   (char*)"V.GetTask() -> int\nC++: int GetTask()\n\nSet/get whether this filter should create a model of the input or\nassess the input or both. This should take on a value from the\nTasks enum. The default is MODEL_AND_ASSESS.\n"},
  {(char*)"MULTIPLE_MODELS", PyvtkSciVizStatistics_MULTIPLE_MODELS, 1,
   (char*)"V.MULTIPLE_MODELS() -> vtkInformationIntegerKey\nC++: vtkInformationIntegerKey *MULTIPLE_MODELS()\n\nA key used to mark the output model data object (output port 0)\nwhen it is a multiblock of models (any of which may be multiblock\ndataset themselves) as opposed to a multiblock dataset containing\na single model.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkSciVizStatisticsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkSciVizStatistics_Methods,
    "vtkSciVizStatistics", modulename,
    NULL, NULL,
    PyvtkSciVizStatistics_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkSciVizStatistics_Doc()
{
  static const char *docstring[] = {
    "vtkSciVizStatistics - Abstract base class for computing statistics\nwith vtkStatistics\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "This filter either computes a statistical model of a dataset or takes\nsuch a model as its second input. Then, the model (however it is\nobtained) may optionally be used to assess the input dataset.\n\nThis class serves as a base class that handles table conversion,\ninterfacing with the array selection in the ParaView user interface,\nand provides a simplified interface to vtkStatisticsAlgorithm.\n\nThan",
    "ks:\n\nThanks to David Thompson and Philippe Pebay from Sandia National\nLaboratories for implementing this class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSciVizStatistics(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSciVizStatisticsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSciVizStatistics", o) != 0)
    {
    Py_DECREF(o);
    }

}

