// python wrapper for vtkSequenceAnimationPlayer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSequenceAnimationPlayer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSequenceAnimationPlayer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSequenceAnimationPlayer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSequenceAnimationPlayerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSequenceAnimationPlayerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkAnimationPlayerNew
extern "C" { PyObject *PyVTKClass_vtkAnimationPlayerNew(const char *); }
#define DECLARED_PyVTKClass_vtkAnimationPlayerNew
#endif

static const char **PyvtkSequenceAnimationPlayer_Doc();


static PyObject *
PyvtkSequenceAnimationPlayer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  vtkSequenceAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSequenceAnimationPlayer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSequenceAnimationPlayer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_SetNumberOfFrames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfFrames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfFrames(temp0);
      }
    else
      {
      op->vtkSequenceAnimationPlayer::SetNumberOfFrames(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_GetNumberOfFramesMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFramesMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfFramesMinValue();
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::GetNumberOfFramesMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_GetNumberOfFramesMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFramesMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfFramesMaxValue();
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::GetNumberOfFramesMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSequenceAnimationPlayer_GetNumberOfFrames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfFrames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSequenceAnimationPlayer *op = static_cast<vtkSequenceAnimationPlayer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfFrames();
      }
    else
      {
      tempr = op->vtkSequenceAnimationPlayer::GetNumberOfFrames();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSequenceAnimationPlayer_Methods[] = {
  {(char*)"GetClassName", PyvtkSequenceAnimationPlayer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSequenceAnimationPlayer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSequenceAnimationPlayer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSequenceAnimationPlayer\nC++: vtkSequenceAnimationPlayer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSequenceAnimationPlayer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSequenceAnimationPlayer\nC++: vtkSequenceAnimationPlayer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetNumberOfFrames", PyvtkSequenceAnimationPlayer_SetNumberOfFrames, 1,
   (char*)"V.SetNumberOfFrames(int)\nC++: void SetNumberOfFrames(int)\n\n"},
  {(char*)"GetNumberOfFramesMinValue", PyvtkSequenceAnimationPlayer_GetNumberOfFramesMinValue, 1,
   (char*)"V.GetNumberOfFramesMinValue() -> int\nC++: int GetNumberOfFramesMinValue()\n\n"},
  {(char*)"GetNumberOfFramesMaxValue", PyvtkSequenceAnimationPlayer_GetNumberOfFramesMaxValue, 1,
   (char*)"V.GetNumberOfFramesMaxValue() -> int\nC++: int GetNumberOfFramesMaxValue()\n\n"},
  {(char*)"GetNumberOfFrames", PyvtkSequenceAnimationPlayer_GetNumberOfFrames, 1,
   (char*)"V.GetNumberOfFrames() -> int\nC++: int GetNumberOfFrames()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSequenceAnimationPlayer_StaticNew()
{
  return vtkSequenceAnimationPlayer::New();
}

PyObject *PyVTKClass_vtkSequenceAnimationPlayerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSequenceAnimationPlayer_StaticNew,
    PyvtkSequenceAnimationPlayer_Methods,
    "vtkSequenceAnimationPlayer", modulename,
    NULL, NULL,
    PyvtkSequenceAnimationPlayer_Doc(),
    PyVTKClass_vtkAnimationPlayerNew(modulename));
  return cls;
}

const char **PyvtkSequenceAnimationPlayer_Doc()
{
  static const char *docstring[] = {
    "vtkSequenceAnimationPlayer\n\n",
    "Superclass: vtkAnimationPlayer\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSequenceAnimationPlayer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSequenceAnimationPlayerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSequenceAnimationPlayer", o) != 0)
    {
    Py_DECREF(o);
    }

}

