// python wrapper for vtkSortedTableStreamer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSortedTableStreamer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSortedTableStreamer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSortedTableStreamer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSortedTableStreamerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSortedTableStreamerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkSortedTableStreamer_Doc();


static PyObject *
PyvtkSortedTableStreamer_PrintInfo(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "PrintInfo");

  vtkTable *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTable"))
    {
    vtkSortedTableStreamer::PrintInfo(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_TestInternalClasses(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "TestInternalClasses");

  bool tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkSortedTableStreamer::TestInternalClasses();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkSortedTableStreamer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSortedTableStreamer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSortedTableStreamer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_FillInputPortInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FillInputPortInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  int temp0;
  vtkInformation *temp1 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetVTKObject(temp1, "vtkInformation"))
    {
    if (ap.IsBound())
      {
      tempr = op->FillInputPortInformation(temp0, temp1);
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::FillInputPortInformation(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkIdType tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlock();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetBlock();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetBlock(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlock");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBlock(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetBlock(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetBlockSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkIdType tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBlockSize();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetBlockSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetBlockSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBlockSize(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetBlockSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetSelectedComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectedComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSelectedComponent();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetSelectedComponent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetSelectedComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectedComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSelectedComponent(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetSelectedComponent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkMultiProcessController *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMultiProcessController"))
    {
    if (ap.IsBound())
      {
      op->SetController(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetController(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetController(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetController");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  vtkMultiProcessController *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetController();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetController();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetColumnNameToSort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnNameToSort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColumnNameToSort();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetColumnNameToSort();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetColumnNameToSort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColumnNameToSort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColumnNameToSort(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetColumnNameToSort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_SetInvertOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvertOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInvertOrder(temp0);
      }
    else
      {
      op->vtkSortedTableStreamer::SetInvertOrder(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSortedTableStreamer_GetInvertOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInvertOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSortedTableStreamer *op = static_cast<vtkSortedTableStreamer *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInvertOrder();
      }
    else
      {
      tempr = op->vtkSortedTableStreamer::GetInvertOrder();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSortedTableStreamer_Methods[] = {
  {(char*)"PrintInfo", PyvtkSortedTableStreamer_PrintInfo, 1,
   (char*)"V.PrintInfo(vtkTable)\nC++: static void PrintInfo(vtkTable *input)\n\n"},
  {(char*)"TestInternalClasses", PyvtkSortedTableStreamer_TestInternalClasses, 1,
   (char*)"V.TestInternalClasses() -> bool\nC++: static bool TestInternalClasses()\n\nTest the internal structure and make sure that they behave as\nexpected. Return true if everything is OK, false otherwise.\n"},
  {(char*)"GetClassName", PyvtkSortedTableStreamer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\nTest the internal structure and make sure that they behave as\nexpected. Return true if everything is OK, false otherwise.\n"},
  {(char*)"IsA", PyvtkSortedTableStreamer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\nTest the internal structure and make sure that they behave as\nexpected. Return true if everything is OK, false otherwise.\n"},
  {(char*)"NewInstance", PyvtkSortedTableStreamer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSortedTableStreamer\nC++: vtkSortedTableStreamer *NewInstance()\n\nTest the internal structure and make sure that they behave as\nexpected. Return true if everything is OK, false otherwise.\n"},
  {(char*)"SafeDownCast", PyvtkSortedTableStreamer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSortedTableStreamer\nC++: vtkSortedTableStreamer *SafeDownCast(vtkObject* o)\n\nTest the internal structure and make sure that they behave as\nexpected. Return true if everything is OK, false otherwise.\n"},
  {(char*)"FillInputPortInformation", PyvtkSortedTableStreamer_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation(int port, vtkInformation *info)\n\nOnly one input which is the table to sort\n"},
  {(char*)"GetBlock", PyvtkSortedTableStreamer_GetBlock, 1,
   (char*)"V.GetBlock() -> int\nC++: vtkIdType GetBlock()\n\nBlock index used to select a data range\n"},
  {(char*)"SetBlock", PyvtkSortedTableStreamer_SetBlock, 1,
   (char*)"V.SetBlock(int)\nC++: void SetBlock(vtkIdType a)\n\nBlock index used to select a data range\n"},
  {(char*)"GetBlockSize", PyvtkSortedTableStreamer_GetBlockSize, 1,
   (char*)"V.GetBlockSize() -> int\nC++: vtkIdType GetBlockSize()\n\nSet the block size. Default value is 1024\n"},
  {(char*)"SetBlockSize", PyvtkSortedTableStreamer_SetBlockSize, 1,
   (char*)"V.SetBlockSize(int)\nC++: void SetBlockSize(vtkIdType a)\n\nSet the block size. Default value is 1024\n"},
  {(char*)"GetSelectedComponent", PyvtkSortedTableStreamer_GetSelectedComponent, 1,
   (char*)"V.GetSelectedComponent() -> int\nC++: int GetSelectedComponent()\n\nChoose on which colum the sort operation should occurs\n"},
  {(char*)"SetSelectedComponent", PyvtkSortedTableStreamer_SetSelectedComponent, 1,
   (char*)"V.SetSelectedComponent(int)\nC++: void SetSelectedComponent(int a)\n\nChoose on which colum the sort operation should occurs\n"},
  {(char*)"SetController", PyvtkSortedTableStreamer_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: void SetController(vtkMultiProcessController *)\n\nGet/Set the MPI controller used for gathering.\n"},
  {(char*)"GetController", PyvtkSortedTableStreamer_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController()\n\nGet/Set the MPI controller used for gathering.\n"},
  {(char*)"GetColumnNameToSort", PyvtkSortedTableStreamer_GetColumnNameToSort, 1,
   (char*)"V.GetColumnNameToSort() -> string\nC++: const char *GetColumnNameToSort()\n\nChoose on which colum the sort operation should occurs\n"},
  {(char*)"SetColumnNameToSort", PyvtkSortedTableStreamer_SetColumnNameToSort, 1,
   (char*)"V.SetColumnNameToSort(string)\nC++: void SetColumnNameToSort(const char *columnName)\n\n"},
  {(char*)"SetInvertOrder", PyvtkSortedTableStreamer_SetInvertOrder, 1,
   (char*)"V.SetInvertOrder(int)\nC++: void SetInvertOrder(int newValue)\n\n"},
  {(char*)"GetInvertOrder", PyvtkSortedTableStreamer_GetInvertOrder, 1,
   (char*)"V.GetInvertOrder() -> int\nC++: int GetInvertOrder()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSortedTableStreamer_StaticNew()
{
  return vtkSortedTableStreamer::New();
}

PyObject *PyVTKClass_vtkSortedTableStreamerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSortedTableStreamer_StaticNew,
    PyvtkSortedTableStreamer_Methods,
    "vtkSortedTableStreamer", modulename,
    NULL, NULL,
    PyvtkSortedTableStreamer_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkSortedTableStreamer_Doc()
{
  static const char *docstring[] = {
    "vtkSortedTableStreamer - return a sorted subset of the original table\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "This filter is used quickly get a sorted subset of a given vtkTable.\nBy sorted we mean a subset build from a global sort even if some\noptimisation allow us to skip a global table sorting.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSortedTableStreamer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSortedTableStreamerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSortedTableStreamer", o) != 0)
    {
    Py_DECREF(o);
    }

}

