// python wrapper for vtkSurfaceVectors
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSurfaceVectors.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSurfaceVectors(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSurfaceVectors(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSurfaceVectorsNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSurfaceVectorsNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataSetAlgorithmNew
#endif

static const char **PyvtkSurfaceVectors_Doc();


static PyObject *
PyvtkSurfaceVectors_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkSurfaceVectors::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkSurfaceVectors::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  vtkSurfaceVectors *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkSurfaceVectors::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkSurfaceVectors *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkSurfaceVectors::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_SetConstraintMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConstraintMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetConstraintMode(temp0);
      }
    else
      {
      op->vtkSurfaceVectors::SetConstraintMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_GetConstraintMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConstraintMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConstraintMode();
      }
    else
      {
      tempr = op->vtkSurfaceVectors::GetConstraintMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_SetConstraintModeToParallel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConstraintModeToParallel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetConstraintModeToParallel();
      }
    else
      {
      op->vtkSurfaceVectors::SetConstraintModeToParallel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_SetConstraintModeToPerpendicular(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConstraintModeToPerpendicular");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetConstraintModeToPerpendicular();
      }
    else
      {
      op->vtkSurfaceVectors::SetConstraintModeToPerpendicular();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSurfaceVectors_SetConstraintModeToPerpendicularScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConstraintModeToPerpendicularScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSurfaceVectors *op = static_cast<vtkSurfaceVectors *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetConstraintModeToPerpendicularScale();
      }
    else
      {
      op->vtkSurfaceVectors::SetConstraintModeToPerpendicularScale();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSurfaceVectors_Methods[] = {
  {(char*)"GetClassName", PyvtkSurfaceVectors_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSurfaceVectors_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSurfaceVectors_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSurfaceVectors\nC++: vtkSurfaceVectors *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSurfaceVectors_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSurfaceVectors\nC++: vtkSurfaceVectors *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetConstraintMode", PyvtkSurfaceVectors_SetConstraintMode, 1,
   (char*)"V.SetConstraintMode(int)\nC++: void SetConstraintMode(int a)\n\nThis mode determines whether this filter projects vectors to be\nperpendicular to surface or parallel to surface. It defaults to\nparallel.\n"},
  {(char*)"GetConstraintMode", PyvtkSurfaceVectors_GetConstraintMode, 1,
   (char*)"V.GetConstraintMode() -> int\nC++: int GetConstraintMode()\n\nThis mode determines whether this filter projects vectors to be\nperpendicular to surface or parallel to surface. It defaults to\nparallel.\n"},
  {(char*)"SetConstraintModeToParallel", PyvtkSurfaceVectors_SetConstraintModeToParallel, 1,
   (char*)"V.SetConstraintModeToParallel()\nC++: void SetConstraintModeToParallel()\n\nThis mode determines whether this filter projects vectors to be\nperpendicular to surface or parallel to surface. It defaults to\nparallel.\n"},
  {(char*)"SetConstraintModeToPerpendicular", PyvtkSurfaceVectors_SetConstraintModeToPerpendicular, 1,
   (char*)"V.SetConstraintModeToPerpendicular()\nC++: void SetConstraintModeToPerpendicular()\n\nThis mode determines whether this filter projects vectors to be\nperpendicular to surface or parallel to surface. It defaults to\nparallel.\n"},
  {(char*)"SetConstraintModeToPerpendicularScale", PyvtkSurfaceVectors_SetConstraintModeToPerpendicularScale, 1,
   (char*)"V.SetConstraintModeToPerpendicularScale()\nC++: void SetConstraintModeToPerpendicularScale()\n\nThis mode determines whether this filter projects vectors to be\nperpendicular to surface or parallel to surface. It defaults to\nparallel.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSurfaceVectors_StaticNew()
{
  return vtkSurfaceVectors::New();
}

PyObject *PyVTKClass_vtkSurfaceVectorsNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSurfaceVectors_StaticNew,
    PyvtkSurfaceVectors_Methods,
    "vtkSurfaceVectors", modulename,
    NULL, NULL,
    PyvtkSurfaceVectors_Doc(),
    PyVTKClass_vtkDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkSurfaceVectors_Doc()
{
  static const char *docstring[] = {
    "vtkSurfaceVectors - Constrains vectors to surface.\n\n",
    "Superclass: vtkDataSetAlgorithm\n\n",
    "This filter works on point vectors.  It does not work on cell vectors\nyet. A normal is conputed for a point by averaging normals of\nsurrounding 2D cells.  The vector is then constrained to be\nperpendicular to the normal.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSurfaceVectors(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSurfaceVectorsNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSurfaceVectors", o) != 0)
    {
    Py_DECREF(o);
    }

}

