// python wrapper for vtkTileDisplayHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTileDisplayHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTileDisplayHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTileDisplayHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTileDisplayHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTileDisplayHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkTileDisplayHelper_Doc();


static PyObject *
PyvtkTileDisplayHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTileDisplayHelper *op = static_cast<vtkTileDisplayHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTileDisplayHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTileDisplayHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTileDisplayHelper *op = static_cast<vtkTileDisplayHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTileDisplayHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTileDisplayHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTileDisplayHelper *op = static_cast<vtkTileDisplayHelper *>(vp);

  vtkTileDisplayHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTileDisplayHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTileDisplayHelper_GetInstance(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetInstance");

  vtkTileDisplayHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    tempr = vtkTileDisplayHelper::GetInstance();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTileDisplayHelper_EraseTile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EraseTile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTileDisplayHelper *op = static_cast<vtkTileDisplayHelper *>(vp);

  void  *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->EraseTile(temp0);
      }
    else
      {
      op->vtkTileDisplayHelper::EraseTile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTileDisplayHelper_FlushTiles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FlushTiles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTileDisplayHelper *op = static_cast<vtkTileDisplayHelper *>(vp);

  void  *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->FlushTiles(temp0, temp1);
      }
    else
      {
      op->vtkTileDisplayHelper::FlushTiles(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTileDisplayHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkTileDisplayHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTileDisplayHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTileDisplayHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTileDisplayHelper\nC++: vtkTileDisplayHelper *NewInstance()\n\n"},
  {(char*)"GetInstance", PyvtkTileDisplayHelper_GetInstance, 1,
   (char*)"V.GetInstance() -> vtkTileDisplayHelper\nC++: static vtkTileDisplayHelper *GetInstance()\n\nReturns the singleton.\n"},
  {(char*)"EraseTile", PyvtkTileDisplayHelper_EraseTile, 1,
   (char*)"V.EraseTile()\nC++: void EraseTile(void *key)\n\nErase a tile.\n"},
  {(char*)"FlushTiles", PyvtkTileDisplayHelper_FlushTiles, 1,
   (char*)"V.FlushTiles(, int)\nC++: void FlushTiles(void *key, int leftEye)\n\nFlush the tiles.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTileDisplayHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTileDisplayHelper_Methods,
    "vtkTileDisplayHelper", modulename,
    NULL, NULL,
    PyvtkTileDisplayHelper_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkTileDisplayHelper_Doc()
{
  static const char *docstring[] = {
    "vtkTileDisplayHelper - used on server side in tile display mode, to\n\n",
    "Superclass: vtkObject\n\n",
    "vtkTileDisplayHelper is used on server side in tile display mode, to\nensure that the tiles from multiple views are rendered correctly.\nThis is required since in multi-view configurations, only 1 view is\nrendered at a time, and when a view is being rendered, it may affect\nthe renderings from other view which it must restore for the tile\ndisplay to show the results correctly. We use this helper to k",
    "eep\nbuffered images from all views so that they can be restored.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTileDisplayHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTileDisplayHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTileDisplayHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

