// python wrapper for vtkTilesHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTilesHelper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTilesHelper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTilesHelper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTilesHelperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTilesHelperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkTilesHelper_Doc();


static PyObject *
PyvtkTilesHelper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTilesHelper::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTilesHelper::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  vtkTilesHelper *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTilesHelper::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTilesHelper *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTilesHelper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_SetTileDimensions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetTileDimensions(temp0, temp1);
      }
    else
      {
      op->vtkTilesHelper::SetTileDimensions(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileDimensions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetTileDimensions(temp0);
      }
    else
      {
      op->vtkTilesHelper::SetTileDimensions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileDimensions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTilesHelper_SetTileDimensions_s1(self, args);
    case 1:
      return PyvtkTilesHelper_SetTileDimensions_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetTileDimensions");
  return NULL;
}



static PyObject *
PyvtkTilesHelper_GetTileDimensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTileDimensions();
      }
    else
      {
      tempr = op->vtkTilesHelper::GetTileDimensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_SetTileMullions_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetTileMullions(temp0, temp1);
      }
    else
      {
      op->vtkTilesHelper::SetTileMullions(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileMullions_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetTileMullions(temp0);
      }
    else
      {
      op->vtkTilesHelper::SetTileMullions(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileMullions(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTilesHelper_SetTileMullions_s1(self, args);
    case 1:
      return PyvtkTilesHelper_SetTileMullions_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetTileMullions");
  return NULL;
}



static PyObject *
PyvtkTilesHelper_GetTileMullions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileMullions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTileMullions();
      }
    else
      {
      tempr = op->vtkTilesHelper::GetTileMullions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTilesHelper_SetTileWindowSize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileWindowSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetTileWindowSize(temp0, temp1);
      }
    else
      {
      op->vtkTilesHelper::SetTileWindowSize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileWindowSize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTileWindowSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetTileWindowSize(temp0);
      }
    else
      {
      op->vtkTilesHelper::SetTileWindowSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTilesHelper_SetTileWindowSize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTilesHelper_SetTileWindowSize_s1(self, args);
    case 1:
      return PyvtkTilesHelper_SetTileWindowSize_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetTileWindowSize");
  return NULL;
}



static PyObject *
PyvtkTilesHelper_GetTileWindowSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTileWindowSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTilesHelper *op = static_cast<vtkTilesHelper *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTileWindowSize();
      }
    else
      {
      tempr = op->vtkTilesHelper::GetTileWindowSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}

static PyMethodDef PyvtkTilesHelper_Methods[] = {
  {(char*)"GetClassName", PyvtkTilesHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTilesHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTilesHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTilesHelper\nC++: vtkTilesHelper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTilesHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTilesHelper\nC++: vtkTilesHelper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetTileDimensions", PyvtkTilesHelper_SetTileDimensions, 1,
   (char*)"V.SetTileDimensions(int, int)\nC++: void SetTileDimensions(int, int)\nV.SetTileDimensions((int, int))\nC++: void SetTileDimensions(int a[2])\n\n"},
  {(char*)"GetTileDimensions", PyvtkTilesHelper_GetTileDimensions, 1,
   (char*)"V.GetTileDimensions() -> (int, int)\nC++: int *GetTileDimensions()\n\n"},
  {(char*)"SetTileMullions", PyvtkTilesHelper_SetTileMullions, 1,
   (char*)"V.SetTileMullions(int, int)\nC++: void SetTileMullions(int, int)\nV.SetTileMullions((int, int))\nC++: void SetTileMullions(int a[2])\n\n"},
  {(char*)"GetTileMullions", PyvtkTilesHelper_GetTileMullions, 1,
   (char*)"V.GetTileMullions() -> (int, int)\nC++: int *GetTileMullions()\n\n"},
  {(char*)"SetTileWindowSize", PyvtkTilesHelper_SetTileWindowSize, 1,
   (char*)"V.SetTileWindowSize(int, int)\nC++: void SetTileWindowSize(int, int)\nV.SetTileWindowSize((int, int))\nC++: void SetTileWindowSize(int a[2])\n\n"},
  {(char*)"GetTileWindowSize", PyvtkTilesHelper_GetTileWindowSize, 1,
   (char*)"V.GetTileWindowSize() -> (int, int)\nC++: int *GetTileWindowSize()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTilesHelper_StaticNew()
{
  return vtkTilesHelper::New();
}

PyObject *PyVTKClass_vtkTilesHelperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTilesHelper_StaticNew,
    PyvtkTilesHelper_Methods,
    "vtkTilesHelper", modulename,
    NULL, NULL,
    PyvtkTilesHelper_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkTilesHelper_Doc()
{
  static const char *docstring[] = {
    "vtkTilesHelper - this is a helper class that handles viewport\n\n",
    "Superclass: vtkObject\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTilesHelper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTilesHelperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTilesHelper", o) != 0)
    {
    Py_DECREF(o);
    }

}

