// python wrapper for vtkTimeToTextConvertor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTimeToTextConvertor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTimeToTextConvertor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTimeToTextConvertor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTimeToTextConvertorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTimeToTextConvertorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkTimeToTextConvertor_Doc();


static PyObject *
PyvtkTimeToTextConvertor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  vtkTimeToTextConvertor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTimeToTextConvertor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTimeToTextConvertor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_SetFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFormat(temp0);
      }
    else
      {
      op->vtkTimeToTextConvertor::SetFormat(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_GetFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFormat();
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::GetFormat();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_SetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShift(temp0);
      }
    else
      {
      op->vtkTimeToTextConvertor::SetShift(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_GetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetShift();
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::GetShift();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0);
      }
    else
      {
      op->vtkTimeToTextConvertor::SetScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTimeToTextConvertor_GetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTimeToTextConvertor *op = static_cast<vtkTimeToTextConvertor *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScale();
      }
    else
      {
      tempr = op->vtkTimeToTextConvertor::GetScale();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTimeToTextConvertor_Methods[] = {
  {(char*)"GetClassName", PyvtkTimeToTextConvertor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTimeToTextConvertor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTimeToTextConvertor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTimeToTextConvertor\nC++: vtkTimeToTextConvertor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTimeToTextConvertor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTimeToTextConvertor\nC++: vtkTimeToTextConvertor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFormat", PyvtkTimeToTextConvertor_SetFormat, 1,
   (char*)"V.SetFormat(string)\nC++: void SetFormat(char *)\n\nGet/Set the format in which the to display the input update time.\nUse printf formatting. Default is \"Time: %f\".\n"},
  {(char*)"GetFormat", PyvtkTimeToTextConvertor_GetFormat, 1,
   (char*)"V.GetFormat() -> string\nC++: char *GetFormat()\n\nGet/Set the format in which the to display the input update time.\nUse printf formatting. Default is \"Time: %f\".\n"},
  {(char*)"SetShift", PyvtkTimeToTextConvertor_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift(double a)\n\nApply a translation to the time\n"},
  {(char*)"GetShift", PyvtkTimeToTextConvertor_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift()\n\nApply a translation to the time\n"},
  {(char*)"SetScale", PyvtkTimeToTextConvertor_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale(double a)\n\nApply a scale to the time.\n"},
  {(char*)"GetScale", PyvtkTimeToTextConvertor_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale()\n\nApply a scale to the time.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTimeToTextConvertor_StaticNew()
{
  return vtkTimeToTextConvertor::New();
}

PyObject *PyVTKClass_vtkTimeToTextConvertorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTimeToTextConvertor_StaticNew,
    PyvtkTimeToTextConvertor_Methods,
    "vtkTimeToTextConvertor", modulename,
    NULL, NULL,
    PyvtkTimeToTextConvertor_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkTimeToTextConvertor_Doc()
{
  static const char *docstring[] = {
    "vtkTimeToTextConvertor\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "This filter can be attached to any filter/source/reader that supports\ntime. vtkTimeToTextConvertor will generate a 1x1 vtkTable with the\nstring for the data time using the format specified. The input to\nthis filter is optional. If no input is specified, it will show\nproduce request time in the output.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTimeToTextConvertor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTimeToTextConvertorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTimeToTextConvertor", o) != 0)
    {
    Py_DECREF(o);
    }

}

