// python wrapper for vtkTransferFunctionEditorRepresentation1D
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorRepresentation1D.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorRepresentation1D(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorRepresentation1D(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentation1DNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentation1DNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTransferFunctionEditorRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkTransferFunctionEditorRepresentationNew
#endif

static const char **PyvtkTransferFunctionEditorRepresentation1D_Doc();


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation1D::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation1D::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  vtkTransferFunctionEditorRepresentation1D *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation1D::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_BuildRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BuildRepresentation();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation1D::BuildRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_SetShowColorFunctionInHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionInHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionInHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation1D::SetShowColorFunctionInHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation1D_SetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation1D *op = static_cast<vtkTransferFunctionEditorRepresentation1D *>(vp);

  vtkColorTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->SetColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation1D::SetColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorRepresentation1D_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorRepresentation1D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorRepresentation1D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorRepresentation1D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorRepresentation1D\nC++: vtkTransferFunctionEditorRepresentation1D *NewInstance()\n\n"},
  {(char*)"BuildRepresentation", PyvtkTransferFunctionEditorRepresentation1D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation()\n\nPut together the necessary parts to display this 3D widget\n"},
  {(char*)"SetShowColorFunctionInHistogram", PyvtkTransferFunctionEditorRepresentation1D_SetShowColorFunctionInHistogram, 1,
   (char*)"V.SetShowColorFunctionInHistogram(int)\nC++: virtual void SetShowColorFunctionInHistogram(int color)\n\nToggle whether to display the color function in the histogram.\n"},
  {(char*)"SetColorFunction", PyvtkTransferFunctionEditorRepresentation1D_SetColorFunction, 1,
   (char*)"V.SetColorFunction(vtkColorTransferFunction)\nC++: virtual void SetColorFunction(\n    vtkColorTransferFunction *color)\n\nSet the color transfer function being modified.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentation1DNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTransferFunctionEditorRepresentation1D_Methods,
    "vtkTransferFunctionEditorRepresentation1D", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorRepresentation1D_Doc(),
    PyVTKClass_vtkTransferFunctionEditorRepresentationNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorRepresentation1D_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorRepresentation1D - a representation of a 3D\nwidget for manipulating a transfer function\n\n",
    "Superclass: vtkTransferFunctionEditorRepresentation\n\n",
    "vtkTransferFunctionEditorRepresentation1D is the superclass of\nrepresentations associated with 3D widgets for dislaying and\nmanipulating 1D transfer functions. The histogram associated with\nthis representation is a bar chart indicating the number of times a\nparticular scalar value is used. (Actually the log of this number is\ndisplayed.)\n\nSee Also:\n\nvtkTransferFunctionEditorRepresentationSimple1D\nv",
    "tkTransferFunctionEditorRepresentationShapes1D\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorRepresentation1D(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorRepresentation1DNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorRepresentation1D", o) != 0)
    {
    Py_DECREF(o);
    }

}

