// python wrapper for vtkTransferFunctionEditorRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkWidgetRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkWidgetRepresentationNew
#endif

static const char **PyvtkTransferFunctionEditorRepresentation_Doc();


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkTransferFunctionEditorRepresentation *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetHistogramVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramVisibility(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetHistogramVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetHistogramVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHistogramVisibility();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetHistogramVisibility();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_HistogramVisibilityOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HistogramVisibilityOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->HistogramVisibilityOn();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::HistogramVisibilityOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_HistogramVisibilityOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HistogramVisibilityOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->HistogramVisibilityOff();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::HistogramVisibilityOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetShowColorFunctionInHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionInHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionInHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetShowColorFunctionInHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOpaqueGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkViewport *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    if (ap.IsBound())
      {
      tempr = op->RenderOpaqueGeometry(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::RenderOpaqueGeometry(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderTranslucentPolygonalGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkViewport *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewport"))
    {
    if (ap.IsBound())
      {
      tempr = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasTranslucentPolygonalGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->HasTranslucentPolygonalGeometry();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::HasTranslucentPolygonalGeometry();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReleaseGraphicsResources");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkWindow *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkWindow"))
    {
    if (ap.IsBound())
      {
      op->ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::ReleaseGraphicsResources(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetDisplaySize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDisplaySize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetDisplaySize(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetDisplaySize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetDisplaySize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDisplaySize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0[2];
  int save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetDisplaySize(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetDisplaySize(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetDisplaySize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTransferFunctionEditorRepresentation_SetDisplaySize_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorRepresentation_SetDisplaySize_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetDisplaySize");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetDisplaySize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisplaySize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDisplaySize();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetDisplaySize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalarBinRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetScalarBinRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetScalarBinRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScalarBinRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetScalarBinRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetScalarBinRange(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetScalarBinRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetActiveHandle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetActiveHandle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetActiveHandle(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetActiveHandle(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetActiveHandle(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetActiveHandle");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetActiveHandle();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetActiveHandle();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetNumberOfHandles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfHandles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfHandles();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetNumberOfHandles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetHistogramColor_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetHistogramColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetHistogramColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetHistogramColor_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramColor(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetHistogramColor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetHistogramColor(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkTransferFunctionEditorRepresentation_SetHistogramColor_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorRepresentation_SetHistogramColor_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetHistogramColor");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkColorTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->SetColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetShowColorFunctionInBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionInBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionInBackground(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetShowColorFunctionInBackground(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetShowColorFunctionInBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShowColorFunctionInBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetShowColorFunctionInBackground();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetShowColorFunctionInBackground();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_ShowColorFunctionInBackgroundOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowColorFunctionInBackgroundOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ShowColorFunctionInBackgroundOn();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::ShowColorFunctionInBackgroundOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_ShowColorFunctionInBackgroundOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowColorFunctionInBackgroundOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ShowColorFunctionInBackgroundOff();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::ShowColorFunctionInBackgroundOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetColorLinesByScalar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorLinesByScalar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorLinesByScalar(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetColorLinesByScalar(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetLinesColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLinesColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetLinesColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetLinesColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetColorElementsByColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorElementsByColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorElementsByColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetColorElementsByColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetColorElementsByColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorElementsByColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorElementsByColorFunction();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetColorElementsByColorFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetElementsColor_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementsColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetElementsColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetElementsColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetElementsColor_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementsColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetElementsColor(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetElementsColor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetElementsColor(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkTransferFunctionEditorRepresentation_SetElementsColor_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorRepresentation_SetElementsColor_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetElementsColor");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetVisibleScalarRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetVisibleScalarRange(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetVisibleScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetVisibleScalarRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVisibleScalarRange();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetVisibleScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetElementLighting(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementLighting");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  double temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementLighting(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetElementLighting(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetBorderWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBorderWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBorderWidth(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetBorderWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_SetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  vtkIntArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkIntArray"))
    {
    if (ap.IsBound())
      {
      op->SetHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentation::SetHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentation_GetHistogramMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogramMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentation *op = static_cast<vtkTransferFunctionEditorRepresentation *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHistogramMTime();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentation::GetHistogramMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorRepresentation\nC++: vtkTransferFunctionEditorRepresentation *NewInstance()\n\n"},
  {(char*)"SetHistogramVisibility", PyvtkTransferFunctionEditorRepresentation_SetHistogramVisibility, 1,
   (char*)"V.SetHistogramVisibility(int)\nC++: void SetHistogramVisibility(int a)\n\nSet/Get the visibility of the histogram. Defaults to on.\n"},
  {(char*)"GetHistogramVisibility", PyvtkTransferFunctionEditorRepresentation_GetHistogramVisibility, 1,
   (char*)"V.GetHistogramVisibility() -> int\nC++: int GetHistogramVisibility()\n\nSet/Get the visibility of the histogram. Defaults to on.\n"},
  {(char*)"HistogramVisibilityOn", PyvtkTransferFunctionEditorRepresentation_HistogramVisibilityOn, 1,
   (char*)"V.HistogramVisibilityOn()\nC++: void HistogramVisibilityOn()\n\nSet/Get the visibility of the histogram. Defaults to on.\n"},
  {(char*)"HistogramVisibilityOff", PyvtkTransferFunctionEditorRepresentation_HistogramVisibilityOff, 1,
   (char*)"V.HistogramVisibilityOff()\nC++: void HistogramVisibilityOff()\n\nSet/Get the visibility of the histogram. Defaults to on.\n"},
  {(char*)"SetShowColorFunctionInHistogram", PyvtkTransferFunctionEditorRepresentation_SetShowColorFunctionInHistogram, 1,
   (char*)"V.SetShowColorFunctionInHistogram(int)\nC++: void SetShowColorFunctionInHistogram(int a)\n\nToggle whether to display the color function in the histogram.\n"},
  {(char*)"RenderOpaqueGeometry", PyvtkTransferFunctionEditorRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry(vtkViewport *viewport)\n\nRendering methods\n"},
  {(char*)"RenderTranslucentPolygonalGeometry", PyvtkTransferFunctionEditorRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry(\n    vtkViewport *viewport)\n\nRendering methods\n"},
  {(char*)"HasTranslucentPolygonalGeometry", PyvtkTransferFunctionEditorRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry()\n\nRendering methods\n"},
  {(char*)"ReleaseGraphicsResources", PyvtkTransferFunctionEditorRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources(vtkWindow *window)\n\nWARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release\nany graphics resources that are being consumed by this widget\nrepresentation. The parameter window could be used to determine\nwhich graphic resources to release.\n"},
  {(char*)"SetDisplaySize", PyvtkTransferFunctionEditorRepresentation_SetDisplaySize, 1,
   (char*)"V.SetDisplaySize(int, int)\nC++: virtual void SetDisplaySize(int x, int y)\nV.SetDisplaySize([int, int])\nC++: virtual void SetDisplaySize(int size[2])\n\nSet/get the size of the display containing this representation.\n"},
  {(char*)"GetDisplaySize", PyvtkTransferFunctionEditorRepresentation_GetDisplaySize, 1,
   (char*)"V.GetDisplaySize() -> (int, int)\nC++: int *GetDisplaySize()\n\n"},
  {(char*)"SetScalarBinRange", PyvtkTransferFunctionEditorRepresentation_SetScalarBinRange, 1,
   (char*)"V.SetScalarBinRange(int, int)\nC++: void SetScalarBinRange(int, int)\nV.SetScalarBinRange((int, int))\nC++: void SetScalarBinRange(int a[2])\n\n"},
  {(char*)"SetActiveHandle", PyvtkTransferFunctionEditorRepresentation_SetActiveHandle, 1,
   (char*)"V.SetActiveHandle(int)\nC++: virtual void SetActiveHandle(unsigned int)\n\nSet/get the current handle Id.\n"},
  {(char*)"GetActiveHandle", PyvtkTransferFunctionEditorRepresentation_GetActiveHandle, 1,
   (char*)"V.GetActiveHandle() -> int\nC++: virtual unsigned int GetActiveHandle()\n\nSet/get the current handle Id.\n"},
  {(char*)"GetNumberOfHandles", PyvtkTransferFunctionEditorRepresentation_GetNumberOfHandles, 1,
   (char*)"V.GetNumberOfHandles() -> int\nC++: virtual unsigned int GetNumberOfHandles()\n\nGet the number of existing handles.\n"},
  {(char*)"SetHistogramColor", PyvtkTransferFunctionEditorRepresentation_SetHistogramColor, 1,
   (char*)"V.SetHistogramColor(float, float, float)\nC++: void SetHistogramColor(double, double, double)\nV.SetHistogramColor((float, float, float))\nC++: void SetHistogramColor(double a[3])\n\n"},
  {(char*)"SetColorFunction", PyvtkTransferFunctionEditorRepresentation_SetColorFunction, 1,
   (char*)"V.SetColorFunction(vtkColorTransferFunction)\nC++: virtual void SetColorFunction(\n    vtkColorTransferFunction *color)\n\nSet the color transfer function being modified.\n"},
  {(char*)"SetShowColorFunctionInBackground", PyvtkTransferFunctionEditorRepresentation_SetShowColorFunctionInBackground, 1,
   (char*)"V.SetShowColorFunctionInBackground(int)\nC++: void SetShowColorFunctionInBackground(int a)\n\nToggle whether to display to color transfer function as a\ngradient in the background of the editor.\n"},
  {(char*)"GetShowColorFunctionInBackground", PyvtkTransferFunctionEditorRepresentation_GetShowColorFunctionInBackground, 1,
   (char*)"V.GetShowColorFunctionInBackground() -> int\nC++: int GetShowColorFunctionInBackground()\n\nToggle whether to display to color transfer function as a\ngradient in the background of the editor.\n"},
  {(char*)"ShowColorFunctionInBackgroundOn", PyvtkTransferFunctionEditorRepresentation_ShowColorFunctionInBackgroundOn, 1,
   (char*)"V.ShowColorFunctionInBackgroundOn()\nC++: void ShowColorFunctionInBackgroundOn()\n\nToggle whether to display to color transfer function as a\ngradient in the background of the editor.\n"},
  {(char*)"ShowColorFunctionInBackgroundOff", PyvtkTransferFunctionEditorRepresentation_ShowColorFunctionInBackgroundOff, 1,
   (char*)"V.ShowColorFunctionInBackgroundOff()\nC++: void ShowColorFunctionInBackgroundOff()\n\nToggle whether to display to color transfer function as a\ngradient in the background of the editor.\n"},
  {(char*)"SetColorLinesByScalar", PyvtkTransferFunctionEditorRepresentation_SetColorLinesByScalar, 1,
   (char*)"V.SetColorLinesByScalar(int)\nC++: virtual void SetColorLinesByScalar(int)\n\nTell the representation whether the lines should be a solid color\nor whether they should display the color transfer function.\n"},
  {(char*)"SetLinesColor", PyvtkTransferFunctionEditorRepresentation_SetLinesColor, 1,
   (char*)"V.SetLinesColor(float, float, float)\nC++: virtual void SetLinesColor(double, double, double)\n\nSpecify the color to use for the lines if they are not displaying\nthe color transfer function.\n"},
  {(char*)"SetColorElementsByColorFunction", PyvtkTransferFunctionEditorRepresentation_SetColorElementsByColorFunction, 1,
   (char*)"V.SetColorElementsByColorFunction(int)\nC++: void SetColorElementsByColorFunction(int a)\n\nSpecify whether the node color should be determined by the color\ntransfer function.\n"},
  {(char*)"GetColorElementsByColorFunction", PyvtkTransferFunctionEditorRepresentation_GetColorElementsByColorFunction, 1,
   (char*)"V.GetColorElementsByColorFunction() -> int\nC++: int GetColorElementsByColorFunction()\n\nSpecify whether the node color should be determined by the color\ntransfer function.\n"},
  {(char*)"SetElementsColor", PyvtkTransferFunctionEditorRepresentation_SetElementsColor, 1,
   (char*)"V.SetElementsColor(float, float, float)\nC++: void SetElementsColor(double, double, double)\nV.SetElementsColor((float, float, float))\nC++: void SetElementsColor(double a[3])\n\n"},
  {(char*)"SetVisibleScalarRange", PyvtkTransferFunctionEditorRepresentation_SetVisibleScalarRange, 1,
   (char*)"V.SetVisibleScalarRange(float, float)\nC++: void SetVisibleScalarRange(double, double)\nV.SetVisibleScalarRange((float, float))\nC++: void SetVisibleScalarRange(double a[2])\n\n"},
  {(char*)"GetVisibleScalarRange", PyvtkTransferFunctionEditorRepresentation_GetVisibleScalarRange, 1,
   (char*)"V.GetVisibleScalarRange() -> (float, float)\nC++: double *GetVisibleScalarRange()\n\n"},
  {(char*)"SetElementLighting", PyvtkTransferFunctionEditorRepresentation_SetElementLighting, 1,
   (char*)"V.SetElementLighting(float, float, float, float)\nC++: virtual void SetElementLighting(double, double, double,\n    double)\n\nSet the lighting parameters for the transfer function editor\nelements.\n"},
  {(char*)"SetBorderWidth", PyvtkTransferFunctionEditorRepresentation_SetBorderWidth, 1,
   (char*)"V.SetBorderWidth(int)\nC++: virtual void SetBorderWidth(int width)\n\nSet the border width (in pixels) so the histogram and background\nimages may be sized accordingly.\n"},
  {(char*)"SetHistogram", PyvtkTransferFunctionEditorRepresentation_SetHistogram, 1,
   (char*)"V.SetHistogram(vtkIntArray)\nC++: void SetHistogram(vtkIntArray *histogram)\n\nSet the int array containing the histogram (computed by the\nassociated vtkTransferFunctionEditorWidget1D).\n"},
  {(char*)"GetHistogramMTime", PyvtkTransferFunctionEditorRepresentation_GetHistogramMTime, 1,
   (char*)"V.GetHistogramMTime() -> int\nC++: unsigned long GetHistogramMTime()\n\nGet the modified time associated with the histogram.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTransferFunctionEditorRepresentation_Methods,
    "vtkTransferFunctionEditorRepresentation", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorRepresentation_Doc(),
    PyVTKClass_vtkWidgetRepresentationNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorRepresentation - a representation for a 3D\nwidget for manipulating a transfer function\n\n",
    "Superclass: vtkWidgetRepresentation\n\n",
    "vtkTransferFunctionEditorRepresentation is a superclass for\nrepresentations associated with subclasses of\nvtkTransferFunctionEditorWidget. In addition to displaying the nodes\n/ shapes for specifying the transfer function, this class also allows\nyou to display a histogram in the background.\n\nSee Also:\n\nvtkTransferFunctionEditorRepresentationSimple1D\nvtkTransferFunctionEditorRepresentationShapes1D\nv",
    "tkTransferFunctionEditorRepresentationShapes2D\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

