// python wrapper for vtkTransferFunctionEditorRepresentationShapes2D
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorRepresentationShapes2D.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorRepresentationShapes2D(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorRepresentationShapes2D(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationShapes2DNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationShapes2DNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTransferFunctionEditorRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkTransferFunctionEditorRepresentationNew
#endif

static const char **PyvtkTransferFunctionEditorRepresentationShapes2D_Doc();


static PyObject *
PyvtkTransferFunctionEditorRepresentationShapes2D_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentationShapes2D *op = static_cast<vtkTransferFunctionEditorRepresentationShapes2D *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentationShapes2D::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentationShapes2D_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentationShapes2D *op = static_cast<vtkTransferFunctionEditorRepresentationShapes2D *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentationShapes2D::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentationShapes2D_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentationShapes2D *op = static_cast<vtkTransferFunctionEditorRepresentationShapes2D *>(vp);

  vtkTransferFunctionEditorRepresentationShapes2D *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorRepresentationShapes2D::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentationShapes2D_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTransferFunctionEditorRepresentationShapes2D *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTransferFunctionEditorRepresentationShapes2D::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorRepresentationShapes2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorRepresentationShapes2D *op = static_cast<vtkTransferFunctionEditorRepresentationShapes2D *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BuildRepresentation();
      }
    else
      {
      op->vtkTransferFunctionEditorRepresentationShapes2D::BuildRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorRepresentationShapes2D_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorRepresentationShapes2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorRepresentationShapes2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorRepresentationShapes2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorRepresentationShapes2D\nC++: vtkTransferFunctionEditorRepresentationShapes2D *NewInstance(\n    )\n\n"},
  {(char*)"SafeDownCast", PyvtkTransferFunctionEditorRepresentationShapes2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkTransferFunctionEditorRepresentationShapes2D\nC++: vtkTransferFunctionEditorRepresentationShapes2D *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"BuildRepresentation", PyvtkTransferFunctionEditorRepresentationShapes2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation()\n\nPut together the parts necessary for displaying this 3D widget.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTransferFunctionEditorRepresentationShapes2D_StaticNew()
{
  return vtkTransferFunctionEditorRepresentationShapes2D::New();
}

PyObject *PyVTKClass_vtkTransferFunctionEditorRepresentationShapes2DNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTransferFunctionEditorRepresentationShapes2D_StaticNew,
    PyvtkTransferFunctionEditorRepresentationShapes2D_Methods,
    "vtkTransferFunctionEditorRepresentationShapes2D", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorRepresentationShapes2D_Doc(),
    PyVTKClass_vtkTransferFunctionEditorRepresentationNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorRepresentationShapes2D_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorRepresentationShapes2D - a representation of\na 3D widget for manipulating a transfer function\n\n",
    "Superclass: vtkTransferFunctionEditorRepresentation\n\n",
    "vtkTransferFunctionEditorRepresentationShapes2D is the representation\nassociated with vtkTransferFunctionEditorWidgetShapes2D. It is used\nfor displaying / manipulating a 2D transfer function using shapes.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorRepresentationShapes2D(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorRepresentationShapes2DNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorRepresentationShapes2D", o) != 0)
    {
    Py_DECREF(o);
    }

}

