// python wrapper for vtkTransferFunctionEditorWidget1D
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorWidget1D.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorWidget1D(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorWidget1D(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorWidget1DNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorWidget1DNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTransferFunctionEditorWidgetNew
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetNew(const char *); }
#define DECLARED_PyVTKClass_vtkTransferFunctionEditorWidgetNew
#endif

static const char **PyvtkTransferFunctionEditorWidget1D_Doc();


static PyObject *
PyvtkTransferFunctionEditorWidget1D_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget1D *op = static_cast<vtkTransferFunctionEditorWidget1D *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget1D::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget1D_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget1D *op = static_cast<vtkTransferFunctionEditorWidget1D *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget1D::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget1D_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget1D *op = static_cast<vtkTransferFunctionEditorWidget1D *>(vp);

  vtkTransferFunctionEditorWidget1D *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget1D::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget1D_SetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget1D *op = static_cast<vtkTransferFunctionEditorWidget1D *>(vp);

  vtkRectilinearGrid *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRectilinearGrid"))
    {
    if (ap.IsBound())
      {
      op->SetHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget1D::SetHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorWidget1D_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorWidget1D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorWidget1D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorWidget1D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorWidget1D\nC++: vtkTransferFunctionEditorWidget1D *NewInstance()\n\n"},
  {(char*)"SetHistogram", PyvtkTransferFunctionEditorWidget1D_SetHistogram, 1,
   (char*)"V.SetHistogram(vtkRectilinearGrid)\nC++: virtual void SetHistogram(vtkRectilinearGrid *histogram)\n\nSet the histogram.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTransferFunctionEditorWidget1DNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTransferFunctionEditorWidget1D_Methods,
    "vtkTransferFunctionEditorWidget1D", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorWidget1D_Doc(),
    PyVTKClass_vtkTransferFunctionEditorWidgetNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorWidget1D_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorWidget1D - a 3D widget for manipulating a\ntransfer function\n\n",
    "Superclass: vtkTransferFunctionEditorWidget\n\n",
    "vtkTransferFunctionEditorWidget1D is a superclass for 3D widget used\nfor manipulating 1D transfer functions.\n\nSee Also:\n\nvtkTransferFunctionEditorWidgetSimple1D\nvtkTransferFunctionEditorWidgetShapes1D\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorWidget1D(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorWidget1DNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorWidget1D", o) != 0)
    {
    Py_DECREF(o);
    }

}

