// python wrapper for vtkTransferFunctionEditorWidget
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorWidget.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorWidget(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorWidget(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkAbstractWidgetNew
extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(const char *); }
#define DECLARED_PyVTKClass_vtkAbstractWidgetNew
#endif

static const char **PyvtkTransferFunctionEditorWidget_Doc();


static PyObject *
PyvtkTransferFunctionEditorWidget_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkTransferFunctionEditorWidget *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetVisibleScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetVisibleScalarRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange_s1(self, args);
    case 2:
      return PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetVisibleScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorWidget_GetVisibleScalarRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVisibleScalarRange();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetVisibleScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetWholeScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetWholeScalarRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetWholeScalarRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorWidget_SetWholeScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetWholeScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetWholeScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionEditorWidget_SetWholeScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTransferFunctionEditorWidget_SetWholeScalarRange_s1(self, args);
    case 1:
      return PyvtkTransferFunctionEditorWidget_SetWholeScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetWholeScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionEditorWidget_GetWholeScalarRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  double *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetWholeScalarRange();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetWholeScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_ShowWholeScalarRange(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ShowWholeScalarRange();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::ShowWholeScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_Configure(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Configure");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int temp0[2];
  int save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->Configure(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::Configure(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetModificationType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModificationType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetModificationType(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetModificationType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetModificationTypeMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModificationTypeMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModificationTypeMinValue();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetModificationTypeMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetModificationTypeMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetModificationTypeMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetModificationTypeMaxValue();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetModificationTypeMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetOpacityFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOpacityFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkPiecewiseFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOpacityFunction();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetOpacityFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetOpacityFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacityFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkPiecewiseFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPiecewiseFunction"))
    {
    if (ap.IsBound())
      {
      op->SetOpacityFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetOpacityFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkColorTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorFunction();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetColorFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkColorTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->SetColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetAllowInteriorElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAllowInteriorElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAllowInteriorElements(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetAllowInteriorElements(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetAllowInteriorElementsMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllowInteriorElementsMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAllowInteriorElementsMinValue();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetAllowInteriorElementsMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetAllowInteriorElementsMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllowInteriorElementsMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAllowInteriorElementsMaxValue();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetAllowInteriorElementsMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetAllowInteriorElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllowInteriorElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAllowInteriorElements();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetAllowInteriorElements();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_AllowInteriorElementsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllowInteriorElementsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllowInteriorElementsOn();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::AllowInteriorElementsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_AllowInteriorElementsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllowInteriorElementsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllowInteriorElementsOff();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::AllowInteriorElementsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetElementOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetElementOpacity(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetElementOpacity(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetElementOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetElementOpacity(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetElementOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetElementRGBColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementRGBColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementRGBColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetElementRGBColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetElementHSVColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementHSVColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementHSVColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetElementHSVColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetElementScalar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementScalar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetElementScalar(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetElementScalar(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetElementScalar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementScalar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned int temp0;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetElementScalar(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetElementScalar(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkRectilinearGrid *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRectilinearGrid"))
    {
    if (ap.IsBound())
      {
      op->SetHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  vtkRectilinearGrid *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHistogram();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetHistogram();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetColorSpace(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorSpace");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorSpace(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetColorSpace(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_MoveToPreviousElement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MoveToPreviousElement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MoveToPreviousElement();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::MoveToPreviousElement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_MoveToNextElement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MoveToNextElement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MoveToNextElement();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::MoveToNextElement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_OnChar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OnChar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->OnChar();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::OnChar();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetColorMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorMTime();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetColorMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_GetOpacityMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOpacityMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOpacityMTime();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidget::GetOpacityMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_UpdateFromTransferFunctions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateFromTransferFunctions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateFromTransferFunctions();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::UpdateFromTransferFunctions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateDefaultRepresentation();
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::CreateDefaultRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidget_SetBorderWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBorderWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidget *op = static_cast<vtkTransferFunctionEditorWidget *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBorderWidth(temp0);
      }
    else
      {
      op->vtkTransferFunctionEditorWidget::SetBorderWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorWidget_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorWidget\nC++: vtkTransferFunctionEditorWidget *NewInstance()\n\n"},
  {(char*)"SetVisibleScalarRange", PyvtkTransferFunctionEditorWidget_SetVisibleScalarRange, 1,
   (char*)"V.SetVisibleScalarRange([float, float])\nC++: virtual void SetVisibleScalarRange(double range[2])\nV.SetVisibleScalarRange(float, float)\nC++: virtual void SetVisibleScalarRange(double min, double max)\n\nSet the scalar range to show in the transfer function editor.\n"},
  {(char*)"GetVisibleScalarRange", PyvtkTransferFunctionEditorWidget_GetVisibleScalarRange, 1,
   (char*)"V.GetVisibleScalarRange() -> (float, float)\nC++: double *GetVisibleScalarRange()\n\n"},
  {(char*)"SetWholeScalarRange", PyvtkTransferFunctionEditorWidget_SetWholeScalarRange, 1,
   (char*)"V.SetWholeScalarRange(float, float)\nC++: void SetWholeScalarRange(double min, double max)\nV.SetWholeScalarRange([float, float])\nC++: void SetWholeScalarRange(double range[2])\n\nSet the whole range of possible scalar values to show in the\ntransfer function editor. This is used for showing the whole\nscalar range when the histogram is not set.\n"},
  {(char*)"GetWholeScalarRange", PyvtkTransferFunctionEditorWidget_GetWholeScalarRange, 1,
   (char*)"V.GetWholeScalarRange() -> (float, float)\nC++: double *GetWholeScalarRange()\n\n"},
  {(char*)"ShowWholeScalarRange", PyvtkTransferFunctionEditorWidget_ShowWholeScalarRange, 1,
   (char*)"V.ShowWholeScalarRange()\nC++: void ShowWholeScalarRange()\n\nReset the widget so that it shows the whole scalar range of the\ninput data set.\n"},
  {(char*)"Configure", PyvtkTransferFunctionEditorWidget_Configure, 1,
   (char*)"V.Configure([int, int])\nC++: virtual void Configure(int size[2])\n\nReconfigure the widget based on the size of the renderer\ncontaining it.\n"},
  {(char*)"SetModificationType", PyvtkTransferFunctionEditorWidget_SetModificationType, 1,
   (char*)"V.SetModificationType(int)\nC++: void SetModificationType(int)\n\nSet the type of function to modify.\n"},
  {(char*)"GetModificationTypeMinValue", PyvtkTransferFunctionEditorWidget_GetModificationTypeMinValue, 1,
   (char*)"V.GetModificationTypeMinValue() -> int\nC++: int GetModificationTypeMinValue()\n\nSet the type of function to modify.\n"},
  {(char*)"GetModificationTypeMaxValue", PyvtkTransferFunctionEditorWidget_GetModificationTypeMaxValue, 1,
   (char*)"V.GetModificationTypeMaxValue() -> int\nC++: int GetModificationTypeMaxValue()\n\nSet the type of function to modify.\n"},
  {(char*)"GetOpacityFunction", PyvtkTransferFunctionEditorWidget_GetOpacityFunction, 1,
   (char*)"V.GetOpacityFunction() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetOpacityFunction()\n\nSet/get the opacity transfer function.\n"},
  {(char*)"SetOpacityFunction", PyvtkTransferFunctionEditorWidget_SetOpacityFunction, 1,
   (char*)"V.SetOpacityFunction(vtkPiecewiseFunction)\nC++: void SetOpacityFunction(vtkPiecewiseFunction *function)\n\nSet/get the opacity transfer function.\n"},
  {(char*)"GetColorFunction", PyvtkTransferFunctionEditorWidget_GetColorFunction, 1,
   (char*)"V.GetColorFunction() -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *GetColorFunction()\n\nSet/get the color transfer function.\n"},
  {(char*)"SetColorFunction", PyvtkTransferFunctionEditorWidget_SetColorFunction, 1,
   (char*)"V.SetColorFunction(vtkColorTransferFunction)\nC++: void SetColorFunction(vtkColorTransferFunction *function)\n\nSet/get the color transfer function.\n"},
  {(char*)"SetAllowInteriorElements", PyvtkTransferFunctionEditorWidget_SetAllowInteriorElements, 1,
   (char*)"V.SetAllowInteriorElements(int)\nC++: void SetAllowInteriorElements(int)\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"GetAllowInteriorElementsMinValue", PyvtkTransferFunctionEditorWidget_GetAllowInteriorElementsMinValue, 1,
   (char*)"V.GetAllowInteriorElementsMinValue() -> int\nC++: int GetAllowInteriorElementsMinValue()\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"GetAllowInteriorElementsMaxValue", PyvtkTransferFunctionEditorWidget_GetAllowInteriorElementsMaxValue, 1,
   (char*)"V.GetAllowInteriorElementsMaxValue() -> int\nC++: int GetAllowInteriorElementsMaxValue()\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"GetAllowInteriorElements", PyvtkTransferFunctionEditorWidget_GetAllowInteriorElements, 1,
   (char*)"V.GetAllowInteriorElements() -> int\nC++: int GetAllowInteriorElements()\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"AllowInteriorElementsOn", PyvtkTransferFunctionEditorWidget_AllowInteriorElementsOn, 1,
   (char*)"V.AllowInteriorElementsOn()\nC++: void AllowInteriorElementsOn()\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"AllowInteriorElementsOff", PyvtkTransferFunctionEditorWidget_AllowInteriorElementsOff, 1,
   (char*)"V.AllowInteriorElementsOff()\nC++: void AllowInteriorElementsOff()\n\nToggle whether to allow interior nodes in the transfer function.\n"},
  {(char*)"SetElementOpacity", PyvtkTransferFunctionEditorWidget_SetElementOpacity, 1,
   (char*)"V.SetElementOpacity(int, float)\nC++: virtual void SetElementOpacity(unsigned int, double)\n\nSet/get the opacity of a particular element in the transfer\nfunction editor.\n"},
  {(char*)"GetElementOpacity", PyvtkTransferFunctionEditorWidget_GetElementOpacity, 1,
   (char*)"V.GetElementOpacity(int) -> float\nC++: virtual double GetElementOpacity(unsigned int)\n\nSet/get the opacity of a particular element in the transfer\nfunction editor.\n"},
  {(char*)"SetElementRGBColor", PyvtkTransferFunctionEditorWidget_SetElementRGBColor, 1,
   (char*)"V.SetElementRGBColor(int, float, float, float)\nC++: virtual void SetElementRGBColor(unsigned int, double, double,\n     double)\n\nSet/get the RGB color of a particular element in the transfer\nfunction editor.\n"},
  {(char*)"SetElementHSVColor", PyvtkTransferFunctionEditorWidget_SetElementHSVColor, 1,
   (char*)"V.SetElementHSVColor(int, float, float, float)\nC++: virtual void SetElementHSVColor(unsigned int, double, double,\n     double)\n\nSet the HSV color of a particular element in the transfer\nfunction editor.\n"},
  {(char*)"SetElementScalar", PyvtkTransferFunctionEditorWidget_SetElementScalar, 1,
   (char*)"V.SetElementScalar(int, float)\nC++: virtual void SetElementScalar(unsigned int, double)\n\nSet the scalar value associated with a particular element in the\ntransfer function editor.\n"},
  {(char*)"GetElementScalar", PyvtkTransferFunctionEditorWidget_GetElementScalar, 1,
   (char*)"V.GetElementScalar(int) -> float\nC++: virtual double GetElementScalar(unsigned int)\n\nSet the scalar value associated with a particular element in the\ntransfer function editor.\n"},
  {(char*)"SetHistogram", PyvtkTransferFunctionEditorWidget_SetHistogram, 1,
   (char*)"V.SetHistogram(vtkRectilinearGrid)\nC++: virtual void SetHistogram(vtkRectilinearGrid *histogram)\n\nSet/get the rectilinear grid containing the histogram.\n"},
  {(char*)"GetHistogram", PyvtkTransferFunctionEditorWidget_GetHistogram, 1,
   (char*)"V.GetHistogram() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetHistogram()\n\nSet/get the rectilinear grid containing the histogram.\n"},
  {(char*)"SetColorSpace", PyvtkTransferFunctionEditorWidget_SetColorSpace, 1,
   (char*)"V.SetColorSpace(int)\nC++: virtual void SetColorSpace(int)\n\nSet the color space. (RGB = 0, HSV = 1, HSV with wrapping = 2,\nCIELAB = 3, Diverging = 4)\n"},
  {(char*)"MoveToPreviousElement", PyvtkTransferFunctionEditorWidget_MoveToPreviousElement, 1,
   (char*)"V.MoveToPreviousElement()\nC++: virtual void MoveToPreviousElement()\n\nMove to previous/next transfer function element.\n"},
  {(char*)"MoveToNextElement", PyvtkTransferFunctionEditorWidget_MoveToNextElement, 1,
   (char*)"V.MoveToNextElement()\nC++: virtual void MoveToNextElement()\n\nMove to previous/next transfer function element.\n"},
  {(char*)"OnChar", PyvtkTransferFunctionEditorWidget_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar()\n\nRespond to keypress events.\n"},
  {(char*)"GetColorMTime", PyvtkTransferFunctionEditorWidget_GetColorMTime, 1,
   (char*)"V.GetColorMTime() -> int\nC++: unsigned long GetColorMTime()\n\nGet the modified time associated with the color / opacity\ntransfer functions.\n"},
  {(char*)"GetOpacityMTime", PyvtkTransferFunctionEditorWidget_GetOpacityMTime, 1,
   (char*)"V.GetOpacityMTime() -> int\nC++: unsigned long GetOpacityMTime()\n\nGet the modified time associated with the color / opacity\ntransfer functions.\n"},
  {(char*)"UpdateFromTransferFunctions", PyvtkTransferFunctionEditorWidget_UpdateFromTransferFunctions, 1,
   (char*)"V.UpdateFromTransferFunctions()\nC++: virtual void UpdateFromTransferFunctions()\n\nUpdate this widget based on changes to the transfer functions.\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkTransferFunctionEditorWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation()\n\nCreate a default representation for this widget,\nvtkTransferFunctionEditorRepresentationSimple1D in this case.\n"},
  {(char*)"SetBorderWidth", PyvtkTransferFunctionEditorWidget_SetBorderWidth, 1,
   (char*)"V.SetBorderWidth(int)\nC++: virtual void SetBorderWidth(int width)\n\nSet the width (in pixels) of the border around the transfer\nfunction editor.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTransferFunctionEditorWidget_Methods,
    "vtkTransferFunctionEditorWidget", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorWidget_Doc(),
    PyVTKClass_vtkAbstractWidgetNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorWidget_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorWidget - a 3D widget for manipulating a\ntransfer function\n\n",
    "Superclass: vtkAbstractWidget\n\n",
    "vtkTransferFunctionEditorWidget is a superclass for 3D widgets that\nmanipulate a transfer function. It allows you to interactively change\nthe transfer function used for determining the colors used in\nrendering an actor or volume.\n\nSee Also:\n\nvtkTransferFunctionEditorWidgetSimple1D\nvtkTransferFunctionEditorWidgetShapes1D\nvtkTransferFunctionEditorWidgetShapes2D\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorWidget(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorWidgetNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorWidget", o) != 0)
    {
    Py_DECREF(o);
    }

}

