// python wrapper for vtkTransferFunctionEditorWidgetShapes2D
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionEditorWidgetShapes2D.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionEditorWidgetShapes2D(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionEditorWidgetShapes2D(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetShapes2DNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetShapes2DNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTransferFunctionEditorWidgetNew
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetNew(const char *); }
#define DECLARED_PyVTKClass_vtkTransferFunctionEditorWidgetNew
#endif

static const char **PyvtkTransferFunctionEditorWidgetShapes2D_Doc();


static PyObject *
PyvtkTransferFunctionEditorWidgetShapes2D_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidgetShapes2D *op = static_cast<vtkTransferFunctionEditorWidgetShapes2D *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidgetShapes2D::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidgetShapes2D_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidgetShapes2D *op = static_cast<vtkTransferFunctionEditorWidgetShapes2D *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidgetShapes2D::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidgetShapes2D_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidgetShapes2D *op = static_cast<vtkTransferFunctionEditorWidgetShapes2D *>(vp);

  vtkTransferFunctionEditorWidgetShapes2D *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionEditorWidgetShapes2D::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidgetShapes2D_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTransferFunctionEditorWidgetShapes2D *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTransferFunctionEditorWidgetShapes2D::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionEditorWidgetShapes2D_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateDefaultRepresentation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionEditorWidgetShapes2D *op = static_cast<vtkTransferFunctionEditorWidgetShapes2D *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CreateDefaultRepresentation();
      }
    else
      {
      op->vtkTransferFunctionEditorWidgetShapes2D::CreateDefaultRepresentation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionEditorWidgetShapes2D_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionEditorWidgetShapes2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionEditorWidgetShapes2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionEditorWidgetShapes2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionEditorWidgetShapes2D\nC++: vtkTransferFunctionEditorWidgetShapes2D *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTransferFunctionEditorWidgetShapes2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject)\n    -> vtkTransferFunctionEditorWidgetShapes2D\nC++: vtkTransferFunctionEditorWidgetShapes2D *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"CreateDefaultRepresentation", PyvtkTransferFunctionEditorWidgetShapes2D_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation()\n\nCreate a default widget representation,\nvtkTransferFunctionEditorRepresentationShapes2D in this case.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTransferFunctionEditorWidgetShapes2D_StaticNew()
{
  return vtkTransferFunctionEditorWidgetShapes2D::New();
}

PyObject *PyVTKClass_vtkTransferFunctionEditorWidgetShapes2DNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTransferFunctionEditorWidgetShapes2D_StaticNew,
    PyvtkTransferFunctionEditorWidgetShapes2D_Methods,
    "vtkTransferFunctionEditorWidgetShapes2D", modulename,
    NULL, NULL,
    PyvtkTransferFunctionEditorWidgetShapes2D_Doc(),
    PyVTKClass_vtkTransferFunctionEditorWidgetNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionEditorWidgetShapes2D_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionEditorWidgetShapes2D - a 3D widget for\nmanipulating a transfer function\n\n",
    "Superclass: vtkTransferFunctionEditorWidget\n\n",
    "vtkTransferFunctionEditorWidgetShapes1D is a 3D widget used for\nmanipulating 2D transfer functions using shapes.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionEditorWidgetShapes2D(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionEditorWidgetShapes2DNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionEditorWidgetShapes2D", o) != 0)
    {
    Py_DECREF(o);
    }

}

