// python wrapper for vtkTransferFunctionViewer
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTransferFunctionViewer.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTransferFunctionViewer(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTransferFunctionViewer(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransferFunctionViewerNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransferFunctionViewerNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkTransferFunctionViewer_Doc();


static PyObject *
PyvtkTransferFunctionViewer_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkTransferFunctionViewer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkTransferFunctionViewer *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkTransferFunctionViewer::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetBackgroundColor_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackgroundColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetBackgroundColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetBackgroundColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetBackgroundColor_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackgroundColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[3];
  double save0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetBackgroundColor(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetBackgroundColor(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetBackgroundColor(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkTransferFunctionViewer_SetBackgroundColor_s1(self, args);
    case 1:
      return PyvtkTransferFunctionViewer_SetBackgroundColor_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetBackgroundColor");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_SetHistogramColor_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetHistogramColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetHistogramColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetHistogramColor_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[3];
  double save0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetHistogramColor(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetHistogramColor(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetHistogramColor(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkTransferFunctionViewer_SetHistogramColor_s1(self, args);
    case 1:
      return PyvtkTransferFunctionViewer_SetHistogramColor_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetHistogramColor");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_SetSize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetSize(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetSize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetSize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0[2];
  int save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetSize(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetSize(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetSize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkTransferFunctionViewer_SetSize_s1(self, args);
    case 1:
      return PyvtkTransferFunctionViewer_SetSize_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetSize");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_SetBorderWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBorderWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBorderWidth(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetBorderWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_Render(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Render");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Render();
      }
    else
      {
      op->vtkTransferFunctionViewer::Render();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetTransferFunctionEditorType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTransferFunctionEditorType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTransferFunctionEditorType(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetTransferFunctionEditorType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToSimple1D(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTransferFunctionEditorTypeToSimple1D");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetTransferFunctionEditorTypeToSimple1D();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetTransferFunctionEditorTypeToSimple1D();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToShapes1D(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTransferFunctionEditorTypeToShapes1D");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetTransferFunctionEditorTypeToShapes1D();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetTransferFunctionEditorTypeToShapes1D();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToShapes2D(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTransferFunctionEditorTypeToShapes2D");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetTransferFunctionEditorTypeToShapes2D();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetTransferFunctionEditorTypeToShapes2D();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetModificationType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModificationType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetModificationType(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetModificationType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetModificationTypeToColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModificationTypeToColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModificationTypeToColor();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetModificationTypeToColor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetModificationTypeToOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModificationTypeToOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModificationTypeToOpacity();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetModificationTypeToOpacity();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetModificationTypeToColorAndOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetModificationTypeToColorAndOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetModificationTypeToColorAndOpacity();
      }
    else
      {
      op->vtkTransferFunctionViewer::SetModificationTypeToColorAndOpacity();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRectilinearGrid *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRectilinearGrid"))
    {
    if (ap.IsBound())
      {
      op->SetHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetVisibleScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetVisibleScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetVisibleScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetVisibleScalarRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetVisibleScalarRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetVisibleScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkTransferFunctionViewer_SetVisibleScalarRange_s1(self, args);
    case 2:
      return PyvtkTransferFunctionViewer_SetVisibleScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetVisibleScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_GetVisibleScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetVisibleScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::GetVisibleScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_GetVisibleScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVisibleScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVisibleScalarRange();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetVisibleScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_GetVisibleScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkTransferFunctionViewer_GetVisibleScalarRange_s1(self, args);
    case 0:
      return PyvtkTransferFunctionViewer_GetVisibleScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetVisibleScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_SetWholeScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->SetWholeScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetWholeScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetWholeScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetWholeScalarRange(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetWholeScalarRange(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_SetWholeScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkTransferFunctionViewer_SetWholeScalarRange_s1(self, args);
    case 2:
      return PyvtkTransferFunctionViewer_SetWholeScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetWholeScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_GetWholeScalarRange_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetWholeScalarRange(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::GetWholeScalarRange(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_GetWholeScalarRange_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWholeScalarRange");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetWholeScalarRange();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetWholeScalarRange();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}

static PyObject *
PyvtkTransferFunctionViewer_GetWholeScalarRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkTransferFunctionViewer_GetWholeScalarRange_s1(self, args);
    case 0:
      return PyvtkTransferFunctionViewer_GetWholeScalarRange_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetWholeScalarRange");
  return NULL;
}



static PyObject *
PyvtkTransferFunctionViewer_GetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRenderer *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderer();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetRenderer();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetEditorWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEditorWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkTransferFunctionEditorWidget *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetEditorWidget();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetEditorWidget();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetInteractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInteractor();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetInteractor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRenderWindow *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRenderWindow();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetRenderWindow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetRenderWindow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderWindow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRenderWindow *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRenderWindow"))
    {
    if (ap.IsBound())
      {
      op->SetRenderWindow(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetRenderWindow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetInteractor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkRenderWindowInteractor *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRenderWindowInteractor"))
    {
    if (ap.IsBound())
      {
      op->SetInteractor(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetInteractor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetHistogramVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHistogramVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHistogramVisibility(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetHistogramVisibility(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetShowColorFunctionInBackground(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionInBackground");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionInBackground(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetShowColorFunctionInBackground(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetShowColorFunctionInHistogram(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionInHistogram");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionInHistogram(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetShowColorFunctionInHistogram(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetShowColorFunctionOnLines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowColorFunctionOnLines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowColorFunctionOnLines(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetShowColorFunctionOnLines(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetLinesColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLinesColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetLinesColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetLinesColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetColorElementsByColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorElementsByColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorElementsByColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetColorElementsByColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementsColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementsColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetElementsColor(temp0, temp1, temp2);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementsColor(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementLighting(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementLighting");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  double temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementLighting(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementLighting(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetOpacityFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOpacityFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkPiecewiseFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPiecewiseFunction"))
    {
    if (ap.IsBound())
      {
      op->SetOpacityFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetOpacityFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetOpacityFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOpacityFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkPiecewiseFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOpacityFunction();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetOpacityFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkColorTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->SetColorFunction(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetColorFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetColorFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  vtkColorTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorFunction();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetColorFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetAllowInteriorElements(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAllowInteriorElements");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAllowInteriorElements(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetAllowInteriorElements(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetElementOpacity(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementOpacity(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetElementOpacity(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementOpacity");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetElementOpacity(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetElementOpacity(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementRGBColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementRGBColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementRGBColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementRGBColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetElementRGBColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementRGBColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1[3];
  double save1[3];
  const int size1 = 3;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      tempr = op->GetElementRGBColor(temp0, temp1);
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetElementRGBColor(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementHSVColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementHSVColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1;
  double temp2;
  double temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    if (ap.IsBound())
      {
      op->SetElementHSVColor(temp0, temp1, temp2, temp3);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementHSVColor(temp0, temp1, temp2, temp3);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetElementHSVColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementHSVColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1[3];
  double save1[3];
  const int size1 = 3;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      tempr = op->GetElementHSVColor(temp0, temp1);
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetElementHSVColor(temp0, temp1);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetElementScalar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementScalar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetElementScalar(temp0, temp1);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetElementScalar(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetElementScalar(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementScalar");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetElementScalar(temp0);
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetElementScalar(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetCurrentElementId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCurrentElementId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCurrentElementId(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetCurrentElementId(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_GetCurrentElementId(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentElementId");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentElementId();
      }
    else
      {
      tempr = op->vtkTransferFunctionViewer::GetCurrentElementId();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_MoveToPreviousElement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MoveToPreviousElement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MoveToPreviousElement();
      }
    else
      {
      op->vtkTransferFunctionViewer::MoveToPreviousElement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_MoveToNextElement(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MoveToNextElement");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MoveToNextElement();
      }
    else
      {
      op->vtkTransferFunctionViewer::MoveToNextElement();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetColorSpace(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorSpace");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorSpace(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetColorSpace(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTransferFunctionViewer_SetLockEndPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLockEndPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTransferFunctionViewer *op = static_cast<vtkTransferFunctionViewer *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLockEndPoints(temp0);
      }
    else
      {
      op->vtkTransferFunctionViewer::SetLockEndPoints(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTransferFunctionViewer_Methods[] = {
  {(char*)"GetClassName", PyvtkTransferFunctionViewer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTransferFunctionViewer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTransferFunctionViewer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransferFunctionViewer\nC++: vtkTransferFunctionViewer *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTransferFunctionViewer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransferFunctionViewer\nC++: vtkTransferFunctionViewer *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetBackgroundColor", PyvtkTransferFunctionViewer_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float)\nC++: void SetBackgroundColor(double r, double g, double b)\nV.SetBackgroundColor([float, float, float])\nC++: void SetBackgroundColor(double color[3])\n\nSet the background color of the rendering window.\n"},
  {(char*)"SetHistogramColor", PyvtkTransferFunctionViewer_SetHistogramColor, 1,
   (char*)"V.SetHistogramColor(float, float, float)\nC++: void SetHistogramColor(double r, double g, double b)\nV.SetHistogramColor([float, float, float])\nC++: void SetHistogramColor(double color[3])\n\nSet the color of the histogram. Set the transfer function editor\ntype before setting the color of the histogram.\n"},
  {(char*)"SetSize", PyvtkTransferFunctionViewer_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: void SetSize(int x, int y)\nV.SetSize([int, int])\nC++: void SetSize(int size[2])\n\nSet/get the size of the rendering window.\n"},
  {(char*)"SetBorderWidth", PyvtkTransferFunctionViewer_SetBorderWidth, 1,
   (char*)"V.SetBorderWidth(int)\nC++: void SetBorderWidth(int width)\n\nSet the width (in pixels) of the border around the transfer\nfunction editor.\n"},
  {(char*)"Render", PyvtkTransferFunctionViewer_Render, 1,
   (char*)"V.Render()\nC++: void Render()\n\nRender the transfer function editor.\n"},
  {(char*)"SetTransferFunctionEditorType", PyvtkTransferFunctionViewer_SetTransferFunctionEditorType, 1,
   (char*)"V.SetTransferFunctionEditorType(int)\nC++: void SetTransferFunctionEditorType(int type)\n\nSpecify the type of transfer function editor to dipslay in this\nviewer.\n"},
  {(char*)"SetTransferFunctionEditorTypeToSimple1D", PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToSimple1D, 1,
   (char*)"V.SetTransferFunctionEditorTypeToSimple1D()\nC++: void SetTransferFunctionEditorTypeToSimple1D()\n\nSpecify the type of transfer function editor to dipslay in this\nviewer.\n"},
  {(char*)"SetTransferFunctionEditorTypeToShapes1D", PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToShapes1D, 1,
   (char*)"V.SetTransferFunctionEditorTypeToShapes1D()\nC++: void SetTransferFunctionEditorTypeToShapes1D()\n\nSpecify the type of transfer function editor to dipslay in this\nviewer.\n"},
  {(char*)"SetTransferFunctionEditorTypeToShapes2D", PyvtkTransferFunctionViewer_SetTransferFunctionEditorTypeToShapes2D, 1,
   (char*)"V.SetTransferFunctionEditorTypeToShapes2D()\nC++: void SetTransferFunctionEditorTypeToShapes2D()\n\nSpecify the type of transfer function editor to dipslay in this\nviewer.\n"},
  {(char*)"SetModificationType", PyvtkTransferFunctionViewer_SetModificationType, 1,
   (char*)"V.SetModificationType(int)\nC++: void SetModificationType(int type)\n\nSet the type of function to modify (color, opacity, or both). Set\nthe editor type before setting the modification type.\n"},
  {(char*)"SetModificationTypeToColor", PyvtkTransferFunctionViewer_SetModificationTypeToColor, 1,
   (char*)"V.SetModificationTypeToColor()\nC++: void SetModificationTypeToColor()\n\nSet the type of function to modify (color, opacity, or both). Set\nthe editor type before setting the modification type.\n"},
  {(char*)"SetModificationTypeToOpacity", PyvtkTransferFunctionViewer_SetModificationTypeToOpacity, 1,
   (char*)"V.SetModificationTypeToOpacity()\nC++: void SetModificationTypeToOpacity()\n\nSet the type of function to modify (color, opacity, or both). Set\nthe editor type before setting the modification type.\n"},
  {(char*)"SetModificationTypeToColorAndOpacity", PyvtkTransferFunctionViewer_SetModificationTypeToColorAndOpacity, 1,
   (char*)"V.SetModificationTypeToColorAndOpacity()\nC++: void SetModificationTypeToColorAndOpacity()\n\nSet the type of function to modify (color, opacity, or both). Set\nthe editor type before setting the modification type.\n"},
  {(char*)"SetHistogram", PyvtkTransferFunctionViewer_SetHistogram, 1,
   (char*)"V.SetHistogram(vtkRectilinearGrid)\nC++: void SetHistogram(vtkRectilinearGrid *histogram)\n\nSet the histogram to display behind the transfer function editor.\nThe X coordinates of this vtkRectilinearGrid give the scalar\nrange for each bin of the histogram. There is a cell array\ncontaining the number of scalar values per bin. Set the editor\ntype before setting the histogram.\n"},
  {(char*)"SetVisibleScalarRange", PyvtkTransferFunctionViewer_SetVisibleScalarRange, 1,
   (char*)"V.SetVisibleScalarRange([float, float])\nC++: void SetVisibleScalarRange(double range[2])\nV.SetVisibleScalarRange(float, float)\nC++: void SetVisibleScalarRange(double min, double max)\n\nSet the range of scalar values that will be shown in the\nrendering window. Set the type of transfer function editor to use\nbefore setting or getting the scalar range.\n"},
  {(char*)"GetVisibleScalarRange", PyvtkTransferFunctionViewer_GetVisibleScalarRange, 1,
   (char*)"V.GetVisibleScalarRange([float, float])\nC++: void GetVisibleScalarRange(double range[2])\nV.GetVisibleScalarRange() -> (float, float)\nC++: double *GetVisibleScalarRange()\n\nSet the range of scalar values that will be shown in the\nrendering window. Set the type of transfer function editor to use\nbefore setting or getting the scalar range.\n"},
  {(char*)"SetWholeScalarRange", PyvtkTransferFunctionViewer_SetWholeScalarRange, 1,
   (char*)"V.SetWholeScalarRange([float, float])\nC++: void SetWholeScalarRange(double range[2])\nV.SetWholeScalarRange(float, float)\nC++: void SetWholeScalarRange(double min, double max)\n\nSet the whole range of possible scalar values. This will be used\nfor resetting the viewer to show the whole scalar range when the\ninput is not set. Set the type of transfer function editor to use\nbefore setting or getting the scalar range.\n"},
  {(char*)"GetWholeScalarRange", PyvtkTransferFunctionViewer_GetWholeScalarRange, 1,
   (char*)"V.GetWholeScalarRange([float, float])\nC++: void GetWholeScalarRange(double range[2])\nV.GetWholeScalarRange() -> (float, float)\nC++: double *GetWholeScalarRange()\n\nSet the whole range of possible scalar values. This will be used\nfor resetting the viewer to show the whole scalar range when the\ninput is not set. Set the type of transfer function editor to use\nbefore setting or getting the scalar range.\n"},
  {(char*)"GetRenderer", PyvtkTransferFunctionViewer_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer()\n\nProvide access to some of the underlying VTK objects.\n"},
  {(char*)"GetEditorWidget", PyvtkTransferFunctionViewer_GetEditorWidget, 1,
   (char*)"V.GetEditorWidget() -> vtkTransferFunctionEditorWidget\nC++: vtkTransferFunctionEditorWidget *GetEditorWidget()\n\nProvide access to some of the underlying VTK objects.\n"},
  {(char*)"GetInteractor", PyvtkTransferFunctionViewer_GetInteractor, 1,
   (char*)"V.GetInteractor() -> vtkRenderWindowInteractor\nC++: vtkRenderWindowInteractor *GetInteractor()\n\nProvide access to some of the underlying VTK objects.\n"},
  {(char*)"GetRenderWindow", PyvtkTransferFunctionViewer_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow()\n\nProvide access to some of the underlying VTK objects.\n"},
  {(char*)"SetRenderWindow", PyvtkTransferFunctionViewer_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: void SetRenderWindow(vtkRenderWindow *win)\n\nSet the render window to be used in this viewer. One will be\ncreated automatically if you do not specify one.\n"},
  {(char*)"SetInteractor", PyvtkTransferFunctionViewer_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: void SetInteractor(vtkRenderWindowInteractor *win)\n\nSet the render window to be used in this viewer. One will be\ncreated automatically if you do not specify one.\n"},
  {(char*)"SetHistogramVisibility", PyvtkTransferFunctionViewer_SetHistogramVisibility, 1,
   (char*)"V.SetHistogramVisibility(int)\nC++: void SetHistogramVisibility(int visibility)\n\nDetermine whether a histogram will be displayed behind the\ntransfer function editor.\n"},
  {(char*)"SetShowColorFunctionInBackground", PyvtkTransferFunctionViewer_SetShowColorFunctionInBackground, 1,
   (char*)"V.SetShowColorFunctionInBackground(int)\nC++: void SetShowColorFunctionInBackground(int visibility)\n\nDetermine whether a gradient image showing the color function\nshould be displayed in the background. Set the transfer function\neditor type before setting this value.\n"},
  {(char*)"SetShowColorFunctionInHistogram", PyvtkTransferFunctionViewer_SetShowColorFunctionInHistogram, 1,
   (char*)"V.SetShowColorFunctionInHistogram(int)\nC++: void SetShowColorFunctionInHistogram(int visibility)\n\nDetermine whether a gradient image showing the color function\nshould be displayed in the histogram (if the histogram is\nvisible). Set the transfer function editor type before setting\nthis value.\n"},
  {(char*)"SetShowColorFunctionOnLines", PyvtkTransferFunctionViewer_SetShowColorFunctionOnLines, 1,
   (char*)"V.SetShowColorFunctionOnLines(int)\nC++: void SetShowColorFunctionOnLines(int visibility)\n\nDetermine whether the color gradient should be displayed on the\nlines connecting the nodes of the transfer function editor. Set\nthe transfer function editor type before setting this value.\n"},
  {(char*)"SetLinesColor", PyvtkTransferFunctionViewer_SetLinesColor, 1,
   (char*)"V.SetLinesColor(float, float, float)\nC++: void SetLinesColor(double r, double g, double b)\n\nSpecify the color in which to display the lines connecting the\nnodes if they are not displaying the color gradient. Set the\ntransfer function editor type before calling this method.\n"},
  {(char*)"SetColorElementsByColorFunction", PyvtkTransferFunctionViewer_SetColorElementsByColorFunction, 1,
   (char*)"V.SetColorElementsByColorFunction(int)\nC++: void SetColorElementsByColorFunction(int color)\n\nSpecify whether the node color should be determined by the color\ntransfer function. Set the transfer function editor type before\nsetting this value.\n"},
  {(char*)"SetElementsColor", PyvtkTransferFunctionViewer_SetElementsColor, 1,
   (char*)"V.SetElementsColor(float, float, float)\nC++: void SetElementsColor(double r, double g, double b)\n\nSet the color to use for nodes if not coloring them by the color\ntransfer function. Set the transfer function editor type before\ncalling this method.\n"},
  {(char*)"SetElementLighting", PyvtkTransferFunctionViewer_SetElementLighting, 1,
   (char*)"V.SetElementLighting(float, float, float, float)\nC++: void SetElementLighting(double ambient, double diffuse,\n    double specular, double specularPower)\n\nSpecify the lighting parameters for the transfer function editor\nelements. Set the transfer function editor type before calling\nthis method.\n"},
  {(char*)"SetOpacityFunction", PyvtkTransferFunctionViewer_SetOpacityFunction, 1,
   (char*)"V.SetOpacityFunction(vtkPiecewiseFunction)\nC++: void SetOpacityFunction(vtkPiecewiseFunction *function)\n\nSet/get the opacity function. Set the type of transfer function\neditor before trying to set or get the opacity function.\n"},
  {(char*)"GetOpacityFunction", PyvtkTransferFunctionViewer_GetOpacityFunction, 1,
   (char*)"V.GetOpacityFunction() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *GetOpacityFunction()\n\nSet/get the opacity function. Set the type of transfer function\neditor before trying to set or get the opacity function.\n"},
  {(char*)"SetColorFunction", PyvtkTransferFunctionViewer_SetColorFunction, 1,
   (char*)"V.SetColorFunction(vtkColorTransferFunction)\nC++: void SetColorFunction(vtkColorTransferFunction *function)\n\nSet/get the color function. Set the type of transfer function\neditor before trying to set or get the color function.\n"},
  {(char*)"GetColorFunction", PyvtkTransferFunctionViewer_GetColorFunction, 1,
   (char*)"V.GetColorFunction() -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *GetColorFunction()\n\nSet/get the color function. Set the type of transfer function\neditor before trying to set or get the color function.\n"},
  {(char*)"SetAllowInteriorElements", PyvtkTransferFunctionViewer_SetAllowInteriorElements, 1,
   (char*)"V.SetAllowInteriorElements(int)\nC++: void SetAllowInteriorElements(int allow)\n\nToggle whether to allow interior nodes in the transfer function.\nSet the type of transfer function editor before trying to set\nthis value.\n"},
  {(char*)"SetElementOpacity", PyvtkTransferFunctionViewer_SetElementOpacity, 1,
   (char*)"V.SetElementOpacity(int, float)\nC++: void SetElementOpacity(unsigned int idx, double opacity)\n\nSet/get the opacity of a particular transfer function element.\n"},
  {(char*)"GetElementOpacity", PyvtkTransferFunctionViewer_GetElementOpacity, 1,
   (char*)"V.GetElementOpacity(int) -> float\nC++: double GetElementOpacity(unsigned int idx)\n\nSet/get the opacity of a particular transfer function element.\n"},
  {(char*)"SetElementRGBColor", PyvtkTransferFunctionViewer_SetElementRGBColor, 1,
   (char*)"V.SetElementRGBColor(int, float, float, float)\nC++: void SetElementRGBColor(unsigned int idx, double r, double g,\n     double b)\n\nSet/get the RGB color of a particular transfer function element.\n"},
  {(char*)"GetElementRGBColor", PyvtkTransferFunctionViewer_GetElementRGBColor, 1,
   (char*)"V.GetElementRGBColor(int, [float, float, float]) -> int\nC++: int GetElementRGBColor(unsigned int idx, double color[3])\n\nSet/get the RGB color of a particular transfer function element.\n"},
  {(char*)"SetElementHSVColor", PyvtkTransferFunctionViewer_SetElementHSVColor, 1,
   (char*)"V.SetElementHSVColor(int, float, float, float)\nC++: void SetElementHSVColor(unsigned int idx, double h, double s,\n     double v)\n\nSet/get the HSV color of a particular transfer function element.\n"},
  {(char*)"GetElementHSVColor", PyvtkTransferFunctionViewer_GetElementHSVColor, 1,
   (char*)"V.GetElementHSVColor(int, [float, float, float]) -> int\nC++: int GetElementHSVColor(unsigned int idx, double color[3])\n\nSet/get the HSV color of a particular transfer function element.\n"},
  {(char*)"SetElementScalar", PyvtkTransferFunctionViewer_SetElementScalar, 1,
   (char*)"V.SetElementScalar(int, float)\nC++: void SetElementScalar(unsigned int idx, double scalar)\n\nSet/get the scalar value of a particular transfer function\nelement.\n"},
  {(char*)"GetElementScalar", PyvtkTransferFunctionViewer_GetElementScalar, 1,
   (char*)"V.GetElementScalar(int) -> float\nC++: double GetElementScalar(unsigned int idx)\n\nSet/get the scalar value of a particular transfer function\nelement.\n"},
  {(char*)"SetCurrentElementId", PyvtkTransferFunctionViewer_SetCurrentElementId, 1,
   (char*)"V.SetCurrentElementId(int)\nC++: void SetCurrentElementId(unsigned int idx)\n\nSet/get the current element Id.\n"},
  {(char*)"GetCurrentElementId", PyvtkTransferFunctionViewer_GetCurrentElementId, 1,
   (char*)"V.GetCurrentElementId() -> int\nC++: unsigned int GetCurrentElementId()\n\nSet/get the current element Id.\n"},
  {(char*)"MoveToPreviousElement", PyvtkTransferFunctionViewer_MoveToPreviousElement, 1,
   (char*)"V.MoveToPreviousElement()\nC++: void MoveToPreviousElement()\n\nMove to the previous/next transfer function element.\n"},
  {(char*)"MoveToNextElement", PyvtkTransferFunctionViewer_MoveToNextElement, 1,
   (char*)"V.MoveToNextElement()\nC++: void MoveToNextElement()\n\nMove to the previous/next transfer function element.\n"},
  {(char*)"SetColorSpace", PyvtkTransferFunctionViewer_SetColorSpace, 1,
   (char*)"V.SetColorSpace(int)\nC++: void SetColorSpace(int space)\n\nSet the color space. (RGB = 0, HSV = 1, HSV with wrapping = 2,\nCIELAB = 3, Diverging = 4)\n"},
  {(char*)"SetLockEndPoints", PyvtkTransferFunctionViewer_SetLockEndPoints, 1,
   (char*)"V.SetLockEndPoints(int)\nC++: void SetLockEndPoints(int lock)\n\nSet whether the endpoint nodes may or may not change scalar\nvalues and/or be deleted. By default moving and deleting are\nallowed. Set the transfer function editor type before calling\nthis method. It only has an effect on the simple 1D case.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTransferFunctionViewer_StaticNew()
{
  return vtkTransferFunctionViewer::New();
}

PyObject *PyVTKClass_vtkTransferFunctionViewerNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTransferFunctionViewer_StaticNew,
    PyvtkTransferFunctionViewer_Methods,
    "vtkTransferFunctionViewer", modulename,
    NULL, NULL,
    PyvtkTransferFunctionViewer_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkTransferFunctionViewer_Doc()
{
  static const char *docstring[] = {
    "vtkTransferFunctionViewer - Display a transfer function for editing.\n\n",
    "Superclass: vtkObject\n\n",
    "vtkTransferFunctionViewer bundles together several classes (including\na vtkRenderer and vtkRenderWindow) for displaying a transfer function\neditor. It invokes an InteractionEvent when the scalar range shown in\nthe transfer function editor changes.\n\nThis viewer invokes the following events from vtkCommand:\n* InteractionEvent - Lets you know the visible scalar range of the\n  data has changed because",
    " of panning, zooming, or resetting to the\n  whole scalar range.\n* PickEvent - Lets you know a transfer function element has been\n  left- clicked so you can display a color chooser to select a color\n  for it.\n* WidgetValueChangedEvent - Lets you know that a transfer function\n  node has been moved.\n* EndInteractionEvent - Lets you know the left mouse button has been\n  released after moving a node.\n*",
    " WidgetModifiedEvent - Lets you know that the active node has\n  changed.\n* PlacePointEvent - Lets you know a node has been added or deleted.\n\nSee Also:\n\nvtkTransferFunctionEditorWidget\nvtkTransferFunctionEditorRepresentation\nvtkInteractorStyleTransferFunctionEditor\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTransferFunctionViewer(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTransferFunctionViewerNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTransferFunctionViewer", o) != 0)
    {
    Py_DECREF(o);
    }

}

