// python wrapper for vtkVRMLSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVRMLSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkVRMLSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkVRMLSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVRMLSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVRMLSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkMultiBlockDataSetAlgorithmNew
#endif

static const char **PyvtkVRMLSource_Doc();


static PyObject *
PyvtkVRMLSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkVRMLSource::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkVRMLSource::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  vtkVRMLSource *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkVRMLSource::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkVRMLSource *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkVRMLSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkVRMLSource::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkVRMLSource::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0);
      }
    else
      {
      op->vtkVRMLSource::SetColor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_GetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColor();
      }
    else
      {
      tempr = op->vtkVRMLSource::GetColor();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_ColorOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorOn();
      }
    else
      {
      op->vtkVRMLSource::ColorOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_ColorOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorOff();
      }
    else
      {
      op->vtkVRMLSource::ColorOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_SetAppend(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAppend");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAppend(temp0);
      }
    else
      {
      op->vtkVRMLSource::SetAppend(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_GetAppend(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAppend");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAppend();
      }
    else
      {
      tempr = op->vtkVRMLSource::GetAppend();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_AppendOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AppendOn();
      }
    else
      {
      op->vtkVRMLSource::AppendOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_AppendOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVRMLSource *op = static_cast<vtkVRMLSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AppendOff();
      }
    else
      {
      op->vtkVRMLSource::AppendOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkVRMLSource_CanReadFile(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "CanReadFile");

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    tempr = vtkVRMLSource::CanReadFile(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkVRMLSource_Methods[] = {
  {(char*)"GetClassName", PyvtkVRMLSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkVRMLSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkVRMLSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVRMLSource\nC++: vtkVRMLSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkVRMLSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVRMLSource\nC++: vtkVRMLSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFileName", PyvtkVRMLSource_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(char *)\n\nVRML file name.  Set\n"},
  {(char*)"GetFileName", PyvtkVRMLSource_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nVRML file name.  Set\n"},
  {(char*)"SetColor", PyvtkVRMLSource_SetColor, 1,
   (char*)"V.SetColor(int)\nC++: void SetColor(int a)\n\nDescided whether to generate color arrays or not.\n"},
  {(char*)"GetColor", PyvtkVRMLSource_GetColor, 1,
   (char*)"V.GetColor() -> int\nC++: int GetColor()\n\nDescided whether to generate color arrays or not.\n"},
  {(char*)"ColorOn", PyvtkVRMLSource_ColorOn, 1,
   (char*)"V.ColorOn()\nC++: void ColorOn()\n\nDescided whether to generate color arrays or not.\n"},
  {(char*)"ColorOff", PyvtkVRMLSource_ColorOff, 1,
   (char*)"V.ColorOff()\nC++: void ColorOff()\n\nDescided whether to generate color arrays or not.\n"},
  {(char*)"SetAppend", PyvtkVRMLSource_SetAppend, 1,
   (char*)"V.SetAppend(int)\nC++: void SetAppend(int a)\n\nThis method allows all parts to be put into a single output. By\ndefault this flag is on.\n"},
  {(char*)"GetAppend", PyvtkVRMLSource_GetAppend, 1,
   (char*)"V.GetAppend() -> int\nC++: int GetAppend()\n\nThis method allows all parts to be put into a single output. By\ndefault this flag is on.\n"},
  {(char*)"AppendOn", PyvtkVRMLSource_AppendOn, 1,
   (char*)"V.AppendOn()\nC++: void AppendOn()\n\nThis method allows all parts to be put into a single output. By\ndefault this flag is on.\n"},
  {(char*)"AppendOff", PyvtkVRMLSource_AppendOff, 1,
   (char*)"V.AppendOff()\nC++: void AppendOff()\n\nThis method allows all parts to be put into a single output. By\ndefault this flag is on.\n"},
  {(char*)"CanReadFile", PyvtkVRMLSource_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: static int CanReadFile(const char *filename)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkVRMLSource_StaticNew()
{
  return vtkVRMLSource::New();
}

PyObject *PyVTKClass_vtkVRMLSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkVRMLSource_StaticNew,
    PyvtkVRMLSource_Methods,
    "vtkVRMLSource", modulename,
    NULL, NULL,
    PyvtkVRMLSource_Doc(),
    PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkVRMLSource_Doc()
{
  static const char *docstring[] = {
    "vtkVRMLSource - Converts importer to a source.\n\n",
    "Superclass: vtkMultiBlockDataSetAlgorithm\n\n",
    "Since paraview can only use vtkSources, I am wrapping the VRML\nimporter as a source.  I will loose lights, texture maps and colors,\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkVRMLSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkVRMLSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkVRMLSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

