/* DO NOT EDIT.
 * Generated by ../../bin/vtkEncodeString
 * 
 * Define the cp_export_py string.
 *
 * Generated from file: /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/CoProcessingScriptGenerator/cp_export.py
 */
const char *cp_export_py =
"# boolean telling if we want to export rendering.\n"
"export_rendering = %1\n"
"\n"
"# string->string map with key being the proxyname while value being the\n"
"# simulation input name.\n"
"simulation_input_map = { %2 };\n"
"\n"
"image_file_name = '%3'\n"
"\n"
"image_write_frequency = %4\n"
"\n"
"# This is map of lists of write frequencies. This is used to populate the\n"
"# RequestDataDescription() method so that grids are requested only when needed.\n"
"write_frequencies = {}\n"
"\n"
"# we do the views last and only if export_rendering is true\n"
"view_proxies = []\n"
"\n"
"for key in simulation_input_map.values():\n"
"    write_frequencies[key] = []\n"
"\n"
"def cp_locate_simulation_inputs(proxy):\n"
"    if hasattr(proxy, \"cpSimulationInput\"):\n"
"        return [ proxy.cpSimulationInput ]\n"
"\n"
"    input_proxies = []\n"
"    for property in smtrace.servermanager.PropertyIterator(proxy):\n"
"        if property.IsA(\"vtkSMInputProperty\"):\n"
"            ip = smtrace.servermanager.InputProperty(proxy, property)\n"
"            input_proxies = input_proxies + ip[:]\n"
"\n"
"    simulation_inputs = []\n"
"    for input in input_proxies:\n"
"        cur_si = cp_locate_simulation_inputs(input.SMProxy)\n"
"        for cur in cur_si:\n"
"            if not cur in simulation_inputs:\n"
"                simulation_inputs.append(cur)\n"
"    return simulation_inputs\n"
"\n"
"\n"
"def cp_locate_simulation_inputs_for_view(view_proxy):\n"
"    reprProp = smtrace.servermanager.ProxyProperty(view_proxy, view_proxy.GetProperty(\"Representations\"))\n"
"    reprs = reprProp[:]\n"
"    all_sim_inputs = []\n"
"    for repr in reprs:\n"
"        sim_inputs = cp_locate_simulation_inputs(repr)\n"
"        all_sim_inputs = all_sim_inputs + sim_inputs\n"
"    return all_sim_inputs\n"
"\n"
"def cp_hook(info, ctorMethod, ctorArgs, extraCtorCommands):\n"
"    global write_frequencies, simulation_input_map, export_rendering, view_proxies\n"
"    if info.ProxyName in simulation_input_map.keys():\n"
"        # mark this proxy as a simulation input to make it easier to locate the\n"
"        # simulation input for the writers.\n"
"        info.Proxy.cpSimulationInput = simulation_input_map[info.ProxyName]\n"
"        return ('CreateProducer',\\\n"
"          [ 'datadescription', '\\\"%s\\\"' % (simulation_input_map[info.ProxyName]) ], '')\n"
"    # handle writers.\n"
"    proxy = info.Proxy\n"
"    if proxy.GetXMLGroup() == 'views' and export_rendering:\n"
"        view_proxies.append(proxy)\n"
"\n"
"    if not proxy.GetHints() or \\\n"
"      not proxy.GetHints().FindNestedElementByName(\"CoProcessing\"):\n"
"        return (ctorMethod, ctorArgs, extraCtorCommands)\n"
"    # this is a writer we are dealing with.\n"
"    xmlElement = proxy.GetHints().FindNestedElementByName(\"CoProcessing\")\n"
"    xmlgroup = xmlElement.GetAttribute(\"group\")\n"
"    xmlname = xmlElement.GetAttribute(\"name\")\n"
"\n"
"    pxm = smtrace.servermanager.ProxyManager()\n"
"    ctorMethod = None\n"
"    writer_proxy = pxm.GetPrototypeProxy(xmlgroup, xmlname)\n"
"    if writer_proxy:\n"
"        # we have a valid prototype based on the writer stub\n"
"        ctorMethod =  \\\n"
"            smtrace.servermanager._make_name_valid(writer_proxy.GetXMLLabel())\n"
"    elif not writer_proxy:\n"
"        # a bit of a hack but we assume that there's a stub of some\n"
"        # writer that's not available in this build but is available\n"
"        # with the build used by the simulation code (probably through a plugin)\n"
"        # this stub must have the proper name in the coprocessing hints\n"
"        print \"WARNING: Could not find\", xmlname, \"writer in\", xmlgroup, \\\n"
"            \"XML group. This is not a problem as long as the writer is available with \" \\\n"
"            \"the ParaView build used by the simulation code.\"\n"
"        ctorMethod =  \\\n"
"            smtrace.servermanager._make_name_valid(xmlname)\n"
"\n"
"    write_frequency = proxy.GetProperty(\"WriteFrequency\").GetElement(0)\n"
"    ctorArgs = [ctorMethod, \\\n"
"                \"\\\"%s\\\"\" % proxy.GetProperty(\"FileName\").GetElement(0),\\\n"
"                write_frequency, \"cp_writers\"]\n"
"    ctorMethod = \"CreateWriter\"\n"
"\n"
"    # Locate which simulation input this write is connected to, if any. If so,\n"
"    # we update the write_frequencies datastructure accordingly.\n"
"    sim_inputs = cp_locate_simulation_inputs(proxy)\n"
"    for sim_input_name in sim_inputs:\n"
"        if not write_frequency in write_frequencies[sim_input_name]:\n"
"            write_frequencies[sim_input_name].append(write_frequency)\n"
"    return (ctorMethod, ctorArgs, '')\n"
"\n"
"try:\n"
"    from paraview import smstate, smtrace\n"
"except:\n"
"    raise RuntimeError('could not import paraview.smstate')\n"
"\n"
"\n"
"# Start trace\n"
"smtrace.start_trace(CaptureAllProperties=True, UseGuiName=True)\n"
"\n"
"# update trace globals.\n"
"smtrace.trace_globals.proxy_ctor_hook = staticmethod(cp_hook)\n"
"smtrace.trace_globals.trace_output = []\n"
"\n"
"# Get list of proxy lists\n"
"proxy_lists = smstate.get_proxy_lists_ordered_by_group(WithRendering=export_rendering)\n"
"# Now register the proxies with the smtrace module\n"
"for proxy_list in proxy_lists:\n"
"    smstate.register_proxies_by_dependency(proxy_list)\n"
"\n"
"# Calling append_trace causes the smtrace module to sort out all the\n"
"# registered proxies and their properties and write them as executable\n"
"# python.\n"
"smtrace.append_trace()\n"
"\n"
"# Stop trace and print it to the console\n"
"smtrace.stop_trace()\n"
"\n"
"\n"
"for view_proxy in view_proxies:\n"
"    # Locate which simulation input this write is connected to, if any. If so,\n"
"    # we update the write_frequencies datastructure accordingly.\n"
"    sim_inputs = cp_locate_simulation_inputs_for_view(view_proxy)\n"
"    for sim_input_name in sim_inputs:\n"
"        if not image_write_frequency in write_frequencies[sim_input_name]:\n"
"            write_frequencies[sim_input_name].append(image_write_frequency)\n"
"    #write_frequencies['input'].append(image_write_frequency)\n"
"\n"
"output_contents = \"\"\"\n"
"try: paraview.simple\n"
"except: from paraview.simple import *\n"
"\n"
"def RequestDataDescription(datadescription):\n"
"    \"Callback to populate the request for current timestep\"\n"
"    if datadescription.GetForceOutput() == True:\n"
"        for i in range(datadescription.GetNumberOfInputDescriptions()):\n"
"            datadescription.GetInputDescription(i).AllFieldsOn()\n"
"            datadescription.GetInputDescription(i).GenerateMeshOn()\n"
"        return\n"
"\n"
"    timestep = datadescription.GetTimeStep()\n"
"%s\n"
"\n"
"def DoCoProcessing(datadescription):\n"
"    \"Callback to do co-processing for current timestep\"\n"
"    cp_writers = []\n"
"    timestep = datadescription.GetTimeStep()\n"
"\n"
"%s\n"
"    for writer in cp_writers:\n"
"        if timestep %% writer.cpFrequency == 0 or datadescription.GetForceOutput() == True:\n"
"            writer.FileName = writer.cpFileName.replace(\"%%t\", str(timestep))\n"
"            writer.UpdatePipeline()\n"
"\n"
"    if timestep %% %s == 0 or datadescription.GetForceOutput() == True:\n"
"        views = servermanager.GetRenderViews()\n"
"        views += servermanager.GetContextViews()\n"
"        imagefilename = \"%s\"\n"
"        for view in range(len(views)):\n"
"            fname = imagefilename.replace(\"%%v\", str(view))\n"
"            fname = fname.replace(\"%%t\", str(timestep))\n"
"            WriteImage(fname, views[view])\n"
"\n"
"    # explicitly delete the proxies -- we do it this way to avoid problems with prototypes\n"
"    tobedeleted = GetNextProxyToDelete()\n"
"    while tobedeleted != None:\n"
"        Delete(tobedeleted)\n"
"        tobedeleted = GetNextProxyToDelete()\n"
"\n"
"def GetNextProxyToDelete():\n"
"    iter = servermanager.vtkSMProxyIterator()\n"
"    iter.Begin()\n"
"    while not iter.IsAtEnd():\n"
"        if iter.GetGroup().find(\"prototypes\") != -1:\n"
"            iter.Next()\n"
"            continue\n"
"        proxy = servermanager._getPyProxy(iter.GetProxy())\n"
"        proxygroup = iter.GetGroup()\n"
"        if proxygroup != 'timekeeper' and proxy != None and proxygroup.find(\"pq_helper_proxies\") == -1 :\n"
"            return proxy\n"
"        iter.Next()\n"
"\n"
"    return None\n"
"\n"
"def CreateProducer(datadescription, gridname):\n"
"    \"Creates a producer proxy for the grid\"\n"
"    if not datadescription.GetInputDescriptionByName(gridname):\n"
"        raise RuntimeError, \"Simulation input name '%%s' does not exist\" %% gridname\n"
"    grid = datadescription.GetInputDescriptionByName(gridname).GetGrid()\n"
"    producer = PVTrivialProducer()\n"
"    producer.GetClientSideObject().SetOutput(grid)\n"
"    if grid.IsA(\"vtkImageData\") == True or grid.IsA(\"vtkStructuredGrid\") == True or grid.IsA(\"vtkRectilinearGrid\") == True:\n"
"        extent = datadescription.GetInputDescriptionByName(gridname).GetWholeExtent()\n"
"        producer.WholeExtent= [ extent[0], extent[1], extent[2], extent[3], extent[4], extent[5] ]\n"
"\n"
"    producer.UpdatePipeline()\n"
"    return producer\n"
"\n"
"\n"
"def CreateWriter(proxy_ctor, filename, freq, cp_writers):\n"
"    writer = proxy_ctor()\n"
"    writer.FileName = filename\n"
"    writer.add_attribute(\"cpFrequency\", freq)\n"
"    writer.add_attribute(\"cpFileName\", filename)\n"
"    cp_writers.append(writer)\n"
"    return writer\n"
"\"\"\"\n"
"\n"
"timestep_expression = \"\"\"\n"
"    input_name = '%s'\n"
"    if %s :\n"
"        datadescription.GetInputDescriptionByName(input_name).AllFieldsOn()\n"
"        datadescription.GetInputDescriptionByName(input_name).GenerateMeshOn()\n"
"    else:\n"
"        datadescription.GetInputDescriptionByName(input_name).AllFieldsOff()\n"
"        datadescription.GetInputDescriptionByName(input_name).GenerateMeshOff()\n"
"\"\"\"\n"
"\n"
"do_coprocessing = \"\"\n"
"for original_line in smtrace.trace_globals.trace_output:\n"
"    for line in original_line.split(\"\\n\"):\n"
"        do_coprocessing += \"    \" + line + \"\\n\";\n"
"\n"
"request_data_description = \"\"\n"
"for sim_input in write_frequencies:\n"
"    freqs = write_frequencies[sim_input]\n"
"\n"
"    if len(freqs) == 0:\n"
"        continue\n"
"    freqs.sort()\n"
"    condition_str = \"(timestep % \" + \" == 0) or (timestep % \".join(map(str, freqs)) + \" == 0)\"\n"
"    request_data_description += timestep_expression % (sim_input, condition_str)\n"
"\n"
"\n"
"fileName = \"%5\"\n"
"outFile = open(fileName, 'w')\n"
"if image_write_frequency < 1:\n"
"    image_write_frequency = 1\n"
"\n"
"outFile.write(output_contents % (request_data_description, do_coprocessing, image_write_frequency, image_file_name))\n"
"outFile.close()\n"
"\n"
"\n";

