// ClientServer wrapper for vtk1DTransferFunctionChooser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtk1DTransferFunctionChooser.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtk1DTransferFunctionChooserClientServerNewCommand()
{
  return vtk1DTransferFunctionChooser::New();
}

int vtk1DTransferFunctionCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtk1DTransferFunctionChooserCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtk1DTransferFunctionChooser *op = vtk1DTransferFunctionChooser::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtk1DTransferFunctionChooser.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtk1DTransferFunctionChooser  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtk1DTransferFunctionChooser  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtk1DTransferFunctionChooser  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetTransferFunctionMode",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetTransferFunctionMode(temp0);
      return 1;
      }
    }
  if (!strcmp("GetTransferFunctionMode",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetTransferFunctionMode();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetTransferFunctionModeToLookupTable",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetTransferFunctionModeToLookupTable();
      return 1;
      }
    }
  if (!strcmp("SetTransferFunctionModeToGaussian",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetTransferFunctionModeToGaussian();
      return 1;
      }
    }
  if (!strcmp("SetLookupTableTransferFunction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtk1DLookupTableTransferFunction  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtk1DLookupTableTransferFunction"))
      {
      op->SetLookupTableTransferFunction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetLookupTableTransferFunction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtk1DLookupTableTransferFunction  *temp20;
      {
      temp20 = (op)->GetLookupTableTransferFunction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGaussianTransferFunction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtk1DGaussianTransferFunction  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtk1DGaussianTransferFunction"))
      {
      op->SetGaussianTransferFunction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetGaussianTransferFunction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtk1DGaussianTransferFunction  *temp20;
      {
      temp20 = (op)->GetGaussianTransferFunction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("BuildDefaultTransferFunctions",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->BuildDefaultTransferFunctions();
      return 1;
      }
    }
  if (!strcmp("MapArray",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkDataArray") &&
      vtkClientServerStreamGetArgumentObject(msg, 0, 3, &temp1, "vtkDataArray"))
      {
      op->MapArray(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("MapValue",method) && msg.GetNumberOfArguments(0) == 4)
    {
    double   temp0;
    vtkClientServerStreamDataArg<double > temp1(msg, 0, 3);
    double   temp20;
    if(msg.GetArgument(0, 2, &temp0) &&
      temp1)
      {
      temp20 = (op)->MapValue(temp0,temp1);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetMTime",method) && msg.GetNumberOfArguments(0) == 2)
    {
    unsigned long     temp20;
      {
      temp20 = (op)->GetMTime();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetInputRange",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkClientServerStreamDataArg<double > temp0(msg, 0, 2);
    if(temp0)
      {
      op->SetInputRange(temp0);
      return 1;
      }
    }
  if (!strcmp("SetInputRange",method) && msg.GetNumberOfArguments(0) == 4)
    {
    double   temp0;
    double   temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetInputRange(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("SetVectorComponent",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVectorComponent(temp0);
      return 1;
      }
    }
  if (!strcmp("SetUseScalarRange",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetUseScalarRange(temp0);
      return 1;
      }
    }

  if (vtk1DTransferFunctionCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtk1DTransferFunctionChooser, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkDataArray_Init(vtkClientServerInterpreter* csi);
void vtk1DGaussianTransferFunction_Init(vtkClientServerInterpreter* csi);
void vtk1DLookupTableTransferFunction_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);
void vtk1DTransferFunction_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtk1DTransferFunctionChooser_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkDataArray_Init(csi);
    vtk1DGaussianTransferFunction_Init(csi);
    vtk1DLookupTableTransferFunction_Init(csi);
    vtkObject_Init(csi);
    vtk1DTransferFunction_Init(csi);
    csi->AddNewInstanceFunction("vtk1DTransferFunctionChooser", vtk1DTransferFunctionChooserClientServerNewCommand);
    csi->AddCommandFunction("vtk1DTransferFunctionChooser", vtk1DTransferFunctionChooserCommand);
    }
}
