// Generated file.  Do not edit.

/*=========================================================================

   Program: ParaView
   Module:    pqViewModuleImplementation.cxx.in

   Copyright (c) 2005-2008 Sandia Corporation, Kitware Inc.
   All rights reserved.

   ParaView is a free software; you can redistribute it and/or modify it
   under the terms of the ParaView license version 1.2. 

   See License_v1.2.txt for the full ParaView license.
   A copy of this license can be obtained by contacting
   Kitware Inc.
   28 Corporate Drive
   Clifton Park, NY 12065
   USA

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

=========================================================================*/

#include "IteratingViewImplementation.h"
#include "IteratingView.h"

#include "vtkSMProxyManager.h"
#include "pqDataRepresentation.h"
#include "pqServer.h"

// configured with CMake
// requires: ARG_VIEW_TYPE, VIEW_TYPE_NAME, ARG_DISPLAY_TYPE, ARG_VIEW_XML_GROUP,
//      ARG_VIEW_XML_NAME

IteratingViewImplementation::IteratingViewImplementation(QObject* o)
  : QObject(o)
{
}

QStringList IteratingViewImplementation::viewTypes() const
{
  return QStringList() << "IteratingView";
}

QStringList IteratingViewImplementation::displayTypes() const
{
  return QStringList() << "pqDataRepresentation";
}

QString IteratingViewImplementation::viewTypeName(const QString& /*type*/) const
{
  return "Iterating View";
}

bool IteratingViewImplementation::canCreateView(const QString& viewtype) const
{
  return viewtype == "IteratingView";
}

vtkSMProxy* IteratingViewImplementation::createViewProxy(const QString& viewtype,
                                                           pqServer * /*server*/)
{
  vtkSMProxyManager* pxm = vtkSMProxyManager::GetProxyManager();
  if(viewtype == "IteratingView")
    {
    // See what happens if we augment the type with View, in case this is
    // how it is registered in XML.
    if (pxm->HasDefinition("views", "IteratingViewView"))
      {
      return pxm->NewProxy("views", "IteratingViewView");
      }

    // Just return whatever objectis registered under the view name.
    return pxm->NewProxy("views", "IteratingView");
    }

  return NULL;
}

pqView* IteratingViewImplementation::createView(const QString& viewtype,
                                                const QString& group,
                                                const QString& viewname,
                                                vtkSMViewProxy* viewmodule,
                                                pqServer* server,
                                                QObject* p)
{
  if(   (viewtype == "IteratingView")
     || (viewtype == "IteratingView"))
    {
    return new IteratingView("IteratingView", group, viewname, viewmodule, server, p);
    }
  return NULL;
}

pqDataRepresentation* IteratingViewImplementation::createDisplay(const QString& display_type, 
  const QString& group,
  const QString& n,
  vtkSMProxy* proxy,
  pqServer* server,
  QObject* p)
{
  if(display_type == "pqDataRepresentation")
    {
    return new pqDataRepresentation(group, n, proxy, server, p);
    }
  return NULL;
}

