// Loadable modules
//
// Generated by ../../../bin/kwProcessXML
//
#ifndef __StreamingView_h
#define __StreamingView_h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/StreamingView/ParaView/StreamingView.xml
static const char* StreamingViewStreamingViewInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"\n"
"  <ProxyGroup\n"
"      name=\"sources\">\n"
"    <SourceProxy\n"
"        name=\"StreamingSource\"\n"
"        class=\"vtkStreamedMandelbrot\"\n"
"        label=\"Streamed Mandelbrot\">\n"
"\n"
"      <Documentation\n"
"        long_help=\"Streamed version of ImageMandelbrot\"\n"
"        short_help=\"Streamed Mandelbrot\">\n"
"        See documentation of ImageMandebrot.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"WholeExtent\"\n"
"         command=\"SetWholeExtent\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"0 100 0 100 0 100\" >\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The six values in the property indicate the X, Y, and Z extent of the output data. The first two numbers are the minimum and maximum X extent; the next two are the minimum and maximum Y extent; and the final two are the minimum and maximum Z extent. The numbers are inclusive, so values of 0, 250, 0, 250, 0, 0 indicate that the dimensions of the output will be 251 x 251 x 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"StridedReader1\"\n"
"                class=\"vtkRawStridedReader1\"\n"
"                label=\"Strided image reader\">\n"
"     <Documentation\n"
"       short_help=\"Read raw regular rectilinear grid data from a file.\"\n"
"       long_help=\"Read raw regular rectilinear grid data from a file. The dimensions and type of the data must be specified.\">\n"
"       The Image reader reads raw regular rectilinear grid (image/volume) data from a file. Because no metadata is provided, the user must specify information about the size, spacing, dimensionality, etc. about the dataset.\n"
"     </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         command=\"SetFilename\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Origin\"\n"
"         command=\"SetOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The coordinate contained in this property specifies the position of the point with index (0,0,0).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Spacing\"\n"
"         command=\"SetSpacing\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the size of a voxel in each dimension.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"WholeExtent\"\n"
"        command=\"SetWholeExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 100 0 100 0 100\">\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the minimum and maximum index values of the data in each dimension (xmin, xmax, ymin, ymax, zmin, zmax).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"<!--\n"
"     <IntVectorProperty\n"
"        name=\"BlockReadSize\"\n"
"        command=\"SetBlockReadSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"4096\" >\n"
"       <Documentation>\n"
"         This property specifies the skip dimension.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"-->\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SwapEndian\"\n"
"        command=\"SwapDataByteOrder\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This property specifies if the dataset was written with opposing endianess to the machine you are on.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"PostPreProcess\"\n"
"         command=\"SetPostPreProcess\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         When on, the reader saves auxiliary files for every chunk it reads from the file. Re-reader the data then is faster, but the cost is a large number of extra files on the file system.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"sraw\"\n"
"                      file_description=\"multiresolution raw format\" />\n"
"     </Hints>\n"
"\n"
"   <!-- End StridedReader1 -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ACosmoReader\"\n"
"                class=\"vtkACosmoReader\"\n"
"                label=\"Cosmo (adaptive) reader\">\n"
"     <Documentation\n"
"       short_help=\"\"\n"
"       long_help=\"\" >\n"
"     </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         command=\"SetFileName\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"BoxSize\"\n"
"         command=\"SetBoxSize\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"90.140846\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ByteOrder\"\n"
"        command=\"SetByteOrder\"\n"
"        label=\"Little Endian\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"TagSize\"\n"
"        command=\"SetTagSize\"\n"
"        label=\"64-bit tags\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"acosmo\"\n"
"                      file_description=\"multiresolution cosmology format\" />\n"
"     </Hints>\n"
"   <!-- End ACosmoReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy\n"
"       name=\"StreamingNetCDFPOP\"\n"
"       class=\"vtkImageNetCDFPOPReader\"\n"
"       label=\"Image NetCDF POP reader\">\n"
"     <Documentation\n"
"         short_help=\"streaming capable netcdf POP reader.\"\n"
"         long_help=\"Read netcdf POP files for the multiresolution streaming view\">\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         animateable=\"0\"\n"
"         command=\"SetFileName\"\n"
"         number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"VariableArrayInfo\"\n"
"                           information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Variable\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"VariableArrayStatus\"\n"
"                           command=\"SetVariableArrayStatus\"\n"
"                           number_of_elements=\"0\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"VariableArrayInfo\"\n"
"                           label=\"Variables\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"VariableArrayInfo\" function=\"ArrayList\" />\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which netCDF variables to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"Origin\"\n"
"         command=\"SetOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The coordinate contained in this property specifies the position of the point with index (0,0,0).\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"Spacing\"\n"
"         command=\"SetSpacing\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1.0 1.0 1.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the size of a voxel in each dimension.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                      file_description=\"POP Ocean NetCDF (streaming image)\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup\n"
"      name=\"filters\">\n"
"\n"
"    <SourceProxy\n"
"        name=\"WarpScalarsWithMetaInfo\"\n"
"        class=\"vtkWarpScalarsAndMetaInfo\"\n"
"        base_proxygroup=\"filters\"\n"
"        base_proxyname=\"WarpScalar\">\n"
"      <Documentation>\n"
"        A version of warp scalars that works with view prioritization.\n"
"      </Documentation>\n"
"      <!-- End WarpScalarsWithMetaInfo -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy\n"
"        name=\"Spherical Projection\"\n"
"        class=\"vtkWorldWarp\">\n"
"      <Documentation>\n"
"        A filter to warp data onto globe.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"          name=\"Input\"\n"
"          command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input which is warped.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"MapFileName\"\n"
"          command=\"SetMapFileName\"\n"
"          animateable=\"0\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"ncdump.txt\">\n"
"        <!--<FileListDomain name=\"files\"/> -todo: how to pop up the file dialog that reader can?-->\n"
"        <Documentation>\n"
"          This property specifies the file name that contains lat lon depth mapping for the filter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"Controls Longitude\"\n"
"          command=\"SetLonInput\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"X\"/>\n"
"          <Entry value=\"1\" text=\"Y\"/>\n"
"          <Entry value=\"2\" text=\"Z\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies which input axis specifies longitude.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"Controls Latitude\"\n"
"          command=\"SetLatInput\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"X\"/>\n"
"          <Entry value=\"1\" text=\"Y\"/>\n"
"          <Entry value=\"2\" text=\"Z\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies which input axis specifies latitude.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"Controls Altitude\"\n"
"          command=\"SetAltInput\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"2\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"X\"/>\n"
"          <Entry value=\"1\" text=\"Y\"/>\n"
"          <Entry value=\"2\" text=\"Z\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          This property specifies which input axis corresponds to altitude.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"X Scale\"\n"
"          command=\"SetXScale\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1.0\" >\n"
"        <Documentation>\n"
"          This specifies scaling for X so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"X Bias\"\n"
"          command=\"SetXBias\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.0\" >\n"
"        <Documentation>\n"
"          This specifies offset for X so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Y Scale\"\n"
"          command=\"SetYScale\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1.0\" >\n"
"        <Documentation>\n"
"          This specifies scaling for Y so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Y Bias\"\n"
"          command=\"SetYBias\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.0\" >\n"
"        <Documentation>\n"
"          This specifies offset for Y so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Z Scale\"\n"
"          command=\"SetZScale\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1.0\" >\n"
"        <Documentation>\n"
"          This specifies scaling for Z so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"          name=\"Z Bias\"\n"
"          command=\"SetZBias\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.0\" >\n"
"        <Documentation>\n"
"          This specifies offset for Z so that it can be normalized before transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"Z Emphasis\"\n"
"          command=\"SetAltitudeScale\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1.0\" >\n"
"        <Documentation>\n"
"          This specifies scaling for altitude so that it can be exagerated after transformation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"Base Altitude\"\n"
"          command=\"SetBaseAltitude\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"6371000\" >\n"
"        <Documentation>\n"
"          This specifies base level of altitude. Default is earth mean radius of earth.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End WorldWarp -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- End Filters -->\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/StreamingView/ParaView/StreamingView.xml
static const char* StreamingViewStreamingViewInterface1 =
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup\n"
"      name=\"utilities\">\n"
"\n"
"    <SourceProxy\n"
"        name=\"PieceCache\"\n"
"        class=\"vtkPieceCacheFilter\"\n"
"        executive=\"vtkPieceCacheExecutive\">\n"
"      <Documentation>\n"
"        A cache to speed up streaming.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty\n"
"          name=\"Input\"\n"
"          command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input which is cached and passed through\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Property name=\"EmptyCache\" command=\"EmptyCache\" />\n"
"\n"
"      <!-- End of PieceCache -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy\n"
"        name=\"StreamingHarness\"\n"
"        class=\"vtkStreamingHarness\">\n"
"      <Documentation>\n"
"        A cache to speed up streaming.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty\n"
"          name=\"Input\"\n"
"          command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input which we control the pipeline of.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"LockRefinement\"\n"
"          command=\"SetLockRefinement\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property\n"
"          name=\"RestartRefinement\"\n"
"          command=\"RestartRefinement\">\n"
"      </Property>\n"
"\n"
"      <!-- End of StreamingHarness -->\n"
"    </SourceProxy>\n"
"\n"
"    <Proxy\n"
"        name=\"IteratingDriver\"\n"
"        class=\"vtkIterativeStreamer\"\n"
"        processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <Property\n"
"          name=\"RestartStreaming\"\n"
"          command=\"RestartStreaming\">\n"
"      </Property>\n"
"      <Property\n"
"          name=\"StopStreaming\"\n"
"          command=\"StopStreaming\">\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ShowWhen\"\n"
"          command=\"SetDisplayFrequency\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"       <EnumerationDomain>\n"
"         <Entry value=\"0\" text=\"Fully Drawn\"/>\n"
"         <Entry value=\"1\" text=\"Each Piece Drawn\"/>\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"CacheSize\"\n"
"          command=\"SetCacheSize\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"-1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"NumberOfPasses\"\n"
"          command=\"SetNumberOfPasses\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"LastPass\"\n"
"          command=\"SetLastPass\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy\n"
"        name=\"PrioritizingDriver\"\n"
"        class=\"vtkPrioritizedStreamer\"\n"
"        processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <Property\n"
"          name=\"RestartStreaming\"\n"
"          command=\"RestartStreaming\">\n"
"      </Property>\n"
"      <Property\n"
"          name=\"StopStreaming\"\n"
"          command=\"StopStreaming\">\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ShowWhen\"\n"
"          command=\"SetDisplayFrequency\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"       <EnumerationDomain>\n"
"         <Entry value=\"0\" text=\"Fully Drawn\"/>\n"
"         <Entry value=\"1\" text=\"Each Piece Drawn\"/>\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"CacheSize\"\n"
"          command=\"SetCacheSize\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"-1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"NumberOfPasses\"\n"
"          command=\"SetNumberOfPasses\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"LastPass\"\n"
"          command=\"SetLastPass\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"PipelinePrioritization\"\n"
"          command=\"SetPipelinePrioritization\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ViewPrioritization\"\n"
"          command=\"SetViewPrioritization\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"    </Proxy>\n"
"    <Proxy\n"
"        name=\"MultiResolutionDriver\"\n"
"        class=\"vtkMultiResolutionStreamer\"\n"
"        processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <Property\n"
"          name=\"RestartStreaming\"\n"
"          command=\"RestartStreaming\">\n"
"      </Property>\n"
"      <Property\n"
"          name=\"StopStreaming\"\n"
"          command=\"StopStreaming\">\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ShowWhen\"\n"
"          command=\"SetDisplayFrequency\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"       <EnumerationDomain>\n"
"         <Entry value=\"0\" text=\"Fully Drawn\"/>\n"
"         <Entry value=\"1\" text=\"Each Piece Drawn\"/>\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"CacheSize\"\n"
"          command=\"SetCacheSize\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"32\">\n"
"        <IntRangeDomain name=\"range\" min=\"-1\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"PipelinePrioritization\"\n"
"          command=\"SetPipelinePrioritization\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ViewPrioritization\"\n"
"          command=\"SetViewPrioritization\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"ProgressionMode\"\n"
"          command=\"SetProgressionMode\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"       <EnumerationDomain>\n"
"         <Entry value=\"0\" text=\"Manual\"/>\n"
"         <Entry value=\"1\" text=\"Automatic\"/>\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"RefinementDepth\"\n"
"          command=\"SetRefinementDepth\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"5\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"DepthLimit\"\n"
"          command=\"SetDepthLimit\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"10\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"MaxSplits\"\n"
"          command=\"SetMaxSplits\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"8\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10000\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"CellPixelFactor\"\n"
"          command=\"SetCellPixelFactor\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0.666\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"2.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"BackFaceFactor\"\n"
"          command=\"SetBackFaceFactor\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"-0.75\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"-1.0\" max=\"0.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Property\n"
"          name=\"Refine\"\n"
"          command=\"Refine\">\n"
"      </Property>\n"
"\n"
"      <Property\n"
"          name=\"Coarsen\"\n"
"          command=\"Coarsen\">\n"
"      </Property>\n"
"\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup\n"
"      name=\"representations\">\n"
"    <PVRepresentationProxy\n"
"        name=\"StreamingRepresentation\"\n"
"        class=\"vtkPVStreamingRepresentation\"\n"
"        si_class=\"vtkSIStreamingRepresentationProxy\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"representations\"\n"
"        base_proxyname=\"GeometryRepresentation\">\n"
"      <!-- proxy that sets up display pipeline which streams over pieces -->\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PieceCache\"\n"
"          proxygroup=\"utilities\" proxyname=\"PieceCache\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Harness\"\n"
"          proxygroup=\"utilities\" proxyname=\"StreamingHarness\">\n"
"        </Proxy>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"LockRefinement\"/>\n"
"          <Property name=\"RestartRefinement\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"    </PVRepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup\n"
"      name=\"views\">\n"
"\n"
"    <StreamingViewProxy\n"
"        name=\"StreamingViewBase\"\n"
"        class=\"vtkPVStreamingView\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"views\"\n"
"        base_proxyname=\"RenderView\">\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"GetIsDisplayDone\"\n"
"       command=\"GetIsDisplayDone\"\n"
"       information_only=\"1\">\n"
"       <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"    </StreamingViewProxy>\n"
"\n"
"    <StreamingViewProxy\n"
"        name=\"IteratingView\"\n"
"        class=\"vtkPVStreamingView\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"views\"\n"
"        base_proxyname=\"StreamingViewBase\">\n"
"\n"
"      <SubProxy>\n"
"        <Proxy\n"
"            name=\"StreamingDriver\"\n"
"            proxygroup=\"utilities\"\n"
"            proxyname=\"IteratingDriver\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    </StreamingViewProxy>\n"
"\n"
"    <StreamingViewProxy\n"
"        name=\"PrioritizingView\"\n"
"        class=\"vtkPVStreamingView\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"views\"\n"
"        base_proxyname=\"StreamingViewBase\">\n"
"\n"
"      <SubProxy>\n"
"        <Proxy\n"
"            name=\"StreamingDriver\"\n"
"            proxygroup=\"utilities\"\n"
"            proxyname=\"PrioritizingDriver\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    </StreamingViewProxy>\n"
"\n"
"    <StreamingViewProxy\n"
"        name=\"RefiningView\"\n"
"        class=\"vtkPVStreamingView\"\n"
"        processes=\"client|renderserver|dataserver\"\n"
"        base_proxygroup=\"views\"\n"
"        base_proxyname=\"StreamingViewBase\">\n"
"\n"
"      <SubProxy>\n"
"        <Proxy\n"
"            name=\"StreamingDriver\"\n"
"            proxygroup=\"utilities\"\n"
"            proxyname=\"MultiResolutionDriver\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    </StreamingViewProxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* StreamingViewStreamingViewGetInterfaces()
{
  size_t len = ( 0
    + strlen(StreamingViewStreamingViewInterface0)
    + strlen(StreamingViewStreamingViewInterface1) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, StreamingViewStreamingViewInterface0);
  strcat(res, StreamingViewStreamingViewInterface1);
  return res;
}



#endif
