#include "vtkClientServerInterpreter.h"

#ifndef PARAVIEW_BUILD_SHARED_LIBS
#define PARAVIEW_BUILD_SHARED_LIBS
#endif
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

extern void vtkACosmoReader_Init(vtkClientServerInterpreter* csi);
extern void vtkImageNetCDFPOPReader_Init(vtkClientServerInterpreter* csi);
extern void vtkIterativeStreamer_Init(vtkClientServerInterpreter* csi);
extern void vtkMultiResolutionStreamer_Init(vtkClientServerInterpreter* csi);
extern void vtkParallelStreamHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkPrioritizedStreamer_Init(vtkClientServerInterpreter* csi);
extern void vtkPieceCacheExecutive_Init(vtkClientServerInterpreter* csi);
extern void vtkPieceCacheFilter_Init(vtkClientServerInterpreter* csi);
extern void vtkPieceList_Init(vtkClientServerInterpreter* csi);
extern void vtkRawStridedReader1_Init(vtkClientServerInterpreter* csi);
extern void vtkStreamedMandelbrot_Init(vtkClientServerInterpreter* csi);
extern void vtkStreamingDriver_Init(vtkClientServerInterpreter* csi);
extern void vtkStreamingHarness_Init(vtkClientServerInterpreter* csi);
extern void vtkWarpScalarsAndMetaInfo_Init(vtkClientServerInterpreter* csi);
extern void vtkWorldWarp_Init(vtkClientServerInterpreter* csi);


extern "C" void VTK_WRAP_CS_EXPORT vtkStreamingCS_Initialize(
  vtkClientServerInterpreter *csi)
{
  vtkACosmoReader_Init(csi);
  vtkImageNetCDFPOPReader_Init(csi);
  vtkIterativeStreamer_Init(csi);
  vtkMultiResolutionStreamer_Init(csi);
  vtkParallelStreamHelper_Init(csi);
  vtkPrioritizedStreamer_Init(csi);
  vtkPieceCacheExecutive_Init(csi);
  vtkPieceCacheFilter_Init(csi);
  vtkPieceList_Init(csi);
  vtkRawStridedReader1_Init(csi);
  vtkStreamedMandelbrot_Init(csi);
  vtkStreamingDriver_Init(csi);
  vtkStreamingHarness_Init(csi);
  vtkWarpScalarsAndMetaInfo_Init(csi);
  vtkWorldWarp_Init(csi);

}
