// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __SurfaceLIC_h
#define __SurfaceLIC_h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/SurfaceLIC/vtkSurfaceLICRendering.xml
static const char* SurfaceLICvtkSurfaceLICRenderingInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"  <!--======================================================================-->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"SurfaceLICRepresentation\"\n"
"      class=\"vtkSurfaceLICRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"SurfaceRepresentationBase\" >\n"
"      <Documentation>\n"
"        Representation proxy for Surface LIC.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <InputArrayDomain name=\"input_vectors\"\n"
"          number_of_components=\"3\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"SelectInputVectors\"\n"
"              function=\"FieldDataSelection\"/>\n"
"          </RequiredProperties>\n"
"        </InputArrayDomain>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectInputVectors\"\n"
"        command=\"SelectInputVectors\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"          input_domain_name=\"input_vectors\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"\n"
"        <FieldDataDomain name=\"field_list\"\n"
"                         disable_update_domain_entries=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"\n"
"        <Documentation>\n"
"          This property specifies the name of the input vector array to process.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfSteps\"\n"
"        command=\"SetNumberOfSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"40\">\n"
"        <IntRangeDomain name=\"range\" min=\"5\" max=\"500\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepSize\"\n"
"        command=\"SetStepSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0001\" max=\"10\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LICIntensity\"\n"
"        command=\"SetLICIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.8\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EnhancedLIC\"\n"
"        command=\"SetEnhancedLIC\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseLICForLOD\"\n"
"        command=\"SetUseLICForLOD\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of SurfaceLICRepresentation -->\n"
"    </RepresentationProxy>\n"
"    <!-- End of \"representations\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <!--======================================================================-->\n"
"  <ProxyGroup name=\"filters\">\n"
"    <SourceProxy name=\"Image2DLIC\" label=\"LIC on 2D Image\" \n"
"      class=\"vtkImageDataLIC2D\" >\n"
"      <Documentation>\n"
"        Line Integral Convolution using a vector field defined over a\n"
"        vtkImageData.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Image Shrink filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepSize\"\n"
"        command=\"SetStepSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"100.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Magnification\"\n"
"        command=\"SetMagnification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1.0\" max=\"100\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Steps\"\n"
"        command=\"SetSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"20\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"StructuredGridLIC2D\" label=\"LIC on 2D Structured Grid\" \n"
"      class=\"vtkStructuredGridLIC2D\" >\n"
"      <Documentation>\n"
"        Line Integral Convolution using a vector field defined over a\n"
"        vtkStructuredGrid.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkStructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input to the Image Shrink filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepSize\"\n"
"        command=\"SetStepSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"100.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Magnification\"\n"
"        command=\"SetMagnification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1.0\" max=\"100\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Steps\"\n"
"        command=\"SetSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"20\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>\n"
"    <!-- End of \"filters\" -->\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n"
"\n";
// Get single string
char* SurfaceLICvtkSurfaceLICRenderingGetInterfaces()
{
  size_t len = ( 0
    + strlen(SurfaceLICvtkSurfaceLICRenderingInterface0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, SurfaceLICvtkSurfaceLICRenderingInterface0);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/SurfaceLIC/vtkSurfaceLICExtension.xml
static const char* SurfaceLICvtkSurfaceLICExtensionInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"representations\">\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <!-- This is added to the \"GeometryRepresentation\" proxy xml defined in the\n"
"           standard ParaView servermanager xml \n"
"      -->\n"
"      <!-- this adds to what is already defined in base -->\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        text=\"Surface LIC\" subtype=\"Surface\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"SelectInputVectors\"  exposed_name=\"SelectLICVectors\" />\n"
"          <Property name=\"NumberOfSteps\" exposed_name=\"LICNumberOfSteps\" />\n"
"          <Property name=\"StepSize\" exposed_name=\"LICStepSize\" />\n"
"          <Property name=\"LICIntensity\" />\n"
"          <Property name=\"UseLICForLOD\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of GeometryRepresentation(Extension) -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <!-- This is added to the \"UnstructuredGridRepresentation\" proxy xml defined in the\n"
"           standard ParaView servermanager xml \n"
"      -->\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"        subtype=\"Surface\" text=\"Surface LIC\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"SelectInputVectors\"  exposed_name=\"SelectLICVectors\" />\n"
"          <Property name=\"NumberOfSteps\" exposed_name=\"LICNumberOfSteps\" />\n"
"          <Property name=\"StepSize\" exposed_name=\"LICStepSize\" />\n"
"          <Property name=\"LICIntensity\" />\n"
"          <Property name=\"UseLICForLOD\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of UnstructuredGridRepresentation(Extension) -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <!-- This is added to the \"UniformGridRepresentation\" proxy xml defined in the\n"
"           standard ParaView servermanager xml \n"
"      -->\n"
"      <RepresentationType subproxy=\"SurfaceLICRepresentation\"\n"
"          subtype=\"Surface\" text=\"Surface LIC\" />\n"
"      \n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceLICRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"SurfaceLICRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"SelectInputVectors\"  exposed_name=\"SelectLICVectors\" />\n"
"          <Property name=\"NumberOfSteps\" exposed_name=\"LICNumberOfSteps\" />\n"
"          <Property name=\"StepSize\" exposed_name=\"LICStepSize\" />\n"
"          <Property name=\"LICIntensity\" />\n"
"          <Property name=\"UseLICForLOD\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- End of UniformGridRepresentation(Extension) -->\n"
"    </Extension>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* SurfaceLICvtkSurfaceLICExtensionGetInterfaces()
{
  size_t len = ( 0
    + strlen(SurfaceLICvtkSurfaceLICExtensionInterface0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, SurfaceLICvtkSurfaceLICExtensionInterface0);
  return res;
}



#endif
