// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __module_async_io_helper__h
#define __module_async_io_helper__h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/pvblot/async_io_helper.py
static const char* module_async_io_helper_async_io_helper_string0 =
"\"\"\"\n"
"async_io_helper module\n"
"\n"
"example usage:\n"
"\n"
"from __future__ import generators\n"
"import async_io_helper\n"
"\n"
"helper = async_io_helper.new_helper()\n"
"\n"
"def get_helper():\n"
"    return helper\n"
"\n"
"@async_io_helper.wrap(get_helper)\n"
"def count(io_helper=None):\n"
"    if not io_helper: return\n"
"    count = 1\n"
"    while 1:\n"
"        print \"Current count:\", count\n"
"        yield \"Press 'c' to increase the count or hit 'q' to quit: \"\n"
"        if io_helper.get_input() == 'c': count += 1\n"
"        if io_helper.get_input() == 'q': return\n"
"\n"
"count()\n"
"print helper.get_output()\n"
"\n"
"helper.handle_input('c')\n"
"print helper.get_output()\n"
"\n"
"helper.handle_input('q')\n"
"\n"
"\"\"\"\n"
"\n"
"def new_helper():\n"
"    return _helper()\n"
"\n"
"def wrap(get_io_helper_func):\n"
"    \"\"\"A decorator that takes one argument.  The argument should be an instance\n"
"    of the helper class returned by new_helper().  This decorator wraps a method\n"
"    so that is may perform asynchronous IO using the helper instance.  The\n"
"    method being wrapped should take a keyword argument 'io_helper' which will\n"
"    be set to the helper instance passed in.\"\"\"\n"
"    def decorator_factory(func):\n"
"        def func_wrapper(*args, **kwargs):\n"
"            if not \"io_helper\" in kwargs:\n"
"                kwargs[\"io_helper\"] = get_io_helper_func()\n"
"            helper = kwargs[\"io_helper\"]\n"
"            helper._generator = func(*args, **kwargs)\n"
"            helper._next()\n"
"        func_wrapper.__doc__ = func.__doc__\n"
"        func_wrapper.__name__ = func.__name__\n"
"        return func_wrapper\n"
"\n"
"    return decorator_factory\n"
"\n"
"\n"
"class _helper(object):\n"
"\n"
"    def __init__(self):\n"
"        self._clear()\n"
"\n"
"    def get_input(self):\n"
"        return self._input_line\n"
"\n"
"    def get_output(self):\n"
"        return self._output\n"
"\n"
"    def handle_input(self, line):\n"
"        \"\"\"Handle an input line.  Returns false if the input is not used\n"
"        because there is no object waiting on asynchronous input.  Returns\n"
"        true if the input line is fed to an object that was waiting for\n"
"        asynchronous input.\"\"\"\n"
"        if not self._generator: return False\n"
"        if not isinstance(line, str):\n"
"            raise ValueError(\"Expected string argument\")\n"
"        self._input_line = line\n"
"        self._next()\n"
"        return True\n"
"\n"
"    def _next(self):\n"
"        try: self._output = self._generator.next()\n"
"        except StopIteration: self._clear()\n"
"        except Exception, err:\n"
"\n"
"            # Uncomment for debugging.\n"
"            #import sys\n"
"            #import traceback\n"
"            #traceback.print_exc(file=sys.stdout)\n"
"\n"
"            self._clear()\n"
"            raise(err)\n"
"\n"
"    def _clear(self):\n"
"        self._input_line = str()\n"
"        self._generator = None\n"
"        self._output = None\n"
"\n"
"\n"
"\n"
"#############################################################################\n"
"#\n"
"# The following code is not needed for this module's main functionality.\n"
"# You can call start_prompt(helper, locals()) to an interpreter that mimics\n"
"# the standard python prompt but allows you to call asynchronous IO methods\n"
"# that use the helper passed to start_prompt.  You can use this for testing\n"
"# or from a gui with embeded python.\n"
"#\n"
"\n"
"import cmd\n"
"import code\n"
"\n"
"def start_prompt(io_helper, locals_dict=None):\n"
"    p = _prompt(io_helper, locals_dict)\n"
"    p.cmdloop()\n"
"\n"
"class _prompt(cmd.Cmd):\n"
"    def __init__(self, io_helper, locals_dict):\n"
"        cmd.Cmd.__init__(self)\n"
"        self.prompt = \">>> \"\n"
"        self._interp = code.InteractiveConsole(locals_dict)\n"
"        self._ioHelper = io_helper\n"
"    def _exitcmd(self, s):\n"
"        if s == \"EOF\": print\n"
"        return s == \"exit()\" or s == \"EOF\"\n"
"    def _prepare_cmd(self, s):\n"
"        return s.rstrip().replace(\"\\r\\n\", \"\\n\").replace(\"\\r\", \"\\n\") + \"\\n\"\n"
"    def onecmd(self, s):\n"
"        prompt = \">>> \"\n"
"        if not self._ioHelper.handle_input(s):\n"
"            if self._exitcmd(s): return True\n"
"            if self._interp.push(self._prepare_cmd(s)): prompt = \"... \"\n"
"        if self._ioHelper.get_output():\n"
"            prompt = self._ioHelper.get_output()\n"
"        self.prompt = prompt\n"
"        return False\n"
"\n"
"\n";
// Get single string
char* module_async_io_helper_async_io_helper_source()
{
  size_t len = ( 0
    + strlen(module_async_io_helper_async_io_helper_string0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, module_async_io_helper_async_io_helper_string0);
  return res;
}



#endif
