// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __module_blot_common__h
#define __module_blot_common__h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/pvblot/blot_common.py
static const char* module_blot_common_blot_common_string0 =
"\n"
"\n"
"class Error(Exception): pass\n"
"\n"
"NODE_VARIABLE = \"POINT_DATA\"\n"
"ELEMENT_VARIABLE = \"CELL_DATA\"\n"
"GLOBAL_VARIABLE = \"FIELD_DATA\"\n"
"\n"
"EXODUS = 1\n"
"SPYPLOT = 2\n"
"\n"
"STANDARD_COLORS = [\n"
"    [ 0.933, 0.000, 0.000],     # Red\n"
"    [ 0.000, 0.804, 0.804 ],    # Cyan\n"
"    [ 0.000, 1.000, 0.000 ],    # Green\n"
"    [ 0.804, 0.804, 0.000 ],    # Yellow\n"
"    [ 0.647, 0.165, 0.165 ],    # Brown\n"
"    [ 0.804, 0.569, 0.620 ],    # Pink\n"
"    [ 0.576, 0.439, 0.859 ],    # Purple\n"
"    [ 0.804, 0.522, 0.000 ],    # Orange\n"
"    ]\n"
"\n"
"class Variable(object):\n"
"    def __init__(self, source, name, type, component):\n"
"        self._source = source\n"
"        self._name = name\n"
"        self._type = type\n"
"        self._component = component\n"
"\n"
"    def _get_name(self): return self._name\n"
"    def _get_source(self): return self._source\n"
"    def _get_type(self): return self._type\n"
"    def _get_component(self): return self._component\n"
"    def _get_decorated_name(self):\n"
"        suffix = [\"\",\"X\",\"Y\",\"Z\"]\n"
"        return \"%s%s\" % (self.name, suffix[self.component+1])\n"
"    def _get_type_name(self):\n"
"        if self.type == NODE_VARIABLE: return \"NODE\"\n"
"        if self.type == ELEMENT_VARIABLE: return \"ELEMENT\"\n"
"        if self.type == GLOBAL_VARIABLE: return \"GLOBAL\"\n"
"        return \"UNKNOWN_TYPE\"\n"
"\n"
"    def _get_info(self):\n"
"        r = self._source\n"
"        itr = zip([NODE_VARIABLE, ELEMENT_VARIABLE, GLOBAL_VARIABLE],\n"
"                  [r.PointData, r.CellData, r.FieldData])\n"
"        for var_type, var_data in itr:\n"
"            if self.type == var_type:\n"
"                return var_data[self.name]\n"
"        return None\n"
"\n"
"    source = property(_get_source, None, None, \"The source proxy that has this variable\")\n"
"    name = property(_get_name, None, None, \"The variable name used by the source.\")\n"
"    type = property(_get_type, None, None, \"The variable type.\")\n"
"    component = property(_get_component, None, None, \"The variable component.  -1 for magnitude.\")\n"
"    type_name = property(_get_type_name, None, None, \"Get the variable type as a string\")\n"
"    decorated_name = property(_get_decorated_name, None, None, \"The variable name with \"\n"
"                                                               \"X, Y, or Z possibly appended.\")\n"
"    info = property(_get_info, None, None, \"Get the ArrayInformation object for the variable.\")\n"
"\n"
"\n"
"\n"
"def find_variable(source, name):\n"
"    \"\"\"Given a source and a case insensitive variable name, look for the\n"
"    variable as a node, element, or global variable.  If found, return a\n"
"    new Variable instance with the variable name (the real name, may be\n"
"    different from the name given to this method), type, and component.\n"
"    If the variable is not found return None.  As a side effect, if the\n"
"    variable is found but it is not currently loaded by the source (reader), the\n"
"    variable will be loaded.  When passing a variable name to this\n"
"    method you can pass VARX or VARY to mean VAR(0) or VAR(1) for example.\"\"\"\n"
"\n"
"    if source.DatabaseType == EXODUS:\n"
"        itr = zip([NODE_VARIABLE, ELEMENT_VARIABLE, GLOBAL_VARIABLE],\n"
"                [source.PointVariables, source.ElementVariables, source.GlobalVariables])\n"
"\n"
"    elif source.DatabaseType == SPYPLOT:\n"
"        itr = zip([ELEMENT_VARIABLE], [source.Input.CellArrays])\n"
"\n"
"    for var_type, var_list in itr:\n"
"        realname = find_insensitive(name, var_list.Available)\n"
"        component = -1\n"
"        if not realname:\n"
"            for component_index, suffix in zip([0, 1, 2], [\"x\", \"y\", \"z\"]):\n"
"                if name.lower().endswith(suffix):\n"
"                    realname = find_insensitive(name[:-1], var_list.Available)\n"
"                    component = component_index  \n"
"        if realname:\n"
"            if realname not in var_list:\n"
"                var_list.SetData(var_list[:] + [realname])\n"
"            return Variable(source, realname, var_type, component)\n"
"    return None\n"
"\n"
"def find_insensitive(str, lst):\n"
"    \"\"\"\n"
"    Finds string str in list of strings lst ignoring case and spaces.  If the string is\n"
"    found, returns the actual value of the string.  Otherwise, returns None.\n"
"    \"\"\"\n"
"    str = str.upper().replace(\" \", \"\")\n"
"    for entry in lst:\n"
"        if entry.upper().replace(\" \", \"\") == str:\n"
"            return entry\n"
"    return None\n"
"\n"
"def print_blot_error(err):\n"
"    \"\"\"Print an instance of Error using blot formatting.\"\"\"\n"
"    print \" *** ERROR - \", err\n"
"\n"
"def print_blot_warning(msg):\n"
"    \"\"\"Print a warning message.\"\"\"\n"
"    print \" *** WARNING - \", msg\n"
"\n"
"\n";
// Get single string
char* module_blot_common_blot_common_source()
{
  size_t len = ( 0
    + strlen(module_blot_common_blot_common_string0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, module_blot_common_blot_common_string0);
  return res;
}



#endif
