// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __module_number_list_parser__h
#define __module_number_list_parser__h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/pvblot/number_list_parser.py
static const char* module_number_list_parser_number_list_parser_string0 =
"##########################################################################\n"
"#\n"
"# number_list_parser\n"
"#\n"
"# usage: parse_number_list(\"1, 2, 10 to 15, 20 to 30 by 2\", int)\n"
"#\n"
"#   will return: [1, 2, 10, 11, 12, 13, 14, 15, 20, 22, 24, 26, 28, 30]\n"
"#\n"
"# Currently only int is supported.  To support float you must uncomment\n"
"# the frange method below and then test it :-)\n"
"\n"
"class Error(Exception): pass\n"
"\n"
"def parse_number_list(s, number_class):\n"
"    \"\"\"Take a string representing a list of numbers and number ranges and return\n"
"    a list of the parsed numbers.  For example: '1, 2, 50 to 100 by 5'\n"
"    Acceptable strings follow the grammar:\n"
"\n"
"      A =: <A> <B>\n"
"      B =: <number> | <C>\n"
"      C =: \"<number> to <number>\" <D>\n"
"      D =: \"by <number>\" | \"\"\n"
"\n"
"    \"\"\"\n"
"    # remove commas, convert to lower case, split into tokens and parse\n"
"    tokens = s.replace(',', '').lower().split()\n"
"    number_list = []\n"
"    while len(tokens):\n"
"        if tokens_are_range(tokens, number_class): number_list += pop_range_tokens(tokens, number_class)\n"
"        else: number_list += [pop_number_token(number_class, tokens)]\n"
"    return number_list\n"
"\n"
"def is_number_class(token, number_class):\n"
"    try: number_class(token)\n"
"    except: return False\n"
"    return True\n"
"\n"
"def convert_to_number_class(token, number_class):\n"
"    try: num = number_class(token)\n"
"    except ValueError: raise Error(\"Expected number type '%s' not '%s'\" % (number_class.__name__, token))\n"
"    return num\n"
"\n"
"def tokens_are_range(tokens, number_class):\n"
"    \"\"\"Check if the given list of tokens appears to be a range of the form: 'X to Y'\"\"\"\n"
"    # If there are less than two tokens or the second token is a number then\n"
"    # these tokens do not appear to be a range\n"
"    if len(tokens) < 2 or is_number_class(tokens[1], number_class): return False\n"
"    return True\n"
"\n"
"def pop_string_token(s, tokens):\n"
"    if not len(tokens): tokens += \" \"\n"
"    token = tokens.pop(0)\n"
"    if token != s: raise Error(\"Expected '%s' not '%s'\" % (s, token))\n"
"\n"
"def pop_number_token(number_class, tokens):\n"
"    if not len(tokens): tokens += \" \"\n"
"    return convert_to_number_class(tokens.pop(0), number_class)\n"
"\n"
"def pop_range_tokens(tokens, number_class):\n"
"    \"\"\"Given a list of tokens try to parse them as 'X to Y' or 'X to Y by Z'.\n"
"    If the parsing fails then raise a Error.  All parsed tokens are\n"
"    popped from the incoming tokens list.\"\"\"\n"
"\n"
"    # Get first three tokens as \"X\" \"to\" \"Y\"\n"
"    start = pop_number_token(number_class, tokens)\n"
"    pop_string_token(\"to\", tokens)\n"
"    stop = pop_number_token(number_class, tokens)\n"
"\n"
"    # If there are no more tokens or the next token is a number then\n"
"    # there is no \"by Z\", return the range\n"
"    if not len(tokens) or is_number_class(tokens[0], number_class):\n"
"        return build_number_range(number_class, start, stop)\n"
"\n"
"    # Get the next two tokens as \"BY\" \"Z\", return the range\n"
"    pop_string_token(\"by\", tokens)\n"
"    step = pop_number_token(number_class, tokens)\n"
"    return build_number_range(number_class, start, stop, step)\n"
"\n"
"def build_number_range(number_class, start, stop, step=1):\n"
"    if step == 0: raise Error, \"Invalid BY value '0'\"\n"
"    if number_class is int:\n"
"        if (start > stop and step > 0):\n"
"            raise Error(\"Starting number '%s' > ending '%s'\" % (start, stop))\n"
"        if (start < stop and step < 0):\n"
"            raise Error(\"Starting number '%s' < ending '%s' with negative step\" % (start, stop))\n"
"        return range(start, stop+cmp(step, 0), step)\n"
"    else: raise Error(\"Unhandled number class '%s'\" % number_class.__name__)\n"
"\n"
"\"\"\"\n"
"import math\n"
"def frange(start, stop, step=1.0):\n"
"    start = float(start)\n"
"    count = int(math.ceil( (stop-start)/step )  )\n"
"    return list(start + n*step for n in xrange(count))\n"
"\"\"\"\n"
"\n"
"\n";
// Get single string
char* module_number_list_parser_number_list_parser_source()
{
  size_t len = ( 0
    + strlen(module_number_list_parser_number_list_parser_string0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, module_number_list_parser_number_list_parser_string0);
  return res;
}



#endif
