// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __module_timestep_selection__h
#define __module_timestep_selection__h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/pvblot/timestep_selection.py
static const char* module_timestep_selection_timestep_selection_string0 =
"\"\"\"\n"
"\n"
"4.1.3   Time Step Selection (any subprogram)\n"
"\n"
"These commands control the time step selection as explained in Section\n"
"[Ref:intro:timemode].  The following are the time step selection parameters:\n"
"\n"
"     * tmin is the minimum selected time,\n"
"     * tmax is the maximum selected time,\n"
"     * nintv is the number of selected time intervals, and\n"
"     * delt is the selected time interval.\n"
"                                            \n"
"In the interval-times mode, up to nintv time steps at interval delt between tmin and tmax are\n"
"selected. The mode may have a delta offset or a zero offset. With a delta offset, the first\n"
"selected time is tmin+delt; with a zero offset, it is tmin.\n"
"In the interval-times mode with a delta offset, the number of selected time intervals nintv\n"
"and the selected time interval delt are related mathematically by the equations:\n"
"\n"
"delt = (tmax-tmin) / nintv (1)\n"
"nintv = int ((tmin-tmax) / delt) (2)\n"
"\n"
"With a zero offset, nintv and delt are related mathematically by the equations:\n"
"\n"
"delt = (tmax-tmin) / (nintv-1) (1)\n"
"nintv = int ((tmin-tmax) / delt) + 1 (2)\n"
"\n"
"The user specifies either nintv or delt. If nintv is specified, delt is calculated using equation\n"
"1. If delt is specified, nintv is calculated using equation 2.\n"
"In the all-available-times mode, all database time steps between tmin and tmax are selected\n"
"(parameters nintv and delt are ignored). In the user-selected-times mode, the specified\n"
"times are selected (all parameters are ignored).\n"
"The initial mode is the interval-times mode with a delta offset. Parameters tmin, tmax, and\n"
"nintv are set to their default values and delt is calculated.\n"
"\n"
"TMIN tmin <minimum database time>\n"
"      TMIN sets the minimum selected time tmin to the specified parameter value. If the\n"
"      user-selected-times mode is in effect, the mode is changed to the all-available-\n"
"      times mode.\n"
"      In interval-times mode, if nintv is selected (by a NINTV or ZINTV command), delt\n"
"      is calculated. If delt is selected (by a DELTIME command), nintv is calculated.\n"
"\n"
"TMAX tmax <maximum database time>\n"
"      TMAX sets the maximum selected time tmax to the specified parameter value. If\n"
"      the user-selected-times mode is in effect, the mode is changed to the all-available-\n"
"      times mode.\n"
"      In interval-times mode, if nintv is selected (by a NINTV or ZINTV command), delt\n"
"      is calculated. If delt is selected (by a DELTIME command), nintv is calculated.\n"
"\n"
"NINTV nintv <10 or the number of database time steps - 1,> whichever is smaller\n"
"      NINTV sets the number of selected time intervals nintv to the specified parameter\n"
"      value and changes the mode to the interval-times mode with a delta offset. The\n"
"      selected time interval delt is calculated.\n"
"                                                22\n"
"ZINTV nintv <10 or the number of database time steps,> whichever is smaller\n"
"    ZINTV sets the number of selected time intervals nintv to the specified parameter\n"
"    value and changes the mode to the interval-times mode with a zero offset. The\n"
"    selected time interval delt is calculated.\n"
"\n"
"DELTIME delt <(tmax-tmin) / (nintv-1), where nintv is 10> or the number of\n"
"    database time steps, whichever is smaller\n"
"    DELTIME sets the selected time interval delt to the specified parameter value and\n"
"    changes the mode to the interval-times mode with a zero offset. The number of\n"
"    selected time intervals nintv is calculated.\n"
"\n"
"ALLTIMES\n"
"    ALLTIMES changes the mode to the all-available-times mode.\n"
"\n"
"TIMES [ADD,] t1, t2, ... <no times selected>\n"
"    TIMES changes the mode to the user-selected-times mode and selects times t1, t2,\n"
"    etc. The closest time step from the database is selected for each specified time.\n"
"    Normally, a TIMES command selects only the listed time steps. If ADD is the first\n"
"    parameter, the listed steps are added to the current selected times. Any other time\n"
"    step selection command clears all TIMES selected times.\n"
"    Up to the maximum number of time steps in the database may be specified. Times\n"
"    are selected in the order encountered on the database, regardless of the order the\n"
"    times are specified in the command. Duplicate references to a time step are\n"
"    ignored.\n"
"\n"
"STEPS [ADD,] n1, n2, ... <no steps selected>\n"
"    The STEPS command is equivalent to the TIMES command except that it selects\n"
"    time steps by the step number, not by the step time.\n"
"\n"
"HISTORY *skipped*\n"
"\n"
"\n"
"\"\"\"\n"
"class Error(Exception): pass\n"
"\n"
"class TimestepSelection(object):\n"
"    \"\"\"Public api:\n"
"\n"
"    selected_indices\n"
"    selected_times\n"
"\n"
"    reset()\n"
"    set_tmin(value=None)\n"
"    set_tmax(value=None)\n"
"    set_nintv(value=None)\n"
"    set_zintv(value=None)\n"
"    set_deltime(value=None)\n"
"    set_alltimes()\n"
"\n"
"    parse_times(string)\n"
"    parse_steps(string)\n"
"\n"
"    \"\"\"\n"
"  \n"
"    # mode:\n"
"    all_available_times = 1\n"
"    interval_times = 2\n"
"    user_selected_times = 3\n"
"\n"
"    # interval_select_mode:\n"
"    nintv_select = 1\n"
"    delt_select = 2\n"
"\n"
"    # offset_mode:\n"
"    delt_offset = 1\n"
"    zero_offset = 2\n"
"\n"
"    def __init__(self, available_times):\n"
"        \"\"\"Given available_times, a list of all the available timesteps.\n"
"        Assumes the available_times is list sorted in ascending order and\n"
"        all values are positive.\"\"\"\n"
"\n"
"        # Make a copy of the list and make sure it has at least 1 value\n"
"        self.available_times = list(available_times)\n"
"        if not self.available_times: self.available_times = [0]\n"
"        self.reset()\n"
"\n"
"    def reset(self):\n"
"        self.selected_indices = []\n"
"        self.selected_times = []\n"
"        self.tmin = self.available_times[0]\n"
"        self.tmax = self.available_times[-1]\n"
"        self.mode = self.interval_times\n"
"        self.interval_select_mode = self.nintv_select\n"
"        self.offset_mode = self.delt_offset\n"
"        self.nintv = self._get_default_nintv()\n"
"        self._update_delt_and_nintv()\n"
"        self._update_selected_timesteps()\n"
"\n"
"    def _update_delt_and_nintv(self):\n"
"        # For nintv_select mode, update delt\n"
"        if self.interval_select_mode == self.nintv_select:\n"
"            if self.offset_mode == self.delt_offset:\n"
"                try: self.delt = (self.tmax - self.tmin) / self.nintv\n"
"                except ZeroDivisionError: self.delt = self.tmax - self.tmin\n"
"            elif self.offset_mode == self.zero_offset:\n"
"                try: self.delt = (self.tmax - self.tmin) / (self.nintv - 1)\n"
"                except ZeroDivisionError: self.delt = self.tmax - self.tmin\n"
"\n"
"        # For delt_select mode, update nintv\n"
"        if self.interval_select_mode == self.delt_select:\n"
"            if self.offset_mode == self.delt_offset:\n"
"                try: self.nintv = int( (self.tmax - self.tmin) / self.delt )\n"
"                except ZeroDivisionError: self.nintv = int(self.tmax - self.tmin) \n"
"            elif self.offset_mode == self.zero_offset:\n"
"                try: self.nintv = int( (self.tmax - self.tmin) / self.delt ) + 1\n"
"                except ZeroDivisionError: self.nintv = int(self.tmax - self.tmin) + 1\n"
"\n"
"\n"
"    def print_show(self):\n"
"        if self.mode == self.all_available_times:\n"
"            print \" Select all whole times from %f to %f\" % (self.tmin, self.tmax)\n"
"        elif self.mode == self.interval_times:\n"
"            if self.interval_select_mode == self.nintv_select:\n"
"                min_max_nintv = (self.tmin, self.tmax, self.nintv)\n"
"                if self.offset_mode == self.delt_offset:\n"
"                    print \" Select whole times %f to %f in %d intervals with delta offset\" % min_max_nintv\n"
"                elif self.offset_mode == self.zero_offset:\n"
"                    print \" Select whole times %f to %f in %d intervals with zero offset\" % min_max_nintv\n"
"            elif self.interval_select_mode == self.delt_select:\n"
"                print \" Select whole times %f to %f by %f\" %  (self.tmin, self.tmax, self.delt)\n"
"        elif self.mode == self.user_selected_times:\n"
"            print \" Select specified whole times\"   \n"
"        print \"    Number of selected times = %d\" % len(self.selected_times)\n"
"        print    \n"
"\n"
"\n"
"    def _update_selected_timesteps(self):\n"
"        if self.mode == self.all_available_times:\n"
"            lo = self._get_closest_index_for_time(self.tmin)\n"
"            hi = self._get_closest_index_for_time(self.tmax)\n"
"            self.selected_indices = range(lo, hi+1)\n"
"        elif self.mode == self.interval_times:\n"
"            self.selected_indices = []\n"
"            index_offset = 0\n"
"            if self.offset_mode == self.delt_offset: index_offset = 1\n"
"            indices_set = set()\n"
"            for i in range(index_offset, self.nintv + index_offset):\n"
"                t = self.tmin + i * self.delt\n"
"                indices_set.add(self._get_closest_index_for_time(t))\n"
"                #print \"loop\",i,self.selected_indices[-1]\n"
"            self.selected_indices = list(indices_set)\n"
"            self.selected_indices.sort()\n"
"        elif self.mode == self.user_selected_times:\n"
"            pass\n"
"\n"
"        self.selected_times = [self.available_times[i] for i in self.selected_indices]\n"
"\n"
"    def _on_tmin_tmax_changed(self):\n"
"        if self.mode == self.user_selected_times:\n"
"            self.mode = self.all_available_times\n"
"        self._update_delt_and_nintv()\n"
"        self._update_selected_timesteps()\n"
"\n"
"    def set_tmin(self, value=None):\n"
"        if value == None: self.tmin = self.available_times[0]\n"
"        else: self.tmin = value\n"
"        self._on_tmin_tmax_changed()\n"
"\n"
"    def set_tmax(self, value=None):\n"
"        if value == None: self.tmax = self.available_times[-1]\n"
"        else: self.tmax = value\n"
"        self._on_tmin_tmax_changed()\n"
"\n"
"    def _set_nintv_internal(self, value=None):\n"
"        nintv_max = len(self.available_times)-1\n"
"        if value > nintv_max: value = nintv_max\n"
"        self.mode = self.interval_times\n"
"        self.interval_select_mode = self.nintv_select\n"
"        if value is None or value == 0:\n"
"            value = self._get_default_nintv()\n"
"        self.nintv = value\n"
"        self._update_delt_and_nintv()\n"
"        self._update_selected_timesteps()\n"
"        \n"
"    def set_nintv(self, value=None):\n"
"        self.offset_mode = self.delt_offset\n"
"        self._set_nintv_internal(value)\n"
"\n"
"    def set_zintv(self, value=None):\n"
"        self.offset_mode = self.zero_offset\n"
"        self._set_nintv_internal(value)\n"
"\n"
"    def set_deltime(self, value=None):\n"
"        self.mode = self.interval_times\n"
"        self.offset_mode = self.zero_offset\n"
"        self.interval_select_mode = self.delt_select\n"
"        if value is None:\n"
"            default_nintv = self._get_default_nintv()\n"
"            try: value = (self.tmax - self.tmin) / (default_nintv - 1)\n"
"            except ZeroDivisionError: value = self.tmax - self.tmin\n"
"        if value <= 0:\n"
"            self.set_alltimes()\n"
"            return\n"
"        self.delt = value\n"
"        self._update_delt_and_nintv()\n"
"        self._update_selected_timesteps()\n"
"\n"
"    def set_alltimes(self):\n"
"        self.mode = self.all_available_times\n"
"        self._update_selected_timesteps()\n"
"\n"
"    def _set_selected_indices_from_set(self, indices_set):\n"
"        self.selected_indices = list(indices_set)\n"
"        self.selected_indices.sort()\n"
"        self._update_selected_timesteps()\n"
"\n"
"    def parse_times(self, string_arg):\n"
"        \"\"\"If there is an error in parsing raises an Error exception.\"\"\"\n"
"        self.mode = self.user_selected_times\n"
"        tokens = string_arg.replace(\",\", \"\").lower().split()\n"
"        if len(tokens) == 0: tokens = [0]\n"
"        if tokens[0] == \"add\":\n"
"            indices_set = set(self.selected_indices)\n"
"            tokens.pop(0)\n"
"        else: indices_set = set()\n"
"        for token in tokens:\n"
"            try: t = float(token)\n"
"            except: raise Error(\"Expected number of type float not '%s'\" % token)\n"
"            indices_set.add(self._get_closest_index_for_time(t))\n"
"        self._set_selected_indices_from_set(indices_set)\n"
"\n"
"    def parse_steps(self, string_arg):\n"
"        \"\"\"If there is an error in parsing raises an Error exception.\n"
"        Note, steps are specified with starting index equal to 1 (not 0),\n"
"        but steps indices are stored (self.selected_indices) with starting\n"
"        index equal to 0.\"\"\"\n"
"        self.mode = self.user_selected_times\n"
"        tokens = string_arg.replace(\",\", \"\").lower().split()\n"
"        if len(tokens) == 0: tokens = [0]\n"
"        if tokens[0] == \"add\":\n"
"            indices_set = set(self.selected_indices)\n"
"            tokens.pop(0)\n"
"        else: indices_set = set()\n"
"        idx_max = len(self.available_times)\n"
"        for token in tokens:\n"
"            try: idx = int(token)\n"
"            except: raise Error(\"Expected number of type int not '%s'\" % token)\n"
"            if idx <= 0 or idx > idx_max:\n"
"                print \" *** ERROR - Step %d does not exist, ignored\" % idx\n"
"                continue\n"
"            indices_set.add(idx-1)\n"
"        self._set_selected_indices_from_set(indices_set)\n"
"\n"
"    def _get_default_nintv(self):\n"
"        default_nintv = 10\n"
"        nSteps = len(self.available_times)\n"
"        if nSteps-1 < default_nintv: return nSteps-1\n"
"        else: return default_nintv\n"
"\n"
"\n"
"    def _test_closest(self, time):\n"
"        idx = self._get_closest_index_for_time(time)\n"
"        print \"idx, time\", idx, self.available_times[idx]\n"
"\n"
"    def _get_closest_time(self, time):\n"
"        return self.available_times[self._get_closest_index_for_time(time)]\n"
"\n"
"    def _get_closest_index_for_time(self, time):\n"
"        import bisect\n"
"        # Find indices hi and lo\n"
"        hi = bisect.bisect_right(self.available_times, time)\n"
"        lo = hi - 1\n"
"\n"
"        # Check if hi index is on list boundary\n"
"        if hi == 0: return hi\n"
"        if hi == len(self.available_times): return lo\n"
"\n"
"        # Find value closest to given time and return the index\n"
"        dxLo = abs(self.available_times[lo]-time)\n"
"        dxHi = abs(self.available_times[hi]-time)\n"
"        if dxLo < dxHi: return lo\n"
"        else: return hi\n"
"\n"
"\n";
// Get single string
char* module_timestep_selection_timestep_selection_source()
{
  size_t len = ( 0
    + strlen(module_timestep_selection_timestep_selection_string0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, module_timestep_selection_timestep_selection_string0);
  return res;
}



#endif
