// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __module_tplot__h
#define __module_tplot__h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/Plugins/pvblot/tplot.py
static const char* module_tplot_tplot_string0 =
"import blot_common\n"
"import paraview.simple\n"
"smp = paraview.simple\n"
"\n"
"class Error(Exception): pass\n"
"\n"
"# Some constants\n"
"NODE_VARIABLE = blot_common.NODE_VARIABLE\n"
"ELEMENT_VARIABLE = blot_common.ELEMENT_VARIABLE\n"
"GLOBAL_VARIABLE = blot_common.GLOBAL_VARIABLE\n"
"\n"
"TYCURVE = 1\n"
"XYCURVE = 2\n"
"\n"
"STANDARD_CHART_COLORS = [\n"
"    [ 0.933, 0.000, 0.000],     # Red\n"
"    [ 0.000, 0.804, 0.804 ],    # Cyan\n"
"    [ 0.000, 1.000, 0.000 ],    # Green\n"
"    [ 0.647, 0.165, 0.165 ],    # Brown\n"
"    [ 0.804, 0.569, 0.620 ],    # Pink\n"
"    [ 0.576, 0.439, 0.859 ],    # Purple\n"
"    [ 0.804, 0.522, 0.000 ],    # Orange\n"
"    ]\n"
"\n"
"_global_view = None\n"
"\n"
"class TPlot(object):\n"
"\n"
"    def __init__(self):\n"
"\n"
"        \"\"\"\n"
"        self.node_selection = \\\n"
"            paraview.servermanager.sources.GlobalIDSelectionSource(FieldType=\"POINT\")\n"
"        self.element_selection = \\\n"
"            paraview.servermanager.sources.GlobalIDSelectionSource(FieldType=\"CELL\")\n"
"        self.node_plot = smp.PlotSelectionOverTime(Selection=self.node_selection)\n"
"        self.element_plot = smp.PlotSelectionOverTime(Selection=self.element_selection)\n"
"        \"\"\"\n"
"        global _global_view\n"
"        if not _global_view:\n"
"            _global_view = smp.CreateXYPlotView()\n"
"        self.view = _global_view\n"
"        self._curve_reps = dict()\n"
"        self._filters = []\n"
"        self.reset()\n"
"        pass\n"
"\n"
"    def __del__(self):\n"
"        self.reset()\n"
"        \n"
"\n"
"    def reset(self):\n"
"        self._curves = []\n"
"        self._overlay = False\n"
"        self._node_curves = []\n"
"        self._element_curves = []\n"
"        self._global_curves = []\n"
"        self._overlay = False\n"
"        self._xlabel = \"\"\n"
"        self._ylabel = \"\"\n"
"\n"
"        self.view.AxisBehavior = [0, 0, 0, 0]\n"
"        self.view.AxisTitle = ['', '', '', '']\n"
"        self.view.Representations = []\n"
"\n"
"        for k in self._curve_reps.keys():\n"
"            rep = self._curve_reps.pop(k)\n"
"            smp.Delete(rep)\n"
"        self._curve_reps = dict()\n"
"\n"
"        for proxy in self._filters:\n"
"            smp.Delete(proxy)\n"
"        self._filters = list()\n"
"\n"
"\n"
"        self.view.Representations = []\n"
"        for r in self._curve_reps: smp.Delete(r)\n"
"        smp.Render(self.view)\n"
"\n"
"    def _set_overlay(self, value=True):\n"
"        self._overlay = bool(value)\n"
"    def _get_overlay(self): return self._overlay\n"
"    overlay = property(_get_overlay, _set_overlay,\n"
"                       doc=\"Overlay decides if all curves are plotted together or not.\")\n"
"\n"
"    def add_curve(self, c):\n"
"        if not isinstance(c, Curve):\n"
"            raise TypeError(\"Argument is not a tplot curve.\")\n"
"        c.curve_index = len(self._curves)\n"
"        self._curves.append(c)\n"
"        if c.var.type == GLOBAL_VARIABLE: self._global_curves.append(c)\n"
"        if c.var.type == NODE_VARIABLE: self._node_curves.append(c)\n"
"        if c.var.type == ELEMENT_VARIABLE: self._element_curves.append(c)\n"
"\n"
"\n"
"    def write_image(self, filename):\n"
"        self.view.WriteImage(filename)\n"
"\n"
"    def get_curve_representation(self, c):\n"
"        rep = self._curve_reps.get(c.curve_index)\n"
"        if rep: return rep\n"
"\n"
"        if c.var.type == GLOBAL_VARIABLE:\n"
"            return self.create_global_over_time_representation(c)\n"
"        else:\n"
"            return self.create_selection_over_time_representation(c)\n"
"\n"
"    def create_global_over_time_representation(self, c):\n"
"\n"
"        plot = smp.PlotGlobalVariablesOverTime(c.var.source)\n"
"        self._filters.append(plot)\n"
"\n"
"        chart_variable_name = c.chart_variable_name\n"
"        chart_series_label = c.get_series_label()\n"
"        color = STANDARD_CHART_COLORS[0]\n"
"\n"
"        rep = paraview.servermanager.CreateRepresentation(plot, self.view)\n"
"        self._curve_reps[c.curve_index] = rep\n"
"        paraview.servermanager.ProxyManager().RegisterProxy(\"representations\", \\\n"
"          \"plot_rep_%d\" % c.curve_index, rep)\n"
"\n"
"        rep.CompositeDataSetIndex = 2\n"
"        rep.AttributeType = 6 # \"Row Data\"\n"
"        rep.Update()\n"
"        visibility = []\n"
"        for name in rep.GetProperty(\"SeriesNamesInfo\"):\n"
"          visibility.append(name)\n"
"          if name == chart_variable_name: visibility.append(\"1\")\n"
"          else: visibility.append(\"0\")\n"
"        rep.SeriesVisibility = visibility\n"
"        rep.SeriesLineStyle = [chart_variable_name, \"1\"]\n"
"        rep.SeriesColor = [chart_variable_name, str(color[0]), str(color[1]), str(color[2])]\n"
"        rep.SeriesLabel = [chart_variable_name, chart_series_label]\n"
"        return rep\n"
"\n"
"\n"
"    def create_selection_over_time_representation(self, c):\n"
"\n"
"        field_type = _get_field_type_for_variable(c.var)\n"
"        selection = smp.GlobalIDSelectionSource(FieldType=field_type)\n"
"        selection.GlobalIDs = [long(c.id)]\n"
"        plot = smp.PlotSelectionOverTime(c.var.source, Selection=selection)\n"
"\n"
"        self._filters.append(selection)\n"
"        self._filters.append(plot)\n"
"\n"
"        chart_variable_name = c.chart_variable_name\n"
"        chart_series_label = c.get_series_label()\n"
"        color = STANDARD_CHART_COLORS[0]\n"
"\n"
"        rep = paraview.servermanager.CreateRepresentation(plot, self.view)\n"
"        self._curve_reps[c.curve_index] = rep\n"
"        paraview.servermanager.ProxyManager().RegisterProxy(\"representations\", \\\n"
"          \"plot_rep_%d\" % c.curve_index, rep)\n"
"\n"
"        rep.CompositeDataSetIndex = 1\n"
"        rep.AttributeType = 6 # \"Row Data\"\n"
"        rep.Update()\n"
"        visibility = []\n"
"        for name in rep.GetProperty(\"SeriesNamesInfo\"):\n"
"          visibility.append(name)\n"
"          if name == chart_variable_name: visibility.append(\"1\")\n"
"          else: visibility.append(\"0\")\n"
"        rep.SeriesVisibility = visibility\n"
"        rep.SeriesLineStyle = [chart_variable_name, \"1\"]\n"
"        rep.SeriesColor = [chart_variable_name, str(color[0]), str(color[1]), str(color[2])]\n"
"        rep.SeriesLabel = [chart_variable_name, chart_series_label]\n"
"\n"
"        if c.type == XYCURVE:\n"
"            rep.XArrayName = c.chart_xvariable_name\n"
"            rep.UseIndexForXAxis = 0\n"
"\n"
"        return rep\n"
"\n"
"\n"
"    def get_number_of_curves(self):\n"
"        return len(self._curves)\n"
"\n"
"    def plot(self, curve_index=0):\n"
"\n"
"        if self.overlay:\n"
"            curves_to_plot = self._curves\n"
"        elif curve_index < len(self._curves):\n"
"            curves_to_plot = [self._curves[curve_index]]\n"
"        else: return          \n"
"        \n"
"        view = self.view\n"
"        view.Representations = []\n"
"\n"
"        if len(curves_to_plot) == 1:\n"
"            c = curves_to_plot[0]\n"
"            chart_title = c.get_description()\n"
"            y_axis_title = c.var.decorated_name\n"
"            x_axis_title = \"TIME\"\n"
"            if c.type == XYCURVE: x_axis_title = c.x_var.decorated_name\n"
"        else:\n"
"            # todo\n"
"            chart_title = \"\"\n"
"            y_axis_title = \"\"\n"
"            x_axis_title = \"\"\n"
"\n"
"        view.ChartTitle = chart_title\n"
"\n"
"        xlabel, ylabel = self._xlabel, self._ylabel\n"
"        if not xlabel: xlabel = x_axis_title\n"
"        if not ylabel: ylabel = y_axis_title\n"
"\n"
"\n"
"        view.AxisTitle = [ylabel, xlabel, '', '']\n"
"\n"
"        count = 0\n"
"        for c in curves_to_plot:\n"
"            rep = self.get_curve_representation(c)\n"
"            view.Representations.append(rep)\n"
"\n"
"            # Set a new color for the curve depending on the count\n"
"            color = STANDARD_CHART_COLORS[count % len(STANDARD_CHART_COLORS)]\n"
"            rep.SeriesColor = [c.chart_variable_name, str(color[0]), str(color[1]), str(color[2])]\n"
"            count += 1\n"
"\n"
"        smp.Render(view)\n"
"\n"
"\n"
"    def _set_axis_range(self, axis_index, min_val, max_val):\n"
"        \"\"\"Set the minimum and maximum values for the axis range.\n"
"        The Y axis is axis_index=0.  The X axis is axis_index=1.\"\"\"\n"
"        view = self.view\n"
"        axis_name = [\"Y\", \"X\"][axis_index]\n"
"        if min_val is None:\n"
"            # Set to autoscale\n"
"            view.AxisBehavior[axis_index] = 0\n"
"            print \" %s axis will be automatically scaled\" % axis_name\n"
"        else:\n"
"            min_index, max_index = axis_index*2, axis_index*2 + 1\n"
"            view.AxisBehavior[axis_index] = 1\n"
"            view.AxisRange[min_index] = min_val\n"
"\n"
"            # If max_val is not none then set it, otherwise just grab the value\n"
"            if max_val is not None:\n"
"                view.AxisRange[max_index] = max_val\n"
"            else: max_val = view.AxisRange[max_index]\n"
"\n"
"            print \" %s axis scaling: %f to %f\" % (axis_name, min_val, max_val)\n"
"\n"
"\n"
"    def set_xscale(self, min_val=None, max_val=None):\n"
"        self._set_axis_range(1, min_val, max_val)\n"
"\n"
"    def set_yscale(self, min_val=None, max_val=None):\n"
"        self._set_axis_range(0, min_val, max_val)\n"
"\n"
"    def set_xlabel(self, label):\n"
"        self._xlabel = label\n"
"\n"
"    def set_ylabel(self, label):\n"
"        self._ylabel = label\n"
"\n"
"\n"
"    def _unique_curve_ids(self, curve_list):\n"
"        \"\"\"\"Given a list of curves return a sorted list of the curve ids\n"
"        with duplicates removed.\"\"\"\n"
"        uniq = dict()\n"
"        for c in curve_list:\n"
"            uniq.setdefault[c.id] = 0\n"
"        return uniq.keys().sort()\n"
"\n"
"    def get_curves_with_variable_type(self, var_type):\n"
"        \"\"\"Given a variable type (NODE_VARIABLE, ELEMENT_VARIABLE, GLOBAL_VARIABLE)\n"
"        return all the curves for variables of the given type.\"\"\"\n"
"        return [c for c in self._curves if c.var.type == var_type]\n"
"\n"
"    def get_node_ids(self):\n"
"        return self._unique_curve_ids(self.get_curves_with_variable_type(NODE_VARIABLE))\n"
"\n"
"    def get_element_ids(self):\n"
"        return self._unique_curve_ids(self.get_curves_with_variable_type(ELEMENT_VARIABLE))\n"
"\n"
"    def get_current_curve_mode(self):\n"
"        if not self._curves: return None\n"
"        return self._curves[0].type\n"
"\n"
"\n"
"    def print_show(self):\n"
"        count = 1\n"
"        for c in self._curves:\n"
"            print \" Curve %3d: %s\" % (count, c.get_description())\n"
"            count += 1\n"
"\n"
"\n"
"class Curve(object):\n"
"\n"
"    def __init__(self, variable, id=None):\n"
"        self.var = variable\n"
"        self.id = id\n"
"        self.type = TYCURVE\n"
"        self.x_var = None\n"
"        self.chart_variable_name = self._get_chart_variable_name(self.var)\n"
"\n"
"\n"
"    def _get_chart_variable_name(self, var):\n"
"        component_suffix = str()\n"
"        if var.info.GetNumberOfComponents() > 1:\n"
"            component_names = [\"Magnitude\", \"0\", \"1\", \"2\"]\n"
"            component_suffix = \" (%s)\" % component_names[var.component+1]\n"
"        return \"%s%s\" % (var.name, component_suffix)\n"
"\n"
"    def set_x_variable(self, var):\n"
"        self.type = XYCURVE\n"
"        self.x_var = var\n"
"        self.chart_xvariable_name = self._get_chart_variable_name(self.x_var)\n"
"\n"
"    def get_description(self):\n"
"        if self.var.type == GLOBAL_VARIABLE:\n"
"            return \"%s -vs- TIME\" % self.var.decorated_name\n"
"        elif not self.x_var:\n"
"            return \"%s at %s %3d -vs- TIME\" % (self.var.decorated_name,\n"
"                                              self.var.type_name,\n"
"                                              self.id)\n"
"        else:\n"
"            return \"%s at %s %3d -vs- %s at %s %3d\" % (self.x_var.decorated_name,\n"
"                                                       self.x_var.type_name,\n"
"                                                       self.id,\n"
"                                                       self.var.decorated_name,\n"
"                                                       self.var.type_name,\n"
"                                                       self.id)\n"
"\n"
"    def get_series_label(self):\n"
"        if self.var.type == GLOBAL_VARIABLE:\n"
"            return self.var.decorated_name\n"
"        else:\n"
"            return \"%s %s %s\" % (self.var.decorated_name,\n"
"                                 self.var.type_name,\n"
"                                 self.id)  \n"
"\n"
"   \n"
"\n"
"def _get_field_type_for_variable(var):\n"
"    if var.type == NODE_VARIABLE: return \"POINT\"\n"
"    if var.type == ELEMENT_VARIABLE: return \"CELL\"\n"
"\n";
// Get single string
char* module_tplot_tplot_source()
{
  size_t len = ( 0
    + strlen(module_tplot_tplot_string0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, module_tplot_tplot_string0);
  return res;
}



#endif
