// ClientServer wrapper for vtkExecutionScheduler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutionScheduler.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkExecutionSchedulerClientServerNewCommand()
{
  return vtkExecutionScheduler::New();
}

int vtkObjectCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkExecutionSchedulerCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkExecutionScheduler *op = vtkExecutionScheduler::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkExecutionScheduler.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkExecutionScheduler  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkExecutionScheduler  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkExecutionScheduler  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGlobalScheduler",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkExecutionScheduler  *temp20;
      {
      temp20 = (op)->GetGlobalScheduler();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("TASK_PRIORITY",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkInformationIntegerKey  *temp20;
      {
      temp20 = (op)->TASK_PRIORITY();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("Schedule",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutiveCollection") &&
      vtkClientServerStreamGetArgumentObject(msg, 0, 3, &temp1, "vtkInformation"))
      {
      op->Schedule(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("SchedulePropagate",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkExecutiveCollection  *temp0;
    vtkInformation  *temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutiveCollection") &&
      vtkClientServerStreamGetArgumentObject(msg, 0, 3, &temp1, "vtkInformation"))
      {
      op->SchedulePropagate(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("WaitUntilDone",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutiveCollection  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutiveCollection"))
      {
      op->WaitUntilDone(temp0);
      return 1;
      }
    }
  if (!strcmp("WaitUntilReleased",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutiveCollection  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutiveCollection"))
      {
      op->WaitUntilReleased(temp0);
      return 1;
      }
    }
  if (!strcmp("WaitUntilAllDone",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->WaitUntilAllDone();
      return 1;
      }
    }
  if (!strcmp("WaitForTaskDone",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      op->WaitForTaskDone(temp0);
      return 1;
      }
    }
  if (!strcmp("WaitForInputsReleased",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      op->WaitForInputsReleased(temp0);
      return 1;
      }
    }
  if (!strcmp("GetTaskDoneMessager",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    vtkThreadMessager  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      temp20 = (op)->GetTaskDoneMessager(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetInputsReleasedMessager",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    vtkThreadMessager  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      temp20 = (op)->GetInputsReleasedMessager(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetInputsReleasedLock",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    vtkMutexLock  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      temp20 = (op)->GetInputsReleasedLock(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ReleaseResources",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      op->ReleaseResources(temp0);
      return 1;
      }
    }
  if (!strcmp("ReacquireResources",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      op->ReacquireResources(temp0);
      return 1;
      }
    }
  if (!strcmp("RescheduleNetwork",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkExecutive  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive"))
      {
      op->RescheduleNetwork(temp0);
      return 1;
      }
    }
  if (!strcmp("RescheduleFrom",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkExecutive  *temp0;
    vtkComputingResources  *temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkExecutive") &&
      vtkClientServerStreamGetArgumentObject(msg, 0, 3, &temp1, "vtkComputingResources"))
      {
      op->RescheduleFrom(temp0,temp1);
      return 1;
      }
    }

  if (vtkObjectCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkExecutionScheduler, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkComputingResources_Init(vtkClientServerInterpreter* csi);
void vtkExecutive_Init(vtkClientServerInterpreter* csi);
void vtkMutexLock_Init(vtkClientServerInterpreter* csi);
void vtkThreadMessager_Init(vtkClientServerInterpreter* csi);
void vtkExecutiveCollection_Init(vtkClientServerInterpreter* csi);
void vtkInformation_Init(vtkClientServerInterpreter* csi);
void vtkInformationIntegerKey_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtkExecutionScheduler_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkComputingResources_Init(csi);
    vtkExecutive_Init(csi);
    vtkMutexLock_Init(csi);
    vtkThreadMessager_Init(csi);
    vtkExecutiveCollection_Init(csi);
    vtkInformation_Init(csi);
    vtkInformationIntegerKey_Init(csi);
    vtkObject_Init(csi);
    csi->AddNewInstanceFunction("vtkExecutionScheduler", vtkExecutionSchedulerClientServerNewCommand);
    csi->AddCommandFunction("vtkExecutionScheduler", vtkExecutionSchedulerCommand);
    }
}
