// ClientServer wrapper for vtkGraphLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutView.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkGraphLayoutViewClientServerNewCommand()
{
  return vtkGraphLayoutView::New();
}

int vtkRenderViewCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkGraphLayoutViewCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkGraphLayoutView *op = vtkGraphLayoutView::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkGraphLayoutView.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGraphLayoutView  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGraphLayoutView  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkGraphLayoutView  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetVertexLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("VertexLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("VertexLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetHideVertexLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetHideVertexLabelsOnInteraction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetHideVertexLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetHideVertexLabelsOnInteraction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("HideVertexLabelsOnInteractionOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideVertexLabelsOnInteractionOn();
      return 1;
      }
    }
  if (!strcmp("HideVertexLabelsOnInteractionOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideVertexLabelsOnInteractionOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("EdgeVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("EdgeLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetHideEdgeLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetHideEdgeLabelsOnInteraction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetHideEdgeLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetHideEdgeLabelsOnInteraction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("HideEdgeLabelsOnInteractionOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideEdgeLabelsOnInteractionOn();
      return 1;
      }
    }
  if (!strcmp("HideEdgeLabelsOnInteractionOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideEdgeLabelsOnInteractionOff();
      return 1;
      }
    }
  if (!strcmp("SetVertexColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetColorVertices",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorVertices(temp0);
      return 1;
      }
    }
  if (!strcmp("GetColorVertices",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorVertices();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorVerticesOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorVerticesOn();
      return 1;
      }
    }
  if (!strcmp("ColorVerticesOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorVerticesOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetColorEdges",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorEdges(temp0);
      return 1;
      }
    }
  if (!strcmp("GetColorEdges",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorEdges();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorEdgesOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorEdgesOn();
      return 1;
      }
    }
  if (!strcmp("ColorEdgesOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorEdgesOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeSelection",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeSelection(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeSelection",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeSelection();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeSelectionOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeSelectionOn();
      return 1;
      }
    }
  if (!strcmp("EdgeSelectionOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeSelectionOff();
      return 1;
      }
    }
  if (!strcmp("SetEnabledEdgesArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnabledEdgesArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnabledEdgesArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEnabledEdgesArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEnableEdgesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnableEdgesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnableEdgesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetEnableEdgesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEnabledVerticesArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnabledVerticesArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnabledVerticesArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEnabledVerticesArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEnableVerticesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnableVerticesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnableVerticesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetEnableVerticesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetScalingArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetScalingArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetScalingArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetScalingArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetScaledGlyphs",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetScaledGlyphs(temp0);
      return 1;
      }
    }
  if (!strcmp("GetScaledGlyphs",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetScaledGlyphs();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ScaledGlyphsOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ScaledGlyphsOn();
      return 1;
      }
    }
  if (!strcmp("ScaledGlyphsOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ScaledGlyphsOff();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToRandom",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToRandom();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToForceDirected",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToForceDirected();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToSimple2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToSimple2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToClustering2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToClustering2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCommunity2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCommunity2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToFast2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToFast2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToPassThrough",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToPassThrough();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCircular",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCircular();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToTree();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCosmicTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCosmicTree();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCone",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCone();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToSpanTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToSpanTree();
      return 1;
      }
    }
  if (!strcmp("GetLayoutStrategyName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetLayoutStrategyName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGraphLayoutStrategy  *temp20;
      {
      temp20 = (op)->GetLayoutStrategy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkGraphLayoutStrategy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkGraphLayoutStrategy"))
      {
      op->SetLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategyToArcParallel",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetEdgeLayoutStrategyToArcParallel();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategyToPassThrough",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetEdgeLayoutStrategyToPassThrough();
      return 1;
      }
    }
  if (!strcmp("GetEdgeLayoutStrategyName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeLayoutStrategyName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkEdgeLayoutStrategy  *temp20;
      {
      temp20 = (op)->GetEdgeLayoutStrategy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkEdgeLayoutStrategy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkEdgeLayoutStrategy"))
      {
      op->SetEdgeLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("AddIconType",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->AddIconType(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("ClearIconTypes",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ClearIconTypes();
      return 1;
      }
    }
  if (!strcmp("SetIconAlignment",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetIconAlignment(temp0);
      return 1;
      }
    }
  if (!strcmp("SetIconVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetIconVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetIconVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetIconVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IconVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->IconVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("IconVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->IconVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetIconArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetIconArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetIconArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetIconArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGlyphType",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGlyphType(temp0);
      return 1;
      }
    }
  if (!strcmp("GetGlyphType",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetGlyphType();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelFontSize",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelFontSize(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelFontSize",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetVertexLabelFontSize();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelFontSize",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelFontSize(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelFontSize",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetEdgeLabelFontSize();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeScalarBarVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeScalarBarVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexScalarBarVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetVertexScalarBarVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ZoomToSelection",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ZoomToSelection();
      return 1;
      }
    }
  if (!strcmp("IsLayoutComplete",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->IsLayoutComplete();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("UpdateLayout",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UpdateLayout();
      return 1;
      }
    }

  if (vtkRenderViewCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkGraphLayoutView, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkEdgeLayoutStrategy_Init(vtkClientServerInterpreter* csi);
void vtkGraphLayoutStrategy_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);
void vtkRenderView_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtkGraphLayoutView_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkEdgeLayoutStrategy_Init(csi);
    vtkGraphLayoutStrategy_Init(csi);
    vtkObject_Init(csi);
    vtkRenderView_Init(csi);
    csi->AddNewInstanceFunction("vtkGraphLayoutView", vtkGraphLayoutViewClientServerNewCommand);
    csi->AddCommandFunction("vtkGraphLayoutView", vtkGraphLayoutViewCommand);
    }
}
