// ClientServer wrapper for vtkParallelCoordinatesView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesView.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkParallelCoordinatesViewClientServerNewCommand()
{
  return vtkParallelCoordinatesView::New();
}

int vtkRenderViewCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkParallelCoordinatesViewCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkParallelCoordinatesView *op = vtkParallelCoordinatesView::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkParallelCoordinatesView.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkParallelCoordinatesView  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesView  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkParallelCoordinatesView  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetBrushMode",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetBrushMode(temp0);
      return 1;
      }
    }
  if (!strcmp("SetBrushModeToLasso",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushModeToLasso();
      return 1;
      }
    }
  if (!strcmp("SetBrushModeToAngle",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushModeToAngle();
      return 1;
      }
    }
  if (!strcmp("SetBrushModeToFunction",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushModeToFunction();
      return 1;
      }
    }
  if (!strcmp("SetBrushModeToAxisThreshold",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushModeToAxisThreshold();
      return 1;
      }
    }
  if (!strcmp("GetBrushMode",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetBrushMode();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetBrushOperator",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetBrushOperator(temp0);
      return 1;
      }
    }
  if (!strcmp("SetBrushOperatorToAdd",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushOperatorToAdd();
      return 1;
      }
    }
  if (!strcmp("SetBrushOperatorToSubtract",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushOperatorToSubtract();
      return 1;
      }
    }
  if (!strcmp("SetBrushOperatorToIntersect",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushOperatorToIntersect();
      return 1;
      }
    }
  if (!strcmp("SetBrushOperatorToReplace",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetBrushOperatorToReplace();
      return 1;
      }
    }
  if (!strcmp("GetBrushOperator",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetBrushOperator();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetInspectMode",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetInspectMode(temp0);
      return 1;
      }
    }
  if (!strcmp("SetInspectModeToManipulateAxes",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetInspectModeToManipulateAxes();
      return 1;
      }
    }
  if (!strcmp("SetInpsectModeToSelectData",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetInpsectModeToSelectData();
      return 1;
      }
    }
  if (!strcmp("GetInspectMode",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetInspectMode();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetMaximumNumberOfBrushPoints",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetMaximumNumberOfBrushPoints(temp0);
      return 1;
      }
    }
  if (!strcmp("GetMaximumNumberOfBrushPoints",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetMaximumNumberOfBrushPoints();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetCurrentBrushClass",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetCurrentBrushClass(temp0);
      return 1;
      }
    }
  if (!strcmp("GetCurrentBrushClass",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetCurrentBrushClass();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ApplyViewTheme",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkViewTheme  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkViewTheme"))
      {
      op->ApplyViewTheme(temp0);
      return 1;
      }
    }

  if (vtkRenderViewCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkParallelCoordinatesView, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkViewTheme_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);
void vtkRenderView_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtkParallelCoordinatesView_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkViewTheme_Init(csi);
    vtkObject_Init(csi);
    vtkRenderView_Init(csi);
    csi->AddNewInstanceFunction("vtkParallelCoordinatesView", vtkParallelCoordinatesViewClientServerNewCommand);
    csi->AddCommandFunction("vtkParallelCoordinatesView", vtkParallelCoordinatesViewCommand);
    }
}
