// ClientServer wrapper for vtkRenderedGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedGraphRepresentation.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkRenderedGraphRepresentationClientServerNewCommand()
{
  return vtkRenderedGraphRepresentation::New();
}

int vtkRenderedRepresentationCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkRenderedGraphRepresentationCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkRenderedGraphRepresentation *op = vtkRenderedGraphRepresentation::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkRenderedGraphRepresentation.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkRenderedGraphRepresentation  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkRenderedGraphRepresentation  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkRenderedGraphRepresentation  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelPriorityArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexLabelPriorityArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetVertexLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("VertexLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("VertexLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetVertexLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkTextProperty  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkTextProperty"))
      {
      op->SetVertexLabelTextProperty(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkTextProperty  *temp20;
      {
      temp20 = (op)->GetVertexLabelTextProperty();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexHoverArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexHoverArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexHoverArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetVertexHoverArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetHideVertexLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetHideVertexLabelsOnInteraction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetHideVertexLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetHideVertexLabelsOnInteraction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("HideVertexLabelsOnInteractionOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideVertexLabelsOnInteractionOn();
      return 1;
      }
    }
  if (!strcmp("HideVertexLabelsOnInteractionOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideVertexLabelsOnInteractionOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelPriorityArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeLabelPriorityArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("EdgeLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkTextProperty  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkTextProperty"))
      {
      op->SetEdgeLabelTextProperty(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkTextProperty  *temp20;
      {
      temp20 = (op)->GetEdgeLabelTextProperty();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeHoverArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeHoverArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeHoverArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetEdgeHoverArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetHideEdgeLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetHideEdgeLabelsOnInteraction(temp0);
      return 1;
      }
    }
  if (!strcmp("GetHideEdgeLabelsOnInteraction",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetHideEdgeLabelsOnInteraction();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("HideEdgeLabelsOnInteractionOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideEdgeLabelsOnInteractionOn();
      return 1;
      }
    }
  if (!strcmp("HideEdgeLabelsOnInteractionOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->HideEdgeLabelsOnInteractionOff();
      return 1;
      }
    }
  if (!strcmp("SetVertexIconArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexIconArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexIconArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexIconArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexIconPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexIconPriorityArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexIconPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexIconPriorityArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexIconVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexIconVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexIconVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetVertexIconVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("VertexIconVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexIconVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("VertexIconVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->VertexIconVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("AddVertexIconType",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->AddVertexIconType(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("ClearVertexIconTypes",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ClearVertexIconTypes();
      return 1;
      }
    }
  if (!strcmp("SetUseVertexIconTypeMap",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetUseVertexIconTypeMap(temp0);
      return 1;
      }
    }
  if (!strcmp("GetUseVertexIconTypeMap",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetUseVertexIconTypeMap();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("UseVertexIconTypeMapOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseVertexIconTypeMapOn();
      return 1;
      }
    }
  if (!strcmp("UseVertexIconTypeMapOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseVertexIconTypeMapOff();
      return 1;
      }
    }
  if (!strcmp("SetVertexIconAlignment",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexIconAlignment(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexIconAlignment",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetVertexIconAlignment();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexSelectedIcon",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexSelectedIcon(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexSelectedIcon",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetVertexSelectedIcon();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexDefaultIcon",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexDefaultIcon(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexDefaultIcon",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetVertexDefaultIcon();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexIconSelectionMode",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexIconSelectionMode(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexIconSelectionMode",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetVertexIconSelectionMode();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexIconSelectionModeToSelectedIcon",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetVertexIconSelectionModeToSelectedIcon();
      return 1;
      }
    }
  if (!strcmp("SetVertexIconSelectionModeToSelectedOffset",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetVertexIconSelectionModeToSelectedOffset();
      return 1;
      }
    }
  if (!strcmp("SetVertexIconSelectionModeToAnnotationIcon",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetVertexIconSelectionModeToAnnotationIcon();
      return 1;
      }
    }
  if (!strcmp("SetVertexIconSelectionModeToIgnoreSelection",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetVertexIconSelectionModeToIgnoreSelection();
      return 1;
      }
    }
  if (!strcmp("SetEdgeIconArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeIconArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeIconArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeIconArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeIconPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeIconPriorityArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeIconPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeIconPriorityArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeIconVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeIconVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeIconVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeIconVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeIconVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeIconVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("EdgeIconVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeIconVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("AddEdgeIconType",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->AddEdgeIconType(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("ClearEdgeIconTypes",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ClearEdgeIconTypes();
      return 1;
      }
    }
  if (!strcmp("SetUseEdgeIconTypeMap",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetUseEdgeIconTypeMap(temp0);
      return 1;
      }
    }
  if (!strcmp("GetUseEdgeIconTypeMap",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetUseEdgeIconTypeMap();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("UseEdgeIconTypeMapOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseEdgeIconTypeMapOn();
      return 1;
      }
    }
  if (!strcmp("UseEdgeIconTypeMapOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseEdgeIconTypeMapOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeIconAlignment",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeIconAlignment(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeIconAlignment",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetEdgeIconAlignment();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetColorVerticesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorVerticesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetColorVerticesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorVerticesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorVerticesByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorVerticesByArrayOn();
      return 1;
      }
    }
  if (!strcmp("ColorVerticesByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorVerticesByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetVertexColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetVertexColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetColorEdgesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorEdgesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetColorEdgesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorEdgesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorEdgesByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorEdgesByArrayOn();
      return 1;
      }
    }
  if (!strcmp("ColorEdgesByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorEdgesByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEdgeColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEnableVerticesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnableVerticesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnableVerticesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEnableVerticesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EnableVerticesByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnableVerticesByArrayOn();
      return 1;
      }
    }
  if (!strcmp("EnableVerticesByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnableVerticesByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetEnabledVerticesArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnabledVerticesArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnabledVerticesArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEnabledVerticesArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEnableEdgesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnableEdgesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnableEdgesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEnableEdgesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EnableEdgesByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnableEdgesByArrayOn();
      return 1;
      }
    }
  if (!strcmp("EnableEdgesByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnableEdgesByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetEnabledEdgesArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEnabledEdgesArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEnabledEdgesArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetEnabledEdgesArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("EdgeVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("EdgeVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EdgeVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetEdgeSelection",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeSelection(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeSelection",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeSelection();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkGraphLayoutStrategy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkGraphLayoutStrategy"))
      {
      op->SetLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGraphLayoutStrategy  *temp20;
      {
      temp20 = (op)->GetLayoutStrategy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetLayoutStrategyName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetLayoutStrategyName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToRandom",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToRandom();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToForceDirected",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToForceDirected();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToSimple2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToSimple2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToClustering2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToClustering2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCommunity2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCommunity2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToFast2D",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToFast2D();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToPassThrough",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToPassThrough();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCircular",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCircular();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToTree();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCosmicTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCosmicTree();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCone",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToCone();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToSpanTree",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetLayoutStrategyToSpanTree();
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToAssignCoordinates",method) && msg.GetNumberOfArguments(0) == 5)
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1) &&
      msg.GetArgument(0, 4, &temp2))
      {
      op->SetLayoutStrategyToAssignCoordinates(temp0,temp1,temp2);
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToTree",method) && msg.GetNumberOfArguments(0) == 6)
    {
    bool   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1) &&
      msg.GetArgument(0, 4, &temp2) &&
      msg.GetArgument(0, 5, &temp3))
      {
      op->SetLayoutStrategyToTree(temp0,temp1,temp2,temp3);
      return 1;
      }
    }
  if (!strcmp("SetLayoutStrategyToCosmicTree",method) && msg.GetNumberOfArguments(0) == 6)
    {
    char    *temp0;
    bool   temp1;
    int      temp2;
    vtkIdType   temp3;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1) &&
      msg.GetArgument(0, 4, &temp2) &&
      msg.GetArgument(0, 5, &temp3))
      {
      op->SetLayoutStrategyToCosmicTree(temp0,temp1,temp2,temp3);
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkEdgeLayoutStrategy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkEdgeLayoutStrategy"))
      {
      op->SetEdgeLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkEdgeLayoutStrategy  *temp20;
      {
      temp20 = (op)->GetEdgeLayoutStrategy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategyToArcParallel",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetEdgeLayoutStrategyToArcParallel();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategyToPassThrough",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetEdgeLayoutStrategyToPassThrough();
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategyToGeo",method) && msg.GetNumberOfArguments(0) == 3)
    {
    double   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLayoutStrategyToGeo(temp0);
      return 1;
      }
    }
  if (!strcmp("SetEdgeLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeLayoutStrategyName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetEdgeLayoutStrategyName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ApplyViewTheme",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkViewTheme  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkViewTheme"))
      {
      op->ApplyViewTheme(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGlyphType",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGlyphType(temp0);
      return 1;
      }
    }
  if (!strcmp("GetGlyphType",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetGlyphType();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetScaling",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetScaling(temp0);
      return 1;
      }
    }
  if (!strcmp("GetScaling",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetScaling();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ScalingOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ScalingOn();
      return 1;
      }
    }
  if (!strcmp("ScalingOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ScalingOff();
      return 1;
      }
    }
  if (!strcmp("SetScalingArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetScalingArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetScalingArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetScalingArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetVertexScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetVertexScalarBarVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetVertexScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetVertexScalarBarVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeScalarBarVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeScalarBarVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsLayoutComplete",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->IsLayoutComplete();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("UpdateLayout",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UpdateLayout();
      return 1;
      }
    }
  if (!strcmp("ComputeSelectedGraphBounds",method) && msg.GetNumberOfArguments(0) == 3)
    {
    double temp0[6];
    if(msg.GetArgument(0, 2, temp0, 6))
      {
      op->ComputeSelectedGraphBounds(temp0);
      return 1;
      }
    }

  if (vtkRenderedRepresentationCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkRenderedGraphRepresentation, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkViewTheme_Init(vtkClientServerInterpreter* csi);
void vtkEdgeLayoutStrategy_Init(vtkClientServerInterpreter* csi);
void vtkGraphLayoutStrategy_Init(vtkClientServerInterpreter* csi);
void vtkTextProperty_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);
void vtkRenderedRepresentation_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtkRenderedGraphRepresentation_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkViewTheme_Init(csi);
    vtkEdgeLayoutStrategy_Init(csi);
    vtkGraphLayoutStrategy_Init(csi);
    vtkTextProperty_Init(csi);
    vtkObject_Init(csi);
    vtkRenderedRepresentation_Init(csi);
    csi->AddNewInstanceFunction("vtkRenderedGraphRepresentation", vtkRenderedGraphRepresentationClientServerNewCommand);
    csi->AddCommandFunction("vtkRenderedGraphRepresentation", vtkRenderedGraphRepresentationCommand);
    }
}
