// ClientServer wrapper for vtkRenderedTreeAreaRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedTreeAreaRepresentation.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkRenderedTreeAreaRepresentationClientServerNewCommand()
{
  return vtkRenderedTreeAreaRepresentation::New();
}

int vtkRenderedRepresentationCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkRenderedTreeAreaRepresentationCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkRenderedTreeAreaRepresentation *op = vtkRenderedTreeAreaRepresentation::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkRenderedTreeAreaRepresentation.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkRenderedTreeAreaRepresentation  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkRenderedTreeAreaRepresentation  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkRenderedTreeAreaRepresentation  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetLabelRenderMode",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetLabelRenderMode(temp0);
      return 1;
      }
    }
  if (!strcmp("SetAreaLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetAreaLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaSizeArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaSizeArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaSizeArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetAreaSizeArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaLabelPriorityArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLabelPriorityArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetAreaLabelPriorityArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphEdgeLabelArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphEdgeLabelArrayName(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetGraphEdgeLabelArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    const char    *temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphEdgeLabelArrayName(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkTextProperty  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkTextProperty"))
      {
      op->SetGraphEdgeLabelTextProperty(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkTextProperty  *temp0;
    int      temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkTextProperty") &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphEdgeLabelTextProperty(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkTextProperty  *temp20;
      {
      temp20 = (op)->GetGraphEdgeLabelTextProperty();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    vtkTextProperty  *temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphEdgeLabelTextProperty(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaHoverArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaHoverArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaHoverArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetAreaHoverArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetAreaLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("AreaLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->AreaLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("AreaLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->AreaLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetAreaLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkTextProperty  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkTextProperty"))
      {
      op->SetAreaLabelTextProperty(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLabelTextProperty",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkTextProperty  *temp20;
      {
      temp20 = (op)->GetAreaLabelTextProperty();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphEdgeLabelVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 4)
    {
    bool   temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphEdgeLabelVisibility(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetGraphEdgeLabelVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeLabelVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    bool   temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphEdgeLabelVisibility(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GraphEdgeLabelVisibilityOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->GraphEdgeLabelVisibilityOn();
      return 1;
      }
    }
  if (!strcmp("GraphEdgeLabelVisibilityOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->GraphEdgeLabelVisibilityOff();
      return 1;
      }
    }
  if (!strcmp("SetAreaColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetAreaColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetAreaColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetColorAreasByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorAreasByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("GetColorAreasByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorAreasByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorAreasByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorAreasByArrayOn();
      return 1;
      }
    }
  if (!strcmp("ColorAreasByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorAreasByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphEdgeColorArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphEdgeColorArrayName(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetGraphEdgeColorArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphEdgeColorArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    const char    *temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphEdgeColorArrayName(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeColorToSplineFraction",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SetGraphEdgeColorToSplineFraction();
      return 1;
      }
    }
  if (!strcmp("SetGraphEdgeColorToSplineFraction",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphEdgeColorToSplineFraction(temp0);
      return 1;
      }
    }
  if (!strcmp("SetColorGraphEdgesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetColorGraphEdgesByArray(temp0);
      return 1;
      }
    }
  if (!strcmp("SetColorGraphEdgesByArray",method) && msg.GetNumberOfArguments(0) == 4)
    {
    bool   temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetColorGraphEdgesByArray(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetColorGraphEdgesByArray",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetColorGraphEdgesByArray();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetColorGraphEdgesByArray",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    bool   temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetColorGraphEdgesByArray(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ColorGraphEdgesByArrayOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorGraphEdgesByArrayOn();
      return 1;
      }
    }
  if (!strcmp("ColorGraphEdgesByArrayOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ColorGraphEdgesByArrayOff();
      return 1;
      }
    }
  if (!strcmp("SetGraphHoverArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphHoverArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphHoverArrayName",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphHoverArrayName(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphHoverArrayName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetGraphHoverArrayName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphHoverArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    const char    *temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphHoverArrayName(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetShrinkPercentage",method) && msg.GetNumberOfArguments(0) == 3)
    {
    double   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetShrinkPercentage(temp0);
      return 1;
      }
    }
  if (!strcmp("GetShrinkPercentage",method) && msg.GetNumberOfArguments(0) == 2)
    {
    double   temp20;
      {
      temp20 = (op)->GetShrinkPercentage();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphBundlingStrength",method) && msg.GetNumberOfArguments(0) == 3)
    {
    double   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGraphBundlingStrength(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGraphBundlingStrength",method) && msg.GetNumberOfArguments(0) == 4)
    {
    double   temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphBundlingStrength(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphBundlingStrength",method) && msg.GetNumberOfArguments(0) == 2)
    {
    double   temp20;
      {
      temp20 = (op)->GetGraphBundlingStrength();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetGraphBundlingStrength",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    double   temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphBundlingStrength(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGraphSplineType",method) && msg.GetNumberOfArguments(0) == 4)
    {
    int      temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetGraphSplineType(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetGraphSplineType",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->GetGraphSplineType(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkAreaLayoutStrategy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkAreaLayoutStrategy"))
      {
      op->SetAreaLayoutStrategy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLayoutStrategy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkAreaLayoutStrategy  *temp20;
      {
      temp20 = (op)->GetAreaLayoutStrategy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAreaToPolyData",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkPolyDataAlgorithm  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkPolyDataAlgorithm"))
      {
      op->SetAreaToPolyData(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaToPolyData",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPolyDataAlgorithm  *temp20;
      {
      temp20 = (op)->GetAreaToPolyData();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetUseRectangularCoordinates",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetUseRectangularCoordinates(temp0);
      return 1;
      }
    }
  if (!strcmp("GetUseRectangularCoordinates",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetUseRectangularCoordinates();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("UseRectangularCoordinatesOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseRectangularCoordinatesOn();
      return 1;
      }
    }
  if (!strcmp("UseRectangularCoordinatesOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UseRectangularCoordinatesOff();
      return 1;
      }
    }
  if (!strcmp("SetAreaLabelMapper",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkLabeledDataMapper  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkLabeledDataMapper"))
      {
      op->SetAreaLabelMapper(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAreaLabelMapper",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkLabeledDataMapper  *temp20;
      {
      temp20 = (op)->GetAreaLabelMapper();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ApplyViewTheme",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkViewTheme  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkViewTheme"))
      {
      op->ApplyViewTheme(temp0);
      return 1;
      }
    }
  if (!strcmp("SetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 3)
    {
    bool   temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetEdgeScalarBarVisibility(temp0);
      return 1;
      }
    }
  if (!strcmp("GetEdgeScalarBarVisibility",method) && msg.GetNumberOfArguments(0) == 2)
    {
    bool   temp20;
      {
      temp20 = (op)->GetEdgeScalarBarVisibility();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }

  if (vtkRenderedRepresentationCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkRenderedTreeAreaRepresentation, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}

void vtkViewTheme_Init(vtkClientServerInterpreter* csi);
void vtkLabeledDataMapper_Init(vtkClientServerInterpreter* csi);
void vtkPolyDataAlgorithm_Init(vtkClientServerInterpreter* csi);
void vtkAreaLayoutStrategy_Init(vtkClientServerInterpreter* csi);
void vtkTextProperty_Init(vtkClientServerInterpreter* csi);
void vtkObject_Init(vtkClientServerInterpreter* csi);
void vtkRenderedRepresentation_Init(vtkClientServerInterpreter* csi);

//-------------------------------------------------------------------------auto
void VTK_EXPORT vtkRenderedTreeAreaRepresentation_Init(vtkClientServerInterpreter* csi)
{
  static vtkClientServerInterpreter* last = NULL;
  if(last != csi)
    {
    last = csi;
    vtkViewTheme_Init(csi);
    vtkLabeledDataMapper_Init(csi);
    vtkPolyDataAlgorithm_Init(csi);
    vtkAreaLayoutStrategy_Init(csi);
    vtkTextProperty_Init(csi);
    vtkObject_Init(csi);
    vtkRenderedRepresentation_Init(csi);
    csi->AddNewInstanceFunction("vtkRenderedTreeAreaRepresentation", vtkRenderedTreeAreaRepresentationClientServerNewCommand);
    csi->AddCommandFunction("vtkRenderedTreeAreaRepresentation", vtkRenderedTreeAreaRepresentationCommand);
    }
}
