#include "vtkClientServerInterpreter.h"

#ifndef PARAVIEW_BUILD_SHARED_LIBS
#define PARAVIEW_BUILD_SHARED_LIBS
#endif
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

extern void vtkEncodedGradientShader_Init(vtkClientServerInterpreter* csi);
extern void vtkFiniteDifferenceGradientEstimator_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointRayCastImage_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastCompositeGOHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastCompositeGOShadeHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastCompositeHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastCompositeShadeHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastMIPHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkFixedPointVolumeRayCastMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRayCastSpaceLeapingImageFilter_Init(vtkClientServerInterpreter* csi);
extern void vtkGPUVolumeRayCastMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkHAVSVolumeMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkProjectedAAHexahedraMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkProjectedTetrahedraMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkRecursiveSphereDirectionEncoder_Init(vtkClientServerInterpreter* csi);
extern void vtkSmartVolumeMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkSphericalDirectionEncoder_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeOutlineSource_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumePicker_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeProMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRayCastCompositeFunction_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRayCastIsosurfaceFunction_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRayCastMIPFunction_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRayCastMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeRenderingFactory_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeTextureMapper2D_Init(vtkClientServerInterpreter* csi);
extern void vtkVolumeTextureMapper3D_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridBunykRayCastFunction_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridHomogeneousRayIntegrator_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridLinearRayIntegrator_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridPartialPreIntegration_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridPreIntegration_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridVolumeRayCastMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkUnstructuredGridVolumeZSweepMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLGPUVolumeRayCastMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLHAVSVolumeMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLProjectedAAHexahedraMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLProjectedTetrahedraMapper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLRayCastImageDisplayHelper_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLVolumeTextureMapper2D_Init(vtkClientServerInterpreter* csi);
extern void vtkOpenGLVolumeTextureMapper3D_Init(vtkClientServerInterpreter* csi);


extern "C" void VTK_WRAP_CS_EXPORT vtkVolumeRenderingCS_Initialize(
  vtkClientServerInterpreter *csi)
{
  vtkEncodedGradientShader_Init(csi);
  vtkFiniteDifferenceGradientEstimator_Init(csi);
  vtkFixedPointRayCastImage_Init(csi);
  vtkFixedPointVolumeRayCastCompositeGOHelper_Init(csi);
  vtkFixedPointVolumeRayCastCompositeGOShadeHelper_Init(csi);
  vtkFixedPointVolumeRayCastCompositeHelper_Init(csi);
  vtkFixedPointVolumeRayCastCompositeShadeHelper_Init(csi);
  vtkFixedPointVolumeRayCastMIPHelper_Init(csi);
  vtkFixedPointVolumeRayCastMapper_Init(csi);
  vtkVolumeRayCastSpaceLeapingImageFilter_Init(csi);
  vtkGPUVolumeRayCastMapper_Init(csi);
  vtkHAVSVolumeMapper_Init(csi);
  vtkProjectedAAHexahedraMapper_Init(csi);
  vtkProjectedTetrahedraMapper_Init(csi);
  vtkRecursiveSphereDirectionEncoder_Init(csi);
  vtkSmartVolumeMapper_Init(csi);
  vtkSphericalDirectionEncoder_Init(csi);
  vtkVolumeOutlineSource_Init(csi);
  vtkVolumePicker_Init(csi);
  vtkVolumeProMapper_Init(csi);
  vtkVolumeRayCastCompositeFunction_Init(csi);
  vtkVolumeRayCastIsosurfaceFunction_Init(csi);
  vtkVolumeRayCastMIPFunction_Init(csi);
  vtkVolumeRayCastMapper_Init(csi);
  vtkVolumeRenderingFactory_Init(csi);
  vtkVolumeTextureMapper2D_Init(csi);
  vtkVolumeTextureMapper3D_Init(csi);
  vtkUnstructuredGridBunykRayCastFunction_Init(csi);
  vtkUnstructuredGridHomogeneousRayIntegrator_Init(csi);
  vtkUnstructuredGridLinearRayIntegrator_Init(csi);
  vtkUnstructuredGridPartialPreIntegration_Init(csi);
  vtkUnstructuredGridPreIntegration_Init(csi);
  vtkUnstructuredGridVolumeRayCastMapper_Init(csi);
  vtkUnstructuredGridVolumeZSweepMapper_Init(csi);
  vtkOpenGLGPUVolumeRayCastMapper_Init(csi);
  vtkOpenGLHAVSVolumeMapper_Init(csi);
  vtkOpenGLProjectedAAHexahedraMapper_Init(csi);
  vtkOpenGLProjectedTetrahedraMapper_Init(csi);
  vtkOpenGLRayCastImageDisplayHelper_Init(csi);
  vtkOpenGLVolumeTextureMapper2D_Init(csi);
  vtkOpenGLVolumeTextureMapper3D_Init(csi);

}
