// python wrapper for vtkXdmfRenderWindowInteractor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkXdmfRenderWindowInteractor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkXdmfRenderWindowInteractor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkXdmfRenderWindowInteractor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXdmfRenderWindowInteractorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXdmfRenderWindowInteractorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkXRenderWindowInteractorNew
extern "C" { PyObject *PyVTKClass_vtkXRenderWindowInteractorNew(const char *); }
#define DECLARED_PyVTKClass_vtkXRenderWindowInteractorNew
#endif

static const char **PyvtkXdmfRenderWindowInteractor_Doc();


static PyObject *
PyvtkXdmfRenderWindowInteractor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkXdmfRenderWindowInteractor::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfRenderWindowInteractor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkXdmfRenderWindowInteractor::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfRenderWindowInteractor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  vtkXdmfRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkXdmfRenderWindowInteractor::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfRenderWindowInteractor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkXdmfRenderWindowInteractor *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkXdmfRenderWindowInteractor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfRenderWindowInteractor_LoopOnce(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoopOnce");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoopOnce();
      }
    else
      {
      op->vtkXdmfRenderWindowInteractor::LoopOnce();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfRenderWindowInteractor_Start_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Start");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->Start(temp0);
      }
    else
      {
      op->vtkXdmfRenderWindowInteractor::Start(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfRenderWindowInteractor_Start_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Start");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfRenderWindowInteractor *op = static_cast<vtkXdmfRenderWindowInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Start();
      }
    else
      {
      op->vtkXdmfRenderWindowInteractor::Start();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfRenderWindowInteractor_Start(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkXdmfRenderWindowInteractor_Start_s1(self, args);
    case 0:
      return PyvtkXdmfRenderWindowInteractor_Start_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Start");
  return NULL;
}


static PyMethodDef PyvtkXdmfRenderWindowInteractor_Methods[] = {
  {(char*)"GetClassName", PyvtkXdmfRenderWindowInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkXdmfRenderWindowInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkXdmfRenderWindowInteractor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXdmfRenderWindowInteractor\nC++: vtkXdmfRenderWindowInteractor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkXdmfRenderWindowInteractor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXdmfRenderWindowInteractor\nC++: vtkXdmfRenderWindowInteractor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"LoopOnce", PyvtkXdmfRenderWindowInteractor_LoopOnce, 1,
   (char*)"V.LoopOnce()\nC++: virtual void LoopOnce()\n\n"},
  {(char*)"Start", PyvtkXdmfRenderWindowInteractor_Start, 1,
   (char*)"V.Start(int)\nC++: virtual void Start(int Block)\nV.Start()\nC++: virtual void Start()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkXdmfRenderWindowInteractor_StaticNew()
{
  return vtkXdmfRenderWindowInteractor::New();
}

PyObject *PyVTKClass_vtkXdmfRenderWindowInteractorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkXdmfRenderWindowInteractor_StaticNew,
    PyvtkXdmfRenderWindowInteractor_Methods,
    "vtkXdmfRenderWindowInteractor", modulename,
    NULL, NULL,
    PyvtkXdmfRenderWindowInteractor_Doc(),
    PyVTKClass_vtkXRenderWindowInteractorNew(modulename));
  return cls;
}

const char **PyvtkXdmfRenderWindowInteractor_Doc()
{
  static const char *docstring[] = {
    "vtkXdmfRenderWindowInteractor - no description provided.\n\n",
    "Superclass: vtkXRenderWindowInteractor\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkXdmfRenderWindowInteractor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkXdmfRenderWindowInteractorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkXdmfRenderWindowInteractor", o) != 0)
    {
    Py_DECREF(o);
    }

}

