// Loadable modules
//
// Generated by ../../bin/kwProcessXML
//
#ifndef __vtkSMDefaultModules_h
#define __vtkSMDefaultModules_h

#include <string.h>


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_filters\">\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"AppendArcLength\" class=\"vtkAppendArcLength\"\n"
"      label=\"Append Arc-Length\" >\n"
"      <Documentation\n"
"        short_help=\"Appends Arc length for input poly lines.\"\n"
"        long_help=\"Appends Arc length for input poly lines.\" >\n"
"        Internal filter used by (filters, ProbeLine).\n"
"\n"
"        vtkAppendArcLength is used for filter such as plot-over-line. In such\n"
"        cases, we need to add an attribute array that is the arc_length over the\n"
"        length of the probed line. That's when vtkAppendArcLength can be used.\n"
"        It adds a new point-data array named \"arc_length\" with the computed arc\n"
"        length for each of the polylines in the input. For all other cell types,\n"
"        the arc length is set to 0.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <!-- End of AppendArcLength -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ProbeLine\" class=\"vtkPProbeFilter\" >\n"
"      <Documentation>\n"
"        Internal filter used by (filters, ProbeLine).\n"
"\n"
"        The Plot Over Line filter samples the data set attributes of the current\n"
"        data set at the points along a line. The values of the point-centered variables\n"
"        along that line will be displayed in an XY Plot. This filter uses interpolation\n"
"        to determine the values at the selected point, whether or not it lies at an\n"
"        input point. The Probe filter operates on any type of data and produces\n"
"        polygonal output (a line).\n"
"      </Documentation>\n"
"      <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetSourceConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\"/>\n"
"          <Documentation>\n"
"            This property specifies the dataset from which to obtain probe values.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetInputConnection\"\n"
"        label=\"Probe Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"             <Proxy group=\"extended_sources\" name=\"HighResLineSource\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property specifies the dataset whose geometry will be used in determining positions to probe.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"PassPartialArrays\"\n"
"        command=\"SetPassPartialArrays\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          When dealing with composite datasets, partial arrays are common i.e.\n"
"          data-arrays that are not available in all of the blocks. By default,\n"
"          this filter only passes those point and cell data-arrays that are\n"
"          available in all the blocks i.e. partial array are removed.  When\n"
"          PassPartialArrays is turned on, this behavior is changed to take a\n"
"          union of all arrays present thus partial arrays are passed as well.\n"
"          However, for composite dataset input, this filter still produces a\n"
"          non-composite output. For all those locations in a block of where a\n"
"          particular data array is missing, this filter uses vtkMath::Nan() for\n"
"          double and float arrays, while 0 for all other types of arrays i.e\n"
"          int, char etc.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"   <!-- End ProbeLine -->\n"
"   </SourceProxy>\n"
"\n"
"    <!-- End of internal_filters -->\n"
"  </ProxyGroup>\n"
"\n"
"\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractSelectionOverTime\" class=\"vtkPExtractArraysOverTime\"\n"
"      label=\"Plot Selection Over Time\">\n"
"      <Documentation\n"
"        short_help=\"Extracts selection over time and then plots it.\"\n"
"        long_help=\"Extracts selection over time and then plots it.\" >\n"
"        This filter extracts the selection over time, i.e.  cell and/or point\n"
"        variables at a cells/point selected are extracted over time\n"
"        The output multi-block consists of 1D rectilinear grids where the x coordinate\n"
"        corresponds to time (the same array is also copied to a point array named\n"
"        Time or TimeData (if Time exists in the input)).\n"
"        If selection input is a Location based selection then the point values are\n"
"        interpolated from the nearby cells, ie those of the cell the location\n"
"        lies in.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkCompositeDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input from which the selection is extracted.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty name=\"Selection\"\n"
"         command=\"SetSelectionConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkSelection\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input that provides the selection object.\n"
"       </Documentation>\n"
"       <Hints>\n"
"         <!-- This tag alerts the auto-generated panels and input selection\n"
"              that this input is a selection.  It should use the special\n"
"              selection GUI. -->\n"
"         <SelectionInput />\n"
"       </Hints>\n"
"     </InputProperty>\n"
"\n"
"     <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"\n"
"        <!-- Temporary hint to allow the output of this filter to be plotted -->\n"
"        <Plotable />\n"
"     </Hints>\n"
"     <!-- End of ExtractSelectionOverTime -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractFieldDataOverTime\"\n"
"                          class=\"vtkExtractTemporalFieldData\"\n"
"                          label=\"Plot Global Variables Over Time\">\n"
"     <Documentation\n"
"      short_help=\"Extracts and plots data in field data over time.\"\n"
"      long_help=\"Extracts and plots data in field data over time.\" >\n"
"This filter extracts the variables that reside in a dataset's field data and are\n"
"defined over time. The output is a 1D rectilinear grid where the x coordinates\n"
"correspond to time (the same array is also copied to a point array named Time or\n"
"TimeData (if Time exists in the input)).\n"
"     </Documentation>\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input from which the selection is extracted.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"     </Hints>\n"
"\n"
"     <!-- End ExtractFieldDatasOverTime -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ImageShrink\" class=\"vtkImageShrink3D\" label=\"Image Shrink\">\n"
"    <Documentation\n"
"      short_help=\"Subsample an image/volume.\"\n"
"      long_help=\"Reduce the size of an image/volume by subsampling.\">\n"
"      The Image Shrink filter reduces the size of an image/volume dataset by subsampling it (i.e., extracting every nth pixel/voxel in integer multiples). The sbsampling rate can be set separately for each dimension of the image/volume.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkImageData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Image Shrink filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ShrinkFactors\"\n"
"        command=\"SetShrinkFactors\"\n"
"        number_of_elements=\"3\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1 1 1\" >\n"
"       <IntRangeDomain name=\"range\" min=\"1\" max=\"100\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates the amount by which to shrink along each axis.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Averaging\"\n"
"        command=\"SetAveraging\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, an average of neighborhood scalar values will be used as the output scalar value for each output point. If its value is 0, only subsampling will be performed, and the original scalar values at the points will be retained.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"     </Hints>\n"
"   <!-- End ImageShrink -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SurfaceVectors\" class=\"vtkSurfaceVectors\" label=\"Surface Vectors\">\n"
"     <Documentation\n"
"          long_help=\"This filter constrains vectors to lie on a surface.\"\n"
"          short_help=\"This filter constrains vectors to lie on a surface.\">\n"
"The Surface Vectors filter is used for 2D data sets. It constrains vectors to lie in a surface by removing components of the vectors normal to the local surface.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                             number_of_components=\"3\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Surface Vectors filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"SelectInputVectors\"\n"
"         command=\"SetInputArrayToProcess\"\n"
"         number_of_elements=\"5\"\n"
"         element_types=\"0 0 0 0 2\"\n"
"         animateable=\"0\">\n"
"            <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"              <RequiredProperties>\n"
"                 <Property name=\"Input\" function=\"Input\"/>\n"
"              </RequiredProperties>\n"
"            </ArrayListDomain>\n"
"            <Documentation>\n"
"              This property specifies the name of the input vector array to process.\n"
"            </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ConstraintMode\"\n"
"        command=\"SetConstraintMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Parallel\"/>\n"
"         <Entry value=\"1\" text=\"Perpendicular\"/>\n"
"         <Entry value=\"2\" text=\"PerpendicularScale\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property specifies whether the vectors will be parallel or perpendicular to the surface. If the value is set to PerpendicularScale (2), then the output will contain a scalar array with the dot product of the surface normal and the vector at each point.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"   <!-- End SurfaceVectors -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"IntegrateAttributes\" class=\"vtkIntegrateAttributes\"\n"
"     label=\"Integrate Variables\">\n"
"     <Documentation\n"
"        long_help=\"This filter integrates cell and point attributes.\"\n"
"        short_help=\"Integrates over lines, surfaces or vectors.\">\n"
"The Integrate Attributes filter integrates point and cell data over lines and surfaces.  It also computes length of lines, area of surface, or volume.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Integrate Attributes filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <Hints>\n"
"     <Visibility replace_input=\"0\" />\n"
"     <!-- View can be used to specify the preferred view for the proxy -->\n"
"     <View type=\"SpreadSheetView\" />\n"
"     <Plotable />\n"
"   </Hints>\n"
"   <!-- End IntegrateAttributes -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"IntegrateFlowThroughSurface\" class=\"vtkIntegrateFlowThroughSurface\" label=\"Surface Flow\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface1 =
"     <Documentation\n"
"        long_help=\"This filter integrates flow through a surface.\"\n"
"        short_help=\"This filter integrates flow through a surface.\">\n"
"The flow integration fitler  integrates the dot product of a point flow vector field and surface normal. It computes the net flow across the 2D surface. It operates on any type of dataset and produces an unstructured grid output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                             number_of_components=\"3\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Surface Flow filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"SelectInputVectors\"\n"
"         command=\"SetInputArrayToProcess\"\n"
"         number_of_elements=\"5\"\n"
"         element_types=\"0 0 0 0 2\">\n"
"            <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"              <RequiredProperties>\n"
"                 <Property name=\"Input\" function=\"Input\"/>\n"
"              </RequiredProperties>\n"
"            </ArrayListDomain>\n"
"            <Documentation>\n"
"              The value of this property specifies the name of the input vector array containing the flow vector field.\n"
"            </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"   <!-- End IntegrateFlowThroughSurface -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"AllToN\" class=\"vtkAllToNRedistributePolyData\"\n"
"                label=\"All to N\"\n"
"                multiprocess_support=\"multiple_processes\">\n"
"      <Documentation\n"
"         long_help=\"Redistribute data to a subset of available processes.\"\n"
"         short_help=\"Repartition data filter.\">\n"
"The All to N filter is available when ParaView is run in parallel. It redistributes the data so that it is located on the number of processes specified in the Number of Processes entry box. It also does load-balancing of the data among these processes. This filter operates on polygonal data and produces polygonal output.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the All to N filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"NumberOfProcesses\"\n"
"         command=\"SetNumberOfProcesses\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Number of Processes\">\n"
"         <Documentation>\n"
"           Set the number of processes across which to split the input data.\n"
"         </Documentation>\n"
"      </IntVectorProperty>\n"
"   <!-- End AllToN -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Balance\" class=\"vtkBalancedRedistributePolyData\"\n"
"                multiprocess_support=\"multiple_processes\">\n"
"      <Documentation\n"
"         long_help=\"Balance data among available processes.\"\n"
"         short_help=\"Load balance filter.\">\n"
"The Balance filter is available when ParaView is run in parallel. It does load-balancing so that all processes have the same number of cells. It operates on polygonal data sets and produces polygonal output.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Balance filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End Balance -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"AppendAttributes\" class=\"vtkMergeArrays\"\n"
"    label=\"Append Attributes\">\n"
"      <Documentation\n"
"         long_help=\"Copies geometry from first input.  Puts all of the arrays into the output.\"\n"
"         short_help=\"Puts all input arrays into the single output.\">\n"
"The Append Attributes filter takes multiple input data sets with the same geometry and merges their point and cell attributes to produce a single output containing all the point and cell attributes of the inputs. Any inputs without the same number of points and cells as the first input are ignored. The input data sets must already be collected together, either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"AddInputConnection\"\n"
"         clean_command=\"RemoveAllInputs\"\n"
"         multiple_input=\"1\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Append Attributes filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"   <!-- End AppendAttributes -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"AppendPolyData\" class=\"vtkAppendPolyData\"\n"
"      label=\"Append Geometry\">\n"
"      <Documentation\n"
"         long_help=\"Takes an input of multiple poly data parts and output has only one part.\"\n"
"         short_help=\"Append multiple parts into one.\">\n"
"The Append Geometry filter operates on multiple polygonal data sets. It merges their geometry into a single data set. Only the point and cell attributes that all of the input data sets have in common will appear in the output.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"AddInputConnection\"\n"
"         clean_command=\"RemoveAllInputs\"\n"
"         multiple_input=\"1\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Append Geometry filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End AppendPolyData -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Append\" class=\"vtkAppendFilter\" label=\"Append Datasets\">\n"
"      <Documentation\n"
"         long_help=\"Takes an input of multiple datasets and output has only one unstructured grid.\"\n"
"         short_help=\"Append multiple datasets into one.\">\n"
"The Append Datasets filter operates on multiple data sets of any type (polygonal, structured, etc.). It merges their geometry into a single data set. Only the point and cell attributes that all of the input data sets have in common will appear in the output. The input data sets must already be collected together, either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"AddInputConnection\"\n"
"         clean_command=\"RemoveAllInputs\"\n"
"         multiple_input=\"1\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the datasets to be merged into a single dataset by the Append Datasets filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End AppendDataSet -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CellCenters\" class=\"vtkCellCenters\" label=\"Cell Centers\">\n"
"     <Documentation\n"
"        long_help=\"Create a point (no geometry) at the center of each input cell.\"\n"
"        short_help=\"Convert cells to vertices.\">\n"
"The Cell Centers filter places a point at the center of each cell in the input data set. The center computed is the parametric center of the cell, not necessarily the geometric or bounding box center. The cell attributes of the input will be associated with these newly created points of the output. You have the option of creating a vertex cell per point in the outpuut. This is useful because vertex cells are rendered, but points are not. The points themselves could be used for placing glyphs (using the Glyph filter). The Cell Centers filter takes any type of data set as input and produces a polygonal data set as output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Cell Centers filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"VertexCells\"\n"
"        command=\"SetVertexCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If set to 1, a vertex cell will be generated per point in the output. Otherwise only points will be generated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End CellCenters -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CellDataToPointData\" class=\"vtkPCellDataToPointData\"\n"
"     label=\"Cell Data to Point Data\">\n"
"     <Documentation\n"
"        long_help=\"Create point attributes by averaging cell attributes.\"\n"
"        short_help=\"Convert cell data to point data.\">\n"
"The Cell Data to Point Data filter averages the values of the cell attributes of the cells surrounding a point to compute point attributes. The Cell Data to Point Data filter operates on any type of data set, and the output data set is of the same type as the input.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Cell Data to Point Data filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PassCellData\"\n"
"        command=\"SetPassCellData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, then the input cell data is passed through to the output; otherwise, only the generated point data will be available in the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PieceInvariant\"\n"
"        command=\"SetPieceInvariant\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, this filter will request ghost levels so that the values at boundary points match across processes. NOTE: Enabling this option might cause multiple executions of the data source because more information is needed to remove internal surfaces.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"   <!-- End CellDataToPointData -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GenerateIdScalars\" class=\"vtkIdFilter\"\n"
"     label=\"Generate Ids\">\n"
"     <Documentation\n"
"        long_help=\"Generate scalars from point and cell ids.\"\n"
"        short_help=\"Generate scalars from point and cell ids.\">\n"
"This filter generates scalars  using cell and point ids. That is, the point attribute data scalars are generated from the point ids, and the cell attribute data scalars or field data are generated from the the cell ids.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Cell Data to Point Data filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"     <StringVectorProperty\n"
"        name=\"ArrayName\"\n"
"        command=\"SetIdsArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Ids\">\n"
"        <Documentation>\n"
"          The name of the array that will contain ids.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"   <!-- End GenerateIdScalars -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CleanPolyData\" class=\"vtkCleanPolyData\"\n"
"     label=\"Clean\">\n"
"     <Documentation\n"
"        long_help=\"Merge coincident points if they do not meet a feature edge criteria.\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface2 =
"        short_help=\"Merge coincident points.\">\n"
"The Clean filter takes polygonal data as input and generates polygonal data as output. This filter can merge duplicate points, remove unused points, and transform degenerate cells into their appropriate forms (e.g., a triangle is converted into a line if two of its points are merged).\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Clean filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PieceInvariant\"\n"
"        command=\"SetPieceInvariant\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the whole data set will be processed at once so that cleaning the data set always produces the same results. If it is set to 0, the data set can be processed one piece at a time, so it is not necessary for the entire data set to fit into memory; however the results are not guaranteed to be the same as they would be if the Piece invariant option was on. Setting this option to 0 may produce seams in the output dataset when ParaView is run in parallel.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0.0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"       <Documentation>\n"
"         If merging nearby points (see PointMerging property) and not using absolute tolerance (see ToleranceIsAbsolute property), this property specifies the tolerance for performing merging as a fraction of the length of the diagonal of the bounding box of the input data set.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"AbsoluteTolerance\"\n"
"        command=\"SetAbsoluteTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         If merging nearby points (see PointMerging property) and using absolute tolerance (see ToleranceIsAbsolute property), this property specifies the tolerance for performing merging in the spatial units of the input data set.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ToleranceIsAbsolute\"\n"
"        command=\"SetToleranceIsAbsolute\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property determines whether to use absolute or relative (a percentage of the bounding box) tolerance when performing point merging.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ConvertLinesToPoints\"\n"
"        command=\"SetConvertLinesToPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, degenerate lines (a \"line\" whose endpoints are at the same spatial location) will be converted to points.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ConvertPolysToLines\"\n"
"        command=\"SetConvertPolysToLines\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, degenerate polygons (a \"polygon\" with only two distinct point coordinates) will be converted to lines.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ConvertStripsToPolys\"\n"
"        command=\"SetConvertStripsToPolys\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, degenerate triangle strips (a triangle \"strip\" containing only one triangle) will be converted to triangles.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PointMerging\"\n"
"        command=\"SetPointMerging\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, then points will be merged if they are within the specified Tolerance or AbsoluteTolerance (see the Tolerance and AbsoluteTolerance propertys), depending on the value of the ToleranceIsAbsolute property. (See the ToleranceIsAbsolute property.) If this property is set to 0, points will not be merged.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End CleanPolyData -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CleanUnstructuredGrid\" class=\"vtkCleanUnstructuredGrid\"\n"
"      label=\"Clean to Grid\">\n"
"      <Documentation\n"
"         long_help=\"This filter merges points and converts the data set to unstructured grid.\"\n"
"         short_help=\"Merge points.\">\n"
"The Clean to Grid filter merges points that are exactly coincident. It also converts the data set to an unstructured grid. You may wish to do this if you want to apply a filter to your data set that is available for unstructured grids but not for the initial type of your data set (e.g., applying warp vector to volumetric data). The Clean to Grid filter operates on any type of data set.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Clean to Grid filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End CleanUnstructuredGrid -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CleanUnstructuredGridCells\" class=\"vtkCleanUnstructuredGridCells\"\n"
"      label=\"Clean Cells to Grid\">\n"
"      <Documentation\n"
"         long_help=\"This filter merges cells and converts the data set to unstructured grid.\"\n"
"         short_help=\"Merge cells.\">\n"
"Merges degenerate cells. Assumes the input grid does not contain duplicate\n"
"points. You may want to run vtkCleanUnstructuredGrid first to assert it. If\n"
"duplicated cells are found they are removed in the output. The filter also\n"
"handles the case, where a cell may contain degenerate nodes (i.e. one and\n"
"the same node is referenced by a cell more than once).\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkUnstructuredGrid\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Clean Cells to Grid filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End CleanUnstructuredGridCells -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Delaunay2D\" class=\"vtkDelaunay2D\" label=\"Delaunay 2D\">\n"
"      <Documentation\n"
"         long_help=\"Create 2D Delaunay triangulation of input points.\n"
"It expects a vtkPointSet as input and produces vtkPolyData as output.\n"
"The points are expected to be in a mostly planar distribution.\"\n"
"         short_help=\"Create 2D Delaunay triangulation of input points.\">\n"
"Delaunay2D is a filter that constructs a 2D Delaunay triangulation from a list of input points. These points may be represented by any dataset of type vtkPointSet and subclasses. The output of the filter is a polygonal dataset containing a triangle mesh.\n"
"\n"
"The 2D Delaunay triangulation is defined as the triangulation that satisfies the Delaunay criterion for n-dimensional simplexes (in this case n=2 and the simplexes are triangles). This criterion states that a circumsphere of each simplex in a triangulation contains only the n+1 defining points of the simplex. In two dimensions, this translates into an optimal triangulation. That is, the maximum interior angle of any triangle is less than or equal to that of any possible triangulation.\n"
"\n"
"Delaunay triangulations are used to build topological structures from unorganized (or unstructured) points. The input to this filter is a list of points specified in 3D, even though the triangulation is 2D. Thus the triangulation is constructed in the x-y plane, and the z coordinate is ignored (although carried through to the output). You can use the option ProjectionPlaneMode in order to compute the best-fitting plane to the set of points, project the points and that plane and then perform the triangulation using their projected positions and then use it as the plane in which the triangulation is performed.\n"
"\n"
"The Delaunay triangulation can be numerically sensitive in some cases. To prevent problems, try to avoid injecting points that will result in triangles with bad aspect ratios (1000:1 or greater). In practice this means inserting points that are \"widely dispersed\", and enables smooth transition of triangle sizes throughout the mesh. (You may even want to add extra points to create a better point distribution.) If numerical problems are present, you will see a warning message to this effect at the end of the triangulation process.\n"
"\n"
"Warning:\n"
"Points arranged on a regular lattice (termed degenerate cases) can be triangulated in more than one way (at least according to the Delaunay criterion). The choice of triangulation (as implemented by this algorithm) depends on the order of the input points. The first three points will form a triangle; other degenerate points will not break this triangle.\n"
"\n"
"Points that are coincident (or nearly so) may be discarded by the algorithm. This is because the Delaunay triangulation requires unique input points. The output of the Delaunay triangulation is supposedly a convex hull. In certain cases this implementation may not generate the convex hull.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPointSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input dataset to the Delaunay 2D filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"        name=\"ProjectionPlaneMode\"\n"
"        command=\"SetProjectionPlaneMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"XY Plane\"/>\n"
"<!--         <Entry value=\"1\" text=\"Perpendicular\"/> -->\n"
"         <Entry value=\"2\" text=\"Best-Fitting Plane\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines type of projection plane to use in performing the triangulation.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <DoubleVectorProperty name=\"Alpha\"\n"
"       command=\"SetAlpha\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         The value of this property controls the output of this filter. For a non-zero alpha value, only edges or triangles contained within a sphere centered at mesh vertices will be output. Otherwise, only triangles will be output.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <DoubleVectorProperty name=\"Tolerance\"\n"
"       command=\"SetTolerance\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0.00001\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1.0\" />\n"
"       <Documentation>\n"
"         This property specifies a tolerance to control discarding of closely spaced points. This tolerance is specified as a fraction of the diagonal length of the bounding box of the points.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <DoubleVectorProperty name=\"Offset\"\n"
"       command=\"SetOffset\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"1.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0.75\"/>\n"
"       <Documentation>\n"
"         This property is a multiplier to control the size of the initial, bounding Delaunay triangulation.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <IntVectorProperty name=\"BoundingTriangulation\"\n"
"       command=\"SetBoundingTriangulation\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, bounding triangulation points (and associated triangles) are included in the output. These are introduced as an initial triangulation to begin the triangulation process. This feature is nice for debugging output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <!-- End Delaunay2D -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Delaunay3D\" class=\"vtkDelaunay3D\" label=\"Delaunay 3D\">\n"
"     <Documentation short_help=\"Create a 3D Delaunay triangulation of input\n"
"                                points.\"\n"
"                    long_help=\"Create a 3D Delaunay triangulation of input\n"
"                               points.  It expects a vtkPointSet as input and\n"
"                               produces vtkUnstructuredGrid as output.\">\n"
"\n"
"       Delaunay3D is a filter that constructs a 3D Delaunay triangulation\n"
"       from a list of input points. These points may be represented by any\n"
"       dataset of type vtkPointSet and subclasses. The output of the filter\n"
"       is an unstructured grid dataset. Usually the output is a tetrahedral\n"
"       mesh, but if a non-zero alpha distance value is specified (called\n"
"       the \"alpha\" value), then only tetrahedra, triangles, edges, and\n"
"       vertices lying within the alpha radius are output. In other words,\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface3 =
"       non-zero alpha values may result in arbitrary combinations of\n"
"       tetrahedra, triangles, lines, and vertices. (The notion of alpha\n"
"       value is derived from Edelsbrunner's work on \"alpha shapes\".)\n"
"\n"
"       The 3D Delaunay triangulation is defined as the triangulation that\n"
"       satisfies the Delaunay criterion for n-dimensional simplexes (in\n"
"       this case n=3 and the simplexes are tetrahedra). This criterion\n"
"       states that a circumsphere of each simplex in a triangulation\n"
"       contains only the n+1 defining points of the simplex. (See text for\n"
"       more information.) While in two dimensions this translates into an\n"
"       \"optimal\" triangulation, this is not true in 3D, since a measurement\n"
"       for optimality in 3D is not agreed on.\n"
"\n"
"       Delaunay triangulations are used to build topological structures\n"
"       from unorganized (or unstructured) points. The input to this filter\n"
"       is a list of points specified in 3D. (If you wish to create 2D\n"
"       triangulations see Delaunay2D.) The output is an unstructured\n"
"       grid.\n"
"\n"
"       The Delaunay triangulation can be numerically sensitive. To prevent\n"
"       problems, try to avoid injecting points that will result in\n"
"       triangles with bad aspect ratios (1000:1 or greater). In practice\n"
"       this means inserting points that are \"widely dispersed\", and enables\n"
"       smooth transition of triangle sizes throughout the mesh. (You may\n"
"       even want to add extra points to create a better point\n"
"       distribution.) If numerical problems are present, you will see a\n"
"       warning message to this effect at the end of the triangulation\n"
"       process.\n"
"\n"
"       Warning:\n"
"       Points arranged on a regular lattice (termed degenerate cases) can\n"
"       be triangulated in more than one way (at least according to the\n"
"       Delaunay criterion). The choice of triangulation (as implemented by\n"
"       this algorithm) depends on the order of the input points. The first\n"
"       four points will form a tetrahedron; other degenerate points\n"
"       (relative to this initial tetrahedron) will not break it.\n"
"\n"
"       Points that are coincident (or nearly so) may be discarded by the\n"
"       algorithm. This is because the Delaunay triangulation requires\n"
"       unique input points. You can control the definition of coincidence\n"
"       with the \"Tolerance\" instance variable.\n"
"\n"
"       The output of the Delaunay triangulation is supposedly a convex\n"
"       hull. In certain cases this implementation may not generate the\n"
"       convex hull. This behavior can be controlled by the Offset instance\n"
"       variable. Offset is a multiplier used to control the size of the\n"
"       initial triangulation. The larger the offset value, the more likely\n"
"       you will generate a convex hull; and the more likely you are to see\n"
"       numerical problems.\n"
"\n"
"       The implementation of this algorithm varies from the 2D Delaunay\n"
"       algorithm (i.e., Delaunay2D) in an important way. When points are\n"
"       injected into the triangulation, the search for the enclosing\n"
"       tetrahedron is quite different. In the 3D case, the closest\n"
"       previously inserted point point is found, and then the connected\n"
"       tetrahedra are searched to find the containing one. (In 2D, a \"walk\"\n"
"       towards the enclosing triangle is performed.) If the triangulation\n"
"       is Delaunay, then an enclosing tetrahedron will be found. However,\n"
"       in degenerate cases an enclosing tetrahedron may not be found and\n"
"       the point will be rejected.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\" />\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkPointSet\" />\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         This property specifies the input dataset to the Delaunay 3D filter.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Alpha\"\n"
"                           command=\"SetAlpha\"\n"
"                           number_of_elements=\"1\"\n"
"                           animateable=\"1\"\n"
"                           default_values=\"0.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"         This property specifies the alpha (or distance) value to control\n"
"         the output of this filter.  For a non-zero alpha value, only\n"
"         edges, faces, or tetra contained within the circumsphere (of\n"
"         radius alpha) will be output.  Otherwise, only tetrahedra will be\n"
"         output.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Tolerance\"\n"
"                           command=\"SetTolerance\"\n"
"                           number_of_elements=\"1\"\n"
"                           animateable=\"1\"\n"
"                           default_values=\"0.001\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1.0\" />\n"
"       <Documentation>\n"
"         This property specifies a tolerance to control discarding of\n"
"         closely spaced points. This tolerance is specified as a fraction\n"
"         of the diagonal length of the bounding box of the points.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Offset\"\n"
"                           command=\"SetOffset\"\n"
"                           number_of_elements=\"1\"\n"
"                           animateable=\"1\"\n"
"                           default_values=\"2.5\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"2.5\" />\n"
"       <Documentation>\n"
"         This property specifies a multiplier to control the size of the\n"
"         initial, bounding Delaunay triangulation.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"BoundingTriangulation\"\n"
"                        command=\"SetBoundingTriangulation\"\n"
"                        number_of_elements=\"1\"\n"
"                        animateable=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This boolean controls whether bounding triangulation points (and\n"
"         associated triangles) are included in the output. (These are\n"
"         introduced as an initial triangulation to begin the triangulation\n"
"         process. This feature is nice for debugging output.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- End Delaunay3d -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PVConnectivityFilter\" class=\"vtkConnectivityFilter\"\n"
"      label=\"Connectivity\">\n"
"      <Documentation\n"
"          long_help=\"Mark connected components with integer point attribute array.\"\n"
"          short_help=\"Find connected components.\">\n"
"The Connectivity filter assigns a region id to connected components of the input data set. (The region id is assigned as a point scalar value.) This filter takes any data set type as input and produces unstructured grid output.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Connectivity filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ExtractionMode\"\n"
"        command=\"SetExtractionMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"Extract Point Seeded Regions\"/>\n"
"         <Entry value=\"2\" text=\"Extract Cell Seeded Regions\"/>\n"
"         <Entry value=\"3\" text=\"Extract Specified Regions\"/>\n"
"         <Entry value=\"4\" text=\"Extract Largest Region\"/>\n"
"         <Entry value=\"5\" text=\"Extract All Regions\"/>\n"
"         <Entry value=\"6\" text=\"Extract Closes Point Region\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Controls the extraction of connected surfaces.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ColorRegions\"\n"
"        command=\"SetColorRegions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Controls the coloring of the connected regions.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"ExtractionMode\" show=\"0\"/>\n"
"        <Property name=\"ColorRegions\" show=\"0\"/>\n"
"      </Hints>\n"
"   <!-- End PVConnectivityFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ImageClip\" class=\"vtkImageClip\" label=\"Crop\">\n"
"    <Documentation\n"
"       long_help=\"Efficiently extract an area/volume of interest from a 2-d image or 3-d volume.\"\n"
"       short_help=\"Extract a volume of interest.\">\n"
"The Crop filter extracts an area/volume of interest from a 2D image or a 3D volume by allowing the user to specify the minimum and maximum extents of each dimension of the data. Both the input and output of this filter are uniform rectilinear data.\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkImageData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Crop filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"OutputWholeExtent\"\n"
"        command=\"SetOutputWholeExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 0 0 0\">\n"
"       <ExtentDomain name=\"extent\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ExtentDomain>\n"
"       <Documentation>\n"
"         This property gives the minimum and maximum point index (extent) in each dimension for the output dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"0\" />\n"
"    </Hints>\n"
"   <!-- End ImageClip -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Curvatures\" class=\"vtkCurvatures\" label=\"Curvature\">\n"
"    <Documentation\n"
"       long_help=\"This filter will compute the Gaussian or mean curvature of the mesh at each point.\"\n"
"       short_help=\"Compute the curvature at each point.\">\n"
"The Curvature filter computes the curvature at each point in a polygonal data set. This filter supports both Gaussian and mean curvatures.\n"
"\n"
"; the type can be selected from the Curvature type menu button.\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Curvature filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"InvertMeanCurvature\"\n"
"        command=\"SetInvertMeanCurvature\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the mean curvature calculation will be inverted. This is useful for meshes with inward-pointing normals.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CurvatureType\"\n"
"        command=\"SetCurvatureType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Gaussian\"/>\n"
"         <Entry value=\"1\" text=\"Mean\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This propery specifies which type of curvature to compute.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Curvatures -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"DecimatePro\" class=\"vtkDecimatePro\" label=\"Decimate\">\n"
"     <Documentation\n"
"        long_help=\"Simplify a polygonal model using an adaptive edge collapse algorithm.  This filter works with triangles only.\"\n"
"        short_help=\"Reduce the number of triangles in a model.\">\n"
"The Decimate filter reduces the number of triangles in a polygonal data set. Because this filter only operates on triangles, first run the Triangulate filter on a dataset that contains polygons other than triangles.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Decimate filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TargetReduction\"\n"
"         command=\"SetTargetReduction\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.9\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the desired reduction in the total number of polygons in the output dataset. For example, if the TargetReduction value is 0.9, the Decimate filter will attempt to produce an output dataset that is 10% the size of the input.)\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PreserveTopology\"\n"
"        command=\"SetPreserveTopology\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, decimation will not split the dataset or produce holes, but it may keep the filter from reaching the reduction target. If it is set to 0, better reduction can occur (reaching the reduction target), but holes in the model may be produced.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface4 =
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"FeatureAngle\"\n"
"        command=\"SetFeatureAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"15.0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\" />\n"
"       <Documentation>\n"
"         The value of thie property is used in determining where the data set may be split. If the angle between two adjacent triangles is greater than or equal to the FeatureAngle value, then their boundary is considered a feature edge where the dataset can be split.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"BoundaryVertexDeletion\"\n"
"        command=\"SetBoundaryVertexDeletion\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, then vertices on the boundary of the dataset can be removed. Setting the value of this property to 0 preserves the boundary of the dataset, but it may cause the filter not to reach its reduction target.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End DecimatePro -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"D3\" class=\"vtkDistributedDataFilter\" label=\"D3\"\n"
"                multiprocess_support=\"multiple_processes\">\n"
"    <Documentation\n"
"       long_help=\"Repartition a data set into load-balanced spatially convex regions.  Create ghost cells if requested.\"\n"
"       short_help=\"Repartition a data set.\">\n"
"The D3 filter is available when ParaView is run in parallel. It operates on any type of data set to evenly divide it across the processors into spatially contiguous regions. The output of this filter is of type unstructured grid.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the D3 filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"BoundaryMode\"\n"
"        command=\"SetBoundaryMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Assign cells uniquely\"/>\n"
"         <Entry value=\"1\" text=\"Duplicate cells\"/>\n"
"         <Entry value=\"2\" text=\"Divide cells\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines how cells that lie on processor boundaries are handled. The \"Assign cells uniquely\" option assigns each boundary cell to exactly one process, which is useful for isosurfacing. Selecting \"Duplicate cells\" causes the cells on the boundaries to be copied to each process that shares that boundary. The \"Divide cells\" option breaks cells across process boundary lines so that pieces of the cell lie in different processes. This option is useful for volume rendering.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseMinimalMemory\"\n"
"        command=\"SetUseMinimalMemory\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Minimal Memory\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the D3 filter requires communication routines to use minimal memory than without this restriction.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End D3 -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ElevationFilter\" class=\"vtkElevationFilter\" label=\"Elevation\">\n"
"     <Documentation\n"
"        long_help=\"Create point attribute array by projecting points onto an elevation vector.\"\n"
"        short_help=\"Create a point array representing elevation.\">\n"
"The Elevation filter generates point scalar values for an input dataset along a specified direction vector.\n"
"\n"
"The Input menu allows the user to select the data set to which this filter will be applied. Use the Scalar range entry boxes to specify the minimum and maximum scalar value to be generated. The Low Point and High Point define a line onto which each point of the data set is projected. The minimum scalar value is associated with the Low Point, and the maximum scalar value is associated with the High Point. The scalar value for each point in the data set is determined by the location along the line to which that point projects.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input dataset to the Elevation filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ScalarRange\"\n"
"         command=\"SetScalarRange\"\n"
"         number_of_elements=\"2\"\n"
"         default_values=\"0 1\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property determines the range into which scalars will be mapped.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"LowPoint\"\n"
"         label=\"Low Point\"\n"
"         command=\"SetLowPoint\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0 0 0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"min\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"         <Documentation>\n"
"           This property defines one end of the direction vector (small scalar values).\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"HighPoint\"\n"
"         label=\"High Point\"\n"
"         command=\"SetHighPoint\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0 0 1\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"max\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"         <Documentation>\n"
"           This property defines the other end of the direction vector (large scalar values).\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"Line\" label=\"Elevation Widget\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"LowPoint\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"HighPoint\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"   <!-- End ElevationFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CTHPart\" class=\"vtkExtractCTHPart\"\n"
"    label=\"Extract CTH Parts\">\n"
"    <Documentation\n"
"       long_help=\"Create a surface from a CTH volume fraction.\"\n"
"       short_help=\"Extract a part from a CTH dataset.\">\n"
"Extract CTH Parts is a specialized filter for visualizing the data from a CTH simulation. It first converts the selected cell-centered arrays to point-centered ones. It then contours each array at a value of 0.5. The user has the option of clipping the resulting surface(s) with a plane. This filter only operates on unstructured data. It produces polygonal output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"\n"
"                            number_of_components=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Extract CTH Parts filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"ClipPlane\" command=\"SetClipPlane\"\n"
"        label=\"Clip Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"None\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property specifies whether to clip the dataset, and if so, it also specifies the parameters of the plane with which to clip.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"AddDoubleVolumeArrayName\"\n"
"        command=\"AddDoubleVolumeArrayName\"\n"
"        clean_command=\"RemoveDoubleVolumeArrayNames\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        label=\"Double Volume Arrays\">\n"
"        <Documentation>\n"
"          This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_DOUBLE\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"            not set the default value for this property\n"
"            using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"AddFloatVolumeArrayName\"\n"
"        command=\"AddFloatVolumeArrayName\"\n"
"        clean_command=\"RemoveFloatVolumeArrayNames\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        label=\"Float Volume Arrays\">\n"
"        <Documentation>\n"
"          This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_FLOAT\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"            not set the default value for this property\n"
"            using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"AddUnsignedCharVolumeArrayName\"\n"
"        command=\"AddUnsignedCharVolumeArrayName\"\n"
"        clean_command=\"RemoveUnsignedCharVolumeArrayNames\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        label=\"Unsigned Character Volume Arrays\">\n"
"        <Documentation>\n"
"          This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_UNSIGNED_CHAR\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <!-- This overrides the GUI's default mechanism to\n"
"            not set the default value for this property\n"
"            using the domain when the proxy is created -->\n"
"          <NoDefault />\n"
"        </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"VolumeFractionSurfaceValue\"\n"
"        command=\"SetVolumeFractionSurfaceValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.1\"\n"
"        label=\"Volume Fraction Value\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"       <Documentation>\n"
"         The value of this property is the volume fraction value for the surface.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"    <!-- End CTHPart -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractEdges\" class=\"vtkExtractEdges\"\n"
"      label=\"Extract Edges\">\n"
"     <Documentation\n"
"        long_help=\"Extract edges of 2D and 3D cells as lines.\"\n"
"        short_help=\"Covert data to wireframe.\">\n"
"The Extract Edges filter produces a wireframe version of the input dataset by extracting all the edges of the dataset's cells as lines. This filter operates on any type of data set and produces polygonal output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Extract Edges filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End ExtractEdges -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"DataSetSurfaceFilter\" class=\"vtkDataSetSurfaceFilter\"\n"
"      label=\"Extract Surface\">\n"
"     <Documentation\n"
"        long_help=\"Extract a 2D boundary surface using neighbor relations to eliminate internal faces.\"\n"
"        short_help=\"Extract 2D boundary surface.\">\n"
"The Extract Surface filter extracts the polygons forming the outer surface of the input dataset. This filter operates on any type of data and produces polygonal data as output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface5 =
"             This property specifies the input to the Extract Surface filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PieceInvariant\"\n"
"        command=\"SetPieceInvariant\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, internal surfaces along process boundaries will be removed. NOTE: Enabling this option might cause multiple executions of the data source because more information is needed to remove internal surfaces.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"NonlinearSubdivisionLevel\"\n"
"                        command=\"SetNonlinearSubdivisionLevel\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\" max=\"4\" />\n"
"       <Documentation>\n"
"         If the input is an unstructured grid with nonlinear faces, this\n"
"         parameter determines how many times the face is subdivided into\n"
"         linear faces.  If 0, the output is the equivalent of its linear\n"
"         couterpart (and the midpoints determining the nonlinear\n"
"         interpolation are discarded).  If 1, the nonlinear face is\n"
"         triangulated based on the midpoints.  If greater than 1, the\n"
"         triangulated pieces are recursively subdivided to reach the\n"
"         desired subdivision.  Setting the value to greater than 1 may\n"
"         cause some point data to not be passed even if no quadratic faces\n"
"         exist.  This option has no effect if the input is not an\n"
"         unstructured grid.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End DataSetSurfaceFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Calculator\" class=\"vtkPVArrayCalculator\">\n"
"    <Documentation\n"
"       long_help=\"Compute new attribute arrays as function of existing arrays.\"\n"
"       short_help=\"Compute new attribute arrays.\">\n"
"The Calculator filter computes a new data array or new point coordinates as a function of existing scalar or vector arrays. If point-centered arrays are used in the computation of a new data array, the resulting array will also be point-centered. Similarly, computations using cell-centered arrays will produce a new cell-centered array. If the function is computing point coordinates, the result of the function must be a three-component vector. The Calculator interface operates similarly to a scientific calculator. In creating the function to evaluate, the standard order of operations applies.\n"
"Each of the calculator functions is described below. Unless otherwise noted, enclose the operand in parentheses using the ( and ) buttons.\n"
"Clear: Erase the current function (displayed in the read-only text box above the calculator buttons).\n"
"/: Divide one scalar by another. The operands for this function are not required to be enclosed in parentheses.\n"
"*: Multiply two scalars, or multiply a vector by a scalar (scalar multiple). The operands for this function are not required to be enclosed in parentheses.\n"
"-: Negate a scalar or vector (unary minus), or subtract one scalar or vector from another. The operands for this function are not required to be enclosed in parentheses.\n"
"+: Add two scalars or two vectors. The operands for this function are not required to be enclosed in parentheses.\n"
"sin: Compute the sine of a scalar.\n"
"cos: Compute the cosine of a scalar.\n"
"tan: Compute the tangent of a scalar.\n"
"asin: Compute the arcsine of a scalar.\n"
"acos: Compute the arccosine of a scalar.\n"
"atan: Compute the arctangent of a scalar.\n"
"sinh: Compute the hyperbolic sine of a scalar.\n"
"cosh: Compute the hyperbolic cosine of a scalar.\n"
"tanh: Compute the hyperbolic tangent of a scalar.\n"
"min: Compute minimum of two scalars.\n"
"max: Compute maximum of two scalars.\n"
"x^y: Raise one scalar to the power of another scalar. The operands for this function are not required to be enclosed in parentheses.\n"
"sqrt: Compute the square root of a scalar.\n"
"e^x: Raise e to the power of a scalar.\n"
"log: Compute the logarithm of a scalar (deprecated. same as log10).\n"
"log10: Compute the logarithm of a scalar to the base 10.\n"
"ln: Compute the logarithm of a scalar to the base 'e'.\n"
"ceil: Compute the ceiling of a scalar.\n"
"floor: Compute the floor of a scalar.\n"
"abs: Compute the absolute value of a scalar.\n"
"v1.v2: Compute the dot product of two vectors. The operands for this function are not required to be enclosed in parentheses.\n"
"cross: Compute cross product of two vectors.\n"
"mag: Compute the magnitude of a vector.\n"
"norm: Normalize a vector.\n"
"The operands are described below.\n"
"The digits 0 - 9 and the decimal point are used to enter constant scalar values.\n"
"iHat, jHat, and kHat are vector constants representing unit vectors in the X, Y, and Z directions, respectively.\n"
"The scalars menu lists the names of the scalar arrays and the components of the vector arrays of either the point-centered or cell-centered data. The vectors menu lists the names of the point-centered or cell-centered vector arrays. The function will be computed for each point (or cell) using the scalar or vector value of the array at that point (or cell).\n"
"The filter operates on any type of data set, but the input data set must have at least one scalar or vector array. The arrays can be either point-centered or cell-centered. The Calculator filter's output is of the same data set type as the input.\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input dataset to the Calculator filter. The scalar and vector variables may be chosen from this dataset's arrays.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ResultArrayName\"\n"
"        command=\"SetResultArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Result\">\n"
"        <Documentation>\n"
"          This property contains the name for the output array containing the result of this computation.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"Function\"\n"
"        command=\"SetFunction\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property contains the equation for computing the new array.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CoordinateResults\"\n"
"        command=\"SetCoordinateResults\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property determines whether the results of this computation should be used as point coordinates or as a new array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"AttributeMode\"\n"
"        command=\"SetAttributeMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"point_data\"/>\n"
"         <Entry value=\"2\" text=\"cell_data\"/>\n"
"         <Entry value=\"5\" text=\"field_data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines whether the computation is to be performed on point-centered or cell-centered data.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ReplaceInvalidValues\"\n"
"        label=\"Replace Invalid Results\"\n"
"        command=\"SetReplaceInvalidValues\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property determines whether invalid values in the computation will be replaced with a specific value. (See the ReplacementValue property.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ReplacementValue\"\n"
"        command=\"SetReplacementValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         If invalid values in the computation are to be replaced with another value, this property contains that value.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"   <!-- End Calculator -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"FeatureEdges\" class=\"vtkFeatureEdges\"\n"
"    label=\"Feature Edges\">\n"
"    <Documentation\n"
"       long_help=\"This filter will extract edges along sharp edges of surfaces or boundaries of surfaces.\"\n"
"       short_help=\"Extract edges that meet the feature criteria.\">\n"
"The Feature Edges filter extracts various subsets of edges from the input data set. This filter operates on polygonal data and produces polygonal output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Feature Edges filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"BoundaryEdges\"\n"
"        command=\"SetBoundaryEdges\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, boundary edges will be extracted. Boundary edges are defined as lines cells or edges that are used by only one polygon.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"FeatureEdges\"\n"
"        command=\"SetFeatureEdges\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, feature edges will be extracted. Feature edges are defined as edges that are used by two polygons whose dihedral angle is greater than the feature angle. (See the FeatureAngle property.)\n"
"         Toggle whether to extract feature edges.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NonManifoldEdges\"\n"
"        command=\"SetNonManifoldEdges\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Non-Manifold Edges\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, non-manifold ediges will be extracted. Non-manifold edges are defined as edges that are use by three or more polygons.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ManifoldEdges\"\n"
"        command=\"SetManifoldEdges\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, manifold edges will be extracted. Manifold edges are defined as edges that are used by exactly two polygons.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Coloring\"\n"
"        command=\"SetColoring\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, then the extracted edges are assigned a scalar value based on the type of the edge.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"FeatureAngle\"\n"
"        command=\"SetFeatureAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"30.0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\" />\n"
"       <Documentation>\n"
"         Ths value of this property is used to define a feature edge. If the surface normal between two adjacent triangles is at least as large as this Feature Angle, a feature edge exists. (See the FeatureEdges property.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"     </Hints>\n"
"   <!-- End FeatureEdges -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Gradient\" class=\"vtkImageGradient\" label=\"Gradient\">\n"
"    <Documentation\n"
"      short_help=\"Compute gradient vectors.\"\n"
"      long_help=\"This filter computes gradient vectors for an image/volume.\">\n"
"The Gradient filter computes the gradient vector at each point in an image or volume. This filter uses central differences to compute the gradients. The Gradient filter operates on uniform rectilinear (image) data and produces image data output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkImageData\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Gradient filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"          number_of_elements=\"5\"\n"
"          element_types=\"0 0 0 0 2\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             This property lists the name of the array from which to compute the gradient.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"     <IntVectorProperty\n"
"        name=\"Dimensionality\"\n"
"        command=\"SetDimensionality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"2\" text=\"Two\"/>\n"
"         <Entry value=\"3\" text=\"Three\"/>\n"
"       </EnumerationDomain>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface6 =
"       <Documentation>\n"
"         This property indicates whether to compute the gradient in two dimensions or in three. If the gradient is being computed in two dimensions, the X and Y dimensions are used.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Gradient -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"UnstructuredGradient\" class=\"vtkGradientFilter\"\n"
"     label=\"Gradient Of Unstructured DataSet\">\n"
"     <Documentation\n"
"       short_help=\"Compute gradients for any type of dataset.\"\n"
"       long_help=\"Estimate the gradient for each point or cell in any type of dataset.\">\n"
"The Gradient (Unstructured) filter estimates the gradient vector at each point or cell. It operates on any type of vtkDataSet, and the output is the same type as the input. If the dataset is a vtkImageData, use the Gradient filter instead; it will be more efficient for this type of dataset.\n"
"     </Documentation>\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"SelectInputScalars\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </InputArrayDomain>\n"
"       <Documentation>\n"
"         This property specifies the input to the Gradient (Unstructured) filter.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectInputScalars\"\n"
"                           command=\"SetInputArrayToProcess\"\n"
"                           number_of_elements=\"5\"\n"
"                           element_types=\"0 0 0 0 2\"\n"
"                           label=\"Scalar Array\">\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <FieldDataDomain name=\"field_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         This property lists the name of the scalar array from which to compute the gradient.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"ResultArrayName\"\n"
"                           command=\"SetResultArrayName\"\n"
"                           number_of_elements=\"1\"\n"
"                           default_values=\"Gradients\">\n"
"       <Documentation>\n"
"         This property provides a name for the output array containing the gradient vectors.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <IntVectorProperty name=\"FasterApproximation\"\n"
"                        command=\"SetFasterApproximation\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         When this flag is on, the gradient filter will provide a less\n"
"         accurate (but close) algorithm that performs fewer derivative\n"
"         calculations (and is therefore faster).  The error contains some\n"
"         smoothing of the output data and some possible errors on the\n"
"         boundary.  This parameter has no effect when performing the\n"
"         gradient of cell data.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty name=\"ComputeVorticity\"\n"
"                        command=\"SetComputeVorticity\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         When this flag is on, the gradient filter will compute the\n"
"         vorticity/curl of a 3 component array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty name=\"ComputeQCriterion\"\n"
"                        command=\"SetComputeQCriterion\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         When this flag is on, the gradient filter will compute the\n"
"         Q-criterion of a 3 component array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End UnstructuredGradient -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GradientMagnitude\" class=\"vtkImageGradientMagnitude\"\n"
"      label=\"Gradient Magnitude\">\n"
"     <Documentation\n"
"       short_help=\"Compute the gradient magnitude.\"\n"
"       long_help=\"Compute the magnitude of the gradient vectors for an image/volume.\">\n"
"The Gradient Magnitude filter computes the magnitude of the gradient vector at each point in an image or volume. This filter operates on uniform rectilinear (image) data and produces image data output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkImageData\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                             number_of_components=\"1\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Gradient Magnitude filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Dimensionality\"\n"
"        command=\"SetDimensionality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"2\" text=\"Two\"/>\n"
"         <Entry value=\"3\" text=\"Three\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates whether to compute the gradient magnitude in two or three dimensions. If computing the gradient magnitude in 2D, the gradients in X and Y are used for computing the gradient magnitude.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Gradient -->\n"
"   </SourceProxy>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GridConnectivity\" class=\"vtkGridConnectivity\"\n"
"      label=\"Grid Connectivity\">\n"
"     <Documentation\n"
"       short_help=\"Parallel connectivity and integration.\"\n"
"       long_help=\"Mass properties of connected fragments for unstructured grids.\">\n"
"This filter works on multiblock unstructured grid inputs and also works in\n"
"parallel.  It Ignores any cells with a cell data Status value of 0.\n"
"It performs connectivity to distict fragments separately.  It then integrates\n"
"attributes of the fragments.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkUnstructuredGrid\"/>\n"
"             <DataType value=\"vtkCompositeDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"   <!-- End Grid Fragment -->\n"
"   </SourceProxy>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"RectilinearGridConnectivity\" class=\"vtkRectilinearGridConnectivity\"\n"
"     label=\"Rectilinear Grid Connectivity\">\n"
"     <Documentation\n"
"       short_help=\"Parallel fragments extraction and attributes integration on rectilinear grids.\"\n"
"       long_help=\"Parallel fragments extraction and attributes integration on rectilinear grids.\">\n"
"         Extracts material fragments from multi-block vtkRectilinearGrid datasets\n"
"         based on the selected volume fraction array(s) and a fraction isovalue and\n"
"         integrates the associated attributes.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"         <ProxyGroupDomain name=\"groups\">\n"
"           <Group name=\"sources\"/>\n"
"           <Group name=\"filters\"/>\n"
"         </ProxyGroupDomain>\n"
"\n"
"         <DataTypeDomain name=\"input_type\">\n"
"           <DataType value=\"vtkRectilinearGrid\"/>\n"
"           <DataType value=\"vtkCompositeDataSet\"/>\n"
"         </DataTypeDomain>\n"
"\n"
"         <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"\n"
"                           number_of_components=\"1\"/>\n"
"         <Documentation>This property specifies the input of the filter.</Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"AddDoubleVolumeArrayName\"\n"
"       command=\"AddDoubleVolumeArrayName\"\n"
"       clean_command=\"RemoveDoubleVolumeArrayNames\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Double Volume Arrays\">\n"
"       <Documentation>\n"
"         This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"       </Documentation>\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_DOUBLE\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"AddFloatVolumeArrayName\"\n"
"       command=\"AddFloatVolumeArrayName\"\n"
"       clean_command=\"RemoveFloatVolumeArrayNames\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Float Volume Arrays\">\n"
"       <Documentation>\n"
"         This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"       </Documentation>\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_FLOAT\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"AddUnsignedCharVolumeArrayName\"\n"
"       command=\"AddUnsignedCharVolumeArrayName\"\n"
"       clean_command=\"RemoveUnsignedCharVolumeArrayNames\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Unsigned Character Volume Arrays\">\n"
"       <Documentation>\n"
"         This property specifies the name(s) of the volume fraction array(s) for generating parts.\n"
"       </Documentation>\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_UNSIGNED_CHAR\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- This overrides the GUI's default mechanism to\n"
"           not set the default value for this property\n"
"           using the domain when the proxy is created -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"VolumeFractionSurfaceValue\"\n"
"       command=\"SetVolumeFractionSurfaceValue\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.1\"\n"
"       label=\"Volume Fraction Value\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"       <Documentation>\n"
"         The value of this property is the volume fraction value for the surface.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"   <!-- End Rectilinear Grid Connectivity -->\n"
"   </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <!--<SourceProxy name=\"AMRDualClip\" class=\"vtkAMRDualClip\"\n"
"       label=\"AMR Clip\">\n"
"      <Documentation\n"
"        short_help=\"Clip with decimation.\"\n"
"        long_help=\"Clip with scalars.  Tetrahedra.\">\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"\n"
"                          number_of_components=\"1\"/>\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Contour By\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the cell scalar array from which the clip filter will compute clipped cells.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"ContourValue\"\n"
"        command=\"SetIsoValue\"\n"
"        label=\"Isosurface\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        animateable=\"1\">\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>\n"
"          This property specifies the values at which to compute the isosurface.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"DegenerateCells\"\n"
"        command=\"SetEnableDegenerateCells\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface7 =
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, a transition mesh between levels is created.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MultiprocessCommunication\"\n"
"        command=\"SetEnableMultiProcessCommunication\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is off, each process executes independantly.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MergePoints\"\n"
"        command=\"SetEnableMergePoints\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Use more memory to merge points on the boundaries of blocks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </SourceProxy>-->\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"AMRDualClip\" class=\"vtkPVAMRDualClip\" label=\"AMR Dual Clip\">\n"
"      <Documentation\n"
"        short_help=\"Clip with decimation.\"\n"
"        long_help=\"Clip with scalars.  Tetrahedra.\">\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"        <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"\n"
"                          number_of_components=\"1\"/>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"SelectMaterialArrays\"\n"
"        command=\"AddInputCellArrayToProcess\"\n"
"        clean_command=\"ClearInputCellArrayToProcess\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_UNSIGNED_CHAR\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property specifies the cell arrays from which the clip filter will\n"
"          compute clipped cells.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"VolumeFractionSurfaceValue\"\n"
"        command=\"SetVolumeFractionSurfaceValue\"\n"
"        label=\"Volume Fraction Value\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.1\" >\n"
"        <DoubleRangeDomain name=\"scalar_range\" min=\"0.0\" max=\"1.0\" />\n"
"          <!--<RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"AddInputCellArrayToProcess\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>-->\n"
"        <Documentation>\n"
"          This property specifies the values at which to compute the isosurface.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"InternalDecimation\"\n"
"        command=\"SetEnableInternalDecimation\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, internal tetrahedra are decimation\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MultiprocessCommunication\"\n"
"        command=\"SetEnableMultiProcessCommunication\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is off, each process executes independantly.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MergePoints\"\n"
"        command=\"SetEnableMergePoints\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Use more memory to merge points on the boundaries of blocks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End PV AMR Dual Clip -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"AMRDualContour\" class=\"vtkPVAMRDualContour\"\n"
"       label=\"AMR Contour\">\n"
"      <Documentation\n"
"        short_help=\"Iso surface cell array.\">\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" attribute_type=\"cell\"\n"
"                          number_of_components=\"1\"/>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"SelectMaterialArrays\"\n"
"        command=\"AddInputCellArrayToProcess\"\n"
"        clean_command=\"ClearInputCellArrayToProcess\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\" data_type=\"VTK_UNSIGNED_CHAR\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Hints>\n"
"          <NoDefault />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property specifies the cell arrays from which the contour filter will\n"
"          compute contour cells.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"VolumeFractionSurfaceValue\"\n"
"        command=\"SetVolumeFractionSurfaceValue\"\n"
"        label=\"Volume Fraction Value\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.1\" >\n"
"        <DoubleRangeDomain name=\"scalar_range\" min=\"0.0\" max=\"1.0\" />\n"
"          <!--<RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"AddInputCellArrayToProcess\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>-->\n"
"        <Documentation>\n"
"          This property specifies the values at which to compute the isosurface.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Capping\"\n"
"        command=\"SetEnableCapping\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, the the boundary of the data set is capped.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"DegenerateCells\"\n"
"        command=\"SetEnableDegenerateCells\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is on, a transition mesh between levels is created.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MultiprocessCommunication\"\n"
"        command=\"SetEnableMultiProcessCommunication\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is off, each process executes independantly.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"SkipGhostCopy\"\n"
"        command=\"SetSkipGhostCopy\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          A simple test to see if ghost values are already set properly.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Triangulate\"\n"
"        command=\"SetTriangulateCap\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Use triangles instead of quads on capping surfaces.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MergePoints\"\n"
"        command=\"SetEnableMergePoints\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Use more memory to merge points on the boundaries of blocks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"\n"
"      <!-- End AMR Dual Contour -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CTHSurface\" class=\"vtkCTHSimpleSurface\"\n"
"      label=\"CTH Surface\">\n"
"     <Documentation\n"
"       short_help=\"Creates surface for every block.\"\n"
"       long_help=\"Not finished yet.\">\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <Documentation>This property specifies the input of the filter.</Documentation>\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkCompositeDataSet\"/>\n"
"           </DataTypeDomain>\n"
"      </InputProperty>\n"
"   <!-- End CTH Simple Surface -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"LinearExtrusionFilter\" class=\"vtkPVLinearExtrusionFilter\"\n"
"    label=\"Linear Extrusion\">\n"
"    <Documentation\n"
"       long_help=\"This filter creates a swept surface defined by translating the input along a vector.\"\n"
"       short_help=\"Generate a linear swept surface.\">\n"
"The Linear Extrusion filter creates a swept surface by translating the input dataset along a specified vector. This filter is intended to operate on 2D polygonal data. This filter operates on polygonal data and produces polygonal data output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Linear Extrusion filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property determines the distance along the vector the dataset will be translated. (A scale factor of 0.5 will move the dataset half the length of the vector, and a scale factor of 2 will move it twice the vector's length.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Vector\"\n"
"        command=\"SetVector\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates the X, Y, and Z components of the vector along which to sweep the input dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Capping\"\n"
"        command=\"SetCapping\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates whether to cap the ends of the swept surface. Capping works by placing a copy of the input dataset on either end of the swept surface, so it behaves properly if the input is a 2D surface composed of filled polygons. If the input dataset is a closed solid (e.g., a sphere), then if capping is on (i.e., this property is set to 1), two copies of the data set will be displayed on output (the second translated from the first one along the specified vector). If instead capping is off (i.e., this property is set to 0), then an input closed solid will produce no output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PieceInvariant\"\n"
"        command=\"SetPieceInvariant\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property determines whether the output will be the same regardless of the number of processors used to compute the result. The difference is whether there are internal polygonal faces on the processor boundaries. A value of 1 will keep the results the same; a value of 0 will allow internal faces on processor boundaries.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End LinearExtrusionFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"LoopSubdivisionFilter\" class=\"vtkLoopSubdivisionFilter\"\n"
"    label=\"Loop Subdivision\">\n"
"    <Documentation\n"
"       long_help=\"This filter iteratively divides each triangle into four triangles.  New points are placed so the output surface is smooth.\"\n"
"       short_help=\"Create a higher resolution and smoother surface.\">\n"
"The Loop Subdivision filter increases the granularity of a polygonal mesh. It works by dividing each triangle in the input into four new triangles. It is named for Charles Loop, the person who devised this subdivision scheme. This filter only operates on triangles, so a data set that contains other types of polygons should be passed through the Triangulate filter before applying this filter to it. This filter only operates on polygonal data (specifically triangle meshes), and it produces polygonal output.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface8 =
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Loop Subdivision filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfSubdivisions\"\n"
"        command=\"SetNumberOfSubdivisions\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Number of Subdivisions\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\" max=\"4\"/>\n"
"       <Documentation>\n"
"         Set the number of subdivision iterations to perform. Each subdivision divides single triangles into four new triangles.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End LoopSubdivisionFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"MaskPoints\" class=\"vtkPMaskPoints\"\n"
"    label=\"Mask Points\">\n"
"    <Documentation\n"
"          long_help=\"Reduce the number of points.  This filter is often used before glyphing. Generating vertices is an option.\"\n"
"          short_help=\"Reduce the number of points.\">\n"
"The Mask Points filter reduces the number of points in the dataset. It operates on any type of dataset, but produces only points / vertices as output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Mask Points filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"OnRatio\"\n"
"        command=\"SetOnRatio\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies that every OnStride-th points will be retained in the output when not using Random (the skip or stride size for point ids). (For example, if the on ratio is 3, then the output will contain every 3rd point, up to the the maximum number of points.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumNumberOfPoints\"\n"
"        command=\"SetMaximumNumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5000\"\n"
"        label=\"Maximum Number of Points\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates the maximum number of points in the output dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ProportionalMaximumNumberOfPoints\"\n"
"        command=\"SetProportionalMaximumNumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Proportionally Distribute Maximum Number Of Points\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"        When this is off, the maximum number of points is taken per processor when running in parallel (total number of points = number of processors * maximum number of points).  When this is on, the maximum number of points is proportionally distributed across processors depending on the number of points per processor (total number of points = maximum number of points; maximum number of points per processor = number of points on a processor * maximum number of points / total number of points across all processors).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Offset\"\n"
"        command=\"SetOffset\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0\" >\n"
"       <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates the starting point id in the ordered list of input points from which to start masking.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"RandomMode\"\n"
"        command=\"SetRandomMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Random Sampling\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to true, then the points in the output will be randomly selected from the input in various ways set by Random Mode; otherwise this filter will subsample point ids regularly.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"RandomModeType\"\n"
"        command=\"SetRandomModeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Random Sampling Mode\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Randomized Id Strides\"/>\n"
"         <Entry value=\"1\" text=\"Random Sampling\"/>\n"
"         <Entry value=\"2\" text=\"Spatially Stratified Random Sampling\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Randomized Id Strides picks points with random id increments starting at Offset (the output probably isn't a statistically random sample).  Random Sampling generates a statistically random sample of the input, ignoring Offset (fast - O(sample size)).  Spatially Stratified Random Sampling is a variant of random sampling that splits the points into equal sized spatial strata before randomly sampling (slow - O(N log N)).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateVertices\"\n"
"        command=\"SetGenerateVertices\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property specifies whether to generate vertex cells as the topography of the output. If set to 1, the geometry (vertices) will be displayed in the rendering window; otherwise no geometry will be displayed.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SingleVertexPerCell\"\n"
"        command=\"SetSingleVertexPerCell\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Tell filter to only generate one vertex per cell instead of multiple vertices in one cell.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <!-- End MaskPoints -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Median\" class=\"vtkImageMedian3D\">\n"
"    <Documentation\n"
"      short_help=\"Compute median values in a given neighborhood.\"\n"
"      long_help=\"Compute the median scalar values in a specified neighborhood for image/volume datasets.\">\n"
"The Median filter operates on uniform rectilinear (image or volume) data and produces uniform rectilinear output. It replaces the scalar value at each pixel / voxel with the median scalar value in the specified surrounding neighborhood. Since the median operation removes outliers, this filter is useful for removing high-intensity, low-probability noise (shot noise).\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkImageData\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Median filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             The value of thie property lists the name of the scalar array to use in computing the median.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"KernelSize\"\n"
"        command=\"SetKernelSize\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the number of pixels/voxels in each dimension to use in computing the median to assign to each pixel/voxel. If the kernel size in a particular dimension is 1, then the median will not be computed in that direction.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Median -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"MeshQuality\" class=\"vtkMeshQuality\"\n"
"    label=\"Mesh Quality\">\n"
"    <Documentation\n"
"       long_help=\"This filter creates a new cell array containing a geometric measure of each cell's fitness. Different quality measures can be chosen for different cell shapes.\"\n"
"       short_help=\"Evaluate geometric mesh quality.\">\n"
"This filter creates a new cell array containing a geometric measure of each cell's fitness. Different quality measures can be chosen for different cell shapes. Supported shapes include triangles, quadrilaterals, tetrahedra, and hexahedra. For other shapes, a value of 0 is assigned.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Mesh Quality filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"     <IntVectorProperty\n"
"        name=\"TriangleQualityMeasure\"\n"
"        command=\"SetTriangleQualityMeasure\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"28\" text=\"Area\"/>\n"
"         <Entry value=\"1\" text=\"Aspect Ratio\"/>\n"
"         <Entry value=\"3\" text=\"Aspect Frobenius\"/>\n"
"         <Entry value=\"9\" text=\"Condition\"/>\n"
"         <Entry value=\"15\" text=\"Distortion\"/>\n"
"         <Entry value=\"0\" text=\"Edge Ratio\"/>\n"
"         <Entry value=\"8\" text=\"Maximum Angle\"/>\n"
"         <Entry value=\"6\" text=\"Minimum Angle\"/>\n"
"         <Entry value=\"10\" text=\"Scaled Jacobian\"/>\n"
"         <Entry value=\"2\" text=\"Radius Ratio\"/>\n"
"         <Entry value=\"12\" text=\"Relative Size Squared\"/>\n"
"         <Entry value=\"13\" text=\"Shape\"/>\n"
"         <Entry value=\"14\" text=\"Shape and Size\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates which quality measure will be used to evaluate triangle quality. The radius ratio is the size of a circle circumscribed by a triangle's 3 vertices divided by the size of a circle tangent to a triangle's 3 edges. The edge ratio is the ratio of the longest edge length to the shortest edge length.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"        name=\"QuadQualityMeasure\"\n"
"        command=\"SetQuadQualityMeasure\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"28\" text=\"Area\"/>\n"
"         <Entry value=\"1\" text=\"Aspect Ratio\"/>\n"
"         <Entry value=\"9\" text=\"Condition\"/>\n"
"         <Entry value=\"15\" text=\"Distortion\"/>\n"
"         <Entry value=\"0\" text=\"Edge Ratio\"/>\n"
"         <Entry value=\"25\" text=\"Jacobian\"/>\n"
"         <Entry value=\"5\" text=\"Maximum Aspect Frobenius\"/>\n"
"         <Entry value=\"5\" text=\"Maximum Aspect Frobenius\"/>\n"
"         <Entry value=\"16\" text=\"Maximum Edge Ratio\"/>\n"
"         <Entry value=\"4\" text=\"Mean Aspect Frobenius\"/>\n"
"         <Entry value=\"6\" text=\"Minimum Angle\"/>\n"
"         <Entry value=\"23\" text=\"Oddy\"/>\n"
"         <Entry value=\"2\" text=\"Radius Ratio\"/>\n"
"         <Entry value=\"12\" text=\"Relative Size Squared\"/>\n"
"         <Entry value=\"10\" text=\"Scaled Jacobian\"/>\n"
"         <Entry value=\"13\" text=\"Shape\"/>\n"
"         <Entry value=\"14\" text=\"Shape and Size\"/>\n"
"         <Entry value=\"11\" text=\"Shear\"/>\n"
"         <Entry value=\"24\" text=\"Shear and Size\"/>\n"
"         <Entry value=\"17\" text=\"Skew\"/>\n"
"         <Entry value=\"20\" text=\"Stretch\"/>\n"
"         <Entry value=\"18\" text=\"Taper\"/>\n"
"         <Entry value=\"26\" text=\"Warpage\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates which quality measure will be used to evaluate quadrilateral quality.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"        name=\"TetQualityMeasure\"\n"
"        command=\"SetTetQualityMeasure\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Edge Ratio\"/>\n"
"         <Entry value=\"29\" text=\"Aspect Beta\"/>\n"
"         <Entry value=\"27\" text=\"Aspect Gamma\"/>\n"
"         <Entry value=\"3\" text=\"Aspect Frobenius\"/>\n"
"         <Entry value=\"1\" text=\"Aspect Ratio\"/>\n"
"         <Entry value=\"7\" text=\"Collapse Ratio\"/>\n"
"         <Entry value=\"9\" text=\"Condition\"/>\n"
"         <Entry value=\"15\" text=\"Distortion\"/>\n"
"         <Entry value=\"25\" text=\"Jacobian\"/>\n"
"         <Entry value=\"6\" text=\"Minimum Dihedral Angle\"/>\n"
"         <Entry value=\"2\" text=\"Radius Ratio\"/>\n"
"         <Entry value=\"12\" text=\"Relative Size Squared\"/>\n"
"         <Entry value=\"10\" text=\"Scaled Jacobian\"/>\n"
"         <Entry value=\"13\" text=\"Shape\"/>\n"
"         <Entry value=\"14\" text=\"Shape and Size\"/>\n"
"         <Entry value=\"19\" text=\"Volume\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates which quality measure will be used to evaluate tetrahedral quality. The radius ratio is the size of a sphere circumscribed by a tetrahedron's 4 vertices divided by the size of a circle tangent to a tetrahedron's 4 faces. The edge ratio is the ratio of the longest edge length to the shortest edge length. The collapse ratio is the minimum ratio of height of a vertex above the triangle opposite it divided by the longest edge of the opposing triangle across all vertex/triangle pairs.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface9 =
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"        name=\"HexQualityMeasure\"\n"
"        command=\"SetHexQualityMeasure\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"21\" text=\"Diagonal\"/>\n"
"         <Entry value=\"22\" text=\"Dimension\"/>\n"
"         <Entry value=\"15\" text=\"Distortion\"/>\n"
"         <Entry value=\"0\" text=\"Edge Ratio\"/>\n"
"         <Entry value=\"25\" text=\"Jacobian\"/>\n"
"         <Entry value=\"16\" text=\"Maximum Edge Ratio\"/>\n"
"         <Entry value=\"5\" text=\"Maximum Aspect Frobenius\"/>\n"
"         <Entry value=\"4\" text=\"Mean Aspect Frobenius\"/>\n"
"         <Entry value=\"23\" text=\"Oddy\"/>\n"
"         <Entry value=\"12\" text=\"Relative Size Squared\"/>\n"
"         <Entry value=\"10\" text=\"Scaled Jacobian\"/>\n"
"         <Entry value=\"13\" text=\"Shape\"/>\n"
"         <Entry value=\"14\" text=\"Shape and Size\"/>\n"
"         <Entry value=\"11\" text=\"Shear\"/>\n"
"         <Entry value=\"24\" text=\"Shear and Size\"/>\n"
"         <Entry value=\"17\" text=\"Skew\"/>\n"
"         <Entry value=\"20\" text=\"Stretch\"/>\n"
"         <Entry value=\"18\" text=\"Taper\"/>\n"
"         <Entry value=\"19\" text=\"Volume\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates which quality measure will be used to evaluate hexahedral quality.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End MeshQuality -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PolyDataNormals\" class=\"vtkPPolyDataNormals\"\n"
"    label=\"Generate Surface Normals\">\n"
"    <Documentation\n"
"       long_help=\"This filter will produce surface normals used for smooth shading. Splitting is used to avoid smoothing across feature edges.\"\n"
"       short_help=\"Produce surface point normals.\">\n"
"This filter generates surface normals at the points of the input polygonal dataset to provide smooth shading of the dataset. The resulting dataset is also polygonal. The filter works by calculating a normal vector for each polygon in the dataset and then averaging the normals at the shared points.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Normals Generation filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"FeatureAngle\"\n"
"        command=\"SetFeatureAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"30\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\"/>\n"
"       <Documentation>\n"
"         The value of this property  defines a feature edge. If the surface normal between two adjacent triangles is at least as large as this Feature Angle, a feature edge exists. If Splitting is on, points are duplicated along these feature edges. (See the Splitting property.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Splitting\"\n"
"        command=\"SetSplitting\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property controls the splitting of sharp edges. If sharp edges are split (property value = 1), then points are duplicated along these edges, and separate normals are computed for both sets of points to give crisp (rendered) surface definition.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Consistency\"\n"
"        command=\"SetConsistency\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property controls whether consistent polygon ordering is enforced. Generally the normals for a data set should either all point inward or all point outward. If the value of this property is 1, then this filter will reorder the points of cells that whose normal vectors are oriented the opposite direction from the rest of those in the data set.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"FlipNormals\"\n"
"        command=\"SetFlipNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, this filter will reverse the normal direction (and reorder the points accordingly) for all polygons in the data set; this changes front-facing polygons to back-facing ones, and vice versa. You might want to do this if your viewing position will be inside the data set instead of outside of it.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NonManifoldTraversal\"\n"
"        command=\"SetNonManifoldTraversal\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Non-Manifold Traversal\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Turn on/off traversal across non-manifold edges. Not traversing non-manifold edges will prevent problems where the consistency of polygonal ordering is corrupted due to topological loops.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeCellNormals\"\n"
"        command=\"SetComputeCellNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This filter computes the normals at the points in the data set. In the process of doing this it computes polygon normals too. If you want these normals to be passed to the output of this filter, set the value of this property to 1.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PieceInvariant\"\n"
"        command=\"SetPieceInvariant\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Turn this option to to produce the same results regardless of the number of processors used (i.e., avoid seams along processor boundaries). Turn this off if you do want to process ghost levels and do not mind seams.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End  PolyDataNormals -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OutlineFilter\" class=\"vtkPOutlineFilter\"\n"
"     label=\"Outline\">\n"
"     <Documentation\n"
"        long_help=\"This filter generates a bounding box representation of the input.\"\n"
"        short_help=\"Generates a bounding box.\">\n"
"The Outline filter generates an axis-aligned bounding box for the input dataset. This filter operates on any type of dataset and produces polygonal output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Outline filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"   <!-- End  OutlineFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OutlineCornerFilter\" class=\"vtkPOutlineCornerFilter\"\n"
"    label=\"Outline Corners\">\n"
"    <Documentation\n"
"       long_help=\"This filter generates a bounding box representation of the input. It only displays the corners of the bounding box.\"\n"
"       short_help=\"Generates corners of a bounding box.\">\n"
"The Outline Corners filter generates the corners of a bounding box for the input dataset. This filter operates on any type of dataset and produces polygonal output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Outline Corners filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"CornerFactor\"\n"
"        command=\"SetCornerFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.2\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0.001\" max=\"0.5\" />\n"
"       <Documentation>\n"
"         The value of this property sets the size of the corners as a percentage of the length of the corresponding bounding box edge.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"     </Hints>\n"
"   <!-- End  OutlineCornerFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OctreeDepthScalars\" class=\"vtkHyperOctreeDepth\"\n"
"     label=\"Octree Depth Scalars\">\n"
"     <Documentation\n"
"        long_help=\"This filter adds a scalar to each leaf of the octree that represents the leaf's depth within the tree.\"\n"
"        short_help=\"Computes cell depths within the octree.\">\n"
"The vtkHyperOctreeDepth filter adds a scalar to each leaf of the octree that represents the leaf's depth within the tree.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"AddInputConnection\"\n"
"        clean_command=\"RemoveAllInputs\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkHyperOctree\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Octree Depth Scalars filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End  OctreeDepthScalars-->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OctreeDepthLimit\" class=\"vtkHyperOctreeLimiter\"\n"
"     label=\"Octree Depth Limit\">\n"
"     <Documentation\n"
"        long_help=\"This filter takes in a octree and produces a new octree which is no deeper than the maximum specified depth level.\"\n"
"        short_help=\"Reduce an octree's resolution.\">\n"
"The Octree Depth Limit filter takes in an octree and produces a new octree that is nowhere deeper than the maximum specified depth level. The attribute data of pruned leaf cells are integrated in to their ancestors at the cut level.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"AddInputConnection\"\n"
"        clean_command=\"RemoveAllInputs\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkHyperOctree\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Octree Depth Limit filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumLevel\"\n"
"        command=\"SetMaximumLevel\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"4\" >\n"
"       <IntRangeDomain name=\"range\" min=\"3\" max=\"255\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the maximum depth of the output octree.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End  OctreeDepthLimit-->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ProcessIdScalars\" class=\"vtkProcessIdScalars\"\n"
"                label=\"Process Id Scalars\"\n"
"                multiprocess_support=\"multiple_processes\">\n"
"     <Documentation\n"
"        long_help=\"This filter uses colors to show how data is partitioned across processes.\"\n"
"        short_help=\"Generate point scalars from process id.\">\n"
"The Process Id Scalars filter assigns a unique scalar value to each piece of the input according to which processor it resides on. This filter operates on any type of data when ParaView is run in parallel. It is useful for determining whether your data is load-balanced across the processors being used. The output data set type is the same as that of the input.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Process Id Scalars filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"RandomMode\"\n"
"        command=\"SetRandomMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property determines whether to use random id values for the various pieces. If set to 1, the unique value per piece will be chosen at random; otherwise the unique value will match the id of the process.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End PieceScalars -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PointDataToCellData\" class=\"vtkPointDataToCellData\"\n"
"     label=\"Point Data to Cell Data\">\n"
"     <Documentation\n"
"        long_help=\"Create cell attributes by averaging point attributes.\"\n"
"        short_help=\"Convert point data to cell data.\">\n"
"The Point Data to Cell Data filter averages the values of the point attributes of the points of a cell to compute cell attributes. This filter operates on any type of dataset, and the output dataset is the same type as the input.\n"
"     </Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface10 =
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"/>\n"
"           <FixedTypeDomain name=\"fixed_type\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Point Data to Cell Data filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PassPointData\"\n"
"        command=\"SetPassPointData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         The value of this property controls whether the input point data will be passed to the output. If set to 1, then the input point data is passed through to the output; otherwise, only generated cell data is placed into the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End PointDataToCellData -->\n"
"   </SourceProxy>\n"
"\n"
"  <!--\n"
"  <SourceProxy\n"
"      name=\"QuadraturePointStatistics\"\n"
"      class=\"vtkQuadraturePointStatistics\"\n"
"      label=\"Quadrature Point Statistics\">\n"
"\n"
"    <Documentation\n"
"        long_help=\"Compute basics statistics over data fields interpolated to quadrature points.\"\n"
"        short_help=\"Compute basics statistics over data fields interpolated to quadrature points.\">\n"
"        \"Compute basics statistics over data fields interpolated to quadrature points.\"\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"\n"
"      <ProxyGroupDomain name=\"groups\">\n"
"        <Group name=\"sources\"/>\n"
"        <Group name=\"filters\"/>\n"
"      </ProxyGroupDomain>\n"
"\n"
"      <DataTypeDomain name=\"input_type\">\n"
"        <DataType value=\"vtkUnstructuredGrid\"/>\n"
"      </DataTypeDomain>\n"
"      <Documentation>This property specifies the input of the filter.</Documentation>\n"
"    </InputProperty>\n"
"  </SourceProxy>\n"
"   ############################################################################ -->\n"
"   <!-- ############################################################################ -->\n"
"  <SourceProxy\n"
"      name=\"QuadraturePointInterpolator\"\n"
"      class=\"vtkQuadraturePointInterpolator\"\n"
"      label=\"Interpolate to Quadrature Points\">\n"
"\n"
"    <Documentation\n"
"        long_help=\"Create scalar/vector data arrays interpolated to quadrature points.\"\n"
"        short_help=\"Create scalar/vector data arrays interpolated to quadrature points.\">\n"
"        \"Create scalar/vector data arrays interpolated to quadrature points.\"\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"\n"
"      <ProxyGroupDomain name=\"groups\">\n"
"        <Group name=\"sources\"/>\n"
"        <Group name=\"filters\"/>\n"
"      </ProxyGroupDomain>\n"
"\n"
"      <DataTypeDomain name=\"input_type\">\n"
"        <DataType value=\"vtkUnstructuredGrid\"/>\n"
"      </DataTypeDomain>\n"
"      <Documentation>This property specifies the input of the filter.</Documentation>\n"
"    </InputProperty>\n"
"\n"
"    <StringVectorProperty\n"
"        name=\"SelectSourceArray\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\">\n"
"      <Documentation>\n"
"        Specifies the offset array from which we interpolate values to quadrature points.\n"
"      </Documentation>\n"
"      <ArrayListDomain\n"
"          name=\"array_list\"\n"
"          data_type=\"VTK_ID_TYPE\"\n"
"          attribute_type=\"Scalars\"\n"
"          key_locations=\"vtkQuadratureSchemeDefinition\"\n"
"          key_names=\"DICTIONARY\"\n"
"          key_strategies=\"NEED_KEY\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"      </ArrayListDomain>\n"
"    </StringVectorProperty>\n"
"  </SourceProxy>\n"
"  <!-- ############################################################################ -->\n"
"  <SourceProxy\n"
"      name=\"QuadraturePointsGenerator\"\n"
"      class=\"vtkQuadraturePointsGenerator\"\n"
"      label=\"Generate Quadrature Points\">\n"
"\n"
"    <Documentation\n"
"        long_help=\"Create a point set with data at quadrature points.\"\n"
"        short_help=\"Create a point set with data at quadrature points.\">\n"
"        \"Create a point set with data at quadrature points.\"\n"
"    </Documentation>\n"
"\n"
"    <OutputPort name=\"Quadrature Points\" index=\"0\" />\n"
"\n"
"    <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"\n"
"      <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"      </ProxyGroupDomain>\n"
"\n"
"      <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"      </DataTypeDomain>\n"
"      <InputArrayDomain\n"
"          name=\"input_array\"\n"
"          attribute_type=\"cell\"/>\n"
"       <Documentation>This property specifies the input of the filter.</Documentation>\n"
"    </InputProperty>\n"
"\n"
"    <!-- Source Array-->\n"
"    <StringVectorProperty\n"
"        name=\"SelectSourceArray\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\">\n"
"      <Documentation>\n"
"        Specifies the offset array from which we generate quadrature points.\n"
"      </Documentation>\n"
"      <ArrayListDomain\n"
"          name=\"array_list\"\n"
"          data_type=\"VTK_ID_TYPE\"\n"
"          attribute_type=\"Scalars\"\n"
"          key_locations=\"vtkQuadratureSchemeDefinition\"\n"
"          key_names=\"DICTIONARY\"\n"
"          key_strategies=\"NEED_KEY\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"      </ArrayListDomain>\n"
"    </StringVectorProperty>\n"
"  </SourceProxy>\n"
"  <!-- ############################################################################ -->\n"
"  <SourceProxy\n"
"      name=\"QuadratureSchemeDictionaryGenerator\"\n"
"      class=\"vtkQuadratureSchemeDictionaryGenerator\"\n"
"      label=\"Generate Quadrature Scheme Dictionary\">\n"
"\n"
"    <Documentation\n"
"        long_help=\"Generate quadrature scheme dictionaries in data sets that do not have them.\"\n"
"        short_help=\"Generate quadrature scheme dictionaries in data sets that do not have them.\">\n"
"        Generate quadrature scheme dictionaries in data sets that do not have them.\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"\n"
"      <ProxyGroupDomain name=\"groups\">\n"
"        <Group name=\"sources\"/>\n"
"        <Group name=\"filters\"/>\n"
"      </ProxyGroupDomain>\n"
"\n"
"      <DataTypeDomain name=\"input_type\">\n"
"        <DataType value=\"vtkUnstructuredGrid\"/>\n"
"      </DataTypeDomain>\n"
"      <Documentation>This property specifies the input of the filter.</Documentation>\n"
"    </InputProperty>\n"
"  </SourceProxy>\n"
"\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"QuadricClustering\" class=\"vtkQuadricClustering\"\n"
"    label=\"Quadric Clustering\">\n"
"    <Documentation\n"
"       long_help=\"This filter is the same filter used to generate level of detail for ParaView.  It uses a structured grid of bins and merges all points contained in each bin.\"\n"
"       short_help=\"Simplify polygonal models.\">\n"
"The Quadric Clustering filter produces a reduced-resolution polygonal approximation of the input polygonal dataset. This filter is the one used by ParaView for computing LODs. It uses spatial binning to reduce the number of points in the data set; points that lie within the same spatial bin are collapsed into one representative point.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Quadric Clustering filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfDivisions\"\n"
"        command=\"SetNumberOfDivisions\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"50 50 50\"\n"
"        label=\"Number of Dimensions\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the number of bins along the X, Y, and Z axes of the data set.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseInputPoints\"\n"
"        command=\"SetUseInputPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, the representative point for each bin is selected from one of the input points that lies in that bin; the input point that produces the least error is chosen. If the value of this property is 0, the location of the representative point is calculated to produce the least error possible for that bin, but the point will most likely not be one of the input points.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseFeatureEdges\"\n"
"        command=\"SetUseFeatureEdges\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, feature edge quadrics will be used to maintain the boundary edges along processor divisions.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseFeaturePoints\"\n"
"        command=\"SetUseFeaturePoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, feature point quadrics will be used to maintain the boundary points along processor divisions.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CopyCellData\"\n"
"        command=\"SetCopyCellData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the cell data from the input will be copied to the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseInternalTriangles\"\n"
"        command=\"SetUseInternalTriangles\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, triangles completely contained in a spatial bin will be included in the computation of the bin's quadrics. When this property is set to 0, the filters operates faster, but the resulting surface may not be as well-behaved.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End QuadricClustering -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"BrownianPoints\" class=\"vtkBrownianPoints\" label=\"Random Vectors\">\n"
"    <Documentation\n"
"       long_help=\"This filter creates a new 3-component point data array and sets it as the default vector array. It uses a random number generator to create values.\"\n"
"       short_help=\"Create a new random vector array.\">\n"
"The Random Vectors filter generates a point-centered array of random vectors. It uses a random number generator to determine the components of the vectors. This filter operates on any type of data set, and the output data set will be of the same type as the input.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Random Vectors filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinimumSpeed\"\n"
"        command=\"SetMinimumSpeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"         This property specifies the minimum length of the random point vectors generated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumSpeed\"\n"
"        command=\"SetMaximumSpeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum length of the random point vectors generated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"   <!-- End BrownianPoints -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ReflectionFilter\" class=\"vtkPReflectionFilter\"\n"
"    label=\"Reflect\">\n"
"    <Documentation\n"
"       long_help=\"This filter takes the union of the input and its reflection over an axis-aligned plane.\"\n"
"       short_help=\"Reflect input over an axis aligned plane.\">\n"
"The Reflect filter reflects the input dataset across the specified plane. This filter operates on any type of data set and produces an unstructured grid output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Reflect filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Plane\"\n"
"        command=\"SetPlane\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"X Min\"/>\n"
"         <Entry value=\"1\" text=\"Y Min\"/>\n"
"         <Entry value=\"2\" text=\"Z Min\"/>\n"
"         <Entry value=\"3\" text=\"X Max\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface11 =
"         <Entry value=\"4\" text=\"Y Max\"/>\n"
"         <Entry value=\"5\" text=\"Z Max\"/>\n"
"         <Entry value=\"6\" text=\"X\"/>\n"
"         <Entry value=\"7\" text=\"Y\"/>\n"
"         <Entry value=\"8\" text=\"Z\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The value of this property determines which plane to reflect across. If the value is X, Y, or Z, the value of the Center property determines where the plane is placed along the specified axis. The other six options (X Min, X Max, etc.) place the reflection plane at the specified face of the bounding box of the input dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Center\"\n"
"        command=\"SetCenter\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         If the value of the Plane property is X, Y, or Z, then the value of this property specifies the center of the reflection plane.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CopyInput\"\n"
"        command=\"SetCopyInput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the output will contain the union of the input dataset and its reflection. Otherwise the output will contain only the reflection of the input data.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End ReflectionFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"RibbonFilter\" class=\"vtkRibbonFilter\"\n"
"    label=\"Ribbon\">\n"
"    <Documentation\n"
"       long_help=\"This filter generates ribbon surface from lines.  It is useful for displaying streamlines.\"\n"
"       short_help=\"Create ribbon surfaces from lines.\">\n"
"The Ribbon filter creates ribbons from the lines in the input data set. This filter is useful for visualizing streamlines. Both the input and output of this filter are polygonal data. The input data set must also have at least one point-centered vector array.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array1\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\" optional=\"1\"/>\n"
"          <InputArrayDomain name=\"input_array2\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Ribbon filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"                            input_domain_name=\"input_array2\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             The value of this property indicates the name of the input scalar array used by this filter. The width of the ribbons will be varied based on the values in the specified array if the value of the Width property is 1.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        default_values=\"1\"\n"
"        label=\"Vectors\"> <!-- default_values=1, send vectors to the right place -->\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"                            input_domain_name=\"input_array1\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             The value of this property indicates the name of the input vector array used by this filter. If the UseDefaultNormal property is set to 0, the normal vectors for the ribbons come from the specified vector array.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Width\"\n"
"        command=\"SetWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"0.01\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <Documentation>\n"
"         If the VaryWidth property is set to 1, the value of this property is the minimum ribbon width. If the VaryWidth property is set to 0, the value of this property is half the width of the ribbon.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Angle\"\n"
"        command=\"SetAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"360\" />\n"
"       <Documentation>\n"
"         The value of this property specifies the offset angle (in degrees) of the ribbon from the line normal.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseDefaultNormal\"\n"
"        command=\"SetUseDefaultNormal\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 0, and the input contains no vector array, then default ribbon normals will be generated (DefaultNormal property); if a vector array has been set (SelectInputVectors property), the ribbon normals will be set from the specified array. If this property is set to 1, the default normal (DefaultNormal property) will be used, regardless of whether the SelectInputVectors property has been set.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"DefaultNormal\"\n"
"        command=\"SetDefaultNormal\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the normal to use when the UseDefaultNormal property is set to 1 or the input contains no vector array (SelectInputVectors property).\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"VaryWidth\"\n"
"        command=\"SetVaryWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the ribbon width will be scaled according to the scalar array specified in the SelectInputScalars property.\n"
"         Toggle the variation of ribbon width with scalar value.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End RibbonFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"RotationalExtrusionFilter\"\n"
"                class=\"vtkRotationalExtrusionFilter\"\n"
"                label=\"Rotational Extrusion\">\n"
"    <Documentation\n"
"       long_help=\"This filter generates a swept surface while translating the input along a circular path.\"\n"
"       short_help=\"Generates a swept surface using a rotational path.\">\n"
"The Rotational Extrusion filter forms a surface by rotating the input about the Z axis. This filter is intended to operate on 2D polygonal data. It produces polygonal output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Rotational Extrusion filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Resolution\"\n"
"        command=\"SetResolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"12\" >\n"
"       <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         The value of this property controls the number of intermediate node points used in performing the sweep (rotating from 0 degrees to the value specified by the Angle property.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Capping\"\n"
"        command=\"SetCapping\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the open ends of the swept surface will be capped with a copy of the input dataset. This works property if the input is a 2D surface composed of filled polygons. If the input dataset is a closed solid (e.g., a sphere), then either two copies of the dataset will be drawn or no surface will be drawn. No surface is drawn if either this property is set to 0 or if the two surfaces would occupy exactly the same 3D space (i.e., the Angle property's value is a multiple of 360, and the values of the Translation and DeltaRadius properties are 0).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Angle\"\n"
"        command=\"SetAngle\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"360\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the angle of rotation in degrees. The surface is swept from 0 to the value of this property.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Translation\"\n"
"        command=\"SetTranslation\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the total amount of translation along the Z axis during the sweep process. Specifying a non-zero value for this property allows you to create a corkscrew (value of DeltaRadius > 0) or spring effect.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"DeltaRadius\"\n"
"        command=\"SetDeltaRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the change in radius during the sweep process.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"   <!-- End RotationalExtrusionFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ShrinkFilter\" class=\"vtkShrinkFilter\"\n"
"                label=\"Shrink\">\n"
"     <Documentation\n"
"        long_help=\"This filter shrinks each input cell so they pull away from their neighbors.\"\n"
"        short_help=\"Shrink each input cell.\">\n"
"The Shrink filter causes the individual cells of a dataset to break apart from each other by moving each cell's points toward the centroid of the cell. (The centroid of a cell is the average position of its points.) This filter operates on any type of dataset and produces unstructured grid output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Shrink filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ShrinkFactor\"\n"
"         command=\"SetShrinkFactor\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"        <Documentation>\n"
"          The value of this property determines how far the points will move. A value of 0 positions the points at the centroid of the cell; a value of 1 leaves them at their original positions.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End ShrinkFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SmoothPolyDataFilter\" class=\"vtkSmoothPolyDataFilter\"\n"
"    label=\"Smooth\">\n"
"    <Documentation\n"
"       long_help=\"This filter smooths a polygonal surface by iteratively moving points toward their neighbors.\"\n"
"       short_help=\"Smooth a polygonal surface without adding more points.\">\n"
"The Smooth filter operates on a polygonal data set by iteratively adjusting the position of the points using Laplacian smoothing. (Because this filter only adjusts point positions, the output data set is also polygonal.) This results in better-shaped cells and more evenly distributed points.\n"
"\n"
"The Convergence slider limits the maximum motion of any point. It is expressed as a fraction of the length of the diagonal of the bounding box of the data set. If the maximum point motion during a smoothing iteration is less than the Convergence value, the smoothing operation terminates.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Smooth filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfIterations\"\n"
"        command=\"SetNumberOfIterations\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"20\"\n"
"        label=\"Number of Iterations\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface12 =
"       <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         This property sets the maximum number of smoothing iterations to perform. More iterations produce better smoothing.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Convergence\"\n"
"         command=\"SetConvergence\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"        <Documentation>\n"
"          The value of this property limits the maximum motion of any point. It is expressed as a fraction of the length of the diagonal of the bounding box of the input dataset. If the maximum point motion during a smoothing iteration is less than the value of this property, the smoothing operation terminates.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End SmoothPolyDataFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Stripper\" class=\"vtkStripper\"\n"
"    label=\"Triangle Strips\">\n"
"    <Documentation\n"
"       long_help=\"This filter uses a greedy algorithm to convert triangles into triangle strips\"\n"
"       short_help=\"Convert triangles into triangle strips.\">\n"
"The Triangle Strips filter converts triangles into triangle strips and lines into polylines. This filter operates on polygonal data sets and produces polygonal output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Triangle Strips filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumLength\"\n"
"        command=\"SetMaximumLength\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1000\" >\n"
"       <IntRangeDomain name=\"range\" min=\"4\" max=\"100000\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum number of triangles/lines to include in a triangle strip or polyline.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Stripper -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PlotOnSortedLines\" class=\"vtkPlotEdges\"\n"
"    label=\"Plot On Sorted Lines\">\n"
"    <Documentation\n"
"       long_help=\"\"\n"
"       short_help=\"\">\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Plot Edges filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"    <Hints>\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"XYChartView\" />\n"
"\n"
"      <!-- Temporary hint to allow the output of this filter to be plotted -->\n"
"      <Plotable />\n"
"    </Hints>\n"
"   <!-- End PlotEdges -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <CompoundSourceProxy name=\"PlotOnIntersectionCurves\" label=\"Plot On Intersection Curves\">\n"
"     <Documentation\n"
"        short_help=\"Extracts the edges in a 2D plane and plots them\"\n"
"        long_help=\"Extracts the edges in a 2D plane and plots them\" >\n"
"       Extracts the surface, intersect it with a 2D plane.\n"
"       Plot the resulting polylines.\n"
"     </Documentation>\n"
"     <Proxy group=\"filters\" type=\"DataSetSurfaceFilter\" id=\"374\" servers=\"1\" compound_name=\"ExtractSurface1\">\n"
"       <Property name=\"Input\" id=\"374.Input\" number_of_elements=\"1\">\n"
"         <Domain name=\"groups\" id=\"374.Input.groups\">\n"
"           <Group value=\"sources\"/>\n"
"           <Group value=\"filters\"/>\n"
"         </Domain>\n"
"         <Domain name=\"input_type\" id=\"374.Input.input_type\">\n"
"           <DataType value=\"vtkDataSet\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"       <Property name=\"PieceInvariant\" id=\"374.PieceInvariant\" number_of_elements=\"1\">\n"
"         <Element index=\"0\" value=\"1\"/>\n"
"         <Domain name=\"bool\" id=\"374.PieceInvariant.bool\"/>\n"
"       </Property>\n"
"     </Proxy>\n"
"     <Proxy group=\"filters\" type=\"PlotOnSortedLines\" id=\"971\" servers=\"1\" compound_name=\"PlotEdges1\">\n"
"       <Property name=\"Input\" id=\"971.Input\" number_of_elements=\"1\">\n"
"         <Proxy value=\"667\" output_port=\"0\"/>\n"
"         <Domain name=\"groups\" id=\"971.Input.groups\">\n"
"           <Group value=\"sources\"/>\n"
"           <Group value=\"filters\"/>\n"
"         </Domain>\n"
"         <Domain name=\"input_type\" id=\"971.Input.input_type\">\n"
"           <DataType value=\"vtkPolyData\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"     </Proxy>\n"
"     <Proxy group=\"filters\" type=\"Cut\" id=\"667\" servers=\"1\" compound_name=\"Slice1\">\n"
"       <Property name=\"ContourValues\" id=\"667.ContourValues\" number_of_elements=\"1\">\n"
"         <Element index=\"0\" value=\"0\"/>\n"
"         <Domain name=\"bounds\" id=\"667.ContourValues.bounds\">\n"
"           <Min index=\"0\" value=\"-0.718069\"/>\n"
"           <Max index=\"0\" value=\"0.718069\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"       <Property name=\"CutFunction\" id=\"667.CutFunction\" number_of_elements=\"1\">\n"
"         <Proxy value=\"670\"/>\n"
"         <Domain name=\"groups\" id=\"667.CutFunction.groups\">\n"
"           <Group value=\"implicit_functions\"/>\n"
"         </Domain>\n"
"         <Domain name=\"proxy_list\" id=\"667.CutFunction.proxy_list\">\n"
"           <Proxy value=\"670\"/>\n"
"           <Proxy value=\"671\"/>\n"
"           <Proxy value=\"672\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"       <Property name=\"Input\" id=\"667.Input\" number_of_elements=\"1\">\n"
"         <Proxy value=\"374\" output_port=\"0\"/>\n"
"         <Domain name=\"groups\" id=\"667.Input.groups\">\n"
"           <Group value=\"sources\"/>\n"
"           <Group value=\"filters\"/>\n"
"         </Domain>\n"
"         <Domain name=\"input_type\" id=\"667.Input.input_type\">\n"
"           <DataType value=\"vtkDataSet\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"       <Property name=\"InputBounds\" id=\"667.InputBounds\">\n"
"         <Domain name=\"bounds\" id=\"667.InputBounds.bounds\">\n"
"           <Min index=\"0\" value=\"-0.5\"/>\n"
"           <Min index=\"1\" value=\"-0.124991\"/>\n"
"           <Min index=\"2\" value=\"-0.5\"/>\n"
"           <Max index=\"0\" value=\"0.5\"/>\n"
"           <Max index=\"1\" value=\"0.124991\"/>\n"
"           <Max index=\"2\" value=\"0.5\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"     </Proxy>\n"
"     <Proxy group=\"implicit_functions\" type=\"Plane\" id=\"670\" servers=\"1\" compound_name=\"auto_670\">\n"
"       <Property name=\"Normal\" id=\"670.Normal\" number_of_elements=\"3\">\n"
"         <Element index=\"0\" value=\"1\"/>\n"
"         <Element index=\"1\" value=\"0\"/>\n"
"         <Element index=\"2\" value=\"0\"/>\n"
"         <Domain name=\"range\" id=\"670.Normal.range\"/>\n"
"       </Property>\n"
"       <Property name=\"Offset\" id=\"670.Offset\" number_of_elements=\"1\">\n"
"         <Element index=\"0\" value=\"0\"/>\n"
"         <Domain name=\"range\" id=\"670.Offset.range\">\n"
"           <Min index=\"0\" value=\"0\"/>\n"
"           <Max index=\"0\" value=\"0\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"       <Property name=\"Origin\" id=\"670.Origin\" number_of_elements=\"3\">\n"
"         <Element index=\"0\" value=\"0\"/>\n"
"         <Element index=\"1\" value=\"0\"/>\n"
"         <Element index=\"2\" value=\"0\"/>\n"
"         <Domain name=\"range\" id=\"670.Origin.range\">\n"
"           <Min index=\"0\" value=\"-0.5\"/>\n"
"           <Min index=\"1\" value=\"-0.124991\"/>\n"
"           <Min index=\"2\" value=\"-0.5\"/>\n"
"           <Max index=\"0\" value=\"0.5\"/>\n"
"           <Max index=\"1\" value=\"0.124991\"/>\n"
"           <Max index=\"2\" value=\"0.5\"/>\n"
"         </Domain>\n"
"       </Property>\n"
"     </Proxy>\n"
"     <ExposedProperties>\n"
"       <Property name=\"Input\" proxy_name=\"ExtractSurface1\" exposed_name=\"Input\"/>\n"
"       <Property name=\"CutFunction\" proxy_name=\"Slice1\" exposed_name=\"Slice Type\"/>\n"
"     </ExposedProperties>\n"
"     <OutputPort name=\"Output\" proxy=\"PlotEdges1\" port_index=\"0\"/>\n"
"     <Hints>\n"
"       <!-- View can be used to specify the preferred view for the proxy -->\n"
"       <View type=\"XYChartView\" />\n"
"       <Plotable />\n"
"     </Hints>\n"
"   </CompoundSourceProxy>\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Subdivide\" class=\"vtkLinearSubdivisionFilter\">\n"
"    <Documentation\n"
"       long_help=\"This filter iteratively divide triangles into four smaller triangles.  New points are placed linearly so the output surface matches the input surface.\"\n"
"       short_help=\"Creates a surface with more triangles than the input.\">\n"
"The Subdivide filter iteratively divides each triangle in the input dataset into 4 new triangles. Three new points are added per triangle -- one at the midpoint of each edge. This filter operates only on polygonal data containing triangles, so run your polygonal data through the Triangulate filter first if it is not composed of triangles. The output of this filter is also polygonal.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This parameter specifies the input to the Subdivide filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfSubdivisions\"\n"
"        command=\"SetNumberOfSubdivisions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Number of Subdivisions\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\" max=\"4\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the number of subdivision iterations to perform.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Subdivide -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TessellatorFilter\" class=\"vtkTessellatorFilter\"\n"
"     label=\"Tessellate\">\n"
"     <Documentation\n"
"        long_help=\"Tessellate nonlinear curves, surfaces, and volumes with lines, triangles, and tetrahedra.\"\n"
"        short_help=\"Polygonalize a mesh.\">\n"
"The Tessellate filter tessellates cells with nonlinear geometry and/or scalar fields into a simplicial complex with linearly interpolated field values that more closely approximate the original field. This is useful for datasets containing quadratic cells.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"             <DataType value=\"vtkUnstructuredGrid\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Tessellate filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"OutputDimension\"\n"
"        command=\"SetOutputDimension\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\" max=\"3\"/>\n"
"       <Documentation>\n"
"         The value of this property sets the maximum dimensionality of the output tessellation. When the value of this property is 3, 3D cells produce tetrahedra, 2D cells produce triangles, and 1D cells produce line segments. When the value is 2, 3D cells will have their boundaries tessellated with triangles. When the value is 1, all cells except points produce line segments.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ChordError\"\n"
"        command=\"SetChordError\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1e-3\">\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property controls the maximum chord error allowed at any edge midpoint in the output tessellation. The chord error is measured as the distance between the midpoint of any output edge and the original nonlinear geometry.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"FieldError2\"\n"
"        command=\"SetFieldCriterion\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\"\n"
"        label=\"Field Error\">\n"
"        <Documentation>\n"
"          This proeprty controls the maximum field error allowed at any edge midpoint in the output tessellation. The field error is measured as the difference between a field value at the midpoint of an output edge and the value of the corresponding field in the original nonlinear geometry.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumNumberOfSubdivisions\"\n"
"        command=\"SetMaximumNumberOfSubdivisions\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\"\n"
"        label=\"Maximum Number of Subdivisions\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\" max=\"8\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum number of times an edge may be subdivided. Increasing this number allows further refinement but can drastically increase the computational and storage requirements, especially when the value of the OutputDimension property is 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MergePoints\"\n"
"        command=\"SetMergePoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, coincident vertices will be merged after tessellation has occurred. Only geometry is considered during the merge and the first vertex encountered is the one whose point attributes will be used. Any discontinuities in point fields will be lost. On the other hand, many operations, such as streamline generation, require coincident vertices to be merged.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface13 =
"         Toggle whether to merge coincident vertices.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Property\n"
"        name=\"ResetFieldCriteria\"\n"
"        command=\"ResetFieldCriteria\"\n"
"        immediate_update=\"1\">\n"
"     </Property>\n"
"   <!-- End TessellatorFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"DataSetTriangleFilter\" class=\"vtkDataSetTriangleFilter\"\n"
"     label=\"Tetrahedralize\">\n"
"     <Documentation\n"
"        long_help=\"This filter converts 3-d cells to tetrahedrons and polygons to triangles.  The output is always of type unstructured grid.\"\n"
"        short_help=\"Convert to tetrahedrons and triangles.\">\n"
"The Tetrahedralize filter converts the 3D cells of any type of dataset to tetrahedrons and the 2D ones to triangles. This filter always produces unstructured grid output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Tetrahedralize filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End DataSetTriangleFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TransformFilter\" class=\"vtkTransformFilter\"\n"
"    label=\"Transform\">\n"
"    <Documentation\n"
"       long_help=\"This filter applies transformation to the polygons.\"\n"
"       short_help=\"Transform polygonal data.\">\n"
"The Transform filter allows you to specify the position, size, and orientation of polygonal, unstructured grid, and curvilinear data sets.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPointSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Transform filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"Transform\" command=\"SetTransform\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"transforms\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"extended_sources\" name=\"Transform3\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             The values in this property allow you to specify the transform (translation, rotation, and scaling) to apply to the input dataset.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"   <!-- End TransformFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TriangleFilter\" class=\"vtkTriangleFilter\"\n"
"     label=\"Triangulate\">\n"
"     <Documentation\n"
"        long_help=\"This filter converts polygons and triangle strips to basic triangles.\"\n"
"        short_help=\"Convert polygonal data to triangles.\">\n"
"The Triangulate filter decomposes polygonal data into only triangles, points, and lines. It separates triangle strips and polylines into individual triangles and lines, respectively. The output is polygonal data. Some filters that take polygonal data as input require that the data be composed of triangles rather than other polygons, so passing your data through this filter first is useful in such situations. You should use this filter in these cases rather than the Tetrahedralize filter because they produce different output dataset types. The filters referenced require polygonal input, and the Tetrahedralize filter produces unstructured grid output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Triangulate filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End TriangleFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TubeFilter\" class=\"vtkTubeFilter\" label=\"Tube\">\n"
"    <Documentation\n"
"       long_help=\"Convert lines into tubes. Normals are used to avoid cracks between tube segments.\"\n"
"       short_help=\"Convert lines into tubes.\">\n"
"The Tube filter creates tubes around the lines in the input polygonal dataset. The output is also polygonal.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array1\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"          <InputArrayDomain name=\"input_array2\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\" optional=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Tube filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"               input_domain_name=\"input_array1\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the scalar array on which to\n"
"            operate. The indicated array may be used for scaling the tubes.\n"
"            (See the VaryRadius property.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        default_values=\"1\"\n"
"        label=\"Vectors\">  <!-- default value=1 so normals go to the right place -->\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"               input_domain_name=\"input_array2\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the vector array on which to\n"
"            operate. The indicated array may be used for scaling and/or\n"
"            orienting the tubes. (See the VaryRadius property.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfSides\"\n"
"        command=\"SetNumberOfSides\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"6\"\n"
"        label=\"Number of Sides\">\n"
"       <IntRangeDomain name=\"range\" min=\"3\"/>\n"
"       <Documentation>\n"
"         The value of this property indicates the number of faces around the circumference of the tube.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Capping\"\n"
"        command=\"SetCapping\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, endcaps will be drawn on the tube. Otherwise the ends of the tube will be open.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"0.01\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <Documentation>\n"
"          The value of this property sets the radius of the tube. If the radius is varying (VaryRadius property), then this value is the minimum radius.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"VaryRadius\"\n"
"        command=\"SetVaryRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Off\"/>\n"
"         <Entry value=\"1\" text=\"By Scalar\"/>\n"
"         <Entry value=\"2\" text=\"By Vector\"/>\n"
"         <Entry value=\"3\" text=\"By Absolute Scalar\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The property determines whether/how to vary the radius of the tube. If\n"
"         varying by scalar (1), the tube radius is based on the point-based\n"
"         scalar values in the dataset. If it is varied by vector, the vector\n"
"         magnitude is used in varying the radius.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"RadiusFactor\"\n"
"         command=\"SetRadiusFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"10\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          If varying the radius (VaryRadius property), the property sets the\n"
"          maximum tube radius in terms of a multiple of the minimum radius. If\n"
"          not varying the radius, this value has no effect.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseDefaultNormal\"\n"
"        command=\"SetUseDefaultNormal\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 0, and the input contains no vector array, then default ribbon normals will be generated (DefaultNormal property); if a vector array has been set (SelectInputVectors property), the ribbon normals will be set from the specified array. If this property is set to 1, the default normal (DefaultNormal property) will be used, regardless of whether the SelectInputVectors property has been set.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"DefaultNormal\"\n"
"        command=\"SetDefaultNormal\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the normal to use when the UseDefaultNormal property is set to 1 or the input contains no vector array (SelectInputVectors property).\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"   <!-- End TubeFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"WarpScalar\" class=\"vtkWarpScalar\" label=\"Warp By Scalar\">\n"
"     <Documentation\n"
"        long_help=\"This filter moves point coordinates along a vector scaled by a point attribute.  It can be used to produce carpet plots.\"\n"
"        short_help=\"Warp point scalars into a spatial elevation plot.\">\n"
"The Warp (scalar) filter translates the points of the input data set along a vector by a distance determined by the specified scalars. This filter operates on polygonal, curvilinear, and unstructured grid data sets containing single-component scalar arrays. Because it only changes the positions of the points, the output data set type is the same as that of the input. Any scalars in the input dataset are copied to the output, so the data can be colored by them.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPointSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                             number_of_components=\"1\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Warp (scalar) filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             This property contains the name of the scalar array by which to warp the dataset.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The scalar value at a given point is multiplied by the value of this property to determine the magnitude of the change vector for that point.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Normal\"\n"
"        command=\"SetNormal\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         The values of this property specify the direction along which to warp the dataset if any normals contained in the input dataset are not being used for this purpose. (See the UseNormal property.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseNormal\"\n"
"        command=\"SetUseNormal\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface14 =
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If point normals are present in the dataset, the value of this property toggles whether to use a single normal value (value = 1) or the normals from the dataset (value = 0).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"XYPlane\"\n"
"        command=\"SetXYPlane\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"XY Plane\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, then the Z-coordinates from the input are considered to be the scalar values, and the displacement is along the Z axis. This is useful for creating carpet plots.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End WarpScalar -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"WarpVector\" class=\"vtkWarpVector\" label=\"Warp By Vector\">\n"
"     <Documentation\n"
"        long_help=\"This filter displaces point coordinates along a vector attribute. It is useful for showing mechanical deformation.\"\n"
"        short_help=\"Warp (displace) the geometry with a given vector field.\">\n"
"The Warp (vector) filter translates the points of the input dataset using a specified vector array. The vector array chosen specifies a vector per point in the input. Each point is translated along its vector by a given scale factor. This filter operates on polygonal, curvilinear, and unstructured grid datasets. Because this filter only changes the positions of the points, the output dataset type is the same as that of the input.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPointSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                             number_of_components=\"3\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the Warp (vector) filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"SelectInputVectors\"\n"
"         command=\"SetInputArrayToProcess\"\n"
"         number_of_elements=\"5\"\n"
"         element_types=\"0 0 0 0 2\"\n"
"         label=\"Vectors\">\n"
"            <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"              <RequiredProperties>\n"
"                 <Property name=\"Input\" function=\"Input\"/>\n"
"              </RequiredProperties>\n"
"            </ArrayListDomain>\n"
"            <Documentation>\n"
"              The value of this property contains the name of the vector array by which to warp the dataset's point coordinates.\n"
"            </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ScaleFactor\"\n"
"         command=\"SetScaleFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Each component of the selected vector array will be multiplied by the value of this property before being used to compute new point coordinates.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End WarpVector -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Cut\" class=\"vtkCutter\" label=\"Slice\">\n"
"    <Documentation\n"
"       long_help=\"This filter slices a data set with a plane. Slicing is similar to a contour. It creates surfaces from volumes and lines from surfaces.\"\n"
"       short_help=\"Slice datasets with planes.\">\n"
"This filter extracts the portion of the input dataset that lies along the specified plane. The Slice filter takes any type of dataset as input. The output of this filter is polygonal data.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Slice filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"CutFunction\" command=\"SetCutFunction\"\n"
"        label=\"Slice Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property sets the parameters of the slice function.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InputBounds\" information_only=\"1\">\n"
"       <BoundsDomain name=\"bounds\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ContourValues\"\n"
"        command=\"SetValue\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetNumberOfContours\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\"\n"
"        animateable=\"1\"\n"
"        label=\"Slice Offset Values\">\n"
"          <BoundsDomain name=\"bounds\" mode=\"magnitude\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </BoundsDomain>\n"
"          <Documentation>\n"
"            The values in this property specify a list of current offset values. This can be used to create multiple slices with different centers. Each entry represents a new slice with its center shifted by the offset value.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End Cut -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractGeometry\" class=\"vtkExtractGeometry\"\n"
"                label=\"Extract Cells By Region\">\n"
"    <Documentation\n"
"       long_help=\"This filter extracts cells that are inside/outside a region or at a region boundary.\"\n"
"       short_help=\"Extract cells that are inside/outside a region or at a region boundary.\">\n"
"This filter extracts from its input dataset all cells that are either completely inside or outside of a specified region (implicit function). On output, the filter generates an unstructured grid.\n"
"To use this filter you must specify a region  (implicit function). You must also specify whethter to extract cells lying inside or outside of the region. An option exists to extract cells that are neither inside or outside (i.e., boundary).\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Slice filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"ImplicitFunction\" command=\"SetImplicitFunction\"\n"
"                    label=\"Intersect With\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property sets the region used to extract cells.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InputBounds\" information_only=\"1\">\n"
"       <BoundsDomain name=\"bounds\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        label=\"Extraction Side\"\n"
"        name=\"ExtractInside\"\n"
"        command=\"SetExtractInside\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"outside\"/>\n"
"         <Entry value=\"1\" text=\"inside\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"This parameter controls whether to extract cells that are inside or outside the region.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Extract only intersected\"\n"
"        command=\"SetExtractOnlyBoundaryCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"This parameter controls whether to extract only cells that are on the boundary of the region. If this parameter is set, the Extraction Side parameter is ignored. If Extract Intersected is off, this parameter has no effect.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Extract intersected\"\n"
"        command=\"SetExtractBoundaryCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"This parameter controls whether to extract cells that are on the boundary of the region.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"   <!-- End ExtractGeometry -->\n"
"    </SourceProxy>\n"
"\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Clip\" class=\"vtkPVClipDataSet\">\n"
"    <Documentation\n"
"       long_help=\"Clip with an implicit plane. Clipping does not reduce the dimensionality of the data set. The output data type of this filter is always an unstructured grid.\"\n"
"       short_help=\"Clip with an implicit plane.\">\n"
"The Clip filter cuts away a portion of the input data set using an implicit plane. This filter operates on all types of data sets, and it returns unstructured grid data on output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"         <Documentation>\n"
"           This property specifies the dataset on which the Clip filter will operate.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"ClipFunction\" command=\"SetClipFunction\"\n"
"        label=\"Clip Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"               <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Scalar\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property specifies the parameters of the clip function (an implicit plane) used to clip the dataset.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InputBounds\"  information_only=\"1\">\n"
"       <BoundsDomain name=\"bounds\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Scalars\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"           <Documentation>\n"
"             If clipping with scalars, this property specifies the name of the scalar array on which to perform the clip operation.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Value\"\n"
"        command=\"SetValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"          <ArrayRangeDomain name=\"scalar_range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <DoubleRangeDomain name=\"range\"/>\n"
"\n"
"          <Documentation>\n"
"            If clipping with scalars, this property sets the scalar value about which to clip the dataset based on the scalar array chosen. (See SelectInputScalars.) If clipping with a clip function, this property specifies an offset from the clip function to use in the clipping operation. Neither functionality is currently available in ParaView's user interface.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"InsideOut\"\n"
"         command=\"SetInsideOut\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 0, the clip filter will return that portion of the dataset that lies within the clip function. If set to 1, the portions of the dataset that lie outside the clip function will be returned instead.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface15 =
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseValueAsOffset\"\n"
"        command=\"SetUseValueAsOffset\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"           If UseValueAsOffset is true, Value is used as an offset parameter to the implicit function. Otherwise, Value is used only when clipping using a scalar array.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"       <Property name=\"UseValueAsOffset\" show=\"0\"/>\n"
"     </Hints>\n"
"   <!-- End Clip -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ClipClosedSurface\" class=\"vtkPVClipClosedSurface\"\n"
"    label=\"Clip Closed Surface\">\n"
"    <Documentation\n"
"       long_help=\"Clip a polygonal dataset with a plane to produce closed surfaces\"\n"
"       short_help=\"Clip a polygonal dataset with a plane to produce closed surfaces\">\n"
"This clip filter cuts away a portion of the input polygonal dataset using a plane to generate a new polygonal dataset.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"         <Documentation>\n"
"           This property specifies the dataset on which the Clip filter will operate.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"ClippingPlane\" command=\"SetClippingPlane\"\n"
"        label=\"Clipping Plane\">\n"
"\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"               <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"             <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"           </ProxyListDomain>\n"
"\n"
"           <Documentation>\n"
"             This property specifies the parameters of the clipping plane used to clip the polygonal data.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <IntVectorProperty name=\"GenerateFaces\"\n"
"       command=\"SetGenerateFaces\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Generate polygonal faces in the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"GenerateOutline\"\n"
"       command=\"SetGenerateOutline\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Generate clipping outlines in the output wherever an input face is cut by the clipping plane.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"GenerateColorScalars\"\n"
"       label=\"Generate Cell Origins\"\n"
"       command=\"SetGenerateColorScalars\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Generate (cell) data for coloring purposes such that the newly generated cells (including capping faces and clipping outlines) can be distinguished from the input cells.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"InsideOut\"\n"
"         command=\"SetInsideOut\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"           If this flag is turned off, the clipper will return the portion of the data that lies within the clipping plane. Otherwise, the clipper will return the portion of the data that lies outside the clipping plane.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Tolerance\"\n"
"       label=\"Clipping Tolerance\"\n"
"       command=\"SetTolerance\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Specify the tolerance for creating new points. A small value might incur degenerate triangles.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"BaseColor\" command=\"SetBaseColor\"\n"
"       label=\"Base Color\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"0.10 0.10 1.00\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"       <Documentation>\n"
"         Specify the color for the faces from the input.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"ClipColor\" command=\"SetClipColor\"\n"
"       label=\"Clip Color\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"1.00 0.11 0.10\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"       <Documentation>\n"
"         Specifiy the color for the capping faces (generated on the clipping interface).\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"   <!-- End Clip -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Threshold\" class=\"vtkThreshold\">\n"
"    <Documentation\n"
"       long_help=\"This filter extracts cells that have point or cell scalars in the specified range.\"\n"
"       short_help=\"Extract cells that satisfy a threshold criterion.\">\n"
"The Threshold filter extracts the portions of the input dataset whose scalars lie within the specified range. This filter operates on either point-centered or cell-centered data. This filter operates on any type of dataset and produces unstructured grid output.\n"
"\n"
"To select between these two options, select either Point Data or Cell Data from the Attribute Mode menu. Once the Attribute Mode has been selected, choose the scalar array from which to threshold the data from the Scalars menu. The Lower Threshold and Upper Threshold sliders determine the range of the scalars to retain in the output. The All Scalars check box only takes effect when the Attribute Mode is set to Point Data. If the All Scalars option is checked, then a cell will only be passed to the output if the scalar values of all of its points lie within the range indicated by the Lower Threshold and Upper Threshold sliders. If unchecked, then a cell will be added to the output if the specified scalar value for any of its points is within the chosen range.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" number_of_components=\"1\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"SelectInputScalars\"\n"
"                          function=\"FieldDataSelection\"/>\n"
"             </RequiredProperties>\n"
"          </InputArrayDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Threshold filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"           <ArrayListDomain name=\"array_list\"\n"
"                            attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"           <Documentation>\n"
"             The value of this property contains the name of the scalar array from which to perform thresholding.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ThresholdBetween\"\n"
"        command=\"ThresholdBetween\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\"\n"
"        label=\"Threshold Range\">\n"
"          <ArrayRangeDomain name=\"range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <Documentation>\n"
"            The values of this property specify the upper and lower bounds of the thresholding operation.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"AllScalars\"\n"
"        command=\"SetAllScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, then a cell is only included in the output if the value of the selected array for all its points is within the threshold. This is only relevant when thresholding by a point-centered array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End Threshold -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"IsoVolume\" class=\"vtkIsoVolume\" label=\"Iso Volume\">\n"
"    <Documentation\n"
"       long_help=\"This filter extracts cells by clipping cells that have point\n"
"       scalars not in the specified range.\"\n"
"       short_help=\"Extract cells that satisfy a threshold criterion.\">\n"
"       This filter clip away the cells using lower and upper thresholds.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" number_of_components=\"1\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"SelectInputScalars\"\n"
"                          function=\"FieldDataSelection\"/>\n"
"             </RequiredProperties>\n"
"          </InputArrayDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Threshold filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Input Scalars\">\n"
"           <ArrayListDomain name=\"array_list\"\n"
"                            attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"           <Documentation>\n"
"             The value of this property contains the name of the scalar array from which to perform thresholding.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ThresholdBetween\"\n"
"        command=\"ThresholdBetween\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\"\n"
"        label=\"Threshold Range\">\n"
"          <ArrayRangeDomain name=\"range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <Documentation>\n"
"            The values of this property specify the upper and lower bounds of the thresholding operation.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End Iso Volume -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Contour\" class=\"vtkPVContourFilter\">\n"
"    <Documentation\n"
"       long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"       short_help=\"Generate isolines or isosurfaces.\">\n"
"The Contour filter computes isolines or isosurfaces using a selected point-centered scalar array. The Contour filter operates on any type of data set, but the input is required to have at least one point-centered scalar (single-component) array. The output of this filter is polygonal.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\"\n"
"                            number_of_components=\"1\"\n"
"                            attribute_type=\"point\"/>\n"
"          <Documentation>\n"
"            This property specifies the input dataset to be used by the contour filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Contour By\">\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"          <Documentation>\n"
"            This property specifies the name of the scalar array from which the contour filter will compute isolines and/or isosurfaces.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface16 =
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ContourValues\"\n"
"        command=\"SetValue\"\n"
"        label=\"Isosurfaces\"\n"
"        set_number_command=\"SetNumberOfContours\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\"\n"
"        animateable=\"1\">\n"
"          <ArrayRangeDomain name=\"scalar_range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <Documentation>\n"
"            This property specifies the values at which to compute isosurfaces/isolines and also the number of such values.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeNormals\"\n"
"        command=\"SetComputeNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a scalar array containing a normal value at each point in the isosurface or isoline will be created by the contour filter; otherwise an array of normals will not be computed. This operation is fairly expensive both in terms of computation time and memory required, so if the output dataset produced by the contour filter will be processed by filters that modify the dataset's topology or geometry, it may be wise to set the value of this property to 0.\n"
"         Select whether to compute normals.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeGradients\"\n"
"        command=\"SetComputeGradients\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a scalar array containing a gradient value at each point in the isosurface or isoline will be created by this filter; otherwise an array of gradients will not be computed. This operation is fairly expensive both in terms of computation time and memory required, so if the output dataset produced by the contour filter will be processed by filters that modify the dataset's topology or geometry, it may be wise to set the value of this property to 0. Not that if ComputeNormals is set to 1, then gradients will have to be calculated, but they will only be stored in the output dataset if ComputeGradients is also set to 1.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeScalars\"\n"
"        command=\"SetComputeScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, an array of scalars (containing the contour value) will be added to the output dataset. If set to 0, the output will not contain this array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"\n"
"     <!-- incremental point locator begin -->\n"
"     <ProxyProperty name=\"Locator\" command=\"SetLocator\"\n"
"       label=\"Point Merge Method\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"incremental_point_locators\" />\n"
"       </ProxyGroupDomain>\n"
"       <ProxyListDomain name=\"proxy_list\">\n"
"         <Proxy group=\"incremental_point_locators\" name=\"MergePoints\" />\n"
"         <Proxy group=\"incremental_point_locators\" name=\"IncrementalOctreeMergePoints\" />\n"
"         <Proxy group=\"incremental_point_locators\" name=\"NonMergingPointLocator\" />\n"
"       </ProxyListDomain>\n"
"       <Documentation>\n"
"         This property specifies an incremental point locator for merging duplicate / coincident points.\n"
"       </Documentation>\n"
"     </ProxyProperty>\n"
"     <!-- incremental point locator end -->\n"
"   <!-- End Contour -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Glyph\" class=\"vtkPVGlyphFilter\">\n"
"    <Documentation\n"
"       long_help=\"This filter generates an arrow, cone, cube, cylinder, line, sphere, or 2D glyph at each point of the input data set.  The glyphs can be oriented and scaled by point attributes of the input dataset.\"\n"
"       short_help=\"Generate a glyph symbol at each point of the input data set.\">\n"
"The Glyph filter generates a glyph (i.e., an arrow, cone, cube, cylinder, line, sphere, or 2D glyph) at each point in the input dataset. The glyphs can be oriented and scaled by the input point-centered scalars and vectors. The Glyph filter operates on any type of data set. Its output is polygonal. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array1\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"          <InputArrayDomain name=\"input_array2\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\" optional=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Glyph filter. This is the dataset to which the glyphs will be applied.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"               input_domain_name=\"input_array1\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the scalar array on which to operate. The indicated array may be used for scaling the glyphs. (See the SetScaleMode property.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        default_values=\"1\"\n"
"        label=\"Vectors\">  <!-- default value=1 so normals go to the right place -->\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"               input_domain_name=\"input_array2\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the vector array on which to operate. The indicated array may be used for scaling and/or orienting the glyphs. (See the SetScaleMode and SetOrient properties.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetSourceConnection\"\n"
"        label=\"Glyph Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"glyph_sources\" />\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"sources\" name=\"ArrowSource\" />\n"
"              <Proxy group=\"sources\" name=\"ConeSource\" />\n"
"              <Proxy group=\"sources\" name=\"CubeSource\" />\n"
"              <Proxy group=\"sources\" name=\"CylinderSource\" />\n"
"              <Proxy group=\"sources\" name=\"LineSource\" />\n"
"              <Proxy group=\"sources\" name=\"SphereSource\" />\n"
"              <Proxy group=\"sources\" name=\"GlyphSource2D\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property determines which type of glyph will be placed at the points in the input dataset.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"GlyphTransform\" command=\"SetSourceTransform\">\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"extended_sources\" name=\"Transform2\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             The values in this property allow you to specify the transform\n"
"             (translation, rotation, and scaling) to apply to the glyph source.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        label=\"Orient\"\n"
"        name=\"SetOrient\"\n"
"        command=\"SetOrient\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the glyphs will be oriented based on the selected vector array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        label=\"Scale Mode\"\n"
"        name=\"SetScaleMode\"\n"
"        command=\"SetScaleMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"scalar\"/>\n"
"         <Entry value=\"1\" text=\"vector\"/>\n"
"         <Entry value=\"2\" text=\"vector_components\"/>\n"
"         <Entry value=\"3\" text=\"off\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The value of this property specifies how/if the glyphs should be scaled based on the point-centered scalars/vectors in the input dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"SetScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"0.1\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <ArrayRangeDomain name=\"scalar_range\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayRangeDomain>\n"
"       <ArrayRangeDomain name=\"vector_range\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputVectors\" function=\"ArraySelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayRangeDomain>\n"
"       <Documentation>\n"
"         The value of this property will be used as a multiplier for scaling the glyphs before adding them to the output.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumNumberOfPoints\"\n"
"        command=\"SetMaximumNumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5000\"\n"
"        label=\"Maximum Number of Points\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the maximum number of glyphs that should appear in the output dataset if the value of the UseMaskPoints property is 1. (See the UseMaskPoints property.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseMaskPoints\"\n"
"        command=\"SetUseMaskPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Mask Points\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, limit the maximum number of glyphs to the value indicated by MaximumNumberOfPoints. (See the MaximumNumberOfPoints property.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"RandomMode\"\n"
"        command=\"SetRandomMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, then the points to glyph are chosen randomly. Otherwise the point ids chosen are evenly spaced.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <Hints>\n"
"     <!-- Visibility Element can be used to suggest the GUI about\n"
"          visibility of this filter (or its input) on creation.\n"
"          replace_input=\"0\" implies that the input visibility is not\n"
"            changed on creation of this filter (defaults to \"1\")\n"
"       -->\n"
"     <Visibility replace_input=\"0\" />\n"
"   </Hints>\n"
"   <!-- End Glyph -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ArbitrarySourceGlyph\" class=\"vtkPVGlyphFilter\"\n"
"    label=\"Glyph With Custom Source\">\n"
"    <Documentation\n"
"       long_help=\"This filter generates a glyph at each point of the input data set.  The glyphs can be oriented and scaled by point attributes of the input dataset.\"\n"
"       short_help=\"Generate a glyph symbol at each point of the input data set.\">\n"
"The Glyph filter generates a glyph at each point in the input dataset. The glyphs can be oriented and scaled by the input point-centered scalars and vectors. The Glyph filter operates on any type of data set. Its output is polygonal. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array1\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"          <InputArrayDomain name=\"input_array2\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\" optional=\"1\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Glyph filter. This is the dataset to which the glyphs will be applied.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetSourceConnection\"\n"
"        label=\"Glyph Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"glyph_sources\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface17 =
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkPolyData\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property determines which type of glyph will be placed at the points in the input dataset.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        label=\"Scalars\">\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"               input_domain_name=\"input_array1\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the scalar array on which to operate. The indicated array may be used for scaling the glyphs. (See the SetScaleMode property.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        default_values=\"1\"\n"
"        label=\"Vectors\">  <!-- default value=1 so normals go to the right place -->\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"               input_domain_name=\"input_array2\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the vector array on which to operate. The indicated array may be used for scaling and/or orienting the glyphs. (See the SetScaleMode and SetOrient properties.)\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        label=\"Orient\"\n"
"        name=\"SetOrient\"\n"
"        command=\"SetOrient\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the glyphs will be oriented based on the selected vector array.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        label=\"Scale Mode\"\n"
"        name=\"SetScaleMode\"\n"
"        command=\"SetScaleMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"scalar\"/>\n"
"         <Entry value=\"1\" text=\"vector\"/>\n"
"         <Entry value=\"2\" text=\"vector_components\"/>\n"
"         <Entry value=\"3\" text=\"off\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The value of this property specifies how/if the glyphs should be scaled based on the point-centered scalars/vectors in the input dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"SetScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"0.1\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <ArrayRangeDomain name=\"scalar_range\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayRangeDomain>\n"
"       <ArrayRangeDomain name=\"vector_range\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputVectors\" function=\"ArraySelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayRangeDomain>\n"
"       <Documentation>\n"
"         The value of this property will be used as a multiplier for scaling the glyphs before adding them to the output.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumNumberOfPoints\"\n"
"        command=\"SetMaximumNumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5000\"\n"
"        label=\"Maximum Number of Points\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"       <Documentation>\n"
"         The value of this property specifies the maximum number of glyphs that should appear in the output dataset if the value of the UseMaskPoints property is 1. (See the UseMaskPoints property.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"UseMaskPoints\"\n"
"        command=\"SetUseMaskPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        label=\"Mask Points\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is set to 1, limit the maximum number of glyphs to the value indicated by MaximumNumberOfPoints. (See the MaximumNumberOfPoints property.)\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"RandomMode\"\n"
"        command=\"SetRandomMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, then the points to glyph are chosen randomly. Otherwise the point ids chosen are evenly spaced.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <Hints>\n"
"     <!-- Visibility Element can be used to suggest the GUI about\n"
"          visibility of this filter (or its input) on creation.\n"
"          replace_input=\"0\" implies that the input visibility is not\n"
"            changed on creation of this filter (defaults to \"1\")\n"
"          replace_input=\"1\" implies always replace input.\n"
"          replace_input=\"2\" implies replace input only when input is shown as a\n"
"                            solid i.e surface or surface with edges.\n"
"       -->\n"
"     <Visibility replace_input=\"0\" />\n"
"   </Hints>\n"
"   <!-- End Glyph -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractGrid\" class=\"vtkPVExtractVOI\"\n"
"    label=\"Extract Subset\">\n"
"    <Documentation\n"
"       long_help=\"Extract a subgrid from a structured grid with the option of setting subsample strides.\"\n"
"       short_help=\"Extract a subgrid or subsample.\">\n"
"The Extract Grid filter returns a subgrid of a structured input data set (uniform rectilinear, curvilinear, or nonuniform rectilinear). The output data set type of this filter is the same as the input type.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkImageData\"/>\n"
"            <DataType value=\"vtkRectilinearGrid\"/>\n"
"            <DataType value=\"vtkStructuredPoints\"/>\n"
"            <DataType value=\"vtkStructuredGrid\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Extract Grid filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"VOI\"\n"
"        command=\"SetVOI\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 0 0 0\">\n"
"       <ExtentDomain name=\"extent\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ExtentDomain>\n"
"       <Documentation>\n"
"         This property specifies the minimum and maximum point indices along each of the I, J, and K axes; these values indicate the volume of interest (VOI). The output will have the (I,J,K) extent specified here.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SampleRateI\"\n"
"        command=\"SetSampleRateI\"\n"
"        animateable=\"1\"\n"
"        number_of_elements=\"1\" default_values=\"1\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         This property indicates the sampling rate in the I dimension. A value grater than 1 results in subsampling; every nth index will be included in the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SampleRateJ\"\n"
"        command=\"SetSampleRateJ\"\n"
"        animateable=\"1\"\n"
"        number_of_elements=\"1\" default_values=\"1\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         This property indicates the sampling rate in the J dimension. A value grater than 1 results in subsampling; every nth index will be included in the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SampleRateK\"\n"
"        animateable=\"1\"\n"
"        command=\"SetSampleRateK\"\n"
"        number_of_elements=\"1\" default_values=\"1\">\n"
"       <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         This property indicates the sampling rate in the K dimension. A value grater than 1 results in subsampling; every nth index will be included in the output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IncludeBoundary\"\n"
"        command=\"SetIncludeBoundary\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, then if the sample rate in any dimension is greater than 1, the boundary indices of the input dataset will be passed to the output even if the boundary extent is not an even multiple of the sample rate in a given dimension.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"     </Hints>\n"
"   <!-- End ExtractGrid -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ProbePoint\" class=\"vtkPProbeFilter\"\n"
"    label=\"Probe Location\">\n"
"    <Documentation\n"
"       long_help=\"Sample data attributes at the points in a point cloud.\"\n"
"       short_help=\"Sample data values at the points in a point cloud.\">\n"
"The Probe filter samples the data set attributes of the current data set at the points in a point cloud. The Probe filter uses interpolation to determine the values at the selected point, whether or not it lies at an input point. The Probe filter operates on any type of data and produces polygonal output (a point cloud).\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetSourceConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\"/>\n"
"          <Documentation>\n"
"            This property specifies the dataset from which to obtain probe values.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetInputConnection\"\n"
"        label=\"Probe Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"             <Proxy group=\"extended_sources\" name=\"FixedRadiusPointSource\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property specifies the dataset whose geometry will be used in determining positions to probe.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"   <!-- End ProbePoint -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <CompoundSourceProxy name=\"ProbeLine\" label=\"Plot Over Line\">\n"
"     <Documentation\n"
"       long_help=\"Sample data attributes at the points along a line.  Probed lines will be displayed in a graph of the attributes.\"\n"
"       short_help=\"Sample data values at the points along a line.\">\n"
"        The Plot Over Line filter samples the data set attributes of the current\n"
"        data set at the points along a line. The values of the point-centered variables\n"
"        along that line will be displayed in an XY Plot. This filter uses interpolation\n"
"        to determine the values at the selected point, whether or not it lies at an\n"
"        input point. The Probe filter operates on any type of data and produces\n"
"        polygonal output (a line).\n"
"     </Documentation>\n"
"     <Proxy group=\"internal_filters\" type=\"ProbeLine\" id=\"491\" servers=\"1\"\n"
"            compound_name=\"PlotOverLine1\" />\n"
"     <Proxy group=\"internal_filters\" type=\"AppendArcLength\" id=\"588\" servers=\"1\" compound_name=\"AppendArcLength1\">\n"
"       <Property name=\"Input\" id=\"588.Input\" number_of_elements=\"1\">\n"
"         <Proxy value=\"491\" output_port=\"0\"/>\n"
"       </Property>\n"
"     </Proxy>\n"
"     <ExposedProperties>\n"
"       <Property name=\"Input\" proxy_name=\"PlotOverLine1\" exposed_name=\"Input\"/>\n"
"       <Property name=\"Source\" proxy_name=\"PlotOverLine1\" exposed_name=\"Source\"/>\n"
"       <Property name=\"PassPartialArrays\"\n"
"          proxy_name=\"PlotOverLine1\" exposed_name=\"PassPartialArrays\"/>\n"
"     </ExposedProperties>\n"
"     <OutputPort name=\"Output\" proxy=\"AppendArcLength1\" port_index=\"0\"/>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"       <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"XYChartView\" />\n"
"      <Plotable />\n"
"     </Hints>\n"
"    <!-- End ProbeLine -->\n"
"   </CompoundSourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Probe\" class=\"vtkPProbeFilter\"\n"
"    label=\"Resample With Dataset\">\n"
"    <Documentation\n"
"       long_help=\"Sample data attributes at the points of a dataset.\"\n"
"       short_help=\"Sample data values at the points of a dataset.\">\n"
"Probe is a filter that computes point attributes at specified point positions. The filter has two inputs: the Input and Source. The Input geometric structure is passed through the filter. The point attributes are computed at the Input point positions by interpolating into the source data. For example, we can compute data values on a plane (plane specified as Input) from a volume (Source). The cell data of the source data is copied to the output based on in which source cell each input point is. If an array of the same name exists both in source's point and cell data, only the one from the point data is probed.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface18 =
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetSourceConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\"/>\n"
"          <Documentation>\n"
"            This property specifies the dataset from which to obtain probe values.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the dataset whose geometry will be used in determining positions to probe.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"   <!-- End Probe -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"StreamTracer\" class=\"vtkDistributedStreamTracer\"\n"
"    label=\"Stream Tracer\">\n"
"    <Documentation\n"
"       long_help=\"Integrate streamlines in a vector field.\"\n"
"       short_help=\"Integrate streamlines in a vector field.\">\n"
"The Stream Tracer filter generates streamlines in a vector field from a collection of seed points. Production of streamlines terminates if a streamline crosses the exterior boundary of the input dataset. Other reasons for termination are listed for the MaximumNumberOfSteps, TerminalSpeed, and MaximumPropagation properties. This filter operates on any type of dataset, provided it has point-centered vectors. The output is polygonal data containing polylines.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"AddInputConnection\"\n"
"       clean_command=\"RemoveAllInputs\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Stream Tracer filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetSourceConnection\"\n"
"        label=\"Seed Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"extended_sources\" name=\"PointSource\" />\n"
"              <Proxy group=\"extended_sources\" name=\"HighResLineSource\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             The value of this property determines how the seeds for the streamlines will be generated.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectInputVectors\"\n"
"       command=\"SetInputArrayToProcess\"\n"
"       number_of_elements=\"5\"\n"
"       element_types=\"0 0 0 0 2\"\n"
"       animateable=\"0\"\n"
"       label=\"Vectors\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             This property contains the name of the vector array from which to generate streamlines.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"NumberOfPoints\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"100\"\n"
"       information_only=\"1\"/>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"InterpolatorType\"\n"
"       command=\"SetInterpolatorType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Interpolator with Point Locator\"/>\n"
"         <Entry value=\"1\" text=\"Interpolator with Cell Locator\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines which interpolator to use for evaluating the velocity vector field. The first is faster though the second is more robust in locating cells during streamline integration.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegrationDirection\"\n"
"       command=\"SetIntegrationDirection\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"FORWARD\"/>\n"
"         <Entry value=\"1\" text=\"BACKWARD\"/>\n"
"         <Entry value=\"2\" text=\"BOTH\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines in which direction(s) a streamline is generated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegratorType\"\n"
"       command=\"SetIntegratorType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Runge-Kutta 2\"/>\n"
"         <Entry value=\"1\" text=\"Runge-Kutta 4\"/>\n"
"         <Entry value=\"2\" text=\"Runge-Kutta 4-5\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegrationStepUnit\"\n"
"       label=\"Integration Step Unit\"\n"
"       command=\"SetIntegrationStepUnit\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"Length\"/>\n"
"         <Entry value=\"2\" text=\"Cell Length\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"           This property specifies the unit for Minimum/Initial/Maximum integration step size. The Length unit refers to the arc length that a particle travels/advects within a single step. The Cell Length unit represents the step size as a number of cells.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"InitialIntegrationStep\"\n"
"       label=\"Initial Step Length\"\n"
"       command=\"SetInitialIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.2\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the initial integration step size. For non-adaptive integrators (Runge-Kutta 2 and Runge-Kutta 4), it is fixed (always equal to this initial value) throughout the integration. For an adaptive integrator (Runge-Kutta 4-5), the actual step size varies such that the numerical error is less than a specified threshold.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MinimumIntegrationStep\"\n"
"       label=\"Minimum Step Length\"\n"
"       command=\"SetMinimumIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         When using the Runge-Kutta 4-5 ingrator, this property specifies the minimum integration step size.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumIntegrationStep\"\n"
"       label=\"Maximum Step Length\"\n"
"       command=\"SetMaximumIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.5\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         When using the Runge-Kutta 4-5 ingrator, this property specifies the maximum integration step size.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"MaximumNumberOfSteps\"\n"
"       label=\"Maximum Steps\"\n"
"       command=\"SetMaximumNumberOfSteps\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2000\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum number of steps, beyond which streamline integration is terminated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumPropagation\"\n"
"       label=\"Maximum Streamline Length\"\n"
"       command=\"SetMaximumPropagation\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1.0\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"1.0\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <Documentation>\n"
"         This property specifies the maximum streamline length (i.e., physical arc length), beyond which line integration is terminated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"TerminalSpeed\"\n"
"       label=\"Terminal Speed\"\n"
"       command=\"SetTerminalSpeed\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.000000000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumError\"\n"
"       command=\"SetMaximumError\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum error (for Runge-Kutta 4-5) tolerated throughout streamline integration. The Runge-Kutta 4-5 integrator tries to adjust the step size such that the estimated error is less than this threshold.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ComputeVorticity\"\n"
"         command=\"SetComputeVorticity\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether or not to compute vorticity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End StreamTracer -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ArbitrarySourceStreamTracer\" class=\"vtkDistributedStreamTracer\"\n"
"    label=\"Stream Tracer With Custom Source\">\n"
"    <Documentation\n"
"       long_help=\"Integrate streamlines in a vector field.\"\n"
"       short_help=\"Integrate streamlines in a vector field.\">\n"
"The Stream Tracer filter generates streamlines in a vector field from a collection of seed points. Production of streamlines terminates if a streamline crosses the exterior boundary of the input dataset. Other reasons for termination are listed for the MaximumNumberOfSteps, TerminalSpeed, and MaximumPropagation properties. This filter operates on any type of dataset, provided it has point-centered vectors. The output is polygonal data containing polylines. This filter takes a Source input that provides the seed points.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"AddInputConnection\"\n"
"       clean_command=\"RemoveAllInputs\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\"/>\n"
"          <Documentation>\n"
"            This property specifies the input to the Stream Tracer filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetSourceConnection\" >\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"           </ProxyGroupDomain>\n"
"           <Documentation>\n"
"              This property specifies the input used to obtain the seed points.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Vectors\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             This property contains the name of the vector array from which to generate streamlines.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\"\n"
"        information_only=\"1\"/>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegrationDirection\"\n"
"       command=\"SetIntegrationDirection\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"FORWARD\"/>\n"
"         <Entry value=\"1\" text=\"BACKWARD\"/>\n"
"         <Entry value=\"2\" text=\"BOTH\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines in which direction(s) a streamline is generated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegratorType\"\n"
"       command=\"SetIntegratorType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Runge-Kutta 2\"/>\n"
"         <Entry value=\"1\" text=\"Runge-Kutta 4\"/>\n"
"         <Entry value=\"2\" text=\"Runge-Kutta 4-5\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"       </Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface19 =
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"IntegrationStepUnit\"\n"
"       label=\"Integration Step Unit\"\n"
"       command=\"SetIntegrationStepUnit\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"Length\"/>\n"
"         <Entry value=\"2\" text=\"Cell Length\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"           This property specifies the unit for Minimum/Initial/Maximum integration step size. The Length unit refers to the arc length that a particle travels/advects within a single step. The Cell Length unit represents the step size as a number of cells.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"InitialIntegrationStep\"\n"
"       label=\"Initial Step Length\"\n"
"       command=\"SetInitialIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.2\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the initial integration step size. For non-adaptive integrators (Runge-Kutta 2 and Runge-Kutta 4), it is fixed (always equal to this initial value) throughout the integration. For an adaptive integrator (Runge-Kutta 4-5), the actual step size varies such that the numerical error is less than a specified threshold.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MinimumIntegrationStep\"\n"
"       label=\"Minimum Step Length\"\n"
"       command=\"SetMinimumIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         When using the Runge-Kutta 4-5 ingrator, this property specifies the minimum integration step size.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumIntegrationStep\"\n"
"       label=\"Maximum Step Length\"\n"
"       command=\"SetMaximumIntegrationStep\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.5\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         When using the Runge-Kutta 4-5 ingrator, this property specifies the maximum integration step size.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"MaximumNumberOfSteps\"\n"
"       label=\"Maximum Steps\"\n"
"       command=\"SetMaximumNumberOfSteps\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2000\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum number of steps, beyond which streamline integration is terminated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumPropagation\"\n"
"       label=\"Maximum Streamline Length\"\n"
"       command=\"SetMaximumPropagation\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1.0\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"1.0\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <Documentation>\n"
"         This property specifies the maximum streamline length (i.e., physical arc length), beyond which line integration is terminated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"TerminalSpeed\"\n"
"       label=\"Terminal Speed\"\n"
"       command=\"SetTerminalSpeed\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.000000000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the terminal speed, below which particle advection/integration is terminated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"MaximumError\"\n"
"       command=\"SetMaximumError\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the maximum error (for Runge-Kutta 4-5) tolerated throughout streamline integration. The Runge-Kutta 4-5 integrator tries to adjust the step size such that the estimated error is less than this threshold.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ComputeVorticity\"\n"
"         command=\"SetComputeVorticity\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify whether or not to compute vorticity.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End StreamTracer -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"TemporalCache\" class=\"vtkTemporalDataSetCache\"\n"
"                 label=\"Temporal Cache\">\n"
"      <Documentation short_help=\"Caches data per time step.\"\n"
"                     long_help=\"Saves a copy of the data set for a fixed number of time steps.\">\n"
"        The Temporal Cache can be used to save multiple copies of a data set at different time steps to prevent thrashing in the pipeline caused by downstream filters that adjust the requested time step.  For example, assume that there is a downstream Temporal Interpolator filter.  This filter will (usually) request two time steps from the upstream filters, which in turn (usually) causes the upstream filters to run twice, once for each time step.  The next time the interpolator requests the same two time steps, they might force the upstream filters to re-evaluate the same two time steps.  The Temporal Cache can keep copies of both of these time steps and provide the requested data without having to run upstream filters.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"         <DataType value=\"vtkDataObject\"/>\n"
"       </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input of the Temporal Cache filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"CacheSize\"\n"
"         command=\"SetCacheSize\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2\" >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"10\"/>\n"
"        <Documentation>\n"
"          The cache size determines the number of time steps that can be cached at one time.  The maximum number is 10.  The minimum is 2 (since it makes little sense to cache less than that).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End TemporalCache -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"TemporalInterpolator\" class=\"vtkTemporalInterpolator\"\n"
"                 label=\"Temporal Interpolator\">\n"
"      <Documentation short_help=\"Interpolate between time steps.\"\n"
"                     long_help=\"Interpolate between time steps.\">\n"
"        The Temporal Interpolator converts data that is defined at discrete time steps to one that is defined over a continuum of time by linearly interpolating the data's field data between two adjacent time steps.  The interpolated values are a simple approximation and should not be interpreted as anything more.  The Temporal Interpolator assumes that the topology between adjacent time steps does not change.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          This property specifies the input of the Temporal Interpolator.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"DiscreteTimeStepInterval\"\n"
"         command=\"SetDiscreteTimeStepInterval\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          If Discrete Time Step Interval is set to 0, then the Temporal Interpolator will provide a continuous region of time on its output.  If set to anything else, then the output will define a finite set of time points on its output, each spaced by the Discrete Time Step Interval.  The output will have (time range)/(discrete time step interval) time steps.  (Note that the time range is defined by the time range of the data of the input filter, which may be different from other pipeline objects or the range defined in the animation inspector.)  This is a useful option to use if you have a dataset with one missing time step and wish to 'file-in' the missing data with an interpolated value from the steps on either side.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimeRange\"\n"
"        information_only=\"1\">\n"
"       <TimeRangeInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <!-- End TemporalInterpolator -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"TemporalSnapToTimeStep\"\n"
"                 class=\"vtkTemporalSnapToTimeStep\"\n"
"                 label=\"Temporal Snap-to-Time-Step\">\n"
"      <Documentation\n"
"        short_help=\"Modifies the time range/steps of temporal data.\"\n"
"        long_help=\"Modifies the time range/steps of temporal data.\" >\n"
"        This file modifies the time range or time steps of\n"
"        the data without changing the data itself. The data is not resampled\n"
"        by this filter, only the information accompanying the data is modified.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"         <DataType value=\"vtkDataObject\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"SnapMode\"\n"
"         command=\"SetSnapMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Nearest\"/>\n"
"          <Entry value=\"1\" text=\"NextBelowOrEqual\"/>\n"
"          <Entry value=\"2\" text=\"NextAboveOrEqual\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Determine which time step to snap to.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End TemporalSnapToTimeStep -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"TemporalShiftScale\" class=\"vtkTemporalShiftScale\"\n"
"                 label=\"Temporal Shift Scale\">\n"
"      <Documentation short_help=\"Shift and scale time values.\"\n"
"                     long_help=\"Shift and scale time values.\">\n"
"        The Temporal Shift Scale filter linearly transforms the time values of a pipeline object by applying a shift and then scale.  Given a data at time t on the input, it will be transformed to time t*Shift + Scale on the output.  Inversely, if this filter has a request for time t, it will request time (t-Shift)/Scale on its input.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input to the Temporal Shift Scale filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"PreShift\"\n"
"         command=\"SetPreShift\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Apply a translation to the data before scaling.\n"
"          To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0\n"
"          To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"PostShift\"\n"
"         command=\"SetPostShift\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The amount of time the input is shifted.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Scale\"\n"
"         command=\"SetScale\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The factor by which the input time is scaled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Periodic\"\n"
"         command=\"SetPeriodic\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If Periodic is true, requests for time will be wrapped around so that\n"
"          the source appears to be a periodic time source. If data exists for times\n"
"          {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n"
"          N, 2N, 2N etc is requested. This effectively gives the source the ability to\n"
"          generate time data indefinitely in a loop.\n"
"          When combined with Shift/Scale, the time becomes periodic in the\n"
"          shifted and scaled time frame of reference.\n"
"          Note: Since the input time may not start at zero, the wrapping of time\n"
"          from the end of one period to the start of the next, will subtract the\n"
"          initial time - a source with T{5..6} repeated periodicaly will have output\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface20 =
"          time {5..6..7..8} etc.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"PeriodicEndCorrection\"\n"
"         command=\"SetPeriodicEndCorrection\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If Periodic time is enabled, this flag determines if the last time step is the same\n"
"          as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n"
"          data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n"
"          same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n"
"          is the same as 0 and step 0 is not repeated. When this flag is false\n"
"          the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...\n"
"          By default this flag is ON\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"MaximumNumberOfPeriods\"\n"
"         command=\"SetMaximumNumberOfPeriods\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"        <Documentation>\n"
"          If Periodic time is enabled, this controls how many time periods time is reported\n"
"          for. A filter cannot output an infinite number of time steps and therefore a finite\n"
"          number of periods is generated when reporting time.\n"
"      </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End TemporalShiftScale -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"     <SourceProxy name=\"TemporalStatistics\" class=\"vtkTemporalStatistics\"\n"
"                  label=\"Temporal Statistics\">\n"
"       <Documentation short_help=\"Compute Temporal Statistics\"\n"
"                      long_help=\"Loads in all time steps of a data set and computes some statistics about how each point and cell variable changes over time.\">\n"
"         Given an input that changes over time, vtkTemporalStatistics looks\n"
"         at the data for each time step and computes some statistical\n"
"         information of how a point or cell variable changes over time.  For\n"
"         example, vtkTemporalStatistics can compute the average value of\n"
"         \"pressure\" over time of each point.\n"
"\n"
"         Note that this filter will require the upstream filter to be run on\n"
"         every time step that it reports that it can compute.  This may be a\n"
"         time consuming operation.\n"
"\n"
"         vtkTemporalStatistics ignores the temporal spacing.  Each timestep\n"
"         will be weighted the same regardless of how long of an interval it\n"
"         is to the next timestep.  Thus, the average statistic may be quite\n"
"         different from an integration of the variable if the time spacing\n"
"         varies.\n"
"       </Documentation>\n"
"\n"
"       <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"         <ProxyGroupDomain name=\"groups\">\n"
"           <Group name=\"sources\" />\n"
"           <Group name=\"filters\" />\n"
"         </ProxyGroupDomain>\n"
"         <DataTypeDomain name=\"input_type\">\n"
"           <DataType value=\"vtkDataSet\" />\n"
"         </DataTypeDomain>\n"
"         <Documentation>\n"
"           Set the input to the Temporal Statistics filter.\n"
"         </Documentation>\n"
"       </InputProperty>\n"
"\n"
"       <IntVectorProperty name=\"ComputeAverage\"\n"
"                          command=\"SetComputeAverage\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           Compute the average of each point and cell variable over time.\n"
"         </Documentation>\n"
"       </IntVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"ComputeMinimum\"\n"
"                          command=\"SetComputeMinimum\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           Compute the minimum of each point and cell variable over time.\n"
"         </Documentation>\n"
"       </IntVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"ComputeMaximum\"\n"
"                          command=\"SetComputeMaximum\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           Compute the maximum of each point and cell variable over time.\n"
"         </Documentation>\n"
"       </IntVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"ComputeStandardDeviation\"\n"
"                          command=\"SetComputeStandardDeviation\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           Compute the standard deviation of each point and cell variable over time.\n"
"         </Documentation>\n"
"       </IntVectorProperty>\n"
"\n"
"       <!-- End TemporalStatistics -->\n"
"     </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"\n"
"    <SourceProxy name=\"ParticlePathLines\"\n"
"              class=\"vtkTemporalPathLineFilter\"\n"
"              label=\"Particle Pathlines\">\n"
"      <Documentation\n"
"         long_help=\"Creates polylines representing pathlines of animating particles\"\n"
"         short_help=\"Particle Pathlines\">\n"
"        Particle Pathlines takes any dataset as input, it extracts the\n"
"        point locations of all cells over time to build up a polyline\n"
"        trail.  The point number (index) is used as the 'key' if the points\n"
"        are randomly changing their respective order in the points list,\n"
"        then you should specify a scalar that represents the unique\n"
"        ID. This is intended to handle the output of a filter such as the\n"
"        TemporalStreamTracer.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort name=\"Pathlines\" index=\"0\" />\n"
"      <OutputPort name=\"Particles\" index=\"1\" />\n"
"\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPointSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                          optional=\"1\"/>\n"
"        <Documentation>\n"
"          The input cells to create pathlines for.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty\n"
"         name=\"Selection\"\n"
"         command=\"SetSelectionConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Hints>\n"
"          <Optional />\n"
"        </Hints>\n"
"        <Documentation>\n"
"          Set a second input, which is a selection. Particles with the same\n"
"          Id in the selection as the primary input will be chosen for\n"
"          pathlines Note that you must have the same IdChannelArray in the\n"
"          selection as the input\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"MaskPoints\"\n"
"          command=\"SetMaskPoints\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"100\" >\n"
"        <Documentation>\n"
"          Set the number of particles to track as a ratio of the input.\n"
"          Example: setting MaskPoints to 10 will track every 10th point.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"          name=\"MaxTrackLength\"\n"
"          command=\"SetMaxTrackLength\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"25\" >\n"
"        <Documentation>\n"
"          If the Particles being traced animate for a long time, the trails\n"
"          or traces will become long and stringy. Setting the\n"
"          MaxTraceTimeLength will limit how much of the trace is\n"
"          displayed. Tracks longer then the Max will disappear and the\n"
"          trace will apppear like a snake of fixed length which progresses\n"
"          as the particle moves.  This length is given with respect to\n"
"          timesteps.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"MaxStepDistance\"\n"
"         command=\"SetMaxStepDistance\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          If a particle disappears from one end of a simulation and\n"
"          reappears on the other side, the track left will be\n"
"          unrepresentative.  Set a MaxStepDistance{x,y,z} which acts as a\n"
"          threshold above which if a step occurs larger than the value (for\n"
"          the dimension), the track will be dropped and restarted after the\n"
"          step. (ie the part before the wrap around will be dropped and the\n"
"          newer part kept).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"IdChannelArray\"\n"
"          command=\"SetIdChannelArray\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"Global or Local IDs\"\n"
"          animateable=\"0\">\n"
"          <ArrayListDomain\n"
"            name=\"array_list\" attribute_type=\"Scalars\"\n"
"            none_string=\"Global or Local IDs\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"        <Documentation>\n"
"          Specify the name of a scalar array which will be used to fetch\n"
"          the index of each point. This is necessary only if the particles\n"
"          change position (Id order) on each time step. The Id can be used\n"
"          to identify particles at each step and hence track them properly.\n"
"          If this array is set to \"Global or Local IDs\", the global point\n"
"          ids are used if they exist or the point index is otherwise.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"   </SourceProxy>\n"
"\n"
"   <!-- End TemporalPathLineFilter -->\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ParticleTracer\" class=\"vtkTemporalStreamTracer\">\n"
"    <Documentation\n"
"       long_help=\"Trace Particles through time in a vector field.\"\n"
"       short_help=\"Trace Particles through time in a vector field.\">\n"
"The Particle Trace filter generates pathlines in a vector field from a collection of seed points. The vector field used is selected from the Vectors menu, so the input data set is required to have point-centered vectors. The Seed portion of the interface allows you to select whether the seed points for this integration lie in a point cloud or along a line. Depending on which is selected, the appropriate 3D widget (point or line widget) is displayed along with traditional user interface controls for positioning the point cloud or line within the data set. Instructions for using the 3D widgets and the corresponding manual controls can be found in section 7.4.\n"
"This filter operates on any type of data set, provided it has point-centered vectors. The output is polygonal data containing polylines. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"AddInputConnection\"\n"
"        clean_command=\"RemoveAllInputs\"\n"
"        multiple_input=\"1\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"         <DataType value=\"vtkDataObject\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                         number_of_components=\"3\"/>\n"
"       <Documentation>\n"
"           Specify which is the Input of the StreamTracer filter.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"      <InputProperty\n"
"         name=\"Source\"\n"
"         command=\"AddSourceConnection\"\n"
"         clean_command=\"RemoveAllSources\"\n"
"         multiple_input=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"            Specify the seed dataset. Typically fron where the vector field\n"
"            integration should begin. Usually a point/radius or a line with a\n"
"            given resolution.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"<!--\n"
"     <DoubleVectorProperty\n"
"        name=\"TimeStepResolution\"\n"
"        command=\"SetTimeStepResolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"-->\n"
"     <IntVectorProperty\n"
"       name=\"TimeStep\"\n"
"       command=\"SetTimeStep\"\n"
"       number_of_elements=\"1\"\n"
"       animateable=\"1\"\n"
"       default_values=\"0\"\n"
"       information_property=\"TimestepValues\">\n"
"\n"
"       <IntRangeDomain name=\"range\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"TimeStepRangeInfo\" function=\"Range\"/>\n"
"         </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"         Set/Get the TimeStep. This is the primary means of advancing\n"
"         the particles. The TimeStep should be animated and this will drive\n"
"         the pipeline forcing timesteps to be fetched from upstream.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"StaticSeeds\"\n"
"        command=\"SetStaticSeeds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Force the use of static seed optimizations\n"
"      </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"StaticMesh\"\n"
"        command=\"SetStaticMesh\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface21 =
"       <Documentation>\n"
"         Force the use of static mesh optimizations\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ForceReinjectionEveryNSteps\"\n"
"        command=\"SetForceReinjectionEveryNSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <Documentation>\n"
"         When animating particles, it is nice to inject new ones every Nth step\n"
"         to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a\n"
"         non zero value will cause the particle source to reinject particles\n"
"         every Nth step even if it is otherwise unchanged.\n"
"         Note that if the particle source is also animated, this flag will be\n"
"         redundant as the particles will be reinjected whenever the source changes\n"
"         anyway\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputVectors\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"               Specify which vector array should be used for the integration\n"
"               through that filter.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"InitialIntegrationStep\"\n"
"        command=\"SetInitialIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.25\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Specify the Initial step size used for line integration, expressed in:\n"
"          LENGTH_UNIT      = 1\n"
"          CELL_LENGTH_UNIT = 2\n"
"          (either the starting size for an adaptive integrator, e.g., RK45,\n"
"          or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ComputeVorticity\"\n"
"         command=\"SetComputeVorticity\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Compute vorticity and angular rotation of particles as they progress\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"<!--\n"
"      <IntVectorProperty\n"
"        name=\"InitialIntegrationStepUnit\"\n"
"        command=\"SetInitialIntegrationStepUnit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Time\"/>\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IntegratorType\"\n"
"        command=\"SetIntegratorType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Runge-Kutta 2\"/>\n"
"         <Entry value=\"1\" text=\"Runge-Kutta 4\"/>\n"
"         <Entry value=\"2\" text=\"Runge-Kutta 4-5\"/>\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumError\"\n"
"        command=\"SetMaximumError\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MinimumIntegrationStepUnit\"\n"
"        command=\"SetMinimumIntegrationStepUnit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Time\"/>\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinimumIntegrationStep\"\n"
"        command=\"SetMinimumIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumIntegrationStepUnit\"\n"
"        command=\"SetMaximumIntegrationStepUnit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Time\"/>\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumIntegrationStep\"\n"
"        command=\"SetMaximumIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"-->\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TerminationTime\"\n"
"         command=\"SetTerminationTime\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Setting TerminationTime to a positive value will cause particles\n"
"          to terminate when the time is reached. Use a vlue of zero to\n"
"          diable termination. The units of time should be consistent with the\n"
"          primary time variable.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"TerminationTimeUnit\"\n"
"        label=\"Termination Time Unit\"\n"
"        command=\"SetTerminationTimeUnit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Simulation Time\"/>\n"
"         <Entry value=\"1\" text=\"TimeSteps\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The termination time may be specified as TimeSteps or Simulation  time\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TerminalSpeed\"\n"
"         label=\"Term. Speed\"\n"
"         command=\"SetTerminalSpeed\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.000000000001\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          If at any point the speed is below the value of this property, the integration is terminated.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"IgnorePipelineTime\"\n"
"         command=\"SetIgnorePipelineTime\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Ignore the TIME_ requests made by the pipeline and only use the TimeStep set manually\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"ParticleFileName\"\n"
"         command=\"SetParticleFileName\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"/project/csvis/biddisco/ptracer/run-1\">\n"
"        <Documentation>\n"
"          Provide a name for the particle file generated if writing is enabled\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"EnableParticleWriting\"\n"
"         command=\"SetEnableParticleWriting\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Turn On/Off particle writing\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End ParticleTracer -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"StructuredGridOutlineFilter\"\n"
"                class=\"vtkStructuredGridOutlineFilter\"\n"
"                label=\"Outline Curvilinear DataSet\">\n"
"      <Documentation\n"
"         long_help=\"This filter generates an outline representation of the input.\"\n"
"         short_help=\"Generates an outline.\">\n"
"The Outline filter generates an outline of the outside edges of the input dataset, rather than the dataset's bounding box. This filter operates on structured grid datasets and produces polygonal output.\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkStructuredGrid\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the outline (curvilinear) filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"   <!-- End StructuredGridOutlineFilter -->\n"
"   </SourceProxy>\n"
"\n"
"  <SourceProxy name=\"GenericClip\" class=\"vtkGenericClip\" label=\"Clip Generic Dataset\">\n"
"    <Documentation\n"
"       long_help=\"Clip with an implicit plane, sphere or with scalars. Clipping does not reduce the dimensionality of the data set.  This output data type of this filter is always an unstructured grid.\"\n"
"       short_help=\"Clip with an implicit plane, sphere or with scalars.\">\n"
"The Generic Clip filter cuts away a portion of the input data set using a plane, a sphere, a box, or a scalar value. The menu in the Clip Function portion of the interface allows the user to select which implicit function to use or whether to clip using a scalar value. Making this selection loads the appropriate user interface. For the implicit functions, the appropriate 3D widget (plane, sphere, or box) is also displayed. The use of these 3D widgets, including their user interface components, is discussed in section 7.4.\n"
"If an implicit function is selected, the clip filter returns that portion of the input data set that lies inside the function. If Scalars is selected, then the user must specify a scalar array to clip according to. The clip filter will return the portions of the data set whose value in the selected Scalars array is larger than the Clip value. Regardless of the selection from the Clip Function menu, if the Inside Out option is checked, the opposite portions of the data set will be returned.\n"
"This filter operates on all types of data sets, and it returns unstructured grid data on output.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkGenericDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            optional=\"1\"/>\n"
"          <Documentation>\n"
"            Set the input to the Generic Clip filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"ClipFunction\" command=\"SetClipFunction\"\n"
"        label=\"Clip Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"               <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Scalar\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             Set the parameters of the clip function.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InputBounds\"  information_only=\"1\">\n"
"       <BoundsDomain name=\"bounds\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Scalars\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"           <Documentation>\n"
"             If clipping with scalars, this property specifies the name of the scalar array on which to perform the clip operation.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"InsideOut\"\n"
"        command=\"SetInsideOut\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Choose which portion of the dataset should be clipped away.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Value\"\n"
"        command=\"SetValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"          <ArrayRangeDomain name=\"scalar_range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <DoubleRangeDomain name=\"range\"/>\n"
"          <Documentation>\n"
"            If clipping with a scalar array, choose the clipping value.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End GenericClip -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GenericContour\" class=\"vtkGenericContourFilter\" label=\"Contour Generic Dataset\">\n"
"    <Documentation\n"
"       long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"       short_help=\"Generate isolines or isosurfaces.\">\n"
"The Generic Contour filter computes isolines or isosurfaces using a selected point-centered scalar array. The available scalar arrays are listed in the Scalars menu. The scalar range of the selected array will be displayed.\n"
"The interface for adding contour values is very similar to the one for selecting cut offsets (in the Cut filter). To add a single contour value, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced contours, use the controls in the Generate range of values section. Select the number of contour values to generate using the Number of Values slider. The Range slider controls the interval in which to generate the contour values. Once the number of values and range have been selected, click the Generate button. The new values will be added to the Contour Values list. To delete a value from the Contour Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list. If no values are in the Contour Values list when Accept is pressed, the current value of the New Value slider will be used.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface22 =
"In addition to selecting contour values, you can also select additional computations to perform. If any of Compute Normals, Compute Gradients, or Compute Scalars is selected, the appropriate computation will be performed, and a corresponding point-centered array will be added to the output.\n"
"The Generic Contour filter operates on a generic data set, but the input is required to have at least one point-centered scalar (single-component) array. The output of this filter is polygonal.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkGenericDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"1\" optional=\"1\"/>\n"
"          <Documentation>\n"
"            Set the input to the Generic Contour filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SelectInputScalars\"\n"
"        command=\"SetInputArrayToProcess\"\n"
"        number_of_elements=\"5\"\n"
"        element_types=\"0 0 0 0 2\"\n"
"        animateable=\"0\"\n"
"        label=\"Contour By\">\n"
"          <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"           <FieldDataDomain name=\"field_list\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </FieldDataDomain>\n"
"          <Documentation>\n"
"            This property specifies the name of the scalar array from which the contour filter will compute isolines and/or isosurfaces.\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ContourValues\"\n"
"        command=\"SetValue\"\n"
"        label=\"Isosurfaces\"\n"
"        set_number_command=\"SetNumberOfContours\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\"\n"
"        animateable=\"1\">\n"
"          <ArrayRangeDomain name=\"scalar_range\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"               <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayRangeDomain>\n"
"          <Documentation>\n"
"            This property specifies the values at which to compute isosurfaces/isolines and also the number of such values.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeNormals\"\n"
"        command=\"SetComputeNormals\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Select whether to compute normals.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeGradients\"\n"
"        command=\"SetComputeGradients\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Select whether to compute gradients.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeScalars\"\n"
"        command=\"SetComputeScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Select whether to compute scalars.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"     </Hints>\n"
"\n"
"     <!-- incremental point locator begin -->\n"
"     <ProxyProperty name=\"Locator\" command=\"SetLocator\"\n"
"       label=\"Point Merge Method\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"incremental_point_locators\" />\n"
"       </ProxyGroupDomain>\n"
"       <ProxyListDomain name=\"proxy_list\">\n"
"         <Proxy group=\"incremental_point_locators\" name=\"MergePoints\" />\n"
"         <Proxy group=\"incremental_point_locators\" name=\"IncrementalOctreeMergePoints\" />\n"
"         <Proxy group=\"incremental_point_locators\" name=\"NonMergingPointLocator\" />\n"
"       </ProxyListDomain>\n"
"       <Documentation>\n"
"         This property specifies an incremental point locator for merging duplicate / coincident points.\n"
"       </Documentation>\n"
"     </ProxyProperty>\n"
"     <!-- incremental point locator end -->\n"
"\n"
"   <!-- End GenericContour -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
" <SourceProxy name=\"GenericCut\" class=\"vtkGenericCutter\" label=\"Slice Generic Dataset\">\n"
"    <Documentation\n"
"       long_help=\"This filter cuts a data set with a plane or sphere.  Cutting is similar to a contour.  It creates surfaces from volumes and lines from surfaces.\"\n"
"       short_help=\"Cut datasets with planes or spheres.\">\n"
"The Generic Cut filter extracts the portion of the input data set that lies along the specified plane or sphere. From the Cut Function menu, you can select whether cutting will be performed with a plane or a sphere. The appropriate 3D widget (plane widget or sphere widget) will be displayed. The parameters of the cut function can be specified interactively using the 3D widget or manually using the traditional user interface controls. Instructions for using these 3D widgets and their corresponding user interfaces are found in section 7.4.\n"
"By default, the cut lies on the specified plane or sphere. Using the Cut Offset Values portion of the interface, it is also possible to cut the data set at some offset from the original cut function. The Cut Offset Values are in the spatial units of the data set. To add a single offset, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced offsets, use the controls in the Generate range of values section. Select the number of offsets to generate using the Number of Values slider. The Range slider controls the interval in which to generate the offsets. Once the number of values and range have been selected, click the Generate button. The new offsets will be added to the Offset Values list. To delete a value from the Cut Offset Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list.\n"
"The Generic Cut filter takes a generic dataset as input. Use the Input menu to choose a data set to cut. The output of this filter is polygonal data.\n"
"    </Documentation>\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkGenericDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Generic Cut filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <ProxyProperty name=\"CutFunction\" command=\"SetCutFunction\"\n"
"        label=\"Cut Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             Set the parameters to the implicit function used for cutting.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InputBounds\"  information_only=\"1\">\n"
"       <BoundsDomain name=\"bounds\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ContourValues\"\n"
"        command=\"SetValue\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetNumberOfContours\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\"\n"
"        animateable=\"1\"\n"
"        label=\"Slice Offset Values\">\n"
"          <BoundsDomain name=\"bounds\" mode=\"magnitude\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </BoundsDomain>\n"
"          <Documentation>\n"
"            The values in this property specify a list of current offset values. This can be used to create multiple slices with different centers. Each entry represents a new slice with its center shifted by the offset value.\n"
"          </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End GenericCut -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"  <SourceProxy name=\"GenericGeometryFilter\" class=\"vtkGenericGeometryFilter\"\n"
"               label=\"Extract Generic Dataset Surface\">\n"
"     <Documentation\n"
"         long_help=\"Extract geometry from a higher-order dataset\"\n"
"         short_help=\"Extract geometry from a higher-order dataset\">\n"
"Extract geometry from a higher-order dataset.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkGenericDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Generic Geometry Filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PassThroughCellIds\"\n"
"        command=\"SetPassThroughCellIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Select whether to forward original ids.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"\n"
"   <!-- End GenericGeometryFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
" <SourceProxy name=\"GenericOutlineFilter\" class=\"vtkGenericOutlineFilter\"\n"
"     label=\"Outline Generic DataSet\">\n"
"     <Documentation\n"
"       long_help=\"This filter generates a bounding box representation of the input.\"\n"
"       short_help=\"Generates a bounding box.\">\n"
"The Generic Outline filter generates an axis-aligned bounding box for the input data set. The Input menu specifies the data set for which to create a bounding box. This filter operates on generic data sets and produces polygonal output.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkGenericDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Generic Outline filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"     </Hints>\n"
"   <!-- End  GenericOutlineFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
" <SourceProxy name=\"GenericStreamTracer\" class=\"vtkGenericStreamTracer\"\n"
"              label=\"Stream Tracer For Generic Datasets\">\n"
"    <Documentation\n"
"       long_help=\"Integrate streamlines in a vector field.\"\n"
"       short_help=\"Integrate streamlines in a vector field.\">\n"
"The Generic Stream Tracer filter generates streamlines in a vector field from a collection of seed points. The vector field used is selected from the Vectors menu, so the input data set is required to have point-centered vectors. The Seed portion of the interface allows you to select whether the seed points for this integration lie in a point cloud or along a line. Depending on which is selected, the appropriate 3D widget (point or line widget) is displayed along with traditional user interface controls for positioning the point cloud or line within the data set. Instructions for using the 3D widgets and the corresponding manual controls can be found in section 7.4.\n"
"The Max. Propagation entry box allows you to specify the maximum length of the streamlines. From the Max. Propagation menu, you can select the units to be either Time (the time a particle would travel with steady flow) or Length (in the data set's spatial coordinates).\n"
"The Init. Step Len. menu and entry specify the initial step size for integration. (For non-adaptive integrators, Runge-Kutta 2 and 4, the initial step size is used throughout the integration.) The menu allows you to specify the units. Time and Length have the same meaning as for Max. Propagation. Cell Length specifies the step length as a number of cells.\n"
"The Integration Direction menu determines in which direction(s) the stream trace will be generated: FORWARD, BACKWARD, or BOTH.\n"
"The Integrator Type section of the interface determines which calculation to use for integration: Runge-Kutta 2, Runge-Kutta 4, or Runge-Kutta 4-5. If Runge-Kutta 4-5 is selected, controls are displayed for specifying the minimum and maximum step length and the maximum error. The controls for specifying Min. Step Len. and Max. Step Len. are the same as those for Init. Step Len. The Runge-Kutta 4-5 integrator tries to choose the step size so that the estimated error is less than the value of the Maximum Error entry.\n"
"If the integration takes more than Max. Steps to complete, if the speed goes below Term. Speed, if Max. Propagation is reached, or if a boundary of the input data set is crossed, integration terminates.\n"
"This filter operates on any type of data set, provided it has point-centered vectors. The output is polygonal data containing polylines.\n"
"    </Documentation>\n"
"\n"
"    <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"AddInputConnection\"\n"
"       clean_command=\"RemoveAllInputs\"\n"
"       multiple_input=\"1\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface23 =
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkGenericDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\" attribute_type=\"point\"\n"
"                            number_of_components=\"3\"/>\n"
"          <Documentation>\n"
"            Set the input to the Generic Stream Tracer filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"        name=\"Source\"\n"
"        command=\"SetSourceConnection\"\n"
"        label=\"Seed Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"extended_sources\" name=\"PointSource\" />\n"
"              <Proxy group=\"extended_sources\" name=\"HighResLineSource\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             The value of this property determines how the seeds for the streamlines will be generated.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectInputVectors\"\n"
"       command=\"SetInputArrayToProcess\"\n"
"       number_of_elements=\"5\"\n"
"       element_types=\"0 0 0 0 2\"\n"
"       animateable=\"0\"\n"
"       label=\"Vectors\">\n"
"           <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"Input\" function=\"Input\"/>\n"
"             </RequiredProperties>\n"
"           </ArrayListDomain>\n"
"           <Documentation>\n"
"             This property contains the name of the vector array from which to generate streamlines.\n"
"           </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumPropagation\"\n"
"        command=\"SetMaximumPropagation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"       <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"1.0\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </BoundsDomain>\n"
"       <Documentation>\n"
"         Specify the maximum streamline length.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"InitialIntegrationStep\"\n"
"        command=\"SetInitialIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.5\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Specify the initial integration step.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IntegrationDirection\"\n"
"        command=\"SetIntegrationDirection\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"FORWARD\"/>\n"
"         <Entry value=\"1\" text=\"BACKWARD\"/>\n"
"         <Entry value=\"2\" text=\"BOTH\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines in which direction(s) a streamline is generated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IntegratorType\"\n"
"        command=\"SetIntegratorType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Runge-Kutta 2\"/>\n"
"         <Entry value=\"1\" text=\"Runge-Kutta 4\"/>\n"
"         <Entry value=\"2\" text=\"Runge-Kutta 4-5\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property determines which integrator (with increasing accuracy) to use for creating streamlines.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumError\"\n"
"        command=\"SetMaximumError\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Set the maximum error allowed in the integration. The meaning of\n"
"         this value depends on the integrator chosen.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinimumIntegrationStep\"\n"
"        command=\"SetMinimumIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Specify the minimum integration step.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IntegrationStepUnit\"\n"
"        command=\"SetIntegrationStepUnit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Time\"/>\n"
"         <Entry value=\"1\" text=\"Length\"/>\n"
"         <Entry value=\"2\" text=\"Cell Length\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Choose the unit to use for the integration step.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumIntegrationStep\"\n"
"        command=\"SetMaximumIntegrationStep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.01\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Specify the maximum integration step.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MaximumNumberOfSteps\"\n"
"        command=\"SetMaximumNumberOfSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2000\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Specify the maximum number of steps used in the integration.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TerminalSpeed\"\n"
"        command=\"SetTerminalSpeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.000000000001\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         If at any point the speed is below this value, the integration is terminated.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"2\" />\n"
"     </Hints>\n"
"   <!-- End GenericStreamTracer -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"  <SourceProxy name=\"GenericTessellator\" class=\"vtkGenericDataSetTessellator\"\n"
"               label=\"Tessellate Generic Dataset\">\n"
"     <Documentation\n"
"         long_help=\"Tessellate a higher-order dataset\"\n"
"         short_help=\"Tessellate a higher-order dataset\">\n"
"Tessellate a higher-order dataset.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkGenericDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Generic Tessellator filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"   <!-- End GenericTessellator -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"GroupDataSets\" class=\"vtkMultiBlockDataGroupFilter\"\n"
"    label=\"Group Datasets\">\n"
"    <Documentation\n"
"        long_help=\"Group data sets.\"\n"
"        short_help=\"Group multiple inputs into one collection.\">\n"
"        Groups multiple datasets to create a multiblock dataset\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"AddInputConnection\"\n"
"        clean_command=\"RemoveAllInputs\"\n"
"        multiple_input=\"1\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"             <DataType value=\"vtkDataObject\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property indicates the the inputs to the Group Datasets filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"     <Hints>\n"
"       <Visibility replace_input=\"1\" />\n"
"     </Hints>\n"
"   <!-- End GroupDataSets -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"BlockIdScalars\" class=\"vtkBlockIdScalars\"\n"
"      label=\"Block Scalars\">\n"
"     <Documentation\n"
"        long_help=\"The Level Scalars filter uses colors to show levels of a multiblock dataset.\"\n"
"        short_help=\"Generate point scalars from level.\">\n"
"        The Level Scalars filter uses colors to show levels of a multiblock dataset.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Level Scalars filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"   <!-- End GroupIdScalars -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"LevelIdScalars\" class=\"vtkLevelIdScalars\"\n"
"      label=\"Level Scalars\">\n"
"     <Documentation\n"
"        long_help=\"The Level Scalars filter uses colors to show levels of a hierarchical dataset.\"\n"
"        short_help=\"Generate point scalars from level.\">\n"
"        The Level Scalars filter uses colors to show levels of a hierarchical dataset.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkHierarchicalBoxDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Level Scalars filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"   <!-- End GroupIdScalars -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"GeometryFilter\" class=\"vtkPVGeometryFilter\">\n"
"      <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <!-- Does this have any data type domain? -->\n"
"          <Documentation>\n"
"            Set the input to the Geoemtry Filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"        name=\"UseStrips\"\n"
"        command=\"SetUseStrips\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Toggle whether to generate faces containing triangle strips.\n"
"          This should render faster and use less memory, but no cell data is copied.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"ForceStrips\"\n"
"        command=\"SetForceUseStrips\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This makes UseStrips call Modified() after changing its setting to ensure that the filter's output is immediatley changed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"UseOutline\"\n"
"        command=\"SetUseOutline\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Toggle whether to generate an outline or a surface.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"NonlinearSubdivisionLevel\"\n"
"                         command=\"SetNonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"4\" />\n"
"        <Documentation>\n"
"          Nonlinear faces are approximated with flat polygons.  This\n"
"          parameter controls how many times to subdivide nonlinear surface\n"
"          cells.  Higher subdivisions generate closer approximations but\n"
"          take more memory and rendering time.  Subdivision is recursive,\n"
"          so the number of output polygons can grow exponentially with this\n"
"          parameter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"PassThroughIds\"\n"
"        command=\"SetPassThroughCellIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If on, the output polygonal dataset will have a celldata array that holds the cell index of the original 3D cell that produced each output cell. This is useful for cell picking.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"PassThroughPointIds\"\n"
"        command=\"SetPassThroughPointIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If on, the output polygonal dataset will have a pointdata array that holds the point index of the original 3D vertex that produced each output vertex. This is useful for picking.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"MakeOutlineOfInput\"\n"
"        command=\"SetMakeOutlineOfInput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Causes filter to try to make geometry of input to the algorithm on its input.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    <!-- End GeometryFilter -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"FlattenFilter\" class=\"vtkMergeCompositeDataSet\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface24 =
"      <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPointSet\"/>\n"
"            <DataType value=\"vtkGraph\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Flatten Filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"OrderedCompositeDistributor\"\n"
"                 class=\"vtkOrderedCompositeDistributor\">\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Set the input to the Ordered Composite Distributor filter.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty name=\"PassThrough\"\n"
"                         command=\"SetPassThrough\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Toggle whether to pass the data through without compositing.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty name=\"PKdTree\" command=\"SetPKdTree\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"locators\"/>\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Set the vtkPKdTree to distribute with.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      <StringVectorProperty name=\"OutputType\"\n"
"                            command=\"SetOutputType\"\n"
"                            number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          When not empty, the output will be converted to the given type.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    <!-- End OrderedCompositeDistributor -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"UpdateSuppressor2\" class=\"vtkPVUpdateSuppressor\"\n"
"      executive=\"vtkUpdateSuppressorPipeline\">\n"
"\n"
"      <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <Documentation>\n"
"            Set the input to the Update Suppressor filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Property name=\"ForceUpdate\" command=\"ForceUpdate\" />\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether the update suppressor is enabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"UpdateTime\"\n"
"        command=\"SetUpdateTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\"\n"
"        immediate_update=\"1\"\n"
"        is_internal=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End UpdateSuppressor2 -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"CacheKeeper\" class=\"vtkPVCacheKeeper\"\n"
"      executive=\"vtkPVCacheKeeperPipeline\">\n"
"      <Documentation>\n"
"        vtkPVCacheKeeper manages data cache for flip book animations.  When\n"
"        caching is disabled, this simply acts as a pass through filter.  When\n"
"        caching is enabled, is the current time step has been previously cached\n"
"        then this filter shuts the update request, otherwise propagates the\n"
"        update and then cache the result for later use.  The current time step\n"
"        is set using SetCacheTime().\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <Documentation>\n"
"            Set the input to the Update Suppressor filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Property name=\"RemoveAllCaches\" command=\"RemoveAllCaches\" />\n"
"\n"
"      <DoubleVectorProperty name=\"CacheTime\"\n"
"        command=\"SetCacheTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CachingEnabled\"\n"
"        command=\"SetCachingEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle whether the caching is enabled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of CacheKeeper -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"MPIMoveData\" class=\"vtkMPIMoveData\">\n"
"      <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <!-- Does this have any data type domain? -->\n"
"          <Documentation>\n"
"            Set the input to the MPI Move Data filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"        name=\"MoveMode\"\n"
"        command=\"SetMoveMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"PassThrough\" />\n"
"          <Entry value=\"1\" text=\"Collect\" />\n"
"          <Entry value=\"2\" text=\"Clone\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify how the data is to be redistributed.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"OutputDataType\"\n"
"        command=\"SetOutputDataType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"PolyData\" />\n"
"          <Entry value=\"4\" text=\"Unstructured Grid\" />\n"
"          <Entry value=\"6\" text=\"ImageData\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify the type of the dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    <!-- End MPIMoveData -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ClientServerMoveData\" class=\"vtkClientServerMoveData\"\n"
"      processes=\"client|dataserver\">\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <Documentation>\n"
"            Set the input to the Client Server Move Data filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"      <IntVectorProperty\n"
"        name=\"OutputDataType\"\n"
"        command=\"SetOutputDataType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"WholeExtent\"\n"
"        command=\"SetWholeExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 -1 0 -1 0 -1\">\n"
"      </IntVectorProperty>\n"
"    <!-- End ClientServerMoveData -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"ReductionFilter\" class=\"vtkReductionFilter\">\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <Documentation>\n"
"            Set the input to the Reduction filter.\n"
"          </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty name=\"PreGatherHelperName\"\n"
"         command=\"SetPreGatherHelperName\"\n"
"         number_of_elements=\"1\">\n"
"         <Documentation>\n"
"           Set the algorithm that runs on each node in parallel.\n"
"         </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"PostGatherHelperName\"\n"
"         command=\"SetPostGatherHelperName\"\n"
"         number_of_elements=\"1\">\n"
"         <Documentation>\n"
"           Set the algorithm that takes multiple inputs and produces a single reduced output.\n"
"         </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"PostGatherHelper\"\n"
"        command=\"SetPostGatherHelper\"/>\n"
"\n"
"      <ProxyProperty name=\"PreGatherHelper\"\n"
"        command=\"SetPreGatherHelper\"/>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"PassThrough\"\n"
"         command=\"SetPassThrough\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"-1\">\n"
"        <IntRangeDomain name=\"range\" min=\"-1\"/>\n"
"        <Documentation>\n"
"          If set to a non-negative value, then produce results using only the node Id specified.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"         name=\"GenerateProcessIds\"\n"
"         command=\"SetGenerateProcessIds\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If true, the filter will generate vtkOriginalProcessIds arrays\n"
"          indicating the process id on which the cell/point was generated.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    <!-- End ReductionFilter -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractHierarchicalLevel\" class=\"vtkExtractLevel\"\n"
"     label=\"Extract Level\">\n"
"     <Documentation\n"
"        long_help=\"This filter extracts a range of groups from a hierarchical dataset.\"\n"
"        short_help=\"Extract level.\">\n"
"      This filter extracts a range of levels from a hierarchical dataset\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkHierarchicalBoxDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Extract Group filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Levels\"\n"
"        command=\"AddLevel\"\n"
"        clean_command=\"RemoveAllLevels\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\">\n"
"        <Hints>\n"
"          <!-- Tells the widget not to use flat-indicies for this property.\n"
"                Only needed when number_of_elements_per_command==1\n"
"          -->\n"
"          <UseFlatIndex value=\"0\" />\n"
"        </Hints>\n"
"       <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"          <!-- mode=\"leaves\" since multi-pieces are treated as a single leaf\n"
"               node wth the exception of vtkExtractDataSets -->\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"       <Documentation>\n"
"         This property lists the levels to extract\n"
"         from the input hierarchical dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"    <!-- End ExtractHierarchicalLevel -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractBlock\" class=\"vtkExtractBlock\"\n"
"     label=\"Extract Block\">\n"
"     <Documentation\n"
"        long_help=\"This filter extracts a range of blocks from a multiblock dataset.\"\n"
"        short_help=\"Extract block.\">\n"
"This filter extracts a range of groups from a multiblock dataset\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Extract Group filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"BlockIndices\"\n"
"        command=\"AddIndex\"\n"
"        clean_command=\"RemoveAllIndices\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\">\n"
"       <CompositeTreeDomain name=\"tree\" mode=\"all\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"       <Documentation>\n"
"         This property lists the ids of the blocks to extract\n"
"         from the input multiblock dataset.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"PruneOutput\"\n"
"        command=\"SetPruneOutput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the output mutliblock dataset will be pruned to remove empty\n"
"          nodes. On by default.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"MaintainStructure\"\n"
"        command=\"SetMaintainStructure\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This is used only when PruneOutput is ON. By default, when pruning the\n"
"          output i.e. remove empty blocks, if node has only 1 non-null child\n"
"          block, then that node is removed. To preserve these parent nodes, set\n"
"          this flag to true.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"    <!-- End ExtractBlock -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface25 =
"   <SourceProxy name=\"ExtractHierarchicalDataSets\"\n"
"                class=\"vtkExtractDataSets\"\n"
"                label=\"Extract AMR Blocks\">\n"
"     <Documentation\n"
"        long_help=\"This filter extracts a list of datasets from hierarchical datasets.\"\n"
"        short_help=\"Extract datasets.\">\n"
"This filter extracts a list of datasets from hierarchical datasets.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkHierarchicalBoxDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             This property specifies the input to the Extract Datasets filter.\n"
"           </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SelectedDataSets\"\n"
"        command=\"AddDataSet\"\n"
"        clean_command=\"ClearDataSetList\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\">\n"
"       <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"        <Documentation>\n"
"          This property provides a list of datasets to extract.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End ExtractDataSets -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractHistogram\" class=\"vtkPExtractHistogram\"\n"
"                label=\"Histogram\">\n"
"     <Documentation\n"
"        long_help=\"Extract a histogram from field data.\"\n"
"        short_help=\"Extract a histogram from field data.\">\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <InputArrayDomain name=\"input_array\">\n"
"             <RequiredProperties>\n"
"                <Property name=\"SelectInputArray\"\n"
"                          function=\"FieldDataSelection\"/>\n"
"             </RequiredProperties>\n"
"          </InputArrayDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the Histogram filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"SelectInputArray\"\n"
"         command=\"SetInputArrayToProcess\"\n"
"         number_of_elements=\"5\"\n"
"         element_types=\"0 0 0 0 2\"\n"
"         animateable=\"0\">\n"
"          <ArrayListDomain name=\"array_list\"\n"
"                           attribute_type=\"Scalars\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <FieldDataDomain name=\"field_list\">\n"
"            <RequiredProperties>\n"
"               <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </FieldDataDomain>\n"
"          <Documentation>\n"
"            This property indicates the name of the array from which to compute the histogram.\n"
"          </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"BinCount\"\n"
"        command=\"SetBinCount\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"256\"/>\n"
"        <Documentation>\n"
"          The value of this property specifies the number of bins for the histogram.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Component\"\n"
"        command=\"SetComponent\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <NumberOfComponentsDomain name=\"comps\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"               <Property name=\"SelectInputArray\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </NumberOfComponentsDomain>\n"
"        <Documentation>\n"
"          The value of this property specifies the array component from which the histogram should be computed.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CalculateAverages\"\n"
"        command=\"SetCalculateAverages\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This option controls whether the algorithm calculates averages\n"
"         of variables other than the primary variable that fall into each\n"
"         bin.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"UseCustomBinRanges\"\n"
"       command=\"SetUseCustomBinRanges\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         When set to true, CustomBinRanges will  be used instead of using the\n"
"         full range for the selected array. By default, set to false.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"CustomBinRanges\"\n"
"       command=\"SetCustomBinRanges\"\n"
"       number_of_elements=\"2\"\n"
"       default_values=\"0.0 100.0\">\n"
"       <Documentation>\n"
"         Set custom bin ranges to use. These are used only when\n"
"         UseCustomBinRanges is set to true.\n"
"       </Documentation>\n"
"       <ArrayRangeDomain name=\"scalar_range\">\n"
"         <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SelectInputArray\" function=\"ArraySelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayRangeDomain>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <!-- View can be used to specify the preferred view for the proxy -->\n"
"       <View type=\"XYBarChartView\" />\n"
"       <Plotable />\n"
"     </Hints>\n"
"\n"
"   <!-- End ExtractHistogram -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ScatterPlot\" class=\"vtkPassThrough\"\n"
"                label=\"Scatter Plot\">\n"
"     <Documentation\n"
"        long_help=\"Creates a scatter plot from a dataset.\"\n"
"        short_help=\"Creates a scatter plot from a dataset.\">\n"
"        This filter creates a scatter plot from a dataset.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            This property specifies the input to the filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <Hints>\n"
"        <Visibility replace_input=\"0\" />\n"
"       <!-- View can be used to specify the preferred view for the proxy -->\n"
"       <View type=\"XYChartView\" />\n"
"       <Plotable />\n"
"     </Hints>\n"
"   <!-- End ScatterPlot -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"RectilinearGridGeometryFilter\" class=\"vtkRectilinearGridGeometryFilter\">\n"
"      <Documentation\n"
"         long_help=\"Extracts geometry for a rectilinear grid.  Output is a polydata dataset.\"\n"
"         short_help=\"Extracts geometry for a rectilinear grid.\">\n"
"         RectilinearGridGeometryFilter is a filter that extracts geometry from a rectilinear grid. By specifying appropriate i-j-k indices, it is possible to extract a point, a curve, a surface, or a \"volume\".  The volume is actually a (n x m x o) region of points.  The extent specification is zero-offset.  That is, the first k-plane in a 50x50x50 rectilinear grid is given by (0,49, 0,49, 0,0).\n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <Documentation>\n"
"             Set the input to the Rectilinear Grid Geometry filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"   <!-- End RectilinearGridGeometryFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"TextureMapToPlane\" class=\"vtkTextureMapToPlane\"\n"
"     label=\"Texture Map to Plane\">\n"
"     <Documentation\n"
"      short_help=\"Generate texture coordinates by mapping points to plane.\"\n"
"      long_help=\"Generate texture coordinates by mapping points to plane.\" >\n"
"      TextureMapToPlane is a filter that generates 2D texture coordinates by\n"
"      mapping input dataset points onto a plane. The plane is generated\n"
"      automatically. A least squares method is used to generate the plane\n"
"      automatically.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Texture Map to Plane filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"   <!-- End TextureMapToPlane -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TextureMapToSphere\" class=\"vtkTextureMapToSphere\"\n"
"     label=\"Texture Map to Sphere\">\n"
"     <Documentation\n"
"      short_help= \"Generate texture coordinates by mapping points to sphere.\"\n"
"      long_help= \"Generate texture coordinates by mapping points to sphere.\" >\n"
"      This is a filter that generates 2D texture coordinates by mapping input\n"
"      dataset points onto a sphere. The sphere is generated automatically. The\n"
"      sphere is generated automatically by computing the center i.e. averaged\n"
"      coordinates, of the sphere. Note that the generated texture coordinates\n"
"      range between (0,1). The s-coordinate lies in the angular direction around\n"
"      the z-axis, measured counter-clockwise from the x-axis. The t-coordinate\n"
"      lies in the angular direction measured down from the north pole towards\n"
"      the south pole.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Texture Map to Sphere filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty name=\"PreventSeam\"\n"
"                        command=\"SetPreventSeam\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Control how the texture coordinates are generated. If Prevent Seam\n"
"         is set, the s-coordinate ranges from 0-&gt;1 and 1-&gt;0 corresponding\n"
"         to the theta angle variation between 0-&gt;180 and 180-&gt;0\n"
"         degrees. Otherwise, the s-coordinate ranges from 0-&gt;1 between\n"
"         0-&gt;360 degrees.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End TextureMapToSphere -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"TextureMapToCylinder\" class=\"vtkTextureMapToCylinder\"\n"
"     label=\"Texture Map to Cylinder\">\n"
"     <Documentation\n"
"      short_help=\"Generate texture coordinates by mapping points to cylinder.\"\n"
"      long_help=\"Generate texture coordinates by mapping points to cylinder.\" >\n"
"     This is a filter that generates 2D texture coordinates by mapping input\n"
"     dataset points onto a cylinder. The cylinder is generated automatically.\n"
"     The cylinder is generated automatically by computing the axis of the\n"
"     cylinder. Note that the generated texture coordinates for the s-coordinate\n"
"     ranges from (0-1) (corresponding to angle of 0->360 around axis), while the\n"
"     mapping of the t-coordinate is controlled by the projection of points along\n"
"     the axis.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Texture Map to Cylinder filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty name=\"PreventSeam\"\n"
"                        command=\"SetPreventSeam\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Control how the texture coordinates are generated. If Prevent Seam\n"
"         is set, the s-coordinate ranges from 0-&gt;1 and 1-&gt;0 corresponding\n"
"         to the theta angle variation between 0-&gt;180 and 180-&gt;0\n"
"         degrees. Otherwise, the s-coordinate ranges from 0-&gt;1 between\n"
"         0-&gt;360 degrees.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End TextureMapToCylinder -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PolyLineToRectilinearGrid\"\n"
"                class=\"vtkPolyLineToRectilinearGridFilter\"\n"
"                label=\"PolyLine To Rectilinear Grid\">\n"
"      <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Polyline to Rectilinear Grid filter.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface26 =
"          </Documentation>\n"
"     </InputProperty>\n"
"     <!-- End PolyLineToRectilinearGrid -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"MinMax\" class=\"vtkMinMax\">\n"
"      <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>\n"
"            Set the input to the Min Max filter.\n"
"          </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"Operation\"\n"
"        command=\"SetOperation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"MIN\">\n"
"        <StringListDomain name=\"operation\">\n"
"          <String value=\"MIN\"/>\n"
"          <String value=\"MAX\"/>\n"
"          <String value=\"SUM\"/>\n"
"        </StringListDomain>\n"
"        <Documentation>\n"
"          Select whether to perform a min, max, or sum operation on the data.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <!-- End MinMax -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PVExtractSelection\" label=\"Extract Selection (internal)\"\n"
"                class=\"vtkPVExtractSelection\">\n"
"     <Documentation>\n"
"       This filter extracts a given set of cells or points given a selection.\n"
"       The selection can be obtained from a rubber-band selection\n"
"       (either point, cell, visible or in a frustum) and passed to the filter\n"
"       or specified by providing an ID list.\n"
"       This is an internal filter, use \"ExtractSelection\" instead.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\"\n"
"         clean_command=\"RemoveAllInputs\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input from which the selection is extracted.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"Selection\"\n"
"         command=\"SetSelectionConnection\"\n"
"         clean_command=\"RemoveAllSelectionsInputs\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkSelection\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input that provides the selection object.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PreserveTopology\"\n"
"        command=\"SetPreserveTopology\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1 the output preserves the topology of its\n"
"         input and adds an insidedness array to mark which cells are inside or\n"
"         out. If 0 then the output is an unstructured grid which contains only\n"
"         the subset of cells that are inside.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- End ExtractSelection -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TimeToTextConvertor\" class=\"vtkTimeToTextConvertor\"\n"
"     label=\"Annotate Time Filter\" >\n"
"     <Documentation\n"
"        short_help=\"Show data time as text.\"\n"
"        long_help=\"Shows input data time as text annnotation in the view.\" >\n"
"        The Annotate Time filter can be used to show the data time in a text annotation.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <Documentation>\n"
"         This property specifies the input dataset for which to display the time.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"     <StringVectorProperty\n"
"       name=\"Format\"\n"
"       command=\"SetFormat\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"Time: %f\">\n"
"       <Documentation>\n"
"         The value of this property is a format string used to display the input time. The format string is specified using printf style.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Shift\"\n"
"         command=\"SetShift\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The amount of time the input is shifted (after scaling).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Scale\"\n"
"         command=\"SetScale\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The factor by which the input time is scaled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Visibility replace_input=\"0\" />\n"
"       <OutputPort name=\"Output-0\" index=\"0\" type=\"text\" />\n"
"     </Hints>\n"
"\n"
"   <!-- End of TimeToTextConvertor -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CellDerivatives\" class=\"vtkCellDerivatives\"\n"
"     label=\"Compute Derivatives\">\n"
"     <Documentation\n"
"        long_help=\"This filter computes derivatives of scalars and vectors.\"\n"
"        short_help=\"Computes derivatives of scalars/vectors.\">\n"
"CellDerivatives is a filter that computes derivatives of scalars and vectors at the center of cells. You can choose to generate different output including the scalar gradient (a vector), computed tensor vorticity (a vector), gradient of input vectors (a tensor), and strain matrix of the input vectors (a tensor); or you may choose to pass data through to the output.\n"
"     </Documentation>\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>\n"
"           <InputArrayDomain name=\"input_array1\" attribute_type=\"point\"\n"
"                             number_of_components=\"1\" optional=\"1\"/>\n"
"           <InputArrayDomain name=\"input_array2\" attribute_type=\"point\"\n"
"                             number_of_components=\"3\" optional=\"1\"/>\n"
"           <Documentation>\n"
"             This property specifies the input to the filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"SelectInputScalars\"\n"
"          command=\"SetInputArrayToProcess\"\n"
"          number_of_elements=\"5\"\n"
"          element_types=\"0 0 0 0 2\"\n"
"          label=\"Scalars\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the scalar array to differentiate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"          name=\"SelectInputVectors\"\n"
"          command=\"SetInputArrayToProcess\"\n"
"          number_of_elements=\"5\"\n"
"          element_types=\"0 0 0 0 2\"\n"
"          default_values=\"1\"\n"
"          label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_array2\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property indicates the name of the vector array to differentiate.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"OutputVectorType\"\n"
"        command=\"SetVectorMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Nothing\"/>\n"
"         <Entry value=\"1\" text=\"Scalar Gradient\"/>\n"
"         <Entry value=\"2\" text=\"Vorticity\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"This property Controls how the filter works to generate vector cell data. You can choose to compute the gradient of the input scalars, or extract the vorticity of the computed vector gradient tensor. By default, the filter will take the gradient of the input scalar data.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"OutputTensorType\"\n"
"        command=\"SetTensorMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Nothing\"/>\n"
"         <Entry value=\"1\" text=\"Vector Gradient\"/>\n"
"         <Entry value=\"2\" text=\"Strain\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"This property controls how the filter works to generate tensor cell data. You can choose to compute the gradient of the input vectors, or compute the strain tensor of the vector gradient tensor. By default, the filter will take the gradient of the vector data to construct a tensor.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End CellDerivatives -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ExtractSelection\" class=\"vtkExtractSelection\"\n"
"      label=\"Extract Selection\">\n"
"     <Documentation\n"
"        short_help=\"Extract different type of selections.\"\n"
"        long_help=\"Extract different type of selections.\" >\n"
"       This filter extracts a set of cells/points given a selection.\n"
"       The selection can be obtained from a rubber-band selection\n"
"       (either cell, visible or in a frustum) or threshold selection\n"
"       and passed to the filter or specified by providing an ID list.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         This property specifies the input from which the selection is extracted.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty name=\"Selection\"\n"
"         command=\"SetSelectionConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkSelection\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         The input that provides the selection object.\n"
"       </Documentation>\n"
"       <Hints>\n"
"         <!-- This tag alerts the auto-generated panels and input selection\n"
"              that this input is a selection.  It should use the special\n"
"              selection GUI. -->\n"
"         <SelectionInput />\n"
"       </Hints>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PreserveTopology\"\n"
"        command=\"SetPreserveTopology\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1 the output preserves the topology of its\n"
"         input and adds an insidedness array to mark which cells are inside or\n"
"         out. If 0 then the output is an unstructured grid which contains only\n"
"         the subset of cells that are inside.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ShowBounds\"\n"
"        command=\"SetShowBounds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         For frustum selection, if this property is set to 1 the output is the\n"
"         outline of the frustum instead of the contents of the input that lie\n"
"         within the frustum.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- End of ExtractSelection -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ConvertSelection\" class=\"vtkPConvertSelection\">\n"
"      <Documentation>\n"
"        Converts a selection from one type to another.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty\n"
"        name=\"DataInput\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"1\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the vtkDataObject input used to convert the selection.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"0\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkSelection\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the selection to convert.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"OutputType\"\n"
"        command=\"SetOutputType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"        <Documentation>\n"
"          Set the ContentType for the output.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"SELECTIONS\" />\n"
"          <Entry value=\"1\" text=\"GLOBALIDs\" />\n"
"          <Entry value=\"2\" text=\"PEDIGREEIDS\" />\n"
"          <Entry value=\"3\" text=\"VALUES\" />\n"
"          <Entry value=\"4\" text=\"INDICES\" />\n"
"          <Entry value=\"5\" text=\"FRUSTUM\" />\n"
"          <Entry value=\"6\" text=\"LOCATION\" />\n"
"          <Entry value=\"7\" text=\"THRESHOLDS\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface27 =
"        name=\"ArrayNames\"\n"
"        command=\"AddArrayName\"\n"
"        clean_command=\"ClearArrayNames\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        element_types=\"2\"/>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MatchAnyValues\"\n"
"        command=\"SetMatchAnyValues\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of ConvertSelection -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"MergeBlocks\"\n"
"      class=\"vtkCompositeDataToUnstructuredGridFilter\"\n"
"      label=\"Merge Blocks\">\n"
"      <Documentation\n"
"        short_help=\"Appends vtkCompositeDataSet leaves into a single vtkUnstructuredGrid\" >\n"
"      vtkCompositeDataToUnstructuredGridFilter appends all vtkDataSet\n"
"      leaves of the input composite dataset to a single unstructure grid. The\n"
"      subtree to be combined can be choosen using the SubTreeCompositeIndex. If\n"
"      the SubTreeCompositeIndex is a leaf node, then no appending is required.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkCompositeDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input composite dataset.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"SubTreeCompositeIndex\"\n"
"        command=\"SetSubTreeCompositeIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        is_internal=\"1\">\n"
"        <CompositeTreeDomain name=\"tree\" mode=\"all\">\n"
"           <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"           </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"        <Documentation>\n"
"          Select the index of the subtree to be appended.\n"
"          For now, this property is internal.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"MergePoints\"\n"
"        label=\"Merge Points\"\n"
"        command=\"SetMergePoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of MergeBlocks -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"    <CompoundSourceProxy name=\"NormalGlyphs\" label=\"Normal Glyphs\">\n"
"      <Documentation short_help=\"Filter computing surface normals.\"\n"
"        long_help=\"Filter computing surface normals.\">\n"
"        Filter computing surface normals.\n"
"      </Documentation>\n"
"      <Proxy group=\"filters\" type=\"DataSetSurfaceFilter\" id=\"1013\" servers=\"1\" compound_name=\"ExtractSurface2\">\n"
"        <Property name=\"Input\" id=\"1013.Input\" number_of_elements=\"1\">\n"
"          <Domain name=\"groups\" id=\"1013.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"1013.Input.input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"PieceInvariant\" id=\"1013.PieceInvariant\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"1013.PieceInvariant.bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"filters\" type=\"PolyDataNormals\" id=\"1224\" servers=\"1\" compound_name=\"GenerateSurfaceNormals1\">\n"
"        <Property name=\"ComputeCellNormals\" id=\"1224.ComputeCellNormals\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"1224.ComputeCellNormals.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"Consistency\" id=\"1224.Consistency\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"1224.Consistency.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"FeatureAngle\" id=\"1224.FeatureAngle\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"30\"/>\n"
"          <Domain name=\"range\" id=\"1224.FeatureAngle.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"180\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"FlipNormals\" id=\"1224.FlipNormals\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"1224.FlipNormals.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"Input\" id=\"1224.Input\" number_of_elements=\"1\">\n"
"          <Proxy value=\"1013\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"1224.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"1224.Input.input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"NonManifoldTraversal\" id=\"1224.NonManifoldTraversal\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"1224.NonManifoldTraversal.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"PieceInvariant\" id=\"1224.PieceInvariant\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"1224.PieceInvariant.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"Splitting\" id=\"1224.Splitting\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"1224.Splitting.bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"filters\" type=\"CellCenters\" id=\"3392\" servers=\"1\" compound_name=\"CellCenters1\">\n"
"        <Property name=\"Input\" id=\"3392.Input\" number_of_elements=\"1\">\n"
"          <Proxy value=\"1224\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"3392.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"3392.Input.input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"VertexCells\" id=\"3392.VertexCells\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"3392.VertexCells.bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"filters\" type=\"Glyph\" id=\"2429\" servers=\"1\" compound_name=\"Glyph1\">\n"
"        <Property name=\"Input\" id=\"2429.Input\" number_of_elements=\"1\">\n"
"          <Proxy value=\"3392\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"2429.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_array1\" id=\"2429.Input.input_array1\">\n"
"            <InputArray attribute_type=\"point\" number_of_components=\"1\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_array2\" id=\"2429.Input.input_array2\">\n"
"            <InputArray attribute_type=\"point\" number_of_components=\"3\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"2429.Input.input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"MaximumNumberOfPoints\" id=\"2429.MaximumNumberOfPoints\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"5000\"/>\n"
"          <Domain name=\"range\" id=\"2429.MaximumNumberOfPoints.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"RandomMode\" id=\"2429.RandomMode\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"2429.RandomMode.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"SelectInputScalars\" id=\"2429.SelectInputScalars\" number_of_elements=\"5\">\n"
"          <Element index=\"0\" value=\"\"/>\n"
"          <Element index=\"1\" value=\"\"/>\n"
"          <Element index=\"2\" value=\"\"/>\n"
"          <Element index=\"3\" value=\"\"/>\n"
"          <Element index=\"4\" value=\"\"/>\n"
"          <Domain name=\"array_list\" id=\"2429.SelectInputScalars.array_list\"/>\n"
"        </Property>\n"
"        <Property name=\"SelectInputVectors\" id=\"2429.SelectInputVectors\" number_of_elements=\"5\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Element index=\"1\" value=\"\"/>\n"
"          <Element index=\"2\" value=\"\"/>\n"
"          <Element index=\"3\" value=\"\"/>\n"
"          <Element index=\"4\" value=\"Normals\"/>\n"
"          <Domain name=\"array_list\" id=\"2429.SelectInputVectors.array_list\">\n"
"            <String text=\"Normals\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"SetOrient\" id=\"2429.SetOrient\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"2429.SetOrient.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"SetScaleFactor\" id=\"2429.SetScaleFactor\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1.0\"/>\n"
"          <Domain name=\"bounds\" id=\"2429.SetScaleFactor.bounds\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"1.0\"/>\n"
"          </Domain>\n"
"          <Domain name=\"scalar_range\" id=\"2429.SetScaleFactor.scalar_range\"/>\n"
"          <Domain name=\"vector_range\" id=\"2429.SetScaleFactor.vector_range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Min index=\"1\" value=\"0\"/>\n"
"            <Min index=\"2\" value=\"1\"/>\n"
"            <Min index=\"3\" value=\"1\"/>\n"
"            <Max index=\"0\" value=\"0\"/>\n"
"            <Max index=\"1\" value=\"0\"/>\n"
"            <Max index=\"2\" value=\"1\"/>\n"
"            <Max index=\"3\" value=\"1\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"SetScaleMode\" id=\"2429.SetScaleMode\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"3\"/>\n"
"          <Domain name=\"enum\" id=\"2429.SetScaleMode.enum\">\n"
"            <Entry value=\"0\" text=\"scalar\"/>\n"
"            <Entry value=\"1\" text=\"vector\"/>\n"
"            <Entry value=\"2\" text=\"vector_components\"/>\n"
"            <Entry value=\"3\" text=\"off\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"Source\" id=\"2429.Source\" number_of_elements=\"1\">\n"
"          <Proxy value=\"2432\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"2429.Source.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"glyph_sources\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"2429.Source.input_type\">\n"
"            <DataType value=\"vtkPolyData\"/>\n"
"          </Domain>\n"
"          <Domain name=\"proxy_list\" id=\"2429.Source.proxy_list\">\n"
"            <Proxy value=\"2432\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"UseMaskPoints\" id=\"2429.UseMaskPoints\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"1\"/>\n"
"          <Domain name=\"bool\" id=\"2429.UseMaskPoints.bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"sources\" type=\"ArrowSource\" id=\"2432\" servers=\"1\" compound_name=\"ArrowSource\">\n"
"        <Property name=\"ShaftRadius\" id=\"2432.ShaftRadius\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0.03\"/>\n"
"          <Domain name=\"range\" id=\"2432.ShaftRadius.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"5\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"ShaftResolution\" id=\"2432.ShaftResolution\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"6\"/>\n"
"          <Domain name=\"range\" id=\"2432.ShaftResolution.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"128\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"TipLength\" id=\"2432.TipLength\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0.35\"/>\n"
"          <Domain name=\"range\" id=\"2432.TipLength.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"1\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"TipRadius\" id=\"2432.TipRadius\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0.1\"/>\n"
"          <Domain name=\"range\" id=\"2432.TipRadius.range\">\n"
"            <Min index=\"0\" value=\"0\"/>\n"
"            <Max index=\"0\" value=\"10\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"TipResolution\" id=\"2432.TipResolution\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"6\"/>\n"
"          <Domain name=\"range\" id=\"2432.TipResolution.range\">\n"
"            <Min index=\"0\" value=\"1\"/>\n"
"            <Max index=\"0\" value=\"128\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property name=\"MaximumNumberOfPoints\" proxy_name=\"Glyph1\" exposed_name=\"Glyph Max. Points\"/>\n"
"        <Property name=\"RandomMode\" proxy_name=\"Glyph1\" exposed_name=\"Glyph Random Mode\"/>\n"
"        <Property name=\"SetScaleFactor\" proxy_name=\"Glyph1\" exposed_name=\"Glyph Scale Factor\"/>\n"
"        <Property name=\"Consistency\" proxy_name=\"GenerateSurfaceNormals1\" exposed_name=\"Consistency\"/>\n"
"        <Property name=\"Input\" proxy_name=\"ExtractSurface2\" exposed_name=\"Input\"/>\n"
"        <Property name=\"Invert\" proxy_name=\"ArrowSource\" exposed_name=\"InvertArrow\"/>\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\" proxy=\"Glyph1\" port_index=\"0\"/>\n"
"      <Hints>\n"
"        <!-- Visibility Element can be used to suggest the GUI about\n"
"             visibility of this filter (or its input) on creation.\n"
"             replace_input=\"0\" implies that the input visibility is not\n"
"             changed on creation of this filter (defaults to \"1\")\n"
"             -->\n"
"        <Visibility replace_input=\"0\" />\n"
"      </Hints>\n"
"    </CompoundSourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"TableToPolyData\"\n"
"                class=\"vtkTableToPolyData\"\n"
"                label=\"Table To Points\" >\n"
"      <Documentation short_help=\"Converts table to set of points.\"\n"
"        long_help=\"Converts table to set of points.\" >\n"
"        The TableToPolyData filter converts a vtkTable to a set of points in a\n"
"        vtkPolyData. One must specifies the columns in the input table to use as\n"
"        the X, Y and Z coordinates for the points in the output.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"            <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"sources\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface28 =
"              <Group name=\"filters\"/>\n"
"            </ProxyGroupDomain>\n"
"            <InputArrayDomain name=\"input_array\"\n"
"              attribute_type=\"row\"\n"
"              number_of_components=\"1\" />\n"
"            <DataTypeDomain name=\"input_type\">\n"
"              <DataType value=\"vtkTable\"/>\n"
"            </DataTypeDomain>\n"
"            <Documentation>\n"
"              This property specifies the input..\n"
"            </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"XColumn\"\n"
"        command=\"SetXColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            X coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"YColumn\"\n"
"        command=\"SetYColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            Y coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"ZColumn\"\n"
"        command=\"SetZColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            Z coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ==================================================================== -->\n"
"    <SourceProxy name=\"TableToStructuredGrid\"\n"
"                class=\"vtkPTableToStructuredGrid\"\n"
"                label=\"Table To Structured Grid\" >\n"
"      <Documentation\n"
"        short_help=\"Converts to table to structured grid.\"\n"
"        long_help=\"Converts to table to structured grid.\" >\n"
"        The TableToStructuredGrid filter converts a vtkTable to a\n"
"        vtkStructuredGrid.  One must specifies the columns in the input table to\n"
"        use as the X, Y and Z coordinates for the points in the output, and the\n"
"        whole extent.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"            <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"sources\"/>\n"
"              <Group name=\"filters\"/>\n"
"            </ProxyGroupDomain>\n"
"            <InputArrayDomain name=\"input_array\"\n"
"              attribute_type=\"row\"\n"
"              number_of_components=\"1\" />\n"
"            <DataTypeDomain name=\"input_type\">\n"
"              <DataType value=\"vtkTable\"/>\n"
"            </DataTypeDomain>\n"
"            <Documentation>\n"
"              This property specifies the input..\n"
"            </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"WholeExtent\"\n"
"         command=\"SetWholeExtent\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"0 0 0 0 0 0\">\n"
"         <!--\n"
"        <ExtentDomain name=\"extent\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ExtentDomain>\n"
"        <Documentation>\n"
"          This property gives the minimum and maximum point index (extent) in\n"
"          each dimension for the output dataset.\n"
"        </Documentation>\n"
"        -->\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"XColumn\"\n"
"        command=\"SetXColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            X coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"YColumn\"\n"
"        command=\"SetYColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            Y coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"ZColumn\"\n"
"        command=\"SetZColumn\"\n"
"        number_of_elements=\"1\">\n"
"          <ArrayListDomain name=\"array_list\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"            </RequiredProperties>\n"
"          </ArrayListDomain>\n"
"          <Documentation>\n"
"            This property specifies which data array is going to be used as the\n"
"            Z coordinate in the generated polydata dataset.\n"
"          </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy name=\"TableFFT\" class=\"vtkTableFFT\" label=\"Table FFT\">\n"
"      <Documentation>\n"
"        Performs the Fast Fourier Transform on the columns of a table.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <InputArrayDomain name=\"input_array\"\n"
"                          attribute_type=\"row\"\n"
"                          number_of_components=\"1\" />\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <CompoundSourceProxy name=\"FFTSelectionOverTime\"\n"
"                         label=\"FFT Of Selection Over Time\">\n"
"      <Documentation\n"
"        short_help=\"Extracts selection over time and plots the FFT\"\n"
"        long_help=\"Extracts selection over time and plots the FFT\" >\n"
"        Extracts the data of a selection (e.g. points or cells) over time,\n"
"        takes the FFT of them, and plots them.\n"
"      </Documentation>\n"
"      <Proxy group=\"filters\" type=\"ExtractSelectionOverTime\" id=\"734\" servers=\"1\" compound_name=\"PlotSelectionOverTime1\">\n"
"        <Property name=\"Input\" id=\"734.Input\" number_of_elements=\"1\">\n"
"          <Domain name=\"groups\" id=\"734.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"734.Input.input_type\">\n"
"            <DataType value=\"vtkDataSet\"/>\n"
"            <DataType value=\"vtkCompositeDataSet\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"Selection\" id=\"734.Selection\" number_of_elements=\"1\">\n"
"          <Proxy value=\"742\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"734.Selection.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"734.Selection.input_type\">\n"
"            <DataType value=\"vtkSelection\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"filters\" type=\"TableFFT\" id=\"812\" servers=\"1\" compound_name=\"TableFFT1\">\n"
"        <Property name=\"Input\" id=\"812.Input\" number_of_elements=\"1\">\n"
"          <Proxy value=\"734\" output_port=\"0\"/>\n"
"          <Domain name=\"groups\" id=\"812.Input.groups\">\n"
"            <Group value=\"sources\"/>\n"
"            <Group value=\"filters\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_array\" id=\"812.Input.input_array\">\n"
"            <InputArray attribute_type=\"row\" number_of_components=\"1\"/>\n"
"          </Domain>\n"
"          <Domain name=\"input_type\" id=\"812.Input.input_type\">\n"
"            <DataType value=\"vtkTable\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <Proxy group=\"sources\" type=\"CompositeDataIDSelectionSource\" id=\"742\" servers=\"1\" compound_name=\"auto_742\">\n"
"        <Property name=\"ContainingCells\" id=\"742.ContainingCells\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"742.ContainingCells.bool\"/>\n"
"        </Property>\n"
"        <Property name=\"FieldType\" id=\"742.FieldType\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"enum\" id=\"742.FieldType.enum\">\n"
"            <Entry value=\"0\" text=\"CELL\"/>\n"
"            <Entry value=\"1\" text=\"POINT\"/>\n"
"            <Entry value=\"2\" text=\"FIELD\"/>\n"
"            <Entry value=\"3\" text=\"VERTEX\"/>\n"
"            <Entry value=\"4\" text=\"EDGE\"/>\n"
"          </Domain>\n"
"        </Property>\n"
"        <Property name=\"IDs\" id=\"742.IDs\" number_of_elements=\"3\">\n"
"          <Element index=\"0\" value=\"2\"/>\n"
"          <Element index=\"1\" value=\"-1\"/>\n"
"          <Element index=\"2\" value=\"3892\"/>\n"
"        </Property>\n"
"        <Property name=\"InsideOut\" id=\"742.InsideOut\" number_of_elements=\"1\">\n"
"          <Element index=\"0\" value=\"0\"/>\n"
"          <Domain name=\"bool\" id=\"742.InsideOut.bool\"/>\n"
"        </Property>\n"
"      </Proxy>\n"
"      <ExposedProperties>\n"
"        <Property name=\"Input\" proxy_name=\"PlotSelectionOverTime1\" exposed_name=\"Input\"/>\n"
"        <Property name=\"Selection\" proxy_name=\"PlotSelectionOverTime1\" exposed_name=\"Selection\"/>\n"
"      </ExposedProperties>\n"
"      <OutputPort name=\"Output\" proxy=\"TableFFT1\" port_index=\"0\"/>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable />\n"
"      </Hints>\n"
"    </CompoundSourceProxy> <!-- FFTSelectionOverTime -->\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy name=\"AttributeDataToTableFilter\"\n"
"      class=\"vtkAttributeDataToTableFilter\"\n"
"      label=\"Extract Attributes\">\n"
"      <Documentation\n"
"        short_help=\"Extract attribute data as a table.\"\n"
"        long_help=\"Extract attribute data as a table.\">\n"
"        This is a filter that produces a vtkTable from the chosen attribute in\n"
"        the input dataobject. This filter can accept composite datasets. If the\n"
"        input is a composite dataset, the output is a multiblock with vtkTable\n"
"        leaves.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>This property specifies the input of the filter.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"FieldAssociation\"\n"
"        command=\"SetFieldAssociation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Select the attribute data to pass.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Points\" value=\"0\" />\n"
"          <Entry text=\"Cells\" value=\"1\" />\n"
"          <Entry text=\"Field Data\" value=\"2\" />\n"
"          <Entry text=\"Vertices\" value=\"4\" />\n"
"          <Entry text=\"Edges\" value=\"5\" />\n"
"          <Entry text=\"Rows\" value=\"6\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AddMetaData\"\n"
"        command=\"SetAddMetaData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          It is possible for this filter to add additional meta-data to the\n"
"          field data such as point coordinates (when point attributes are\n"
"          selected and input is pointset) or structured coordinates etc. To\n"
"          enable this addition of extra information, turn this flag on. Off by\n"
"          default.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of AttributeDataToTableFilter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <SourceProxy name=\"PlotAttributes\" label=\"Plot Data\"\n"
"      class=\"vtkPassThrough\">\n"
"      <Documentation short_help=\"Plot data arrays from the input\">\n"
"        This filter prepare arbitrary data to be plotted in any of the plots.\n"
"        By default the data is shown in a XY line plot.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <View type=\"XYChartView\" />\n"
"        <Plotable/>\n"
"      </Hints>\n"
"      <!-- End of PlotAttributes -->\n"
"    </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy\n"
"       name=\"ContingencyStatistics\"\n"
"       class=\"vtkPSciVizContingencyStats\"\n"
"       label=\"Contingency Statistics\">\n"
"     <Documentation\n"
"       short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"       long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\" >\n"
"       This filter either computes a statistical model of a dataset or takes such a model as its second input.  Then, the model (however it is obtained) may optionally be used to assess the input dataset.\n"
"       This filter computes contingency tables between pairs of attributes.  This result is a tabular bivariate probability distribution which serves as a Bayesian-style prior model.  Data is assessed by computing &lt;ul&gt;\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface29 =
"       &lt;li&gt; the probability of observing both variables simultaneously;\n"
"       &lt;li&gt; the probability of each variable conditioned on the other (the two values need not be identical); and\n"
"       &lt;li&gt; the pointwise mutual information (PMI). &lt;/ul&gt;\n"
"       Finally, the summary statistics include the information entropy of the observations.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkImageData\"/>\n"
"         <DataType value=\"vtkStructuredGrid\"/>\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"         <DataType value=\"vtkUnstructuredGrid\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkGraph\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\"/>\n"
"       <Documentation>\n"
"         The input to the filter.  Arrays from this dataset will be used for computing statistics and/or assessed by a statistical model.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"ModelInput\"\n"
"         command=\"SetInputConnection\"\n"
"         port_index=\"1\"\n"
"         null_on_empty=\"1\">\n"
"       <Hints>\n"
"         <Optional/> <!-- No input selection dialog at instantiation -->\n"
"       </Hints>\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         A previously-calculated model with which to assess a separate dataset. This input is optional.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <IntVectorProperty name=\"AttributeMode\"\n"
"         command=\"SetAttributeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Specify which type of field data the arrays will be drawn from.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectArrays\"\n"
"       label=\"Variables of Interest\"\n"
"       command=\"EnableAttributeArray\"\n"
"       clean_command=\"ClearAttributeArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\">\n"
"       <ArrayListDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"           <Property name=\"AttributeMode\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         Choose arrays whose entries will be used to form observations for statistical analysis.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"Task\"\n"
"         command=\"SetTask\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\">\n"
"       <EnumerationDomain name=\"task_list\">\n"
"         <Entry value=\"0\" text=\"Detailed model of input data\"/>\n"
"         <Entry value=\"1\" text=\"Model a subset of the data\"/>\n"
"         <Entry value=\"2\" text=\"Assess the data with a model\"/>\n"
"         <Entry value=\"3\" text=\"Model and assess the same data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the task to be performed: modeling and/or assessment. &lt;ol&gt;\n"
"         &lt;li&gt; \"Detailed model of input data,\" creates a set of output tables containing a calculated statistical model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Model a subset of the data,\" creates an output table (or tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Assess the data with a model,\" adds attributes to the first input dataset using a model provided on the second input port; and&lt;/li&gt;\n"
"         &lt;li&gt; \"Model and assess the same data,\" is really just operations 2 and 3 above applied to the same input dataset.  The model is first trained using a fraction of the input data and then the entire dataset is assessed using that model.&lt;/li&gt;\n"
"         &lt;/ol&gt;\n"
"         When the task includes creating a model (i.e., tasks 2, and 4), you may adjust the fraction of the input dataset used for training.  You should avoid using a large fraction of the input data for training as you will then not be able to detect overfitting.  The &lt;i&gt;Training fraction&lt;/i&gt; setting will be ignored for tasks 1 and 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TrainingFraction\"\n"
"         command=\"SetTrainingFraction\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"training_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the fraction of values from the input dataset to be used for model fitting. The exact set of values is chosen at random from the dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"    <OutputPort name=\"Statistical Model\" index=\"0\"/>\n"
"    <OutputPort name=\"Assessed Data\" index=\"1\"/>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"1\" />\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"SpreadSheetView\" />\n"
"    </Hints>\n"
"\n"
"   </SourceProxy> <!-- ContingencyStatistics -->\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy\n"
"       name=\"DescriptiveStatistics\"\n"
"       class=\"vtkPSciVizDescriptiveStats\"\n"
"       label=\"Descriptive Statistics\">\n"
"     <Documentation\n"
"       short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"       long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\" >\n"
"       This filter either computes a statistical model of a dataset or takes such a model as its second input.  Then, the model (however it is obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"       This filter computes the min, max, mean, raw moments M2 through M4, standard deviation, skewness, and kurtosis for each array you select.&lt;p&gt;\n"
"       The model is simply a univariate Gaussian distribution with the mean and standard deviation provided. Data is assessed using this model by detrending the data (i.e., subtracting the mean) and then dividing by the standard deviation. Thus the assessment is an array whose entries are the number of standard deviations from the mean that each input point lies.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkImageData\"/>\n"
"         <DataType value=\"vtkStructuredGrid\"/>\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"         <DataType value=\"vtkUnstructuredGrid\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkGraph\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\"/>\n"
"       <Documentation>\n"
"         The input to the filter.  Arrays from this dataset will be used for computing statistics and/or assessed by a statistical model.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"ModelInput\"\n"
"         command=\"SetInputConnection\"\n"
"         port_index=\"1\"\n"
"         null_on_empty=\"1\">\n"
"       <Hints>\n"
"         <Optional/> <!-- No input selection dialog at instantiation -->\n"
"       </Hints>\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         A previously-calculated model with which to assess a separate dataset.  This input is optional.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Attribute\"/> <!-- attribute_name => GetNumberOf___Arrays -->\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AttributeMode\"\n"
"         command=\"SetAttributeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Specify which type of field data the arrays will be drawn from.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectArrays\"\n"
"       label=\"Variables of Interest\"\n"
"       command=\"EnableAttributeArray\"\n"
"       clean_command=\"ClearAttributeArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\">\n"
"       <ArrayListDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"           <Property name=\"AttributeMode\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         Choose arrays whose entries will be used to form observations for statistical analysis.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"Task\"\n"
"         command=\"SetTask\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\">\n"
"       <EnumerationDomain name=\"task_list\">\n"
"         <Entry value=\"0\" text=\"Detailed model of input data\"/>\n"
"         <Entry value=\"1\" text=\"Model a subset of the data\"/>\n"
"         <Entry value=\"2\" text=\"Assess the data with a model\"/>\n"
"         <Entry value=\"3\" text=\"Model and assess the same data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the task to be performed: modeling and/or assessment. &lt;ol&gt;\n"
"         &lt;li&gt; \"Detailed model of input data,\" creates a set of output tables containing a calculated statistical model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Model a subset of the data,\" creates an output table (or tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Assess the data with a model,\" adds attributes to the first input dataset using a model provided on the second input port; and&lt;/li&gt;\n"
"         &lt;li&gt; \"Model and assess the same data,\" is really just operations 2 and 3 above applied to the same input dataset.  The model is first trained using a fraction of the input data and then the entire dataset is assessed using that model.&lt;/li&gt;\n"
"         &lt;/ol&gt;\n"
"         When the task includes creating a model (i.e., tasks 2, and 4), you may adjust the fraction of the input dataset used for training.  You should avoid using a large fraction of the input data for training as you will then not be able to detect overfitting.  The &lt;i&gt;Training fraction&lt;/i&gt; setting will be ignored for tasks 1 and 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TrainingFraction\"\n"
"         command=\"SetTrainingFraction\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"training_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the fraction of values from the input dataset to be used for model fitting. The exact set of values is chosen at random from the dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"SignedDeviations\"\n"
"         command=\"SetSignedDeviations\"\n"
"         label=\"Deviations should be\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <EnumerationDomain name=\"signed_distance\">\n"
"         <Entry value=\"0\" text=\"Unsigned\"/>\n"
"         <Entry value=\"1\" text=\"Signed\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Should the assessed values be signed deviations or unsigned?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"    <OutputPort name=\"Statistical Model\" index=\"0\"/>\n"
"    <OutputPort name=\"Assessed Data\" index=\"1\"/>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"1\" />\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"SpreadSheetView\" />\n"
"    </Hints>\n"
"\n"
"   </SourceProxy> <!-- DescriptiveStatistics -->\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy\n"
"       name=\"KMeans\"\n"
"       class=\"vtkPSciVizKMeans\"\n"
"       label=\"K Means\">\n"
"     <Documentation\n"
"       short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"       long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\" >\n"
"       This filter either computes a statistical model of a dataset or takes such a model as its second input.  Then, the model (however it is obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"       This filter iteratively computes the center of k clusters in a space whose coordinates are specified by the arrays you select. The clusters are chosen as local minima of the sum of square Euclidean distances from each point to its nearest cluster center. The model is then a set of cluster centers. Data is assessed by assigning a cluster center and distance to the cluster to each point in the input data set.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkImageData\"/>\n"
"         <DataType value=\"vtkStructuredGrid\"/>\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"         <DataType value=\"vtkUnstructuredGrid\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkGraph\"/>\n"
"       </DataTypeDomain>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface30 =
"       <InputArrayDomain name=\"input_array\"/>\n"
"       <Documentation>\n"
"         The input to the filter.  Arrays from this dataset will be used for computing statistics and/or assessed by a statistical model.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"ModelInput\"\n"
"         command=\"SetInputConnection\"\n"
"         port_index=\"1\"\n"
"         null_on_empty=\"1\">\n"
"       <Hints>\n"
"         <Optional/> <!-- No input selection dialog at instantiation -->\n"
"       </Hints>\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         A previously-calculated model with which to assess a separate dataset. This input is optional.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Attribute\"/> <!-- attribute_name => GetNumberOf___Arrays -->\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AttributeMode\"\n"
"         command=\"SetAttributeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Specify which type of field data the arrays will be drawn from.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectArrays\"\n"
"       label=\"Variables of Interest\"\n"
"       command=\"EnableAttributeArray\"\n"
"       clean_command=\"ClearAttributeArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\">\n"
"       <ArrayListDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"           <Property name=\"AttributeMode\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         Choose arrays whose entries will be used to form observations for statistical analysis.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"Task\"\n"
"         command=\"SetTask\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\">\n"
"       <EnumerationDomain name=\"task_list\">\n"
"         <Entry value=\"0\" text=\"Detailed model of input data\"/>\n"
"         <Entry value=\"1\" text=\"Model a subset of the data\"/>\n"
"         <Entry value=\"2\" text=\"Assess the data with a model\"/>\n"
"         <Entry value=\"3\" text=\"Model and assess the same data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the task to be performed: modeling and/or assessment. &lt;ol&gt;\n"
"         &lt;li&gt; \"Detailed model of input data,\" creates a set of output tables containing a calculated statistical model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Model a subset of the data,\" creates an output table (or tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Assess the data with a model,\" adds attributes to the first input dataset using a model provided on the second input port; and&lt;/li&gt;\n"
"         &lt;li&gt; \"Model and assess the same data,\" is really just operations 2 and 3 above applied to the same input dataset.  The model is first trained using a fraction of the input data and then the entire dataset is assessed using that model.&lt;/li&gt;\n"
"         &lt;/ol&gt;\n"
"         When the task includes creating a model (i.e., tasks 2, and 4), you may adjust the fraction of the input dataset used for training.  You should avoid using a large fraction of the input data for training as you will then not be able to detect overfitting.  The &lt;i&gt;Training fraction&lt;/i&gt; setting will be ignored for tasks 1 and 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TrainingFraction\"\n"
"         command=\"SetTrainingFraction\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"training_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the fraction of values from the input dataset to be used for model fitting. The exact set of values is chosen at random from the dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"K\"\n"
"         label=\"k\"\n"
"         command=\"SetK\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"5\">\n"
"       <IntRangeDomain name=\"num_cluster_centers\" min=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the number of clusters.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"MaxNumIterations\"\n"
"         label=\"Max Iterations\"\n"
"         command=\"SetMaxNumIterations\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"50\">\n"
"       <IntRangeDomain name=\"max_num_iter\" min=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the maximum number of iterations in which cluster centers are moved before the algorithm terminates.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Tolerance\"\n"
"         command=\"SetTolerance\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.01\">\n"
"       <DoubleRangeDomain name=\"cluster_center_tolerance\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the relative tolerance that will cause early termination.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"    <OutputPort name=\"Statistical Model\" index=\"0\"/>\n"
"    <OutputPort name=\"Assessed Data\" index=\"1\"/>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"1\" />\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"SpreadSheetView\" />\n"
"    </Hints>\n"
"\n"
"   </SourceProxy> <!-- K Means -->\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy\n"
"       name=\"MulticorrelativeStatistics\"\n"
"       class=\"vtkPSciVizMultiCorrelativeStats\"\n"
"       label=\"Multicorrelative Statistics\">\n"
"     <Documentation\n"
"       short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"       long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\" >\n"
"       This filter either computes a statistical model of a dataset or takes such a model as its second input. Then, the model (however it is obtained) may optionally be used to assess the input dataset.&lt;p&gt;\n"
"       This filter computes the covariance matrix for all the arrays you select plus the mean of each array. The model is thus a multivariate Gaussian distribution with the mean vector and variances provided. Data is assessed using this model by computing the Mahalanobis distance for each input point. This distance will always be positive.&lt;p&gt;\n"
"       The learned model output format is rather dense and can be confusing, so it is discussed here. The first filter output is a multiblock dataset consisting of 2 tables: &lt;ol&gt;\n"
"       &lt;li&gt; Raw covariance data.\n"
"       &lt;li&gt; Covariance matrix and its Cholesky decomposition. &lt;/ol&gt;\n"
"       The raw covariance table has 3 meaningful columns: 2 titled \"Column1\" and \"Column2\" whose entries generally refer to the N arrays you selected when preparing the filter and 1 column titled \"Entries\" that contains numeric values. The first row will always contain the number of observations in the statistical analysis. The next N rows contain the mean for each of the N arrays you selected. The remaining rows contain covariances of pairs of arrays.&lt;p&gt;\n"
"       The second table (covariance matrix and Cholesky decomposition) contains information derived from the raw covariance data of the first table. The first N rows of the first column contain the name of one array you selected for analysis. These rows are followed by a single entry labeled \"Cholesky\" for a total of N+1 rows. The second column, Mean contains the mean of each variable in the first N entries and the number of observations processed in the final (N+1) row.&lt;p&gt;\n"
"       The remaining columns (there are N, one for each array) contain 2 matrices in triangular format. The upper right triangle contains the covariance matrix (which is symmetric, so its lower triangle may be inferred). The lower left triangle contains the Cholesky decomposition of the covariance matrix (which is triangular, so its upper triangle is zero). Because the diagonal must be stored for both matrices, an additional row is required — hence the N+1 rows and the final entry of the column named \"Column\".\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkImageData\"/>\n"
"         <DataType value=\"vtkStructuredGrid\"/>\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"         <DataType value=\"vtkUnstructuredGrid\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkGraph\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\"/>\n"
"       <Documentation>\n"
"         The input to the filter. Arrays from this dataset will be used for computing statistics and/or assessed by a statistical model.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"ModelInput\"\n"
"         command=\"SetInputConnection\"\n"
"         port_index=\"1\"\n"
"         null_on_empty=\"1\">\n"
"       <Hints>\n"
"         <Optional/> <!-- No input selection dialog at instantiation -->\n"
"       </Hints>\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         A previously-calculated model with which to assess a separate dataset. This input is optional.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Attribute\"/> <!-- attribute_name => GetNumberOf___Arrays -->\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AttributeMode\"\n"
"         command=\"SetAttributeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Specify which type of field data the arrays will be drawn from.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectArrays\"\n"
"       label=\"Variables of Interest\"\n"
"       command=\"EnableAttributeArray\"\n"
"       clean_command=\"ClearAttributeArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\">\n"
"       <ArrayListDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"           <Property name=\"AttributeMode\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         Choose arrays whose entries will be used to form observations for statistical analysis.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"Task\"\n"
"         command=\"SetTask\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\">\n"
"       <EnumerationDomain name=\"task_list\">\n"
"         <Entry value=\"0\" text=\"Detailed model of input data\"/>\n"
"         <Entry value=\"1\" text=\"Model a subset of the data\"/>\n"
"         <Entry value=\"2\" text=\"Assess the data with a model\"/>\n"
"         <Entry value=\"3\" text=\"Model and assess the same data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the task to be performed: modeling and/or assessment. &lt;ol&gt;\n"
"         &lt;li&gt; \"Detailed model of input data,\" creates a set of output tables containing a calculated statistical model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Model a subset of the data,\" creates an output table (or tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Assess the data with a model,\" adds attributes to the first input dataset using a model provided on the second input port; and&lt;/li&gt;\n"
"         &lt;li&gt; \"Model and assess the same data,\" is really just operations 2 and 3 above applied to the same input dataset.  The model is first trained using a fraction of the input data and then the entire dataset is assessed using that model.&lt;/li&gt;\n"
"         &lt;/ol&gt;\n"
"         When the task includes creating a model (i.e., tasks 2, and 4), you may adjust the fraction of the input dataset used for training.  You should avoid using a large fraction of the input data for training as you will then not be able to detect overfitting.  The &lt;i&gt;Training fraction&lt;/i&gt; setting will be ignored for tasks 1 and 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TrainingFraction\"\n"
"         command=\"SetTrainingFraction\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"training_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the fraction of values from the input dataset to be used for model fitting. The exact set of values is chosen at random from the dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"    <OutputPort name=\"Statistical Model\" index=\"0\"/>\n"
"    <OutputPort name=\"Assessed Data\" index=\"1\"/>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"1\" />\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"SpreadSheetView\" />\n"
"    </Hints>\n"
"\n"
"   </SourceProxy> <!-- MulticorrelativeStatistics -->\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy\n"
"       name=\"PCAStatistics\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface31 =
"       class=\"vtkPSciVizPCAStats\"\n"
"       label=\"Principal Component Analysis\">\n"
"     <Documentation\n"
"       short_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\"\n"
"       long_help=\"Compute a statistical model of a dataset and/or assess the dataset with a statistical model.\" >\n"
"       This filter either computes a statistical model of a dataset or takes such a model as its second input. Then, the model (however it is obtained) may optionally be used to assess the input dataset. &lt;p&gt;\n"
"       This filter performs additional analysis above and beyond the multicorrelative filter. It computes the eigenvalues and eigenvectors of the covariance matrix from the multicorrelative filter. Data is then assessed by projecting the original tuples into a possibly lower-dimensional space. &lt;p&gt;\n"
"       Since the PCA filter uses the multicorrelative filter's analysis, it shares the same raw covariance table specified in the multicorrelative documentation. The second table in the multiblock dataset comprising the model output is an expanded version of the multicorrelative version. &lt;p&gt;\n"
"       As with the multicorrlative filter, the second model table contains the mean values, the upper-triangular portion of the symmetric covariance matrix, and the non-zero lower-triangular portion of the Cholesky decomposition of the covariance matrix. Below these entries are the eigenvalues of the covariance matrix (in the column labeled \"Mean\") and the eigenvectors (as row vectors) in an additional NxN matrix.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkImageData\"/>\n"
"         <DataType value=\"vtkStructuredGrid\"/>\n"
"         <DataType value=\"vtkPolyData\"/>\n"
"         <DataType value=\"vtkUnstructuredGrid\"/>\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkGraph\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\"/>\n"
"       <Documentation>\n"
"         The input to the filter. Arrays from this dataset will be used for computing statistics and/or assessed by a statistical model.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <InputProperty\n"
"         name=\"ModelInput\"\n"
"         command=\"SetInputConnection\"\n"
"         port_index=\"1\"\n"
"         null_on_empty=\"1\">\n"
"       <Hints>\n"
"         <Optional/> <!-- No input selection dialog at instantiation -->\n"
"       </Hints>\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\" />\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkTable\"/>\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         A previously-calculated model with which to assess a separate dataset. This input is optional.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty name=\"SelectArrayInfo\" information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Attribute\"/> <!-- attribute_name => GetNumberOf___Arrays -->\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AttributeMode\"\n"
"         command=\"SetAttributeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Specify which type of field data the arrays will be drawn from.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"SelectArrays\"\n"
"       label=\"Variables of Interest\"\n"
"       command=\"EnableAttributeArray\"\n"
"       clean_command=\"ClearAttributeArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\">\n"
"       <ArrayListDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"           <Property name=\"AttributeMode\" function=\"FieldDataSelection\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Documentation>\n"
"         Choose arrays whose entries will be used to form observations for statistical analysis.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"Task\"\n"
"         command=\"SetTask\"\n"
"         animateable=\"0\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\">\n"
"       <EnumerationDomain name=\"task_list\">\n"
"         <Entry value=\"0\" text=\"Detailed model of input data\"/>\n"
"         <Entry value=\"1\" text=\"Model a subset of the data\"/>\n"
"         <Entry value=\"2\" text=\"Assess the data with a model\"/>\n"
"         <Entry value=\"3\" text=\"Model and assess the same data\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the task to be performed: modeling and/or assessment. &lt;ol&gt;\n"
"         &lt;li&gt; \"Detailed model of input data,\" creates a set of output tables containing a calculated statistical model of the &lt;b&gt;entire&lt;/b&gt; input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Model a subset of the data,\" creates an output table (or tables) summarizing a &lt;b&gt;randomly-chosen subset&lt;/b&gt; of the input dataset;&lt;/li&gt;\n"
"         &lt;li&gt; \"Assess the data with a model,\" adds attributes to the first input dataset using a model provided on the second input port; and&lt;/li&gt;\n"
"         &lt;li&gt; \"Model and assess the same data,\" is really just operations 2 and 3 above applied to the same input dataset.  The model is first trained using a fraction of the input data and then the entire dataset is assessed using that model.&lt;/li&gt;\n"
"         &lt;/ol&gt;\n"
"         When the task includes creating a model (i.e., tasks 2, and 4), you may adjust the fraction of the input dataset used for training.  You should avoid using a large fraction of the input data for training as you will then not be able to detect overfitting.  The &lt;i&gt;Training fraction&lt;/i&gt; setting will be ignored for tasks 1 and 3.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TrainingFraction\"\n"
"         command=\"SetTrainingFraction\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"training_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         Specify the fraction of values from the input dataset to be used for model fitting. The exact set of values is chosen at random from the dataset.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"NormalizationScheme\"\n"
"         label=\"Normalization Scheme\"\n"
"         command=\"SetNormalizationScheme\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2\">\n"
"       <EnumerationDomain name=\"norm_scheme\">\n"
"         <Entry value=\"0\" text=\"No normalization\"/>\n"
"         <Entry value=\"3\" text=\"Normalize using covariances\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Before the eigenvector decomposition of the covariance matrix takes place, you may normalize each (i,j) entry by sqrt( cov(i,i) * cov(j,j) ). This implies that the variance of each variable of interest should be of equal importance.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"BasisScheme\"\n"
"         label=\"Basis Scheme\"\n"
"         command=\"SetBasisScheme\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <EnumerationDomain name=\"basis_scheme\">\n"
"         <Entry value=\"0\" text=\"Full basis\"/>\n"
"         <Entry value=\"1\" text=\"Fixed-size basis\"/>\n"
"         <Entry value=\"2\" text=\"Fixed-energy basis\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         When reporting assessments, should the full eigenvector decomposition be used to project the original vector into the new space (Full basis), or should a fixed subset of the decomposition be used (Fixed-size basis), or should the projection be clipped to preserve at least some fixed \"energy\" (Fixed-energy basis)?&lt;p&gt;\n"
"\n"
"         As an example, suppose the variables of interest were {A,B,C,D,E} and that the eigenvalues of the covariance matrix for these were {5,2,1.5,1,.5}. If the \"Full basis\" scheme is used, then all 5 components of the eigenvectors will be used to project each {A,B,C,D,E}-tuple in the original data into a new 5-components space.&lt;p&gt;\n"
"\n"
"         If the \"Fixed-size\" scheme is used and the \"Basis Size\" property is set to 4, then only the first 4 eigenvector components will be used to project each {A,B,C,D,E}-tuple into the new space and that space will be of dimension 4, not 5.&lt;p&gt;\n"
"\n"
"         If the \"Fixed-energy basis\" scheme is used and the \"Basis Energy\" property is set to 0.8, then only the first 3 eigenvector components will be used to project each {A,B,C,D,E}-tuple into the new space, which will be of dimension 3. The number 3 is chosen because 3 is the lowest N for which the sum of the first N eigenvalues divided by the sum of all eigenvalues is larger than the specified \"Basis Energy\" (i.e., (5+2+1.5)/10 = 0.85 > 0.8).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"BasisSize\"\n"
"         label=\"Basis Size\"\n"
"         command=\"SetFixedBasisSize\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2\">\n"
"       <IntRangeDomain name=\"basis_size_range\" min=\"1\"/>\n"
"       <Documentation>\n"
"         The maximum number of eigenvector components to use when projecting into the new space.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"BasisEnergy\"\n"
"         label=\"Basis Energy\"\n"
"         command=\"SetFixedBasisEnergy\"\n"
"         animateable=\"1\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"basis_energy_range\" min=\"0\" max=\"1\"/>\n"
"       <Documentation>\n"
"         The minimum energy to use when determining the dimensionality of the new space into which the assessment will project tuples.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"    <OutputPort name=\"Statistical Model\" index=\"0\"/>\n"
"    <OutputPort name=\"Assessed Data\" index=\"1\"/>\n"
"    <Hints>\n"
"      <Visibility replace_input=\"1\" />\n"
"      <!-- View can be used to specify the preferred view for the proxy -->\n"
"      <View type=\"SpreadSheetView\" />\n"
"    </Hints>\n"
"\n"
"   </SourceProxy> <!-- PCAStatistics -->\n"
"\n"
"   <SourceProxy name=\"HaloFinder\" class=\"vtkPCosmoHaloFinder\" label=\"FOF/SOD Halo Finder\">\n"
"     <InputProperty\n"
"        name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"          <ProxyGroupDomain name=\"groups\">\n"
"            <Group name=\"sources\"/>\n"
"            <Group name=\"filters\"/>\n"
"          </ProxyGroupDomain>\n"
"          <DataTypeDomain name=\"input_type\">\n"
"            <DataType value=\"vtkUnstructuredGrid\"/>\n"
"          </DataTypeDomain>\n"
"          <Documentation>This property specifies the input of the filter.</Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"RL\"\n"
"        command=\"SetRL\"\n"
"        label=\"rL (physical box side length)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       The box side length used to wrap particles around if they exceed rL (or less than 0) in any dimension (only positive positions are allowed in the input, or they are wrapped around).\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Overlap\"\n"
"        command=\"SetOverlap\"\n"
"        label=\"overlap (shared point/ghost cell gap distance)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       The space (in rL units) to extend processor particle ownership for ghost particles/cells.  Needed for correct halo calculation when halos cross processor boundaries in parallel computation.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NP\"\n"
"        command=\"SetNP\"\n"
"        label=\"np (number of seeded particles in one dimension, i.e., total particles = np^3)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"256\" >\n"
"     <IntRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"        Number of seeded particles in one dimension.  Therefore, total simulation particles is np^3 (cubed).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"BB\"\n"
"        command=\"SetBB\"\n"
"        label=\"bb (linking length)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.20\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"         Linking length measured in units of interparticle spacing and is dimensionless.  Used to link particles into halos for the friends-of-friends (FOF) algorithm.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"PMin\"\n"
"        command=\"SetPMin\"\n"
"        label=\"pmin (minimum particle threshold for an FOF halo)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\" >\n"
"     <IntRangeDomain name=\"range\" min=\"1\" />\n"
"       <Documentation>\n"
"         Minimum number of particles (threshold) needed before a group is called a friends-of-friends (FOF) halo.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CopyHaloDataToParticles\"\n"
"        command=\"SetCopyHaloDataToParticles\"\n"
"        label=\"Copy FOF halo catalog to original particles\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"     <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"       If checked, the friends-of-friends (FOF) halo catalog information will be copied to the original particles as well.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeMostBoundParticle\"\n"
"        command=\"SetComputeMostBoundParticle\"\n"
"        label=\"Compute the most bound particle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"     <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"       If checked, the most bound particle for an FOF halo will be calculated.  WARNING: This can be very slow.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeMostConnectedParticle\"\n"
"        command=\"SetComputeMostConnectedParticle\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface32 =
"        label=\"Compute the most connected particle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"     <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"       If checked, the most connected particle for an FOF halo will be calculated.  WARNING: This can be very slow.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ComputeSOD\"\n"
"        command=\"SetComputeSOD\"\n"
"        label=\"Compute spherical overdensity (SOD) halos\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"     <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"       If checked, spherical overdensity (SOD) halos will be calculated in addition to friends-of-friends (FOF) halos.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"SODCenterType\"\n"
"         command=\"SetSODCenterType\"\n"
"         label=\"initial SOD center\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <EnumerationDomain name=\"sod_center_type\">\n"
"         <Entry value=\"0\" text=\"Center of mass\"/>\n"
"         <Entry value=\"1\" text=\"Average position\"/>\n"
"         <Entry value=\"2\" text=\"Most bound particle\"/>\n"
"         <Entry value=\"3\" text=\"Most connected particle\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"       The initial friends-of-friends (FOF) center used for calculating a spherical overdensity (SOD) halo.  WARNING: Using MBP or MCP can be very slow.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"RhoC\"\n"
"        command=\"SetRhoC\"\n"
"        label=\"rho_c\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.77536627e11\" >\n"
"     <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"       rho_c (critical density) for SOD halo finding.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"SODMass\"\n"
"        command=\"SetSODMass\"\n"
"        label=\"initial SOD mass\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0e14\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       The initial SOD mass.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinRadiusFactor\"\n"
"        command=\"SetMinRadiusFactor\"\n"
"        label=\"minimum radius factor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.5\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       Minimum radius factor for SOD finding.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaxRadiusFactor\"\n"
"        command=\"SetMaxRadiusFactor\"\n"
"        label=\"maximum radius factor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       Maximum radius factor for SOD finding.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"SODBins\"\n"
"        command=\"SetSODBins\"\n"
"        label=\"number of bins\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"20\" >\n"
"     <IntRangeDomain name=\"range\" min=\"1\" />\n"
"       <Documentation>\n"
"       Number of bins for SOD finding.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MinFOFSize\"\n"
"        command=\"SetMinFOFSize\"\n"
"        label=\"minimum FOF size\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1000\" >\n"
"     <IntRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       Minimum FOF halo size to calculate an SOD halo.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinFOFMass\"\n"
"        command=\"SetMinFOFMass\"\n"
"        label=\"minimum FOF mass\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5.0e12\" >\n"
"     <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"       Minimum FOF mass to calculate an SOD halo.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"MaterialInterfaceFilter\"\n"
"                class=\"vtkMaterialInterfaceFilter\"\n"
"                label=\"Material Interface Filter\">\n"
"     <Documentation\n"
"       long_help=\"The Material Interface filter finds volumes in the input data containg material above a certain material fraction.\"\n"
"       short_help=\"The Material Interface filter finds volumes in the input data containg material above a certain material fraction.\">\n"
"       The Material Interface filter finds voxels inside of which a material\n"
"       fraction (or normalized amount of material) is higher than a given\n"
"       threshold. As these voxels are identified surfaces enclosing adjacent\n"
"       voxels above the threshold are generated. The resulting volume and its\n"
"       surface are what we call a fragment. The filter has the ability to\n"
"       compute various volumetric attributes such as fragment volume, mass,\n"
"       center of mass as well as volume and mass weighted averages for any of\n"
"       the fields present. Any field selected for such computation will be also\n"
"       be coppied into the fragment surface's point data for visualization. The\n"
"       filter also has the ability to generate Oriented Bounding Boxes (OBB) for\n"
"       each fragment.\n"
"\n"
"       The data generated by the filter is organized in three outputs. The\n"
"       \"geometry\" output, containing the fragment surfaces. The \"statistics\"\n"
"       output, containing a point set of the centers of mass. The \"obb\n"
"       representaion\" output, containing OBB representations (poly data). All\n"
"       computed attributes are coppied into the statistics and geometry output.\n"
"       The obb representation output is used for validation and debugging\n"
"       puproses and is turned off by default.\n"
"\n"
"       To measure the size of craters, the filter can invert a volume fraction\n"
"       and clip the volume fraction with a sphere and/or a plane.\n"
"     </Documentation>\n"
"     <OutputPort name=\"geometry\" index=\"0\" />\n"
"     <OutputPort name=\"statistics\" index=\"1\" />\n"
"     <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkHierarchicalBoxDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\" attribute_type=\"cell\" />\n"
"       <Documentation>\n"
"         Input to the filter can be a hierarchical box data set containing image\n"
"         data or a multi-block of rectilinear grids.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <!-- Material Fraction Array-->\n"
"     <StringVectorProperty name=\"SelectMaterialArray\"\n"
"        command=\"SelectMaterialArray\"\n"
"        clean_command=\"UnselectAllMaterialArrays\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        label=\"Select Material Fraction Arrays\">\n"
"       <ArrayListDomain name=\"array_list\"\n"
"          data_type=\"VTK_UNSIGNED_CHAR\" attribute_type=\"Scalars\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- override gui no to set default -->\n"
"         <!-- <NoDefault /> -->\n"
"       </Hints>\n"
"       <Documentation>\n"
"         Material fraction is defined as normalized amount of material per\n"
"         voxel. It is expected that arrays containing material fraction data has\n"
"         been down converted to a unsigned char.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- Material fraction -->\n"
"     <DoubleVectorProperty\n"
"       name=\"MaterialFractionThreshold\"\n"
"       command=\"SetMaterialFractionThreshold\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0.5\"\n"
"       label=\"Material Fraction Threshold\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0.08\" max=\"1\" />\n"
"       <Documentation>\n"
"         Material fraction is defined as normalized amount of material per\n"
"         voxel. Any voxel in the input data set with a material fraction greater\n"
"         than this value is included in the output data set.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <!-- Invert the volume fraction -->\n"
"     <IntVectorProperty\n"
"        name=\"InvertVolumeFraction\"\n"
"        command=\"SetInvertVolumeFraction\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Inverting the volume fraction generates the negative of the material.\n"
"         It is useful for analyzing craters.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <ProxyProperty name=\"ClipFunction\" command=\"SetClipFunction\"\n"
"        label=\"Clip Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"None\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property sets the type of clip geometry, and\n"
"             associated parameters.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <!-- Mass Array-->\n"
"     <StringVectorProperty\n"
"       name=\"SelectMassArray\"\n"
"       command=\"SelectMassArray\"\n"
"       clean_command=\"UnselectAllMassArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Select Mass Arrays\">\n"
"       <ArrayListDomain\n"
"         name=\"array_list\"\n"
"         data_type=\"VTK_FLOAT VTK_DOUBLE\"\n"
"         attribute_type=\"Scalars\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- override gui no to set default -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"       <Documentation>\n"
"         Mass arrays are paired with material fraction arrays. This means that\n"
"         the first selected material fraction array is paired with the first\n"
"         selected mass array, and so on sequentially. As the filter identifies\n"
"         voxels meeting the minimum material fraction threshold, these voxel's\n"
"         mass will be used in fragment center of mass and mass calculation.\n"
"\n"
"         A warning is generated if no mass array is selected for an individual\n"
"         material fraction array. However, in that case the filter will run\n"
"         without issue because the statistics output can be generated using\n"
"         fragments' centers computed from axis aligned bounding boxes.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- Volume weighted average Array -->\n"
"     <StringVectorProperty\n"
"       name=\"SelectVolumeWtdAvgArray\"\n"
"       command=\"SelectVolumeWtdAvgArray\"\n"
"       clean_command=\"UnselectAllVolumeWtdAvgArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Compute volume weighted average over:\">\n"
"       <Documentation>\n"
"         Specifies the arrays from which to volume weighted average.\n"
"       </Documentation>\n"
"       <ArrayListDomain\n"
"         name=\"array_list\"\n"
"         data_type=\"VTK_FLOAT VTK_DOUBLE\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- override gui no to set default -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"       <Documentation>\n"
"         For arrays selected a volume weighted average is computed. The values\n"
"         of these arrays are also coppied into fragment geometry cell data as\n"
"         the fragment surfaces are generated.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- Mass weighted average Array -->\n"
"     <StringVectorProperty\n"
"       name=\"SelectMassWtdAvgArray\"\n"
"       command=\"SelectMassWtdAvgArray\"\n"
"       clean_command=\"UnselectAllMassWtdAvgArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Compute mass weighted average over:\">\n"
"       <ArrayListDomain\n"
"         name=\"array_list\"\n"
"         data_type=\"VTK_FLOAT VTK_DOUBLE\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <!-- override gui no to set default -->\n"
"         <NoDefault />\n"
"       </Hints>\n"
"       <Documentation>\n"
"         For arrays selected a mass weighted average is computed. These arrays\n"
"         are also coppied into fragment geometry cell data as the fragment\n"
"         surfaces are generated.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <!-- do not remove -->\n"
"     <!-- Summation Array\n"
"     <StringVectorProperty\n"
"       name=\"SelectSummationArray\"\n"
"       command=\"SelectSummationArray\"\n"
"       clean_command=\"UnselectAllSummationArrays\"\n"
"       repeat_command=\"1\"\n"
"       number_of_elements_per_command=\"1\"\n"
"       label=\"Compute summation over:\">\n"
"       <Documentation>\n"
"         Specifies the arrays from which to sum over fragments.\n"
"       </Documentation>\n"
"\n"
"       <ArrayListDomain\n"
"         name=\"array_list\"\n"
"         data_type=\"VTK_FLOAT VTK_DOUBLE\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <Hints>\n"
"         <NoDefault />\n"
"       </Hints>\n"
"     </StringVectorProperty>-->\n"
"\n"
"     <!-- Compute OBB -->\n"
"     <IntVectorProperty\n"
"        name=\"ComputeOBB\"\n"
"        command=\"SetComputeOBB\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Compute Object Oriented Bounding boxes (OBB). When active the result of\n"
"         this computation is coppied into the statistics output. In the case\n"
"         that the filter is built in its validation mode, the OBB's are\n"
"         rendered.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- Write a csv file:\n"
"          This is not an excel compatible file, it has more\n"
"          information that is stored in headers. Also commas\n"
"          are used on tuple boundaries while spaces are used\n"
"          on component boundaries.-->\n"
"     <IntVectorProperty\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/filters.xml
static const char* vtkSMDefaultModulesfiltersInterface33 =
"        name=\"WriteGeometryOutput\"\n"
"        command=\"SetWriteGeometryOutput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set, then the geometry output is written to a text\n"
"         file. The file name will be coonstructed using the path in the \"Output\n"
"         Base Name\" widget.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"        name=\"WriteStatisticsOutput\"\n"
"        command=\"SetWriteStatisticsOutput\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set, then the statistics output is written to a\n"
"         text file. The file name will be coonstructed using the path in the\n"
"         \"Output Base Name\" widget.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"OutputBaseName\"\n"
"        command=\"SetOutputBaseName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          This property specifies the base including path of where to write the\n"
"          statistics and gemoetry output text files. It follows the pattern\n"
"          \"/path/to/folder/and/file\" here file has no extention, as the filter\n"
"          will generate a unique extention.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <!-- do not remove\n"
"      this is a feature that most users should not\n"
"      need. If memory usage becomes a problem then\n"
"      this gives the user more control over excluding\n"
"      highly loaded processes from memory intesive operations. -->\n"
"     <!-- loading bounds\n"
"     <IntVectorProperty\n"
"       name=\"UpperLoadingBound\"\n"
"       command=\"SetUpperLoadingBound\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"-1\"\n"
"       label=\"Loading Bound\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"-1\" max=\"2000000000\" />\n"
"       <Documentation>\n"
"         Bound in polygons above which process are excluded from work sharing.\n"
"       </Documentation>\n"
"     </IntVectorProperty>-->\n"
"\n"
"   <!-- End MaterialInterfaceFilter -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"IntersectFragments\"\n"
"                class=\"vtkIntersectFragments\"\n"
"                label=\"Intersect Fragments\">\n"
"     <Documentation\n"
"       long_help=\"The Intersect Fragments filter perform geometric intersections on sets of fragments.\"\n"
"       short_help=\"The Intersect Fragments filter perform geometric intersections on sets of fragments.\">\n"
"       The Intersect Fragments filter perform geometric intersections on sets of\n"
"       fragments. The filter takes two inputs, the first containing fragment\n"
"       geometry and the second containing fragment centers. The filter has two\n"
"       outputs. The first is geometry that results from the intersection. The\n"
"       second is a set of points that is an approximation of the center of where\n"
"       each fragment has been intersected.\n"
"     </Documentation>\n"
"\n"
"     <!-- Out -->\n"
"     <OutputPort name=\"geometry\" index=\"0\" />\n"
"     <OutputPort name=\"statistics\" index=\"1\" />\n"
"     <!-- In -->\n"
"     <InputProperty\n"
"       name=\"Input\"\n"
"       command=\"SetGeometryInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         This input must contian fragment geometry.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"     <InputProperty\n"
"       name=\"Source\"\n"
"       command=\"SetStatisticsInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkMultiBlockDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <Documentation>\n"
"         This input must contian fragment centers.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"    <!-- Cut functuion -->\n"
"    <ProxyProperty name=\"CutFunction\" command=\"SetCutFunction\"\n"
"        label=\"Slice Type\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"              <Group name=\"implicit_functions\"/>\n"
"           </ProxyGroupDomain>\n"
"           <ProxyListDomain name=\"proxy_list\">\n"
"              <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"              <Proxy group=\"implicit_functions\" name=\"Sphere\" />\n"
"           </ProxyListDomain>\n"
"           <Documentation>\n"
"             This property sets the type of intersecting geometry, and\n"
"             associated parameters.\n"
"           </Documentation>\n"
"     </ProxyProperty>\n"
"   <!-- End IntersectFragments -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GaussianSplatter\"\n"
"                class=\"vtkGaussianSplatter\"\n"
"                label=\"Gaussian Resampling\">\n"
"     <Documentation\n"
"         long_help=\"Splat points into a volume with an elliptical, Gaussian distribution.\"\n"
"         short_help=\"Point to voxel splatter.\">\n"
"       vtkGaussianSplatter is a filter that injects input points into a\n"
"       structured points (volume) dataset. As each point is injected, it \"splats\"\n"
"       or distributes values to nearby voxels. Data is distributed using an\n"
"       elliptical, Gaussian distribution function. The distribution function is\n"
"       modified using scalar values (expands distribution) or normals\n"
"       (creates ellipsoidal distribution rather than spherical).\n"
"\n"
"       Warning: results may be incorrect in parallel as points can't splat\n"
"       into other processor's cells.\n"
"     </Documentation>\n"
"\n"
"     <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"SetInputConnection\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"sources\"/>\n"
"         <Group name=\"filters\"/>\n"
"       </ProxyGroupDomain>\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"       <InputArrayDomain name=\"input_array\"\n"
"                         number_of_components=\"1\"\n"
"                         attribute_type=\"point\"/>\n"
"       <Documentation>\n"
"         This property specifies the input to the filter.\n"
"       </Documentation>\n"
"     </InputProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"SelectInputScalars\"\n"
"         command=\"SetInputArrayToProcess\"\n"
"         number_of_elements=\"5\"\n"
"         element_types=\"0 0 0 0 2\"\n"
"         animateable=\"0\"\n"
"         label=\"Resample Field\">\n"
"       <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"                        none_string=\"ignore arrays\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </ArrayListDomain>\n"
"       <FieldDataDomain name=\"field_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"Input\" function=\"Input\"/>\n"
"         </RequiredProperties>\n"
"       </FieldDataDomain>\n"
"       <Documentation>\n"
"         Choose a scalar array to splat into the output cells. If ignore arrays is chosen, point density will be counted instead.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"SampleDimensions\"\n"
"         label=\"Resampling Grid\"\n"
"         command=\"SetSampleDimensions\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"50 50 50\">\n"
"       <IntRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Set / get the dimensions of the sampling structured point set. Higher values produce better results but are much slower.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"ModelBounds\"\n"
"         label=\"Extent to Resample\"\n"
"         command=\"SetModelBounds\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"0.0 0.0 0.0 0.0 0.0 0.0\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which the sampling is performed. If any of the (min,max) bounds values are min >= max, then the bounds will be computed automatically from the input data. Otherwise, the user-specified bounds will be used.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         label=\"Gaussian Splat Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Set / get the radius of propagation of the splat. This value is expressed as a percentage of the length of the longest side of the sampling volume. Smaller numbers greatly reduce execution time.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"ExponentFactor\"\n"
"         label=\"Gaussian Exponent Factor\"\n"
"         command=\"SetExponentFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"-5.0\">\n"
"       <DoubleRangeDomain name=\"range\" max=\"0.0\"/>\n"
"       <Documentation>\n"
"         Set / get the sharpness of decay of the splats. This is the exponent constant in the Gaussian equation. Normally this is a negative value.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"ScalarWarping\"\n"
"         label=\"Scale Splats\"\n"
"         command=\"SetScalarWarping\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Turn on/off the scaling of splats by scalar value.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"ScaleFactor\"\n"
"         label=\"Scale Factor\"\n"
"         command=\"SetScaleFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Multiply Gaussian splat distribution by this value. If ScalarWarping is on, then the Scalar value will be multiplied by the ScaleFactor times the Gaussian function.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"NormalWarping\"\n"
"         label=\"Elliptical Splats\"\n"
"         command=\"SetNormalWarping\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Turn on/off the generation of elliptical splats. If normal warping is on, then the input normals affect the distribution of the splat. This boolean is used in combination with the Eccentricity ivar.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"Eccentricity\"\n"
"         label=\"Ellipitical Eccentricity\"\n"
"         command=\"SetEccentricity\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2.5\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Control the shape of elliptical splatting. Eccentricity is the ratio of the major axis (aligned along normal) to the minor (axes) aligned along other two axes. So Eccentricity gt 1 creates needles with the long axis in the direction of the normal; Eccentricity lt 1 creates pancakes perpendicular to the normal vector.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"Capping\"\n"
"         label=\"Fill Volume Boundary\"\n"
"         command=\"SetCapping\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Turn on/off the capping of the outer boundary of the volume to a specified cap value. This can be used to close surfaces (after iso-surfacing) and create other effects.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"CapValue\"\n"
"         label=\"Fill Value\"\n"
"         command=\"SetCapValue\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Specify the cap value to use. (This instance variable only has effect if the ivar Capping is on.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"Accumulation Mode\"\n"
"         label=\"Splat Accumulation Mode\"\n"
"         command=\"SetAccumulationMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Min\"/>\n"
"         <Entry value=\"1\" text=\"Max\"/>\n"
"         <Entry value=\"2\" text=\"Sum\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         Specify the scalar accumulation mode. This mode expresses how scalar values are combined when splats are overlapped. The Max mode acts like a set union operation and is the most commonly used; the Min mode acts like a set intersection, and the sum is just weird.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"NullValue\"\n"
"         label=\"Empty Cell Value\"\n"
"         command=\"SetNullValue\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\">\n"
"       <DoubleRangeDomain name=\"range\" />\n"
"       <Documentation>\n"
"         Set the Null value for output points not receiving a contribution from the input points. (This is the initial value of the voxel samples.)\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <!-- End of GaussianSplatter -->\n"
"   </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesfiltersGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesfiltersInterface0)
    + strlen(vtkSMDefaultModulesfiltersInterface1)
    + strlen(vtkSMDefaultModulesfiltersInterface2)
    + strlen(vtkSMDefaultModulesfiltersInterface3)
    + strlen(vtkSMDefaultModulesfiltersInterface4)
    + strlen(vtkSMDefaultModulesfiltersInterface5)
    + strlen(vtkSMDefaultModulesfiltersInterface6)
    + strlen(vtkSMDefaultModulesfiltersInterface7)
    + strlen(vtkSMDefaultModulesfiltersInterface8)
    + strlen(vtkSMDefaultModulesfiltersInterface9)
    + strlen(vtkSMDefaultModulesfiltersInterface10)
    + strlen(vtkSMDefaultModulesfiltersInterface11)
    + strlen(vtkSMDefaultModulesfiltersInterface12)
    + strlen(vtkSMDefaultModulesfiltersInterface13)
    + strlen(vtkSMDefaultModulesfiltersInterface14)
    + strlen(vtkSMDefaultModulesfiltersInterface15)
    + strlen(vtkSMDefaultModulesfiltersInterface16)
    + strlen(vtkSMDefaultModulesfiltersInterface17)
    + strlen(vtkSMDefaultModulesfiltersInterface18)
    + strlen(vtkSMDefaultModulesfiltersInterface19)
    + strlen(vtkSMDefaultModulesfiltersInterface20)
    + strlen(vtkSMDefaultModulesfiltersInterface21)
    + strlen(vtkSMDefaultModulesfiltersInterface22)
    + strlen(vtkSMDefaultModulesfiltersInterface23)
    + strlen(vtkSMDefaultModulesfiltersInterface24)
    + strlen(vtkSMDefaultModulesfiltersInterface25)
    + strlen(vtkSMDefaultModulesfiltersInterface26)
    + strlen(vtkSMDefaultModulesfiltersInterface27)
    + strlen(vtkSMDefaultModulesfiltersInterface28)
    + strlen(vtkSMDefaultModulesfiltersInterface29)
    + strlen(vtkSMDefaultModulesfiltersInterface30)
    + strlen(vtkSMDefaultModulesfiltersInterface31)
    + strlen(vtkSMDefaultModulesfiltersInterface32)
    + strlen(vtkSMDefaultModulesfiltersInterface33) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesfiltersInterface0);
  strcat(res, vtkSMDefaultModulesfiltersInterface1);
  strcat(res, vtkSMDefaultModulesfiltersInterface2);
  strcat(res, vtkSMDefaultModulesfiltersInterface3);
  strcat(res, vtkSMDefaultModulesfiltersInterface4);
  strcat(res, vtkSMDefaultModulesfiltersInterface5);
  strcat(res, vtkSMDefaultModulesfiltersInterface6);
  strcat(res, vtkSMDefaultModulesfiltersInterface7);
  strcat(res, vtkSMDefaultModulesfiltersInterface8);
  strcat(res, vtkSMDefaultModulesfiltersInterface9);
  strcat(res, vtkSMDefaultModulesfiltersInterface10);
  strcat(res, vtkSMDefaultModulesfiltersInterface11);
  strcat(res, vtkSMDefaultModulesfiltersInterface12);
  strcat(res, vtkSMDefaultModulesfiltersInterface13);
  strcat(res, vtkSMDefaultModulesfiltersInterface14);
  strcat(res, vtkSMDefaultModulesfiltersInterface15);
  strcat(res, vtkSMDefaultModulesfiltersInterface16);
  strcat(res, vtkSMDefaultModulesfiltersInterface17);
  strcat(res, vtkSMDefaultModulesfiltersInterface18);
  strcat(res, vtkSMDefaultModulesfiltersInterface19);
  strcat(res, vtkSMDefaultModulesfiltersInterface20);
  strcat(res, vtkSMDefaultModulesfiltersInterface21);
  strcat(res, vtkSMDefaultModulesfiltersInterface22);
  strcat(res, vtkSMDefaultModulesfiltersInterface23);
  strcat(res, vtkSMDefaultModulesfiltersInterface24);
  strcat(res, vtkSMDefaultModulesfiltersInterface25);
  strcat(res, vtkSMDefaultModulesfiltersInterface26);
  strcat(res, vtkSMDefaultModulesfiltersInterface27);
  strcat(res, vtkSMDefaultModulesfiltersInterface28);
  strcat(res, vtkSMDefaultModulesfiltersInterface29);
  strcat(res, vtkSMDefaultModulesfiltersInterface30);
  strcat(res, vtkSMDefaultModulesfiltersInterface31);
  strcat(res, vtkSMDefaultModulesfiltersInterface32);
  strcat(res, vtkSMDefaultModulesfiltersInterface33);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"   \n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GlyphSource2D\" class=\"vtkGlyphSource2D\" label=\"2D Glyph\">\n"
"     <Documentation\n"
"        long_help=\"Create a 2D glyph (e.g., arrow, cross, dash, etc.)\"\n"
"        short_help=\"Create a 2D glyph\">\n"
"The 2D Glyph source is used for generating a family of 2D glyphs, each of which lies in the x-y plane. The output of the 2D Glyph source is polygonal data.\n"
"     </Documentation>\n"
"     <IntVectorProperty \n"
"        name=\"GlyphType\" \n"
"        command=\"SetGlyphType\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"9\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"Vertex\"/>\n"
"         <Entry value=\"2\" text=\"Dash\"/>\n"
"         <Entry value=\"3\" text=\"Cross\"/>\n"
"         <Entry value=\"4\" text=\"ThickCross\"/>\n"
"         <Entry value=\"5\" text=\"Triangle\"/>\n"
"         <Entry value=\"6\" text=\"Square\"/>\n"
"         <Entry value=\"7\" text=\"Circle\"/>\n"
"         <Entry value=\"8\" text=\"Diamond\"/>\n"
"         <Entry value=\"9\" text=\"Arrow\"/>\n"
"         <Entry value=\"10\" text=\"ThickArrow\"/>\n"
"         <Entry value=\"11\" text=\"HookedArrow\"/>\n"
"         <Entry value=\"12\" text=\"EdgeArrow\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property specifies the type of the 2D glyph.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Filled\" \n"
"        command=\"SetFilled\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" > \n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 1, the 2D glyph will be a filled polygon; otherwise, only the edges (line segments) will be included in the output. This only applies to closed 2D glyphs.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Center\"\n"
"        command=\"SetCenter\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Set the x, y, z coordinates of the origin of the 2D glyph.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"   <!-- End 2DGlyph -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"VectorText\" class=\"vtkVectorText\" label=\"3D Text\">\n"
"     <Documentation\n"
"        long_help=\"3D geometric representation of a text string\" \n"
"        short_help=\"Create a 3D text object\">\n"
"The 3D Text source displays a text string as polygonal data.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"Text\"\n"
"        command=\"SetText\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3D Text\">\n"
"        <Documentation>\n"
"          This property contains the text string to be displayed. The ASCII alphanumeric characters a-z, A-Z, and 0-9 are supported; so are ASCII punctuation marks. The only supported control character is \"\\n\", which inserts a new line in the text string.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End 3DText -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ArrowSource\" class=\"vtkPVArrowSource\" label=\"Arrow\">\n"
"      <Documentation\n"
"        long_help=\"3D arrow with a long cylindrical shaft and a cone for the tip\"\n"
"        short_help=\"Create a 3D arrow\">\n"
"The Arrow source appends a cylinder to a cone to form a 3D arrow. The length of the whole arrow is 1.0 unit. The output of the Arrow source is polygonal data. This polygonal data will not contain normals, so rendering of the arrow will be performed using flat shading. The appearance of the arrow can be improved without significantly increasing the resolution of the tip and shaft by generating normals. (Use Normals Generation filter).\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"TipResolution\"\n"
"         command=\"SetTipResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"128\" />\n"
"        <Documentation>\n"
"          This property specifies the number of faces in the representation of the tip of the arrow (the cone). As the resolution increases, the cone will become smoother.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"<!-- These arbitrary ranges come from the header file for vtkArrowSource.-->\n"
"      <DoubleVectorProperty\n"
"         name=\"TipRadius\"\n"
"         command=\"SetTipRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.1\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"10\" />\n"
"        <Documentation>\n"
"          This property specifies the radius of the widest part of the tip of the arrow (the cone).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TipLength\"\n"
"         command=\"SetTipLength\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.35\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the length of the tip.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ShaftResolution\"\n"
"         command=\"SetShaftResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"128\" />\n"
"        <Documentation>\n"
"          This property specifies the number of faces of the shaft of the arrow (the cylinder). As the resolution increases, the cylinder will become smoother.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ShaftRadius\"\n"
"         command=\"SetShaftRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.03\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"5\" />\n"
"        <Documentation>\n"
"          This property specifies the radius of the shaft of the arrow (the cylinder).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Invert\"\n"
"         command=\"SetInvert\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           Inverts the arrow direction.\n"
"         </Documentation>\n"
"       </IntVectorProperty>\n"
"       \n"
"   <!-- End Arrow -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Axes\" class=\"vtkAxes\" label=\"Axes\">\n"
"      <Documentation\n"
"         long_help=\"Three lines representing the axes - red line along X, green line along Y, and blue line along Z\"\n"
"         short_help=\"Create three lines representing X, Y and Z axes\">\n"
"The Axes source can be used to add a representation of the coordinate system axes to the 3D scene. The X axis will be drawn as a blue line, the Y axis as a green line, and the Z axis as a red line. The axes can be drawn either as three lines drawn in the positive direction from the origin or as three lines crossing at the origin (drawn in both the positive and negative directions). The output of the Axes source is polygonal data. This polygonal data has a scalar per line so that the lines can be colored. It also has normals defined.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"ScaleFactor\"\n"
"         command=\"SetScaleFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          By default the axes lines have a length of 1 (or 1 in each direction, for a total length of 2, if value of the Symmetric property is 1). Increasing or decreasing the value of this property will make the axes larger or smaller, respectively.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Origin\"\n"
"         command=\"SetOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The values of this property set the X, Y, and Z coordinates of the origin of the axes.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Symmetric\" \n"
"        command=\"SetSymmetric\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" > \n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         When this property is set to 1, the axes extend along each of the positive and negative directions for a distance equal to the value of the Scale Factor property. When set to 0, the axes extend only in the positive direction.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Axes -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OutlineSource\" label=\"Outline\" class=\"vtkOutlineSource\">\n"
"      <Documentation\n"
"         long_help=\"3D outline of the specified bounds.\" \n"
"         short_help=\"Create an outline from the bounds\">\n"
"         The Outline source creates an axis aligned bounding box given the user-specified minimum and maximum coordinates for each axis.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"Bounds\"\n"
"         command=\"SetBounds\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"0 1 0 1 0 1\" >\n"
"         <Documentation>\n"
"           The values of this property specify the minimum and maximum X, Y, and Z coordinates (X min, X max, Y min, Y max, Z min, Z max) for drawing the outline.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End OutlineSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CubeSource\" class=\"vtkCubeSource\" label=\"Box\">\n"
"      <Documentation\n"
"         short_help=\"3D box with specified X, Y, and Z lengths\" \n"
"         long_help=\"Create a box with specified X, Y, and Z lengths.\">\n"
"The Box source can be used to add a box to the 3D scene. The output of the Box source is polygonal data containing both normals and texture coordinates.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"XLength\"\n"
"         command=\"SetXLength\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the length of the box in the X direction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"YLength\"\n"
"         command=\"SetYLength\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the length of the box in the Y direction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ZLength\"\n"
"         command=\"SetZLength\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the length of the box in the Z direction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the center of the box.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End Box -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ConeSource\" class=\"vtkConeSource\" label=\"Cone\">\n"
"      <Documentation\n"
"        short_help=\"3D cone of a given radius and height\" \n"
"        long_help=\"Create a 3D cone of a given radius and height.\">\n"
"The Cone source can be used to add a polygonal cone to the 3D scene. The output of the Cone source is polygonal data.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"512\" />\n"
"        <Documentation>\n"
"          This property indicates the number of divisions around the cone. The higher this number, the closer the polygonal approximation will come to representing a cone, and the more polygons it will contain.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          This property specifies the radius of the base of the cone.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Height\"\n"
"         command=\"SetHeight\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the height of the cone.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"         <Documentation>\n"
"           This property specifies the center of the cone.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Direction\"\n"
"         command=\"SetDirection\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          Set the orientation vector of the cone.  The vector does not have to be normalized.  The cone will point in the direction specified.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Capping\" \n"
"        command=\"SetCapping\" \n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" > \n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface1 =
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the base of the cone will be capped with a filled polygon. Otherwise, the base of the cone will be open.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Cone -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"HierarchicalFractal\" class=\"vtkHierarchicalFractal\" \n"
"                label=\"Hierarchical Fractal\">\n"
"      <Documentation\n"
"        long_help=\"Test source for AMR with HierarchicalDataSet\" \n"
"        short_help=\"Hierarchical fractal\">\n"
"The Hierarchical Fractal source is a collection of uniform grids. All have the same dimensions. Each block has a different origin and spacing. This source uses the Mandelbrot source to create cell data. The fractal array is scaled to look like a volme fraction.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"Dimensions\"\n"
"         command=\"SetDimensions\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"10\" >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"64\" />\n"
"        <Documentation>\n"
"          This property specifies the X, Y, Z cell dimensions of a block.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"FractalValue\"\n"
"         command=\"SetFractalValue\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"9.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          The value of this property will be mapped to 0.5 for use as a volume fraction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"MaximumLevel\"\n"
"         command=\"SetMaximumLevel\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"5\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"        <Documentation>\n"
"          This property specifies how many levels of refinement should be included in this hierarchical dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"GhostLevels\"\n"
"         command=\"SetGhostLevels\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          This property specifies whether ghost levels should be generated at processor boundaries.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"TwoDimensional\"\n"
"         command=\"SetTwoDimensional\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1, the generated dataset will be 2D; otherwise it will be 3D.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Asymetric\"\n"
"         command=\"SetAsymetric\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 0, all the blocks will be the same size. If it is set to 1, an asymmetric dataset will be created: some blocks will have an X dimension that is larger by 2 units.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"RectilinearGrids\"\n"
"         command=\"SetGenerateRectilinearGrids\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1, the hierarchical dataset will contain rectilinear grids; otherwise it will contain uniform grids.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty \n"
"         name=\"TimeStepRangeInfo\"\n"
"         command=\"GetTimeStepRange\"\n"
"         information_only=\"1\">\n"
"         <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty \n"
"         name=\"TimeStep\"\n"
"         command=\"SetTimeStep\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\">\n"
"           <RequiredProperties>\n"
"              <Property name=\"TimeStepRangeInfo\" function=\"Range\"/>\n"
"           </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"          This property specifies the timestep to use for this dataset.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"   <!-- End HierarchicalFractal -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CylinderSource\" class=\"vtkCylinderSource\" label=\"Cylinder\">\n"
"      <Documentation\n"
"         short_help=\"3D cylinder of a given radius and height\"\n"
"         long_help=\"Create a 3D cylinder of a given radius and height.\">\n"
"The Cylinder source can be used to add a polygonal cylinder to the 3D scene. The output of the Cylinder source is polygonal data containing both normals and texture coordinates.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"512\" />\n"
"        <Documentation>\n"
"          This property indicates the number of divisions around the cylinder. The higher this number, the closer the polygonal approximation will come to representing a cylinder, and the more polygons it will contain.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Height\"\n"
"         command=\"SetHeight\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the height of the cylinder (along the y axis).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"          This property specifies the radius of the cylinder.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the coordinate value at the center of the cylinder.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Capping\" \n"
"        command=\"SetCapping\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" > \n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the ends of the cylinder will each be capped with a closed polygon. Otherwise, the ends of the cylinder will be open.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End Cylinder -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"LineSource\" class=\"vtkLineSource\" label=\"Line\">\n"
"      <Documentation\n"
"         long_help=\"This source creates a line between two points. The resolution indicates how many segments are in the line.\" \n"
"         short_help=\"Create a line between two points\">\n"
"The Line source can be used to interactively (using a 3D widget) or manually (using the entries on the user interface) add a line to the 3D scene. The output of the Line source is polygonal data.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"Point1\"\n"
"         command=\"SetPoint1\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"-0.5 0.0 0.0\" >\n"
"         <DoubleRangeDomain name=\"range\" />\n"
"         <Documentation>\n"
"           This property controls the coordinates of the first endpoint of the line.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point2\"\n"
"         command=\"SetPoint2\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5 0.0 0.0\" >\n"
"         <DoubleRangeDomain name=\"range\" />\n"
"         <Documentation>\n"
"           This property controls the coordinates of the second endpoint of the line.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the number of pieces into which to divide the line.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"LineSource\" label=\"Line\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"          <Property function=\"Resolution\"          name=\"Resolution\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"   <!-- End Line -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Ruler\" class=\"vtkPVNullSource\" label=\"Ruler\">\n"
"      <Documentation\n"
"         long_help=\"This is a line source that can be used to measure distance between two points\"\n"
"         short_help=\"Create a ruler\">\n"
"        The ruler can be used to interactively (using a 3D widget) or manually\n"
"        (using the entries on the user interface) specify two points and then\n"
"        determine the distance between the two points. To place points on the\n"
"        surface of any dataset, one can use the 'p' key shortcut.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"Point1\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"-0.5 0.0 0.0\" >\n"
"         <DoubleRangeDomain name=\"range\" />\n"
"         <Documentation>\n"
"           This property controls the coordinates of the first endpoint of the line.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point2\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0.5 0.0 0.0\" >\n"
"         <DoubleRangeDomain name=\"range\" />\n"
"         <Documentation>\n"
"           This property controls the coordinates of the second endpoint of the line.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"Distance\" label=\"Distance\">\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"   <!-- End Line -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ImageMandelbrotSource\" class=\"vtkImageMandelbrotSource\"\n"
"                label=\"Mandelbrot\">\n"
"      <Documentation\n"
"        long_help=\"Representation (unsigned char) of the Mandlebrot set in up to 3 dimensions\"\n"
"        short_help=\"Create a Mandelbrot representation\">\n"
"The Mandelbrot source can be used to add a uniform rectilinear grid with scalar values derived from the Mandelbrot set to the 3D scene. The equation used is z = z^2 + C (where z and C are complex, and C is a constant). The scalar values in the grid are the number of iterations of the equation it takes for the magnitude of the value to become greater than 2. In the equation, the initial value of z is 0. By default, the real component of C is mapped onto the X axis; the imaginary component of C is mapped onto the Y axis; and the imaginary component of the initial value is mapped onto the Z axis. If a two-dimensional extent is specified, the resulting image will be displayed. If a three-dimensional extent is used, then the bounding box of the volume will be displayed. The output of the Mandelbrot source is image (uniform rectilinear) data.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"WholeExtent\"\n"
"         command=\"SetWholeExtent\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"0 250 0 250 0 0\" >\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The six values in the property indicate the X, Y, and Z extent of the output data. The first two numbers are the minimum and maximum X extent; the next two are the minimum and maximum Y extent; and the final two are the minimum and maximum Z extent. The numbers are inclusive, so values of 0, 250, 0, 250, 0, 0 indicate that the dimensions of the output will be 251 x 251 x 1.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ProjectionAxes\"\n"
"         command=\"SetProjectionAxes\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0 1 2\" >\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The three values in this property allow you to specify the projection from the 4D space used by the Mandelbrot set to the axes of the 3D volume. By default, the real component of C (represented by 0) is mapped to the X axis; the imaginary component of C (represented by 1) is mapped to the Y axis; and the real component of X, the initial value (represented by 2) is mapped to the Z axis. The imaginary component of X is represented by 3. All values entered must be between 0 and 3, inclusive.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"OriginCX\"\n"
"         command=\"SetOriginCX\"\n"
"         number_of_elements=\"4\"\n"
"         default_values=\"-1.75 -1.25 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The four values of this property indicate (in order) the components of C (real and imaginary) and the components of the initial value, X (real and imaginary).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"SizeCX\"\n"
"         command=\"SetSizeCX\"\n"
"         number_of_elements=\"4\"\n"
"         default_values=\"2.5 2.5 2.0 1.5\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The four values of this property indicate the length of the output in each of the four dimensions (the real and imaginary components of C and the real and imaginary components of X). The three dimensions specified in the Projection Axes property will determine which of these values specify the length of the axes in the output.\n"
"        </Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface2 =
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"MaximumNumberOfIterations\"\n"
"         command=\"SetMaximumNumberOfIterations\"\n"
"         label=\"Maximum Number of Iterations\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"100\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"5000\" />\n"
"        <Documentation>\n"
"          The value of this property specifies the limit on computational iterations (i.e., the maximum number of iterations to perform to determine if the value will go above 2). Values less than 2.0 after the specified number of iterations are considered in the fractal set.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"SubsampleRate\"\n"
"         command=\"SetSubsampleRate\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the rate at which to subsample the volume. The extent of the dataset in each dimension will be divided by this value.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"   <!-- End Mandelbrot -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"OctreeFractal\" class=\"vtkHyperOctreeFractalSource\"\n"
"                label=\"Octree Fractal\">\n"
"      <Documentation\n"
"         long_help=\"Test source for octree with Mandelbrot fractal\" \n"
"         short_help=\"Octree Fractal\">\n"
"         Create an octree from a Mandelbrot fractal. See the Mandelbrot source for a description of the variables used.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"Dimension\"\n"
"         command=\"SetDimension\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"3\" />\n"
"        <Documentation>\n"
"          This property specifies the dimensionality of the fractal: 1D - Binary tree line, 2D - Quadtree plane, 3D - Octree volume.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"MaximumLevel\"\n"
"         command=\"SetMaximumLevel\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"5\" >\n"
"        <IntRangeDomain name=\"range\" min=\"2\" max=\"11\" />\n"
"        <Documentation>\n"
"          This property specifies the maximum refinement level for the grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"MinimumLevel\"\n"
"         command=\"SetMinimumLevel\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"3\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"10\" />\n"
"        <Documentation>\n"
"          This property specifies the minimum refinement level for the grid.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ProjectionAxes\"\n"
"         command=\"SetProjectionAxes\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0 1 2\" >\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property indicates which axes of the dataset to display. See Mandelbrot source for a description of the possible axes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"OriginCX\"\n"
"         command=\"SetOriginCX\"\n"
"         number_of_elements=\"4\"\n"
"         default_values=\"-1.75 -1.25 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the imaginary and real values for C (constant) and X (initial value). See Mandelbrot source for a description of the C and X variables.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"SizeCX\"\n"
"         command=\"SetSizeCX\"\n"
"         number_of_elements=\"4\"\n"
"         default_values=\"2.5 2.5 2.0 1.5\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The four values of this property indicate the length of the output in each of the four dimensions (the real and imaginary components of C and the real and imaginary components of X). The three dimensions specified in the Projection Axes property will determine which of these values specify the length of the axes in the output.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"MaximumNumberOfIterations\"\n"
"         command=\"SetMaximumNumberOfIterations\"\n"
"         label=\"Maximum Number of Iterations\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"100\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"5000\" />\n"
"        <Documentation>\n"
"          The value of this property specifies the limit on computational iterations (i.e., the maximum number of iterations to perform to determine if the value will go above 2). Values less than 2.0 after the specified number of iterations are considered in the fractal set.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Threshold\"\n"
"         command=\"SetSpanThreshold\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies a threshold value that determines when to subdivide a leaf node.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>      \n"
"\n"
"   <!-- End OctreeFractal -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PlaneSource\" class=\"vtkPlaneSource\" label=\"Plane\">\n"
"      <Documentation\n"
"        long_help=\"Create a parallelogram given an origin and two points. The resolution indicates the number of division along each axis of the plane.\" \n"
"        short_help=\"Create a parallelogram from an origin and two points\">\n"
"The Plane source can be used to add a polygonal parallelogram to the 3D scene. Unlike the sphere, cone, and cylinder sources, the parallelogram is exactly represented at the lowest resolution, but higher resolutions may be desired if this plane is to be used as an input to a filter. The output of the Plane source is polygonal data.\n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"Origin\"\n"
"         command=\"SetOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"-0.5 -0.5 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinate of the origin (one corner) of the plane.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point1\"\n"
"         command=\"SetPoint1\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5 -0.5 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinate a second corner of the parallelogram. The line connecting this point and that specified by the Origin property define one edge of the parallelogram (its X axis).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point2\"\n"
"         command=\"SetPoint2\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"-0.5 0.5 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinate a third corner of the parallelogram. The line connecting this point and that specified by the Origin property define a second edge of the parallelogram (its Y axis).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"XResolution\"\n"
"         command=\"SetXResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the number of divisions along the X axis of the parallelogram.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"YResolution\"\n"
"         command=\"SetYResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the number of divisions along the Y axis of the parallelogram.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"   <!-- End Plane -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PointSource\" class=\"vtkPointSource\" label=\"Point Source\">\n"
"      <Documentation long_help=\"Create a point cloud of a certain size, radius, and center.\"\n"
"                     short_help=\"Create a point cloud\">\n"
"The point source creates a specified number of points within a given radius about a specified center point. \n"
"      </Documentation>\n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinates of the center of the point cloud.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"NumberOfPoints\"\n"
"         command=\"SetNumberOfPoints\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1\" >\n"
"         <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"         <Documentation>\n"
"           This property specifies the number of points in the point cloud.\n"
"         </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          This property specifies the radius of the point cloud, measured from the value of the Center property.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"PointSource\" >\n"
"          <Property function=\"WorldPosition\"  name=\"Center\" />\n"
"          <Property function=\"Radius\"         name=\"Radius\" />\n"
"          <Property function=\"NumberOfPoints\" name=\"NumberOfPoints\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"   <!-- End PointSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SphereSource\" class=\"vtkSphereSource\" label=\"Sphere\">\n"
"      <Documentation\n"
"         long_help=\"Create a 3D sphere given a center and radius.\" \n"
"         short_help=\"Create a 3D sphere\">\n"
"The Sphere source can be used to add a polygonal sphere to the 3D scene. The output of the Sphere source is polygonal data with point normals defined.\n"
"      </Documentation>\n"
"       \n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinates for the center of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          This property specifies the radius of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ThetaResolution\"\n"
"         command=\"SetThetaResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"8\" >\n"
"        <IntRangeDomain name=\"range\" min=\"3\" />\n"
"        <Documentation>\n"
"          The value of this property represents the number of divisions between Start Theta and End Theta around the sphere. (See the Start Theta and End Theta properties.) The theta divisions are similar to longitude lines on the earth. The higher the resolution, the closer the approximation will come to a sphere, and the more polygons there will be.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"StartTheta\"\n"
"         command=\"SetStartTheta\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"360\" />\n"
"        <Documentation>\n"
"          To form a complete sphere, the value of this property should be 0 degrees, and the value of the End Theta property should be 360 degrees. The value of this property can be adjusted to form only a portion of a sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"EndTheta\"\n"
"         command=\"SetEndTheta\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"360\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"360\" />\n"
"        <Documentation>\n"
"          The value of this property can be adjusted to form only a portion of a sphere. This value is measured in degrees.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"PhiResolution\"\n"
"         command=\"SetPhiResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"8\" >\n"
"        <IntRangeDomain name=\"range\" min=\"3\" />\n"
"        <Documentation>\n"
"          The value of this property represents the number of divisions between Start Phi and End Phi on the sphere. (See the Start Phi and End Phi properties.) The phi divisions are similar to latitude lines on the earth.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"StartPhi\"\n"
"         command=\"SetStartPhi\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\" />\n"
"        <Documentation>\n"
"          To form a complete sphere, the value of this property should be 0 degrees, and the value of the End Phi property should be 180 degrees. The value of this property can be adjusted to form only a portion of a sphere.\n"
"          Set the starting angle (in degrees) in the latitudinal direction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"EndPhi\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface3 =
"         command=\"SetEndPhi\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"180\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"180\" />\n"
"        <Documentation>\n"
"          The value of this property can be adjusted to form only a portion of a sphere. The value is measured in degrees.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"   <!-- End Sphere -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"DiskSource\" class=\"vtkDiskSource\" label=\"Disk\">\n"
"      <Documentation\n"
"         long_help=\"Create a 3D disk with a specified inner and outer radius.\" \n"
"         short_help=\"Create a 3D disk\">\n"
"The Disk source can be used to add a polygonal disk to the 3D scene. The output of the Disk source is polygonal data.\n"
"      </Documentation>\n"
"       \n"
"      <DoubleVectorProperty\n"
"         name=\"InnerRadius\"\n"
"         command=\"SetInnerRadius\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Specify inner radius of hole in disc.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"OuterRadius\"\n"
"         command=\"SetOuterRadius\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          Specify outer radius of disc. \n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"RadialResolution\"\n"
"         command=\"SetRadialResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"8\" >\n"
"        <IntRangeDomain name=\"range\" min=\"3\" max=\"1024\" />\n"
"        <Documentation>\n"
"          Set the number of points in radial direction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"CircumferentialResolution\"\n"
"         command=\"SetCircumferentialResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"8\" >\n"
"        <IntRangeDomain name=\"range\" min=\"3\" max=\"1024\" />\n"
"        <Documentation>\n"
"          Set the number of points in circumferential direction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"   <!-- End DiscSource -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SuperquadricSource\" class=\"vtkSuperquadricSource\"\n"
"                label=\"Superquadric\">\n"
"      <Documentation\n"
"         long_help=\"Create a superquadric according to the theta and phi roundness parameters. This one source can generate a wide variety of 3D objects including a box, a sphere, or a torus.\" \n"
"         short_help=\"Create a superquadric according to the theta and phi roundness parameters\">\n"
"The Superquadric source can be used to add a polygonal superquadric to the 3D scene. This source can be used to create a wide variety of shapes (e.g., a sphere, a box, or a torus) by adjusting the roundness parameters. The output of the Superquadric source is polygonal data with point normals and texture coordinates defined.\n"
"      </Documentation>\n"
"       \n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinates of the center of the superquadric.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Scale\"\n"
"         command=\"SetScale\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The three values in this property are used to scale the superquadric in X, Y, and Z. The surface normals will be computed correctly even with anisotropic scaling.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ThetaResolution\"\n"
"         command=\"SetThetaResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"16\" >\n"
"        <IntRangeDomain name=\"range\" min=\"8\" max=\"1024\" />\n"
"        <Documentation>\n"
"          The value of this property represents the number of divisions in the theta (longitudinal) direction. This value will be rounded to the nearest multiple of 8.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"PhiResolution\"\n"
"         command=\"SetPhiResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"16\" >\n"
"        <IntRangeDomain name=\"range\" min=\"4\" max=\"1024\" />\n"
"        <Documentation>\n"
"          The value of this property represents the number of divisions in the phi (latitudinal) direction. This number will be rounded to the nearest multiple of 4.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Thickness\"\n"
"         command=\"SetThickness\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.3333\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0001\" max=\"1\" />\n"
"        <Documentation>\n"
"          If the value of the Toroidal property is 1, this value represents the thickness of the superquadric as a value between 0 and 1. A value close to 0 leads to a thin object with a large hole, and a value near 1 leads to a thick object with a very small hole. Changing the thickness does not change the outer radius of the superquadric.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ThetaRoundness\"\n"
"         command=\"SetThetaRoundness\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"        <Documentation>\n"
"          This property defines the roundness of the superquadric in the theta (longitudinal) direction. A value of 0 represents a rectangular shape, a value of 1 represents a circular shape, and values greater than 1 produce higher order shapes.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"PhiRoundness\"\n"
"         command=\"SetPhiRoundness\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"1\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"        <Documentation>\n"
"          This property defines the roundness in the phi (latitudinal) direction. A value of 0 represents a rectangular shape, a value of 1 represents a circular shape, and values greater than 1 produce higher order shapes.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Size\"\n"
"         command=\"SetSize\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The value of this property represents the isotropic size of the superquadric. Note that both the Size and Thickness properties control coefficients of superquadric generation, so the value of this property may not exactly describe the size of the superquadric.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Toroidal\" \n"
"        command=\"SetToroidal\" \n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1\" > \n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If the value of this property is 0, the generated superquadric will not contain a hole (i.e., the superquadric will be ellipsoidal). Otherwise, a toroidal object is generated.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End SuperQuadric -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"RTAnalyticSource\" class=\"vtkRTAnalyticSource\" label=\"Wavelet\">\n"
"      <Documentation\n"
"         long_help=\"Create a regular rectilinear grid in up to three dimensions with values varying according to a periodic function.\"\n"
"         short_help=\"Create a rectilinear grid containing a wavelet\">\n"
"The Wavelet source can be used to create a uniform rectilinear grid in up to three dimensions with values varying according to the following periodic function.\n"
"OS = M * G * (XM * sin(XF * x) + YM * sin(YF * y) + ZM * cos(ZF * z))\n"
"OS is the output scalar; M represents the maximum value; G represents the Gaussian; XM, YM, and ZM are the X, Y, and Z magnitude values; and XF, YF, and ZF are the X, Y, and Z frequency values. If a two-dimensional extent is specified, the resulting image will be displayed. If a three-dimensional extent is used, then the bounding box of the volume will be displayed.\n"
"      </Documentation>\n"
"      <IntVectorProperty\n"
"         name=\"WholeExtent\"\n"
"         command=\"SetWholeExtent\"\n"
"         number_of_elements=\"6\"\n"
"         default_values=\"-10 10 -10 10 -10 10\" >\n"
"        <IntRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The six values in this property indicate the X, Y, and Z extent of the output data. The first two values represent the minimum and maximum X indices, the next two are the minimum and maximum Y indices, and the last two are the minimum and maximum Z indices.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Center\"\n"
"         command=\"SetCenter\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the 3D coordinates of the center of the dataset.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Maximum\"\n"
"         command=\"SetMaximum\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"255.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This parameter specifies the maximum value (M) of the function.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"XFreq\"\n"
"         command=\"SetXFreq\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"60.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the natural frequency in X (XF in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"YFreq\"\n"
"         command=\"SetYFreq\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"30.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the natural frequency in Y (YF in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ZFreq\"\n"
"         command=\"SetZFreq\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"40.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the natural frequency in Z (ZF in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"XMag\"\n"
"         command=\"SetXMag\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"10.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the wave amplitude in X (XM in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"YMag\"\n"
"         command=\"SetYMag\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"18.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the wave amplitude in Y (YM in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ZMag\"\n"
"         command=\"SetZMag\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"5.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the wave amplitude in Z (ZM in the equation).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"StandardDeviation\"\n"
"         command=\"SetStandardDeviation\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.5\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the standard deviation of the Gaussian used in computing this function.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"SubsampleRate\"\n"
"         command=\"SetSubsampleRate\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          This property specifies the rate at which to subsample the volume. The extent of the dataset in each dimension will be divided by this value. (See the Whole Extent property.)\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"   <!-- End Wavelet -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"Test3DWidget\" class=\"vtkConeSource\">\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"128\" />\n"
"        <Documentation>\n"
"          Set the number of faces used to generate the cone.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"   <!-- End Test3DWidget -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TextSource\" class=\"vtkPVTextSource\" \n"
"      label=\"Text\">\n"
"     <Documentation\n"
"       short_help=\"Display text\"\n"
"       long_help=\"The Text source generates a table containing text.\" >\n"
"       The Text source is used to generate a 1x1 vtkTable with a single text string.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"       name=\"Text\"\n"
"       command=\"SetText\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"Text\">\n"
"             <Hints>\n"
"              <Widget type=\"multi_line\"/>\n"
"            </Hints>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface4 =
"        <Documentation>\n"
"          This property specifies the text to display.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <OutputPort name=\"Output-0\" index=\"0\" type=\"text\" />\n"
"     </Hints>\n"
"   <!-- End of TextSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SelectionQuerySource\" class=\"vtkQuerySelectionSource\">\n"
"     <IntVectorProperty name=\"FieldType\"\n"
"        command=\"SetFieldType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          The location of the array the selection came from (ex, point, cell).\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"CELL\" />\n"
"          <Entry value=\"1\" text=\"POINT\" />\n"
"          <Entry value=\"2\" text=\"FIELD\" />\n"
"          <Entry value=\"3\" text=\"VERTEX\" />\n"
"          <Entry value=\"4\" text=\"EDGE\" />\n"
"          <Entry value=\"5\" text=\"ROW\" />\n"
"        </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"TermMode\"\n"
"        command=\"SetTermMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"None\" />\n"
"          <Entry value=\"1\" text=\"ID\" />\n"
"          <Entry value=\"2\" text=\"GLOBALID\" />\n"
"          <Entry value=\"3\" text=\"ARRAY\" />\n"
"          <Entry value=\"4\" text=\"LOCATION\" />\n"
"          <Entry value=\"5\" text=\"BLOCK\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Operator\"\n"
"        command=\"SetOperator\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"None\" />\n"
"          <Entry value=\"1\" text=\"IS_ONE_OF\" />\n"
"          <Entry value=\"2\" text=\"IS_BETWEEN\" />\n"
"          <Entry value=\"3\" text=\"IS_GE\" />\n"
"          <Entry value=\"4\" text=\"IS_LE\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ArrayName\"\n"
"        command=\"SetArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ArrayComponent\"\n"
"        command=\"SetArrayComponent\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IdTypeVectorProperty name=\"IdTypeValues\"\n"
"        command=\"SetIdTypeValues\"\n"
"        set_number_command=\"SetNumberOfIdTypeValues\"\n"
"        argument_is_array=\"1\">\n"
"      </IdTypeVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DoubleValues\"\n"
"        command=\"SetDoubleValues\"\n"
"        set_number_command=\"SetNumberOfDoubleValues\"\n"
"        argument_is_array=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompositeIndex\"\n"
"        command=\"SetCompositeIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HierarchicalLevel\"\n"
"        command=\"SetHierarchicalLevel\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\">\n"
"      </IntVectorProperty>\n"
"\n"
"\n"
"      <IntVectorProperty name=\"HierarchicalIndex\"\n"
"        command=\"SetHierarchicalIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ProcessID\"\n"
"        command=\"SetProcessID\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ContainingCells\"\n"
"        command=\"SetContainingCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Useful only when FieldType==POINT. This results in selecting the cells\n"
"          that contain the matching points.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"UserFriendlyText\"\n"
"        information_only=\"1\"\n"
"        command=\"GetUserFriendlyText\">\n"
"        <SimpleStringInformationHelper/>\n"
"        <Documentation>\n"
"          Reconstructs the query as a user friendly text eg. \"IDs >= 12\".\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty \n"
"         name=\"InsideOut\" \n"
"         command=\"SetInverse\" \n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When this property is false the selection describes everything that\n"
"          should be extracted. When this is true the selection describes\n"
"          everything that should NOT be extracted.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    <!-- end of SelectionQuerySource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <Proxy name=\"SelectionSourceBase\" >\n"
"     <Documentation>\n"
"       Internal proxy used to define the common API for Selection Source\n"
"       proxies. Do not use.\n"
"     </Documentation>\n"
"\n"
"     <IntVectorProperty name=\"FieldType\"\n"
"        command=\"SetFieldType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          The location of the array the selection came from (ex, point, cell).\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"CELL\" />\n"
"          <Entry value=\"1\" text=\"POINT\" />\n"
"          <Entry value=\"2\" text=\"FIELD\" />\n"
"          <Entry value=\"3\" text=\"VERTEX\" />\n"
"          <Entry value=\"4\" text=\"EDGE\" />\n"
"          <Entry value=\"5\" text=\"ROW\" />\n"
"        </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"ContainingCells\"\n"
"        command=\"SetContainingCells\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          When field type is POINT, this controls whether single vertex cells\n"
"          will be produced for each selected point, or whether the cells that\n"
"          contain each selected point will be produced. When field type is CELL\n"
"          this has no effect.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"InsideOut\" \n"
"        command=\"SetInverse\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         When this property is false the selection describes everything that\n"
"         should be extracted. When this is true the selection describes\n"
"         everything that should NOT be extracted.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   </Proxy>\n"
"   \n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"BlockSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"      <Documentation>\n"
"        BlockSelectionSource is a source producing a block-based selection used\n"
"        to select blocks from a composite dataset.\n"
"      </Documentation>\n"
"      <IdTypeVectorProperty name=\"Blocks\"\n"
"        command=\"AddBlock\" \n"
"        clean_command=\"RemoveAllBlocks\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Blocks\">\n"
"        <Documentation>\n"
"          The list of blocks that will be added to the selection produced by the\n"
"          selection source. The blocks are identified using their composite\n"
"          index (flat index).\n"
"        </Documentation>\n"
"     </IdTypeVectorProperty> \n"
"\n"
"      <!-- End of BlockSelectionSource -->\n"
"   </SourceProxy>\n"
"   \n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"FrustumSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"      <Documentation>\n"
"        FrustumSelectionSource is a source producing a frustum selection.\n"
"      </Documentation>\n"
"\n"
"     <DoubleVectorProperty name=\"Frustum\"\n"
"        command=\"SetFrustum\" \n"
"        number_of_elements=\"32\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\n"
"        \"0.0 0.0 1.0 0.0\n"
"         0.0 0.0 0.0 0.0\n"
"         0.0 1.0 1.0 0.0\n"
"         0.0 1.0 0.0 0.0\n"
"         1.0 0.0 1.0 0.0\n"
"         1.0 0.0 0.0 0.0\n"
"         1.0 1.0 1.0 0.0\n"
"         1.0 1.0 0.0 0.0\"\n"
"        label=\"Frustum\">\n"
"        <Documentation>\n"
"          Vertices that define a frustum for the selection source.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty> \n"
"\n"
"     <!-- End of FrustumSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"GlobalIDSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"      <Documentation>\n"
"        GlobalIDSelectionSource is a source producing a global ID based\n"
"        selection. \n"
"      </Documentation>\n"
"\n"
"     <IdTypeVectorProperty name=\"IDs\"\n"
"        command=\"AddGlobalID\" \n"
"        clean_command=\"RemoveAllGlobalIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Global IDs\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the\n"
"          selection source.\n"
"        </Documentation>\n"
"     </IdTypeVectorProperty> \n"
"     <!-- End of GlobalIDSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PedigreeIDSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"      <Documentation>\n"
"        PedigreeIDSelectionSource is a source producing a pedigree ID based\n"
"        selection. \n"
"      </Documentation>\n"
"\n"
"     <StringVectorProperty name=\"IDs\"\n"
"        command=\"AddPedigreeID\" \n"
"        clean_command=\"RemoveAllPedigreeIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        number_of_elements=\"2\"\n"
"        element_types=\"2 0\"\n"
"        default_values=\"id 0\"\n"
"        label=\"Pedigree IDs\">\n"
"        <Documentation>\n"
"          The list of integer IDs that will be added to the selection produced by the\n"
"          selection source, specified by the pair (domain, id).\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"StringIDs\"\n"
"        command=\"AddPedigreeStringID\" \n"
"        clean_command=\"RemoveAllPedigreeStringIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        number_of_elements=\"2\"\n"
"        element_types=\"2 2\"\n"
"        default_values=\"id foo\"\n"
"        label=\"Pedigree String IDs\">\n"
"        <Documentation>\n"
"          The list of string IDs that will be added to the selection produced by the\n"
"          selection source, specified by the pair (domain, id).\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <!-- End of PedigreeIDSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"IDSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"     <Documentation>\n"
"        IDSelectionSource is a source producing a ID based selection. This\n"
"        cannot be used for selecting composite datasets.\n"
"     </Documentation>\n"
"\n"
"     <IdTypeVectorProperty\n"
"        name=\"IDs\"\n"
"        command=\"AddID\"\n"
"        clean_command=\"RemoveAllIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the\n"
"          selection source. This takes pairs of values as\n"
"          (process number, id).\n"
"        </Documentation>\n"
"     </IdTypeVectorProperty>\n"
"\n"
"     <!-- End of IDSelectionSource -->\n"
"   </SourceProxy>\n"
"      \n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"CompositeDataIDSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"     <Documentation>\n"
"        CompositeDataIDSelectionSource used to create an ID based selection for\n"
"        composite datasets (Multiblock or HierarchicalBox dataset).\n"
"     </Documentation>\n"
"\n"
"     <IdTypeVectorProperty name=\"IDs\"\n"
"        command=\"AddCompositeID\" \n"
"        clean_command=\"RemoveAllCompositeIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the\n"
"          selection source. This takes 3-tuple of values as\n"
"          (flat-index, process number, id).\n"
"        </Documentation>\n"
"     </IdTypeVectorProperty>\n"
"\n"
"     <!-- End of CompositeDataIDSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"HierarchicalDataIDSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"     <Documentation>\n"
"        HierarchicalDataIDSelectionSource used to create an ID based selection for\n"
"        HierarchicalBox datasets.\n"
"     </Documentation>\n"
"\n"
"     <IdTypeVectorProperty name=\"IDs\"\n"
"        command=\"AddHierarhicalID\"\n"
"        clean_command=\"RemoveAllHierarchicalIDs\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          The list of IDs that will be added to the selection produced by the\n"
"          selection source. This takes 3-tuple of values as\n"
"          (level, index, id).\n"
"        </Documentation>\n"
"     </IdTypeVectorProperty>\n"
"\n"
"     <!-- End of HierarchicalDataIDSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"ThresholdSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"     <Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/sources.xml
static const char* vtkSMDefaultModulessourcesInterface5 =
"        ThresholdSelectionSource is used to create a threshold based selection.\n"
"     </Documentation>\n"
"\n"
"     <DoubleVectorProperty name=\"Thresholds\"\n"
"        command=\"AddThreshold\"\n"
"        clean_command=\"RemoveAllThresholds\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        number_of_elements=\"0\">\n"
"        <Documentation>\n"
"          The list of thresholds that will be added to the selection produced by\n"
"          the selection source.\n"
"        </Documentation> \n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ArrayName\"\n"
"       command=\"SetArrayName\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"none\">\n"
"        <Documentation>\n"
"           For threshold and value selection, this controls the name of the\n"
"           scalar array that will be thresholded within.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- End of ThresholdSelectionSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"LocationSelectionSource\" class=\"vtkPVSelectionSource\"\n"
"      base_proxygroup=\"sources\" base_proxyname=\"SelectionSourceBase\">\n"
"     <Documentation>\n"
"        LocationSelectionSource is used to create a location based selection.\n"
"     </Documentation>\n"
"\n"
"     <DoubleVectorProperty name=\"Locations\"\n"
"        command=\"AddLocation\"\n"
"        clean_command=\"RemoveAllLocations\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          The list of locations that will be added to the selection produced by\n"
"          the selection source.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <!-- End of LocationSelectionSource -->\n"
"   </SourceProxy>\n"
"   \n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TimeToTextConvertorSource\" class=\"vtkTimeToTextConvertor\"\n"
"     label=\"Annotate Time\" >\n"
"     <Documentation\n"
"        short_help=\"Show animation time as text\"\n"
"        long_help=\"Shows the animation time as text annnotation in the view.\" >\n"
"      The Annotate Time source can be used to show the animation time in text annotation.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"       name=\"Format\"\n"
"       command=\"SetFormat\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"Time: %f\">\n"
"       <Documentation>\n"
"         This property specifies the format used to display the input time (using printf style).\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <OutputPort name=\"Output-0\" index=\"0\" type=\"text\" />\n"
"     </Hints>\n"
"     <!-- End of TimeToTextConvertorSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TimeSource\" class=\"vtkTimeSourceExample\"\n"
"                label=\"Time Source\">\n"
"      <Documentation\n"
"        long_help=\"Produces a single cell uniform grid with data values that vary over a sin(t) wave from t=0 to t=1 (radian).\"\n"
"        short_help=\"Produces a sine wave over time\">\n"
"        Produces a single cell uniform grid with data values that vary over a\n"
"        sin(t) wave from t=0 to t=1 (radian).\n"
"      </Documentation>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Analytic\"\n"
"        command=\"SetAnalytic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"        Makes the time source produce discrete steps of or an analytic sin wave.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty \n"
"        name=\"X Amplitude\"\n"
"        command=\"SetXAmplitude\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <Documentation>\n"
"        Controls how far the data set moves along X over time.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty \n"
"        name=\"Y Amplitude\"\n"
"        command=\"SetYAmplitude\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <Documentation>\n"
"        Controls how far the data set moves along Y over time.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"Growing\"\n"
"        command=\"SetGrowing\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"        Makes the time source grow and shrink along Y over time.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty \n"
"          name=\"TimestepValues\"\n"
"          repeatable=\"1\"\n"
"          information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <!-- End of TimeSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"DataObjectGenerator\" \n"
"                 class=\"vtkDataObjectGenerator\"\n"
"                 label=\"Data Object Generator\">\n"
"     <Documentation\n"
"       long_help=\"Parses a string to produce composite data objects consisting of simple templated datasets.\"\n"
"       short_help=\"Produces simple (composite or atomic) data sets for testing.\">\n"
"\n"
"vtkDataObjectGenerator parses a string and produces dataobjects from the\n"
"dataobject template names it sees in the string. For example, if the string\n"
"contains &quot;ID1&quot; the generator will create a vtkImageData. &quot;UF1&quot;, &quot;RG1&quot;,\n"
"&quot;SG1&quot;, &quot;PD1&quot;, and &quot;UG1&quot; will produce vtkUniformGrid, vtkRectilinearGrid,\n"
"vtkStructuredGrid, vtkPolyData and vtkUnstructuredGrid respectively.\n"
"&quot;PD2&quot; will produce an alternate vtkPolydata.\n"
"You can compose composite datasets from the atomic ones listed above -\n"
"&quot;MB{}&quot; or &quot;HB[]&quot;. &quot;MB{ ID1 PD1 MB{} }&quot; for example will create a\n"
"vtkMultiBlockDataSet consisting of three blocks: image data, poly data,\n"
"multi-block (empty). Hierarchical Box data sets additionally require\n"
"the notion of groups, declared within &quot;()&quot; braces, to specify AMR depth.\n"
"&quot;HB[ (UF1)(UF1)(UF1) ]&quot; will create a vtkHierarchicalBoxDataSet representing\n"
"an octree that is three levels deep, in which the firstmost cell in each level\n"
"is refined.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty \n"
"       name=\"Program\" \n"
"       command=\"SetProgram\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"ID1\">\n"
"       <Hints>\n"
"         <Widget type=\"multi_line\"/>\n"
"       </Hints>\n"
"       <Documentation>\n"
"         This property contains the string that is parsed to determine the structured of the output data object to produce.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"   <!-- End DataObjectGenerator -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"NetworkImageSource\"\n"
"     class=\"vtkNetworkImageSource\"\n"
"     processes=\"client|renderserver\"\n"
"     post_push=\"UpdateImage\" >\n"
"     <StringVectorProperty name=\"FileName\"\n"
"      command=\"SetFileName\"\n"
"      number_of_elements=\"1\">\n"
"      <Documentation>\n"
"        Set the name of image file to load.\n"
"      </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <!-- End of NetworkImageSource -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"SplineSource\"\n"
"    class=\"vtkParametricFunctionSource\">\n"
"    <Documentation\n"
"      short_help=\"Tessellate parametric functions.\"\n"
"      long_help=\"Tessellate parametric functions.\">\n"
"      This class tessellates parametric functions. The user must specify how\n"
"      many points in the parametric coordinate directions are required (i.e.,\n"
"      the resolution), and the mode to use to generate scalars.\n"
"    </Documentation>\n"
"\n"
"    <ProxyProperty name=\"ParametricFunction\"\n"
"      command=\"SetParametricFunction\"\n"
"      label=\"Parametric Function\">\n"
"      <ProxyListDomain name=\"proxy_list\">\n"
"        <Proxy group=\"parametric_functions\" name=\"Spline\" />\n"
"      </ProxyListDomain>\n"
"      <Documentation>\n"
"          Property used to reference the parametric function as data generator.\n"
"      </Documentation>\n"
"    </ProxyProperty>\n"
"   </SourceProxy>\n"
"\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"TrivialProducer\" \n"
"                class=\"vtkTrivialProducer\">\n"
"   </SourceProxy>\n"
"   <!-- ==================================================================== -->\n"
"   <SourceProxy name=\"PVTrivialProducer\"\n"
"                class=\"vtkPVTrivialProducer\">\n"
"     <IntVectorProperty\n"
"        name=\"WholeExtent\"\n"
"        command=\"SetWholeExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 -1 0 -1 0 -1\" >\n"
"       <Documentation>\n"
"         The values of this property specify the whole extent of the topologically regular grid.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"   </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulessourcesGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulessourcesInterface0)
    + strlen(vtkSMDefaultModulessourcesInterface1)
    + strlen(vtkSMDefaultModulessourcesInterface2)
    + strlen(vtkSMDefaultModulessourcesInterface3)
    + strlen(vtkSMDefaultModulessourcesInterface4)
    + strlen(vtkSMDefaultModulessourcesInterface5) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulessourcesInterface0);
  strcat(res, vtkSMDefaultModulessourcesInterface1);
  strcat(res, vtkSMDefaultModulessourcesInterface2);
  strcat(res, vtkSMDefaultModulessourcesInterface3);
  strcat(res, vtkSMDefaultModulessourcesInterface4);
  strcat(res, vtkSMDefaultModulessourcesInterface5);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface0 =
"<ServerManagerConfiguration>\n"
"\n"
"  <ProxyGroup name=\"internal_sources\">\n"
"   <SourceProxy name=\"AVSucdReader\"\n"
"                class=\"vtkAVSucdReader\"\n"
"                label=\"AVS UCD Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a dataset in AVS UCD format.\"\n"
"       long_help=\"Reads binary or ASCII files stored in AVS UCD format.\">\n"
"       The AVS UCD reader reads binary or ASCII files stored in AVS UCD format.\n"
"       The default file extension is .inp. The output of this reader is\n"
"       unstructured grid.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the AVS UCD reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property contains a list of the cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property contains a list of the point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End AVSucdReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"MetaImageReaderCore\"\n"
"                class=\"vtkMetaImageReader\"\n"
"                label=\"Meta Image reader\">\n"
"     <Documentation\n"
"       short_help=\"Read UNC meta image data.\"\n"
"       long_help=\"Reads binary UNC meta image data.\">\n"
"       The Meta Image Reader reads binary UNC meta image data, and produces uniform rectilinear (image/volume) data. The default file extensions are .mhd and .mha.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Meta Image reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"mhd mha\"\n"
"          file_description=\"Meta Image Data Files\" />\n"
"     </Hints>\n"
"   <!-- End Meta Image Reader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"legacyreader\"\n"
"                class=\"vtkPDataSetReader\"\n"
"                label=\"Legacy VTK Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read legacy VTK files.\"\n"
"       long_help=\"Reads files stored in VTK's legacy file format.\">\n"
"       The Legacy VTK reader loads files stored in VTK's legacy file format. The expected file extension is .vtk. The type of the dataset may be structured grid, uniform rectilinear grid (image/volume), non-uniform rectiinear grid, unstructured grid, or polygonal.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Legacy VTK reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End legacyreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPolyDataReaderCore\"\n"
"                class=\"vtkXMLPolyDataReader\"\n"
"                label=\"XML PolyData Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML polydata files.\"\n"
"       long_help=\"Reads serial VTK XML polydata files.\">\n"
"       The XML Polydata reader reads the VTK XML polydata file format. The standard extension is .vtp.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK XML polygonal dataset reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLPolyDataReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLUnstructuredGridReaderCore\"\n"
"                class=\"vtkXMLUnstructuredGridReader\"\n"
"                label=\"XML Unstructured Grid reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML unstructured grid data files.\"\n"
"       long_help=\"Reads serial VTK XML unstructured grid data files.\">\n"
"       The XML Unstructured Grid reader reads the VTK XML unstructured grid data file format. The standard extension is .vtu.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK XML unstructured grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLUnstructuredGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLImageDataReaderCore\"\n"
"                class=\"vtkXMLImageDataReader\"\n"
"                label=\"XML Image Data Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML image data files.\"\n"
"       long_help=\"Reads serial VTK XML image data files.\">\n"
"       The XML Image Data reader reads the VTK XML image data file format. The standard extension is .vti.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK XML uniform rectilinear (image/volume) data reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"   <!-- End XMLImageDataReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLStructuredGridReaderCore\"\n"
"                class=\"vtkXMLStructuredGridReader\"\n"
"                label=\"XML Structured Grid Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML structured grid data files.\"\n"
"       long_help=\"Reads serial VTK XML structured grid data files.\">\n"
"       The XML Structured Grid reader reads the VTK XML structured grid data file format. The standard extension is .vts.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK XML structured grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface1 =
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLStructuredGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLRectilinearGridReaderCore\"\n"
"                class=\"vtkXMLRectilinearGridReader\"\n"
"                label=\"XML Rectilinear Grid Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML rectilinear grid data files.\"\n"
"       long_help=\"Reads serial VTK XML rectilinear grid data files.\">\n"
"       The XML Rectilinear Grid reader reads the VTK XML rectilinear grid data file format. The standard extension is .vtr.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK XML non-uniform rectilinear grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLRectilinearGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPPolyDataReaderCore\"\n"
"                class=\"vtkXMLPPolyDataReader\"\n"
"                label=\"XML Partitioned Polydata Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned VTK XML polydata files.\"\n"
"       long_help=\"Reads the summary file and the associated VTK XML polydata files.\">\n"
"       The XML Partitioned Polydata reader reads the partitioned VTK polydata file format. It reads the partitioned format's summary file and then the associated VTK XML polydata files. The expected file extension is .pvtp.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the partitioned VTK XML polygonal dataset reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"   <!-- End XMLPPolyDataReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPUnstructuredGridReaderCore\"\n"
"                class=\"vtkXMLPUnstructuredGridReader\"\n"
"                label=\"XML Partitioned Unstructured Grid Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned VTK XML unstructured grid files.\"\n"
"       long_help=\"Reads the summary file and the associated VTK XML unstructured grid files.\">\n"
"       The XML Partitioned Unstructured Grid reader reads the partitioned VTK unstructured grid data file format. It reads the partitioned format's summary file and then the associated VTK XML unstructured grid data files. The expected file extension is .pvtu.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the partitioned VTK XML unstructured grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLPUnstructuredGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPImageDataReaderCore\"\n"
"                class=\"vtkXMLPImageDataReader\"\n"
"                label=\"XML Partitioned Image Data Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned VTK XML image data files.\"\n"
"       long_help=\"Reads the summary file and the associated VTK XML image data files.\">\n"
"       The XML Partitioned Image Data reader reads the partitioned VTK image data file format. It reads the partitioned format's summary file and then the associated VTK XML image data files. The expected file extension is .pvti.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the partitioned VTK XML uniform rectilinear grid (image/volume) reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This propert lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLPImageDataReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPStructuredGridReaderCore\"\n"
"                class=\"vtkXMLPStructuredGridReader\"\n"
"                label=\"XML Partitioned Structured Grid Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned VTK XML structured grid files.\"\n"
"       long_help=\"Reads the summary file and the associated VTK XML structured grid files.\">\n"
"       The XML Partitioned Structured Grid reader reads the partitioned VTK structured grid data file format. It reads the partitioned format's summary file and then the associated VTK XML structured grid data files. The expected file extension is .pvts.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the partitioned VTK XML structured grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface2 =
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLPStructuredGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPRectilinearGridReaderCore\"\n"
"                class=\"vtkXMLPRectilinearGridReader\"\n"
"                label=\"XML Partitioned Rectilinear Grid Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned VTK XML rectilinear grid files.\"\n"
"       long_help=\"Reads the summary file and the associated VTK XML rectilinear grid files.\">\n"
"       The XML Partitioned Rectilinear Grid reader reads the partitioned VTK rectilinear grid file format. It reads the partitioned format's summary file and then the associated VTK XML rectilinear grid files. The expected file extension is .pvtr.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the partitioned VTK XML non-uniform rectilinear grid reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End XMLPRectilinearGridReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"stlreadercore\" class=\"vtkSTLReader\" label=\"STL Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read STL files.\"\n"
"       long_help=\"Reads ASCII or binary stereo lithography (STL) files.\">\n"
"       The STL reader reads ASCII or binary stereo lithography (STL) files. The expected file extension is .stl. The output of this reader is a polygonal dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the STL reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ScalarTags\"\n"
"        command=\"SetScalarTags\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to true, the reader will include cell data describing which solid a cell belongs to.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"   <!-- End stlreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"CSVReaderCore\" class=\"vtkDelimitedTextReader\" label=\"CSV Reader\">\n"
"      <Documentation\n"
"        short_help=\"Read a comma-separated values file.\"\n"
"        long_help=\"Reads a comma-separated values file into a 1D rectilinear grid.\">\n"
"        The CSV reader reads a comma-separated values file into a 1D rectilinear\n"
"        grid. If the file was saved using the CSVWriter, then the rectilinear\n"
"        grid's points and point data can be restored as well as the cell data.\n"
"        Otherwise all the data in the CSV file is treated as cell data. The\n"
"        default file extension is .csv.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the CSV (Command Separated Values) reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DetectNumericColumns\"\n"
"        command=\"SetDetectNumericColumns\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set to true, the reader will detect numeric columns and create\n"
"          vtkDoubleArray or vtkIntArray for those instead of vtkStringArray.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseStringDelimiter\"\n"
"        command=\"SetUseStringDelimiter\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This property indicates whether to use the string delimiter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HaveHeaders\"\n"
"        command=\"SetHaveHeaders\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If the value of this property is 1, treat the first line of the file as headers.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FieldDelimiterCharacters\"\n"
"        command=\"SetFieldDelimiterCharacters\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\",\">\n"
"        <Documentation>\n"
"          This property lists the characters that may be used to separate fields. For\n"
"          example, a value of \",\" indicates a comma-separated value file. A\n"
"          value of \".:;\" indicates that columns may be separated by a\n"
"          period, colon or semicolon. The order of the characters in the text\n"
"          string does not matter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"    <IntVectorProperty name=\"MergeConsecutiveDelimiters\"\n"
"        command=\"SetMergeConsecutiveDelimiters\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Whether to merge successive delimiters. Use this if (for example) your fields are separated\n"
"          by spaces but you don't know exactly how many.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of CSVReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLMultiBlockDataReaderCore\"\n"
"                class=\"vtkXMLMultiBlockDataReader\"\n"
"                label=\"XML Multi-Block Data reader\">\n"
"     <Documentation>\n"
"        Internal proxy used by XMLMultiBlockDataWriter.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK multi-block reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End MultiBlockDataReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLHierarchicalBoxDataReaderCore\"\n"
"                class=\"vtkXMLHierarchicalBoxDataReader\"\n"
"                label=\"XML Hierarchical Box Data reader\">\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VTK hierarchical box data reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"   <!-- End HierarchicalBoxDataReader -->\n"
"   </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"SLACParticleReaderCore\"\n"
"                 class=\"vtkSLACParticleReader\"\n"
"                 label=\"SLAC Particle Data Reader\">\n"
"      <Documentation>\n"
"        The SLAC Particle data reader.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            command=\"SetFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the file to load.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </SourceProxy> <!-- SLACParticleReaderCore -->\n"
"\n"
"\n"
"    <SourceProxy name=\"ParticleReaderCore\"\n"
"      class=\"vtkParticleReader\"\n"
"      label=\"VTK Particle Reader\">\n"
"      <Documentation>\n"
"        Core for ParticleReader.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the file to load.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ByteOrder\"\n"
"        command=\"SetDataByteOrder\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"        Set/Get the byte ordering of the file you are trying to read in.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"BigEndian\" value=\"0\" />\n"
"          <Entry text=\"LittleEndian\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HasScalar\"\n"
"        command=\"SetHasScalar\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          Default: 1. If 1 then each particle has a value associated with it.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FileType\"\n"
"        command=\"SetFileType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Set the file type. The options are:\n"
"          - Unknown (0) (default) the reader will attempt to determine the file\n"
"            type. If this fails then you should set the file type yourself.\n"
"          - Text (1) the file type is text.\n"
"          - Binary (2) the file type is binary.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Unknown\" value=\"0\" />\n"
"          <Entry text=\"Text\" value=\"1\" />\n"
"          <Entry text=\"Binary\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DataType\"\n"
"        command=\"SetDataType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10\">\n"
"        <Documentation>\n"
"          Get/Set the data type. The options are:\n"
"          - Float (10) (default) single precision floating point.\n"
"          - Double (11) double precision floating point.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Float\" value=\"10\" />\n"
"          <Entry text=\"Double\" value=\"11\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- ParticleReaderCore -->\n"
"    </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ExodusIIReaderCore\"\n"
"                class=\"vtkPExodusIIReader\">\n"
"     <Documentation\n"
"       short_help=\"Read Exodus II files.\"\n"
"       long_help=\"Reads an Exodus II file to produce an unstructured grid.\">\n"
"       The Exodus reader loads Exodus II files and produces an unstructured grid output.\n"
"       The default file extensions are .g, .e, .ex2, .ex2v2, .exo, .gen, .exoII, .exii, .0, .00, .000, and .0000.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Exodus reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePrefixInfo\"\n"
"        command=\"GetFilePrefix\"\n"
"        information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePrefix\"\n"
"        command=\"SetFilePrefix\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\"\n"
"        information_property=\"FilePrefixInfo\" >\n"
"       <FileListDomain name=\"default_value\" optional=\"1\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FilePrefixInfo\" function=\"Prefix\"/>\n"
"          </RequiredProperties>\n"
"       </FileListDomain>\n"
"        <Documentation>\n"
"          This property specifies the file root used with the file pattern to format a file name. (See the File Pattern property.)\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePatternInfo\"\n"
"        command=\"GetFilePattern\"\n"
"        information_only=\"1\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface3 =
"        <SimpleStringInformationHelper/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePattern\"\n"
"        command=\"SetFilePattern\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\"\n"
"        information_property=\"FilePatternInfo\" >\n"
"       <FileListDomain name=\"default_value\" optional=\"1\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FilePatternInfo\" function=\"Pattern\"/>\n"
"          </RequiredProperties>\n"
"       </FileListDomain>\n"
"       <Documentation>\n"
"         This property contains a text string specifying the pattern used to load files. There are two parts to it: the prefix (%s) and the file number (%i). The format used is the same as that used for printf.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"FileRangeInfo\"\n"
"        command=\"GetFileRange\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"FileRange\"\n"
"        command=\"SetFileRange\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"-1 -1\"\n"
"        animateable=\"0\"\n"
"        information_property=\"FileRangeInfo\" >\n"
"       <IntRangeDomain name=\"range\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FileRangeInfo\" function=\"Range\"/>\n"
"          </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"         This property controls the indices of the first and last files to be read.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"XMLFileNameInfo\"\n"
"        command=\"GetXMLFileName\"\n"
"        information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"XMLFileName\"\n"
"        command=\"SetXMLFileName\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\"\n"
"        label=\"XML File Name\">\n"
"       <FileListDomain name=\"default_value\" optional=\"1\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"XMLFileNameInfo\" function=\"XMLFileName\"/>\n"
"          </RequiredProperties>\n"
"       </FileListDomain>\n"
"       <Documentation>\n"
"         This property specifies the name of an XML file containing part and material descriptions and a mapping to element blocks.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"HasModeShapes\"\n"
"                        command=\"SetHasModeShapes\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Some simulations overload the Exodus time steps to represent mode\n"
"         shapes. In this case, it does not make sense to iterate over the\n"
"         \"time steps\", because they are not meant to be played in order.\n"
"         Rather, each represents the vibration at a different \"mode.\"\n"
"         Setting the value of this property to 1 changes the semantics of the reader to not\n"
"         report the time steps to downstream filters.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AnimateVibrations\"\n"
"                        command=\"SetAnimateModeShapes\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\"\n"
"                        animateable=\"0\"\n"
"                        label=\"Animate Vibrations\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this flag is on and HasModeShapes is also on, then this reader\n"
"         will report a continuous time range [0,1] and animate the\n"
"         displacements in a periodic sinusoid. If this flag is off and\n"
"         HasModeShapes is on, this reader ignores time. This flag has no\n"
"         effect if HasModeShapes is off.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <!-- The following two properties magically send time information -->\n"
"     <!-- to the animation panel. Usually you only need one (the former -->\n"
"     <!-- for discrete time, the latter for continuous time), but changing -->\n"
"     <!-- the HasModeShapes ivar switches between discrete and continuous -->\n"
"     <!-- time. -->\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"     <DoubleVectorProperty name=\"TimeRange\" information_only=\"1\">\n"
"       <TimeRangeInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"ModeShape\"\n"
"                        command=\"SetModeShape\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\"\n"
"                        information_property=\"TimestepValues\">\n"
"       <IntRangeDomain name=\"range\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"TimeStepRangeInfo\" function=\"Range\"/>\n"
"         </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"         Specify which mode shape to animate when HasModeShapes is on.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Property name=\"Refresh\"\n"
"               command=\"UpdateTimeInformation\"\n"
"               is_internal=\"1\">\n"
"       <Documentation>\n"
"         Read in additional time steps that have been written to the file since it was first opened in ParaView.\n"
"         Useful for monitoring a simulation while it is running.\n"
"       </Documentation>\n"
"     </Property>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeBlocksInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeBlock\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeBlocks\"\n"
"        command=\"SetEdgeBlockArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"EdgeBlockArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"EdgeBlocksInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which blocks of edges should be loaded.\n"
"         All edges in the same block will have the same interpolant (linear, quadratic, etc.)\n"
"         and have the same variables defined over them.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceBlocksInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceBlock\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceBlocks\"\n"
"        command=\"SetFaceBlockArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"FaceBlockArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FaceBlocksInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which blocks of faces should be loaded.\n"
"         All faces in the same block will have the same interpolant (triangular, bilinear quadrilateral, etc.)\n"
"         and have the same variables defined over them.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"SILUpdateStamp\"\n"
"        command=\"GetSILUpdateStamp\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"        <Documentation>\n"
"          Information property indicating the update stamp of the SIL. Every\n"
"          time the SIL is rebuilt, this time stamp is changed.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementBlocksInfo\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSISILProperty\"\n"
"        command=\"GetSIL\"\n"
"        subtree=\"Blocks\"/>\n"
"\n"
"    <IdTypeVectorProperty name=\"SILTimeStamp\"\n"
"                          command=\"GetSILUpdateStamp\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"0\"\n"
"                          information_only=\"1\" />\n"
"     \n"
"     <StringVectorProperty\n"
"        name=\"ElementBlocks\"\n"
"        command=\"SetElementBlockArrayStatus\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\" >\n"
"       <SILDomain name=\"array_list\" subtree=\"Blocks\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ElementBlocksInfo\" function=\"ArrayList\" />\n"
"             <Property name=\"SILTimeStamp\" function=\"TimeStamp\" />\n"
"          </RequiredProperties>\n"
"       </SILDomain>\n"
"       <Documentation>\n"
"         Use this property to select which blocks of elements (cells) should be loaded.\n"
"         All elements (cells) in the same block will have the same interpolant (tetrahedral, triangular, trilinear hexahedral, etc.)\n"
"         and have the same variables defined over them.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"GlobalVariablesInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"GlobalResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"GlobalVariables\"\n"
"        command=\"SetGlobalResultArrayStatus\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"GlobalVariablesInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"GlobalVariablesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which global (i.e., per-mesh) variables should be loaded.\n"
"         Global variables are stored as arrays in the field data of the reader's output.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointVariablesInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"PointResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointVariables\"\n"
"        command=\"SetPointResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointVariablesInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointVariablesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which nodal (i.e., per-point) variables should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeVariablesInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeVariables\"\n"
"        command=\"SetEdgeResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"EdgeVariablesInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"EdgeVariablesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which variables defined over edges should be loaded.\n"
"         Edges are oriented boundaries of one or more higher-dimensional cells also present in the mesh.\n"
"         Edge variables specify a single value per entry in some edge block.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceVariablesInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceVariables\"\n"
"        command=\"SetFaceResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"FaceVariablesInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FaceVariablesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which variables defined over faces should be loaded.\n"
"         Faces are oriented boundaries of one or more higher-dimensional cells also present in the mesh.\n"
"         Face variables specify a single value per entry in some face block.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementVariablesInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementVariables\"\n"
"        command=\"SetElementResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"ElementVariablesInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ElementVariablesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Use this property to select which variables defined over elements (cells) should be loaded.\n"
"         Element variables specify a single value per entry in some element block.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeMapInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeMap\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeMapArrayStatus\"\n"
"        command=\"SetNodeMapArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"NodeMapInfo\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface4 =
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"NodeMapInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Specify which maps defined over nodes (points) in the mesh should be loaded.\n"
"         A node map is a renumbering of all the points in a file from their offset in the file\n"
"         to some arbitrary integers, usually specifying a unique global ID across a set of files.\n"
"         These are sometimes called new-style maps because they are specified differently\n"
"         than in older Exodus files, which only allowed a single node map.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"EdgeMapInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeMap\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeMapArrayStatus\"\n"
"        command=\"SetEdgeMapArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"EdgeMapInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"EdgeMapInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Specify which maps defined over edges in the mesh should be loaded.\n"
"         An edge map is a renumbering of all the edges (across all the edge blocks of a file) from their offset in the file\n"
"         to some arbitrary integers, usually specifying a unique global ID across a set of files.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"FaceMapInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceMap\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceMapArrayStatus\"\n"
"        command=\"SetFaceMapArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"FaceMapInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FaceMapInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Specify which maps defined over faces in the mesh should be loaded.\n"
"         A face map is a renumbering of all the faces (across all the face blocks of a file) from their offset in the file\n"
"         to some arbitrary integers, usually specifying a unique global ID across a set of files.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ElementMapInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementMap\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementMapArrayStatus\"\n"
"        command=\"SetElementMapArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"ElementMapInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ElementMapInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Specify which maps defined over elements (cells) in the mesh should be loaded.\n"
"         An element map is a renumbering of all the elements (across all the element blocks of a file) from their offset in the file\n"
"         to some arbitrary integers, usually specifying a unique global ID across a set of files.\n"
"         These are sometimes called new-style maps because they are specified differently\n"
"         than in older Exodus files, which only allowed a single element map.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeSetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeSet\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeSetArrayStatus\"\n"
"        command=\"SetNodeSetArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"NodeSetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"NodeSetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the nodes (points) in a file as sets in their own right.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per node.\n"
"         This property specifies which of those sets should be loaded.\n"
"         The accompanying NodeSetResultArrayStatus property specifies which variables defined over those sets should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SideSetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"SideSet\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SideSetArrayStatus\"\n"
"        command=\"SetSideSetArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"SideSetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"SideSetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the <i>boundaries</i> of all the elements in a file as sets in their own right.\n"
"         This property specifies which of those sets should be loaded.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per side.\n"
"         For example, a hexahedron has 18 sides: 6 faces and 12 edges.\n"
"         Any of these sides may be individually called out in a set and assigned a result value.\n"
"         The accompanying SideSetResultArrayStatus property specifies which variables defined over those sets should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceSetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceSet\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceSetArrayStatus\"\n"
"        command=\"SetFaceSetArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"FaceSetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FaceSetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the faces (across all face blocks) in a file as sets in their own right.\n"
"         This property specifies which of those sets should be loaded.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per face.\n"
"         The accompanying FaceSetResultArrayStatus property specifies which variables defined over those sets should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeSetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeSet\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeSetArrayStatus\"\n"
"        command=\"SetEdgeSetArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"EdgeSetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"EdgeSetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the edges (across all edge blocks) in a file as sets in their own right.\n"
"         This property specifies which of those sets should be loaded.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per edge.\n"
"         The accompanying EdgeSetResultArrayStatus property specifies which variables defined over those sets should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementSetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementSet\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementSetArrayStatus\"\n"
"        command=\"SetElementSetArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"ElementSetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ElementSetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the elements (across all element blocks) in a file as sets in their own right.\n"
"         This property specifies which of those sets should be loaded.\n"
"         Variables, such as feature classifiers, may then be defined over these sets by specifying a single number per element.\n"
"         The accompanying ElementSetResultArrayStatus property specifies which variables defined over those sets should be loaded.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementSetResultArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ElementSetResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ElementSetResultArrayStatus\"\n"
"        command=\"SetElementSetResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"ElementSetResultArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ElementSetResultArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the elements (across all element blocks) in a file as sets in their own right.\n"
"         Variables, such as feature classifiers, may then be defined over these sets by specifying a single number per element.\n"
"         This property specifies which of those variables should be loaded.\n"
"         The corresponding set must also be loaded using the ElementSetArrayStatus property in order for the variable to appear.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SideSetResultArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"SideSetResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SideSetResultArrayStatus\"\n"
"        command=\"SetSideSetResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"SideSetResultArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"SideSetResultArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the <i>boundaries</i> of all the elements in a file as sets in their own right.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per side.\n"
"         For example, a hexahedron has 18 sides: 6 faces and 12 edges.\n"
"         Any of these sides may be individually called out in a set and assigned a result value.\n"
"         This property specifies which of those variables should be loaded.\n"
"         The corresponding set must also be loaded using the SideSetArrayStatus property in order for the variable to appear.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceSetResultArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"FaceSetResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FaceSetResultArrayStatus\"\n"
"        command=\"SetFaceSetResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"FaceSetResultArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"FaceSetResultArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the faces (across all face blocks) in a file as sets in their own right.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per face.\n"
"         This property specifies which of those variables should be loaded.\n"
"         The corresponding set must also be loaded using the FaceSetArrayStatus property in order for the variable to appear.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeSetResultArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"EdgeSetResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"EdgeSetResultArrayStatus\"\n"
"        command=\"SetEdgeSetResultArrayStatus\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface5 =
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"EdgeSetResultArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"EdgeSetResultArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the edges (across all edge blocks) in a file as sets in their own right.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per edge.\n"
"         This property specifies which of those variables should be loaded.\n"
"         The corresponding set must also be loaded using the EdgeSetArrayStatus property in order for the variable to appear.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeSetResultArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"NodeSetResult\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NodeSetResultArrayStatus\"\n"
"        command=\"SetNodeSetResultArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"NodeSetResultArrayInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"NodeSetResultArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         An Exodus II file may define subsets of all the nodes (points) in a file as sets in their own right.\n"
"         Variables, such as boundary conditions, may then be defined over these sets by specifying a single number per node.\n"
"         This property specifies which of those variables should be loaded.\n"
"         The corresponding set must also be loaded using the NodeSetArrayStatus property in order for the variable to appear.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ApplyDisplacements\"\n"
"        command=\"SetApplyDisplacements\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Geometric locations can include displacements. When this option is on, the nodal positions are 'displaced' by the standard exodus displacement vector. If displacements are turned 'off', the user can explicitly add them by applying a warp filter.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"DisplacementMagnitude\"\n"
"        command=\"SetDisplacementMagnitude\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         When displacements are being applied, they are scaled by this amount. Set to 1 for no scaling.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateObjectIdCellArray\"\n"
"        command=\"SetGenerateObjectIdCellArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Specifies whether a variable named \"ObjectId\" should be created for each entry of each block and set being loaded\n"
"         and assigned the identifying number of the block or set, so that given a cell one can readily identify the block\n"
"         or set it came from.\n"
"         This is useful for coloring a mesh by block ID or set ID.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateGlobalNodeIdArray\"\n"
"        command=\"SetGenerateGlobalNodeIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should the reader retrieve the first new-style node map, or if that is not present,\n"
"         the solitary old-style node map (which always exists but may be procedurally generated\n"
"         if it is not stored with the file)?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateGlobalElementIdArray\"\n"
"        command=\"SetGenerateGlobalElementIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should the reader retrieve the first new-style element map, or if that is not present,\n"
"         the solitary old-style element map (which always exists but may be procedurally generated\n"
"         if it is not stored with the file)?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateImplicitNodeIdArray\"\n"
"        command=\"SetGenerateImplicitNodeIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should the reader retrieve the solitary old-style node map (which always exists but may be procedurally generated\n"
"         if it is not stored with the file)?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateImplicitElementIdArray\"\n"
"        command=\"SetGenerateImplicitElementIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should the reader retrieve the solitary old-style element map (which always exists but may be procedurally generated\n"
"         if it is not stored with the file)?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateFileIdArray\"\n"
"        command=\"SetGenerateFileIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should each cell in the mesh be assigned an integer identifying the file it came from?\n"
"         If turned on, a cell variable named \"FileId\" should be present.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ExodusModelMetadata\"\n"
"        command=\"SetExodusModelMetadata\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should metadata for the mesh be stored in the field data of the reader's output?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <Property name=\"Refresh\" show=\"0\"/>\n"
"     </Hints>\n"
"\n"
"   <!-- End ExodusIIReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"TecplotReaderCore\"\n"
"                class=\"vtkTecplotReader\"\n"
"                label=\"VTK Tecplot Reader\">\n"
"       <Documentation>\n"
"          Core for TecplotReader\n"
"       </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          The name of the file to load\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"DataArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Data\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"DataArrayStatus\"\n"
"        command=\"SetDataArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"DataArrayInfo\"\n"
"        label=\"Data Arrays\">\n"
"\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"DataArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"\n"
"       <Documentation>\n"
"         This property lists what dataset attribute arrays (point data and cell data) to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <!-- End TecplotReaderCore-->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"NetCDFPOPReaderCore\"\n"
"              class=\"vtkNetCDFPOPReader\"\n"
"              label=\"NetCDF POP reader\">\n"
"     <Documentation>\n"
"       Core for NetCDF POP reader.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name to read.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"VariableArrayInfo\"\n"
"                           information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Variable\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"VariableArrayStatus\"\n"
"                           command=\"SetVariableArrayStatus\"\n"
"                           number_of_elements=\"0\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"VariableArrayInfo\"\n"
"                           label=\"Variables\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"VariableArrayInfo\" function=\"ArrayList\" />\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which netCDF variables to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Stride\"\n"
"        command=\"SetStride\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\"\n"
"        animateable=\"0\">\n"
"       <IntRangeDomain name=\"range\" min=\"1 1 1\" />\n"
"       <Documentation>\n"
"         This property indicate the number of indices per dimension (i,j,k) to skip between each point included\n"
"         in this output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                      file_description=\"POP Ocean NetCDF (Rectilinear)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End NetCDFPOPReaderCore -->\n"
"\n"
"   <SourceProxy name=\"PNetCDFPOPReaderCore\"\n"
"                class=\"vtkPNetCDFPOPReader\"\n"
"                label=\"Parallel NetCDF POP reader\">\n"
"     <Documentation>\n"
"       Core for Parallel NetCDF POP reader.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"VariableArrayInfo\"\n"
"                           information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Variable\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"VariableArrayStatus\"\n"
"                           command=\"SetVariableArrayStatus\"\n"
"                           number_of_elements=\"0\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"VariableArrayInfo\"\n"
"                           label=\"Variables\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"VariableArrayInfo\" function=\"ArrayList\" />\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which netCDF variables to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Stride\"\n"
"        command=\"SetStride\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\"\n"
"        animateable=\"0\">\n"
"       <IntRangeDomain name=\"range\" min=\"1 1 1\" />\n"
"       <Documentation>\n"
"         This property indicates the number of indices per dimension (i,j,k) to skip between each point included\n"
"         in this output.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfReaderProcesses\"\n"
"        command=\"SetNumberOfReaderProcesses\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"       <IntRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"         This property indicates the amount of processes that will actually read\n"
"         the file and then send out the information to other processes.\n"
"         An default value of 0 is used so that a proper value is set on the server.\n"
"         The actual value will range between 1 and the number of server processes.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"pop.ncdf pop.nc\"\n"
"                      file_description=\"Parallel POP Ocean NetCDF (Rectilinear)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End PNetCDFPOPReaderCore -->\n"
"\n"
"   <SourceProxy name=\"CosmoReaderCore\"\n"
"                class=\"vtkPCosmoReader\"\n"
"                label=\"COSMO Reader\">\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the COSMO reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CosmoFormat\"\n"
"        command=\"SetCosmoFormat\"\n"
"        label=\"Cosmo Format\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"     <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"       If checked, the data will be read as the LANL Cosmo format. If unchecked, the data will be read as Gadget-2 format.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"RL\"\n"
"        command=\"SetRL\"\n"
"        label=\"rL (physical box side length)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       The box side length is used to wrap particles around if they exceed rL (or less than 0) in any dimension.\n"
"       </Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface6 =
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Overlap\"\n"
"        command=\"SetOverlap\"\n"
"        label=\"overlap (shared point/ghost cell gap distance)\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\" >\n"
"     <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"       <Documentation>\n"
"       The space (in rL units) to extend processor particle ownership for ghost particles/cells. It is needed for correct halo calculation when halos cross processor boundaries in parallel computation.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"PNGReader\"\n"
"                class=\"vtkPNGReader\"\n"
"                label=\"PNG Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a PNG file.\"\n"
"       long_help=\"Reads a PNG file into an image data.\">\n"
"       The PNG reader reads PNG (Portable Network Graphics) files, and the output is a uniform rectilinear (image/volume) dataset. The default file extension is .png.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the PNG reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"png\"\n"
"          file_description=\"PNG Image Files\" />\n"
"      </Hints>\n"
"     <!-- End PNGReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"JPEGReader\"\n"
"                class=\"vtkJPEGReader\"\n"
"                label=\"JPEG Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a JPEG file.\"\n"
"       long_help=\"Reads a JPEG file into an image data.\">\n"
"       The JPEG reader reads JPEG files, and the output is a uniform rectilinear (image/volume) dataset. The default file extension is .jpg or .jpeg.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the PNG reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"jpg jpeg\"\n"
"          file_description=\"JPEG Image Files\" />\n"
"      </Hints>\n"
"     <!-- End JPEGReader -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"  <SourceProxy name=\"TIFFReader\"\n"
"                class=\"vtkTIFFReader\"\n"
"                label=\"TIFF Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a TIFF file.\"\n"
"       long_help=\"Reads a TIFF file into an image data.\">\n"
"       The TIFF reader reads TIFF (Tagged Image File Format) files, and the output is a uniform rectilinear (image/volume) dataset. The default file extension is .tiff.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the TIFF reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"tif tiff\"\n"
"          file_description=\"TIFF Image Files\"/>\n"
"     </Hints>\n"
"   <!-- End TIFFReader -->\n"
"   </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"netCDFReaderCore\"\n"
"                 class=\"vtkNetCDFCFReader\">\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            command=\"SetFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the file to load.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"DimensionInfo\"\n"
"                            command=\"GetAllDimensions\"\n"
"                            information_only=\"1\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Dimensions\"\n"
"                            command=\"SetDimensions\"\n"
"                            number_of_elements=\"1\"\n"
"                            animatelable=\"0\">\n"
"        <StringListDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"DimensionInfo\" function=\"ArrayList\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"        <Documentation>\n"
"          Load the grid with the given dimensions. Any arrays that conform\n"
"          to these dimensions will be loaded.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"VariableDimensionInfo\"\n"
"                            command=\"GetVariableDimensions\"\n"
"                            information_only=\"1\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"VariableArrayInfo\"\n"
"                            command=\"GetAllVariableArrayNames\"\n"
"                            information_only=\"1\">\n"
"        <StringArrayHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SphericalCoordinates\"\n"
"                         command=\"SetSphericalCoordinates\"\n"
"                         animateable=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, then data with latitude/longitude dimensions will be\n"
"          read in as curvilinear data shaped like spherical coordinates.\n"
"          If false, then the data will always be read in Cartesian\n"
"          coordinates.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"VerticalScale\"\n"
"                            command=\"SetVerticalScale\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1\">\n"
"        <Documentation>\n"
"          The scale of the vertical component of spherical coordinates. It\n"
"          is common to write the vertical component with respect to\n"
"          something other than the center of the sphere (for example, the\n"
"          surface). In this case, it might be necessary to scale and/or\n"
"          bias the vertical height. The height will become height*scale +\n"
"          bias. Keep in mind that if the positive attribute of the\n"
"          vertical dimension is down, then the height is negated. The\n"
"          scaling will be adjusted if it results in invalid (negative)\n"
"          vertical values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"VerticalBias\"\n"
"                            command=\"SetVerticalBias\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0\">\n"
"        <Documentation>\n"
"          The bias of the vertical component of spherical coordinates. It\n"
"          is common to write the vertical component with respect to\n"
"          something other than the center of the sphere (for example, the\n"
"          surface). In this case, it might be necessary to scale and/or\n"
"          bias the vertical height. The height will become height*scale +\n"
"          bias. Keep in mind that if the positive attribute of the\n"
"          vertical dimension is down, then the height is negated. The\n"
"          scaling will be adjusted if it results in invalid (negative)\n"
"          vertical values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReplaceFillValueWithNan\"\n"
"                         command=\"SetReplaceFillValueWithNan\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, any float or double variable read that has a _FillValue\n"
"          attribute will have that fill value replaced with a not-a-number\n"
"          (NaN) value. The advantage of setting these to NaN values is\n"
"          that, if implemented properly by the system and careful math\n"
"          operations are used, they can implicitly be ignored by\n"
"          calculations like finding the range of the values. That said,\n"
"          this option should be used with caution as VTK does not fully\n"
"          support NaN values and therefore odd calculations may occur.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OutputType\"\n"
"                         command=\"SetOutputType\"\n"
"                         number_of_elements=\"1\"\n"
"                         animateable=\"0\"\n"
"                         default_values=\"-1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"-1\" text=\"Automatic\" />\n"
"          <Entry value=\"6\" text=\"Image\" />\n"
"          <Entry value=\"3\" text=\"Rectilinear\" />\n"
"          <Entry value=\"2\" text=\"Structured\" />\n"
"          <Entry value=\"4\" text=\"Unstructured\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specifies the type of data that the reader creates. If\n"
"          Automatic, the reader will use the most appropriate grid type for\n"
"          the data read. Note that not all grid types support all data. A\n"
"          warning is issued if a mismatch occurs.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          This magic property sends time information to the animation\n"
"          panel. ParaView will then automatically set up the animation to\n"
"          visit the time steps defined in the file.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </SourceProxy> <!-- netCDFReaderCore -->\n"
"\n"
"   <SourceProxy name=\"P3DReaderCore\" class=\"vtkMultiBlockPLOT3DReader\">\n"
"     <Documentation\n"
"       short_help=\"Read PLOT3D files.\"\n"
"       long_help=\"Reads ASCII or binary PLOT3D files.\">\n"
"       PLOT3D is a plotting package developed at NASA. The PLOT3D reader can read both ASCII and binary PLOT3D files. The default file extension for the geometry files is .xyz, and the default file extension for the solution files is .q. The output of this reader is a multi-block dataset containing curvilinear (structured grid) datasets.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the .xyz (geometry) file name for the PLOT3D reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"QFileName\"\n"
"        command=\"SetQFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the .q (solution) file name for the PLOT3D reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"BinaryFile\"\n"
"        command=\"SetBinaryFile\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether the data files are binary.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MultiGrid\"\n"
"        command=\"SetMultiGrid\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether these files have multiple-block information.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"HasByteCount\"\n"
"        command=\"SetHasByteCount\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether this file uses Fortran leading-trailing byte counts.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"IBlanking\"\n"
"        command=\"SetIBlanking\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether this dataset has visibility information.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"TwoDimensionalGeometry\"\n"
"        command=\"SetTwoDimensionalGeometry\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether the data is two- or three-dimensional.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ForceRead\"\n"
"        command=\"SetForceRead\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         This property indicates whether to attempt to read the file even if it appears corrupt\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ByteOrder\"\n"
"        command=\"SetByteOrder\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"BigEndian\"/>\n"
"         <Entry value=\"1\" text=\"LittleEndian\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property specifies the byte order of any binary file(s).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Functions\"\n"
"        command=\"AddFunction\"\n"
"        clean_command=\"RemoveAllFunctions\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\">\n"
"       <EnumerationDomain name=\"array_list\">\n"
"         <!-- <Entry value=\"100\" text=\"Scalar - Density\"/> -->\n"
"         <Entry value=\"110\" text=\"Scalar - Pressure\"/>\n"
"         <Entry value=\"120\" text=\"Scalar - Temperature\"/>\n"
"         <Entry value=\"130\" text=\"Scalar - Enthalpy\"/>\n"
"         <Entry value=\"140\" text=\"Scalar - Internal energy\"/>\n"
"         <Entry value=\"144\" text=\"Scalar - Kinetic energy\"/>\n"
"         <Entry value=\"153\" text=\"Scalar - Velocity magnitude\"/>\n"
"         <!-- <Entry value=\"163\" text=\"Scalar - Stagnation energy\"/> -->\n"
"         <Entry value=\"170\" text=\"Scalar - Entropy\"/>\n"
"         <Entry value=\"184\" text=\"Scalar - Swirl.\"/>\n"
"         <Entry value=\"200\" text=\"Vector - Velocity\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface7 =
"         <Entry value=\"201\" text=\"Vector - Vorticity\"/>\n"
"         <!-- <Entry value=\"202\" text=\"Vector - Momentum\"/> -->\n"
"         <Entry value=\"210\" text=\"Vector - Pressure gradient\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property lists which functions (point-centered arrays) to compute.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End P3DReaderCore -->\n"
"   </SourceProxy>\n"
"\n"
"    <!-- End of \"internal_sources\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"   <SourceProxy name=\"DEMReader\"\n"
"                class=\"vtkDEMReader\"\n"
"                label=\"DEM Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a dataset in DEM format\"\n"
"       long_help=\"Reads a DEM (Digital Elevation Model) file.\">\n"
"       The DEM reader reads Digital Elevation Model files containing elevation values derived from the U. S. Geologic Survey. The default file extension is .dem. This reader produces uniform rectilinear (image/volume) data output.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the DEM (Digital Elevation Map) reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"dem\"\n"
"          file_description=\"Digital Elevation Map Files\" />\n"
"     </Hints>\n"
"\n"
"   <!-- End DEMReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"PVDReader\"\n"
"                class=\"vtkPVDReader\"\n"
"                label=\"PVD Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a PVD file.\"\n"
"       long_help=\"Load a dataset stored in ParaView's PVD file format.\">\n"
"       The PVD reader reads data stored in ParaView's PVD file format. The .pvd file is essentially a header file that collects together other data files stored in VTK's XML-based file format.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the PVD reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"pvd\"\n"
"          file_description=\"ParaView Data Files\"/>\n"
"     </Hints>\n"
"   <!-- End PVDReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"MetaImageReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"Meta File Series Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a series of meta images.\"\n"
"       long_help=\"Reads a series of meta images.\">\n"
"       Read a series of meta images. The file extension is .mhd\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"MetaImageReaderCore\">\n"
"       </Proxy>\n"
"     </SubProxy>\n"
"\n"
"      <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileNames\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be\n"
"         in the meta format. The standard extension is .mhd. If more than one file is specified,\n"
"         the reader will switch to file series mode in which it will pretend that it can support\n"
"         time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"mhd mha\"\n"
"          file_description=\"Meta Image Files\" />\n"
"     </Hints>\n"
"\n"
"   <!-- end of MetaFileSeriesReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLMultiBlockDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML MultiBlock Data Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read VTK XML multi-block datasets.\"\n"
"       long_help=\"Reads a VTK XML multi-block data file and the serial VTK XML data files to which it points.\">\n"
"       The XML Multi-Block Data reader reads the VTK XML multi-block data file\n"
"       format. XML multi-block data files are meta-files that point to a list of\n"
"       serial VTK XML files. When reading in parallel, this reader will\n"
"       distribute sub-blocks among processors. The expected file extensions are\n"
"       .vtm and .vtmb.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLMultiBlockDataReaderCore\">\n"
"       </Proxy>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be\n"
"         in the VTK XML polygonal dataset format. The standard extension is\n"
"         .vtp. If more than one file is specified, the reader will switch to file\n"
"         series mode in which it will pretend that it can support time and\n"
"         provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vtm vtmb\"\n"
"          file_description=\"VTK MultiBlock Data Files\" />\n"
"     </Hints>\n"
"\n"
"   <!-- end of XMLMultiBlockDataReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLHierarchicalBoxDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Hierarchical Box Data reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a VTK data file containing a hierarchical box dataset.\"\n"
"       long_help=\"Reads a VTK XML-based data file containing a hierarchical dataset containing vtkUniformGrids.\">\n"
"       The XML Hierarchical Box Data reader reads VTK's XML-based file format\n"
"       containing a vtkHierarchicalBoxDataSet. The expected file extensions is\n"
"       either .vthb or .vth.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLHierarchicalBoxDataReaderCore\">\n"
"       </Proxy>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be\n"
"         in the VTK XML polygonal dataset format. The standard extension is\n"
"         .vtp. If more than one file is specified, the reader will switch to file\n"
"         series mode in which it will pretend that it can support time and\n"
"         provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vthb vth\"\n"
"          file_description=\"VTK Hierarchical Box Data Files\" />\n"
"     </Hints>\n"
"\n"
"   <!-- end of XMLHierarchicalBoxDataReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XMLPolyDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML PolyData Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read VTK XML polydata files.\"\n"
"                    long_help=\"Reads serial VTK XML polydata files.\">\n"
"       The XML Polydata reader reads the VTK XML polydata file format. The standard extension is .vtp. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\" proxyname=\"XMLPolyDataReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the VTK XML polygonal dataset format. The standard extension is .vtp. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vtp\"\n"
"          file_description=\"VTK PolyData Files\" />\n"
"     </Hints>\n"
"   </SourceProxy> <!-- XMLPolyDataReader -->\n"
"\n"
"   <SourceProxy name=\"XMLUnstructuredGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Unstructured Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read VTK XML unstructured grid data files.\"\n"
"                    long_help=\"Reads serial VTK XML unstructured grid data files.\">\n"
"       The XML Unstructured Grid reader reads the VTK XML unstructured grid data file format. The standard extension is .vtu. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLUnstructuredGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the VTK XML unstructured grid data format. The standard extension is .vtu. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface8 =
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vtu\"\n"
"          file_description=\"VTK UnstructuredGrid Files\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLUnstructuredGridReader -->\n"
"\n"
"   <SourceProxy name=\"XMLImageDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Image Data Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read VTK XML image data files.\"\n"
"                    long_help=\"Reads serial VTK XML image data files.\">\n"
"       The XML Image Data reader reads the VTK XML image data file format. The standard extension is .vti. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLImageDataReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\" >\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the VTK XML image data format. The standard extension is .vti. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vti\"\n"
"          file_description=\"VTK ImageData Files\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLImageDataReader -->\n"
"\n"
"   <SourceProxy name=\"XMLStructuredGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Structured Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read VTK XML structured grid data files.\"\n"
"                    long_help=\"Reads serial VTK XML structured grid data files.\">\n"
"       The XML Structured Grid reader reads the VTK XML structured grid data file format. The standard extension is .vts. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLStructuredGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the VTK XML structured grid data format. The standard extension is .vts. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vts\"\n"
"          file_description=\"VTK StructuredGrid Files\" />\n"
"     </Hints>\n"
"   </SourceProxy> <!-- XMLStructuredGridReader -->\n"
"\n"
"   <SourceProxy name=\"XMLRectilinearGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Rectilinear Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read VTK XML rectilinear grid data files.\"\n"
"                    long_help=\"Reads serial VTK XML rectilinear grid data files.\">\n"
"       The XML Rectilinear Grid reader reads the VTK XML rectilinear grid data file format. The standard extension is .vtr. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLRectilinearGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the VTK XML rectilinear grid data format. The standard extension is .vtr. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vtr\"\n"
"          file_description=\"VTK RectilinearGrid Files\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLRectilinearGridReader -->\n"
"\n"
"   <SourceProxy name=\"XMLPPolyDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Partitioned Polydata Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read partitioned VTK XML polydata files.\"\n"
"                    long_help=\"Reads the summary file and the assicoated VTK XML polydata files.\">\n"
"       The XML Partitioned Polydata reader reads the partitioned VTK polydata file format. It reads the partitioned format's summary file and then the associated VTK XML polydata files. The expected file extension is .pvtp. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\" proxyname=\"XMLPPolyDataReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the partitioned VTK XML polygonal dataset format. The standard extension is .pvtp. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvtp\"\n"
"          file_description=\"VTK PolyData Files (partitioned)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLPPolyDataReader -->\n"
"\n"
"   <SourceProxy name=\"XMLPUnstructuredGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Partitioned Unstructured Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read partitioned VTK XML unstructured grid data files.\"\n"
"                    long_help=\"Reads the summary file and the associated VTK XML unstructured grid data files.\">\n"
"       The XML Partitioned Unstructured Grid reader reads the partitioned VTK unstructured grid data file format. It reads the partitioned format's summary file and then the associated VTK XML unstructured grid data files. The expected file extension is .pvtu. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLPUnstructuredGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the partitioned VTK XML unstructured grid data format. The standard extension is .pvtu. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvtu\"\n"
"          file_description=\"VTK UnstructuredGrid Files (partitioned)\" />\n"
"     </Hints>\n"
"   </SourceProxy> <!-- XMLPUnstructuredGridReader -->\n"
"\n"
"   <SourceProxy name=\"XMLPImageDataReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Partitioned Image Data Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read partitioned VTK XML image data files.\"\n"
"                    long_help=\"Reads the summary file and the associated VTK XML image data files.\">\n"
"       The XML Partitioned Image Data reader reads the partitioned VTK image data file format. It reads the partitioned format's summary file and then the associated VTK XML image data files. The expected file extension is .pvti. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLPImageDataReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface9 =
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the partitioned VTK XML image data format. The standard extension is .pvti. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvti\"\n"
"          file_description=\"VTK ImageData Files (partitioned)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLPImageDataReader -->\n"
"\n"
"   <SourceProxy name=\"XMLPStructuredGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Partitioned Structured Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read partitioned VTK XML structured grid data files.\"\n"
"                    long_help=\"Reads the summary file and the associated VTK XML structured grid data files.\">\n"
"       The XML Partitioned Structured Grid reader reads the partitioned VTK structured grid data file format. It reads the partitioned format's summary file and then the associated VTK XML structured grid data files. The expected file extension is .pvts. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLPStructuredGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the partitioned VTK XML structured grid data format. The standard extension is .pvts. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvts\"\n"
"          file_description=\"VTK StructuredGrid Files (partitioned)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLPStructuredGridReader -->\n"
"\n"
"   <SourceProxy name=\"XMLPRectilinearGridReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"XML Partitioned Rectilinear Grid Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read partitioned VTK XML rectilinear grid data files.\"\n"
"                    long_help=\"Reads the summary file and the associated VTK XML rectilinear grid data files.\">\n"
"       The XML Partitioned Rectilinear Grid reader reads the partitioned VTK rectilinear grid file format. It reads the partitioned format's summary file and then the associated VTK XML rectilinear grid files. The expected file extension is .pvtr. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"XMLPRectilinearGridReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CellArrayInfo\" />\n"
"         <Property name=\"CellArrayStatus\" />\n"
"         <Property name=\"PointArrayInfo\" />\n"
"         <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. Each file is expected to be in the partitioned VTK XML rectilinear grid data format. The standard extension is .pvtr. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvtr\"\n"
"          file_description=\"VTK RectilinearGrid Files (partitioned)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- XMLPRectilinearGridReader -->\n"
"\n"
"   <SourceProxy name=\"RTXMLPolyDataReader\"\n"
"                class=\"vtkRTXMLPolyDataReader\">\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Set the file name for the real-time VTK polygonal dataset reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"Location\"\n"
"        command=\"SetLocation\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Set the data directory containing real time data files.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"NextFileName\"\n"
"        command=\"GetNextFileName\"\n"
"        number_of_elements=\"1\"\n"
"        information_only=\"1\">\n"
"        <SimpleStringInformationHelper/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NewDataAvailable\"\n"
"        command=\"NewDataAvailable\"\n"
"        number_of_elements=\"1\"\n"
"                    default_values=\"2\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Property\n"
"        name=\"UpdateToNextFile\"\n"
"        command=\"UpdateToNextFile\">\n"
"     </Property>\n"
"\n"
"     <Property\n"
"        name=\"ResetReader\"\n"
"        command=\"ResetReader\">\n"
"     </Property>\n"
"     <!-- End of RTXMLPolyDataReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"LegacyVTKFileReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"Legacy VTK Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read legacy VTK files.\"\n"
"       long_help=\"Reads files stored in VTK's legacy file format.\">\n"
"       The Legacy VTK reader loads files stored in VTK's legacy file format (before VTK 4.2, although still supported). The expected file extension is .vtk. The type of the dataset may be structured grid, uniform rectilinear grid (image/volume), non-uniform rectiinear grid, unstructured grid, or polygonal. This reader also supports file series.\n"
"     </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"          proxygroup=\"internal_sources\" proxyname=\"legacyreader\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"FileNameInfo\" >\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"vtk\"\n"
"          file_description=\"Legacy VTK files\" />\n"
"     </Hints>\n"
"     <!-- End LegacyVTKFileReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"pvtkfile\"\n"
"                class=\"vtkPDataSetReader\"\n"
"                label=\"Partitioned Legacy VTK Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read partitioned legacy VTK files.\"\n"
"       long_help=\"Reads files stored in VTK partitioned legacy format.\">\n"
"       The Partitioned Legacy VTK reader loads files stored in VTK's partitioned legac file format (before VTK 4.2, although still supported). The expected file extension is .pvtk. The type of the dataset may be structured grid, uniform rectilinear grid (image/volume), non-uniform rectilinear grid, unstructured grid, or polygonal.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name for the Partitioned Legacy VTK reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pvtk\"\n"
"          file_description=\"Legacy VTK Files (partitioned)\" />\n"
"     </Hints>\n"
"   <!-- End pvtkfile -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ensight\"\n"
"                class=\"vtkPGenericEnSightReader\"\n"
"                label=\"EnSight Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read EnSight files.\"\n"
"       long_help=\"Reads EnSight 6 and Gold files.\">\n"
"       The EnSight reader reads files in the format produced by CEI's EnSight. EnSight 6 and Gold files (both ASCII and binary) are supported. The default extension is .case. The output of this reader is a multi-block dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"CaseFileName\"\n"
"        command=\"SetCaseFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the case file name for the EnSight reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"case CASE Case\"\n"
"          file_description=\"EnSight Files\" />\n"
"     </Hints>\n"
"   <!-- End ensight -->\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface10 =
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"spcthreader\" class=\"vtkSpyPlotReader\"\n"
"                label=\"Spy Plot Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read files in the Spy Plot format.\"\n"
"       long_help=\"Reads files in the SPCTH Spy Plot file format.\">\n"
"       The Spy Plot reader loads an ASCII meta-file called the \"case\" file (extension .spcth). The case file lists all the binary files containing the dataset. This reader produces hierarchical datasets.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Spy Plot reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DownConvertVolumeFraction\"\n"
"        command=\"SetDownConvertVolumeFraction\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 0, the type of the volume fraction is float; is set to 1, the type is unsigned char.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"ComputeDerivedVariables\"\n"
"       command=\"SetComputeDerivedVariables\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, the reader will convert derived variables like material density for the materials\n"
"         that the user has selected. For Density the user needs to have selected Material Mass and Material Volume Fraction.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DistributeFiles\"\n"
"        command=\"SetDistributeFiles\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         In parallel mode, if this property is set to 1, the reader will distribute files or blocks.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateLevelArray\"\n"
"        command=\"SetGenerateLevelArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a cell array will be generated that stores the level of each block.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateActiveBlockArray\"\n"
"        command=\"SetGenerateActiveBlockArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a cell array will be generated that stores the active status of a block.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateTracerArray\"\n"
"        command=\"SetGenerateTracerArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a cell array will be generated that stores the coordinates of any tracers.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"GenerateBlockIdArray\"\n"
"        command=\"SetGenerateBlockIdArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, a cell array will be generated that stores a unique blockId for each block.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"MergeXYZComponents\"\n"
"        command=\"SetMergeXYZComponents\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         If this property is set to 1, cell arrays named (for example) X velocity, Y velocity and Z velocity will be combined into a single vector array named velocity.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory filename_patterns=\"spct*\"\n"
"          file_description=\"SpyPlot CTH dataset\" />\n"
"     </Hints>\n"
"   <!-- End spcthreader-->\n"
"   </SourceProxy>\n"
"\n"
"  <SourceProxy name=\"SPCTHRestartReader\"\n"
"                         class=\"vtkFileSeriesReader\"\n"
"                         label=\"Restarted Sim Spy Plot Reader\"\n"
"                         si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                         file_name_method=\"SetFileName\">\n"
"    <Documentation short_help=\"Read SPCTH files from simulation restarts.\"\n"
"                   long_help=\"Reads collections of SPCTH files from simulations that were restarted.\">\n"
"      When a CTH simulation is restarted, typically you get a new set of output files. When you read them in your visualization, you often want to string these file sets together as if it was one continuous dump of files. This reader allows you to specify a metadata file that will implicitly string the files together.\n"
"    </Documentation>\n"
"    <SubProxy>\n"
"      <Proxy name=\"Reader\" proxygroup=\"sources\" proxyname=\"spcthreader\" />\n"
"      <ExposedProperties>\n"
"        <Property name=\"DownConvertVolumeFraction\" />\n"
"        <Property name=\"DistributeFiles\" />\n"
"        <Property name=\"GenerateLevelArray\" />\n"
"        <Property name=\"GenerateActiveBlockArray\" />\n"
"        <Property name=\"GenerateBlockIdArray\" />\n"
"        <Property name=\"CellArrayInfo\" />\n"
"        <Property name=\"CellArrayStatus\" />\n"
"      </ExposedProperties>\n"
"    </SubProxy>\n"
"\n"
"    <StringVectorProperty name=\"FileName\"\n"
"                          animateable=\"0\"\n"
"                          command=\"SetMetaFileName\"\n"
"                          number_of_elements=\"1\">\n"
"      <FileListDomain name=\"files\" />\n"
"      <Documentation>\n"
"        This points to a special metadata file that lists the output files for each restart.\n"
"      </Documentation>\n"
"    </StringVectorProperty>\n"
"\n"
"    <IntVectorProperty name=\"UseMetaFile\"\n"
"                       command=\"SetUseMetaFile\"\n"
"                       number_of_elements=\"1\"\n"
"                       default_values=\"1\">\n"
"      <BooleanDomain name=\"bool\" />\n"
"      <Documentation>\n"
"        This hidden property must always be set to 1 for this proxy to work.\n"
"      </Documentation>\n"
"    </IntVectorProperty>\n"
"\n"
"    <DoubleVectorProperty name=\"TimestepValues\"\n"
"                          repeatable=\"1\"\n"
"                          information_only=\"1\">\n"
"      <TimeStepsInformationHelper/>\n"
"    </DoubleVectorProperty>\n"
"\n"
"    <Hints>\n"
"      <!-- This property is here simply to set it. -->\n"
"      <Property name=\"UseMetaFile\" show=\"0\" />\n"
"      <ReaderFactory extensions=\"spcth-timeseries\"\n"
"          file_description=\"Case file for restarted CTH outputs\" />\n"
"    </Hints>\n"
"    <!-- SPCTHRestartReader -->\n"
"  </SourceProxy>\n"
"\n"
"\n"
"   <SourceProxy name=\"spcthhistoryreader\" class=\"vtkSpyPlotHistoryReader\"\n"
"   label=\"spcth history reader\">\n"
"      <Documentation\n"
"        short_help=\"Read a comma-separated spctch history file.\"\n"
"        long_help=\"Reads an spcth history file where each row translates into a single time step\n"
"        and the columns are points, materials and properties.\">\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VRML reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"\n"
"      <StringVectorProperty name=\"CommentCharacter\"\n"
"        command=\"SetCommentCharacter\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"%\">\n"
"        <Documentation>\n"
"          This property lists the characters that is used as the first character on comment lines\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Delimeter\"\n"
"        command=\"SetDelimeter\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\",\">\n"
"        <Documentation>\n"
"          Character that is used as the delimeter.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"       <ReaderFactory\n"
"       extensions=\"hscth\"\n"
"       filename_patterns=\"*hsct*\"\n"
"       file_description=\"Spy Plot History Files\" />\n"
"      </Hints>\n"
"      <!-- End of SPCTHHistoryReader -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"   <SourceProxy name=\"vrmlreader\" class=\"vtkVRMLSource\" label=\"VRML Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read VRML 2.0 files.\"\n"
"       long_help=\"Load the geometry from a VRML 2.0 file.\">\n"
"       The VRML reader loads only the geometry from a VRML (Virtual Reality Modeling Language) 2.0 file. The expected file extension is .wrl. The output of this reader is a polygonal dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the VRML reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"wrl vrml\"\n"
"          file_description=\"VRML 2 Files\" />\n"
"     </Hints>\n"
"   <!-- End vrmlreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"plyreader\" class=\"vtkPLYReader\" label=\"PLY Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read PLY polygonal files.\"\n"
"       long_help=\"Reads files stored in Stanford University's PLY polygonal file format.\">\n"
"       The PLY reader reads files stored in the PLY polygonal file format developed at Stanford University. The PLY files that ParaView can read must have the elements \"vertex\" and \"face\" defined. The \"vertex\" elements must have the propertys \"x\", \"y\", and \"z\". The \"face\" elements must have the property \"vertex_indices\" defined. The default file extension for this reader is .ply.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the PLY reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"ply\"\n"
"          file_description=\"PLY Polygonal File Format\" />\n"
"     </Hints>\n"
"   <!-- End plyreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"pdbreader\" class=\"vtkPDBReader\" label=\"PDB Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read PDB files.\"\n"
"       long_help=\"Reads PDB molecule files.\">\n"
"       The PDB reader reads files in the format used by the Protein Data Bank (an archive of experimentally determined three-dimensional structures of biological macromolecules). The expected file extension is .pdb. The output datasets are polygonal.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the PDB reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pdb\" file_description=\"Protein Data Bank Files\" />\n"
"     </Hints>\n"
"   <!-- End pdbreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"xyzreader\" class=\"vtkXYZMolReader\" label=\"XYZ Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read XYZ molecular data files.\"\n"
"       long_help=\"Reads XYZ molecular data files into a polygonal dataset.\">\n"
"       The XYZ reader reads XYZ molecular data files. The expected file extension is .xyz. The output of this reader is a polygonal dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the XYZ reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"TimeStep\"\n"
"        command=\"SetTimeStep\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the timestep the XYZ reader should load.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"xyz\"\n"
"          file_description=\"XMol Molecule Files\" />\n"
"     </Hints>\n"
"   <!-- End xyzreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"PhastaReader\"\n"
"                class=\"vtkPPhastaReader\"\n"
"                label=\"Phasta Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read datasets stored in the Phasta format.\"\n"
"       long_help=\"Reads the parallel Phasta meta-file and the underlying Phasta files.\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface11 =
"       This Phasta reader reads files stored in the Phasta (a CFD package) format. The expected file extension is .pht. The output of this reader is a multipiece data set.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Phasta reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pht\"\n"
"          file_description=\"Phasta Files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"EnzoReader\"\n"
"                class=\"vtkEnzoReader\"\n"
"                label=\"Enzo Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read multi-block dataset from an Enzo file.\"\n"
"       long_help=\"Reads multi-block dataset from an Enzo file.\">\n"
"         This Enzo reader loads data stored in Enzo format. The output of this reader is a multi-block dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"            This property specifies the file name for the Enzo reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"BlockOutputType\"\n"
"       command=\"SetBlockOutputType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\"\n"
"       animateable=\"0\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Image Data\"/>\n"
"         <Entry value=\"1\" text=\"Rectilinear Grid\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The property indicates the output type of each block, either vtkImageData (by default) or vtkRectilinearGrid.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"MaxLevel\"\n"
"       command=\"SetMaxLevel\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"100\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         Do not blocks above this level.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"LoadParticles\"\n"
"       command=\"SetLoadParticles\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Load particles when on.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"boundary hierarchy\"\n"
"          file_description=\"Enzo Files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"FlashReader\"\n"
"                class=\"vtkFlashReader\"\n"
"                label=\"Flash Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read multi-block dataset from a Flash file.\"\n"
"       long_help=\"Reads multi-block dataset from a Flash file.\">\n"
"         This Flash reader loads data stored in Flash format. The output of this reader is a multi-block dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"            This property specifies the file name for the Flash reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"BlockOutputType\"\n"
"       command=\"SetBlockOutputType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\"\n"
"       animateable=\"0\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"Image Data\"/>\n"
"         <Entry value=\"1\" text=\"Rectilinear Grid\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The property indicates the output type of each block, either vtkImageData (by default) or vtkRectilinearGrid.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"LoadParticles\"\n"
"       command=\"SetLoadParticles\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Load particles when on.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"LoadMortonCurve\"\n"
"       command=\"SetLoadMortonCurve\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         Generate morton curve when on.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"Flash flash\"\n"
"          file_description=\"Flash Files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"stlreader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"STL Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"         short_help=\"Read STL files.\"\n"
"       long_help=\"Reads ASCII or binary stereo lithography (STL) files.\">\n"
"       The STL reader reads ASCII or binary stereo lithography (STL) files. The expected file extension is .stl. The output of this reader is a polygonal dataset. This reader also supports file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\" proxyname=\"stlreadercore\">\n"
"       </Proxy>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"FileNameInfo\" >\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is specified, the reader will switch to file series mode in which it will pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"stl\"\n"
"          file_description=\"Stereo Lithography\" />\n"
"     </Hints>\n"
"     <!-- End stlreader-->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"byureader\" class=\"vtkBYUReader\" label=\"BYU Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read Movie.BYU files.\"\n"
"       long_help=\"Reads Movie.BYU files to produce polygonal data.\">\n"
"       The BYU reader reads data stored in Movie.BYU format. The expected file extension is .g. The datasets resulting from reading these files are polygonal.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the BYU reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"g\"\n"
"          file_description=\"BYU Files\"/>\n"
"     </Hints>\n"
"   <!-- End byureader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"objreader\" class=\"vtkOBJReader\" label=\"Wavefront OBJ Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read Wavefront .OBJ files.\"\n"
"       long_help=\"Reads Wavefront .OBJ files to produce polygonal and line data.\">\n"
"       The OBJ reader reads data stored in Wavefront .OBJ format.\n"
"       The expected file extension is .obj, the datasets resulting\n"
"       from reading these files are polygons and lines.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the OBJ reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"obj\"\n"
"          file_description=\"Wavefront OBJ Files\"/>\n"
"     </Hints>\n"
"   <!-- End vtkOBJReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"gaussiancubereader\" class=\"vtkGaussianCubeReader\"\n"
"                label=\"Gaussian Cube Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read Gaussian Cube data files.\"\n"
"       long_help=\"Produce polygonal data by reading a Gaussian Cube file.\">\n"
"       The Gaussian Cube reader produces polygonal data by reading data files produced by the Gaussian software package. The expected file extension is .cube.\n"
"     </Documentation>\n"
"\n"
"     <OutputPort name=\"Output\" index=\"0\" />\n"
"     <OutputPort name=\"Gridded Data\" index=\"1\" />\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Gaussian Cube reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"HBScale\"\n"
"         command=\"SetHBScale\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          A scaling factor to compute bonds with hydrogen atoms.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"BScale\"\n"
"         command=\"SetBScale\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          A scaling factor to compute bonds between non-hydrogen atoms\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"cube\"\n"
"          file_description=\"Gaussian Cube Files\" />\n"
"     </Hints>\n"
"   <!-- End gaussiancubereader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"popreader\" class=\"vtkPOPReader\" label=\"POP Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read POP data files.\"\n"
"       long_help=\"Reads data files from the Parallel Ocean Program (POP).\">\n"
"       The POP reader reads data files from the Parallel Ocean Program (POP). The expected file extension is .pop. The output of this reader is a structured grid dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the POP Ocean file reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Radius\"\n"
"         command=\"SetRadius\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"60000\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the radius of the dataset.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ClipExtent\"\n"
"        command=\"SetClipExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"-2147483647 2147483647 -2147483647 2147483647 -2147483647 2147483647\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property indicates the minimum and maximum extent in each dimension of the dataset (X, Y, and Z) to read.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfGhostLevels\"\n"
"        command=\"SetNumberOfGhostLevels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property indicates the number of ghost levels to generate.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"pop\"\n"
"          file_description=\"POP Ocean Files\"/>\n"
"     </Hints>\n"
"   <!-- End popreader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ensightMS\"\n"
"                class=\"vtkPVEnSightMasterServerReader2\"\n"
"                label=\"EnSight Master Server Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read parallel EnSight files.\"\n"
"       long_help=\"Reads files in EnSight's Master Server format.\">\n"
"       The EnSight Master Server reader reads EnSight's parallel files. The master file ususally has a .sos extension and may point to multiple .case files. The output is a multi-block dataset.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"CaseFileName\"\n"
"        command=\"SetCaseFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the name of the .sos file for the EnSight Master Server reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"       name=\"ByteOrder\"\n"
"       command=\"SetByteOrder\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"BigEndian\"/>\n"
"         <Entry value=\"1\" text=\"LittleEndian\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates the byte order of the binary file(s).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"TimestepValues\"\n"
"       repeatable=\"1\"\n"
"       information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"       name=\"SetTimeValue\"\n"
"       command=\"SetTimeValue\"\n"
"       number_of_elements=\"1\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface12 =
"       default_values=\"0.0\"\n"
"       animateable=\"1\">\n"
"       <DoubleRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property indicates which time value to read.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"CellArrayInfo\"\n"
"       information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"    <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"sos SOS\"\n"
"          file_description=\"EnSight Master Server Files\" />\n"
"     </Hints>\n"
"   <!-- End ensightMS -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ImageReader\"\n"
"                class=\"vtkMPIImageReader\"\n"
"                label=\"Image Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read raw regular rectilinear grid data from a file.\"\n"
"       long_help=\"Reads raw regular rectilinear grid data from a file. The dimensions and type of the data must be specified.\">\n"
"       The Image reader reads raw, regular, rectilinear grid (image/volume) data from a file. Because no metadata is provided, the user must specify information about the size, spacing, dimensionality, etc. about the dataset.\n"
"     </Documentation>\n"
"     <!-- Unlike most readers, we need to show the \"filename\" so that users\n"
"          can strip off the extension and replace it in the file pattern.\n"
"          I'm creating this \"Property\" hint that has an attribute to force\n"
"          whether the given property is shown in the GUI or not. -->\n"
"     <Hints>\n"
"       <Property name=\"FilePrefix\" show=\"1\"/>\n"
"       <ReaderFactory extensions=\"raw\"\n"
"          file_description=\"Raw (binary) Files\" />\n"
"     </Hints>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePrefix\"\n"
"        command=\"SetFilePrefix\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The text string contained in this property specifies the file prefix (directory plus common initial part of file name) for the raw binary uniform rectilinear grid dataset.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FilePattern\"\n"
"        command=\"SetFilePattern\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"%s\">\n"
"        <Documentation>\n"
"          The text string contained in the property specifies the format string to determine the file names necessary for reading this dataset. In creating the filenames, %s will be replaced by the prefix and %d by a digit which represents the slice number in Z. The format string is the same as that used by printf.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DataScalarType\"\n"
"        command=\"SetDataScalarType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"4\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"2\" text=\"char\"/>\n"
"         <Entry value=\"3\" text=\"unsigned char\"/>\n"
"         <Entry value=\"4\" text=\"short\"/>\n"
"         <Entry value=\"5\" text=\"unsigned short\"/>\n"
"         <Entry value=\"6\" text=\"int\"/>\n"
"         <Entry value=\"7\" text=\"unsigned int\"/>\n"
"         <Entry value=\"8\" text=\"long\"/>\n"
"         <Entry value=\"9\" text=\"unsigned long\"/>\n"
"         <Entry value=\"10\" text=\"float\"/>\n"
"         <Entry value=\"11\" text=\"double\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The value of this property indicates the scalar type of the pixels/voxels in the file(s): short, int, float ...\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DataByteOrder\"\n"
"        command=\"SetDataByteOrder\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"0\" text=\"BigEndian\"/>\n"
"         <Entry value=\"1\" text=\"LittleEndian\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates the byte order of the binary file(s).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"FileDimensionality\"\n"
"        command=\"SetFileDimensionality\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"2\" text=\"2\"/>\n"
"         <Entry value=\"3\" text=\"3\"/>\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         This property indicates whether the file(s) in this dataset contain slices (2D) or volumes (3D).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"DataOrigin\"\n"
"         command=\"SetDataOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The coordinate contained in this property specifies the position of the point with index (0,0,0).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"DataSpacing\"\n"
"         command=\"SetDataSpacing\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This property specifies the size of a voxel in each dimension.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DataExtent\"\n"
"        command=\"SetDataExtent\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 0 0 0\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the minimum and maximum index values of the data in each dimension (xmin, xmax, ymin, ymax, zmin, zmax).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"NumberOfScalarComponents\"\n"
"        command=\"SetNumberOfScalarComponents\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"       <IntRangeDomain name=\"range\"/>\n"
"       <Documentation>\n"
"         This property specifies the number of components the scalar value at each pixel or voxel has (e.g., RGB - 3 scalar components).\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ScalarArrayName\"\n"
"        command=\"SetScalarArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"ImageFile\">\n"
"        <Documentation>\n"
"          This property contains a text string listing a name to assign to the point-centered data array read.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"FileLowerLeft\"\n"
"                        command=\"SetFileLowerLeft\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This property determines whether the data originates in the lower left corner (on) or the upper left corner (off). Most scientific data is written with a right-handed axes that originates in the lower left corner. However, several 2D image file formats write the image from the upper left corner.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"   <!-- End ImageReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"NrrdReader\"\n"
"                class=\"vtkPNrrdReader\"\n"
"                label=\"Nrrd Reader\">\n"
"     <Documentation short_help=\"Read raw image files with Nrrd meta data.\"\n"
"                    long_help=\"Reads raw image files with Nrrd meta data.\">\n"
"       The Nrrd reader reads raw image data much like the Raw Image Reader\n"
"       except that it will also read metadata information in the Nrrd format.\n"
"       This means that the reader will automatically set information like file\n"
"       dimensions.\n"
"\n"
"       There are several limitations on what type of nrrd files we can\n"
"       read. This reader only supports nrrd files in raw format. Other\n"
"       encodings like ascii and hex will result in errors. When reading in\n"
"       detached headers, this only supports reading one file that is\n"
"       detached.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           command=\"SetFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\" />\n"
"       <Documentation>\n"
"         The name of the file to read (or the meta data file that will\n"
"         point to the actual file).\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"DataVOI\"\n"
"                        command=\"SetDataVOI\"\n"
"                        label=\"Data VOI\"\n"
"                        number_of_elements=\"6\"\n"
"                        default_values=\"0 0 0 0 0 0\">\n"
"       <Documentation>\n"
"         The data volume of interest (VOI). The VOI is a sub-extent of the\n"
"         data that you want loaded. Setting a VOI is useful when reading\n"
"         from a large data set and you are only interested in a small\n"
"         portion of the data. If left containing all 0's, then the reader\n"
"         will load in the entire data set.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"nrrd nhdr\"\n"
"                      file_description=\"Nrrd Raw Image Files\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy> <!-- NrrdReader -->\n"
"\n"
"   <SourceProxy name=\"PNGSeriesReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"PNG Series Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a PNG file.\"\n"
"       long_help=\"Reads a PNG file into an image data.\">\n"
"       The PNG reader reads PNG (Portable Network Graphics) files, and the output is a uniform rectilinear (image/volume) dataset. The default file extension is .png.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is specified,\n"
"         the reader will switch to file series mode in which it will pretend that it\n"
"         can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"          proxygroup=\"internal_sources\" proxyname=\"PNGReader\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"png\"\n"
"          file_description=\"PNG Image Files\" />\n"
"     </Hints>\n"
"\n"
"     <!-- End PNGSeriesReader -->\n"
"   </SourceProxy>\n"
"\n"
"\n"
"   <SourceProxy name=\"JPEGSeriesReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"JPEG Series Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a series of JPEG files.\"\n"
"       long_help=\"Reads a series of JPEG files into an time sequence of image datas.\">\n"
"       The JPEG series reader reads JPEG files. The output is a time sequence of uniform\n"
"       rectilinear (image/volume) dataset. The default file extension is .jpg or .jpeg.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is specified,\n"
"         the reader will switch to file series mode in which it will pretend that it\n"
"         can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"          proxygroup=\"internal_sources\" proxyname=\"JPEGReader\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"jpg jpeg\"\n"
"          file_description=\"JPEG Image Files\" />\n"
"     </Hints>\n"
"\n"
"     <!-- End JPEGSeriesReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"TIFFSeriesReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"TIFF Series Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface13 =
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a series of TIFF files.\"\n"
"       long_help=\"Reads a series of TIFF files into an time sequence of image datas.\">\n"
"       The TIFF series reader reads TIFF files. The output is a time sequence of uniform\n"
"       rectilinear (image/volume) dataset. The default file extension is .tif or .tiff.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is specified,\n"
"         the reader will switch to file series mode in which it will pretend that it\n"
"         can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"          proxygroup=\"internal_sources\" proxyname=\"TIFFReader\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"tif tiff\"\n"
"          file_description=\"TIFF Image Files\" />\n"
"     </Hints>\n"
"\n"
"     <!-- End TIFFSeriesReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"XdmfReader\"\n"
"                class=\"vtkXdmfReader\"\n"
"                label=\"XDMF Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read XDMF data files.\"\n"
"       long_help=\"Reads XDMF (eXtensible Data Model and Format) files.\">\n"
"       The XDMF reader reads files in XDMF format. The expected file extension\n"
"       is .xmf. Metadata is stored in the XDMF file using an XML format, and\n"
"       large attribute arrays are stored in a corresponding HDF5 file. The\n"
"       output may be unstructured grid, structured grid, or rectiliner grid.\n"
"       See http://www.xdmf.org for a description of the file format.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the XDMF reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"        information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        animateable=\"0\"\n"
"        label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"CellArrayStatus\"\n"
"        command=\"SetCellArrayStatus\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"CellArrayInfo\"\n"
"        animateable=\"0\"\n"
"        label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SetInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Set\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"SetStatus\"\n"
"        label=\"Sets\"\n"
"        command=\"SetSetStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"SetInfo\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"SetInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select the sets to be loaded from the dataset, if any.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"GridInfo\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSISILProperty\"\n"
"        command=\"GetSIL\"\n"
"        subtree=\"Blocks\" />\n"
"\n"
"    <IdTypeVectorProperty name=\"SILTimeStamp\"\n"
"                          command=\"GetSILUpdateStamp\"\n"
"                          number_of_elements=\"1\"\n"
"                          default_values=\"0\"\n"
"                          information_only=\"1\" />\n"
"     \n"
"     <StringVectorProperty\n"
"        name=\"GridStatus\"\n"
"        label=\"Grids\"\n"
"        command=\"SetGridStatus\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\" >\n"
"       <SILDomain name=\"array_list\" subtree=\"Blocks\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"GridInfo\" function=\"ArrayList\" />\n"
"             <Property name=\"SILTimeStamp\" function=\"TimeStamp\" />\n"
"          </RequiredProperties>\n"
"       </SILDomain>\n"
"        <Documentation>\n"
"         Controls which particular data sets to read from a file that contains\n"
"         many data sets inside a composite data set collection.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Stride\"\n"
"        command=\"SetStride\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\"\n"
"        animateable=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"1 1 1\" />\n"
"        <Documentation>\n"
"         If loading structured data, this property indicate the number of\n"
"         indices per dimension (X, Y, or Z) to skip between each point included\n"
"         in this output.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"xmf xdmf\"\n"
"          file_description=\"Xdmf Reader\" />\n"
"     </Hints>\n"
"\n"
"     <!-- End of XdmfReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ExodusIIReader\"\n"
"                          class=\"vtkExodusFileSeriesReader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read Exodus II files.\"\n"
"       long_help=\"Reads an Exodus II file to produce an unstructured grid.\">\n"
"        The Exodus reader loads Exodus II files and produces an unstructured grid output. The default file extensions are .g, .e, .ex2, .ex2v2, .exo, .gen, .exoII, .exii, .0, .00, .000, and .0000. The file format is described fully at: http://endo.sandia.gov/SEACAS/Documentation/exodusII.pdf.\n"
"\n"
"       Each Exodus file contains a single set of points with 2-D or 3-D coordinates plus one or more blocks, sets, and maps. Block group elements (or their bounding edges or faces) of the same type together. Sets select subsets (across all the blocks in a file) of elements, sides of elements (which may be of mixed dimensionality), bounding faces of volumetric elements, or bounding edges of volumetric or areal elements. Each block or set may have multiple result variables, each of which defines a value per element, per timestep.\n"
"\n"
"       The elements (cells), faces of elements (when enumerated in face blocks), edges of elements (when enumerated in edge blocks), and nodes (points) in a file may be assigned an arbitrary integer number by an element map, face map, edge map, or node map, respectively. Usually, only a single map of each type exists and is employed to assign a unique global ID to entities across multiple files which partition a large mesh for a distributed-memory calculation. However here may be multiply maps of each type and there are no constraints which force the integers to be unique.\n"
"\n"
"       The connectivity of elements is constant across all of the timesteps in any single Exodus II file. However, multiple files which specify a single time-evolution of a mesh may be used to represent meshes which exhibit changes in connectivity infrequently.\n"
"\n"
"     </Documentation>\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\" proxyname=\"ExodusIIReaderCore\" />\n"
"       <ExposedProperties>\n"
"         <Property name=\"FilePrefix\" />\n"
"         <Property name=\"FilePrefixInfo\" />\n"
"         <Property name=\"FilePattern\" />\n"
"         <Property name=\"FilePatternInfo\" />\n"
"         <Property name=\"FileRange\" />\n"
"         <Property name=\"FileRangeInfo\" />\n"
"         <Property name=\"XMLFileName\" />\n"
"         <Property name=\"XMLFileNameInfo\" />\n"
"         <Property name=\"HasModeShapes\" />\n"
"         <Property name=\"ModeShape\" />\n"
"         <Property name=\"AnimateVibrations\" />\n"
"         <Property name=\"Refresh\" />\n"
"         <Property name=\"SILUpdateStamp\" />\n"
"         <Property name=\"EdgeBlocks\" />\n"
"         <Property name=\"EdgeBlocksInfo\" />\n"
"         <Property name=\"FaceBlocks\" />\n"
"         <Property name=\"FaceBlocksInfo\" />\n"
"         <Property name=\"ElementBlocks\" />\n"
"         <Property name=\"GlobalVariables\" />\n"
"         <Property name=\"GlobalVariablesInfo\" />\n"
"         <Property name=\"PointVariables\" />\n"
"         <Property name=\"PointVariablesInfo\" />\n"
"         <Property name=\"EdgeVariables\" />\n"
"         <Property name=\"EdgeVariablesInfo\" />\n"
"         <Property name=\"FaceVariables\" />\n"
"         <Property name=\"FaceVariablesInfo\" />\n"
"         <Property name=\"ElementVariables\" />\n"
"         <Property name=\"ElementVariablesInfo\" />\n"
"         <Property name=\"NodeMapInfo\" />\n"
"         <Property name=\"NodeMapArrayStatus\" />\n"
"         <Property name=\"EdgeMapInfo\" />\n"
"         <Property name=\"EdgeMapArrayStatus\" />\n"
"         <Property name=\"FaceMapInfo\" />\n"
"         <Property name=\"FaceMapArrayStatus\" />\n"
"         <Property name=\"ElementMapInfo\" />\n"
"         <Property name=\"ElementMapArrayStatus\" />\n"
"         <Property name=\"NodeSetInfo\" />\n"
"         <Property name=\"NodeSetArrayStatus\" />\n"
"         <Property name=\"SideSetInfo\" />\n"
"         <Property name=\"SideSetArrayStatus\" />\n"
"         <Property name=\"FaceSetInfo\" />\n"
"         <Property name=\"FaceSetArrayStatus\" />\n"
"         <Property name=\"EdgeSetInfo\" />\n"
"         <Property name=\"EdgeSetArrayStatus\" />\n"
"         <Property name=\"ElementSetInfo\" />\n"
"         <Property name=\"ElementSetArrayStatus\" />\n"
"         <Property name=\"ElementSetResultArrayInfo\" />\n"
"         <Property name=\"ElementSetResultArrayStatus\" />\n"
"         <Property name=\"SideSetResultArrayInfo\" />\n"
"         <Property name=\"SideSetResultArrayStatus\" />\n"
"         <Property name=\"FaceSetResultArrayInfo\" />\n"
"         <Property name=\"FaceSetResultArrayStatus\" />\n"
"         <Property name=\"EdgeSetResultArrayInfo\" />\n"
"         <Property name=\"EdgeSetResultArrayStatus\" />\n"
"         <Property name=\"NodeSetResultArrayInfo\" />\n"
"         <Property name=\"NodeSetResultArrayStatus\" />\n"
"         <Property name=\"ApplyDisplacements\" />\n"
"         <Property name=\"DisplacementMagnitude\" />\n"
"         <Property name=\"GenerateObjectIdCellArray\" />\n"
"         <Property name=\"GenerateGlobalNodeIdArray\" />\n"
"         <Property name=\"GenerateGlobalElementIdArray\" />\n"
"         <Property name=\"ExodusModelMetadata\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"                           command=\"GetCurrentFileName\"\n"
"                           information_only=\"1\">\n"
"       <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           repeat_command=\"1\">\n"
"       <FileListDomain name=\"files\" />\n"
"       <Documentation>\n"
"         This property specifies the file name for the Exodus reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"UseMetaFile\"\n"
"                        command=\"SetUseMetaFile\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This hidden property must always be set to 1 for this proxy to work.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <!-- This property is here simply to set it. -->\n"
"       <Property name=\"UseMetaFile\" show=\"0\" />\n"
"       <!-- This is for special GUI control. -->\n"
"       <Property name=\"Refresh\" show=\"0\"/>\n"
"       <ReaderFactory\n"
"          extensions=\"g e ex2 ex2v2 exo gen exoII 0 00 000 0000 exii\"\n"
"          filename_patterns=\"*e-s*\"\n"
"          file_description=\"ExodusII\"/>\n"
"     </Hints>\n"
"     <!-- ExodusIIReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ExodusRestartReader\"\n"
"                          class=\"vtkExodusFileSeriesReader\"\n"
"                          label=\"Restarted Sim Exodus Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation short_help=\"Read Exodus files from simulation restarts.\"\n"
"                    long_help=\"Reads collections of Exodus output files from simulations that were restarted.\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface14 =
"       When a simulation that outputs exodus files is restarted, typically you get a new set of output files. When you read them in your visualization, you often want to string these file sets together as if it was one continuous dump of files. This reader allows you to specify a metadata file that will implicitly string the files together.\n"
"     </Documentation>\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\" proxyname=\"ExodusIIReaderCore\" />\n"
"       <ExposedProperties>\n"
"         <Property name=\"XMLFileNameInfo\" />\n"
"         <Property name=\"XMLFileName\" />\n"
"         <Property name=\"HasModeShapes\" />\n"
"         <Property name=\"ModeShape\" />\n"
"         <Property name=\"AnimateVibrations\" />\n"
"         <Property name=\"Refresh\" />\n"
"         <Property name=\"SILUpdateStamp\" />\n"
"         <Property name=\"EdgeBlocks\" />\n"
"         <Property name=\"EdgeBlocksInfo\" />\n"
"         <Property name=\"FaceBlocks\" />\n"
"         <Property name=\"FaceBlocksInfo\" />\n"
"         <Property name=\"ElementBlocks\" />\n"
"         <Property name=\"GlobalVariables\" />\n"
"         <Property name=\"GlobalVariablesInfo\" />\n"
"         <Property name=\"PointVariables\" />\n"
"         <Property name=\"PointVariablesInfo\" />\n"
"         <Property name=\"EdgeVariables\" />\n"
"         <Property name=\"EdgeVariablesInfo\" />\n"
"         <Property name=\"FaceVariables\" />\n"
"         <Property name=\"FaceVariablesInfo\" />\n"
"         <Property name=\"ElementVariables\" />\n"
"         <Property name=\"ElementVariablesInfo\" />\n"
"         <Property name=\"NodeMapInfo\" />\n"
"         <Property name=\"NodeMapArrayStatus\" />\n"
"         <Property name=\"EdgeMapInfo\" />\n"
"         <Property name=\"EdgeMapArrayStatus\" />\n"
"         <Property name=\"FaceMapInfo\" />\n"
"         <Property name=\"FaceMapArrayStatus\" />\n"
"         <Property name=\"ElementMapInfo\" />\n"
"         <Property name=\"ElementMapArrayStatus\" />\n"
"         <Property name=\"NodeSetInfo\" />\n"
"         <Property name=\"NodeSetArrayStatus\" />\n"
"         <Property name=\"SideSetInfo\" />\n"
"         <Property name=\"SideSetArrayStatus\" />\n"
"         <Property name=\"FaceSetInfo\" />\n"
"         <Property name=\"FaceSetArrayStatus\" />\n"
"         <Property name=\"EdgeSetInfo\" />\n"
"         <Property name=\"EdgeSetArrayStatus\" />\n"
"         <Property name=\"ElementSetInfo\" />\n"
"         <Property name=\"ElementSetArrayStatus\" />\n"
"         <Property name=\"ElementSetResultArrayInfo\" />\n"
"         <Property name=\"ElementSetResultArrayStatus\" />\n"
"         <Property name=\"SideSetResultArrayInfo\" />\n"
"         <Property name=\"SideSetResultArrayStatus\" />\n"
"         <Property name=\"FaceSetResultArrayInfo\" />\n"
"         <Property name=\"FaceSetResultArrayStatus\" />\n"
"         <Property name=\"EdgeSetResultArrayInfo\" />\n"
"         <Property name=\"EdgeSetResultArrayStatus\" />\n"
"         <Property name=\"NodeSetResultArrayInfo\" />\n"
"         <Property name=\"NodeSetResultArrayStatus\" />\n"
"         <Property name=\"ApplyDisplacements\" />\n"
"         <Property name=\"DisplacementMagnitude\" />\n"
"         <Property name=\"GenerateObjectIdCellArray\" />\n"
"         <Property name=\"GenerateGlobalNodeIdArray\" />\n"
"         <Property name=\"GenerateGlobalElementIdArray\" />\n"
"         <Property name=\"ExodusModelMetadata\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"                           command=\"GetCurrentFileName\"\n"
"                           information_only=\"1\">\n"
"       <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           animateable=\"0\"\n"
"                           command=\"SetMetaFileName\"\n"
"                           information_property=\"FileNameInfo\"\n"
"                           number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\" />\n"
"       <Documentation>\n"
"         This points to a special metadata file that lists the output files for each restart.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"UseMetaFile\"\n"
"                        command=\"SetUseMetaFile\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"       <Documentation>\n"
"         This hidden property must always be set to 1 for this proxy to work.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <!-- This property is here simply to set it. -->\n"
"       <Property name=\"UseMetaFile\" show=\"0\" />\n"
"       <!-- This is for special GUI control. -->\n"
"       <Property name=\"Refresh\" show=\"0\"/>\n"
"\n"
"      <ReaderFactory extensions=\"ex-timeseries\"\n"
"          file_description=\"Metafile for restarted exodus outputs\" />\n"
"     </Hints>\n"
"     <!-- ExodusRestartReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"AVSucdSeriesReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"AVS UCD Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a dataset in AVS UCD format.\"\n"
"       long_help=\"Reads binary or ASCII files stored in AVS UCD format.\">\n"
"       The AVS UCD reader reads binary or ASCII files stored in AVS UCD format.\n"
"       The default file extension is .inp. The output of this reader is\n"
"       unstructured grid. This supports reading a file series.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"         proxygroup=\"internal_sources\" proxyname=\"AVSucdReader\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"          <Property name=\"CellArrayInfo\" />\n"
"          <Property name=\"CellArrayStatus\" />\n"
"          <Property name=\"PointArrayInfo\" />\n"
"          <Property name=\"PointArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"FileNameInfo\" >\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader. If more than one file is\n"
"         specified, the reader will switch to file series mode in which it will\n"
"         pretend that it can support time and provide one file per time step.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"inp\"\n"
"          file_description=\"AVS UCD Binary/ASCII Files\"/>\n"
"     </Hints>\n"
"   <!-- End of AVSucdSeriesReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"Facet Reader\"\n"
"                class=\"vtkFacetReader\">\n"
"     <Documentation\n"
"       short_help=\"Read a dataset in Facet format.\"\n"
"       long_help=\"Reads ASCII files stored in Facet format.\">\n"
"       The Facet Reader reads files in Facet format: a simple ASCII file format listing point coordinates and connectivity between these points. The default file extension is .facet. The output of the Facet Reader is polygonal.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the Facet reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"facet\"\n"
"          file_description=\"Facet Polygonal Data Files\" />\n"
"     </Hints>\n"
"   <!-- End Facet Reader -->\n"
"   </SourceProxy>\n"
"\n"
"  <SourceProxy name=\"TIFFReader\"\n"
"                class=\"vtkTIFFReader\"\n"
"                label=\"TIFF Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read a TIFF file.\"\n"
"       long_help=\"Reads a TIFF file into an image data.\">\n"
"       The TIFF reader reads TIFF (Tagged Image File Format) files, and the output is a uniform rectilinear (image/volume) dataset. The default file extension is .tiff.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the TIFF reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"tif tiff\"\n"
"          file_description=\"TIFF Image Files\"/>\n"
"     </Hints>\n"
"   <!-- End TIFFReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"SESAMEReader\"\n"
"                class=\"vtkSESAMEReader\"\n"
"                label=\"SESAME Reader\">\n"
"     <Documentation\n"
"       short_help=\"Read SESAME data files.\"\n"
"       long_help=\"Reads SESAME data files, producing rectilinear grids.\">\n"
"       The SESAME reader reads SESAME data files, and outputs rectilinear grids. The expected file extension is .sesame.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the SESAME reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"TableId\"\n"
"         command=\"SetTable\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"-1\">\n"
"         <EnumerationDomain name=\"enum\">\n"
"           <RequiredProperties>\n"
"             <Property name=\"TableIds\" function=\"Enumeration\"/>\n"
"          </RequiredProperties>\n"
"         </EnumerationDomain>\n"
"         <Documentation>\n"
"           This proeprty indicates which table to read.\n"
"         </Documentation>\n"
"     </IntVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"TableIds\"\n"
"         command=\"GetTableIdsAsArray\"\n"
"         information_only=\"1\">\n"
"         <IntArrayInformationHelper />\n"
"     </IntVectorProperty>\n"
"     <StringVectorProperty\n"
"         name=\"TableArrayInfo\"\n"
"         information_only=\"1\">\n"
"         <ArraySelectionInformationHelper attribute_name=\"Table\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"sesame\"\n"
"          file_description=\"SESAME\" />\n"
"     </Hints>\n"
"     <!-- End SESAMEReader -->\n"
"   </SourceProxy>\n"
"    <!-- Beginning of OpenFOAM Reader -->\n"
"    <SourceProxy name=\"OpenFOAMReader\" class=\"vtkPOpenFOAMReader\">\n"
"     <Documentation\n"
"       short_help=\"Read OpenFOAM data files.\"\n"
"       long_help=\"Reads OpenFOAM data files, producing multi-block dataset.\">\n"
"       The OpenFOAM reader reads OpenFOAM data files and outputs multi-block datasets. Mesh information and time dependent data are supported.\n"
"        The OpenFOAM format is described fully at http://www.openfoam.com/docs/user/basic-file-format.php\n"
"     </Documentation>\n"
"      <StringVectorProperty\n"
"         name=\"FileName\"\n"
"         command=\"SetFileName\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"0\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          This property specifies the file name for the reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Property\n"
"         name=\"Refresh\"\n"
"         command=\"SetRefresh\"\n"
"         is_internal=\"1\"\n"
"         animateable=\"0\">\n"
"        <Documentation>\n"
"          Refresh time information and selection list metadata. Useful when watching a running simulation.\n"
"        </Documentation>\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"CaseType\"\n"
"         command=\"SetCaseType\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Decomposed Case\"/>\n"
"          <Entry value=\"1\" text=\"Reconstructed Case\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The property indicates whether decomposed mesh or reconstructed mesh should be read\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"CreateCellToPoint\"\n"
"         command=\"SetCreateCellToPoint\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Create cell-to-point filtered data\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Create point data from cell data. Beware: the filter does not do inverse distance weighting.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"AddDimensionsToArrayNames\"\n"
"         command=\"SetAddDimensionsToArrayNames\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Add dimensional units to array names\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Read dimensional units from field data and add them to array names as human-readable string.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"PatchArrayInfo\"\n"
"         information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Patch\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"MeshRegions\"\n"
"         command=\"SetPatchArrayStatus\"\n"
"         number_of_elements=\"0\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"PatchArrayInfo\"\n"
"         animateable=\"0\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PatchArrayInfo\" function=\"ArrayList\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface15 =
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"CellArrayInfo\"\n"
"         information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"         name=\"CellArrays\"\n"
"         command=\"SetCellArrayStatus\"\n"
"         number_of_elements=\"0\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"CellArrayInfo\"\n"
"         animateable=\"0\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"PointArrayInfo\"\n"
"         information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"         name=\"PointArrays\"\n"
"         command=\"SetPointArrayStatus\"\n"
"         number_of_elements=\"0\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"PointArrayInfo\"\n"
"         animateable=\"0\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"         name=\"LagrangianArrayInfo\"\n"
"         information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Lagrangian\"/>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty\n"
"         name=\"LagrangianArrays\"\n"
"         command=\"SetLagrangianArrayStatus\"\n"
"         number_of_elements=\"0\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"LagrangianArrayInfo\"\n"
"         animateable=\"0\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"LagrangianArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"CacheMesh\"\n"
"         command=\"SetCacheMesh\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Cache mesh\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Cache the OpenFOAM mesh between GUI selection changes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"DecomposePolyhedra\"\n"
"         command=\"SetDecomposePolyhedra\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         label=\"Decompose polyhedra\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Decompose polyhedra into tetrahedra and pyramids.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ListTimeStepsByControlDict\"\n"
"         command=\"SetListTimeStepsByControlDict\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"List timesteps according to controlDict\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          List time directories listed according to the settings in controlDict.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"PositionsIsIn13Format\"\n"
"         command=\"SetPositionsIsIn13Format\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Lagrangian positions are in OF 1.3 binary format\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Set if Lagrangian positions files are in OpenFOAM 1.3 binary format.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ReadZones\"\n"
"         command=\"SetReadZones\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"\n"
"         label=\"Read zones\"\n"
"         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Read point/face/cell-Zones?\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"foam\"\n"
"           file_description=\"OpenFOAM\" />\n"
"        <Property name=\"FileName\" show=\"1\"/>\n"
"        <Property name=\"Refresh\" show=\"0\"/>\n"
"      </Hints>\n"
"\n"
"    </SourceProxy>\n"
"    <!-- End of OpenFOAM Reader -->\n"
"\n"
"    <!-- Beginning of MFIX Reader -->\n"
"    <SourceProxy name=\"MFIXReader\" class=\"vtkMFIXReader\">\n"
"      <Documentation\n"
"        short_help=\"Reads a dataset in MFIX file format.\"\n"
"        long_help=\"Reads a dataset in MFIX file format.\" >\n"
"        vtkMFIXReader creates an unstructured grid dataset. It reads a restart\n"
"        file and a set of sp files. The restart file contains the mesh\n"
"        information. MFIX meshes are either cylindrical or rectilinear, but\n"
"        this reader will convert them to an unstructured grid. The sp files\n"
"        contain transient data for the cells. Each sp file has one or more\n"
"        variables stored inside it.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            command=\"SetFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Set the file name for the MFIX reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayInfo\"\n"
"                           information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellArrayStatus\"\n"
"                            command=\"SetCellArrayStatus\"\n"
"                            number_of_elements=\"0\"\n"
"                            repeat_command=\"1\"\n"
"                            number_of_elements_per_command=\"2\"\n"
"                            element_types=\"2 0\"\n"
"                            information_property=\"CellArrayInfo\"\n"
"                            label=\"Cell Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"          Select which cell-centered arrays to read.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"          name=\"TimestepValues\"\n"
"          repeatable=\"1\"\n"
"          information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"RES\"\n"
"          file_description=\"MFIX Unstructured Grid Files\" />\n"
"     </Hints>\n"
"    </SourceProxy>\n"
"    <!-- End of MFIX Reader -->\n"
"\n"
"   <!-- Beginning of FLUENT Reader -->\n"
"   <SourceProxy name=\"FLUENTReader\"\n"
"                class=\"vtkFLUENTReader\">\n"
"     <Documentation\n"
"        short_help=\"Reads a dataset in Fluent file format.\"\n"
"        long_help=\"Reads a dataset in Fluent file format.\" >\n"
"        FLUENTReader creates an unstructured grid dataset. It reads .cas and\n"
"        .dat files stored in FLUENT native format.\n"
"     </Documentation>\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           command=\"SetFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         Set the file  name for the FLUENT reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"CellArrayInfo\"\n"
"                           information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"     <StringVectorProperty name=\"CellArrayStatus\"\n"
"                           command=\"SetCellArrayStatus\"\n"
"                           number_of_elements=\"0\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"CellArrayInfo\"\n"
"                           label=\"Cell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"         <RequiredProperties>\n"
"           <Property name=\"CellArrayInfo\"\n"
"                     function=\"ArrayList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which cell-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"cas\"\n"
"          file_description=\"Fluent Case Files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"   <!-- End of FLUENT Reader -->\n"
"\n"
"   <!-- Beginning of ProStar Reader -->\n"
"   <SourceProxy\n"
"      name=\"ProStarReader\"\n"
"      class=\"vtkProStarReader\"\n"
"      label=\"proSTAR (STARCD) Reader\">\n"
"     <Documentation\n"
"        short_help=\"Reads geometry in proSTAR (STARCD) file format.\"\n"
"        long_help=\"Reads geometry in proSTAR (STARCD) file format.\" >\n"
"       ProStarReader creates an unstructured grid dataset.\n"
"       It reads .cel/.vrt files stored in proSTAR (STARCD) ASCII format.\n"
"     </Documentation>\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         Set the file name for the proSTAR (STARCD) reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <DoubleVectorProperty\n"
"        name=\"ScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        animateable=\"0\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"         Scaling factor for the points\n"
"       </Documentation>\n"
"      </DoubleVectorProperty>\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"cel vrt\"\n"
"           file_description=\"proSTAR Files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"   <!-- End of ProStar Reader -->\n"
"\n"
"   <!-- Beginning of LSDyna Reader -->\n"
"   <SourceProxy name=\"LSDynaReader\" class=\"vtkLSDynaReader\">\n"
"     <Documentation\n"
"      short_help=\"Read LS-Dyna databases (d3plot).\"\n"
"      long_help=\"Reads LS-Dyna databases (d3plot).\" >\n"
"      This reader reads LS-Dyna databases.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           command=\"SetFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          Set the file name for the LSDyna reader.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"SolidArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Solid\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"SolidArrayStatus\"\n"
"                           command=\"SetSolidArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"SolidArrayInfo\"\n"
"                           label=\"Solid Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"SolidArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which solid arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ThickShellArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"ThickShell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ThickShellArrayStatus\"\n"
"                           command=\"SetThickShellArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"ThickShellArrayInfo\"\n"
"                           label=\"Thick Shell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ThickShellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which thick shell arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ShellArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Shell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ShellArrayStatus\"\n"
"                           command=\"SetShellArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"ShellArrayInfo\"\n"
"                           label=\"Shell Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ShellArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which shell arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"RigidBodyArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"RigidBody\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"RigidBodyArrayStatus\"\n"
"                           command=\"SetRigidBodyArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface16 =
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"RigidBodyArrayInfo\"\n"
"                           label=\"Rigid Body Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"RigidBodyArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which rigid body arrays to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"RoadSurfaceArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"RoadSurface\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"RoadSurfaceArrayStatus\"\n"
"                           command=\"SetRoadSurfaceArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"RoadSurfaceArrayInfo\"\n"
"                           label=\"Road Surface Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"RoadSurfaceArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which road surface arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"BeamArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Beam\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"BeamArrayStatus\"\n"
"                           command=\"SetBeamArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"BeamArrayInfo\"\n"
"                           label=\"Beam Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"BeamArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which beam arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ParticleArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Particle\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"ParticleArrayStatus\"\n"
"                           command=\"SetParticleArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"ParticleArrayInfo\"\n"
"                           label=\"Particle Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"ParticleArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which particle arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"PointArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"PointArrayStatus\"\n"
"                           command=\"SetPointArrayStatus\"\n"
"                           number_of_elements=\"2\" repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"PointArrayInfo\"\n"
"                           label=\"Point Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which point-centered arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"PartArrayInfo\" information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Part\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"PartArrayStatus\"\n"
"                           command=\"SetPartArrayStatus\"\n"
"                           number_of_elements=\"2\"\n"
"                           repeat_command=\"1\"\n"
"                           number_of_elements_per_command=\"2\"\n"
"                           element_types=\"2 0\"\n"
"                           information_property=\"PartArrayInfo\"\n"
"                           label=\"Part Arrays\">\n"
"       <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"PartArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         Select which part arrays to read.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"DeformedMesh\"\n"
"                        command=\"SetDeformedMesh\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should the mesh be deformed over time (if the Deflection node array is set to load)?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"RemoveDeletedCells\"\n"
"                        command=\"SetRemoveDeletedCells\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"1\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should cells that have been deleted (failed structurally, for example) be removed from the mesh?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"SplitByMaterialId\"\n"
"                        command=\"SetSplitByMaterialId\"\n"
"                        number_of_elements=\"1\"\n"
"                        default_values=\"0\"\n"
"                        label=\"Split by Material Id\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"       <Documentation>\n"
"         Should each material have its own mesh, or should there be one mesh for all materials?\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"k lsdyna d3plot\"\n"
"        filename_patterns=\"d3plot\"\n"
"        file_description=\"LSDyna\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End of LSDyna Reader -->\n"
"\n"
"    <SourceProxy name=\"netCDFReader\"\n"
"                           class=\"vtkFileSeriesReader\"\n"
"                           label=\"NetCDF Reader\"\n"
"                           si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                           file_name_method=\"SetFileName\">\n"
"      <Documentation short_help=\"Read regular arrays from netCDF files.\"\n"
"                     long_help=\"Reads regular arrays from netCDF files. Will also read any topological information specified by the COARDS and CF conventions.\">\n"
"        Reads arrays from netCDF files into structured VTK data sets. In\n"
"        the absence of any other information, the files will be read as\n"
"        image data. This reader will also look for meta information\n"
"        specified by the CF convention that specify things like topology\n"
"        and time. This information can cause the output to be a nonuniform\n"
"        rectilinear grid or curvilinear (structured) grid. Details on the\n"
"        CF convention can be found at http://cf-pcmdi.llnl.gov/. It should\n"
"        be noted that the CF convention is a superset of the COARDS\n"
"        convention, so COARDS conventions will also be recognized.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the files to load.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\" proxyname=\"netCDFReaderCore\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"DimensionInfo\" />\n"
"          <Property name=\"Dimensions\" />\n"
"          <Property name=\"VariableDimensionInfo\" />\n"
"          <Property name=\"VariableArrayInfo\" />\n"
"          <Property name=\"SphericalCoordinates\" />\n"
"          <Property name=\"VerticalScale\" />\n"
"          <Property name=\"VerticalBias\" />\n"
"          <Property name=\"ReplaceFillValueWithNan\" />\n"
"          <Property name=\"OutputType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          This magic property sends time information to the animation\n"
"          panel. ParaView will then automatically set up the animation to\n"
"          visit the time steps defined in the file.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"ncdf nc\"\n"
"          file_description=\"netCDF files generic and CF conventions\" />\n"
"     </Hints>\n"
"\n"
"    </SourceProxy> <!-- netCDFReader -->\n"
"\n"
"    <SourceProxy name=\"SLACReader\"\n"
"                 class=\"vtkPSLACReader\"\n"
"                 label=\"SLAC Data Reader\">\n"
"      <Documentation>\n"
"        A reader for a data format used by Omega3p, Tau3p, and several\n"
"        other tools used at the Standford Linear Accelerator Center (SLAC).\n"
"        The underlying format uses netCDF to store arrays, but also imposes\n"
"        several conventions to form an unstructured grid of elements.\n"
"      </Documentation>\n"
"\n"
"      <OutputPort name=\"External Surface\" index=\"0\" />\n"
"      <OutputPort name=\"Entire Volume\" index=\"1\" />\n"
"\n"
"      <StringVectorProperty name=\"MeshFileName\"\n"
"                            command=\"SetMeshFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the mesh file to load.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ModeFileName\"\n"
"                            clean_command=\"RemoveAllModeFileNames\"\n"
"                            command=\"AddModeFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          The name of the mode files to load. The points in the mode file should be the same as the mesh file.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadInternalVolume\"\n"
"                         command=\"SetReadInternalVolume\"\n"
"                         animateable=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, read the internal volume of the data set.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadExternalSurface\"\n"
"                         command=\"SetReadExternalSurface\"\n"
"                         animateable=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, read the external surfaces of the data set.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadMidpoints\"\n"
"                         command=\"SetReadMidpoints\"\n"
"                         animateable=\"0\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          If on, reads midpoint information for external surfaces and builds\n"
"          quadratic surface triangles.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"<!--       <StringVectorProperty name=\"VariableArrayStatus\" -->\n"
"<!--                             command=\"SetVariableArrayStatus\" -->\n"
"<!--                             number_of_elements=\"0\" -->\n"
"<!--                             repeat_command=\"1\" -->\n"
"<!--                             number_of_elements_per_command=\"2\" -->\n"
"<!--                             element_types=\"2 0\" -->\n"
"<!--                             information_property=\"VariableArrayInfo\" -->\n"
"<!--                             label=\"Variables\"> -->\n"
"<!--         <ArraySelectionDomain name=\"array_list\"> -->\n"
"<!--           <RequiredProperties> -->\n"
"<!--             <Property name=\"VariableArrayInfo\" function=\"ArrayList\" /> -->\n"
"<!--           </RequiredProperties> -->\n"
"<!--         </ArraySelectionDomain> -->\n"
"<!--         <Documentation> -->\n"
"<!--           This property lists which mode variables to load from the mode file. -->\n"
"<!--         </Documentation> -->\n"
"<!--       </StringVectorProperty> -->\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          This magic property sends time information to the animation\n"
"          panel. ParaView will then automatically set up the animation to\n"
"          visit the time steps defined in the file.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimeRange\" information_only=\"1\">\n"
"        <TimeRangeInformationHelper/>\n"
"        <Documentation>\n"
"          This magic property sends time range information to the animation\n"
"          panel. ParaView uses this information to set the range of time\n"
"          for the animation. This property is important for when there are\n"
"          no timesteps but you still want to give ParaView a range of\n"
"          values to use.\n"
"        </Documentation>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface17 =
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"      <ReaderFactory extensions=\"ncdf nc\"\n"
"          file_description=\"SLAC Mesh Files\" />\n"
"        <!-- Usually you want to look at the external surface, but the\n"
"             volume is there for visualizing the internal fields. -->\n"
"        <OutputPort index=\"1\" visible=\"0\" />\n"
"     </Hints>\n"
"    </SourceProxy> <!-- SLACReader -->\n"
"\n"
"    <SourceProxy name=\"SLACParticleReader\"\n"
"                           class=\"vtkFileSeriesReader\"\n"
"                           label=\"SLAC Particle Data Reader\"\n"
"                           si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                           file_name_method=\"SetFileName\">\n"
"      <Documentation>\n"
"        The SLAC Particle data reader.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\" proxyname=\"SLACParticleReaderCore\">\n"
"        </Proxy>\n"
"\n"
"      </SubProxy>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>\n"
"          A list of files to be read in a time series.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"ncdf netcdf\"\n"
"          file_description=\"SLAC Particle Files\" />\n"
"     </Hints>\n"
"    </SourceProxy> <!-- SLACParticleReader -->\n"
"\n"
"   <SourceProxy name=\"CSVReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"CSV Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"      <Documentation\n"
"        short_help=\"Read a comma-separated values file.\"\n"
"        long_help=\"Reads a comma-separated values file into a 1D rectilinear grid.\">\n"
"        The CSV reader reads a comma-separated values file into a 1D rectilinear\n"
"        grid. If the file was saved using the CSVWriter, then the rectilinear\n"
"        grid's points and point data can be restored as well as the cell data.\n"
"        Otherwise all the data in the CSV file is treated as cell data. The\n"
"        default file extension is .csv.\n"
"        This can read file series as well.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            information_property=\"FileNameInfo\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          The list of files to be read by the reader. Each file is expected to be\n"
"          a csv file. If more than one file is specified, the reader will switch to\n"
"          file series mode in which it will pretend that it can support time and\n"
"          provide one file per time step.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"CSVReaderCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DetectNumericColumns\" />\n"
"          <Property name=\"UseStringDelimiter\" />\n"
"          <Property name=\"HaveHeaders\" />\n"
"          <Property name=\"FieldDelimiterCharacters\" />\n"
"          <Property name=\"MergeConsecutiveDelimiters\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <!-- View can be used to specify the preferred view for the proxy -->\n"
"        <View type=\"SpreadSheetView\" />\n"
"        <ReaderFactory extensions=\"csv\"\n"
"          file_description=\"Comma-separated-values\" />\n"
"     </Hints>\n"
"      <!-- End of CSVReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"ParticleReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"Particles Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"      <Documentation short_help=\"Read particle data.\"\n"
"        long_help=\"Reads particle data.\">\n"
"        vtkParticleReader reads either a binary or a text file of particles.\n"
"        Each particle can have associated with it an optional scalar value. So\n"
"        the format is: x, y, z, scalar (all floats or doubles). The text file\n"
"        can consist of a comma delimited set of values. In most cases\n"
"        vtkParticleReader can automatically determine whether the file is text\n"
"        or binary. The data can be either float or double. Progress updates\n"
"        are provided. With respect to binary files, random access into the file\n"
"        to read pieces is supported.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"                            clean_command=\"RemoveAllFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            animateable=\"0\"\n"
"                            number_of_elements=\"1\"\n"
"                            repeat_command=\"1\"\n"
"                            information_property=\"FileNameInfo\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"          The list of files to be read by the reader.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"\n"
"      <DoubleVectorProperty name=\"TimestepValues\"\n"
"                            repeatable=\"1\"\n"
"                            information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Reader\"\n"
"               proxygroup=\"internal_sources\"\n"
"               proxyname=\"ParticleReaderCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ByteOrder\" />\n"
"          <Property name=\"HasScalar\" />\n"
"          <Property name=\"FileType\" />\n"
"          <Property name=\"DataType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"particles\"\n"
"          file_description=\"VTK Particle Files\" />\n"
"     </Hints>\n"
"\n"
"      <!-- End of CSVReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"TecplotReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"Tecplot Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read files in the Tecplot ASCII file format.\"\n"
"       long_help=\"Reads files in the Tecplot ASCII file format.\">\n"
"       The Tecplot reader extracts multiple zones (blocks) of data from a Tecplot ASCII file, in which a zone is stored in either point packing mode (i.e., tuple-based, with only point data supported) or block packing mode (i.e., component-based, with point data and cell data supported). The output of the reader is a vtkMultiBlockDataset, of which each block is either a vtkStructuredGrid or a vtkUnstructuredGrid. This supports reading a file series.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileNames\"\n"
"        clean_command=\"RemoveAllFileNames\"\n"
"        command=\"AddFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"FileNameInfo\" >\n"
"        <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"           The list of files to be read by the reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        repeatable=\"1\"\n"
"        information_only=\"1\">\n"
"        <TimeStepsInformationHelper/>\n"
"        <Documentation>\n"
"          Available timestep values.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"         proxygroup=\"internal_sources\" proxyname=\"TecplotReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"          <Property name=\"DataArrayInfo\" />\n"
"          <Property name=\"DataArrayStatus\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"tec TEC Tec tp TP\"\n"
"          file_description=\"Tecplot Files\" />\n"
"     </Hints>\n"
"\n"
"   <!-- End TecplotReader -->\n"
"   </SourceProxy>\n"
"\n"
"   <!-- Start vtkVPICReader -->\n"
"   <SourceProxy name=\"VPICReader\"\n"
"                class=\"vtkVPICReader\"\n"
"                label=\"VPIC Reader\">\n"
"\n"
"     <Documentation\n"
"       short_help=\"Read VPIC simulation files.\"\n"
"       long_help=\"Reads distributed VPIC files into an ImageData.\">\n"
"       VPIC is a 3D kinetic plasma particle-in-cell simulation. The input file (.vpc) opened by the VPIC reader is an ASCII description of the data files which are written one file per processor, per category and per time step. These are arranged in subdirectories per category (field data and hydrology data) and then in time step subdirectories.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"        ASCII .vpc file describes locations of data files, grid sizes, time step sizes and type and order of data written to the files.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"        Variables written to the data files are described in the .vpc file and are presented for selection. Only selected variables are loaded for a time step.\n"
"        </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"SetStride\"\n"
"         label=\"Stride\"\n"
"         command=\"SetStride\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1 1 1\">\n"
"         <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"         <Documentation>\n"
"         VPIC data may be very large and not all is needed for effective visualization. Setting the stride selects every nth data item within the files for display.\n"
"         </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DefaultXExtent\"\n"
"        command=\"GetXLayout\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Default extent is all files available.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DefaultYExtent\"\n"
"        command=\"GetYLayout\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Default extent is all files available.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"DefaultZExtent\"\n"
"        command=\"GetZLayout\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Default extent is all files available.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"XExtent\"\n"
"        label=\"X Extent\"\n"
"        command=\"SetXExtent\"\n"
"        number_of_elements=\"2\"\n"
"        animateable=\"1\"\n"
"        default_values=\"-1 -1\">\n"
"        <IntRangeDomain name=\"XRange\">\n"
"             <RequiredProperties>\n"
"                 <Property name=\"DefaultXExtent\" function=\"Range\"/>\n"
"             </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Ghost cell overlap is handled within the reader. To limit the View of VPIC information the extent in the X dimension of \"files\" can be specified. Only the files selected will be displayed and they will be partitioned between the visualizing processors, allowing a higher resolution over a smaller area.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface18 =
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"YExtent\"\n"
"        label=\"Y Extent\"\n"
"        command=\"SetYExtent\"\n"
"        number_of_elements=\"2\"\n"
"        animateable=\"1\"\n"
"        default_values=\"-1 -1\">\n"
"        <IntRangeDomain name=\"YRange\">\n"
"             <RequiredProperties>\n"
"                 <Property name=\"DefaultYExtent\" function=\"Range\"/>\n"
"             </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Ghost cell overlap is handled within the reader. To limit the View of VPIC information the extent in the Y dimension of \"files\" can be specified. Only the files selected will be displayed and they will be partitioned between the visualizing processors, allowing a higher resolution over a smaller area.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"ZExtent\"\n"
"        label=\"Z Extent\"\n"
"        command=\"SetZExtent\"\n"
"        number_of_elements=\"2\"\n"
"        animateable=\"1\"\n"
"        default_values=\"-1 -1\">\n"
"        <IntRangeDomain name=\"ZRange\">\n"
"             <RequiredProperties>\n"
"                 <Property name=\"DefaultZExtent\" function=\"Range\"/>\n"
"             </RequiredProperties>\n"
"        </IntRangeDomain>\n"
"        <Documentation>\n"
"        VPIC data is written one file per simulation processor. This coarse map of files is used in partitioning files between visualizing processors so that each ParaView processor has its own set of files to display. Ghost cell overlap is handled within the reader. To limit the View of VPIC information the extent in the Z dimension of \"files\" can be specified. Only the files selected will be displayed and they will be partitioned between the visualizing processors, allowing a higher resolution over a smaller area.\n"
"        </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <Hints>\n"
"        <ReaderFactory extensions=\"vpc\"\n"
"          file_description=\"VPIC Files\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End vtkVPICReader -->\n"
"\n"
"   <!-- Start WindBladeReader -->\n"
"\n"
"   <SourceProxy name=\"WindBladeReader\"\n"
"                class=\"vtkWindBladeReader\"\n"
"                label=\"WindBlade reader\">\n"
"\n"
"     <Documentation\n"
"       short_help=\"Read WindBlade simulation files.\"\n"
"       long_help=\"Reads WindBlade/Firetec simulation files possibly including wind turbines and topolgy files.\">\n"
"       WindBlade/Firetec is a simulation dealing with the effects of wind on wind turbines or on the spread of fires. It produces three outputs - a StructuredGrid for the wind data fields, a StructuredGrid for the ground topology, and a PolyData for turning turbine blades. The input file (.wind) opened by the WindBlade reader is an ASCII description of the data files expected. Data is accumulated by the simulation processor and is written one file per time step. WindBlade can deal with topology if a flag is turned on and expects (x,y) data for the ground. It also can deal with turning wind turbines from other time step data files which gives polygon positions of segments of the blades and data for each segment.\n"
"     </Documentation>\n"
"\n"
"     <OutputPort name=\"Field\" index=\"0\" />\n"
"     <OutputPort name=\"Blade\" index=\"1\" />\n"
"     <OutputPort name=\"Ground\" index=\"2\" />\n"
"\n"
"      <StringVectorProperty name=\"Filename\"\n"
"        command=\"SetFilename\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"1\">\n"
"        <FileListDomain name=\"files\"/>\n"
"        <Documentation>\n"
"        ASCII .wind file describes locations of data files, grid sizes and variable deltas, time step sizes, whether topology is used, whether turbines are used, and type and order of data written to the files.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointArrayInfo\"\n"
"        information_only=\"1\">\n"
"        <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointArrayStatus\"\n"
"        command=\"SetPointArrayStatus\"\n"
"        number_of_elements=\"2\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        information_property=\"PointArrayInfo\"\n"
"        label=\"Point Arrays\">\n"
"        <ArraySelectionDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>\n"
"        Variables written to the data files are described in the .wind file and are presented for selection. Only selected variables are loaded for a time step.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"wind\"\n"
"          file_description=\"WindBlade Data\" />\n"
"      </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End WindBladeReader -->\n"
"\n"
"   <SourceProxy name=\"NetCDFCAMReader\"\n"
"                class=\"vtkNetCDFCAMReader\"\n"
"                label=\"NetCDF CAM reader\">\n"
"     <Documentation\n"
"        short_help=\"Read unstructured grid NetCDF files in CAM format.\"\n"
"        long_help=\"Reads unstructured grid data from NetCDF files. There are 2 files, a points+fields file which is set as FileName and a cell connectivity file set as ConnectivityFileName.\">\n"
"       This reader reads in unstructured grid data from a NetCDF file. The grid data is in a set of planes\n"
"       as quadrilateral cells. The reader creates hex cells in order to create a volumetric grid.\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"ConnectivityFileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetConnectivityFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name to read for the grid connectivity.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"        name=\"PointsFileName\"\n"
"        animateable=\"0\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name to read for the points and field information.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"nc ncdf\"\n"
"                      file_description=\"CAM NetCDF (Unstructured)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End NetCDFCAMReader -->\n"
"\n"
"   <SourceProxy name=\"NetCDFPOPReader\"\n"
"                class=\"vtkFileSeriesReader\"\n"
"                si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                file_name_method=\"SetFileName\"\n"
"                label=\"NetCDF POP reader\">\n"
"     <Documentation\n"
"        short_help=\"Read rectilinear grid data from a NetCDF file in the POP format.\"\n"
"        long_help=\"Reads rectilinear grid data from a NetCDF POP file.\">\n"
"       The reader reads regular rectilinear grid (image/volume) data from a NetCDF file.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"NetCDFPOPReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"VariableArrayInfo\" />\n"
"         <Property name=\"VariableArrayStatus\" />\n"
"         <Property name=\"Stride\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"                           command=\"GetCurrentFileName\"\n"
"                           information_only=\"1\" >\n"
"       <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\" >\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"pop.ncdf pop.nc\" file_description=\"POP Ocean NetCDF (Rectilinear)\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"   <!-- End NetCDFPOPReader -->\n"
"\n"
"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface19 =
#ifdef PARAVIEW_USE_MPI
"   <SourceProxy name=\"PNetCDFPOPReader\"\n"
"                class=\"vtkFileSeriesReader\"\n"
"                si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                file_name_method=\"SetFileName\"\n"
"                label=\"Parallel NetCDF POP reader\"\n"
"                multiprocess_support=\"multiple_processes\">\n"
"     <Documentation\n"
"        short_help=\"Read rectilinear grid data from a NetCDF file in the POP format in parallel.\"\n"
"        long_help=\"Reads rectilinear grid data from a NetCDF POP file in parallel.\">\n"
"       The reader reads regular rectilinear grid (image/volume) data from a NetCDF file.\n"
"       Only a subset of the processes actually read the file and these processes\n"
"       communicate the data to other processes.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"PNetCDFPOPReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"VariableArrayInfo\" />\n"
"         <Property name=\"VariableArrayStatus\" />\n"
"         <Property name=\"Stride\" />\n"
"         <Property name=\"NumberOfReaderProcesses\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"                           command=\"GetCurrentFileName\"\n"
"                           information_only=\"1\" >\n"
"       <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\" >\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"pop.ncdf pop.nc\" file_description=\"Parallel POP Ocean NetCDF (Rectilinear)\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"   <!-- End PNetCDFPOPReader -->\n"
"\n"
#endif
"\n"
"   <SourceProxy name=\"CosmoReader\"\n"
"                          class=\"vtkFileSeriesReader\"\n"
"                          label=\"COSMO Reader\"\n"
"                          si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                          file_name_method=\"SetFileName\">\n"
"     <Documentation\n"
"       short_help=\"Read a cosmology file.\"\n"
"       long_help=\"Reads a cosmology file into a vtkUnstructuredGrid.\">\n"
"       The Cosmology reader reads a binary file of particle location,\n"
"       velocity, and id creating a vtkUnstructuredGrid. The default\n"
"       file extension is .cosmo. Reads LANL Cosmo format or Gadget format.\n"
"     </Documentation>\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"Reader\"\n"
"              proxygroup=\"internal_sources\"\n"
"              proxyname=\"CosmoReaderCore\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CosmoFormat\" />\n"
"         <Property name=\"RL\" />\n"
"         <Property name=\"Overlap\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"\n"
"     <StringVectorProperty name=\"FileNameInfo\"\n"
"        command=\"GetCurrentFileName\"\n"
"        information_only=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           clean_command=\"RemoveAllFileNames\"\n"
"                           command=\"AddFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\"\n"
"                           repeat_command=\"1\"\n"
"                           information_property=\"FileNameInfo\" >\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         The list of files to be read by the reader.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"TimestepValues\"\n"
"                           repeatable=\"1\"\n"
"                           information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"       <Documentation>\n"
"         Available timestep values.\n"
"       </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"cosmo gadget2\" file_description=\"Cosmology files\" />\n"
"     </Hints>\n"
"   </SourceProxy>\n"
"\n"
"   <SourceProxy name=\"MPASReader\"\n"
"                class=\"vtkMPASReader\"\n"
"                label=\"NetCDF MPAS reader\">\n"
"     <Documentation\n"
"         short_help=\"Read unstructured grid MPAS data from a file.\"\n"
"         long_help=\"Reads unstructured grid MPAS data from a file.\">\n"
"       This reader reads unstructured grid MPAS data from a file. It creates a dual grid\n"
"       It assumes the grid is in the global domain. By default, it creates a spherical\n"
"       view of vertical layer 0. It assumes it is ocean data. It gives several options to\n"
"       change the view to multilayer (all vertical layers will have a thickness determined\n"
"       by the value in the slider), lat/lon projection or atmospheric (vertical layers go out\n"
"       away from the center of the sphere, instead of down towards the center as they do\n"
"       for ocean data). It doesn't handle data in the rectangular domain. This is not a\n"
"       parallel reader. It expects one .nc file of data. It can display cell or vertex-centered\n"
"       data, but not edge data. When converted to the dual grid, cell-centered data becomes\n"
"       vertex-centered and vice-versa.\n"
"        NOTES:\n"
"        When using this reader, it is important that you remember to do the following:\n"
"        1.  When changing a selected variable, remember to select it also in the drop\n"
"            down box to color by. It doesn't color by that variable automatically\n"
"        2.  When selecting multilayer sphere view, start with layer thickness around 100,000\n"
"        3.  When selecting multilayer lat/lon view, start with layer thickness around 10\n"
"        4.  Always click the -Z orientation after making a switch from lat/lon to sphere,\n"
"            from single to multilayer or changing thickness.\n"
"        5.  Be conservative on the number of changes you make before hitting Apply, since there\n"
"            may be bugs in this reader. Just make one change and then hit Apply.\n"
"       For problems, contact Christine Ahrens (cahrens@lanl.gov)\n"
"     </Documentation>\n"
"\n"
"     <StringVectorProperty name=\"FileName\"\n"
"                           command=\"SetFileName\"\n"
"                           animateable=\"0\"\n"
"                           number_of_elements=\"1\">\n"
"       <FileListDomain name=\"files\"/>\n"
"       <Documentation>\n"
"         This property specifies the file name to read. It should be an MPAS format NetCDF file ending in .nc.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"PointArrayInfo\"\n"
"         information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Point\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"PointArrayStatus\"\n"
"         command=\"SetPointArrayStatus\"\n"
"         number_of_elements=\"2\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"PointArrayInfo\" >\n"
"       <ArraySelectionDomain name=\"array_list\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"PointArrayInfo\" function=\"ArrayList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which NetCDF dual-grid point variables to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"CellArrayInfo\"\n"
"         information_only=\"1\">\n"
"       <ArraySelectionInformationHelper attribute_name=\"Cell\"/>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"         name=\"CellArrayStatus\"\n"
"         command=\"SetCellArrayStatus\"\n"
"         number_of_elements=\"2\"\n"
"         repeat_command=\"1\"\n"
"         number_of_elements_per_command=\"2\"\n"
"         element_types=\"2 0\"\n"
"         information_property=\"CellArrayInfo\" >\n"
"       <ArraySelectionDomain name=\"array_list\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"CellArrayInfo\" function=\"ArrayList\"/>\n"
"         </RequiredProperties>\n"
"       </ArraySelectionDomain>\n"
"       <Documentation>\n"
"         This property lists which NetCDF dual-grid cell variables to load.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"     <IntVectorProperty\n"
"         name=\"ProjectLatLon\"\n"
"         command=\"SetProjectLatLon\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           This property indicates whether to view the data in the lat/lon projection.\n"
"         </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"ShowMultilayerView\"\n"
"         command=\"SetShowMultilayerView\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           This property indicates whether to show multiple layers in one view, with each vertical level having the same thickness, specified by the layer thickness slider. For ocean data, the layers correspond to data at vertical level whose number increases towards the center of the sphere. For atmospheric data, the layers correspond to data at vertical levels increasing away from the center.\n"
"         </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"IsAtmosphere\"\n"
"         command=\"SetIsAtmosphere\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\" />\n"
"         <Documentation>\n"
"           This property indicates whether data is atmospheric. Checking this ensures the vertical levels will go up away from the sphere instead of down towards the center.\n"
"         </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"LayerThicknessRangeInfo\"\n"
"        command=\"GetLayerThicknessRange\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"LayerThickness\"\n"
"         label=\"Layer Thickness\"\n"
"         command=\"SetLayerThickness\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"10\">\n"
"       <IntRangeDomain name=\"LayerThicknessRange\">\n"
"       <RequiredProperties>\n"
"         <Property name=\"LayerThicknessRangeInfo\" function=\"Range\"/>\n"
"       </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"       This property specifies how thick the layer should be if viewing the data in multilayer view. Each layer corresponds to a vertical level. A good starting point is 100,000 for the spherical view and 10 for the lat/lon projection. Click on -Z after applying this change, since the scale may change drastically.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"CenterLonRangeInfo\"\n"
"        command=\"GetCenterLonRange\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"CenterLon\"\n"
"         label=\"Center Longitude\"\n"
"         command=\"SetCenterLon\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"180\">\n"
"       <IntRangeDomain name=\"CenterLonRange\">\n"
"       <RequiredProperties>\n"
"         <Property name=\"CenterLonRangeInfo\" function=\"Range\"/>\n"
"       </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"       This property specifies where the center will be viewed for a lat/lon projection.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"VerticalLevelRangeInfo\"\n"
"         command=\"GetVerticalLevelRange\"\n"
"         information_only=\"1\">\n"
"       <SimpleIntInformationHelper/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty\n"
"         name=\"VerticalLevel\"\n"
"         command=\"SetVerticalLevel\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"       <IntRangeDomain name=\"range\" >\n"
"         <RequiredProperties>\n"
"           <Property name=\"VerticalLevelRangeInfo\" function=\"Range\"/>\n"
"         </RequiredProperties>\n"
"       </IntRangeDomain>\n"
"       <Documentation>\n"
"       This property specifies which vertical level is viewed if not in multilayer view. Only the data for that vertical level will be viewed. The grid is essentially the same for each vertical level, however at some ocean levels, especially the lower ones, due to the topography, the grid becomes more sparse where there is land.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"         name=\"TimestepValues\"\n"
"         repeatable=\"1\"\n"
"         information_only=\"1\">\n"
"       <TimeStepsInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <Hints>\n"
"       <ReaderFactory extensions=\"ncdf nc\"\n"
"                      file_description=\"MPAS NetCDF (Unstructured)\" />\n"
"     </Hints>\n"
"\n"
"   </SourceProxy>\n"
"   <!-- End MPASReader -->\n"
"\n"
"\n"
"\n"
"   <SourceProxy name=\"P3DReader\"\n"
"                        class=\"vtkFileSeriesReader\"\n"
"                        label=\"PLOT3D Reader\"\n"
"                        si_class=\"vtkSIFileSeriesReaderProxy\"\n"
"                        file_name_method=\"SetQFileName\">\n"
"   <Documentation\n"
"     short_help=\"Read PLOT3D files.\"\n"
"     long_help=\"Reads ASCII or binary PLOT3D files.\">\n"
"     PLOT3D is a plotting package developed at NASA. The PLOT3D reader can read both ASCII and binary PLOT3D files. The default file extension for the geometry files is .xyz, and the default file extension for the solution files is .q. The output of this reader is a multi-block dataset containing curvilinear (structured grid) datasets.\n"
"   </Documentation>\n"
"   <SubProxy>\n"
"     <Proxy name=\"Reader\"\n"
"            proxygroup=\"internal_sources\" proxyname=\"P3DReaderCore\">\n"
"     </Proxy>\n"
"     <ExposedProperties>\n"
"      <Property name=\"FileName\" />\n"
"      <Property name=\"BinaryFile\" />\n"
"      <Property name=\"MultiGrid\" />\n"
"      <Property name=\"HasByteCount\" />\n"
"      <Property name=\"IBlanking\" />\n"
"      <Property name=\"TwoDimensionalGeometry\" />\n"
"      <Property name=\"ForceRead\" />\n"
"      <Property name=\"ByteOrder\" />\n"
"      <Property name=\"Functions\" />\n"
"     </ExposedProperties>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/readers.xml
static const char* vtkSMDefaultModulesreadersInterface20 =
"   </SubProxy>\n"
"\n"
"   <StringVectorProperty name=\"FileNameInfo\"\n"
"      command=\"GetCurrentFileName\"\n"
"      information_only=\"1\" >\n"
"      <SimpleStringInformationHelper />\n"
"   </StringVectorProperty>\n"
"\n"
"   <StringVectorProperty\n"
"      name=\"QFileName\"\n"
"      clean_command=\"RemoveAllFileNames\"\n"
"      command=\"AddFileName\"\n"
"      animateable=\"0\"\n"
"      number_of_elements=\"1\"\n"
"      repeat_command=\"1\"\n"
"      information_property=\"FileNameInfo\" >\n"
"      <FileListDomain name=\"files\"/>\n"
"      <Documentation>\n"
"        The list of .q (solution) files for the PLOT3D reader. There can be\n"
"        more than one. If more that one file is specified, the reader will switch\n"
"        to file-series mode in which it will pretend that it can support time\n"
"        and provide one file per time step.\n"
"     </Documentation>\n"
"   </StringVectorProperty>\n"
"\n"
"   <DoubleVectorProperty\n"
"      name=\"TimestepValues\"\n"
"      repeatable=\"1\"\n"
"      information_only=\"1\">\n"
"      <TimeStepsInformationHelper/>\n"
"      <Documentation>\n"
"        Available timestep values.\n"
"      </Documentation>\n"
"   </DoubleVectorProperty>\n"
"   <Hints>\n"
"    <ReaderFactory extensions=\"xyz\"\n"
"        file_description=\"PLOT3D Files\" />\n"
"    <!-- This hint tells the GUI that the File | Open dialog sets the FileName\n"
"         property -->\n"
"    <DefaultFileNameProperty name=\"FileName\" />\n"
"   </Hints>\n"
"   <!-- End plot3d reader-->\n"
" </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesreadersGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesreadersInterface0)
    + strlen(vtkSMDefaultModulesreadersInterface1)
    + strlen(vtkSMDefaultModulesreadersInterface2)
    + strlen(vtkSMDefaultModulesreadersInterface3)
    + strlen(vtkSMDefaultModulesreadersInterface4)
    + strlen(vtkSMDefaultModulesreadersInterface5)
    + strlen(vtkSMDefaultModulesreadersInterface6)
    + strlen(vtkSMDefaultModulesreadersInterface7)
    + strlen(vtkSMDefaultModulesreadersInterface8)
    + strlen(vtkSMDefaultModulesreadersInterface9)
    + strlen(vtkSMDefaultModulesreadersInterface10)
    + strlen(vtkSMDefaultModulesreadersInterface11)
    + strlen(vtkSMDefaultModulesreadersInterface12)
    + strlen(vtkSMDefaultModulesreadersInterface13)
    + strlen(vtkSMDefaultModulesreadersInterface14)
    + strlen(vtkSMDefaultModulesreadersInterface15)
    + strlen(vtkSMDefaultModulesreadersInterface16)
    + strlen(vtkSMDefaultModulesreadersInterface17)
    + strlen(vtkSMDefaultModulesreadersInterface18)
    + strlen(vtkSMDefaultModulesreadersInterface19)
    + strlen(vtkSMDefaultModulesreadersInterface20) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesreadersInterface0);
  strcat(res, vtkSMDefaultModulesreadersInterface1);
  strcat(res, vtkSMDefaultModulesreadersInterface2);
  strcat(res, vtkSMDefaultModulesreadersInterface3);
  strcat(res, vtkSMDefaultModulesreadersInterface4);
  strcat(res, vtkSMDefaultModulesreadersInterface5);
  strcat(res, vtkSMDefaultModulesreadersInterface6);
  strcat(res, vtkSMDefaultModulesreadersInterface7);
  strcat(res, vtkSMDefaultModulesreadersInterface8);
  strcat(res, vtkSMDefaultModulesreadersInterface9);
  strcat(res, vtkSMDefaultModulesreadersInterface10);
  strcat(res, vtkSMDefaultModulesreadersInterface11);
  strcat(res, vtkSMDefaultModulesreadersInterface12);
  strcat(res, vtkSMDefaultModulesreadersInterface13);
  strcat(res, vtkSMDefaultModulesreadersInterface14);
  strcat(res, vtkSMDefaultModulesreadersInterface15);
  strcat(res, vtkSMDefaultModulesreadersInterface16);
  strcat(res, vtkSMDefaultModulesreadersInterface17);
  strcat(res, vtkSMDefaultModulesreadersInterface18);
  strcat(res, vtkSMDefaultModulesreadersInterface19);
  strcat(res, vtkSMDefaultModulesreadersInterface20);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"lookup_tables\">\n"
"    <Proxy name=\"LookupTable\"\n"
"           post_push=\"Build\"\n"
"           class=\"vtkLookupTable\"\n"
"           processes=\"dataserver|renderserver|client\" >\n"
"      <IntVectorProperty\n"
"         name=\"NumberOfTableValues\"\n"
"         command=\"SetNumberOfTableValues\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"256\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"HueRange\"\n"
"         command=\"SetHueRange\"\n"
"         number_of_elements=\"2\" \n"
"         default_values=\"0 0.66667\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"SaturationRange\"\n"
"         command=\"SetSaturationRange\"\n"
"         number_of_elements=\"2\" \n"
"         default_values=\"1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ValueRange\"\n"
"         command=\"SetValueRange\"\n"
"         number_of_elements=\"2\" \n"
"         default_values=\"1 1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"ScalarRange\"\n"
"         command=\"SetTableRange\"\n"
"         number_of_elements=\"2\" \n"
"         default_values=\"0 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"VectorComponent\"\n"
"         command=\"SetVectorComponent\"\n"
"         number_of_elements=\"1\" \n"
"         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"X\" />\n"
"          <Entry value=\"1\" text=\"Y\" />\n"
"          <Entry value=\"2\" text=\"Z\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"VectorMode\"\n"
"         command=\"SetVectorMode\"\n"
"         number_of_elements=\"1\" \n"
"         default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Magnitude\" />\n"
"          <Entry value=\"1\" text=\"Component\" />\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ArrayName\"\n"
"        command=\"SetArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"      </StringVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"PVLookupTable\"\n"
"           post_push=\"Build\"\n"
"           class=\"vtkDiscretizableColorTransferFunction\"\n"
"           processes=\"dataserver|renderserver|client\" >\n"
"      <IntVectorProperty\n"
"        name=\"LockScalarRange\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <!-- This is a data-property allowing us to save state of\n"
"          scalar range lock in state. SM does not use this at all\n"
"          hence the absence of \"command\" -->\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"ScalarRangeInitialized\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <!-- This is used to keep track of whether the \n"
"        user initialized the scalar range -->\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"RGBPoints\"\n"
"        command=\"AddRGBPoint\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        clean_command=\"RemoveAllPoints\"\n"
"        animateable=\"0\">\n"
"      </DoubleVectorProperty>\n"
"      \n"
"      <IntVectorProperty\n"
"        name=\"ColorSpace\"\n"
"        command=\"SetColorSpace\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"RGB\" />\n"
"          <Entry value=\"1\" text=\"HSV\" />\n"
"          <Entry value=\"2\" text=\"Lab\" />\n"
"          <Entry value=\"3\" text=\"Diverging\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"HSVWrap\"\n"
"        command=\"SetHSVWrap\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"NanColor\"\n"
"        command=\"SetNanColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.5 0 0\"\n"
"        animateable=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"NumberOfTableValues\"\n"
"         command=\"SetNumberOfValues\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"256\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Discretize\"\n"
"        command=\"SetDiscretize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property\n"
"         name=\"Build\"\n"
"         command=\"Build\">\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"VectorComponent\"\n"
"         command=\"SetVectorComponent\"\n"
"         number_of_elements=\"1\" \n"
"         default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"0\" /> \n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"VectorMode\"\n"
"         command=\"SetVectorMode\"\n"
"         number_of_elements=\"1\" \n"
"         default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Magnitude\" />\n"
"          <Entry value=\"1\" text=\"Component\" />\n"
"       </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"UseLogScale\"\n"
"        command=\"SetUseLogScale\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of PVLookupTable -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"parametric_functions\">\n"
"    <Proxy name=\"Spline\" class=\"vtkParametricSpline\">\n"
"      <DoubleVectorProperty name=\"Points\"\n"
"        command=\"SetPoint\"\n"
"        set_number_command=\"SetNumberOfPoints\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 1 0 0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Closed\"\n"
"        command=\"SetClosed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no \n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"        <PropertyGroup type=\"Spline\">\n"
"          <Property name=\"Points\" function=\"HandlePositions\" />\n"
"          <Property name=\"Closed\" function=\"Closed\" />\n"
"        </PropertyGroup>\n"
"      </Hints>\n"
"      <!-- end of Spline -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  \n"
"  <!-- incremental point locators begin -->\n"
"  <ProxyGroup name=\"incremental_point_locators\" >\n"
"    \n"
"    <NullProxy name=\"None\">\n"
"    </NullProxy>\n"
"\n"
"    <NullProxy name=\"Scalar\">\n"
"    </NullProxy>\n"
"    \n"
"    <Proxy name=\"PointLocator\" class=\"vtkPointLocator\">\n"
"      <Documentation>\n"
"        Point locator based on a search structure of uniform fixed-resolution bins / buckets for point location and generic (zero or non-zero) tolerance point insertion.\n"
"      </Documentation>\n"
"        \n"
"      <IntVectorProperty name=\"Divisions\"\n"
"        command=\"SetDivisions\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"50 50 50\" >\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction (x, y, z) for creating a search structure of uniform fixed-resolution bins / buckets.  \n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <IntVectorProperty name=\"NumberOfPointsPerBucket\"\n"
"        command=\"SetNumberOfPointsPerBucket\"\n"
"        label=\"Number of points per bucket\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"8\" >\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin / bucket that determines the initial and growing sizes (in terms of number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.001\" >\n"
"        <Documentation>\n"
"          Specify an absolute tolerance for check-based / tolerance-based point insertion.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty> \n"
"    </Proxy>\n"
"      \n"
"    <Proxy name=\"MergePoints\" class=\"vtkMergePoints\" label=\"Uniform Binning\" >\n"
"      <Documentation>\n"
"        A point merger using a search structure of uniform fixed-resolution bins / buckets for zero tolerance point insertion (to avoid exactly duplicate / coincident points).\n"
"      </Documentation>\n"
"        \n"
"      <IntVectorProperty name=\"Divisions\"\n"
"        command=\"SetDivisions\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"50 50 50\" >\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction (x, y, z) for creating a search structure of uniform fixed-resolution bins / buckets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <IntVectorProperty name=\"NumberOfPointsPerBucket\"\n"
"        command=\"SetNumberOfPointsPerBucket\"\n"
"        label=\"Number of points per bucket\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"8\" >\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin / bucket that determines the initial and growing sizes (in terms of number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"    \n"
"    <Proxy name=\"NonMergingPointLocator\" class=\"vtkNonMergingPointLocator\" label=\"Don't Merge Points\" >\n"
"      <Documentation>\n"
"        Perform direct / check-free point insertion (any point is inserted to a vtkPoints object) and therefore there can be duplicate points.\n"
"      </Documentation>  \n"
"      \n"
"      <IntVectorProperty name=\"Divisions\"\n"
"        command=\"SetDivisions\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"50 50 50\" >\n"
"        <Documentation>\n"
"          Specify the number of divisions in each axis / direction (x, y, z) for creating a search structure of uniform fixed-resolution bins / buckets.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <IntVectorProperty name=\"NumberOfPointsPerBucket\"\n"
"        command=\"SetNumberOfPointsPerBucket\"\n"
"        label=\"Number of points per bucket\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"8\" >\n"
"        <Documentation>\n"
"          Specify the average number of points in each bin / bucket that determines the initial and growing sizes (in terms of number of points) of each bin / bucket.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"      \n"
"    <Proxy name=\"IncrementalOctreePointLocator\" class=\"vtkIncrementalOctreePointLocator\">\n"
"      <Documentation>\n"
"        Point locator based on a fast search structure of data-aware multi-resolution octree nodes for point location and generic (zero or non-zero) tolerance point insertion.\n"
"      </Documentation>\n"
"        \n"
"      <IntVectorProperty name=\"MaxPointsPerLeaf\"\n"
"        command=\"SetMaxPointsPerLeaf\"\n"
"        label=\"Max number of points per leaf\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"128\" >\n"
"        <IntRangeDomain name=\"range\" min=\"16\" max=\"256\" />\n"
"        <Documentation>\n"
"          Specify the maximum number of points that a leaf node may maintain. This value is a trade-off between the cost of dynamic octree construction (top-down recursive node sub-division into eight children as points are incrementally inserted to the octree) and the speed of point location (particularly within a container leaf node).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.001\" >\n"
"        <Documentation>\n"
"          Specify an absolute tolerance for check-based / tolerance-based point insertion.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"      \n"
"    <Proxy name=\"IncrementalOctreeMergePoints\" class=\"vtkIncrementalOctreePointLocator\" label=\"Octree Binning\" >\n"
"      <Documentation>\n"
"        A point merger exploiting a fast search structure of data-aware multi-resolution octree nodes for zero-tolerance point insertion (to avoid exactly duplicate / coincident points).\n"
"      </Documentation>\n"
"        \n"
"      <IntVectorProperty name=\"MaxPointsPerLeaf\"\n"
"        command=\"SetMaxPointsPerLeaf\"\n"
"        label=\"Max number of points per leaf\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"128\" >\n"
"        <IntRangeDomain name=\"range\" min=\"16\" max=\"256\" />\n"
"        <Documentation>\n"
"          Specify the maximum number of points that a leaf node may maintain. This value is a trade-off between the cost of dynamic octree construction (top-down recursive node sub-division into eight children as points are incrementally inserted to the octree) and the speed of point location (particularly within a container leaf node).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <DoubleVectorProperty name=\"Tolerance\"\n"
"        command=\"SetTolerance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"        <Documentation>\n"
"          Always specify a zero tolerance for point insertion --- merging points.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"        \n"
"      <Hints>\n"
"        <Property name=\"Tolerance\" show=\"0\"/>\n"
"      </Hints>\n"
"    </Proxy>\n"
"      \n"
"  </ProxyGroup>\n"
"  <!-- incremental point locators end -->\n"
"\n"
"  <ProxyGroup name=\"implicit_functions\">\n"
"    <NullProxy name=\"None\">\n"
"    </NullProxy>\n"
"\n"
"    <NullProxy name=\"Scalar\">\n"
"    </NullProxy>\n"
"\n"
"    <Proxy name=\"Plane\" class=\"vtkPVPlane\">\n"
"      <InputProperty\n"
"        name=\"Input\"\n"
"        is_internal=\"1\">\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Origin\"\n"
"         command=\"SetOrigin\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface1 =
"         number_of_elements=\"3\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"mid\">\n"
"           <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Normal\"\n"
"         command=\"SetNormal\"\n"
"         number_of_elements=\"3\"\n"
"         default_values=\"1.0 0.0 0.0\" >\n"
"         <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Offset\"\n"
"         command=\"SetOffset\"\n"
"         number_of_elements=\"1\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0\" >\n"
"        <BoundsDomain name=\"range\" mode=\"oriented_magnitude\" >\n"
"         <RequiredProperties>\n"
"            <Property name=\"Origin\" function=\"Origin\"/>\n"
"            <Property name=\"Normal\" function=\"Normal\"/>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"         </RequiredProperties>\n"
"        </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no \n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"        <PropertyGroup type=\"Plane\">\n"
"          <Property name=\"Origin\" function=\"Origin\" />\n"
"          <Property name=\"Normal\" function=\"Normal\" />\n"
"        </PropertyGroup>\n"
"\n"
"        <ProxyList>\n"
"          <!-- \n"
"            ProxyList hints are used when this proxy\n"
"            is made a part of a proxy list domain. \n"
"            It provides a mechanism to link certain \n"
"            properties from this proxy with properties\n"
"            from the proxy which has the property\n"
"            with the proxy list domain.\n"
"          -->\n"
"          <Link name=\"Input\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"Planes\" class=\"vtkPlanes\">\n"
"      <ProxyProperty name=\"Points\" command=\"SetPoints\">\n"
"        <ProxyGroupDomain name=\"group\">\n"
"          <Group name=\"points\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty name=\"Normals\" command=\"SetNormals\">\n"
"        <ProxyGroupDomain name=\"group\">\n"
"          <Group name=\"data_arrays\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"Box\" class=\"vtkPVBox\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Bounds\"\n"
"        command=\"SetBounds\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 1 0 1 0 1\" >\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"Rotation\"\n"
"        command=\"SetRotation\"\n"
"        number_of_elements=\"3\"\n"
"        animateable=\"1\"\n"
"        default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        animateable=\"1\"\n"
"        default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no \n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"        <PropertyGroup type=\"Box\">\n"
"          <Property name=\"Position\" function=\"Position\" />\n"
"          <Property name=\"Rotation\" function=\"Rotation\" />\n"
"          <Property name=\"Scale\" function=\"Scale\" />\n"
"          <Property name=\"Bounds\" function=\"PlaceWidget\" />\n"
"        </PropertyGroup>\n"
"\n"
"      </Hints>\n"
"      <!-- End of Box -->\n"
"    </Proxy>\n"
"    \n"
"    <Proxy name=\"Sphere\" class=\"vtkSphere\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Center\"\n"
"        command=\"SetCenter\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"none\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Radius\"\n"
"        command=\"SetRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"      <Hints>\n"
"        <!-- Hints are metadata associated with the proxy.\n"
"             As far as the ServerManager is concerned, Hints have no \n"
"             significance. GUI is free to interpret the hints as\n"
"             it chooses. Hints provide a mechanism to add some GUI\n"
"             pertinant information to the server manager XML.\n"
"        -->\n"
"        <PropertyGroup type=\"Sphere\">\n"
"          <Property name=\"Center\" function=\"Center\" />\n"
"          <Property name=\"Radius\" function=\"Radius\" />\n"
"        </PropertyGroup>\n"
"\n"
"      </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"transforms\">\n"
"    <Proxy name=\"Transform\" class=\"vtkTransform\">\n"
"      <ProxyProperty name=\"MatrixProxy\" command=\"SetMatrix\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"matrices\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"Matrix\"\n"
"        command=\"SetMatrix\"\n"
"        number_of_elements=\"16\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0\" />\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"matrices\">\n"
"    <Proxy name=\"Matrix4x4\" class=\"vtkMatrix4x4\">\n"
"      <DoubleVectorProperty\n"
"        name=\"DeepCopy\"\n"
"        command=\"DeepCopy\"\n"
"        number_of_elements=\"16\" \n"
"        argument_is_array=\"1\"\n"
"        default_values=\"0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0\">\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"points\">\n"
"    <Proxy name=\"Points\" class=\"vtkPoints\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Points\"\n"
"        command=\"SetPoint\"\n"
"        set_number_command=\"SetNumberOfPoints\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        use_index=\"1\" />\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"data_arrays\">\n"
"    <Proxy name=\"DoubleArray\" class=\"vtkDoubleArray\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Values\"\n"
"        command=\"SetValue\"\n"
"        set_number_command=\"SetNumberOfValues\"\n"
"        number_of_elements=\"0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\" />\n"
"      <IntVectorProperty\n"
"        name=\"Components\"\n"
"        command=\"SetNumberOfComponents\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" />\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"internals\">\n"
"    <Proxy name=\"MPIMToNSocketConnection\" class=\"vtkMPIMToNSocketConnection\"\n"
"      processes=\"dataserver|renderserver\">\n"
"      <IntVectorProperty name=\"WaitingProcess\"\n"
"        command=\"Initialize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\" is_internal=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"2\" text=\"DataServer\" />\n"
"          <Entry value=\"3\" text=\"RenderServer\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Connections\"\n"
"        command=\"SetPortInformation\"\n"
"        set_number_command=\"SetNumberOfConnections\"\n"
"        element_types=\"0 0 2\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        repeat_command=\"1\" >\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"animation\">\n"
"    <Proxy name=\"AnimationCueBase\">\n"
"      <Documentation>\n"
"        Internal base interface for all animation cues.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"TimeMode\"\n"
"         command=\"SetTimeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Normalized\" />\n"
"          <Entry value=\"1\" text=\"Relative\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"   \n"
"      <DoubleVectorProperty\n"
"        name=\"StartTime\"\n"
"        command=\"SetStartTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"EndTime\"\n"
"        command=\"SetEndTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AnimatedElement\"\n"
"        command=\"SetAnimatedElement\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enables this animation cue.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of AnimationCueBase -->\n"
"    </Proxy>\n"
"\n"
"    <ComparativeAnimationCueProxy name=\"ComparativeAnimationCue\"\n"
"      class=\"vtkPVComparativeAnimationCue\"\n"
"      processes=\"client\">\n"
"      <Documentation>\n"
"        Animation cue used by comparative views.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"AnimatedElement\"\n"
"        command=\"SetAnimatedElement\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enables this animation cue.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"AnimatedProxy\"\n"
"        command=\"SetAnimatedProxy\"\n"
"        clean_command=\"RemoveAnimatedProxy\"\n"
"        argument_type=\"SMProxy\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty name=\"AnimatedPropertyName\"\n"
"        command=\"SetAnimatedPropertyName\"\n"
"        number_of_elements=\"1\" >\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"AnimatedDomainName\"\n"
"        command=\"SetAnimatedDomainName\"\n"
"        number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- end of ComparativeAnimationCue -->\n"
"    </ComparativeAnimationCueProxy>\n"
"\n"
"    <Proxy name=\"KeyFrameAnimationCue\"\n"
"      class=\"vtkPVKeyFrameAnimationCueForProxies\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation\" base_proxyname=\"AnimationCueBase\">\n"
"      <Documentation>\n"
"        Animation cue with keyframes.\n"
"      </Documentation>\n"
"\n"
"      <ProxyProperty name=\"AnimatedProxy\"\n"
"        command=\"SetAnimatedProxy\"\n"
"        clean_command=\"RemoveAnimatedProxy\"\n"
"        argument_type=\"SMProxy\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\" />\n"
"          <Group name=\"filters\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"AnimatedPropertyName\"\n"
"        command=\"SetAnimatedPropertyName\"\n"
"        number_of_elements=\"1\" >\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"AnimatedDomainName\"\n"
"        command=\"SetAnimatedDomainName\"\n"
"        number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"KeyFrames\"\n"
"        command=\"AddKeyFrame\"\n"
"        remove_command=\"RemoveKeyFrame\"\n"
"        repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation_keyframes\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"LastAddedKeyFrameIndex\"\n"
"        command=\"GetLastAddedKeyFrameIndex\"\n"
"        information_only=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of KeyFrameAnimationCue -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"CameraAnimationCue\" class=\"vtkPVCameraAnimationCue\"\n"
"      processes=\"client\" base_proxygroup=\"animation\"\n"
"      base_proxyname=\"AnimationCueBase\">\n"
"      <Documentation>\n"
"        Animation cue which can be used for animating Camera using keyframes.\n"
"      </Documentation>\n"
"\n"
"      <ProxyProperty name=\"AnimatedProxy\"\n"
"        command=\"SetView\" >\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"Mode\"\n"
"        command=\"SetMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Interpolate Camera\" value=\"0\" />\n"
"          <Entry text=\"Path-based\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"KeyFrames\"\n"
"        command=\"AddKeyFrame\"\n"
"        remove_command=\"RemoveKeyFrame\"\n"
"        repeat_command=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation_keyframes\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"LastAddedKeyFrameIndex\"\n"
"        command=\"GetLastAddedKeyFrameIndex\"\n"
"        information_only=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of CameraAnimationCue -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"TimeAnimationCue\"\n"
"      class=\"vtkPVKeyFrameAnimationCueForProxies\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation\" base_proxyname=\"KeyFrameAnimationCue\">\n"
"      <Documentation>\n"
"        This is same as KeyFrameAnimationCue except that it has a new property \n"
"        \"UseAnimationTime\" which when set overrides the keyframes all together\n"
"        and directly uses the animation clock time to update the animated\n"
"        property.\n"
"      </Documentation>\n"
"      \n"
"      <IntVectorProperty name=\"UseAnimationTime\"\n"
"        command=\"SetUseAnimationTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface2 =
"        <Documentation>\n"
"          When enabled, the animated property is directly updated with the value \n"
"          of the Animation clock. Default value it true.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"        \n"
"      <!-- end of TimeAnimationCue -->\n"
"    </Proxy>\n"
"\n"
"    <!--Scene -->\n"
"    <AnimationSceneProxy name=\"AnimationScene\" class=\"vtkSMAnimationScene\"\n"
"      processes=\"client\" >\n"
"      <Documentation>\n"
"        Proxy for animation scene.\n"
"      </Documentation>\n"
"\n"
"      <ProxyProperty name=\"ViewModules\"\n"
"        command=\"AddViewProxy\"\n"
"        clean_command=\"RemoveAllViewProxies\"\n"
"        repeat_command=\"1\"\n"
"        state_ignored=\"1\"\n"
"        argument_type=\"SMProxy\" >\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"views\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Add views to this scene. These are all the views that need to be\n"
"          updated when playing the animation.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty name=\"Cues\"\n"
"        command=\"AddCue\"\n"
"        repeat_command=\"1\"\n"
"        remove_command=\"RemoveCue\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"animation\" />\n"
"        </ProxyGroupDomain>\n"
"        <Documentation>\n"
"          Add cues to this scene.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"AnimationTime\"\n"
"        command=\"SetSceneTime\"\n"
"        number_of_elements=\"1\"\n"
"        precision=\"16\"\n"
"        default_values=\"none\">\n"
"        <Documentation>\n"
"          Set the current animation time.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StartTime\"\n"
"        label=\"Start Time\"\n"
"        command=\"SetStartTime\"\n"
"        number_of_elements=\"1\"\n"
"        information_property=\"StartTimeInfo\"\n"
"        precision=\"16\"\n"
"        default_values=\"0.0\">\n"
"        <Documentation>\n"
"          Set the start time for the animation scene.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EndTime\"\n"
"        label=\"End Time\"\n"
"        command=\"SetEndTime\"\n"
"        number_of_elements=\"1\"\n"
"        information_property=\"EndTimeInfo\"\n"
"        precision=\"16\"\n"
"        default_values=\"1.0\">\n"
"        <Documentation>\n"
"          Set the end time for the animation scene.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StartTimeInfo\"\n"
"        command=\"GetStartTime\"\n"
"        information_only=\"1\" >\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EndTimeInfo\"\n"
"        command=\"GetEndTime\"\n"
"        information_only=\"1\" >\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LockStartTime\"\n"
"        command=\"SetLockStartTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set the StartTime will not be changed when the data time steps\n"
"          change.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LockEndTime\"\n"
"        command=\"SetLockEndTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set the EndTime will not be changed when the data time steps\n"
"          change.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Caching\"\n"
"        command=\"SetCaching\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicates if cache is to be used while playing the animation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"TimeKeeper\"\n"
"        command=\"SetTimeKeeper\"\n"
"        argument_type=\"SMProxy\">\n"
"        <Documentation>\n"
"          Set the time keeper. Time keeper is used to obtain the information\n"
"          about timesteps. This is required to play animation in \"Snap To\n"
"          Timesteps\" mode.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"Loop\"\n"
"        command=\"SetLoop\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set to true to play the animation in a loop.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property name=\"Play\" command=\"Play\" />\n"
"      <Property name=\"Stop\" command=\"Stop\" />\n"
"      <Property name=\"GoToNext\" command=\"GoToNext\" />\n"
"      <Property name=\"GoToPrevious\" command=\"GoToPrevious\" />\n"
"      <Property name=\"GoToFirst\" command=\"GoToFirst\" />\n"
"      <Property name=\"GoToLast\" command=\"GoToLast\" />\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PlayMode\"\n"
"        command=\"SetPlayMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Sequence\" />\n"
"          <Entry value=\"1\" text=\"Real Time\" />\n"
"          <Entry value=\"2\" text=\"Snap To TimeSteps\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"NumberOfFrames\"\n"
"        command=\"SetNumberOfFrames\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          Set the number of frames in which to play the animation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Duration\"\n"
"        command=\"SetDuration\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10\">\n"
"        <Documentation>\n"
"          Set the duration for playing the animation in seconds.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FramesPerTimestep\"\n"
"        command=\"SetFramesPerTimestep\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          The number of frames per timestep.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of AnimationScene -->\n"
"    </AnimationSceneProxy>\n"
"\n"
"  <!-- End of animation -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"animation_keyframes\">\n"
"    <Proxy name=\"KeyFrame\" class=\"vtkPVKeyFrame\" processes=\"client\">\n"
"      <DoubleVectorProperty\n"
"        name=\"KeyTime\"\n"
"        command=\"SetKeyTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"KeyValues\"\n"
"        command=\"SetKeyValue\"\n"
"        clean_command=\"RemoveAllKeyValues\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"CompositeKeyFrame\" class=\"vtkPVCompositeKeyFrame\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"\n"
"      <IntVectorProperty name=\"Type\"\n"
"        command=\"SetType\"\n"
"        label=\"Interpolation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"1\" text=\"Boolean\" />\n"
"          <Entry value=\"2\" text=\"Ramp\" />\n"
"          <Entry value=\"3\" text=\"Exponential\" />\n"
"          <Entry value=\"4\" text=\"Sinusoid\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Base\"\n"
"        command=\"SetBase\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StartPower\"\n"
"        command=\"SetStartPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EndPower\"\n"
"        command=\"SetEndPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Phase\"\n"
"        command=\"SetPhase\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Frequency\"\n"
"        command=\"SetFrequency\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Offset\"\n"
"        command=\"SetOffset\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"    <!-- End of CompositeKeyFrame -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"BooleanKeyFrame\"\n"
"           class=\"vtkPVBooleanKeyFrame\"\n"
"           processes=\"client\"\n"
"           base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"    </Proxy>\n"
"\n"
"\n"
"    <Proxy name=\"RampKeyFrame\" class=\"vtkPVRampKeyFrame\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"ExponentialKeyFrame\" class=\"vtkPVExponentialKeyFrame\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Base\"\n"
"        command=\"SetBase\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"StartPower\"\n"
"        command=\"SetStartPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"EndPower\"\n"
"        command=\"SetEndPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SinusoidKeyFrame\" class=\"vtkPVSinusoidKeyFrame\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Phase\"\n"
"        command=\"SetPhase\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Frequency\"\n"
"        command=\"SetFrequency\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Offset\"\n"
"        command=\"SetOffset\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"CameraKeyFrame\"\n"
"      class=\"vtkPVCameraKeyFrame\"\n"
"      processes=\"client\"\n"
"      base_proxygroup=\"animation_keyframes\" base_proxyname=\"KeyFrame\">\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FocalPoint\"\n"
"        command=\"SetFocalPoint\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ViewUp\"\n"
"        command=\"SetViewUp\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 1.0 0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ViewAngle\"\n"
"        command=\"SetViewAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"30\">\n"
"      </DoubleVectorProperty> \n"
"\n"
"      <DoubleVectorProperty name=\"ParallelScale\"\n"
"        command=\"SetParallelScale\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- These are properties for the new style camera interpolation\n"
"           using path\n"
"      -->\n"
"      <DoubleVectorProperty name=\"PositionPathPoints\"\n"
"        command=\"AddPositionPathPoint\"\n"
"        clean_command=\"ClearPositionPath\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements=\"9\"\n"
"        default_values=\"5 0 0 5 5 0 5 0 0\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FocalPathPoints\"\n"
"        command=\"AddFocalPathPoint\"\n"
"        clean_command=\"ClearFocalPath\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 1 0 0\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PositionMode\"\n"
"        command=\"SetPositionMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Path\" value=\"0\" />\n"
"          <Entry text=\"FixedDirection\" value=\"1\" />\n"
"          <Entry text=\"LookAhead\" value=\"2\" />\n"
"          <Entry text=\"Orthogonal\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FocalPointMode\"\n"
"        command=\"SetFocalPointMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Path\" value=\"0\" />\n"
"          <Entry text=\"FixedDirection\" value=\"1\" />\n"
"          <Entry text=\"LookAhead\" value=\"2\" />\n"
"          <Entry text=\"Orthogonal\" value=\"3\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ClosedFocalPath\"\n"
"        command=\"SetClosedFocalPath\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ClosedPositionPath\"\n"
"        command=\"SetClosedPositionPath\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- end of CameraKeyFrame -->\n"
"    </Proxy>\n"
"\n"
"    <!-- end of keyframes -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"piecewise_functions\">\n"
"    <Proxy name=\"PiecewiseFunction\"  class=\"vtkPiecewiseFunction\"\n"
"           processes=\"client|renderserver|dataserver\" >\n"
"      <DoubleVectorProperty\n"
"        name=\"Points\"\n"
"        command=\"AddPoint\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        clean_command=\"RemoveAllPoints\"\n"
"        animateable=\"0\"\n"
"        number_of_elements=\"4\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface3 =
"        default_values=\"0.0 0.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"transfer_functions\">\n"
"    <Proxy name=\"ColorTransferFunction\" class=\"vtkColorTransferFunction\"\n"
"      processes=\"client|renderserver|dataserver\" >\n"
"      <DoubleVectorProperty\n"
"        name=\"RGBPoints\"\n"
"        command=\"AddRGBPoint\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        clean_command=\"RemoveAllPoints\"\n"
"        animateable=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ColorSpace\"\n"
"        command=\"SetColorSpace\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"RGB\" />\n"
"          <Entry value=\"1\" text=\"HSV\" />\n"
"          <Entry value=\"2\" text=\"Lab\" />\n"
"          <Entry value=\"3\" text=\"Diverging\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"HSVWrap\"\n"
"        command=\"SetHSVWrap\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"annotations\">\n"
"    <Proxy name=\"CubeAxesActor2D\" class=\"vtkCubeAxesActor2D\">\n"
"      <IntVectorProperty name=\"FlyMode\"\n"
"        command=\"SetFlyMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"FlyToOuterEdges\" />\n"
"          <Entry value=\"1\" text=\"FlyToClosetTriad\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"Inertia\"\n"
"        command=\"SetInertia\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" />\n"
"      </IntVectorProperty>\n"
"      <ProxyProperty\n"
"        name=\"Camera\"\n"
"        command=\"SetCamera\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"camera\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"ScalarBarActor\"\n"
"           class=\"vtkPVScalarBarActor\"\n"
"           si_class=\"vtkSIScalarBarActorProxy\">\n"
"      <ProxyProperty\n"
"        name=\"LookupTable\"\n"
"        command=\"SetLookupTable\"\n"
"        number_of_elements=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      \n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0.87 0.25\"\n"
"        animateable=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\" />\n"
"      </DoubleVectorProperty>\n"
"      \n"
"      <DoubleVectorProperty\n"
"        name=\"Position2\"\n"
"        command=\"SetPosition2\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0.13 0.5\"\n"
"        animateable=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"AspectRatio\"\n"
"                            command=\"SetAspectRatio\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"20\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.001\" />\n"
"      </DoubleVectorProperty>\n"
"      \n"
"      <StringVectorProperty\n"
"        name=\"Title\"\n"
"        command=\"SetTitle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        animateable=\"0\">\n"
"      </StringVectorProperty>\n"
"      \n"
"      <StringVectorProperty\n"
"        name=\"ComponentTitle\"\n"
"        command=\"SetComponentTitle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        animateable=\"0\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AutomaticLabelFormat\"\n"
"                         command=\"SetAutomaticLabelFormat\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      \n"
"      <StringVectorProperty\n"
"        name=\"LabelFormat\"\n"
"        command=\"SetLabelFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"%-#6.3g\"\n"
"        animateable=\"0\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"NumberOfLabels\"\n"
"        command=\"SetNumberOfLabels\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"       <IntRangeDomain name=\"range\" min=\"2\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!--label text property -->\n"
"      <SubProxy>\n"
"        <Proxy name=\"LabelTextProperty\"\n"
"          proxygroup=\"properties\" proxyname=\"TextProperty\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Color\"      exposed_name=\"LabelColor\"     />\n"
"          <Property name=\"Opacity\"    exposed_name=\"LabelOpacity\"   />\n"
"          <Property name=\"FontFamily\" exposed_name=\"LabelFontFamily\"/>\n"
"          <Property name=\"Bold\"       exposed_name=\"LabelBold\"      />\n"
"          <Property name=\"Italic\"     exposed_name=\"LabelItalic\"    />\n"
"          <Property name=\"Shadow\"     exposed_name=\"LabelShadow\"    />\n"
"          <Property name=\"FontSize\"   exposed_name=\"LabelFontSize\"  />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!--title text property -->\n"
"      <SubProxy>\n"
"        <Proxy name=\"TitleTextProperty\" \n"
"          proxygroup=\"properties\" proxyname=\"TextProperty\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Color\"      exposed_name=\"TitleColor\"     />\n"
"          <Property name=\"Opacity\"    exposed_name=\"TitleOpacity\"   />\n"
"          <Property name=\"FontFamily\" exposed_name=\"TitleFontFamily\"/>\n"
"          <Property name=\"Bold\"       exposed_name=\"TitleBold\"      />\n"
"          <Property name=\"Italic\"     exposed_name=\"TitleItalic\"    />\n"
"          <Property name=\"Shadow\"     exposed_name=\"TitleShadow\"    />\n"
"          <Property name=\"FontSize\"   exposed_name=\"TitleFontSize\"  />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Proxy>\n"
"    <!-- End of ProxyGroup annotations -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"file_listing\">\n"
"    <Proxy name=\"ServerFileListing\"\n"
"      class=\"vtkPVFileInformationHelper\">\n"
"      <IntVectorProperty\n"
"        name=\"ActiveFileIsDirectory\"\n"
"        command=\"GetActiveFileIsDirectory\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ActiveFileIsReadable\"\n"
"        command=\"GetActiveFileIsReadable\"\n"
"        information_only=\"1\">\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ActiveFileName\"\n"
"        command=\"SetPath\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Set the filename whose information we need.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"locators\">\n"
"    <Proxy name=\"PKdTree\" class=\"vtkPKdTree\">\n"
"    <!--\n"
"      <ProxyProperty name=\"DataSets\"\n"
"                     command=\"AddDataSet\"\n"
"                     remove_command=\"RemoveDataSet\"/>\n"
"                     -->\n"
"      <IntVectorProperty name=\"MinCells\" command=\"SetMinCells\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"/>\n"
"      <Property\n"
"        name=\"OmitZPartitioning\"\n"
"        command=\"OmitZPartitioning\"/>\n"
"      <Property\n"
"        name=\"BuildLocator\"\n"
"        command=\"BuildLocator\"/>\n"
"      <ProxyProperty\n"
"        name=\"BuildLocatorFromPoints\"\n"
"        command=\"BuildLocatorFromPoints\"/>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"selection_helpers\">\n"
"\n"
"    <Proxy name=\"Selection\" class=\"vtkSelection\">\n"
"    </Proxy>\n"
"\n"
"    <SourceProxy name=\"AnnotationLink\" class=\"vtkAnnotationLink\">\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\" port_index=\"0\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkAnnotationLayers\"/>\n"
"          <DataType value=\"vtkSelection\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty name=\"DomainMaps\" command=\"SetInputConnection\" port_index=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <ProxyProperty \n"
"        name=\"Annotations\" command=\"SetAnnotations\">\n"
"      </ProxyProperty>\n"
"\n"
"      <OutputPort name=\"Annotations\" index=\"0\"/>\n"
"      <OutputPort name=\"Domain Maps\" index=\"1\"/>\n"
"      <OutputPort name=\"Selection\" index=\"2\"/>\n"
"\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"connection_cleaners\">\n"
"    <ConnectionCleanerProxy name=\"AnimationPlayer\" class=\"vtkSMServerSideAnimationPlayer\">\n"
"\n"
"      <ProxyProperty name=\"Writer\"\n"
"        command=\"SetWriter\">\n"
"      </ProxyProperty>\n"
"    <!-- End of AnimationPlayer -->\n"
"    </ConnectionCleanerProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"extended_sources\">\n"
"    <SourceProxy name=\"LineSource\" class=\"vtkLineSource\" label=\"Line Source\">\n"
"      <DoubleVectorProperty\n"
"         name=\"Point1\"\n"
"         command=\"SetPoint1\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"min\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"DummyInput\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point2\"\n"
"         command=\"SetPoint2\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"max\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"DummyInput\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"6\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <InputProperty name=\"DummyInput\" is_internal=\"1\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"LineSource\" >\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"          <Property function=\"Resolution\"          name=\"Resolution\" />\n"
"        </PropertyGroup>\n"
"\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    <!-- End LineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"HighResLineSource\" class=\"vtkLineSource\" \n"
"                 label=\"High Resolution Line Source\">\n"
"      <DoubleVectorProperty\n"
"         name=\"Point1\"\n"
"         command=\"SetPoint1\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"min\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"DummyInput\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"Point2\"\n"
"         command=\"SetPoint2\"\n"
"         number_of_elements=\"3\"\n"
"         animateable=\"1\"\n"
"         default_values=\"0.0 0.0 0.0\" >\n"
"         <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"max\" >\n"
"           <RequiredProperties>\n"
"             <Property name=\"DummyInput\" function=\"Input\" />\n"
"           </RequiredProperties>\n"
"         </BoundsDomain>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"Resolution\"\n"
"         command=\"SetResolution\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"100\" >\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <InputProperty name=\"DummyInput\" is_internal=\"1\">\n"
"        <!-- Used when this source is added to a proxy list domain. -->\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <PropertyGroup type=\"LineSource\" >\n"
"          <Property function=\"Point1WorldPosition\" name=\"Point1\" />\n"
"          <Property function=\"Point2WorldPosition\" name=\"Point2\" />\n"
"          <Property function=\"Resolution\"          name=\"Resolution\" />\n"
"        </PropertyGroup>\n"
"\n"
"        <ProxyList>\n"
"          <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"        </ProxyList>\n"
"      </Hints>\n"
"    <!-- End HighResLineSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"PointSource\" class=\"vtkPointSource\" label=\"Point Source\">\n"
"       <DoubleVectorProperty\n"
"          name=\"Center\"\n"
"          command=\"SetCenter\"\n"
"          number_of_elements=\"3\"\n"
"          animateable=\"1\"\n"
"          default_values=\"0.0 0.0 0.0\" >\n"
"          <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"mid\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"DummyInput\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </BoundsDomain>\n"
"       </DoubleVectorProperty>\n"
"\n"
"       <IntVectorProperty\n"
"          name=\"NumberOfPoints\"\n"
"          command=\"SetNumberOfPoints\"\n"
"          number_of_elements=\"1\"\n"
"          animateable=\"1\"\n"
"          default_values=\"1\" >\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface4 =
"          <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       </IntVectorProperty>\n"
"\n"
"       <DoubleVectorProperty\n"
"          name=\"Radius\"\n"
"          command=\"SetRadius\"\n"
"          number_of_elements=\"1\"\n"
"          animateable=\"1\"\n"
"          default_values=\"1.0\" >\n"
"          <BoundsDomain name=\"range\" mode=\"scaled_extent\" scale_factor=\"0.1\">\n"
"            <RequiredProperties>\n"
"              <Property name=\"DummyInput\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </BoundsDomain>\n"
"       </DoubleVectorProperty>\n"
"\n"
"       <InputProperty name=\"DummyInput\" is_internal=\"1\">\n"
"         <!-- Used when this source is added to a proxy list domain. -->\n"
"       </InputProperty>\n"
"\n"
"       <Hints>\n"
"         <PropertyGroup type=\"PointSource\" >\n"
"           <Property function=\"WorldPosition\"  name=\"Center\" />\n"
"           <Property function=\"Radius\"         name=\"Radius\" />\n"
"           <Property function=\"NumberOfPoints\" name=\"NumberOfPoints\" />\n"
"         </PropertyGroup>\n"
"\n"
"         <ProxyList>\n"
"           <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"         </ProxyList>\n"
"       </Hints>\n"
"    <!-- End PointSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"FixedRadiusPointSource\" class=\"vtkPointSource\"\n"
"                 label=\"Fixed Radius Point Source\">\n"
"       <DoubleVectorProperty\n"
"          name=\"Center\"\n"
"          command=\"SetCenter\"\n"
"          number_of_elements=\"3\"\n"
"          animateable=\"1\"\n"
"          default_values=\"0.0 0.0 0.0\" >\n"
"          <BoundsDomain name=\"range\" mode=\"normal\" default_mode=\"mid\" >\n"
"            <RequiredProperties>\n"
"              <Property name=\"DummyInput\" function=\"Input\" />\n"
"            </RequiredProperties>\n"
"          </BoundsDomain>\n"
"       </DoubleVectorProperty>\n"
"\n"
"       <IntVectorProperty\n"
"          name=\"NumberOfPoints\"\n"
"          command=\"SetNumberOfPoints\"\n"
"          number_of_elements=\"1\"\n"
"          animateable=\"1\"\n"
"          default_values=\"1\" >\n"
"          <IntRangeDomain name=\"range\" min=\"1\"/>\n"
"       </IntVectorProperty>\n"
"\n"
"       <DoubleVectorProperty\n"
"          name=\"Radius\"\n"
"          command=\"SetRadius\"\n"
"          number_of_elements=\"1\"\n"
"          animateable=\"1\"\n"
"          default_values=\"0.0\" >\n"
"          <DoubleRangeDomain name=\"range\" min=\"0.0\"/>\n"
"       </DoubleVectorProperty>\n"
"\n"
"       <InputProperty name=\"DummyInput\" is_internal=\"1\">\n"
"         <!-- Used when this source is added to a proxy list domain. -->\n"
"       </InputProperty>\n"
"\n"
"       <Hints>\n"
"         <PropertyGroup type=\"PointSource\" >\n"
"           <Property function=\"WorldPosition\"  name=\"Center\" />\n"
"           <Property function=\"Radius\"         name=\"Radius\" />\n"
"           <Property function=\"NumberOfPoints\" name=\"NumberOfPoints\" />\n"
"         </PropertyGroup>\n"
"\n"
"         <ProxyList>\n"
"           <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"         </ProxyList>\n"
"       </Hints>\n"
"    <!-- End PointSource -->\n"
"    </SourceProxy>\n"
"\n"
"    <Proxy name=\"Transform2\" class=\"vtkPVTransform\" >\n"
"      <!--Transform proxy with unconventional interface, used by BoxWidget -->\n"
"      <DoubleVectorProperty\n"
"        name=\"Position\"\n"
"        command=\"SetAbsolutePosition\"\n"
"        number_of_elements=\"3\"\n"
"        label=\"Translate\"\n"
"        information_property=\"PositionInfo\"\n"
"        default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PositionInfo\"\n"
"        command=\"GetPosition\"\n"
"        information_only=\"1\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Rotation\"\n"
"        command=\"SetAbsoluteRotation\"\n"
"        number_of_elements=\"3\"\n"
"        information_property=\"RotationInfo\"\n"
"        label=\"Rotate\"\n"
"        default_values=\"0.0 0.0 0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"RotationInfo\"\n"
"        command=\"GetOrientation\"\n"
"        information_only=\"1\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Scale\"\n"
"        command=\"SetAbsoluteScale\"\n"
"        number_of_elements=\"3\"\n"
"        label=\"Scale\"\n"
"        information_property=\"ScaleInfo\"\n"
"        default_values=\"1.0 1.0 1.0\" >\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ScaleInfo\"\n"
"        command=\"GetScale\"\n"
"        information_only=\"1\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\" />\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"Transform3\" class=\"vtkPVTransform\" label=\"Transform\">\n"
"    <DoubleVectorProperty\n"
"      name=\"Position\"\n"
"      command=\"SetAbsolutePosition\"\n"
"      number_of_elements=\"3\"\n"
"      label=\"Translate\"\n"
"      information_property=\"PositionInfo\"\n"
"      default_values=\"0.0 0.0 0.0\" >\n"
"      <DoubleRangeDomain name=\"range\" />\n"
"    </DoubleVectorProperty>\n"
"\n"
"    <DoubleVectorProperty name=\"PositionInfo\"\n"
"      command=\"GetAbsolutePosition\"\n"
"      information_only=\"1\"\n"
"      number_of_elements=\"3\"\n"
"      default_values=\"0.0 0.0 0.0\" />\n"
"\n"
"    <DoubleVectorProperty\n"
"      name=\"Rotation\"\n"
"      command=\"SetAbsoluteRotation\"\n"
"      number_of_elements=\"3\"\n"
"      information_property=\"RotationInfo\"\n"
"      label=\"Rotate\"\n"
"      default_values=\"0.0 0.0 0.0\" >\n"
"      <DoubleRangeDomain name=\"range\" />\n"
"    </DoubleVectorProperty>\n"
"\n"
"    <DoubleVectorProperty name=\"RotationInfo\"\n"
"      command=\"GetAbsoluteRotation\"\n"
"      information_only=\"1\"\n"
"      number_of_elements=\"3\"\n"
"      default_values=\"0.0 0.0 0.0\" />\n"
"\n"
"    <DoubleVectorProperty\n"
"      name=\"Scale\"\n"
"      command=\"SetAbsoluteScale\"\n"
"      number_of_elements=\"3\"\n"
"      label=\"Scale\"\n"
"      information_property=\"ScaleInfo\"\n"
"      default_values=\"1.0 1.0 1.0\" >\n"
"      <DoubleRangeDomain name=\"range\" />\n"
"    </DoubleVectorProperty>\n"
"\n"
"    <DoubleVectorProperty name=\"ScaleInfo\"\n"
"      command=\"GetAbsoluteScale\"\n"
"      information_only=\"1\"\n"
"      number_of_elements=\"3\"\n"
"      default_values=\"1.0 1.0 1.0\" />\n"
"\n"
"       <Hints>\n"
"        <PropertyGroup type=\"Box\">\n"
"          <Property name=\"Position\" function=\"Position\" />\n"
"          <Property name=\"Rotation\" function=\"Rotation\" />\n"
"          <Property name=\"Scale\" function=\"Scale\" />\n"
"        </PropertyGroup>\n"
"<!--\n"
"         <ProxyList>\n"
"           <Link name=\"DummyInput\" with_property=\"Input\" />\n"
"         </ProxyList>\n"
"         -->\n"
"       </Hints>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"misc\">\n"
"\n"
"    <DirectoryProxy name=\"Directory\" class=\"vtkDirectory\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"    </DirectoryProxy>\n"
"\n"
"    <Proxy name=\"FileInformationHelper\" class=\"vtkPVFileInformationHelper\">\n"
"\n"
"      <StringVectorProperty name=\"Path\" command=\"SetPath\" />\n"
"\n"
"      <IntVectorProperty \n"
"        name=\"DirectoryListing\" \n"
"        command=\"SetDirectoryListing\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"SpecialDirectories\"\n"
"        command=\"SetSpecialDirectories\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PathSeparator\"\n"
"        command=\"GetPathSeparator\"\n"
"        information_only=\"1\"\n"
"        number_of_elements=\"1\" >\n"
"        <SimpleStringInformationHelper />\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty \n"
"        name=\"WorkingDirectory\"\n"
"        command=\"SetWorkingDirectory\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Override the working directory used to resolve relative paths.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"    <!-- End of FileInformationHelper -->\n"
"    </Proxy>\n"
"    \n"
"    <Proxy name=\"EnvironmentInformationHelper\" class=\"vtkPVEnvironmentInformationHelper\">\n"
"      <StringVectorProperty name=\"Variable\" command=\"SetVariable\" />\n"
"    <!-- End of FileInformationHelper -->\n"
"    </Proxy>\n"
"\n"
"    <TimeKeeperProxy name=\"TimeKeeper\" class=\"vtkSMTimeKeeper\"\n"
"      processes=\"client\">\n"
"      <Documentation>\n"
"        TimeKeeper is used to keep the pipeline time for the application.\n"
"        All views added to the timekeeper show the same time as that on the time\n"
"        keeper.\n"
"      </Documentation>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Time\"\n"
"        command=\"SetTime\"\n"
"        number_of_elements=\"1\"\n"
"        precision=\"16\"\n"
"        default_values=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"TimestepValues\"\n"
"        information_only=\"1\" >\n"
"        <Documentation>\n"
"          The timesteps currently available. This property does not have any\n"
"          information helper since vtkSMTimeKeeperProxy keeps this updated\n"
"          without any need to call UpdatePropertyInformation().\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"TimeRange\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0.0 0.0\"\n"
"        precision=\"16\"\n"
"        information_only=\"1\" >\n"
"        <Documentation>\n"
"          This is the time range. It's possible that there are no TimestepValues\n"
"          but there is a valid TimeRange since some sources may provide\n"
"          continuous time.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <ProxyProperty\n"
"        name=\"Views\"\n"
"        command=\"AddView\"\n"
"        remove_command=\"RemoveView\"\n"
"        argument_type=\"SMProxy\"\n"
"        state_ignored=\"1\"\n"
"        repeatable=\"1\">\n"
"        <Documentation>\n"
"          Views with their view time linked with this time keeper.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty\n"
"        name=\"TimeSources\"\n"
"        command=\"AddTimeSource\"\n"
"        remove_command=\"RemoveTimeSource\"\n"
"        argument_type=\"SMProxy\"\n"
"        repeatable=\"1\">\n"
"        <Documentation>\n"
"          List of proxies that provide time. TimestepValues property has\n"
"          a set of timesteps provided by all the sources added to this property\n"
"          alone.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <!-- End of TimeKeeper -->\n"
"    </TimeKeeperProxy>\n"
"\n"
"    <Proxy name=\"StrictLoadBalancing\" class=\"vtkSISourceProxy\"\n"
"      processes=\"client|dataserver|renderserver\">\n"
"      <IntVectorProperty\n"
"        name=\"DisableExtentsTranslator\"\n"
"        command=\"SetDisableExtentsTranslator\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of StrictLoadBalancing -->\n"
"    </Proxy>\n"
"    \n"
"    <PluginLoaderProxy name=\"PluginLoader\"\n"
"                       class=\"vtkPVPluginLoader\"\n"
"                       processes=\"dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Use this proxy to load a plugin remotely. This proxy has no properties\n"
"        that users can set. Only information-properties are provided that can be\n"
"        used to obtain various states. vtkSMPluginLoaderProxy has API that can\n"
"        be used to load plugins, configuration xmls etc.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Loaded\"\n"
"        command=\"GetLoaded\"\n"
"        information_only=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ErrorString\"\n"
"        command=\"GetErrorString\"\n"
"        information_only=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SearchPaths\"\n"
"        command=\"GetSearchPaths\"\n"
"        information_only=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of PluginLoader -->\n"
"    </PluginLoaderProxy>\n"
"\n"
"    <Proxy name=\"KdTreeManager\" class=\"vtkKdTreeManager\">\n"
"      <ProxyProperty  \n"
"        name=\"KdTree\"\n"
"        command=\"SetKdTree\">\n"
"        <Documentation>\n"
"          Set the KdTree managed by this manager.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty\n"
"        name=\"Producers\"\n"
"        command=\"AddProducer\"\n"
"        remove_command=\"RemoveProducer\" >\n"
"        <Documentation>\n"
"          Producers/algorithms producing data that needs to be distributed.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"      \n"
"      <ProxyProperty\n"
"        name=\"StructuredProducer\"\n"
"        command=\"SetStructuredProducer\">\n"
"        <Documentation>\n"
"          The optional producer whose partitioning is used to build the\n"
"          KdTree.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <Property\n"
"        name=\"Update\"\n"
"        command=\"Update\">\n"
"      </Property>\n"
"\n"
"      <!-- End of KdTreeManager -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"RepresentationAnimationHelper\" class=\"vtkPVRepresentationAnimationHelper\"\n"
"           processes=\"client\">\n"
"      <Documentation>\n"
"        Used to help in animation representation properties.\n"
"      </Documentation>\n"
"      <ProxyProperty name=\"Source\"\n"
"        command=\"SetSourceProxy\"\n"
"        argument_type=\"SMProxy\" />\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"none\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End of RepresentationAnimationHelper -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"GlobalProperties\" >\n"
"      <DoubleVectorProperty name=\"ForegroundColor\"\n"
"        label=\"Foreground\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Foreground color.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackgroundColor\"\n"
"        label=\"Background\"\n"
"        number_of_elements=\"3\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface5 =
"        default_values=\"0.32 0.34 0.43\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Background color.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SurfaceColor\"\n"
"        label=\"Surface\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Surface color.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TextAnnotationColor\"\n"
"        label=\"Text\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Color used for text annotations.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SelectionColor\"\n"
"        label=\"Selection\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 0.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Color used for showing selected cells/points.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EdgeColor\"\n"
"        label=\"Edges\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"        <Documentation>\n"
"          Color used for showing selected cells/points.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"    <!-- End of GlobalProperties -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"GlobalMapperProperties\"\n"
"           class=\"vtkPolyDataMapper\"\n"
"           processes=\"client|renderserver\">\n"
"      <Documentation>\n"
"        This proxy is useful for changing gloabal mapper settings such as\n"
"        the coincident topology resolution setting on all rendering proceses.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"Mode\"\n"
"        command=\"SetResolveCoincidentTopology\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\" value=\"0\"/>\n"
"          <Entry text=\"PolygonOffset\" value=\"1\"/>\n"
"          <Entry text=\"ShiftZBuffer\" value=\"2\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PolygonOffsetParameters\"\n"
"        command=\"SetResolveCoincidentTopologyPolygonOffsetParameters\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"none\">\n"
"        <Documentation>\n"
"          Used to set the polygon offset scale factor and units. Used when\n"
"          ResolveCoincidentTopology is set to PolygonOffset. These are global\n"
"          variables.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PolygonOffsetFaces\"\n"
"        command=\"SetResolveCoincidentTopologyPolygonOffsetFaces\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Used when ResolveCoincidentTopology is set to PolygonOffset. The\n"
"          polygon offset can be applied either to the solid polygonal faces or\n"
"          the lines/vertices. When set (default), the offset is applied to the\n"
"          faces otherwise it is applied to lines and vertices. This is a global\n"
"          variable.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ZShift\"\n"
"        command=\"SetResolveCoincidentTopologyZShift\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <Documentation>\n"
"          Used to set the z-shift if ResolveCoincidentTopology is set to\n"
"          ShiftZBuffer. This is a global variable.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GlobalImmediateModeRendering\"\n"
"        command=\"SetGlobalImmediateModeRendering\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Turn on/off flag to control whether data is rendered using immediate\n"
"          mode or note. Immediate mode rendering tends to be slower but it can\n"
"          handle larger datasets.  The default value is immediate mode off. If\n"
"          you are having problems rendering a large dataset you might want to\n"
"          consider using immediate more rendering.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of GlobalMapperProperties -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"GlobalAnimationProperties\" class=\"vtkSMAnimationScene\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>\n"
"        Proxy used to update animation related settings on all processes.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"CacheLimit\"\n"
"        command=\"SetCacheLimit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <Documentation>\n"
"         Set the cache limit in KiloBytes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of GlobalAnimationProperties-->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"TimerLog\" class=\"vtkTimerLog\"\n"
"           processes=\"client|dataserver|renderserver\">\n"
"      <Documentation>\n"
"        This is a proxy used to control the timer log parameters on all\n"
"        processes. Note that since vtkTimerLog has loads of static ivar,\n"
"        most properties will affect all timer log instances.\n"
"      </Documentation>\n"
"\n"
"      <Property name=\"ResetLog\" command=\"ResetLog\">\n"
"        <Documentation>\n"
"          Resets the log on all processes.\n"
"        </Documentation>\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty name=\"Enable\"\n"
"        command=\"SetLogging\"\n"
"        default_values=\"none\">\n"
"        <EnumerationDomain name=\"enum\" />\n"
"        <Documentation>\n"
"          Enables the timer-log on all processes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaxEntries\"\n"
"        command=\"SetMaxEntries\"\n"
"        default_values=\"none\">\n"
"        <Documentation>\n"
"          Set the maximum length for the log on all processes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of TimerLog -->\n"
"    </Proxy>\n"
"\n"
"    <!-- End of group \"misc\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"palettes\">\n"
"    <Proxy name=\"Screen\" label=\"Screen\">\n"
"      <DoubleVectorProperty name=\"ForegroundColor\"\n"
"        label=\"Foreground\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackgroundColor\"\n"
"        label=\"Background\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.32 0.34 0.43\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SurfaceColor\"\n"
"        label=\"Surface\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TextAnnotationColor\"\n"
"        label=\"Text\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SelectionColor\"\n"
"        label=\"Selection\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 0.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EdgeColor\"\n"
"        label=\"Edges\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.5\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"    <!-- End of (palettes, Screen) -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"Print\" label=\"Print\">\n"
"      <DoubleVectorProperty name=\"ForegroundColor\"\n"
"        label=\"Foreground\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackgroundColor\"\n"
"        label=\"Background\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SurfaceColor\"\n"
"        label=\"Surface\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"TextAnnotationColor\"\n"
"        label=\"Text\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SelectionColor\"\n"
"        label=\"Selection\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 0.0 1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EdgeColor\"\n"
"        label=\"Edges\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.5\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"    <!-- End of (palettes, Print) -->\n"
"    </Proxy>\n"
"\n"
"\n"
"    <!-- End of group \"palettes\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"exporters\">\n"
"    <!-- Proxy group for exporters used to export views.  -->\n"
"\n"
"    <RenderViewExporterProxy name=\"X3DExporter\" class=\"vtkX3DExporter\"\n"
"      file_extension=\"x3d\">\n"
"      <Documentation short_help=\"X3D Files\" long_help=\"Export X3D Files\">\n"
"        vtkX3DExporter is a render window exporter which writes out the\n"
"        renderered scene into an X3D file. X3D is an XML-based format for\n"
"        representation 3D scenes (similar to VRML). Check out\n"
"        http://www.web3d.org/x3d/ for more details.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of X3DExporter -->\n"
"    </RenderViewExporterProxy>\n"
"\n"
"    <RenderViewExporterProxy name=\"X3DExporterBinary\" class=\"vtkX3DExporter\"\n"
"      base_proxygroup=\"exporters\" base_proxyname=\"X3DExporter\"\n"
"      file_extension=\"x3db\" >\n"
"      <Documentation>\n"
"        Binary x3d exporter\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"Binary\"\n"
"        command=\"SetBinary\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Turn on binary mode\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Fastest\"\n"
"        command=\"SetFastest\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          In binary mode use fastest instead of best compression.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </RenderViewExporterProxy>\n"
"\n"
"    <RenderViewExporterProxy name=\"VRMLExporter\" class=\"vtkVRMLExporter\"\n"
"      file_extension=\"vrml\">\n"
"      <Documentation>\n"
"        Exporter to export a single render view to an VRML file.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of VRMLExporter -->\n"
"    </RenderViewExporterProxy>\n"
"\n"
"    <CSVExporterProxy name=\"CSVExporter\" class=\"vtkCSVExporter\"\n"
"      file_extension=\"csv\">\n"
"      <Documentation>\n"
"        Exporter to export a single render view to an CSV file.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of VRMLExporter -->\n"
"    </CSVExporterProxy>\n"
"\n"
"    <RenderViewExporterProxy name=\"POVExporter\" class=\"vtkPOVExporter\"\n"
"      file_extension=\"pov\">\n"
"      <Documentation short_help=\"POV Files\" long_help=\"Export POV Ray Files\">\n"
"        vtkPOVExporter is a render window exporter which writes out the\n"
"        renderered scene into an POV Ray file. \n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          Name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- End of POVExporter -->\n"
"    </RenderViewExporterProxy>\n"
"\n"
"    <!-- End of \"exporters\" -->\n"
"  </ProxyGroup>\n"
"  \n"
"  <ProxyGroup name=\"point_placers\">\n"
"    <Proxy name=\"PointPlacerBase\" class=\"not-used\">\n"
"      <Documentation>\n"
"        Base API definition for all point placers.\n"
"      </Documentation>\n"
"      <!-- End of \"PointPlacerBase\" -->\n"
"    </Proxy>\n"
"    \n"
"    <Proxy name=\"FocalPlanePointPlacer\" class=\"vtkFocalPlanePointPlacer\"\n"
"      base_proxygroup=\"point_placers\" base_proxyname=\"PointPlacerBase\">\n"
"    </Proxy>\n"
"    <Proxy name=\"BoundedPlanePointPlacer\" class=\"vtkBoundedPlanePointPlacer\"\n"
"      base_proxygroup=\"point_placers\" base_proxyname=\"PointPlacerBase\">\n"
"      \n"
"      <IntVectorProperty\n"
"         name=\"ProjectionNormal\"\n"
"         command=\"SetProjectionNormal\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"2\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"XAxis\" />\n"
"          <Entry value=\"1\" text=\"YAxis\" />\n"
"          <Entry value=\"2\" text=\"ZAxis\" />\n"
"          <Entry value=\"3\" text=\"Oblique\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <DoubleVectorProperty\n"
"         name=\"ProjectionPosition\"\n"
"         command=\"SetProjectionPosition\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"BoundingPlanes\"\n"
"        command=\"AddBoundingPlane\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        clean_command=\"RemoveAllBoundingPlanes\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"implicit_functions\" />\n"
"        </ProxyGroupDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"implicit_functions\" name=\"Plane\" />\n"
"          <Proxy group=\"implicit_functions\" name=\"Box\" />\n"
"        </ProxyListDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"    <Proxy name=\"PolygonalSurfacePointPlacer\" class=\"vtkPolygonalSurfacePointPlacer\"\n"
"      base_proxygroup=\"point_placers\" base_proxyname=\"PointPlacerBase\">\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"  \n"
"  <ProxyGroup name=\"contour_line_interpolators\">\n"
"    <Proxy name=\"ContourLineInterpolatorBase\" class=\"not-used\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/utilities.xml
static const char* vtkSMDefaultModulesutilitiesInterface6 =
"      <Documentation>\n"
"        Base API definition for all contour line interpolators.\n"
"      </Documentation>\n"
"      <!-- End of \"ContourLineInterpolatorBase\" -->\n"
"    </Proxy>\n"
"    \n"
"    <Proxy name=\"BezierContourLineInterpolator\" class=\"vtkBezierContourLineInterpolator\"\n"
"      base_proxygroup=\"contour_line_interpolators\" base_proxyname=\"ContourLineInterpolatorBase\">\n"
"    </Proxy>\n"
"    <Proxy name=\"PolyDataContourLineInterpolator\" class=\"vtkPolyDataContourLineInterpolator\"\n"
"      base_proxygroup=\"contour_line_interpolators\" base_proxyname=\"ContourLineInterpolatorBase\">\n"
"    </Proxy>\n"
"    <Proxy name=\"PolygonalSurfaceContourLineInterpolator\" class=\"vtkPolygonalSurfaceContourLineInterpolator\"\n"
"      base_proxygroup=\"contour_line_interpolators\" base_proxyname=\"ContourLineInterpolatorBase\">\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesutilitiesGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesutilitiesInterface0)
    + strlen(vtkSMDefaultModulesutilitiesInterface1)
    + strlen(vtkSMDefaultModulesutilitiesInterface2)
    + strlen(vtkSMDefaultModulesutilitiesInterface3)
    + strlen(vtkSMDefaultModulesutilitiesInterface4)
    + strlen(vtkSMDefaultModulesutilitiesInterface5)
    + strlen(vtkSMDefaultModulesutilitiesInterface6) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesutilitiesInterface0);
  strcat(res, vtkSMDefaultModulesutilitiesInterface1);
  strcat(res, vtkSMDefaultModulesutilitiesInterface2);
  strcat(res, vtkSMDefaultModulesutilitiesInterface3);
  strcat(res, vtkSMDefaultModulesutilitiesInterface4);
  strcat(res, vtkSMDefaultModulesutilitiesInterface5);
  strcat(res, vtkSMDefaultModulesutilitiesInterface6);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/rendering.xml
static const char* vtkSMDefaultModulesrenderingInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"camera\">\n"
"    <CameraProxy name=\"Camera\" class=\"vtkCamera\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraPositionInfo\"\n"
"        command=\"GetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        information_only=\"1\"\n"
"        default_values=\"0 0 1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraPosition\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        information_property=\"CameraPositionInfo\"\n"
"        immediate_update=\"1\"\n"
"        default_values=\"0 0 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraFocalPointInfo\"\n"
"        command=\"GetFocalPoint\"\n"
"        number_of_elements=\"3\"\n"
"        information_only=\"1\"\n"
"        default_values=\"0 0 0\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraFocalPoint\"\n"
"        command=\"SetFocalPoint\"\n"
"        number_of_elements=\"3\"\n"
"        information_property=\"CameraFocalPointInfo\"\n"
"        immediate_update=\"1\"\n"
"        default_values=\"0 0 0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraViewUpInfo\"\n"
"        command=\"GetViewUp\"\n"
"        number_of_elements=\"3\"\n"
"        information_only=\"1\"\n"
"        default_values=\"0 1 0\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraViewUp\"\n"
"        command=\"SetViewUp\"\n"
"        number_of_elements=\"3\"\n"
"        information_property=\"CameraViewUpInfo\"\n"
"        immediate_update=\"1\"\n"
"        default_values=\"0 1 0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraViewAngleInfo\"\n"
"        command=\"GetViewAngle\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraViewAngle\"\n"
"        command=\"SetViewAngle\"\n"
"        information_property=\"CameraViewAngleInfo\"\n"
"        number_of_elements=\"1\"\n"
"        immediate_update=\"1\"\n"
"        default_values=\"30\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraClippingRangeInfo\"\n"
"        command=\"GetClippingRange\"\n"
"        number_of_elements=\"2\"\n"
"        information_only=\"1\"\n"
"        default_values=\"0.01 1000.01\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraClippingRange\"\n"
"        command=\"SetClippingRange\"\n"
"        number_of_elements=\"2\"\n"
"        information_property=\"CameraClippingRangeInfo\"\n"
"        immediate_update=\"1\"\n"
"        default_values=\"0.01 1000.01\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraParallelScale\"\n"
"        command=\"SetParallelScale\"\n"
"        information_property=\"CameraParallelScaleInfo\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CameraParallelScaleInfo\"\n"
"        command=\"GetParallelScale\"\n"
"        number_of_elements=\"1\"\n"
"        information_only=\"1\"\n"
"        default_values=\"1.0\" >\n"
"        <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CameraParallelProjection\"\n"
"        command=\"SetParallelProjection\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"EyeAngle\"\n"
"        command=\"SetEyeAngle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"HeadPose\"\n"
"         command=\"SetEyeTransformMatrix\"\n"
"         number_of_elements=\"16\"\n"
"	 argument_is_array=\"1\"\n"
"         default_values=\"1.0 0.0 0.0 0.0\n"
"			 0.0 1.0 0.0 0.0\n"
"			 0.0 0.0 1.0 0.0\n"
"			 0.0 0.0 0.0 1.0\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"         name=\"WandPose\"\n"
"         command=\"SetModelTransformMatrix\"\n"
"         number_of_elements=\"16\"\n"
"	 argument_is_array=\"1\"\n"
"         default_values=\"1.0 0.0 0.0 0.0\n"
"			 0.0 1.0 0.0 0.0\n"
"			 0.0 0.0 1.0 0.0\n"
"			 0.0 0.0 0.0 1.0\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </CameraProxy> <!-- end of Camera Proxy -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"mappers\">\n"
"\n"
"    <Proxy name=\"ProjectedTetrahedraMapper\"\n"
"      class=\"vtkProjectedTetrahedraMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"HAVSVolumeMapper\"\n"
"      class=\"vtkHAVSVolumeMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"DummyVolumeMapper\">\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <ProxyProperty name=\"RayCastFunction\" command=\"SetRayCastFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"ugrid_raycast_functions\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"UnstructuredGridVolumeRayCastMapper\"\n"
"      class=\"vtkUnstructuredGridVolumeRayCastMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"RayCastFunction\" command=\"SetRayCastFunction\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"ugrid_raycast_functions\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"UnstructuredGridVolumeZSweepMapper\"\n"
"      class=\"vtkUnstructuredGridVolumeZSweepMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"GPUVolumeRayCastMapper\"\n"
"      class=\"vtkGPUVolumeRayCastMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        This is the proxy for GPU based volume rendering.\n"
"      </Documentation>\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"BlendMode\"\n"
"        command=\"SetBlendMode\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <Documentation>\n"
"          Set the current blend mode. Default is Composite. MaximumIntensity is\n"
"          also known as MIP rendering.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Composite\"/>\n"
"          <Entry value=\"1\" text=\"MaximumIntensity\"/>\n"
"          <Entry value=\"2\" text=\"MinimumIntensity\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AutoAdjustSampleDistances\"\n"
"        command=\"SetAutoAdjustSampleDistances\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <Documentation>\n"
"        If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n"
"        will be varied to achieve the allocated render time of this\n"
"        prop (controlled by the desired update rate and any culling in\n"
"        use).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"SampleDistance\"\n"
"        command=\"SetSampleDistance\"\n"
"        default_values=\"1.0\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <Documentation>\n"
"        Set/Get the distance between samples used for rendering\n"
"        when AutoAdjustSampleDistances is off, or when this mapper\n"
"        has more than 1 second allocated to it for rendering.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of GPUVolumeRayCastMapper -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"FixedPointVolumeRayCastMapper\"\n"
"      class=\"vtkFixedPointVolumeRayCastMapper\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <StringVectorProperty\n"
"        name=\"SelectScalarArray\"\n"
"        command=\"SelectScalarArray\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"ScalarMode\"\n"
"        command=\"SetScalarMode\"\n"
"        default_values=\"3\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Default\"/>\n"
"          <Entry value=\"1\" text=\"PointData\"/>\n"
"          <Entry value=\"2\" text=\"CellData\"/>\n"
"          <Entry value=\"3\" text=\"PointFieldData\"/>\n"
"          <Entry value=\"4\" text=\"CellFieldData\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/rendering.xml
static const char* vtkSMDefaultModulesrenderingInterface1 =
"        name=\"BlendMode\"\n"
"        command=\"SetBlendMode\"\n"
"        default_values=\"0\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <Documentation>\n"
"          Set the current blend mode. Default is Composite. MaximumIntensity is\n"
"          also known as MIP rendering.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Composite\"/>\n"
"          <Entry value=\"1\" text=\"MaximumIntensity\"/>\n"
"          <Entry value=\"2\" text=\"MinimumIntensity\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"LockSampleDistanceToInputSpacing\"\n"
"        command=\"SetLockSampleDistanceToInputSpacing\"\n"
"        default_values=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <!-- End of FixedPointVolumeRayCastMapper -->\n"
"    </Proxy>\n"
"\n"
"  <!-- End of \"mappers\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"ugrid_raycast_functions\">\n"
"    <Proxy name=\"BunykRayCastFunction\"\n"
"           class=\"vtkUnstructuredGridBunykRayCastFunction\">\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"textures\">\n"
"    <SourceProxy name=\"Texture\" class=\"vtkTexture\">\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"    </SourceProxy>\n"
"\n"
"    <Proxy name=\"ImageTexture\"\n"
"           class=\"vtkTexture\"\n"
"           si_class=\"vtkSIImageTextureProxy\">\n"
"      <Documentation>\n"
"        This is a proxy for a vtkTexture which also includes an image file\n"
"        reader. This reader can read an image of client/data server or render\n"
"        server and then transmit it to the client/render server where it will be\n"
"        used for texturing.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Source\"\n"
"          proxygroup=\"sources\" proxyname=\"NetworkImageSource\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileName\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <IntVectorProperty\n"
"        name=\"RestrictPowerOf2ImageSmaller\"\n"
"        command=\"SetRestrictPowerOf2ImageSmaller\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"props\">\n"
"    <Proxy name=\"TextActor\" class=\"vtkTextActor\">\n"
"      <Documentation>\n"
"        Proxy for a text actor. Not to be used directly.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"Text\"\n"
"        command=\"SetInput\"\n"
"        number_of_elements=\"1\"\n"
"        animateable=\"0\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\"\n"
"        animateable=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TextScaleMode\"\n"
"        command=\"SetTextScaleMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain>\n"
"          <Entry value=\"0\" text=\"None\" />\n"
"          <Entry value=\"1\" text=\"Prop\" />\n"
"          <Entry value=\"2\" text=\"Viewport\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"TextProperty\"\n"
"        command=\"SetTextProperty\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"properties\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <!-- End of TextActor -->\n"
"    </Proxy>\n"
"\n"
"    <!-- End of group \"props\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"properties\">\n"
"    <Proxy name=\"TextProperty\" class=\"vtkTextProperty\">\n"
"      <DoubleVectorProperty\n"
"        name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"1.0 1.0 1.0\"\n"
"        animateable=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\"\n"
"        animateable=\"0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"FontFamily\"\n"
"        command=\"SetFontFamily\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Arial\"/>\n"
"          <Entry value=\"1\" text=\"Courier\"/>\n"
"          <Entry value=\"2\" text=\"Times\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Bold\"\n"
"        command=\"SetBold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Italic\"\n"
"        command=\"SetItalic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Shadow\"\n"
"        command=\"SetShadow\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"FontSize\"\n"
"        command=\"SetFontSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"18\"\n"
"        animateable=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineOffset\"\n"
"        command=\"SetLineOffset\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Justification\"\n"
"        command=\"SetJustification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Left\"/>\n"
"          <Entry value=\"1\" text=\"Center\"/>\n"
"          <Entry value=\"2\" text=\"Right\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"VerticalJustification\"\n"
"        command=\"SetVerticalJustification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Bottom\"/>\n"
"          <Entry value=\"1\" text=\"Center\"/>\n"
"          <Entry value=\"2\" text=\"Top\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of TextProperty -->\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"interactors\">\n"
"    <Proxy name=\"GenericRenderWindowInteractor\" class=\"vtkPVGenericRenderWindowInteractor\">\n"
"      <ProxyProperty\n"
"        name=\"Renderer\"\n"
"        command=\"SetRenderer\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group  name=\"renderers\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <ProxyProperty\n"
"        name=\"InteractorStyle\"\n"
"        command=\"SetInteractorStyle\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group  name=\"interactorstyles\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <DoubleVectorProperty\n"
"        name=\"CenterOfRotation\"\n"
"        command=\"SetCenterOfRotation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"interactorstyles\">\n"
"    <Proxy name=\"InteractorStyle\" class=\"vtkPVInteractorStyle\">\n"
"      <ProxyProperty\n"
"        name=\"CameraManipulators\"\n"
"        command=\"AddManipulator\"\n"
"        clean_command=\"RemoveAllManipulators\"\n"
"        is_internal=\"1\"\n"
"        repeatable=\"1\">\n"
"        <!-- For now, we are marking this property is_internal so that it won't\n"
"        get saved in state files.\n"
"        Eventually, we need to take out all the interaction related code from\n"
"        the server manager -->\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"cameramanipulators\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"cameramanipulators\">\n"
"    <Proxy name=\"CameraManipulator\" class=\"vtkCameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" >\n"
"      <IntVectorProperty\n"
"        name=\"Button\"\n"
"        command=\"SetButton\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"1\" text=\"Left Button\"/>\n"
"          <Entry value=\"2\" text=\"Center Button\"/>\n"
"          <Entry value=\"3\" text=\"Right Button\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"Shift\"\n"
"        command=\"SetShift\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"IsShiftPressed\"/>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty\n"
"        name=\"Control\"\n"
"        command=\"SetControl\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"IsControlPressed\"/>\n"
"      </IntVectorProperty>\n"
"      <StringVectorProperty\n"
"        name=\"ManipulatorName\"\n"
"        command=\"SetManipulatorName\"\n"
"        number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"JoystickFlyIn\" class=\"vtkPVJoystickFlyIn\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" >\n"
"      <DoubleVectorProperty\n"
"        name=\"FlySpeed\"\n"
"        command=\"SetFlySpeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"15\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"30\"/>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"JoystickFlyOut\" class=\"vtkPVJoystickFlyOut\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" >\n"
"      <DoubleVectorProperty\n"
"        name=\"FlySpeed\"\n"
"        command=\"SetFlySpeed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"15\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"30\"/>\n"
"      </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"TrackballMoveActor\" class=\"vtkPVTrackballMoveActor\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballPan1\" class=\"vtkTrackballPan\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballPan2\" class=\"vtkPVTrackballPan\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballRoll\" class=\"vtkPVTrackballRoll\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballRotate\" class=\"vtkPVTrackballRotate\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballZoom\" class=\"vtkPVTrackballZoom\" base_proxygroup=\"cameramanipulators\"\n"
"      base_proxyname=\"CameraManipulator\"\n"
"      processes=\"client|renderserver|dataserver\" />\n"
"\n"
"    <Proxy name=\"TrackballMultiRotate\" class=\"vtkPVTrackballMultiRotate\"\n"
"           base_proxygroup=\"cameramanipulators\"\n"
"           base_proxyname=\"CameraManipulator\"\n"
"           processes=\"client|renderserver|dataserver\" />\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"PropPickers\">\n"
"    <Proxy name=\"AreaPicker\"\n"
"           class=\"vtkRenderedAreaPicker\">\n"
"\n"
"      <ProxyProperty\n"
"        name=\"SetRenderer\"\n"
"        command=\"SetRenderer\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"renderers\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"SetPickCoords\"\n"
"        command=\"SetPickCoords\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"0.0 0.0 0.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0 0.0 0.0 0.0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Property\n"
"        name=\"Pick\"\n"
"        command=\"Pick\"\n"
"        is_internal=\"1\">\n"
"      </Property>\n"
"    </Proxy>\n"
"\n"
"    <!-- End of PropPickers -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"views\">\n"
"    <!--\n"
"    <CaveRenderViewProxy name=\"CaveRenderView\"\n"
"          base_proxygroup=\"views\" base_proxyname=\"IceTMultiDisplayRenderView\">\n"
"      <Documentation>\n"
"        Cave Render View for tile displays.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy  name=\"ParallelRenderManager\"\n"
"                proxygroup=\"composite_managers\"\n"
"                proxyname=\"CaveRenderManager\"\n"
"                override=\"1\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    </CaveRenderViewProxy>\n"
"    -->\n"
"    <!-- End of group \"views\" -->\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"options\">\n"
"  <!-- =================================================================== -->\n"
"    <ContextNamedOptionsProxy name=\"PlotOptionsBase\" class=\"vtkContextNamedOptions\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <StringVectorProperty name=\"VisibilityInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/rendering.xml
static const char* vtkSMDefaultModulesrenderingInterface2 =
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of visibility for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"VisibilityInfo\" >\n"
"        <Documentation>\n"
"          Set the series visibility.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineThicknessInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line thickness for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineThickness\"\n"
"        command=\"SetLineThickness\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LineThicknessInfo\" >\n"
"        <Documentation>\n"
"          Set the series line thickness.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineStyleInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line style for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineStyle\"\n"
"        command=\"SetLineStyle\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LineStyleInfo\">\n"
"        <Documentation>\n"
"          Set the series line style.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LabelInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of labels for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Label\"\n"
"        command=\"SetLabel\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 2\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LabelInfo\">\n"
"        <Documentation>\n"
"          Set the series labels.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorInfo\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line color for the series.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        element_types=\"2 1 1 1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"ColorInfo\" >\n"
"        <Documentation>\n"
"          Set the series line color.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"MarkerStyleInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of marker style for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"MarkerStyle\"\n"
"        command=\"SetMarkerStyle\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"MarkerStyleInfo\">\n"
"        <Documentation>\n"
"          Set the series marker style.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PlotCornerInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of marker style for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PlotCorner\"\n"
"        command=\"SetAxisCorner\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"PlotCornerInfo\">\n"
"        <Documentation>\n"
"          Set the series axis corner.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <!-- End of PlotOptionsBase -->\n"
"    </ContextNamedOptionsProxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesrenderingGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesrenderingInterface0)
    + strlen(vtkSMDefaultModulesrenderingInterface1)
    + strlen(vtkSMDefaultModulesrenderingInterface2) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesrenderingInterface0);
  strcat(res, vtkSMDefaultModulesrenderingInterface1);
  strcat(res, vtkSMDefaultModulesrenderingInterface2);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"views\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"ViewBase\" class=\"vtkPVView\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"\n"
"      <DoubleVectorProperty name=\"ViewTime\"\n"
"        command=\"SetViewTime\"\n"
"        number_of_elements=\"1\"\n"
"        state_ignored=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The pipeline update time for this view.\n"
"          This gets passed to all representations added to this view.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CacheKey\"\n"
"        command=\"SetCacheKey\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This is the cache key used to indentify which cache entry to use for\n"
"          rendering when caching is enabled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseCache\"\n"
"        command=\"SetUseCache\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicates whether to use cache for subsequent renderings.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ViewPosition\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\">\n"
"        <Documentation>\n"
"          Set the position on this view in the multiview configuration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ViewSize\"\n"
"        command=\"SetSize\"\n"
"        number_of_elements=\"2\"\n"
"        state_ignored=\"1\"\n"
"        default_values=\"400 400\" >\n"
"        <Documentation>\n"
"          Set the size of this view in the multiview configuration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Representations\"\n"
"        command=\"AddRepresentation\"\n"
"        remove_command=\"RemoveRepresentation\"\n"
"        repeatable=\"1\">\n"
"        <Documentation>\n"
"          Representations in this view.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RenderViewProxy name=\"RenderView\" class=\"vtkPVRenderView\"\n"
"           processes=\"client|renderserver|dataserver\"\n"
"           base_proxygroup=\"views\" base_proxyname=\"ViewBase\" >\n"
"      <Documentation>\n"
"        View proxy for a 3D interactive render view.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"UseOffscreenRendering\"\n"
"        command=\"SetUseOffscreenRendering\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to use offscreen rendering.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseOffscreenRenderingForScreenshots\"\n"
"        command=\"SetUseOffscreenRenderingForScreenshots\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether offscreen rendering should be used during\n"
"          CaptureWindow calls.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseInteractiveRenderingForSceenshots\"\n"
"        command=\"SetUseInteractiveRenderingForSceenshots\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether InteractiveRender() should be used during\n"
"          CaptureWindow calls. Default is to use StillRender().\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InteractionMode\"\n"
"        command=\"SetInteractionMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"3D\" value=\"0\" />\n"
"          <Entry text=\"2D\" value=\"1\" />\n"
"          <Entry text=\"Selection\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"StillRenderImageReductionFactor\"\n"
"        command=\"SetStillRenderImageReductionFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"20\" />\n"
"        <Documentation>\n"
"          Get/Set the reduction-factor to use when for StillRender(). This is\n"
"          typically set to 1, but in some cases with terrible connectivity or\n"
"          really large displays, one may want to use a sub-sampled image even\n"
"          for StillRender(). This is set it number of pixels to be sub-sampled\n"
"          by.  Note that image reduction factors have no effect when in built-in\n"
"          mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CollectGeometryThreshold\"\n"
"        command=\"SetClientOutlineThreshold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100.0\">\n"
"        <Documentation>\n"
"          Select the threshold under which any geometry is collected on the\n"
"          client.  When the data size exceeds the threshold, the client shows\n"
"          outlines instead of actual data. Size is in kilobytes.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ImageReductionFactor\"\n"
"        command=\"SetInteractiveRenderImageReductionFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"20\" />\n"
"        <Documentation>\n"
"          Get/Set the reduction-factor to use when for InteractiveRender(). This\n"
"          is set it number of pixels to be sub-sampled by. Note that image\n"
"          reduction factors have no effect when in built-in mode.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"RemoteRenderThreshold\"\n"
"        command=\"SetRemoteRenderingThreshold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"20.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>\n"
"           The threshold used to determine if the compositing should be used\n"
"           for rendering. The value is rendering-geometry size in MBs.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LODThreshold\"\n"
"        command=\"SetLODRenderingThreshold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Set the memory size threshold above which LOD will be used while\n"
"          rendering interactively. The value is rendering-geometry size in MBs.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LODResolution\"\n"
"        command=\"SetLODResolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1.0\" />\n"
"        <Documentation>\n"
"          Set the LOD resolution. 0 implies lowest level or detail, while 1\n"
"          implies maximum level of detail.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CompressorConfig\"\n"
"        command=\"ConfigureCompressor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"vtkSquirtCompressor 0 3\">\n"
"        <Documentation>\n"
"          Used to configure the image compression used for client-server image\n"
"          transfer when doing interactive renders.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseLight\"\n"
"        command=\"SetUseLightKit\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Enable/Disable the LightKit.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"LightSwitch\"\n"
"        command=\"SetLightSwitch\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"          Turn on/off the default light in the 3D renderer.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CenterAxesVisibility\"\n"
"          command=\"SetCenterAxesVisibility\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Toggle the visibility of the axes showing the center of rotation in\n"
"          the scene.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OrientationAxesInteractivity\"\n"
"          command=\"SetOrientationAxesInteractivity\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OrientationAxesVisibility\"\n"
"          command=\"SetOrientationAxesVisibility\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"OrientationAxesLabelColor\"\n"
"          command=\"SetOrientationAxesLabelColor\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"1 1 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"OrientationAxesOutlineColor\"\n"
"          command=\"SetOrientationAxesOutlineColor\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"1 1 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CenterOfRotation\"\n"
"        command=\"SetCenterOfRotation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <Documentation>\n"
"          Center of rotation for the interactor.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NonInteractiveRenderDelay\"\n"
"        command=\"SetNonInteractiveRenderDelay\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <Documentation>\n"
"          Set the delay (in seconds) after an interactive render before\n"
"          switching to a full-rese render.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"CameraManipulators\"\n"
"        command=\"AddManipulator\"\n"
"        clean_command=\"RemoveAllManipulators\"\n"
"        is_internal=\"1\"\n"
"        repeatable=\"1\">\n"
"        <!-- For now, we are marking this property is_internal so that it won't\n"
"        get saved in state files.\n"
"        Eventually, we need to take out all the interaction related code from\n"
"        the server manager -->\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"cameramanipulators\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <!-- Key Light -->\n"
"      <DoubleVectorProperty name=\"KeyLightWarmth\"\n"
"        command=\"SetKeyLightWarmth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.60\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" resolution=\"0.01\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"KeyLightIntensity\"\n"
"        command=\"SetKeyLightIntensity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.75\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"2\" resolution=\"0.05\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"KeyLightElevation\"\n"
"        command=\"SetKeyLightElevation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"50.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"90\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"KeyLightAzimuth\"\n"
"        command=\"SetKeyLightAzimuth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"10.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-90\" max=\"90\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Fill Light -->\n"
"      <DoubleVectorProperty name=\"FillLightWarmth\"\n"
"        command=\"SetFillLightWarmth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.40\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" resolution=\"0.01\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FillLightK:F Ratio\"\n"
"        command=\"SetKeyToFillRatio\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"15\" resolution=\"0.1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FillLightElevation\"\n"
"        command=\"SetFillLightElevation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-75.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-90\" max=\"10\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FillLightAzimuth\"\n"
"        command=\"SetFillLightAzimuth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"-10.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-90\" max=\"90\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Back Light -->\n"
"      <DoubleVectorProperty name=\"BackLightWarmth\"\n"
"        command=\"SetBackLightWarmth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.50\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" resolution=\"0.01\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackLightK:B Ratio\"\n"
"        command=\"SetKeyToBackRatio\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"15\" resolution=\"0.1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackLightElevation\"\n"
"        command=\"SetBackLightElevation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"-45\" max=\"45\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackLightAzimuth\"\n"
"        command=\"SetBackLightAzimuth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"110.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"60\" max=\"170\" resolution=\"1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Head Light -->\n"
"      <DoubleVectorProperty name=\"HeadLightWarmth\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface1 =
"        command=\"SetHeadLightWarmth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.50\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" resolution=\"0.01\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HeadLightK:H Ratio\"\n"
"        command=\"SetKeyToHeadRatio\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3.0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"1\" max=\"15\" resolution=\"0.1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- Maintain Luminance -->\n"
"     <IntVectorProperty name=\"MaintainLuminance\"\n"
"        command=\"SetMaintainLuminance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"DepthPeeling\"\n"
"       command=\"SetUseDepthPeeling\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"MaximumNumberOfPeels\"\n"
"       command=\"SetMaximumNumberOfPeels\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"4\">\n"
"       <Documentation>\n"
"         In case of depth peeling, define the maximum number of peeling layers.\n"
"         Initial value is 4. A special value of 0 means no maximum limit. It\n"
"         has to be a positive value.\n"
"       </Documentation>\n"
"       <IntRangeDomain name=\"range\" min=\"0\" />\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Background\"\n"
"       command=\"SetBackground\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"0 0 0\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Background2\"\n"
"       command=\"SetBackground2\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"0 0 0.165\" >\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <ProxyProperty name=\"BackgroundTexture\"\n"
"       command=\"SetBackgroundTexture\">\n"
"       <ProxyGroupDomain name=\"groups\">\n"
"         <Group name=\"textures\"/>\n"
"       </ProxyGroupDomain>\n"
"     </ProxyProperty>\n"
"\n"
"     <IntVectorProperty name=\"UseGradientBackground\"\n"
"       command=\"SetGradientBackground\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"UseTexturedBackground\"\n"
"       command=\"SetTexturedBackground\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\" >\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"LightAmbientColor\"\n"
"       command=\"SetAmbientColor\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"1.0 1.0 1.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"LightSpecularColor\"\n"
"       command=\"SetSpecularColor\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"1.0 1.0 1.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"LightDiffuseColor\"\n"
"       command=\"SetDiffuseColor\"\n"
"       number_of_elements=\"3\"\n"
"       default_values=\"1.0 1.0 1.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"LightIntensity\"\n"
"       command=\"SetIntensity\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1.0\">\n"
"       <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"LightType\"\n"
"       command=\"SetLightType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"HeadLight\" />\n"
"         <Entry value=\"2\" text=\"CameraLight\" />\n"
"         <Entry value=\"3\" text=\"SceneLight\" />\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"StereoCapableWindow\"\n"
"       command=\"SetStereoCapableWindow\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"StereoRender\"\n"
"       command=\"SetStereoRender\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"StereoType\"\n"
"       command=\"SetStereoType\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"2\">\n"
"       <EnumerationDomain name=\"enum\">\n"
"         <Entry value=\"1\" text=\"Crystal Eyes\" />\n"
"         <Entry value=\"2\" text=\"Red-Blue\" />\n"
"         <Entry value=\"3\" text=\"Interlaced\" />\n"
"         <Entry value=\"4\" text=\"Left\" />\n"
"         <Entry value=\"5\" text=\"Right\" />\n"
"         <Entry value=\"6\" text=\"Dresden\" />\n"
"         <Entry value=\"7\" text=\"Anaglyph\" />\n"
"         <Entry value=\"8\" text=\"Checkerboard\" />\n"
"       </EnumerationDomain>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"MultiSamples\"\n"
"       command=\"SetMultiSamples\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"0\">\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"AlphaBitPlanes\"\n"
"       command=\"SetAlphaBitPlanes\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <IntVectorProperty name=\"StencilCapable\"\n"
"       command=\"SetStencilCapable\"\n"
"       number_of_elements=\"1\"\n"
"       default_values=\"1\">\n"
"       <BooleanDomain name=\"bool\"/>\n"
"     </IntVectorProperty>\n"
"\n"
"     <ProxyProperty name=\"HiddenRepresentations\"\n"
"       command=\"AddRepresentation\"\n"
"       remove_command=\"RemoveRepresentation\"\n"
"       is_internal=\"1\"\n"
"       repeatable=\"1\">\n"
"       <Documentation>\n"
"         This property is meant for adding/removing representation secretly.\n"
"         e.g. 3D widgets etc. This property is not saved in states nor it\n"
"         recorded by undo-redo.\n"
"       </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <ProxyProperty name=\"HiddenProps\"\n"
"       command=\"AddPropToRenderer\"\n"
"       remove_command=\"RemovePropFromRenderer\"\n"
"       is_internal=\"1\"\n"
"       repeatable=\"1\">\n"
"       <Documentation>\n"
"         This property is meant for adding/removing props secretly.\n"
"         e.g. 3D widgets etc. This property is not saved in states nor it\n"
"         recorded by undo-redo.\n"
"       </Documentation>\n"
"     </ProxyProperty>\n"
"\n"
"     <Property name=\"ResetCamera\" command=\"ResetCamera\" />\n"
"\n"
"     <SubProxy>\n"
"       <Proxy name=\"ActiveCamera\" proxyname=\"Camera\" proxygroup=\"camera\">\n"
"       </Proxy>\n"
"       <ExposedProperties>\n"
"         <Property name=\"CameraPositionInfo\" />\n"
"         <Property name=\"CameraPosition\" />\n"
"         <Property name=\"CameraFocalPointInfo\" />\n"
"         <Property name=\"CameraFocalPoint\" />\n"
"         <Property name=\"CameraViewUpInfo\" />\n"
"         <Property name=\"CameraViewUp\" />\n"
"         <Property name=\"CameraViewAngle\" />\n"
"         <Property name=\"CameraClippingRangeInfo\" />\n"
"         <Property name=\"CameraClippingRange\" />\n"
"         <Property name=\"CameraParallelScale\" />\n"
"         <Property name=\"CameraParallelScaleInfo\" />\n"
"         <Property name=\"CameraParallelProjection\" />\n"
"         <Property name=\"EyeAngle\" />\n"
"	 <Property name=\"HeadPose\" />\n"
"	 <Property name=\"WandPose\" />\n"
"       </ExposedProperties>\n"
"     </SubProxy>\n"
"    </RenderViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <TwoDRenderViewProxy name=\"2DRenderView\"\n"
"                         class=\"vtkPV2DRenderView\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         base_proxygroup=\"views\"\n"
"                         base_proxyname=\"RenderView\" >\n"
"      <Documentation>\n"
"        2D render view. Currently this view can only show image slices.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"AxesVisibility\"\n"
"        command=\"SetAxisVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility of the 2D overlay axes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    </TwoDRenderViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy name=\"XYChartViewBase\"\n"
"                      class=\"vtkPVXYChartView\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      base_proxygroup=\"views\"\n"
"                      base_proxyname=\"ViewBase\" >\n"
"      <Documentation>\n"
"        This is the base proxy for XY chart views.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ChartTitle\"\n"
"        command=\"SetTitle\"\n"
"        number_of_elements=\"1\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ChartTitleFont\"\n"
"        command=\"SetTitleFont\"\n"
"        number_of_elements=\"4\"\n"
"        element_types=\"2 0 0 0\"\n"
"        default_values_delimiter=\";\"\n"
"        default_values=\"Arial;14;0;0\" >\n"
"        <Documentation>\n"
"          Set the chart title font (familyname, size, bold, italics).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"ChartTitleColor\"\n"
"        command=\"SetTitleColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ChartTitleAlignment\"\n"
"        command=\"SetTitleAlignment\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"2\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ShowLegend\"\n"
"        command=\"SetLegendVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"LegendLocation\"\n"
"        command=\"SetLegendLocation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"4\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ShowAxis\"\n"
"        command=\"SetAxisVisibility\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"1 1 0 0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AxisLogScale\"\n"
"        command=\"SetAxisLogScale\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"0 0 0 0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ShowAxisGrid\"\n"
"        command=\"SetGridVisibility\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"1 1 0 0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisColor\"\n"
"        command=\"SetAxisColor\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        use_index=\"1\"\n"
"        number_of_elements=\"12\"\n"
"        default_values=\n"
"          \"0.0 0.0 0.0   0.0 0.0 0.0   0.0 0.0 0.0   0.0 0.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisGridColor\"\n"
"        command=\"SetGridColor\"\n"
"        use_index=\"1\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"12\"\n"
"        default_values=\n"
"          \"0.95 0.95 0.95   0.95 0.95 0.95   0.95 0.95 0.95   0.95 0.95 0.95\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"ShowAxisLabels\"\n"
"        command=\"SetAxisLabelVisibility\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"1 1 1 1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"AxisLabelFont\"\n"
"        command=\"SetAxisLabelFont\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        element_types=\"2 0 0 0\"\n"
"        number_of_elements=\"16\"\n"
"        default_values_delimiter=\";\"\n"
"        default_values=\"Arial;12;0;0;Arial;12;0;0;Arial;12;0;0;Arial;12;0;0\" >\n"
"        <Documentation>\n"
"          Set the axis title font (familyname, size, bold, italics).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisLabelColor\"\n"
"        command=\"SetAxisLabelColor\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"12\"\n"
"        default_values=\"0 0 0   0 0 0   0 0 0   0 0 0\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AxisLabelNotation\"\n"
"        command=\"SetAxisLabelNotation\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"0 0 0 0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"2\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AxisLabelPrecision\"\n"
"        command=\"SetAxisLabelPrecision\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"2 2 2 2\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"6\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"AxisBehavior\"\n"
"        command=\"SetAxisBehavior\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\"\n"
"        default_values=\"0 0 0 0\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface2 =
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"2\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisRange\"\n"
"        command=\"SetAxisRange\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        number_of_elements=\"8\"\n"
"        default_values=\"0 1 0 1 0 1 0 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"AxisTitle\"\n"
"        command=\"SetAxisTitle\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        number_of_elements=\"4\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"AxisTitleFont\"\n"
"        command=\"SetAxisTitleFont\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"4\"\n"
"        element_types=\"2 0 0 0\"\n"
"        number_of_elements=\"16\"\n"
"        default_values_delimiter=\";\"\n"
"        default_values=\"Arial;12;1;0;Arial;12;1;0;Arial;12;1;0;Arial;12;1;0\">\n"
"        <Documentation>\n"
"          Set the axis title font (familyname, size, bold, italics).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisTitleColor\"\n"
"        command=\"SetAxisTitleColor\"\n"
"        repeat_command=\"1\"\n"
"        use_index=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"12\"\n"
"        default_values=\"0 0 0   0 0 0   0 0 0.5   0 0 0.5\" >\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisLabelsLeft\"\n"
"        command=\"SetAxisLabelsLeft\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetAxisLabelsLeftNumber\"\n"
"        use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisLabelsBottom\"\n"
"        command=\"SetAxisLabelsBottom\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetAxisLabelsBottomNumber\"\n"
"        use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisLabelsRight\"\n"
"        command=\"SetAxisLabelsRight\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetAxisLabelsRightNumber\"\n"
"        use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"AxisLabelsTop\"\n"
"        command=\"SetAxisLabelsTop\"\n"
"        repeat_command=\"1\"\n"
"        set_number_command=\"SetAxisLabelsTopNumber\"\n"
"        use_index=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"TooltipNotation\"\n"
"        command=\"SetTooltipNotation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"2\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"TooltipPrecision\"\n"
"        command=\"SetTooltipPrecision\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"6\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"12\" />\n"
"      </IntVectorProperty>\n"
"\n"
"    </ContextViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy name=\"XYChartView\"\n"
"      base_proxygroup=\"views\"\n"
"      base_proxyname=\"XYChartViewBase\"\n"
"      class=\"vtkPVLineChartView\"\n"
"      processes=\"client|renderserver|dataserver\"\n"
"      representation_name=\"XYChartRepresentation\">\n"
"      <Documentation>\n"
"        This is the proxy for the XY line chart view.\n"
"      </Documentation>\n"
"\n"
"    </ContextViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy name=\"XYBarChartView\"\n"
"      base_proxygroup=\"views\"\n"
"      base_proxyname=\"XYChartViewBase\"\n"
"      class=\"vtkPVBarChartView\"\n"
"      processes=\"client|renderserver|dataserver\"\n"
"      representation_name=\"XYBarChartRepresentation\">\n"
"      <Documentation>\n"
"        This is the proxy for bar chart view.\n"
"      </Documentation>\n"
"\n"
"    </ContextViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ContextViewProxy name=\"ParallelCoordinatesChartView\"\n"
"      base_proxygroup=\"views\"\n"
"      base_proxyname=\"ViewBase\"\n"
"      class=\"vtkPVParallelCoordinatesChartView\"\n"
"      processes=\"client|renderserver|dataserver\"\n"
"      representation_name=\"ParallelCoordinatesRepresentation\">\n"
"      <Documentation>\n"
"        This is the proxy for parallel coordinates chart view.\n"
"      </Documentation>\n"
"\n"
"    </ContextViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ViewProxy name=\"SpreadSheetView\"\n"
"      base_proxygroup=\"views\"\n"
"      base_proxyname=\"ViewBase\"\n"
"      class=\"vtkSpreadSheetView\"\n"
"      processes=\"client|dataserver|renderserver\"\n"
"      representation_name=\"SpreadSheetRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"SelectionOnly\"\n"
"        command=\"SetShowExtractedSelection\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          When set to 1, this representations shows only the selected cells (or\n"
"          points). The change will effect only after calling Update().\n"
"          Note that changing this will clean all cache.\n"
"        </Documentation>\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColumnToSort\"\n"
"        command=\"SetColumnNameToSort\">\n"
"      </StringVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"SelectedComponent\"\n"
"         command=\"SetComponentToSort\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"-1\">\n"
"         <IntRangeDomain name=\"range\" />\n"
"       </IntVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"InvertOrder\"\n"
"         command=\"SetInvertSortOrder\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"         <BooleanDomain name=\"bool\"/>\n"
"       </IntVectorProperty>\n"
"\n"
"       <IdTypeVectorProperty name=\"BlockSize\"\n"
"         command=\"SetBlockSize\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1024\">\n"
"         <Documentation>\n"
"           Get/Set the number of rows that fit within one block. The output of\n"
"           this filter will have at most BlockSize rows.\n"
"         </Documentation>\n"
"       </IdTypeVectorProperty>\n"
"\n"
"      <!-- End of SpreadSheetView -->\n"
"    </ViewProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ==================================================================== -->\n"
"  <ProxyGroup name=\"representations\">\n"
"\n"
"    <PVRepresentationProxy name=\"PVRepresentationBase\"\n"
"                               class=\"vtkPVCompositeRepresentation\"\n"
"                               processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        ParaView's default representation for showing any type of dataset in the\n"
"        render view.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SelectionVisibility\"\n"
"        command=\"SetSelectionVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for the selection, if any.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CubeAxesVisibility\"\n"
"        command=\"SetCubeAxesVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for the cube axes.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <RepresentationType\n"
"        subproxy=\"OutlineRepresentation\" text=\"Outline\"/>\n"
"      <RepresentationType\n"
"        subproxy=\"SurfaceRepresentation\" text=\"Points\" subtype=\"Points\" />\n"
"      <RepresentationType\n"
"        subproxy=\"SurfaceRepresentation\" text=\"Wireframe\" subtype=\"Wireframe\" />\n"
"      <RepresentationType\n"
"        subproxy=\"SurfaceRepresentation\" text=\"Surface\" subtype=\"Surface\" />\n"
"      <RepresentationType\n"
"        subproxy=\"SurfaceRepresentation\" text=\"Surface With Edges\"\n"
"        subtype=\"Surface With Edges\" />\n"
"      <RepresentationType\n"
"        subproxy=\"Glyph3DRepresentation\" text=\"3D Glyphs\" subtype=\"Surface\" />\n"
"\n"
"      <StringVectorProperty name=\"RepresentationTypesInfo\"\n"
"        command=\"GetRepresentationTypes\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArrayProperty\">\n"
"        <Documentation>\n"
"          Property that lists the available representation types. This is used\n"
"          by the domain for \"Representation\" to setup the list of types\n"
"          available correctly.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"Representation\"\n"
"        command=\"SetActiveRepresentation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Surface\">\n"
"        <Documentation>\n"
"          Choose the type for the representation.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"list\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"RepresentationTypesInfo\" function=\"StringList\" />\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectionCellFieldDataArrayName\"\n"
"        command=\"SetCellFieldDataArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"vtkOriginalCellIds\" >\n"
"        <ArrayListDomain name=\"array_list\" input_domain_name=\"input_array_cell\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectionPointFieldDataArrayName\"\n"
"        command=\"SetPointFieldDataArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"vtkOriginalPointIds\" >\n"
"        <ArrayListDomain name=\"array_list\" input_domain_name=\"input_array_point\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SurfaceRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"SurfaceRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"AllowSpecularHighlightingWithScalarColoring\" />\n"
"          <Property name=\"Ambient\" />\n"
"          <Property name=\"AmbientColor\" />\n"
"          <Property name=\"BackfaceAmbientColor\" />\n"
"          <Property name=\"BackfaceDiffuseColor\" />\n"
"          <Property name=\"BackfaceOpacity\" />\n"
"          <Property name=\"BackfaceRepresentation\" />\n"
"          <Property name=\"ColorArrayName\" />\n"
"          <Property name=\"ColorAttributeType\" />\n"
"          <Property name=\"Diffuse\" />\n"
"          <Property name=\"DiffuseColor\" />\n"
"          <Property name=\"EdgeColor\" />\n"
"          <Property name=\"InterpolateScalarsBeforeMapping\" />\n"
"          <Property name=\"Interpolation\" />\n"
"          <Property name=\"LineWidth\" />\n"
"          <Property name=\"LookupTable\" />\n"
"          <Property name=\"MapScalars\" />\n"
"          <Property name=\"NonlinearSubdivisionLevel\" />\n"
"          <Property name=\"Opacity\" />\n"
"          <Property name=\"Orientation\" />\n"
"          <Property name=\"Origin\" />\n"
"          <Property name=\"Pickable\" />\n"
"          <Property name=\"PointSize\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Scale\" />\n"
"          <Property name=\"Specular\" />\n"
"          <Property name=\"SpecularColor\" />\n"
"          <Property name=\"SpecularPower\" />\n"
"          <Property name=\"StaticMode\" />\n"
"          <Property name=\"SuppressLOD\" />\n"
"          <Property name=\"Texture\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"OutlineRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"OutlineRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Glyph3DRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"Glyph3DRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Masking\" />\n"
"          <Property name=\"MeshVisibility\" />\n"
"          <Property name=\"Orient\" />\n"
"          <Property name=\"OrientationMode\" />\n"
"          <Property name=\"ScaleFactor\" />\n"
"          <Property name=\"ScaleMode\" />\n"
"          <Property name=\"Scaling\" />\n"
"          <Property name=\"SelectMaskArray\" />\n"
"          <Property name=\"SelectOrientationVectors\" />\n"
"          <Property name=\"SelectScaleArray\" />\n"
"          <Property name=\"Source\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface3 =
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"CubeAxesRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"CubeAxesRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property exposed_name=\"CubeAxesColor\" name=\"Color\" />\n"
"          <Property exposed_name=\"CubeAxesCornerOffset\" name=\"CornerOffset\" />\n"
"          <Property exposed_name=\"CubeAxesFlyMode\" name=\"FlyMode\" />\n"
"          <Property exposed_name=\"CubeAxesInertia\" name=\"Inertia\" />\n"
"          <Property exposed_name=\"CubeAxesTickLocation\" name=\"TickLocation\" />\n"
"          <Property exposed_name=\"CubeAxesXAxisMinorTickVisibility\" name=\"XAxisMinorTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesXAxisTickVisibility\" name=\"XAxisTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesXAxisVisibility\" name=\"XAxisVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesXGridLines\" name=\"XGridLines\" />\n"
"          <Property exposed_name=\"CubeAxesXTitle\" name=\"XTitle\" />\n"
"          <Property exposed_name=\"CubeAxesYAxisMinorTickVisibility\" name=\"YAxisMinorTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesYAxisTickVisibility\" name=\"YAxisTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesYAxisVisibility\" name=\"YAxisVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesYGridLines\" name=\"YGridLines\" />\n"
"          <Property exposed_name=\"CubeAxesYTitle\" name=\"YTitle\" />\n"
"          <Property exposed_name=\"CubeAxesZAxisMinorTickVisibility\" name=\"ZAxisMinorTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesZAxisTickVisibility\" name=\"ZAxisTickVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesZAxisVisibility\" name=\"ZAxisVisibility\" />\n"
"          <Property exposed_name=\"CubeAxesZGridLines\" name=\"ZGridLines\" />\n"
"          <Property exposed_name=\"CubeAxesZTitle\" name=\"ZTitle\" />\n"
"		  <Property name=\"DataBounds\" />\n"
"          <Property name=\"CustomBounds\"/>\n"
"          <Property name=\"CustomBoundsActive\"/>\n"
"        </ExposedProperties>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SelectionRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"SelectionRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"          <Exception name=\"Representation\" />\n"
"          <Exception name=\"Color\" />\n"
"          <Exception name=\"LineWidth\" />\n"
"          <Exception name=\"Opacity\" />\n"
"          <Exception name=\"PointSize\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CellLabelBold\" exposed_name=\"SelectionCellLabelBold\" />\n"
"          <Property name=\"CellLabelColor\" exposed_name=\"SelectionCellLabelColor\" />\n"
"          <Property name=\"CellLabelFontFamily\" exposed_name=\"SelectionCellLabelFontFamily\" />\n"
"          <Property name=\"CellLabelFontSize\" exposed_name=\"SelectionCellLabelFontSize\" />\n"
"          <Property name=\"CellLabelFormat\" exposed_name=\"SelectionCellLabelFormat\" />\n"
"          <Property name=\"CellLabelItalic\" exposed_name=\"SelectionCellLabelItalic\" />\n"
"          <Property name=\"CellLabelJustification\" exposed_name=\"SelectionCellLabelJustification\" />\n"
"          <Property name=\"CellLabelOpacity\" exposed_name=\"SelectionCellLabelOpacity\" />\n"
"          <Property name=\"CellLabelShadow\" exposed_name=\"SelectionCellLabelShadow\" />\n"
"          <Property name=\"CellLabelVisibility\" exposed_name=\"SelectionCellLabelVisibility\" />\n"
"          <Property name=\"Color\" exposed_name=\"SelectionColor\" />\n"
"          <Property name=\"LineWidth\" exposed_name=\"SelectionLineWidth\" />\n"
"          <Property name=\"Opacity\" exposed_name=\"SelectionOpacity\" />\n"
"          <Property name=\"PointLabelBold\" exposed_name=\"SelectionPointLabelBold\" />\n"
"          <Property name=\"PointLabelColor\" exposed_name=\"SelectionPointLabelColor\" />\n"
"          <Property name=\"PointLabelFontFamily\" exposed_name=\"SelectionPointLabelFontFamily\" />\n"
"          <Property name=\"PointLabelFontSize\" exposed_name=\"SelectionPointLabelFontSize\" />\n"
"          <Property name=\"PointLabelFormat\" exposed_name=\"SelectionPointLabelFormat\" />\n"
"          <Property name=\"PointLabelItalic\" exposed_name=\"SelectionPointLabelItalic\" />\n"
"          <Property name=\"PointLabelJustification\" exposed_name=\"SelectionPointLabelJustification\" />\n"
"          <Property name=\"PointLabelOpacity\" exposed_name=\"SelectionPointLabelOpacity\" />\n"
"          <Property name=\"PointLabelShadow\" exposed_name=\"SelectionPointLabelShadow\" />\n"
"          <Property name=\"PointLabelVisibility\" exposed_name=\"SelectionPointLabelVisibility\" />\n"
"          <Property name=\"PointSize\" exposed_name=\"SelectionPointSize\" />\n"
"          <Property name=\"Representation\" exposed_name=\"SelectionRepresentation\" />\n"
"          <Property name=\"UseOutline\" exposed_name=\"SelectionUseOutline\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy name=\"GeometryRepresentation\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\"\n"
"                           base_proxygroup=\"representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\">\n"
"      <Documentation>\n"
"        ParaView's default representation for showing any type of dataset in the\n"
"        render view.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"          <DataType value=\"vtkGenericDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array_cell\" attribute_type=\"cell\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain name=\"input_array_point\" attribute_type=\"point\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <!-- End of GeometryRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <PVRepresentationProxy name=\"UnstructuredGridRepresentation\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\"\n"
"                           base_proxygroup=\"representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\">\n"
"      <Documentation>\n"
"        This representation is used to show unstructured grid as\n"
"        Surface/Outline/Points/Wireframe/Volume\n"
"      </Documentation>\n"
"\n"
"      <!-- this adds to what is already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\" text=\"Volume\"/>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array_cell\" attribute_type=\"cell\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain name=\"input_array_point\" attribute_type=\"point\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"UnstructuredGridVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ScalarOpacityFunction\" />\n"
"          <Property name=\"ScalarOpacityUnitDistance\" />\n"
"          <Property name=\"ExtractedBlockIndex\" />\n"
"          <Property name=\"SelectMapper\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of UnstructuredGridRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <PVRepresentationProxy name=\"UniformGridRepresentation\"\n"
"                           class=\"vtkPVCompositeRepresentation\"\n"
"                           processes=\"client|renderserver|dataserver\"\n"
"                           base_proxygroup=\"representations\"\n"
"                           base_proxyname=\"PVRepresentationBase\">\n"
"      <Documentation>\n"
"        This representation is used to show image data as\n"
"        Surface/Outline/Points/Wireframe/Volume/Slice.\n"
"      </Documentation>\n"
"\n"
"      <!-- this adds to the types already defined in PVRepresentationBase -->\n"
"      <RepresentationType subproxy=\"VolumeRepresentation\" text=\"Volume\"/>\n"
"      <RepresentationType subproxy=\"SliceRepresentation\" text=\"Slice\"/>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array_cell\" attribute_type=\"cell\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <InputArrayDomain name=\"input_array_point\" attribute_type=\"point\"\n"
"          optional=\"1\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"UniformGridVolumeRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"LockSampleDistanceToInputSpacing\" />\n"
"          <Property name=\"ScalarOpacityUnitDistance\" />\n"
"          <Property name=\"ScalarOpacityFunction\" />\n"
"          <Property name=\"SelectMapper\" />\n"
"          <Property name=\"BlendMode\"/>\n"
"          <Property name=\"AutoAdjustSampleDistances\"/>\n"
"          <Property name=\"SampleDistance\"/>\n"
"          <Property name=\"Shade\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"SliceRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"ImageSliceRepresentation\" />\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\" >\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Slice\" />\n"
"          <Property name=\"SliceMode\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of UniformGridRepresentation -->\n"
"    </PVRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"UnstructuredGridVolumeRepresentation\"\n"
"                         class=\"vtkUnstructuredGridVolumeRepresentation\"\n"
"                         si_class=\"vtkSIUnstructuredGridVolumeRepresentationProxy\"\n"
"                         processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation for rendering a vtkImageData as volume.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorAttributeType\"\n"
"        command=\"SetColorAttributeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"POINT_DATA\" />\n"
"          <Entry value=\"1\" text=\"CELL_DATA\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorArrayName\"\n"
"        command=\"SetColorArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array name to color by. Set it to empty string to use solid\n"
"          color.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface4 =
"          input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ExtractedBlockIndex\"\n"
"        command=\"SetExtractedBlockIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          In case of multiblock datasets, choose the flat index of the dataset to\n"
"          volume render. The flat index must point to an unstructured grid dataset.\n"
"          If the input is not a multiblock dataset then this index is ignored.\n"
"        </Documentation>\n"
"        <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Pickable\"\n"
"        command=\"SetPickable\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InterpolationType\"\n"
"        command=\"SetInterpolationType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\" >\n"
"          <Entry value=\"0\" text=\"Nearest\" />\n"
"          <Entry value=\"1\" text=\"Linear\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"LookupTable\"\n"
"        command=\"SetColor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty name=\"ScalarOpacityFunction\"\n"
"        command=\"SetScalarOpacity\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectMapper\"\n"
"        command=\"SetActiveVolumeMapper\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Projected tetra\">\n"
"        <Documentation>\n"
"          Select the volume mapper to use for Volume rendering.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Projected tetra\" />\n"
"          <String value=\"HAVS\" />\n"
"          <String value=\"Z sweep\" />\n"
"          <String value=\"Bunyk ray cast\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ScalarOpacityUnitDistance\"\n"
"        command=\"SetScalarOpacityUnitDistance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeDummyMapper\"\n"
"               proxygroup=\"mappers\"\n"
"               proxyname=\"DummyVolumeMapper\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"RayCastFunction\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeBunykMapper\"\n"
"          proxygroup=\"mappers\"\n"
"          proxyname=\"UnstructuredGridVolumeRayCastMapper\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\">\n"
"          <Exception name=\"Input\" />\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeZSweepMapper\"\n"
"          proxygroup=\"mappers\"\n"
"          proxyname=\"UnstructuredGridVolumeZSweepMapper\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\">\n"
"          <Exception name=\"Input\"/>\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumePTMapper\"\n"
"          proxygroup=\"mappers\"\n"
"          proxyname=\"ProjectedTetrahedraMapper\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\">\n"
"          <Exception name=\"Input\"/>\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeHAVSMapper\"\n"
"          proxygroup=\"mappers\"\n"
"          proxyname=\"HAVSVolumeMapper\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"VolumeDummyMapper\">\n"
"          <Exception name=\"Input\"/>\n"
"        </ShareProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- end of UnstructuredGridVolumeRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"UniformGridVolumeRepresentation\"\n"
"                          class=\"vtkImageVolumeRepresentation\"\n"
"                          si_class=\"vtkSIUniformGridVolumeRepresentationProxy\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation for rendering a vtkImageData as volume.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorAttributeType\"\n"
"        command=\"SetColorAttributeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"POINT_DATA\" />\n"
"          <Entry value=\"1\" text=\"CELL_DATA\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorArrayName\"\n"
"        command=\"SetColorArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array name to color by. Set it to empty string to use solid\n"
"          color.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Pickable\"\n"
"        command=\"SetPickable\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InterpolationType\"\n"
"        command=\"SetInterpolationType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\" >\n"
"          <Entry value=\"0\" text=\"Nearest\" />\n"
"          <Entry value=\"1\" text=\"Linear\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"LookupTable\"\n"
"        command=\"SetColor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"transfer_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Ambient\"\n"
"        command=\"SetAmbient\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Diffuse\"\n"
"        command=\"SetDiffuse\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Specular\"\n"
"        command=\"SetSpecular\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SpecularPower\"\n"
"        command=\"SetSpecularPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Shade\"\n"
"        command=\"SetShade\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable/Disable shading.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"ScalarOpacityFunction\"\n"
"        command=\"SetScalarOpacity\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"piecewise_functions\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectMapper\"\n"
"        command=\"SetActiveVolumeMapper\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Fixed point\">\n"
"        <Documentation>\n"
"          Select the volume mapper to use for Volume rendering.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"list\">\n"
"          <String value=\"Fixed point\" />\n"
"          <String value=\"GPU\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ScalarOpacityUnitDistance\"\n"
"        command=\"SetScalarOpacityUnitDistance\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeFixedPointRayCastMapper\"\n"
"          proxygroup=\"mappers\" proxyname=\"FixedPointVolumeRayCastMapper\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"LockSampleDistanceToInputSpacing\" />\n"
"          <Property name=\"BlendMode\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"VolumeGPURayCastMapper\"\n"
"          proxygroup=\"mappers\" proxyname=\"GPUVolumeRayCastMapper\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"VolumeFixedPointRayCastMapper\">\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <Property name=\"AutoAdjustSampleDistances\"/>\n"
"          <Property name=\"SampleDistance\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <!-- end of UniformGridVolumeRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"OutlineRepresentation\"\n"
"                          class=\"vtkOutlineRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation for showing an outline for any dataset.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Get/Set the visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface5 =
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorAttributeType\"\n"
"        command=\"SetColorAttributeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"POINT_DATA\" />\n"
"          <Entry value=\"1\" text=\"CELL_DATA\" />\n"
"          <Entry value=\"2\" text=\"FIELD_DATA\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorArrayName\"\n"
"        command=\"SetColorArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array name to color by. Set it to empty string to use solid\n"
"          color.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"AmbientColor\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineWidth\"\n"
"        command=\"SetLineWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"LookupTable\"\n"
"        command=\"SetLookupTable\">\n"
"        <Documentation>\n"
"          Set the lookup-table to use to map data array to colors. Lookuptable\n"
"          is only used with MapScalars to ON.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"MapScalars\"\n"
"        command=\"SetMapScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set to true, LookupTable will always be used for scalar mapping\n"
"          even when scalars are unsigned chars. Otherwise, when upto 4 component\n"
"          unsigned chars are present, they will be directly used as colors.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InterpolateScalarsBeforeMapping\"\n"
"        command=\"SetInterpolateScalarsBeforeMapping\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"StaticMode\"\n"
"        command=\"SetStatic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- end of OutlineRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"ImageSliceRepresentation\"\n"
"                          class=\"vtkImageSliceRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation to show 2D images. If the input image has 3D extents,\n"
"        then this representation shows a single Z slice.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <Documentation>\n"
"          Set the input to the representation. Must be a vtkImageData producer.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_array_any\" attribute_type=\"any\">\n"
"        </InputArrayDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorAttributeType\"\n"
"        command=\"SetColorAttributeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Select the attribute type from where the scalars array is used. The\n"
"          scalar array name is specified using ColorArrayName. Note that if the\n"
"          indicated scalar array is not available, then the image data scalars\n"
"          are used.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"POINT_DATA\" />\n"
"          <Entry value=\"1\" text=\"CELL_DATA\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorArrayName\"\n"
"        command=\"SetColorArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array name to color by.\n"
"          If no array name is set, or choosen array is not available, then the\n"
"          image scalars are used by default.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Slice\"\n"
"        command=\"SetSlice\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Set the current slice number. Slice number is used to load a 2D slice\n"
"          from a 3D input image. If the input image is 2D, then the slice number\n"
"          if ignored. The direction of the slice is determined by SliceMode.\n"
"        </Documentation>\n"
"        <DimensionsDomain name=\"dims\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"            <Property name=\"SliceMode\" function=\"Direction\"/>\n"
"          </RequiredProperties>\n"
"        </DimensionsDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SliceMode\"\n"
"        command=\"SetSliceMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5\">\n"
"        <Documentation>\n"
"          Determines the direction of slicing to obtain a 2D slice from a 3D\n"
"          image.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\" >\n"
"          <Entry text=\"XY Plane\" value=\"5\" />\n"
"          <Entry text=\"YZ Plane\" value=\"6\" />\n"
"          <Entry text=\"XZ Plane\" value=\"7\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MapScalars\"\n"
"        command=\"SetMapScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set to true, LookupTable will always be used for scalar mapping\n"
"          even when scalars are unsigned chars. Otherwise, when upto 4 component\n"
"          unsigned chars are present, they will be directly used as colors.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"LookupTable\" command=\"SetLookupTable\">\n"
"        <Documentation>\n"
"          Set the lookup table to use for scalar mapping.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseXYPlane\"\n"
"        command=\"SetUseXYPlane\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the image slice is always rendered in the XY plane (Z==0)\n"
"          irrespective of the image bounds. Default if Off.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Pickable\"\n"
"        command=\"SetPickable\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End of ImageSliceRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"SurfaceRepresentationBase\"\n"
"                          class=\"vtkGeometryRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation to show any dataset in a 3D render view.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Get/Set the visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface6 =
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ColorAttributeType\"\n"
"        command=\"SetColorAttributeType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"POINT_DATA\" />\n"
"          <Entry value=\"1\" text=\"CELL_DATA\" />\n"
"          <Entry value=\"2\" text=\"FIELD_DATA\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorArrayName\"\n"
"        command=\"SetColorArrayName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array name to color by. Set it to empty string to use solid\n"
"          color.\n"
"        </Documentation>\n"
"        <ArrayListDomain name=\"array_list\" attribute_type=\"Scalars\"\n"
"          input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Representation\"\n"
"        command=\"SetRepresentation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Surface\">\n"
"        <StringListDomain name=\"string_list\">\n"
"          <String value=\"Points\" />\n"
"          <String value=\"Wireframe\" />\n"
"          <String value=\"Surface\" />\n"
"          <String value=\"Surface With Edges\" />\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Ambient\"\n"
"        command=\"SetAmbient\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Diffuse\"\n"
"        command=\"SetDiffuse\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Specular\"\n"
"        command=\"SetSpecular\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"SuppressLOD\"\n"
"        command=\"SetSuppressLOD\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"AmbientColor\"\n"
"        command=\"SetAmbientColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"DiffuseColor\"\n"
"        command=\"SetDiffuseColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SpecularColor\"\n"
"        command=\"SetSpecularColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineWidth\"\n"
"        command=\"SetLineWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PointSize\"\n"
"        command=\"SetPointSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Interpolation\"\n"
"        command=\"SetInterpolation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Flat\" />\n"
"          <Entry value=\"1\" text=\"Gouraud\" />\n"
"          <!--<Entry value=\"2\" text=\"Phong\" />-->\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NonlinearSubdivisionLevel\"\n"
"                         command=\"SetNonlinearSubdivisionLevel\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"4\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"SpecularPower\"\n"
"        command=\"SetSpecularPower\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"100.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"100\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EdgeColor\"\n"
"        command=\"SetEdgeColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0.5\">\n"
"        <Documentation>\n"
"          Set the edge color. This color is used to draw the edge for the\n"
"          polygonal data when EdgeVisibility is on.\n"
"        </Documentation>\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Pickable\"\n"
"        command=\"SetPickable\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Texture\"\n"
"        command=\"SetTexture\"\n"
"        null_on_empty=\"1\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"textures\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty name=\"LookupTable\"\n"
"        command=\"SetLookupTable\">\n"
"        <Documentation>\n"
"          Set the lookup-table to use to map data array to colors. Lookuptable\n"
"          is only used with MapScalars to ON.\n"
"        </Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <IntVectorProperty name=\"MapScalars\"\n"
"        command=\"SetMapScalars\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          When set to true, LookupTable will always be used for scalar mapping\n"
"          even when scalars are unsigned chars. Otherwise, when upto 4 component\n"
"          unsigned chars are present, they will be directly used as colors.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"InterpolateScalarsBeforeMapping\"\n"
"        command=\"SetInterpolateScalarsBeforeMapping\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"StaticMode\"\n"
"        command=\"SetStatic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AllowSpecularHighlightingWithScalarColoring\"\n"
"        command=\"SetAllowSpecularHighlightingWithScalarColoring\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of SurfaceRepresentationBase -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"SurfaceRepresentation\"\n"
"                          class=\"vtkGeometryRepresentationWithFaces\"\n"
"                          processes=\"client|renderserver|dataserver\"\n"
"                          base_proxygroup=\"representations\"\n"
"                          base_proxyname=\"SurfaceRepresentationBase\">\n"
"      <Documentation>\n"
"        Representation to show any dataset in a 3D render view.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"BackfaceRepresentation\"\n"
"        command=\"SetBackfaceRepresentation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"400\">\n"
"        <Documentation>\n"
"          Choose the representation type for the backface.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"400\" text=\"Follow Frontface\" />\n"
"          <Entry value=\"401\" text=\"Cull Backface\" />\n"
"          <Entry value=\"402\" text=\"Cull Frontface\" />\n"
"          <Entry value=\"0\" text=\"Points\" />\n"
"          <Entry value=\"1\" text=\"Wireframe\" />\n"
"          <Entry value=\"2\" text=\"Surface\" />\n"
"          <Entry value=\"3\" text=\"Surface With Edges\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackfaceOpacity\"\n"
"        command=\"SetBackfaceOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackfaceAmbientColor\"\n"
"        command=\"SetBackfaceAmbientColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"BackfaceDiffuseColor\"\n"
"        command=\"SetBackfaceDiffuseColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"Glyph3DRepresentation\"\n"
"                          class=\"vtkGlyph3DRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\"\n"
"                          base_proxygroup=\"representations\"\n"
"                          base_proxyname=\"SurfaceRepresentationBase\" >\n"
"      <Documentation>\n"
"        Representation to show any dataset in a 3D render view.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty name=\"Source\" command=\"SetInputConnection\"\n"
"        port_index=\"1\"\n"
"        label=\"Glyph Type\">\n"
"        <Documentation>\n"
"          Specify the source objects.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <ProxyListDomain name=\"proxy_list\">\n"
"          <Proxy group=\"sources\" name=\"ArrowSource\" />\n"
"          <Proxy group=\"sources\" name=\"ConeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CubeSource\" />\n"
"          <Proxy group=\"sources\" name=\"CylinderSource\" />\n"
"          <Proxy group=\"sources\" name=\"LineSource\" />\n"
"          <Proxy group=\"sources\" name=\"SphereSource\" />\n"
"          <Proxy group=\"sources\" name=\"GlyphSource2D\" />\n"
"        </ProxyListDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"MeshVisibility\"\n"
"        command=\"SetMeshVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Get/Set the visibility of the original mesh.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectMaskArray\"\n"
"        command=\"SetMaskArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        label=\"Mask Array\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectScaleArray\"\n"
"        command=\"SetScaleArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        label=\"Scale\" >\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SelectOrientationVectors\"\n"
"        command=\"SetOrientationArray\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\"\n"
"        label=\"Orientation Vectors\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Scaling\"\n"
"        command=\"SetScaling\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable/Disable scaling of source geometry.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface7 =
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ScaleMode\"\n"
"        command=\"SetScaleMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"No Data Scaling Off\" value=\"0\" />\n"
"          <Entry text=\"Magnitude\" value=\"1\" />\n"
"          <Entry text=\"Vector Components\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ScaleFactor\"\n"
"        command=\"SetScaleFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\" >\n"
"        <BoundsDomain name=\"bounds\" mode=\"scaled_extent\" scale_factor=\"0.1\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </BoundsDomain>\n"
"        <ArrayRangeDomain name=\"scalar_range\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"             <Property name=\"SelectInputScalars\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <ArrayRangeDomain name=\"vector_range\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"             <Property name=\"SelectInputVectors\" function=\"ArraySelection\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayRangeDomain>\n"
"        <Documentation>\n"
"          The value of this property will be used as a multiplier for scaling\n"
"          the glyphs before adding them to the output.\n"
"        </Documentation>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Orient\"\n"
"        command=\"SetOrient\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\" >\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          If this property is set to 1, the glyphs will be oriented based on the\n"
"          selected orientation vector array.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OrientationMode\"\n"
"        command=\"SetOrientationMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Direction\" value=\"0\" />\n"
"          <Entry text=\"Rotation\" value=\"1\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Orientation mode indicates if the OrientationArray provides the\n"
"          direction vector for the orientation or the rotations around each\n"
"          axes.  Default is DIRECTION.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Masking\"\n"
"        command=\"SetMasking\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Tells the mapper to skip glyphing input points that haves false values\n"
"          in the mask array. If there is no mask array (id access mode is set\n"
"          and there is no such id, or array name access mode is set and\n"
"          the there is no such name), masking is silently ignored.\n"
"          A mask array is a vtkBitArray with only one component.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- end of Glyph3DRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"CubeAxesRepresentation\"\n"
"                          class=\"vtkCubeAxesRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        CubeAxesRepresentation is a representation for any dataobject which\n"
"        simply shows an axes along the bounding box of the dataobject.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"       <DataTypeDomain name=\"input_type\">\n"
"         <DataType value=\"vtkDataSet\"/>\n"
"       </DataTypeDomain>\n"
"        <Documentation>\n"
"          Set the input to the representation.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"	  <DoubleVectorProperty\n"
"        name=\"DataBounds\"\n"
"        command=\"GetDataBounds\"\n"
"		information_only=\"1\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 1 0 1 0 1\">\n"
"		<SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CustomBounds\"\n"
"        command=\"SetCustomBounds\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 1 0 1 0 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CustomBoundsActive\"\n"
"        command=\"SetCustomBoundsActive\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FlyMode\"\n"
"        command=\"SetFlyMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Outer Edges\" value=\"0\" />\n"
"          <Entry text=\"Closest Triad\" value=\"1\" />\n"
"          <Entry text=\"Furthest Triad\" value=\"2\" />\n"
"          <Entry text=\"Static Triad\" value=\"3\" />\n"
"          <Entry text=\"Static Edges\" value=\"4\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Specify a mode to control how the axes are drawn: either static,\n"
"          closest triad, furthest triad or outer edges in relation to the\n"
"          camera position.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Inertia\"\n"
"        command=\"SetInertia\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          Set the inertial factor that controls how often (i.e, how\n"
"          many renders) the axes can switch position (jump from one axes\n"
"          to another).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CornerOffset\"\n"
"        command=\"SetCornerOffset\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Specify an offset value to \"pull back\" the axes from the corner at\n"
"          which they are joined to avoid overlap of axes labels. The\n"
"          \"CornerOffset\" is the fraction of the axis length to pull back.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"XTitle\"\n"
"        command=\"SetXTitle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"X-Axis\">\n"
"        <Documentation>\n"
"          Set the title for the X axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"YTitle\"\n"
"        command=\"SetYTitle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Y-Axis\">\n"
"        <Documentation>\n"
"          Set the title for the Y axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ZTitle\"\n"
"        command=\"SetZTitle\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Z-Axis\">\n"
"        <Documentation>\n"
"          Set the title for the Z axis.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"XAxisVisibility\"\n"
"        command=\"SetXAxisVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if X axis is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"YAxisVisibility\"\n"
"        command=\"SetYAxisVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if Y axis is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"ZAxisVisibility\"\n"
"        command=\"SetZAxisVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if Z axis is visible.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"XAxisTickVisibility\"\n"
"        command=\"SetXAxisTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if ticks are visible on the X axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"YAxisTickVisibility\"\n"
"        command=\"SetYAxisTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if ticks are visible on the Y axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"ZAxisTickVisibility\"\n"
"        command=\"SetZAxisTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if ticks are visible on the Z axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"XAxisMinorTickVisibility\"\n"
"        command=\"SetXAxisMinorTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if minor ticks are visible on the X axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"YAxisMinorTickVisibility\"\n"
"        command=\"SetYAxisMinorTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if minor ticks are visible on the Y axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty  name=\"ZAxisMinorTickVisibility\"\n"
"        command=\"SetZAxisMinorTickVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Specify if minor ticks are visible on the Z axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"XGridLines\"\n"
"        command=\"SetDrawXGridlines\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if grid lines are drawn parallel to X axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"YGridLines\"\n"
"        command=\"SetDrawYGridlines\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if grid lines are drawn parallel to Y axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ZGridLines\"\n"
"        command=\"SetDrawZGridlines\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Specify if grid lines are drawn parallel to Z axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TickLocation\"\n"
"        command=\"SetTickLocation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Inside\" value=\"0\" />\n"
"          <Entry text=\"Outside\" value=\"1\" />\n"
"          <Entry text=\"Both\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set the location of tick marks.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of CubeAxesRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"DataLabelRepresentation\"\n"
"                          class=\"vtkDataLabelRepresentation\"\n"
"                          processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Representation used to add labels to points/cells of any dataset.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <InputArrayDomain name=\"input_array_any\"\n"
"          attribute_type=\"any\">\n"
"        </InputArrayDomain>\n"
"      </InputProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PointLabelColor\"\n"
"        command=\"SetPointLabelColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.5 0.5 0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PointLabelOpacity\"\n"
"        command=\"SetPointLabelOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PointLabelFontFamily\"\n"
"        command=\"SetPointLabelFontFamily\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Arial\"/>\n"
"          <Entry value=\"1\" text=\"Courier\"/>\n"
"          <Entry value=\"2\" text=\"Times\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PointLabelBold\"\n"
"        command=\"SetPointLabelBold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PointLabelItalic\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface8 =
"        command=\"SetPointLabelItalic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PointLabelShadow\"\n"
"        command=\"SetPointLabelShadow\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"PointLabelFontSize\"\n"
"        command=\"SetPointLabelFontSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"18\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"PointLabelFormat\"\n"
"        command=\"SetPointLabelFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PointLabelJustification\"\n"
"        command=\"SetPointLabelJustification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Left\"/>\n"
"          <Entry value=\"1\" text=\"Center\"/>\n"
"          <Entry value=\"2\" text=\"Right\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PointLabelVisibility\"\n"
"        command=\"SetPointLabelVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"PointLabelMode\"\n"
"        command=\"SetPointLabelMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"6\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"IDs\" />\n"
"          <Entry value=\"1\" text=\"Scalars\" />\n"
"          <Entry value=\"2\" text=\"Vectors\" />\n"
"          <Entry value=\"3\" text=\"Normals\" />\n"
"          <Entry value=\"4\" text=\"TCoords\" />\n"
"          <Entry value=\"5\" text=\"Tensors\" />\n"
"          <Entry value=\"6\" text=\"FieldData\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"PointFieldDataArrayName\"\n"
"        command=\"SetPointFieldDataArrayName\"\n"
"        number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_array\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CellLabelColor\"\n"
"        command=\"SetCellLabelColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 1.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"CellLabelOpacity\"\n"
"        command=\"SetCellLabelOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CellLabelFontFamily\"\n"
"        command=\"SetCellLabelFontFamily\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Arial\"/>\n"
"          <Entry value=\"1\" text=\"Courier\"/>\n"
"          <Entry value=\"2\" text=\"Times\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CellLabelBold\"\n"
"        command=\"SetCellLabelBold\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CellLabelItalic\"\n"
"        command=\"SetCellLabelItalic\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CellLabelShadow\"\n"
"        command=\"SetCellLabelShadow\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"CellLabelFontSize\"\n"
"        command=\"SetCellLabelFontSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"18\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"CellLabelFormat\"\n"
"        command=\"SetCellLabelFormat\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CellLabelJustification\"\n"
"        command=\"SetCellLabelJustification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Left\"/>\n"
"          <Entry value=\"1\" text=\"Center\"/>\n"
"          <Entry value=\"2\" text=\"Right\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CellLabelVisibility\"\n"
"        command=\"SetCellLabelVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CellLabelMode\"\n"
"        command=\"SetCellLabelMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"6\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"IDs\" />\n"
"          <Entry value=\"1\" text=\"Scalars\" />\n"
"          <Entry value=\"2\" text=\"Vectors\" />\n"
"          <Entry value=\"3\" text=\"Normals\" />\n"
"          <Entry value=\"4\" text=\"TCoords\" />\n"
"          <Entry value=\"5\" text=\"Tensors\" />\n"
"          <Entry value=\"6\" text=\"FieldData\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"CellFieldDataArrayName\"\n"
"        command=\"SetCellFieldDataArrayName\"\n"
"        number_of_elements=\"1\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"          input_domain_name=\"input_array\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"    <!-- End of DataLabelRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <RepresentationProxy name=\"SelectionRepresentation\"\n"
"      class=\"vtkSelectionRepresentation\"\n"
"      si_class=\"vtkSISelectionRepresentationProxy\"\n"
"      processes=\"client|renderserver|dataserver\">\n"
"      <Documentation>\n"
"        Proxy to show a selection as geometry.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"        command=\"SetInputConnection\">\n"
"        <InputArrayDomain name=\"input_array_any\"\n"
"          attribute_type=\"any\">\n"
"        </InputArrayDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Get/Set the visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 0.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineWidth\"\n"
"        command=\"SetLineWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" max=\"1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PointSize\"\n"
"        command=\"SetPointSize\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"5.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Representation\"\n"
"        command=\"SetRepresentation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Points\" />\n"
"          <Entry value=\"1\" text=\"Wireframe\" />\n"
"          <Entry value=\"2\" text=\"Surface\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseOutline\"\n"
"        command=\"SetUseOutline\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"        command=\"SetPosition\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Scale\"\n"
"        command=\"SetScale\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1 1 1\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"        command=\"SetOrigin\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"LabelRepresentation\"\n"
"          proxygroup=\"representations\"\n"
"          proxyname=\"DataLabelRepresentation\" />\n"
"        <ExposedProperties>\n"
"          <Property name=\"PointFieldDataArrayName\" />\n"
"          <Property name=\"PointLabelBold\" />\n"
"          <Property name=\"PointLabelColor\" />\n"
"          <Property name=\"PointLabelFontFamily\" />\n"
"          <Property name=\"PointLabelFontSize\" />\n"
"          <Property name=\"PointLabelFormat\" />\n"
"          <Property name=\"PointLabelItalic\" />\n"
"          <Property name=\"PointLabelJustification\" />\n"
"          <Property name=\"PointLabelOpacity\" />\n"
"          <Property name=\"PointLabelShadow\" />\n"
"          <Property name=\"PointLabelVisibility\" />\n"
"\n"
"          <Property name=\"CellFieldDataArrayName\" />\n"
"          <Property name=\"CellLabelBold\" />\n"
"          <Property name=\"CellLabelColor\" />\n"
"          <Property name=\"CellLabelFontFamily\" />\n"
"          <Property name=\"CellLabelFontSize\" />\n"
"          <Property name=\"CellLabelFormat\" />\n"
"          <Property name=\"CellLabelItalic\" />\n"
"          <Property name=\"CellLabelJustification\" />\n"
"          <Property name=\"CellLabelOpacity\" />\n"
"          <Property name=\"CellLabelShadow\" />\n"
"          <Property name=\"CellLabelVisibility\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"    <!-- End of SelectionRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ChartRepresentationProxy name=\"XYChartRepresentationBase\"\n"
"      base_proxygroup=\"representations\"\n"
"      class=\"vtkXYChartRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation used by XYChartView.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\" >\n"
"        <Documentation>\n"
"          Data input for the representation.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface9 =
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AttributeType\"\n"
"        command=\"SetFieldAssociation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Select the attribute data to pass.\n"
"        </Documentation>\n"
"        <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\"\n"
"           disable_update_domain_entries=\"1\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompositeDataSetIndex\"\n"
"        command=\"SetCompositeDataSetIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          In case of Composite datasets, set the flat index of the dataset to\n"
"          pass. The flat index must point to a non-empty, non-composite dataset\n"
"          for anything to be passed through. If the input is not a composite\n"
"          dataset, then this index is ignored.\n"
"        </Documentation>\n"
"        <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SeriesNamesInfo\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        element_types=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIContextArraysProperty\" >\n"
"        <Documentation>\n"
"          Property providing list of available series that can be plotted.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"XArrayName\"\n"
"        command=\"SetXAxisSeriesName\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"\">\n"
"        <Documentation>\n"
"          Set the array to use on X axis. This is used only when\n"
"          UseIndexForXAxis is set to 0.\n"
"        </Documentation>\n"
"        <StringListDomain name=\"array_list\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"SeriesNamesInfo\" function=\"ArrayList\"/>\n"
"          </RequiredProperties>\n"
"        </StringListDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseIndexForXAxis\"\n"
"        command=\"SetUseIndexForXAxis\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When set, the array index will be used for X axis, otherwise the array\n"
"          identified by XArrayName will be used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PlotOptions\"\n"
"          proxygroup=\"options\"\n"
"          proxyname=\"PlotOptionsBase\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" exposed_name=\"SeriesVisibility\" />\n"
"          <Property name=\"Color\" exposed_name=\"SeriesColor\" />\n"
"          <Property name=\"LineThickness\" exposed_name=\"SeriesLineThickness\" />\n"
"          <Property name=\"LineStyle\" exposed_name=\"SeriesLineStyle\" />\n"
"          <Property name=\"Label\" exposed_name=\"SeriesLabel\" />\n"
"          <Property name=\"MarkerStyle\" exposed_name=\"SeriesMarkerStyle\" />\n"
"          <Property name=\"PlotCorner\" exposed_name=\"SeriesPlotCorner\" />\n"
"\n"
"          <Property name=\"VisibilityInfo\" exposed_name=\"SeriesVisibilityInfo\" />\n"
"          <Property name=\"ColorInfo\" exposed_name=\"SeriesColorInfo\" />\n"
"          <Property name=\"LineThicknessInfo\" exposed_name=\"SeriesLineThicknessInfo\" />\n"
"          <Property name=\"LineStyleInfo\" exposed_name=\"SeriesLineStyleInfo\" />\n"
"          <Property name=\"LabelInfo\" exposed_name=\"SeriesLabelInfo\" />\n"
"          <Property name=\"MarkerStyleInfo\" exposed_name=\"SeriesMarkerStyleInfo\" />\n"
"          <Property name=\"PlotCornerInfo\" exposed_name=\"SeriesPlotCornerInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"InternalInput1\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"1\"\n"
"        is_internal=\"1\">\n"
"        <Documentation>\n"
"          Internal property. Please don't touch this.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <!-- End of XYChartRepresentationBase -->\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <ParallelCoordinatesRepresentationProxy name=\"ParallelCoordinatesRepresentation\"\n"
"      class=\"vtkPVParallelCoordinatesRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation used by ParallelCoordinatesChartView.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\" >\n"
"        <Documentation>\n"
"          Data input for the representation.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FieldAssociation\"\n"
"        command=\"SetFieldAssociation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Select the attribute data to pass.\n"
"        </Documentation>\n"
"        <FieldDataDomain name=\"enum\"\n"
"           enable_field_data=\"1\"\n"
"           disable_update_domain_entries=\"1\" >\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompositeDataSetIndex\"\n"
"        command=\"SetCompositeDataSetIndex\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          In case of Composite datasets, set the flat index of the dataset to\n"
"          pass. The flat index must point to a non-empty, non-composite dataset\n"
"          for anything to be passed through. If the input is not a composite\n"
"          dataset, then this index is ignored.\n"
"        </Documentation>\n"
"        <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"          <RequiredProperties>\n"
"             <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"       </CompositeTreeDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SeriesVisibilityInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of visibility for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SeriesVisibility\"\n"
"        command=\"SetSeriesVisibility\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"SeriesVisibilityInfo\" >\n"
"        <Documentation>\n"
"          Set the series visibility.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineThicknessInfo\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line thickness for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineThickness\"\n"
"        command=\"SetLineThickness\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        element_types=\"0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LineThicknessInfo\" >\n"
"        <Documentation>\n"
"          Set the series line thickness.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineStyleInfo\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line style for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"LineStyle\"\n"
"        command=\"SetLineStyle\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        element_types=\"0\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LineStyleInfo\">\n"
"        <Documentation>\n"
"          Set the series line style.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SeriesLabelInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        repeat_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of labels for the series\n"
"          available currently.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SeriesLabel\"\n"
"        command=\"SetLabel\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 2\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"LabelInfo\">\n"
"        <Documentation>\n"
"          Set the series labels.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ColorInfo\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line color for the series.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        element_types=\"1 1 1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"ColorInfo\" >\n"
"        <Documentation>\n"
"          Set the series line color.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"OpacityInfo\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        information_only=\"1\">\n"
"        <Documentation>\n"
"          Property which has the current state of line color for the series.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Opacity\"\n"
"        command=\"SetOpacity\"\n"
"        number_of_elements_per_command=\"1\"\n"
"        element_types=\"1\"\n"
"        repeat_command=\"1\"\n"
"        information_property=\"OpacityInfo\" >\n"
"        <Documentation>\n"
"          Set the opacity of the lines.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <InputProperty name=\"InternalInput1\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"1\"\n"
"        is_internal=\"1\">\n"
"        <Documentation>\n"
"          Internal property. Please don't touch this.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"    </ParallelCoordinatesRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <!-- New representation for ContextView based charts. -->\n"
"    <ChartRepresentationProxy name=\"XYChartRepresentation\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"XYChartRepresentationBase\"\n"
"      class=\"vtkXYChartRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation used by XYChartView.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ChartType\"\n"
"        command=\"SetChartType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Line\" >\n"
"      </StringVectorProperty>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <!-- New representation for ContextView based charts. -->\n"
"    <ChartRepresentationProxy name=\"XYBarChartRepresentation\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"XYChartRepresentationBase\"\n"
"      class=\"vtkXYChartRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation used by XYBarChartView.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty\n"
"        name=\"ChartType\"\n"
"        command=\"SetChartType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"Bar\" >\n"
"      </StringVectorProperty>\n"
"    </ChartRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <SpreadSheetRepresentationProxy name=\"SpreadSheetRepresentation\"\n"
"      class=\"vtkSpreadSheetRepresentation\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\" >\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface10 =
"        <Documentation>\n"
"          Data input for the representation.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\" >\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Visibility of the representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"FieldAssociation\"\n"
"         command=\"SetFieldAssociation\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"         <Documentation>\n"
"           Select the attribute data to pass.\n"
"         </Documentation>\n"
"         <FieldDataDomain name=\"enum\"\n"
"            enable_field_data=\"1\" force_point_cell_data=\"1\">\n"
"           <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"           </RequiredProperties>\n"
"         </FieldDataDomain>\n"
"       </IntVectorProperty>\n"
"\n"
"       <IntVectorProperty name=\"CompositeDataSetIndex\"\n"
"         command=\"SetCompositeDataSetIndex\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"         <Documentation>\n"
"           In case of Composite datasets, set the flat index of the dataset to\n"
"           pass. The flat index must point to a non-empty, non-composite dataset\n"
"           for anything to be passed through. If the input is not a composite\n"
"           dataset, then this index is ignored.\n"
"         </Documentation>\n"
"         <CompositeTreeDomain name=\"tree\" mode=\"leaves\">\n"
"           <RequiredProperties>\n"
"              <Property name=\"Input\" function=\"Input\"/>\n"
"           </RequiredProperties>\n"
"        </CompositeTreeDomain>\n"
"       </IntVectorProperty>\n"
"\n"
"      <InputProperty name=\"InternalInput1\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"1\"\n"
"        is_internal=\"1\">\n"
"        <Documentation>\n"
"          Internal property. Please don't touch this.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <InputProperty name=\"InternalInput2\"\n"
"        command=\"SetInputConnection\"\n"
"        port_index=\"2\"\n"
"        is_internal=\"1\">\n"
"        <Documentation>\n"
"          Internal property. Please don't touch this.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"       <!-- end of SpreadSheetRepresentation -->\n"
"    </SpreadSheetRepresentationProxy>\n"
"\n"
"    <!-- =================================================================== -->\n"
"    <RepresentationProxy name=\"TextSourceRepresentation\"\n"
"      class=\"vtkTextSourceRepresentation\"\n"
"      si_class=\"vtkSITextSourceRepresentationProxy\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation proxy used to show text.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\" >\n"
"        <Documentation>\n"
"          Data input for the representation.\n"
"        </Documentation>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkTable\"/>\n"
"        </DataTypeDomain>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ForceUseCache\"\n"
"        command=\"SetForceUseCache\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"ForcedCacheKey\"\n"
"        command=\"SetForcedCacheKey\"\n"
"        is_internal=\"1\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"          Typically UseCache and CacheKey are updated by the View and\n"
"          representations cache based on what the view tells it. However in some\n"
"          cases we may want to force a representation to cache irrespective of\n"
"          the view (e.g. comparative views). In which case these ivars can up\n"
"          set. If ForcedCacheKey is true, it overrides UseCache and CacheKey.\n"
"          Instead, ForcedCacheKey is used.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Interactivity\"\n"
"        command=\"SetInteractivity\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"TextWidgetRepresentation\"\n"
"          proxygroup=\"representations\" proxyname=\"TextWidgetRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"Position2\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Position2Info\" />\n"
"          <Property name=\"WindowLocation\" />\n"
"\n"
"          <Property name=\"TextScaleMode\"/>\n"
"          <Property name=\"Resizable\"/>\n"
"\n"
"          <!-- properties for Text -->\n"
"          <Property name=\"Justification\"/>\n"
"          <Property name=\"Orientation\"/>\n"
"          <Property name=\"Color\"/>\n"
"          <Property name=\"Opacity\"/>\n"
"          <Property name=\"FontFamily\"/>\n"
"          <Property name=\"Bold\"/>\n"
"          <Property name=\"Italic\"/>\n"
"          <Property name=\"Shadow\"/>\n"
"          <Property name=\"FontSize\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of TextSourceRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <Proxy name=\"FrustumWidget\" class=\"vtkPVFrustumActor\"\n"
"      processes=\"client|dataserver|renderserver\" >\n"
"      <Documentation>\n"
"        Representation for a frustum\n"
"      </Documentation>\n"
"\n"
"      <DoubleVectorProperty name=\"Frustum\"\n"
"         command=\"SetFrustum\"\n"
"         number_of_elements=\"24\"\n"
"         argument_is_array=\"1\"\n"
"         default_values=\"0 0 0 1 0 0 0 1 0 1 1 0 0 0 1 1 0 1 0 1 1 1 1 1\" >\n"
"         <Documentation>\n"
"          Specify the corners of the outline when in Oriented mode, the values\n"
"          are supplied as 8*3 double values.\n"
"         </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Color\"\n"
"        command=\"SetColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.5 0.5 0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineWidth\"\n"
"        command=\"SetLineWidth\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"3.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End of FrustumWidget -->\n"
"    </Proxy>\n"
"\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <ProxyGroup name=\"views\">\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"ComparativeViewBase\">\n"
"\n"
"      <DoubleVectorProperty name=\"ViewTime\"\n"
"        command=\"SetViewTime\"\n"
"        number_of_elements=\"1\"\n"
"        state_ignored=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          The pipeline update time for this view.\n"
"          This gets passed to all representations added to this view.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CacheKey\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"        <Documentation>\n"
"          This is the cache key used to indentify which cache entry to use for\n"
"          rendering when caching is enabled.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseCache\"\n"
"        number_of_elements=\"1\"\n"
"        is_internal=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Indicates whether to use cache for subsequent renderings.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ViewPosition\"\n"
"        command=\"SetViewPosition\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"0 0\">\n"
"        <Documentation>\n"
"          Set the position on this view in the multiview configuration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ViewSize\"\n"
"        command=\"SetViewSize\"\n"
"        number_of_elements=\"2\"\n"
"        state_ignored=\"1\"\n"
"        default_values=\"400 400\" >\n"
"        <Documentation>\n"
"          Set the size of this view in the multiview configuration.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Dimensions\"\n"
"        command=\"Build\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"2 2\">\n"
"        <IntRangeDomain name=\"range\" min=\"1 1\" max=\"10 10\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OverlayAllComparisons\"\n"
"        command=\"SetOverlayAllComparisons\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Spacing\"\n"
"        command=\"SetSpacing\"\n"
"        number_of_elements=\"2\"\n"
"        default_values=\"1 1\">\n"
"        <IntRangeDomain name=\"range\" min=\"0 0\" max=\"10 10\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"Representations\"\n"
"        command=\"AddRepresentation\"\n"
"        remove_command=\"RemoveRepresentation\"\n"
"        argument_type=\"SMProxy\"\n"
"        repeatable=\"1\">\n"
"        <Documentation>\n"
"          Representations in this view.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty name=\"Cues\"\n"
"        command=\"AddCue\"\n"
"        remove_command=\"RemoveCue\"\n"
"        argument_type=\"SMProxy\">\n"
"        <Documentation>\n"
"          Animation cues for changing parameters.\n"
"        </Documentation>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy name=\"ComparativeRenderView\"\n"
"      base_proxygroup=\"views\" base_proxyname=\"ComparativeViewBase\"\n"
"      class=\"vtkPVComparativeView\" >\n"
"      <Documentation>\n"
"        The is comparative view comprising of individual \"RenderView\" proxies\n"
"        for each panel in the comparative view grid.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\" proxygroup=\"views\" proxyname=\"RenderView\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"LODThreshold\" />\n"
"          <Property name=\"LODResolution\" />\n"
"          <Property name=\"ResetCamera\" />\n"
"          <Property name=\"UseLight\" />\n"
"          <!-- Light -->\n"
"          <Property name=\"LightAmbientColor\" />\n"
"          <Property name=\"LightDiffuseColor\" />\n"
"          <Property name=\"LightSpecularColor\" />\n"
"          <Property name=\"LightIntensity\" />\n"
"          <Property name=\"LightSwitch\" />\n"
"          <!-- LightKit -->\n"
"          <Property name=\"KeyLightWarmth\" />\n"
"          <Property name=\"KeyLightIntensity\" />\n"
"          <Property name=\"KeyLightElevation\" />\n"
"          <Property name=\"KeyLightAzimuth\" />\n"
"          <Property name=\"FillLightWarmth\" />\n"
"          <Property name=\"FillLightK:F Ratio\" />\n"
"          <Property name=\"FillLightElevation\" />\n"
"          <Property name=\"FillLightAzimuth\" />\n"
"          <Property name=\"BackLightWarmth\" />\n"
"          <Property name=\"BackLightK:B Ratio\" />\n"
"          <Property name=\"BackLightElevation\" />\n"
"          <Property name=\"BackLightAzimuth\" />\n"
"          <Property name=\"HeadLightWarmth\" />\n"
"          <Property name=\"HeadLightK:H Ratio\" />\n"
"          <Property name=\"MaintainLuminance\" />\n"
"          <!-- ActiveCamera -->\n"
"          <Property name=\"CameraPositionInfo\" />\n"
"          <Property name=\"CameraPosition\" />\n"
"          <Property name=\"CameraFocalPointInfo\" />\n"
"          <Property name=\"CameraFocalPoint\" />\n"
"          <Property name=\"CameraViewUpInfo\" />\n"
"          <Property name=\"CameraViewUp\" />\n"
"          <Property name=\"CameraViewAngle\" />\n"
"          <Property name=\"CameraClippingRangeInfo\" />\n"
"          <Property name=\"CameraClippingRange\" />\n"
"          <Property name=\"CameraParallelScale\" />\n"
"          <Property name=\"CameraParallelScaleInfo\" />\n"
"          <Property name=\"CameraParallelProjection\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/views_and_representations.xml
static const char* vtkSMDefaultModulesviews_and_representationsInterface11 =
"          <Property name=\"EyeAngle\" />\n"
"          <!-- Interactor -->\n"
"          <Property name=\"CameraManipulators\" />\n"
"          <Property name=\"CenterOfRotation\" />\n"
"          <!-- Annotations -->\n"
"          <Property name=\"CenterAxesVisibility\" />\n"
"          <Property name=\"OrientationAxesInteractivity\" />\n"
"          <Property name=\"OrientationAxesVisibility\" />\n"
"          <Property name=\"OrientationAxesLabelColor\" />\n"
"          <Property name=\"OrientationAxesOutlineColor\" />\n"
"          <!-- Renderer -->\n"
"          <Property name=\"Background\" />\n"
"          <Property name=\"Background2\" />\n"
"          <Property name=\"BackgroundTexture\" />\n"
"          <Property name=\"UseGradientBackground\" />\n"
"          <Property name=\"UseTexturedBackground\" />\n"
"          <Property name=\"StereoRender\" />\n"
"          <Property name=\"StereoType\" />\n"
"          <!-- RenderWindow -->\n"
"        </ExposedProperties>\n"
"        <!-- End of \"RootView\" subproxy -->\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ComparativeRenderView -->\n"
"    </ComparativeViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy name=\"ComparativeXYChartView\"\n"
"      base_proxygroup=\"views\" base_proxyname=\"ComparativeViewBase\"\n"
"      class=\"vtkPVComparativeView\" >\n"
"      <Documentation>\n"
"        The is comparative view comprising of individual \"XYChartView\" proxies\n"
"        for each panel in the comparative view grid.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\" proxygroup=\"views\" proxyname=\"XYChartView\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ChartTitle\"/>\n"
"          <Property name=\"ChartTitleFont\" />\n"
"          <Property name=\"ChartTitleColor\" />\n"
"          <Property name=\"ChartTitleAlignment\" />\n"
"          <Property name=\"ShowLegend\" />\n"
"          <Property name=\"LegendLocation\" />\n"
"          <Property name=\"ShowAxis\" />\n"
"          <Property name=\"AxisLogScale\" />\n"
"          <Property name=\"ShowAxisGrid\" />\n"
"          <Property name=\"AxisColor\" />\n"
"          <Property name=\"AxisGridColor\" />\n"
"          <Property name=\"ShowAxisLabels\" />\n"
"          <Property name=\"AxisLabelFont\" />\n"
"          <Property name=\"AxisLabelColor\" />\n"
"          <Property name=\"AxisLabelNotation\" />\n"
"          <Property name=\"AxisLabelPrecision\" />\n"
"          <Property name=\"AxisBehavior\" />\n"
"          <Property name=\"AxisRange\" />\n"
"          <Property name=\"AxisTitle\" />\n"
"          <Property name=\"AxisTitleFont\" />\n"
"          <Property name=\"AxisTitleColor\" />\n"
"        </ExposedProperties>\n"
"        <!-- End of \"RootView\" subproxy -->\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ComparativeXYChartView -->\n"
"    </ComparativeViewProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ComparativeViewProxy name=\"ComparativeXYBarChartView\"\n"
"      base_proxygroup=\"views\" base_proxyname=\"ComparativeViewBase\"\n"
"      class=\"vtkPVComparativeView\" >\n"
"      <Documentation>\n"
"        The is comparative view comprising of individual \"XYBarChartView\" proxies\n"
"        for each panel in the comparative view grid.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"RootView\" proxygroup=\"views\" proxyname=\"XYBarChartView\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ChartTitle\"/>\n"
"          <Property name=\"ChartTitleFont\" />\n"
"          <Property name=\"ChartTitleColor\" />\n"
"          <Property name=\"ChartTitleAlignment\" />\n"
"          <Property name=\"ShowLegend\" />\n"
"          <Property name=\"ShowAxis\" />\n"
"          <Property name=\"AxisLogScale\" />\n"
"          <Property name=\"ShowAxisGrid\" />\n"
"          <Property name=\"AxisColor\" />\n"
"          <Property name=\"AxisGridColor\" />\n"
"          <Property name=\"ShowAxisLabels\" />\n"
"          <Property name=\"AxisLabelFont\" />\n"
"          <Property name=\"AxisLabelColor\" />\n"
"          <Property name=\"AxisLabelNotation\" />\n"
"          <Property name=\"AxisLabelPrecision\" />\n"
"          <Property name=\"AxisBehavior\" />\n"
"          <Property name=\"AxisRange\" />\n"
"          <Property name=\"AxisTitle\" />\n"
"          <Property name=\"AxisTitleFont\" />\n"
"          <Property name=\"AxisTitleColor\" />\n"
"        </ExposedProperties>\n"
"        <!-- End of \"RootView\" subproxy -->\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ComparativeXYBarChartView -->\n"
"    </ComparativeViewProxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesviews_and_representationsGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface0)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface1)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface2)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface3)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface4)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface5)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface6)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface7)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface8)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface9)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface10)
    + strlen(vtkSMDefaultModulesviews_and_representationsInterface11) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface0);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface1);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface2);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface3);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface4);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface5);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface6);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface7);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface8);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface9);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface10);
  strcat(res, vtkSMDefaultModulesviews_and_representationsInterface11);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/3d_widgets.xml
static const char* vtkSMDefaultModules3d_widgetsInterface0 =
"<ServerManagerConfiguration>\n"
"  <!-- We put all 3D widget definitions in this file -->\n"
"  <ProxyGroup name=\"representations\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"HandleWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"HandleRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"WorldPositionInfo\" />\n"
"          <Property name=\"WorldPosition\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"HandleWidget\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"PointSourceWidgetRepresentation\"\n"
"      base_proxygroup=\"representations\" base_proxyname=\"HandleWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\" >\n"
"      <!--\n"
"        This is same as handle widget except that it provides\n"
"        dummy properties for the radius/number of points in a point\n"
"        source.\n"
"      -->\n"
"      <DoubleVectorProperty\n"
"        name=\"Radius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"NumberOfPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"LineWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"LineRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Point1WorldPositionInfo\" />\n"
"          <Property name=\"Point1WorldPosition\" />\n"
"          <Property name=\"Point2WorldPositionInfo\" />\n"
"          <Property name=\"Point2WorldPosition\" />\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"LineColor\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"LineWidget2\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"LineSourceWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\"\n"
"      base_proxygroup=\"representations\" base_proxyname=\"LineWidgetRepresentation\">\n"
"      <!--\n"
"        This is same as LineWidgetRepresentation except that it provides\n"
"        dummy property for the resolution for the line source.\n"
"      -->\n"
"      <IntVectorProperty\n"
"        name=\"Resolution\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"      </IntVectorProperty>\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"ImplicitPlaneWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\" >\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\"\n"
"          proxyname=\"ImplicitPlaneRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DrawPlane\" />\n"
"          <Property name=\"OriginInfo\" />\n"
"          <Property name=\"Origin\" />\n"
"          <Property name=\"NormalInfo\" />\n"
"          <Property name=\"Normal\" />\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"Reset\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"ImplicitPlaneWidget2\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"DistanceWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseNonCompositedRenderer\"\n"
"        command=\"SetUseNonCompositedRenderer\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"          proxygroup=\"3d_widget_representations\"\n"
"          proxyname=\"DistanceRepresentation2D\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Point1WorldPositionInfo\" />\n"
"          <Property name=\"Point1WorldPosition\" />\n"
"          <Property name=\"Point2WorldPositionInfo\" />\n"
"          <Property name=\"Point2WorldPosition\" />\n"
"          <Property name=\"PlaceWidget\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"DistanceWidget\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"BoxWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for the the box widget. This includes the\n"
"        widget/representation proxies for the box 3D widget.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"BoxRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceFactor\" />\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Rotation\" />\n"
"          <Property name=\"RotationInfo\" />\n"
"          <Property name=\"Scale\" />\n"
"          <Property name=\"ScaleInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"BoxWidget2\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of BoxWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"SphereWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for the the sphere widget. This includes the\n"
"        widget/representation proxies for the sphere 3D widget.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"SphereRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"Representation\" />\n"
"          <Property name=\"Center\" />\n"
"          <Property name=\"CenterInfo\" />\n"
"          <Property name=\"Radius\" />\n"
"          <Property name=\"RadiusInfo\" />\n"
"          <Property name=\"HandleVisibility\" />\n"
"          <Property name=\"RadialLine\" />\n"
"          <Property name=\"HandleDirection\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"SphereWidget2\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of SphereWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"SliderWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"SliderRepresentation3D\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"ValueInfo\" />\n"
"          <Property name=\"Value\" />\n"
"          <Property name=\"Point1\" />\n"
"          <Property name=\"Point2\" />\n"
"          <Property name=\"MinimumValue\" />\n"
"          <Property name=\"MaximumValue\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"SliderWidget\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"      <!--- End of SliderWidgetRepresentaion -->\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"SplineWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for the the spline widget. This includes the\n"
"        widget/representation proxies for the sphere 3D widget.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"SplineRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"HandlePositions\" />\n"
"          <Property name=\"HandlePositionsInfo\" />\n"
"          <Property name=\"Closed\" />\n"
"          <Property name=\"LineColor\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"SplineWidget2\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of SplineWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <NewWidgetRepresentationProxy name=\"ContourWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\">\n"
"      <Documentation>\n"
"        Representation proxy for the the Contour widget. This includes the\n"
"        widget/representation proxies for the sphere 3D widget.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop\"\n"
"          proxygroup=\"3d_widget_representations\"\n"
"          proxyname=\"OrientedGlyphContourRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"PlaceWidget\" />\n"
"          <Property name=\"Visibility\" />\n"
"          <Property name=\"PointPlacer\" />\n"
"          <Property name=\"LineInterpolator\" />\n"
"          <Property name=\"ClearAllNodes\" />\n"
"          <Property name=\"LineColor\" />\n"
"          <Property name=\"AlwaysOnTop\" />\n"
"          <Property name=\"NodePositions\" />\n"
"          <Property name=\"ShowSelectedNodes\" />\n"
"          <Property name=\"SelectNodes\" />\n"
"          <Property name=\"ClosedLoop\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"ContourWidget\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"CloseLoop\" />\n"
"          <Property name=\"WidgetState\" />\n"
"          <Property name=\"WidgetStateInfo\" />\n"
"          <Property name=\"AllowNodePicking\" />\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/3d_widgets.xml
static const char* vtkSMDefaultModules3d_widgetsInterface1 =
"          <Property name=\"Initialize\" />\n"
"          <Property name=\"ProcessEvents\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ContourWidgetRepresentation -->\n"
"    </NewWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ScalarBarWidgetRepresentationProxy name=\"ScalarBarWidgetRepresentation\"\n"
"        class=\"vtk3DWidgetRepresentation\">\n"
"      <Documentation>\n"
"        ScalarBarWidgetRepresentation is a representation for a scalar bar\n"
"        including a widget to control the position and orientation of the scalar\n"
"        bar.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseNonCompositedRenderer\"\n"
"        command=\"SetUseNonCompositedRenderer\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"          proxygroup=\"3d_widget_representations\"\n"
"          proxyname=\"ScalarBarRepresentation\" >\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\"/>\n"
"          <Property name=\"Position\"/>\n"
"          <Property name=\"Position2\"/>\n"
"          <Property name=\"Orientation\" />\n"
"          <Property name=\"PositionInfo\"/>\n"
"          <Property name=\"Position2Info\"/>\n"
"          <Property name=\"OrientationInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DActor\"\n"
"               proxygroup=\"annotations\" proxyname=\"ScalarBarActor\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"LookupTable\" />\n"
"          <Property name=\"Title\" />\n"
"          <Property name=\"ComponentTitle\" />\n"
"          <Property name=\"AutomaticLabelFormat\" />\n"
"          <Property name=\"LabelFormat\" />\n"
"          <Property name=\"NumberOfLabels\" />\n"
"          <Property name=\"AspectRatio\" />\n"
"          <!-- properties for Label -->\n"
"          <Property name=\"LabelColor\"     />\n"
"          <Property name=\"LabelOpacity\"   />\n"
"          <Property name=\"LabelFontFamily\"/>\n"
"          <Property name=\"LabelBold\"      />\n"
"          <Property name=\"LabelItalic\"    />\n"
"          <Property name=\"LabelShadow\"    />\n"
"          <Property name=\"LabelFontSize\"  />\n"
"          <!-- properties for Title -->\n"
"          <Property name=\"TitleColor\"     />\n"
"          <Property name=\"TitleOpacity\"   />\n"
"          <Property name=\"TitleFontFamily\"/>\n"
"          <Property name=\"TitleBold\"      />\n"
"          <Property name=\"TitleItalic\"    />\n"
"          <Property name=\"TitleShadow\"    />\n"
"          <Property name=\"TitleFontSize\"  />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"               proxygroup=\"3d_widgets\" proxyname=\"ScalarBarWidget\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Selectable\" />\n"
"          <Property name=\"Resizable\" />\n"
"          <Property name=\"Repositionable\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </ScalarBarWidgetRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <TextWidgetRepresentationProxy name=\"TextWidgetRepresentation\"\n"
"      class=\"vtk3DWidgetRepresentation\" >\n"
"      <Documentation>\n"
"        TextWidgetRepresentation is a representation for text widget as well as\n"
"        the representation for the text shown in the widget.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"          Enable/Disable widget interaction.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"UseNonCompositedRenderer\"\n"
"        command=\"SetUseNonCompositedRenderer\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2D\"\n"
"          proxygroup=\"3d_widget_representations\" proxyname=\"TextRepresentation\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Visibility\"/>\n"
"          <Property name=\"Text\"/>\n"
"          <Property name=\"Position\"/>\n"
"          <Property name=\"Position2\"/>\n"
"          <Property name=\"PositionInfo\"/>\n"
"          <Property name=\"Position2Info\"/>\n"
"          <Property name=\"WindowLocation\"/>\n"
"          <Property name=\"TextActor\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DActor\"\n"
"          proxygroup=\"props\" proxyname=\"TextActor\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"TextScaleMode\"/>\n"
"          <Property name=\"TextProperty\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Prop2DProperty\"\n"
"          proxygroup=\"properties\" proxyname=\"TextProperty\">\n"
"        </Proxy>\n"
"\n"
"        <ExposedProperties>\n"
"          <Property name=\"Justification\"/>\n"
"          <Property name=\"Orientation\"/>\n"
"          <Property name=\"Color\"/>\n"
"          <Property name=\"Opacity\"/>\n"
"          <Property name=\"FontFamily\"/>\n"
"          <Property name=\"Bold\"/>\n"
"          <Property name=\"Italic\"/>\n"
"          <Property name=\"Shadow\"/>\n"
"          <Property name=\"FontSize\"/>\n"
"        </ExposedProperties>\n"
"\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Widget\"\n"
"          proxygroup=\"3d_widgets\" proxyname=\"TextWidget\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"ProcessEvents\"/>\n"
"          <Property name=\"Selectable\"/>\n"
"          <Property name=\"Resizable\"/>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of TextWidgetRepresentation -->\n"
"    </TextWidgetRepresentationProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ****************************************************************** -->\n"
"  <ProxyGroup name=\"3d_widget_representations\">\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"OrientedGlyphContourRepresentation\"\n"
"      class=\"vtkOrientedGlyphContourRepresentation\">\n"
"      <Documentation>\n"
"        Proxy for vtkOrientedGlyphContourRepresentation. Don't use directly since it's not\n"
"        coupled with the widget. Use \"ContourWidgetRepresentation\" instead which\n"
"        include this representation as well as the widget to modify the\n"
"        representation.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceWidget\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceFactor\"\n"
"        command=\"SetPlaceFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ClosedLoop\"\n"
"        command=\"SetClosedLoop\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"         name=\"ClosedLoopInfo\"\n"
"         command=\"GetClosedLoop\"\n"
"         number_of_elements=\"1\"\n"
"         information_only=\"1\"\n"
"         default_values=\"0\">\n"
"        <SimpleIntInformationHelper/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty\n"
"        name=\"PointPlacer\"\n"
"        command=\"SetPointPlacer\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"point_placers\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <ProxyProperty\n"
"        name=\"LineInterpolator\"\n"
"        command=\"SetLineInterpolator\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"contour_line_interpolators\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"NodePositions\"\n"
"        command=\"AddNodeAtWorldPosition\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"SelectNodes\"\n"
"        command=\"SetNthNodeSelected\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ShowSelectedNodes\"\n"
"        command=\"SetShowSelectedNodes\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <Property name=\"ClearAllNodes\" command=\"ClearAllNodes\" />\n"
"\n"
"      <DoubleVectorProperty name=\"LineColor\"\n"
"        command=\"SetLineColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AlwaysOnTop\"\n"
"        command=\"SetAlwaysOnTop\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <!-- View can be used to specify the way to get the poly data for the representation -->\n"
"        <Output />\n"
"      </Hints>\n"
"      <!-- End of OrientedGlyphContourRepresentation -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"SplineRepresentation\" class=\"vtkSplineRepresentation\">\n"
"      <Documentation>\n"
"        Proxy for vtkSplineRepresentation. Don't use directly since it's not\n"
"        coupled with the widget. Use \"SplineWidgetRepresentation\" instead which\n"
"        include this representation as well as the widget to modify the\n"
"        representation.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceWidget\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceFactor\"\n"
"        command=\"SetPlaceFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HandlePositions\"\n"
"        command=\"SetHandlePosition\"\n"
"        set_number_command=\"SetNumberOfHandles\"\n"
"        use_index=\"1\"\n"
"        repeat_command=\"1\"\n"
"        number_of_elements_per_command=\"3\"\n"
"        number_of_elements=\"6\"\n"
"        default_values=\"0 0 0 1 0 0\"\n"
"        information_property=\"HandlePositionsInfo\" >\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HandlePositionsInfo\"\n"
"        command=\"GetHandlePositions\"\n"
"        information_only=\"1\">\n"
"        <DoubleArrayInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Closed\"\n"
"        command=\"SetClosed\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LineColor\"\n"
"        command=\"SetLineColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End of SplineRepresentation -->\n"
"    </Proxy>\n"
"\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"SliderRepresentation3D\" class=\"vtkSliderRepresentation3D\">\n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"Value\"\n"
"        command=\"SetValue\"\n"
"        number_of_elements=\"1\"\n"
"        information_property=\"ValueInfo\"\n"
"        default_values=\"0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"ValueInfo\"\n"
"        command=\"GetValue\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Point1\"\n"
"        command=\"SetPoint1InWorldCoordinates\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"-1.0 0.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"Point2\"\n"
"        command=\"SetPoint2InWorldCoordinates\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 0.0 0.0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MinimumValue\"\n"
"        command=\"SetMinimumValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"MaximumValue\"\n"
"        command=\"SetMaximumValue\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"    </Proxy>\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"SphereRepresentation\" class=\"vtkSphereRepresentation\">\n"
"      <Documentation>\n"
"        Proxy for vtkSphereRepresentation. Don't confuse this with the\n"
"        vtkSMRepresentation proxy for the sphere widget (which is the\n"
"        SphereWidgetRepresentation).\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/3d_widgets.xml
static const char* vtkSMDefaultModules3d_widgetsInterface2 =
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PlaceWidget\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PlaceFactor\"\n"
"        command=\"SetPlaceFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Representation\"\n"
"        command=\"SetRepresentation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <Documentation>\n"
"           Set the representation (i.e., appearance) of the sphere. Different\n"
"            representations are useful depending on the application.\n"
"        </Documentation>\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Off\" value=\"0\" />\n"
"          <Entry text=\"Wireframe\" value=\"1\" />\n"
"          <Entry text=\"Surface\" value=\"2\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Center\"\n"
"        command=\"SetCenter\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0.0 0.0 0.0\"\n"
"        information_property=\"CenterInfo\">\n"
"        <DoubleRangeDomain name=\"range\" />\n"
"        <Documentation>\n"
"           The center position of the sphere. Note that this may\n"
"           adjust the direction from the handle to the center, as well as\n"
"           the radius of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"CenterInfo\"\n"
"        command=\"GetCenter\"\n"
"        information_only=\"1\" >\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Radius\"\n"
"        command=\"SetRadius\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.5\"\n"
"        information_property=\"RadiusInfo\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" />\n"
"        <Documentation>\n"
"          The radius of sphere. Default is 0.5. Note that this may\n"
"          modify the position of the handle based on the handle direction.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"RadiusInfo\"\n"
"        command=\"GetRadius\"\n"
"        information_only=\"1\" >\n"
"        <SimpleDoubleInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HandleVisibility\"\n"
"        command=\"SetHandleVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          The handle sits on the surface of the sphere and may be moved around\n"
"          the surface by picking (left mouse) and then moving. The position\n"
"          of the handle can be retrieved, this is useful for positioning\n"
"          cameras and lights. By default, the handle is turned off.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"HandleText\"\n"
"        command=\"SetHandleText\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable/disable a label that displays the location of the handle in\n"
"          spherical coordinates (radius,theta,phi). The two angles, theta and\n"
"          phi, are displayed in degrees. Note that phi is measured from the\n"
"          north pole down towards the equator; and theta is the angle around\n"
"          the north/south axis.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RadialLine\"\n"
"        command=\"SetRadialLine\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enable/disable a radial line segment that joins the center of the\n"
"          outer sphere and the handle.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"HandleDirection\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"0 0 1\">\n"
"        <Documentation>\n"
"          Set/Get the direction vector of the handle relative to the center of\n"
"          the sphere. This may affect the position of the handle and the radius\n"
"          of the sphere.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <!-- End of SphereRepresentation -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <BoxRepresentationProxy name=\"BoxRepresentation\" class=\"vtkBoxRepresentation\">\n"
"      <Documentation>\n"
"        Proxy for vtkBoxRepresentation. Don't confuse this with the\n"
"        vtkSMRepresentation proxy for the box widget (which is the\n"
"        BoxWidgetRepresentation).\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PlaceWidget\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"none\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty\n"
"        name=\"PlaceFactor\"\n"
"        command=\"SetPlaceFactor\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.01\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Transform\"\n"
"          proxygroup=\"extended_sources\" proxyname=\"Transform2\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"Position\" />\n"
"          <Property name=\"PositionInfo\" />\n"
"          <Property name=\"Rotation\" />\n"
"          <Property name=\"RotationInfo\" />\n"
"          <Property name=\"Scale\" />\n"
"          <Property name=\"ScaleInfo\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of BoxRepresentation -->\n"
"    </BoxRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"DistanceRepresentation2D\"\n"
"           class=\"vtkDistanceRepresentation2D\"\n"
"           post_create=\"InstantiateHandleRepresentation\">\n"
"\n"
"     <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1WorldPosition\"\n"
"        command=\"SetPoint1WorldPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point1WorldPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1WorldPositionInfo\"\n"
"        command=\"GetPoint1WorldPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2WorldPosition\"\n"
"        command=\"SetPoint2WorldPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point2WorldPositionInfo\"\n"
"        default_values=\"1 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2WorldPositionInfo\"\n"
"        command=\"GetPoint2WorldPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"PlaceWidget\"\n"
"        is_internal=\"1\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"0 1 0 1 0 1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <!-- End of DistanceRepresentation2D -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <ImplicitPlaneRepresentationProxy name=\"ImplicitPlaneRepresentation\"\n"
"      class=\"vtkPVImplicitPlaneRepresentation\">\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"         command=\"SetVisibility\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         animateable=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"DrawPlane\"\n"
"         command=\"SetDrawPlane\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         animateable=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"    <Property\n"
"      name=\"Reset\"\n"
"      command=\"Reset\">\n"
"    </Property>\n"
"\n"
"      <DoubleVectorProperty name=\"Origin\"\n"
"         command=\"SetTransformedOrigin\"\n"
"         number_of_elements=\"3\"\n"
"         information_property=\"OriginInfo\"\n"
"         default_values=\"0 0 0\">\n"
"         <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"OriginInfo\"\n"
"         command=\"GetTransformedOrigin\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Normal\"\n"
"         command=\"SetTransformedNormal\"\n"
"         number_of_elements=\"3\"\n"
"         information_property=\"NormalInfo\"\n"
"         default_values=\"1 0 0\">\n"
"         <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"NormalInfo\"\n"
"         command=\"GetTransformedNormal\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceWidget\"\n"
"         is_internal=\"1\"\n"
"         command=\"PlaceTransformedWidget\"\n"
"         number_of_elements=\"6\"\n"
"         argument_is_array=\"1\"\n"
"         default_values=\"none\">\n"
"         <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PlaceFactor\"\n"
"         command=\"SetPlaceFactor\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1.2\">\n"
"         <DoubleRangeDomain name=\"range\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"    </ImplicitPlaneRepresentationProxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"LineRepresentation\" class=\"vtkLineRepresentation\">\n"
"\n"
"     <IntVectorProperty name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1WorldPosition\"\n"
"        command=\"SetPoint1WorldPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point1WorldPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1WorldPositionInfo\"\n"
"        command=\"GetPoint1WorldPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2WorldPosition\"\n"
"        command=\"SetPoint2WorldPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point2WorldPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2WorldPositionInfo\"\n"
"        command=\"GetPoint2WorldPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1DisplayPosition\"\n"
"        command=\"SetPoint1DisplayPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point1DisplayPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point1DisplayPositionInfo\"\n"
"        command=\"GetPoint1DisplayPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2DisplayPosition\"\n"
"        command=\"SetPoint2DisplayPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"Point2DisplayPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"Point2DisplayPositionInfo\"\n"
"        command=\"GetPoint2DisplayPosition\"\n"
"        information_only=\"1\">\n"
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"PlaceWidget\"\n"
"        is_internal=\"1\"\n"
"        command=\"PlaceWidget\"\n"
"        number_of_elements=\"6\"\n"
"        argument_is_array=\"1\"\n"
"        default_values=\"0 1 0 1 0 1\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty name=\"LineColor\"\n"
"        command=\"SetLineColor\"\n"
"        number_of_elements=\"3\"\n"
"        default_values=\"1.0 1.0 1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0 0 0\" max=\"1 1 1\" />\n"
"     </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"HandleRepresentation\" class=\"vtkPointHandleRepresentation3D\">\n"
"\n"
"     <IntVectorProperty\n"
"        name=\"Visibility\"\n"
"        command=\"SetVisibility\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        animateable=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"     </IntVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"WorldPosition\"\n"
"        command=\"SetWorldPosition\"\n"
"        number_of_elements=\"3\"\n"
"        argument_is_array=\"1\"\n"
"        information_property=\"WorldPositionInfo\"\n"
"        default_values=\"0 0 0\">\n"
"        <DoubleRangeDomain name=\"range\"/>\n"
"     </DoubleVectorProperty>\n"
"\n"
"     <DoubleVectorProperty\n"
"        name=\"WorldPositionInfo\"\n"
"        command=\"GetWorldPosition\"\n"
"        information_only=\"1\">\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/3d_widgets.xml
static const char* vtkSMDefaultModules3d_widgetsInterface3 =
"        <SimpleDoubleInformationHelper/>\n"
"     </DoubleVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"ScalarBarRepresentation\" class=\"vtkScalarBarRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"         command=\"SetVisibility\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         animateable=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"         command=\"SetPosition\"\n"
"         number_of_elements=\"2\"\n"
"         information_property=\"PositionInfo\"\n"
"         default_values=\"0.87 0.25\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PositionInfo\"\n"
"         command=\"GetPosition\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position2\"\n"
"         command=\"SetPosition2\"\n"
"         number_of_elements=\"2\"\n"
"         information_property=\"Position2Info\"\n"
"         default_values=\"0.13 0.5\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position2Info\"\n"
"         command=\"GetPosition2\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Orientation\"\n"
"        command=\"SetOrientation\"\n"
"        number_of_elements=\"1\"\n"
"        information_property=\"OrientationInfo\"\n"
"        default_values=\"1\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Horizontal\"/>\n"
"          <Entry value=\"1\" text=\"Vertical\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"OrientationInfo\"\n"
"        command=\"GetOrientation\"\n"
"        information_only=\"1\" >\n"
"        <SimpleIntInformationHelper />\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"ScalarBarActor\" command=\"SetScalarBarActor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"annotations\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================== -->\n"
"    <Proxy name=\"TextRepresentation\" class=\"vtkTextRepresentation\">\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"         command=\"SetVisibility\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\"\n"
"         animateable=\"1\">\n"
"         <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position\"\n"
"         command=\"SetPosition\"\n"
"         number_of_elements=\"2\"\n"
"         information_property=\"PositionInfo\"\n"
"         default_values=\"0.05 0.05\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"PositionInfo\"\n"
"         command=\"GetPosition\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position2\"\n"
"         command=\"SetPosition2\"\n"
"         number_of_elements=\"2\"\n"
"         information_property=\"Position2Info\"\n"
"         default_values=\"0.1 0.1\">\n"
"         <DoubleRangeDomain name=\"range\" min=\"0 0\" max=\"1 1\"/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Position2Info\"\n"
"         command=\"GetPosition2\"\n"
"         information_only=\"1\">\n"
"         <SimpleDoubleInformationHelper/>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Text\"\n"
"         command=\"SetText\"\n"
"         immediate_update=\"1\"\n"
"         default_values=\"Some Default\">\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WindowLocation\"\n"
"        command=\"SetWindowLocation\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        animateable=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"AnyLocation\"/>\n"
"          <Entry value=\"1\" text=\"LowerLeftCorner\"/>\n"
"          <Entry value=\"2\" text=\"LowerRightCorner\"/>\n"
"          <Entry value=\"3\" text=\"LowerCenter\"/>\n"
"          <Entry value=\"4\" text=\"UpperLeftCorner\"/>\n"
"          <Entry value=\"5\" text=\"UpperRightCorner\"/>\n"
"          <Entry value=\"6\" text=\"UpperCenter\"/>\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <ProxyProperty name=\"TextActor\" command=\"SetTextActor\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"props\"/>\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"    </Proxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- ****************************************************************** -->\n"
"  <ProxyGroup name=\"3d_widgets\">\n"
"    <Proxy name=\"WidgetBase\">\n"
"      <Documentation>\n"
"        Base API definition for all 3D widgets.\n"
"      </Documentation>\n"
"\n"
"      <ProxyProperty name=\"Representation\"\n"
"         command=\"SetRepresentation\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"props\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"                         command=\"SetEnabled\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"      <!-- End of WidgetBase -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SliderWidget\" class=\"vtkSliderWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"HandleWidget\" class=\"vtkHandleWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"LineWidget2\" class=\"vtkLineWidget2\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"      <IntVectorProperty name=\"ProcessEvents\"\n"
"                         command=\"SetProcessEvents\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"DistanceWidget\" class=\"vtkDistanceWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"      <IntVectorProperty name=\"ProcessEvents\"\n"
"                         command=\"SetProcessEvents\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"ImplicitPlaneWidget2\" class=\"vtkImplicitPlaneWidget2\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SplineWidget2\" class=\"vtkSplineWidget2\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"ContourWidget\" class=\"vtkContourWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"\n"
"      <Property name=\"CloseLoop\" command=\"CloseLoop\" />\n"
"      <Property name=\"Initialize\" command=\"Initialize\" />\n"
"\n"
"      <IntVectorProperty name=\"WidgetState\"\n"
"        command=\"SetWidgetState\"\n"
"        number_of_elements=\"1\"\n"
"        information_property=\"WidgetStateInfo\"\n"
"        default_values=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WidgetStateInfo\"\n"
"        command=\"GetWidgetState\"\n"
"        information_only=\"1\" >\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"AllowNodePicking\"\n"
"        command=\"SetAllowNodePicking\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"ProcessEvents\"\n"
"        command=\"SetProcessEvents\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"ScalarBarWidget\" class=\"vtkScalarBarWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"      <IntVectorProperty name=\"Selectable\"\n"
"                         command=\"SetSelectable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Resizable\"\n"
"                         command=\"SetResizable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Repositionable\"\n"
"                         command=\"SetRepositionable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\"\n"
"                         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of ScalarBarWidget -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"TextWidget\" class=\"vtkTextWidget\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"\n"
"      <IntVectorProperty name=\"Selectable\"\n"
"                         command=\"SetSelectable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Resizable\"\n"
"                         command=\"SetResizable\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\"\n"
"                         animateable=\"0\">\n"
"        <BooleanDomain name=\"bool\"/>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ProcessEvents\"\n"
"                         command=\"SetProcessEvents\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1\">\n"
"        <BooleanDomain/>\n"
"      </IntVectorProperty>\n"
"\n"
"\n"
"      <!-- End of TextWidget -->\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"BoxWidget2\" class=\"vtkBoxWidget2\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"      <Documentation>\n"
"        Proxy for vtkBoxWidget2.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <Proxy name=\"SphereWidget2\" class=\"vtkSphereWidget2\"\n"
"      base_proxygroup=\"3d_widgets\" base_proxyname=\"WidgetBase\">\n"
"      <Documentation>\n"
"        Proxy for vtkSphereWidget2.\n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"\n"
"    <Proxy name=\"AxesWidget\" class=\"vtkPVAxesWidget\"\n"
"           processes=\"client\">\n"
"      <Documentation>\n"
"        Orientation widget used by Render View.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Interactivity\"\n"
"          command=\"SetInteractive\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Set whether to allow this 3D widget to be interactively moved/scaled.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"Visibility\"\n"
"          command=\"SetEnabled\"\n"
"          number_of_elements=\"1\"\n"
"          default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"LabelColor\"\n"
"          command=\"SetAxisLabelColor\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"1 1 1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"OutlineColor\"\n"
"          command=\"SetOutlineColor\"\n"
"          number_of_elements=\"3\"\n"
"          default_values=\"1 1 1\">\n"
"      </DoubleVectorProperty>\n"
"      <!-- End of AxesWidget -->\n"
"    </Proxy>\n"
"\n"
"    <!-- End of ProxyGroup 3d_widgets -->\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModules3d_widgetsGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModules3d_widgetsInterface0)
    + strlen(vtkSMDefaultModules3d_widgetsInterface1)
    + strlen(vtkSMDefaultModules3d_widgetsInterface2)
    + strlen(vtkSMDefaultModules3d_widgetsInterface3) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModules3d_widgetsInterface0);
  strcat(res, vtkSMDefaultModules3d_widgetsInterface1);
  strcat(res, vtkSMDefaultModules3d_widgetsInterface2);
  strcat(res, vtkSMDefaultModules3d_widgetsInterface3);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/internal_writers.xml
static const char* vtkSMDefaultModulesinternal_writersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"internal_writers\">\n"
"    <!--\n"
"      *****************************************************************\n"
"      These are proxies used by meta-writers defined in writers.xml\n"
"      *****************************************************************\n"
"    -->\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"DataWriterBase\">\n"
"      <!-- Base for non-xml data writers -->\n"
"      <Documentation>\n"
"        This defines the interface for legacy vtk data files writer. \n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"FileType\"\n"
"        command=\"SetFileType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"1\" text=\"Ascii\" />\n"
"          <Entry value=\"2\" text=\"Binary\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The type for the data file (i.e. ascii or binary).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of DataWriterBase -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"ParallelWriterBase\" class=\"not-used\">\n"
"      <Documentation>\n"
"        This defines the interface for the parallel writers. \n"
"      </Documentation>\n"
"\n"
"      <!-- Base for parallel writers -->\n"
"\n"
"      <StringVectorProperty name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GhostLevel\" \n"
"        command=\"SetGhostLevel\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\"/>\n"
"        <Documentation>\n"
"          The number of ghost levels to include in the output file(s). Note that\n"
"          some writers (such as ExodusIIWriter) may not support writing ghost\n"
"          levels.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <SourceProxy name=\"CompleteArrays\" class=\"vtkCompleteArrays\">\n"
"        </SourceProxy>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of ParallelWriterBase -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"FileSeriesWriter\">\n"
"\n"
"      <StringVectorProperty name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Write all timesteps as file-series\" >\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each timestep available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <!-- End of FileSeriesWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"ParallelFileSeriesWriter\">\n"
"\n"
"      <StringVectorProperty name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"\n"
"        label=\"Write all timesteps as file-series\" >\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each timestep available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <!-- No harm if use vtkCompleteArrays even in serial mode so, we are\n"
"             letting it be -->\n"
"        <SourceProxy name=\"CompleteArrays\" class=\"vtkCompleteArrays\">\n"
"        </SourceProxy>\n"
"      </SubProxy>\n"
"      \n"
"      <!-- End of ParallelFileSeriesWriter -->\n"
"    </Proxy>\n"
"\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"STLWriter\" class=\"vtkSTLWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"DataWriterBase\">\n"
"      <Documentation short_help=\"Write stereo lithography files.\">\n"
"      </Documentation>\n"
"      <!-- End of STLWriter -->\n"
"    </Proxy>\n"
"    \n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"PLYWriter\" class=\"vtkPLYWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"DataWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write polygonal data in Stanford University PLY format.\">\n"
"      </Documentation>\n"
"      <!-- End of PLYWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"DataSetWriterCore\" \n"
"                 class=\"vtkGenericDataObjectWriter\"\n"
"                 base_proxygroup=\"internal_writers\"\n"
"                 base_proxyname=\"DataWriterBase\">\n"
"      <Documentation>\n"
"        Internal proxy used for writing legacy vtk files. \n"
"      </Documentation>\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <Proxy name=\"XMLDataSetWriterCore\" class=\"vtkXMLDataSetWriter\">\n"
"      <Documentation>\n"
"        Internal writer for writing xml-based vtk files.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"DataMode\"\n"
"        command=\"SetDataMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Ascii\" />\n"
"          <Entry value=\"1\" text=\"Binary\" />\n"
"          <Entry value=\"2\" text=\"Appended\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The mode uses for writing the file's data i.e. ascii, binary, appended\n"
"          binary.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EncodeAppendedData\"\n"
"        command=\"SetEncodeAppendedData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When EncodeAppendedData is turned ON, the writer uses base64 encoding\n"
"        when writing binary data (only if appended mode is selected).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompressorType\"\n"
"        command=\"SetCompressorType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"None\" />\n"
"          <Entry value=\"1\" text=\"ZLib\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The compression algorithm used to compress binary data (appended mode only).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <!-- End of XMLDataSetWriterCore -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPMultiBlockDataWriterCore\"\n"
"      class=\"vtkXMLPMultiBlockDataWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Internal proxy used by XMLMultiBlockDataWriter.\n"
"      </Documentation>\n"
"      <!-- End of XMLPMultiBlockDataWriterCore -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPHierarchicalBoxDataWriterCore\"\n"
"      class=\"vtkXMLPHierarchicalBoxDataWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Internal proxy used by XMLHierarchicalBoxDataWriter.\n"
"      </Documentation>\n"
"      <!-- End of XMLPHierarchicalBoxDataWriterCore -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPPolyDataWriterCore\"\n"
"      class=\"vtkXMLPPolyDataWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Internal writer used to write XML poly data in parallel.\n"
"      </Documentation>\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPUnstructuredGridWriterCore\"\n"
"      class=\"vtkXMLPUnstructuredGridWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Internal writer used to write XML poly data in parallel.\n"
"      </Documentation>\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPStructuredGridWriterCore\"\n"
"      class=\"vtkXMLPStructuredGridWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Internal writer used to write XML poly data in parallel.\n"
"      </Documentation>\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPRectilinearGridWriterCore\"\n"
"      class=\"vtkXMLPRectilinearGridWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"\n"
"      <Documentation>\n"
"        Writer to write rectilinear grid in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPImageDataWriterCore\"\n"
"      class=\"vtkXMLPImageDataWriter\"\n"
"      parallel_only=\"1\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"XMLDataSetWriterCore\">\n"
"      <Documentation>\n"
"        Writer to write image data in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"    </PWriterProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulesinternal_writersGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulesinternal_writersInterface0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulesinternal_writersInterface0);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/writers.xml
static const char* vtkSMDefaultModuleswritersInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"writers\">\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"XMLPVDWriter\" class=\"vtkXMLPVDWriter\" \n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write ParaView data files (pvd).\">\n"
"        Writer to write ParaView data files (pvd). It is used to save all pieces\n"
"        of a source/filter to a file with pieces spread across the server\n"
"        processes. \n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          files.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"DataMode\"\n"
"        command=\"SetDataMode\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"2\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Ascii\" />\n"
"          <Entry value=\"1\" text=\"Binary\" />\n"
"          <Entry value=\"2\" text=\"Appended\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The mode uses for writing the file's data i.e. ascii, binary, appended\n"
"          binary.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"EncodeAppendedData\"\n"
"        command=\"SetEncodeAppendedData\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When EncodeAppendedData is turned ON, the writer uses base64 encoding\n"
"        when writing binary data (only if appended mode is selected).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"CompressorType\"\n"
"        command=\"SetCompressorType\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"None\" />\n"
"          <Entry value=\"1\" text=\"ZLib\" />\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          The compression algorithm used to compress binary data (appended mode only).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"pvd\" file_description=\"ParaView Data Files\" />\n"
"      </Hints>\n"
"      <!-- End of XMLPVDWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy  name=\"XMLDataSetWriterBase\"\n"
"                  base_proxygroup=\"internal_writers\"\n"
"                  base_proxyname=\"FileSeriesWriter\" > \n"
"      <Documentation>\n"
"        Base for all XML-based file-series writers.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLDataSetWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <!-- End of XMLDataSetWriterBase -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy  name=\"XMLPolyDataWriter\" \n"
"                    class=\"vtkFileSeriesWriter\"\n"
"                    file_name_method=\"SetFileName\"\n"
"                    base_proxygroup=\"writers\"\n"
"                    base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write poly data in a xml-based vtk data file.\">\n"
"        Writer to write poly data in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vtp\" file_description=\"VTK PolyData Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPolyDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLHyperOctreeWriter\"\n"
"                   class=\"vtkFileSeriesWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   base_proxygroup=\"writers\"\n"
"                   base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write unstructured grid in a xml-based vtk data file.\">\n"
"        Writer to write unstructured grid in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkHyperOctree\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vto\" file_description=\"VTK Octree Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLUnstructuredGridWriter\"\n"
"                   class=\"vtkFileSeriesWriter\"\n"
"                   file_name_method=\"SetFileName\"\n"
"                   base_proxygroup=\"writers\"\n"
"                   base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write unstructured grid in a xml-based vtk data file.\">\n"
"        Writer to write unstructured grid in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vtu\" file_description=\"VTK UnstructuredGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy  name=\"XMLStructuredGridWriter\" \n"
"                    class=\"vtkFileSeriesWriter\"\n"
"                    file_name_method=\"SetFileName\"\n"
"                    base_proxygroup=\"writers\"\n"
"                    base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write structured grid in a xml-based vtk data file.\" >\n"
"        Writer to write structured grid in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vts\"\n"
"          file_description=\"VTK StructuredGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLStructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLRectilinearGridWriter\" \n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      base_proxygroup=\"writers\"\n"
"      base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write rectilinear grid in a xml-based vtk data file.\" >\n"
"        Writer to write rectilinear grid in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vtr\"\n"
"          file_description=\"VTK RectilinearGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLRectilinearGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLImageDataWriter\" \n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      base_proxygroup=\"writers\"\n"
"      base_proxyname=\"XMLDataSetWriterBase\" >\n"
"      <Documentation\n"
"        short_help=\"Write image data in a xml-based vtk data file.\">\n"
"        Writer to write image data in a xml-based vtk data file. Cannot be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"vti\"\n"
"          file_description=\"VTK ImageData Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLImageDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLPPolyDataWriter\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      parallel_only=\"1\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelFileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write polydata in a xml-based vtk data file.\">\n"
"        Writer to write polydata in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkPolyData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPPolyDataWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"pvtp\"\n"
"          file_description=\"PVTK PolyData Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPPolyDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLPUnstructuredGridWriter\"\n"
"      parallel_only=\"1\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelFileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write unstructured grid in a xml-based vtk data file.\">\n"
"        Writer to write unstructured grid in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkUnstructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPUnstructuredGridWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"pvtu\"\n"
"          file_description=\"PVTK UnstructuredGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPUnstructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLPStructuredGridWriter\"\n"
"      parallel_only=\"1\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelFileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write structured grid in a xml-based vtk data file.\">\n"
"        Writer to write structured grid in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/writers.xml
static const char* vtkSMDefaultModuleswritersInterface1 =
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkStructuredGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPStructuredGridWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"pvts\"\n"
"          file_description=\"PVTK StructuredGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPStructuredGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLPRectilinearGridWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelFileSeriesWriter\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      parallel_only=\"1\">\n"
"      <Documentation\n"
"        short_help=\"Write rectilinear grid in a xml-based vtk data file.\">\n"
"        Writer to write rectilinear grid in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkRectilinearGrid\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPRectilinearGridWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"pvtr\"\n"
"          file_description=\"PVTK RectilinearGrid Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPRectilinearGridWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLPImageDataWriter\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      parallel_only=\"1\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelFileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write image data in a xml-based vtk data file.\">\n"
"        Writer to write image data in a xml-based vtk data file. Can be used\n"
"        for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPImageDataWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"pvti\"\n"
"          file_description=\"PVTK ImageData Files\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPImageDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLMultiBlockDataWriter\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      supports_parallel=\"1\"\n"
"      base_proxygroup=\"internal_writers\"\n"
"      base_proxyname=\"FileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write a multiblock in a xml-based vtk data file.\">\n"
"        Writer to write a multiblock dataset in a xml-based vtk data file. Can be used\n"
"        for parallel writing as well as serial writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPMultiBlockDataWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"vtm\"\n"
"          file_description=\"VTK Multi Block Files\"/>\n"
"      </Hints>\n"
"\n"
"      <!-- End of XMLMultiBlockDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"XMLHierarchicalBoxDataWriter\"\n"
"      class=\"vtkFileSeriesWriter\"\n"
"      file_name_method=\"SetFileName\"\n"
"      supports_parallel=\"1\"\n"
"      base_proxygroup=\"internal_writers\"\n"
"      base_proxyname=\"FileSeriesWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write a hierarchical box dataset in a xml-based vtk data file.\">\n"
"        Writer to write a hierarchical box in a xml-based vtk data file. Can be used\n"
"        for parallel writing as well as serial writing.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkHierarchicalBoxDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\"\n"
"          proxyname=\"XMLPHierarchicalBoxDataWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"DataMode\" />\n"
"          <Property name=\"EncodeAppendedData\" />\n"
"          <Property name=\"CompressorType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"vthb\"\n"
"          file_description=\"VTK Hierarchical Box Files\"/>\n"
"      </Hints>\n"
"\n"
"      <!-- End of XMLPHierarchicalBoxDataWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy  name=\"DataSetWriter\" \n"
"                    class=\"vtkFileSeriesWriter\"\n"
"                    file_name_method=\"SetFileName\"\n"
"                    base_proxygroup=\"internal_writers\"\n"
"                    base_proxyname=\"FileSeriesWriter\" >\n"
"      <Documentation\n"
"        short_help=\"Write any type of data object in a legacy vtk data file.\">\n"
"        Writer to write any type of data object in a legacy vtk data file. \n"
"        Cannot be used for parallel writing.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\" proxyname=\"DataSetWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"vtk\"\n"
"          file_description=\"Legacy VTK Files\"/>\n"
"      </Hints>\n"
"      <!-- End of DataSetWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy name=\"PDataSetWriter\" class=\"vtkParallelSerialWriter\"\n"
"      file_name_method=\"SetFileName\" parallel_only=\"1\">\n"
"      <Documentation\n"
"        short_help=\"Writer that writes polydata as legacy vtk files.\">\n"
"        Writer to write any type of data object in a legacy vtk data file. \n"
"        This version is used when running in parallel. It gathers data to\n"
"        first node and saves one file.\n"
"      </Documentation>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\" proxyname=\"DataSetWriterCore\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkDataObject\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each timestep available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\" \n"
"          proxygroup=\"filters\" proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"vtk\"\n"
"          file_description=\"Legacy VTK Files\"/>\n"
"      </Hints>\n"
"      <!-- End of PDataSetWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy name=\"PPLYWriter\" class=\"vtkParallelSerialWriter\"\n"
"      file_name_method=\"SetFileName\">\n"
"      <Documentation\n"
"        short_help=\"Write polygonal data in Stanford University PLY format.\">\n"
"        Writer to write polygonal data in Stanford University PLY format. The \n"
"        data can be written in either binary (little or big endian) or ASCII \n"
"        representation. As for PointData and CellData, vtkPLYWriter cannot \n"
"        handle normals or vectors. It only handles RGB PointData and CellData. \n"
"        This version is used when running in parallel. It gathers data to\n"
"        first node and saves one file.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\" proxyname=\"PLYWriter\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\" \n"
"          proxygroup=\"filters\" proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"ply\"\n"
"          file_description=\"PLY Polygonal File Format\"/>\n"
"      </Hints>\n"
"      <!-- End of PLYWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy name=\"PSTLWriter\" class=\"vtkParallelSerialWriter\"\n"
"      file_name_method=\"SetFileName\">\n"
"      <Documentation\n"
"        short_help=\"Write stereo lithography files.\">\n"
"        STLWriter writes stereo lithography (.stl) files in either ASCII or\n"
"        binary form. Stereo lithography files only contain triangles. If\n"
"        polygons with more than 3 vertices are present, only the first 3\n"
"        vertices are written.  Use TriangleFilter to convert polygons to\n"
"        triangles. This version of the reader is used when running in\n"
"        parallel. It gathers all the geometry to first node and saves 1 file.\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/writers.xml
static const char* vtkSMDefaultModuleswritersInterface2 =
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\"\n"
"          proxygroup=\"internal_writers\" proxyname=\"STLWriter\">\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FileType\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkPolyData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\" \n"
"          proxygroup=\"filters\" proxyname=\"AppendPolyData\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"stl\"\n"
"          file_description=\"Stereo Lithography File Format\"/>\n"
"      </Hints>\n"
"      <!-- End of PSTLWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"MetaImageWriter\" class=\"vtkMetaImageWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write a binary UNC meta image data.\">\n"
"        Writer to write a binary UNC meta image data. This is a fairly simple \n"
"        yet powerful format consisting of a text header and a binary data \n"
"        section. \n"
"        MetaImage headers are expected to have extension: \".mha\" or \".mhd\"\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"mhd\"\n"
"          file_description=\"Meta Image Files\"/>\n"
"      </Hints>\n"
"      <!-- End of MetaImageWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <WriterProxy name=\"PNGWriter\" class=\"vtkPNGWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write image data as a PNG file.\">\n"
"        Writer to write image data as a PNG file. It supports 1 to 4 component\n"
"        data of unsigned char or unsigned short.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkImageData\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"png\"\n"
"          file_description=\"PNG Image Files\"/>\n"
"      </Hints>\n"
"      <!-- End of PNGWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"\n"
"    <WriterProxy name=\"XdmfWriter\" class=\"vtkXdmfWriter\">\n"
"      <Documentation\n"
"        short_help=\"Write data in Xdmf files.\">\n"
"        Writer to write data in eXtensible Data Model and Format *(XDMF) files.\n"
"      </Documentation>\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"            The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"xmf\" file_description=\"Xdmf Data File\"/>\n"
"      </Hints>\n"
"      <!-- End of XdmfWriter -->\n"
"    </WriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"ExodusIIWriter\" class=\"vtkExodusIIWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write Exodus II files.\">\n"
"        Writer to write Exodus II files. Refere to http://endo.sandia.gov/SEACAS/ \n"
"        for more information about the Exodus II format.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"1\">\n"
"          <DataType value=\"vtkCompositeDataSet\"/>\n"
"          <DataType value=\"vtkDataSet\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each time step available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <Property name=\"GhostLevel\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"g e ex2 ex2v2 exo gen exoII exoii\"\n"
"          file_description=\"Exodus II File\"/>\n"
"      </Hints>\n"
"      <!-- End of ExodusIIWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PWriterProxy name=\"EnSightWriter\" class=\"vtkEnSightWriter\"\n"
"      base_proxygroup=\"internal_writers\" base_proxyname=\"ParallelWriterBase\">\n"
"      <Documentation\n"
"        short_help=\"Write unstructured grid data as an EnSight file.\">\n"
"        Writer to write unstructured grid data as an EnSight file. Binary files \n"
"        written on one system may not be readable on other systems. Be sure to \n"
"        specify the endian-ness of the file when reading it into EnSight.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\" composite_data_supported=\"0\">\n"
"          <DataType value=\"vtkUnstructuredGrid\"/>\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"case\"\n"
"          file_description=\"EnSight File\"/>\n"
"      </Hints>\n"
"      <!-- End of EnSightWriter -->\n"
"    </PWriterProxy>\n"
"\n"
"    <Proxy name=\"AnimationSceneImageWriter\" class=\"vtkSMAnimationSceneImageWriter\">\n"
"      <Documentation>\n"
"        Internal writer to used paraview uses when it disconnects the GUI.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Magnification\"\n"
"        command=\"SetMagnification\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>\n"
"          The magnification factor to use for the saved animation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\"\n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"        <Documentation>\n"
"          The name of the file to save the animation into.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"FrameRate\"\n"
"        command=\"SetFrameRate\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <Documentation>\n"
"          Get/Set the frame rate to use for saving the animation.\n"
"          This frame rate is the frame rate that gets saved in the movie\n"
"          file generated, if applicable. If does not affect the FrameRate\n"
"          set on the animation scene at all. In other words, this is the\n"
"          playback frame rate and not the animation generation frame rate.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"      </Hints>\n"
"    <!-- End of AnimationSceneImageWriter -->\n"
"    </Proxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <SourceProxy name=\"XMLPVAnimationWriter\" class =\"vtkXMLPVAnimationWriter\">\n"
"      <Documentation>\n"
"        Internal writer proxy used when saving animation geometry to save all\n"
"        parts of the current source to the file with pieces spread across the\n"
"        server processes.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty\n"
"        name=\"Representations\"\n"
"        command=\"AddRepresentation\"\n"
"        clean_command=\"RemoveAllRepresentations\"\n"
"        si_class=\"vtkSIXMLAnimationWriterRepresentationProperty\"\n"
"        repeat_command=\"1\">\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" command=\"SetFileName\" >\n"
"        <Documentation>\n"
"          Name of the file to write.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <Property name=\"Start\" command=\"Start\">\n"
"        <Documentation>Used to begin writing of the animation</Documentation>\n"
"      </Property>\n"
"\n"
"      <DoubleVectorProperty name=\"WriteTime\"\n"
"        command=\"WriteTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0.0\"\n"
"        is_internal=\"1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0\" />\n"
"        <Documentation>Write each time step in the animation</Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <Property name=\"Finish\" command=\"Finish\">\n"
"        <Documentation>Finish writing animation</Documentation>\n"
"      </Property>\n"
"\n"
"      <IntVectorProperty name=\"ErrorCode\"\n"
"        command=\"GetErrorCode\"\n"
"        information_only=\"1\">\n"
"      </IntVectorProperty>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"      </Hints>\n"
"      <!-- End of XMLPVAnimationWriter -->\n"
"    </SourceProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy name=\"CSVWriter\" class=\"vtkParallelSerialWriter\"\n"
"      file_name_method=\"SetFileName\">\n"
"      <Documentation short_help=\"Writer to write CSV files\">\n"
"        Writer to write CSV files from table.\n"
"        In parallel, it delivers the table to the root node and then saves the\n"
"        CSV. For composite datasets, it saves multiple csv files.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" class=\"vtkCSVWriter\" />\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkTable\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"      <StringVectorProperty \n"
"        name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each time step available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\" class=\"vtkPVMergeTables\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory\n"
"          extensions=\"csv\"\n"
"          file_description=\"CSV File\"/>\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/writers.xml
static const char* vtkSMDefaultModuleswritersInterface3 =
"      </Hints>\n"
"      <!-- End of CSVWriter -->\n"
"    </PSWriterProxy>\n"
"\n"
"    <!-- ================================================================= -->\n"
"    <PSWriterProxy name=\"DataSetCSVWriter\" class=\"vtkParallelSerialWriter\"\n"
"      file_name_method=\"SetFileName\">\n"
"      <Documentation short_help=\"Writer to write CSV files\">\n"
"        Writer to write CSV files from any dataset. Set FieldAssociation to\n"
"        choose whether cell data/point data needs to be saved.\n"
"        In parallel, it delivers the table to the root node and then saves the\n"
"        CSV. For composite datasets, it saves multiple csv files.\n"
"      </Documentation>\n"
"      <SubProxy>\n"
"        <Proxy name=\"Writer\" class=\"vtkCSVWriter\" />\n"
"      </SubProxy>\n"
"\n"
"      <InputProperty name=\"Input\" command=\"SetInputConnection\">\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"sources\"/>\n"
"          <Group name=\"filters\"/>\n"
"        </ProxyGroupDomain>\n"
"        <DataTypeDomain name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <Documentation>\n"
"          The input filter/source whose output dataset is to written to the\n"
"          file.\n"
"        </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"FileName\" \n"
"        command=\"SetFileName\"\n"
"        number_of_elements=\"1\">\n"
"       <Documentation>\n"
"        The name of the file to be written.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"WriteAllTimeSteps\"\n"
"        command=\"SetWriteAllTimeSteps\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" /> \n"
"        <Documentation>\n"
"        When WriteAllTimeSteps is turned ON, the writer is executed \n"
"        once for each timestep available from the reader.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PreGatherHelper\" class=\"vtkAttributeDataToTableFilter\">\n"
"           <IntVectorProperty name=\"FieldAssociation\"\n"
"             command=\"SetFieldAssociation\"\n"
"             number_of_elements=\"1\"\n"
"             default_values=\"0\">\n"
"             <Documentation>\n"
"               Select the attribute data to pass.\n"
"             </Documentation>\n"
"             <EnumerationDomain name=\"enum\">\n"
"               <Entry text=\"Points\" value=\"0\" />\n"
"               <Entry text=\"Cells\" value=\"1\" />\n"
"               <Entry text=\"Field Data\" value=\"2\" />\n"
"               <!-- These values are not applicable for vtkDataSet.\n"
"               <Entry text=\"Vertices\" value=\"4\" />\n"
"               <Entry text=\"Edges\" value=\"5\" />\n"
"               <Entry text=\"Rows\" value=\"6\" />\n"
"               -->\n"
"             </EnumerationDomain>\n"
"           </IntVectorProperty>\n"
"           <IntVectorProperty name=\"AddMetaData\"\n"
"             command=\"SetAddMetaData\"\n"
"             number_of_elements=\"1\"\n"
"             default_values=\"1\">\n"
"             <Documentation>\n"
"               It is possible for this filter to add additional meta-data to the\n"
"               field data such as point coordinates (when point attributes are\n"
"               selected and input is pointset) or structured coordinates etc.\n"
"               To enable this addition of extra information, turn this flag on.\n"
"             </Documentation>\n"
"             <BooleanDomain name=\"bool\" />\n"
"           </IntVectorProperty>\n"
"        </Proxy>\n"
"        <ExposedProperties>\n"
"          <Property name=\"FieldAssociation\" />\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"PostGatherHelper\" class=\"vtkPVMergeTables\" />\n"
"      </SubProxy>\n"
"\n"
"      <Hints>\n"
"        <Property name=\"Input\" show=\"0\"/>\n"
"        <Property name=\"FileName\" show=\"0\"/>\n"
"        <WriterFactory extensions=\"csv\"\n"
"          file_description=\"CSV File\"/>\n"
"      </Hints>\n"
"      <!-- End of CSVWriter -->\n"
"    </PSWriterProxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModuleswritersGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModuleswritersInterface0)
    + strlen(vtkSMDefaultModuleswritersInterface1)
    + strlen(vtkSMDefaultModuleswritersInterface2)
    + strlen(vtkSMDefaultModuleswritersInterface3) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModuleswritersInterface0);
  strcat(res, vtkSMDefaultModuleswritersInterface1);
  strcat(res, vtkSMDefaultModuleswritersInterface2);
  strcat(res, vtkSMDefaultModuleswritersInterface3);
  return res;
}


// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/pythonfilter.xml
static const char* vtkSMDefaultModulespythonfilterInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"filters\">\n"
"\n"
"    <SourceProxy name=\"PythonCalculator\" \n"
"                 class=\"vtkPythonCalculator\"\n"
"                 label=\"Python Calculator\">\n"
"      <Documentation\n"
"         long_help=\"This filter evaluates a Python expression\"\n"
"         short_help=\"Evaluates a Python expression\">\n"
"        This filter uses Python to calculate an expression.\n"
"        It depends heavily on the numpy and paraview.vtk modules.\n"
"        To use the parallel functions, mpi4py is also necessary. The expression\n"
"        is evaluated and the resulting scalar value or numpy array is added\n"
"        to the output as an array. See numpy and paraview.vtk documentation\n"
"        for the list of available functions.\n"
"\n"
"        This filter tries to make it easy for the user to write expressions\n"
"        by defining certain variables. The filter tries to assign each array\n"
"        to a variable of the same name. If the name of the array is not a \n"
"        valid Python variable, it has to be accessed through a dictionary called\n"
"        arrays (i.e. arrays['array_name']). The points can be accessed using the\n"
"        points variable.        \n"
"      </Documentation>\n"
"      <InputProperty\n"
"         name=\"Input\"\n"
"         command=\"AddInputConnection\"\n"
"         clean_command=\"RemoveAllInputs\"\n"
"         multiple_input=\"1\">\n"
"           <ProxyGroupDomain name=\"groups\">\n"
"             <Group name=\"sources\"/>\n"
"             <Group name=\"filters\"/>\n"
"           </ProxyGroupDomain>\n"
"           <DataTypeDomain name=\"input_type\">\n"
"             <DataType value=\"vtkDataSet\"/>\n"
"           </DataTypeDomain>       \n"
"           <Documentation>\n"
"        Set the input of the filter.\n"
"           </Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty \n"
"         name=\"Expression\" \n"
"         command=\"SetExpression\"\n"
"         number_of_elements=\"1\">\n"
"        <Documentation>\n"
"        The Python expression evaluated during execution.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty \n"
"         name=\"ArrayAssociation\" \n"
"         command=\"SetArrayAssociation\" \n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\"> \n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Point Data\"/>\n"
"          <Entry value=\"1\" text=\"Cell Data\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"        This property controls the association of the output array as well as\n"
"        which arrays are defined as variables.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <StringVectorProperty \n"
"         name=\"ArrayName\" \n"
"         command=\"SetArrayName\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"result\">\n"
"        <Documentation>\n"
"        The name of the output array.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty \n"
"         name=\"CopyArrays\" \n"
"         command=\"SetCopyArrays\" \n"
"         number_of_elements=\"1\"\n"
"         default_values=\"1\" \n"
"         animateable=\"0\"> \n"
"        <BooleanDomain name=\"bool\"/>\n"
"        <Documentation>\n"
"        If this property is set to true, all the cell and point arrays from\n"
"        first input are copied to the output.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"    <!-- End PythonCalculator -->    \n"
"    </SourceProxy>\n"
"\n"
"    <SourceProxy name=\"ProgrammableFilter\" \n"
"                 class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Programmable Filter\">\n"
"          <Documentation\n"
"             long_help=\"Executes a user supplied python script on its input dataset to produce an output dataset.\"\n"
"             short_help=\"Executes a python script to produce data.\">\n"
"    This filter will execute a python script to produce an output dataset.\n"
"    The filter keeps a copy of the python script in Script, and creates \n"
"    Interpretor, a python interpretor to run the script upon the first \n"
"     execution.\n"
"          </Documentation>\n"
"          <InputProperty\n"
"             name=\"Input\"\n"
"             command=\"AddInputConnection\"\n"
"             clean_command=\"RemoveAllInputs\"\n"
"             multiple_input=\"1\">\n"
"               <ProxyGroupDomain name=\"groups\">\n"
"                 <Group name=\"sources\"/>\n"
"                 <Group name=\"filters\"/>\n"
"               </ProxyGroupDomain>\n"
"               <DataTypeDomain name=\"input_type\">\n"
"                 <DataType value=\"vtkDataObject\"/>\n"
"               </DataTypeDomain>       \n"
"               <Documentation>\n"
"                This property specifies the input(s) to the programmable filter.\n"
"               </Documentation>\n"
"          </InputProperty>\n"
"\n"
"         <IntVectorProperty \n"
"            name=\"OutputDataSetType\" \n"
"            command=\"SetOutputDataSetType\" \n"
"            number_of_elements=\"1\"\n"
"            default_values=\"8\"> \n"
"           <EnumerationDomain name=\"enum\">\n"
"             <!-- Values come from vtkType.h-->\n"
"             <Entry value=\"8\" text=\"Same as Input\"/> <!-- text=\"vtkDataSet\" -->\n"
"             <Entry value=\"0\" text=\"vtkPolyData\"/>\n"
"             <!-- <Entry value=\"1\" text=\"vtkStructuredPoints\"/> -->\n"
"             <Entry value=\"2\" text=\"vtkStructuredGrid\"/>\n"
"             <Entry value=\"3\" text=\"vtkRectilinearGrid\"/>\n"
"             <Entry value=\"4\" text=\"vtkUnstructuredGrid\"/>\n"
"             <!-- <Entry value=\"5\" text=\"vtkPiecewiseFunction\"/> -->\n"
"             <Entry value=\"6\" text=\"vtkImageData\"/>\n"
"             <!-- <Entry value=\"7\" text=\"vtkDataObject\"/> -->\n"
"             <!-- <Entry value=\"9\" text=\"vtkPointSet\"/> -->\n"
"             <Entry value=\"10\" text=\"vtkUniformGrid\"/> \n"
"             <!-- <Entry value=\"11\" text=\"vtkCompositeDataSet\"/> -->\n"
"             <Entry value=\"13\" text=\"vtkMultiblockDataSet\"/>\n"
"             <Entry value=\"15\" text=\"vtkHierarchicalBoxDataSet\"/>\n"
"             <!-- <Entry value=\"16\" text=\"vtkGenericDataSet\"/> -->\n"
"             <!-- <Entry value=\"17\" text=\"vtkHyperOctree\"/> -->\n"
"             <!-- <Entry value=\"18\" text=\"vtkTemporalDataSet\"/> -->\n"
"             <Entry value=\"19\" text=\"vtkTable\"/>\n"
"             <!-- <Entry value=\"20\" text=\"vtkGraph\"/> -->\n"
"             <!-- <Entry value=\"21\" text=\"vtkTree\"/> -->\n"
"           </EnumerationDomain>\n"
"           <Documentation>\n"
"             The value of this property determines the dataset type for the output of the programmable filter.\n"
"           </Documentation>\n"
"         </IntVectorProperty>\n"
"\n"
"         <StringVectorProperty \n"
"            name=\"Script\" \n"
"            command=\"SetScript\"\n"
"            number_of_elements=\"1\">\n"
"           <Hints>\n"
"             <Widget type=\"multi_line\"/>\n"
"           </Hints>\n"
"           <Documentation>\n"
"             This property contains the text of a python program that the programmable filter runs.\n"
"           </Documentation>\n"
"         </StringVectorProperty>\n"
"\n"
"         <StringVectorProperty \n"
"            name=\"InformationScript\" \n"
"            command=\"SetInformationScript\"\n"
"            label=\"RequestInformation Script\"\n"
"            number_of_elements=\"1\">\n"
"           <Hints>\n"
"             <Widget type=\"multi_line\"/>\n"
"           </Hints>\n"
"           <Documentation>\n"
"             This property is a python script that is executed during the RequestInformation pipeline pass. Use this to provide information such as WHOLE_EXTENT to the pipeline downstream.\n"
"           </Documentation>\n"
"         </StringVectorProperty>\n"
"\n"
"         <StringVectorProperty\n"
"            name=\"UpdateExtentScript\"\n"
"            command=\"SetUpdateExtentScript\"\n"
"            label=\"RequestUpdateExtent Script\"\n"
"            number_of_elements=\"1\">\n"
"           <Hints>\n"
"             <Widget type=\"multi_line\"/>\n"
"           </Hints>\n"
"           <Documentation>\n"
"             This property is a python script that is executed during the RequestUpdateExtent pipeline pass. Use this to modify the update extent that your filter ask up stream for.\n"
"           </Documentation>\n"
"         </StringVectorProperty>\n"
"         \n"
"         <IntVectorProperty \n"
"            name=\"CopyArrays\" \n"
"            command=\"SetCopyArrays\" \n"
"            number_of_elements=\"1\"\n"
"            default_values=\"0\"\n"
"            animateable=\"0\"> \n"
"           <BooleanDomain name=\"bool\"/>\n"
"           <Documentation>\n"
"           If this property is set to true, all the cell and point arrays from\n"
"           first input are copied to the output.\n"
"           </Documentation>\n"
"         </IntVectorProperty>\n"
"\n"
"         <StringVectorProperty\n"
"           name=\"Parameters\"\n"
"           command=\"SetParameter\"\n"
"           is_internal=\"1\"\n"
"           repeat_command=\"1\"\n"
"           number_of_elements_per_command=\"2\"\n"
"           clean_command=\"ClearParameters\"\n"
"           animateable=\"0\">\n"
"         </StringVectorProperty>\n"
"\n"
"         <StringVectorProperty\n"
"           name=\"PythonPath\"\n"
"           command=\"SetPythonPath\"\n"
"           number_of_elements=\"1\">\n"
"           <Documentation>\n"
"             A semi-colon (;) separated list of directories to add to the python library\n"
"             search path.\n"
"           </Documentation>\n"
"         </StringVectorProperty>\n"
"\n"
"    <!-- End ProgrammableFilter -->\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"sources\">\n"
"\n"
"    <SourceProxy name=\"ProgrammableSource\" \n"
"                 class=\"vtkPythonProgrammableFilter\"\n"
"                 label=\"Programmable Source\">\n"
"      <Documentation\n"
"         long_help=\"Executes a user supplied python script to produce an output dataset.\"\n"
"         short_help=\"Executes a python script to produce data.\">\n"
"This source will execute a python script to produce an output dataset.\n"
"The source keeps a copy of the python script in Script, and creates \n"
"Interpretor, a python interpretor to run the script upon the first \n"
" execution.\n"
"      </Documentation>\n"
"\n"
"     <IntVectorProperty \n"
"        name=\"OutputDataSetType\" \n"
"        command=\"SetOutputDataSetType\" \n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\"> \n"
"       <EnumerationDomain name=\"enum\">\n"
"         <!-- Values come from vtkType.h-->\n"
"         <!-- <Entry value=\"8\" text=\"Same as Input\"/> --><!-- text=\"vtkDataSet\" -->\n"
"         <Entry value=\"0\" text=\"vtkPolyData\"/>\n"
"         <!-- <Entry value=\"1\" text=\"vtkStructuredPoints\"/> -->\n"
"         <Entry value=\"2\" text=\"vtkStructuredGrid\"/>\n"
"         <Entry value=\"3\" text=\"vtkRectilinearGrid\"/>\n"
"         <Entry value=\"4\" text=\"vtkUnstructuredGrid\"/>\n"
"         <!-- <Entry value=\"5\" text=\"vtkPiecewiseFunction\"/> -->\n"
"         <Entry value=\"6\" text=\"vtkImageData\"/>\n"
"         <!-- <Entry value=\"7\" text=\"vtkDataObject\"/> -->\n"
"         <!-- <Entry value=\"9\" text=\"vtkPointSet\"/> -->\n"
"         <!-- <Entry value=\"10\" text=\"vtkUniformGrid\"/> -->\n"
"         <!-- <Entry value=\"11\" text=\"vtkCompositeDataSet\"/> -->\n"
"         <!-- <Entry value=\"12\" text=\"vtkMultigroupDataSet\"/> -->\n"
"         <Entry value=\"13\" text=\"vtkMultiblockDataSet\"/> \n"
"         <!-- <Entry value=\"14\" text=\"vtkHierarchicalDataSet\"/> -->\n"
"         <Entry value=\"15\" text=\"vtkHierarchicalBoxDataSet\"/>\n"
"         <!-- <Entry value=\"16\" text=\"vtkGenericDataSet\"/> -->\n"
"         <!-- <Entry value=\"17\" text=\"vtkHyperOctree\"/> -->\n"
"         <!-- <Entry value=\"18\" text=\"vtkTemporalDataSet\"/> -->\n"
"         <Entry value=\"19\" text=\"vtkTable\"/>\n"
"         <!-- <Entry value=\"20\" text=\"vtkGraph\"/> -->\n"
"         <!-- <Entry value=\"21\" text=\"vtkTree\"/> -->\n"
"       </EnumerationDomain>\n"
"       <Documentation>\n"
"         The value of this property determines the dataset type for the output of the programmable source.\n"
"       </Documentation>\n"
"     </IntVectorProperty>\n"
"\n"
"     <StringVectorProperty \n"
"        name=\"Script\" \n"
"        command=\"SetScript\"\n"
"        number_of_elements=\"1\">\n"
"       <Hints>\n"
"         <Widget type=\"multi_line\"/>\n"
"       </Hints>\n"
"       <Documentation>\n"
"         This property contains the text of a python program that the programmable source runs.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty \n"
"        name=\"InformationScript\" \n"
"        command=\"SetInformationScript\"\n"
"        label=\"Script (RequestInformation)\"\n"
"        number_of_elements=\"1\">\n"
"       <Hints>\n"
"         <Widget type=\"multi_line\"/>\n"
"       </Hints>\n"
"       <Documentation>\n"
"         This property is a python script that is executed during the RequestInformation pipeline pass. Use this to provide information such as WHOLE_EXTENT to the pipeline downstream.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"Parameters\"\n"
"       command=\"SetParameter\"\n"
"       repeat_command=\"1\"\n"
"       is_internal=\"1\"\n"
"       number_of_elements_per_command=\"2\"\n"
"       clean_command=\"ClearParameters\"\n"
"       animateable=\"0\">\n"
"     </StringVectorProperty>\n"
"\n"
"     <StringVectorProperty\n"
"       name=\"PythonPath\"\n"
"       command=\"SetPythonPath\"\n"
"       number_of_elements=\"1\">\n"
"       <Documentation>\n"
"         A semi-colon (;) separated list of directories to add to the python library\n"
"         search path.\n"
"       </Documentation>\n"
"     </StringVectorProperty>\n"
"\n"
"    <!-- End ProgrammableSource -->\n"
"    </SourceProxy>\n"
"\n"
"  </ProxyGroup>\n"
"\n"
"  <!-- =================================================================== -->\n"
"  <ProxyGroup name=\"animation\">\n"
"    <Proxy name=\"PythonAnimationCue\" class=\"vtkPythonAnimationCue\"\n"
"      processes=\"client\">\n"
"      <Documentation>\n"
"        Animation cue that can use python script for animation.\n"
"      </Documentation>\n"
"\n"
"      <IntVectorProperty name=\"Enabled\"\n"
"        command=\"SetEnabled\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Enables this animation cue.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"TimeMode\"\n"
"         command=\"SetTimeMode\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry value=\"0\" text=\"Normalized\" />\n"
"          <Entry value=\"1\" text=\"Relative\" />\n"
"        </EnumerationDomain>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StartTime\"\n"
"        command=\"SetStartTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"EndTime\"\n"
"        command=\"SetEndTime\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\">\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"Script\"\n"
;

// From file /home/users/builder/rpm/BUILD/ParaView-3.12.0/ParaViewCore/ServerImplementation/Resources/pythonfilter.xml
static const char* vtkSMDefaultModulespythonfilterInterface1 =
"         command=\"SetScript\"\n"
"         number_of_elements=\"1\"\n"
"         default_values=\"def start_cue(self): pass&#xa;&#xa;def tick(self): pass&#xa;&#xa;def end_cue(self): pass\" >\n"
"        <Hints>\n"
"          <Widget type=\"multi_line\"/>\n"
"        </Hints>\n"
"        <Documentation>\n"
"          This property contains the text for the script to execute.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <!-- end of PythonAnimationCue -->\n"
"    </Proxy>\n"
"  </ProxyGroup>\n"
"\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* vtkSMDefaultModulespythonfilterGetInterfaces()
{
  size_t len = ( 0
    + strlen(vtkSMDefaultModulespythonfilterInterface0)
    + strlen(vtkSMDefaultModulespythonfilterInterface1) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkSMDefaultModulespythonfilterInterface0);
  strcat(res, vtkSMDefaultModulespythonfilterInterface1);
  return res;
}



#endif
